""" Python Character Mapping Codec mac_japanese generated from 'MAPPINGS/VENDORS/APPLE/JAPANESE.TXT' with gencodec.py.

"""#"

import codecs

### Codec APIs

class Codec(codecs.Codec):

    def encode(self,input,errors='strict'):
        return codecs.charmap_encode(input,errors,encoding_map)

    def decode(self,input,errors='strict'):
        return codecs.charmap_decode(input,errors,decoding_map)

class IncrementalEncoder(codecs.IncrementalEncoder):
    def encode(self, input, final=False):
        return codecs.charmap_encode(input,self.errors,encoding_map)[0]

class IncrementalDecoder(codecs.IncrementalDecoder):
    def decode(self, input, final=False):
        return codecs.charmap_decode(input,self.errors,decoding_map)[0]

class StreamWriter(Codec,codecs.StreamWriter):
    pass

class StreamReader(Codec,codecs.StreamReader):
    pass

### encodings module API

def getregentry():
    return codecs.CodecInfo(
        name='mac-japanese',
        encode=Codec().encode,
        decode=Codec().decode,
        incrementalencoder=IncrementalEncoder,
        incrementaldecoder=IncrementalDecoder,
        streamreader=StreamReader,
        streamwriter=StreamWriter,
    )


### Decoding Map

decoding_map = codecs.make_identity_dict(range(256))
decoding_map.update({
    0x5C: 0x00A5,       #  YEN SIGN
    0x80: 0x005C,       #  REVERSE SOLIDUS # Apple addition; changes mapping of 0x815F
    0x81: None,
    0x82: None,
    0x83: None,
    0x84: None,
    0x85: None,
    0x86: None,
    0x87: None,
    0x88: None,
    0x89: None,
    0x8A: None,
    0x8B: None,
    0x8C: None,
    0x8D: None,
    0x8E: None,
    0x8F: None,
    0x90: None,
    0x91: None,
    0x92: None,
    0x93: None,
    0x94: None,
    0x95: None,
    0x96: None,
    0x97: None,
    0x98: None,
    0x99: None,
    0x9A: None,
    0x9B: None,
    0x9C: None,
    0x9D: None,
    0x9E: None,
    0x9F: None,
    0xA1: 0xFF61,       #  HALFWIDTH IDEOGRAPHIC FULL STOP
    0xA2: 0xFF62,       #  HALFWIDTH LEFT CORNER BRACKET
    0xA3: 0xFF63,       #  HALFWIDTH RIGHT CORNER BRACKET
    0xA4: 0xFF64,       #  HALFWIDTH IDEOGRAPHIC COMMA
    0xA5: 0xFF65,       #  HALFWIDTH KATAKANA MIDDLE DOT
    0xA6: 0xFF66,       #  HALFWIDTH KATAKANA LETTER WO
    0xA7: 0xFF67,       #  HALFWIDTH KATAKANA LETTER SMALL A
    0xA8: 0xFF68,       #  HALFWIDTH KATAKANA LETTER SMALL I
    0xA9: 0xFF69,       #  HALFWIDTH KATAKANA LETTER SMALL U
    0xAA: 0xFF6A,       #  HALFWIDTH KATAKANA LETTER SMALL E
    0xAB: 0xFF6B,       #  HALFWIDTH KATAKANA LETTER SMALL O
    0xAC: 0xFF6C,       #  HALFWIDTH KATAKANA LETTER SMALL YA
    0xAD: 0xFF6D,       #  HALFWIDTH KATAKANA LETTER SMALL YU
    0xAE: 0xFF6E,       #  HALFWIDTH KATAKANA LETTER SMALL YO
    0xAF: 0xFF6F,       #  HALFWIDTH KATAKANA LETTER SMALL TU
    0xB0: 0xFF70,       #  HALFWIDTH KATAKANA-HIRAGANA PROLONGED SOUND MARK
    0xB1: 0xFF71,       #  HALFWIDTH KATAKANA LETTER A
    0xB2: 0xFF72,       #  HALFWIDTH KATAKANA LETTER I
    0xB3: 0xFF73,       #  HALFWIDTH KATAKANA LETTER U
    0xB4: 0xFF74,       #  HALFWIDTH KATAKANA LETTER E
    0xB5: 0xFF75,       #  HALFWIDTH KATAKANA LETTER O
    0xB6: 0xFF76,       #  HALFWIDTH KATAKANA LETTER KA
    0xB7: 0xFF77,       #  HALFWIDTH KATAKANA LETTER KI
    0xB8: 0xFF78,       #  HALFWIDTH KATAKANA LETTER KU
    0xB9: 0xFF79,       #  HALFWIDTH KATAKANA LETTER KE
    0xBA: 0xFF7A,       #  HALFWIDTH KATAKANA LETTER KO
    0xBB: 0xFF7B,       #  HALFWIDTH KATAKANA LETTER SA
    0xBC: 0xFF7C,       #  HALFWIDTH KATAKANA LETTER SI
    0xBD: 0xFF7D,       #  HALFWIDTH KATAKANA LETTER SU
    0xBE: 0xFF7E,       #  HALFWIDTH KATAKANA LETTER SE
    0xBF: 0xFF7F,       #  HALFWIDTH KATAKANA LETTER SO
    0xC0: 0xFF80,       #  HALFWIDTH KATAKANA LETTER TA
    0xC1: 0xFF81,       #  HALFWIDTH KATAKANA LETTER TI
    0xC2: 0xFF82,       #  HALFWIDTH KATAKANA LETTER TU
    0xC3: 0xFF83,       #  HALFWIDTH KATAKANA LETTER TE
    0xC4: 0xFF84,       #  HALFWIDTH KATAKANA LETTER TO
    0xC5: 0xFF85,       #  HALFWIDTH KATAKANA LETTER NA
    0xC6: 0xFF86,       #  HALFWIDTH KATAKANA LETTER NI
    0xC7: 0xFF87,       #  HALFWIDTH KATAKANA LETTER NU
    0xC8: 0xFF88,       #  HALFWIDTH KATAKANA LETTER NE
    0xC9: 0xFF89,       #  HALFWIDTH KATAKANA LETTER NO
    0xCA: 0xFF8A,       #  HALFWIDTH KATAKANA LETTER HA
    0xCB: 0xFF8B,       #  HALFWIDTH KATAKANA LETTER HI
    0xCC: 0xFF8C,       #  HALFWIDTH KATAKANA LETTER HU
    0xCD: 0xFF8D,       #  HALFWIDTH KATAKANA LETTER HE
    0xCE: 0xFF8E,       #  HALFWIDTH KATAKANA LETTER HO
    0xCF: 0xFF8F,       #  HALFWIDTH KATAKANA LETTER MA
    0xD0: 0xFF90,       #  HALFWIDTH KATAKANA LETTER MI
    0xD1: 0xFF91,       #  HALFWIDTH KATAKANA LETTER MU
    0xD2: 0xFF92,       #  HALFWIDTH KATAKANA LETTER ME
    0xD3: 0xFF93,       #  HALFWIDTH KATAKANA LETTER MO
    0xD4: 0xFF94,       #  HALFWIDTH KATAKANA LETTER YA
    0xD5: 0xFF95,       #  HALFWIDTH KATAKANA LETTER YU
    0xD6: 0xFF96,       #  HALFWIDTH KATAKANA LETTER YO
    0xD7: 0xFF97,       #  HALFWIDTH KATAKANA LETTER RA
    0xD8: 0xFF98,       #  HALFWIDTH KATAKANA LETTER RI
    0xD9: 0xFF99,       #  HALFWIDTH KATAKANA LETTER RU
    0xDA: 0xFF9A,       #  HALFWIDTH KATAKANA LETTER RE
    0xDB: 0xFF9B,       #  HALFWIDTH KATAKANA LETTER RO
    0xDC: 0xFF9C,       #  HALFWIDTH KATAKANA LETTER WA
    0xDD: 0xFF9D,       #  HALFWIDTH KATAKANA LETTER N
    0xDE: 0xFF9E,       #  HALFWIDTH KATAKANA VOICED SOUND MARK
    0xDF: 0xFF9F,       #  HALFWIDTH KATAKANA SEMI-VOICED SOUND MARK
    0xE0: None,
    0xE1: None,
    0xE2: None,
    0xE3: None,
    0xE4: None,
    0xE5: None,
    0xE6: None,
    0xE7: None,
    0xE8: None,
    0xE9: None,
    0xEA: None,
    0xEB: None,
    0xEC: None,
    0xED: None,
    0xEE: None,
    0xEF: None,
    0xF0: None,
    0xF1: None,
    0xF2: None,
    0xF3: None,
    0xF4: None,
    0xF5: None,
    0xF6: None,
    0xF7: None,
    0xF8: None,
    0xF9: None,
    0xFA: None,
    0xFB: None,
    0xFC: None,
    0xFD: 0x00A9,       #  COPYRIGHT SIGN # Apple addition
    0xFE: 0x2122,       #  TRADE MARK SIGN # Apple addition
    0xFF: (0x2026, 0xF87F),     #  halfwidth horizontal ellipsis # Apple addition
    0x8140: 0x3000,     #  IDEOGRAPHIC SPACE
    0x8141: 0x3001,     #  IDEOGRAPHIC COMMA
    0x8142: 0x3002,     #  IDEOGRAPHIC FULL STOP
    0x8143: 0xFF0C,     #  FULLWIDTH COMMA
    0x8144: 0xFF0E,     #  FULLWIDTH FULL STOP
    0x8145: 0x30FB,     #  KATAKANA MIDDLE DOT
    0x8146: 0xFF1A,     #  FULLWIDTH COLON
    0x8147: 0xFF1B,     #  FULLWIDTH SEMICOLON
    0x8148: 0xFF1F,     #  FULLWIDTH QUESTION MARK
    0x8149: 0xFF01,     #  FULLWIDTH EXCLAMATION MARK
    0x814A: 0x309B,     #  KATAKANA-HIRAGANA VOICED SOUND MARK
    0x814B: 0x309C,     #  KATAKANA-HIRAGANA SEMI-VOICED SOUND MARK
    0x814C: 0x00B4,     #  ACUTE ACCENT
    0x814D: 0xFF40,     #  FULLWIDTH GRAVE ACCENT
    0x814E: 0x00A8,     #  DIAERESIS
    0x814F: 0xFF3E,     #  FULLWIDTH CIRCUMFLEX ACCENT
    0x8150: 0xFFE3,     #  FULLWIDTH MACRON
    0x8151: 0xFF3F,     #  FULLWIDTH LOW LINE
    0x8152: 0x30FD,     #  KATAKANA ITERATION MARK
    0x8153: 0x30FE,     #  KATAKANA VOICED ITERATION MARK
    0x8154: 0x309D,     #  HIRAGANA ITERATION MARK
    0x8155: 0x309E,     #  HIRAGANA VOICED ITERATION MARK
    0x8156: 0x3003,     #  DITTO MARK
    0x8157: 0x4EDD,     #  <CJK>
    0x8158: 0x3005,     #  IDEOGRAPHIC ITERATION MARK
    0x8159: 0x3006,     #  IDEOGRAPHIC CLOSING MARK
    0x815A: 0x3007,     #  IDEOGRAPHIC NUMBER ZERO
    0x815B: 0x30FC,     #  KATAKANA-HIRAGANA PROLONGED SOUND MARK
    0x815C: 0x2014,     #  EM DASH # change UTC mapping to match JIS spec
    0x815D: 0x2010,     #  HYPHEN
    0x815E: 0xFF0F,     #  FULLWIDTH SOLIDUS
    0x815F: 0xFF3C,     #  FULLWIDTH REVERSE SOLIDUS # change UTC mapping to separate from 0x80
    0x8160: 0x301C,     #  WAVE DASH
    0x8161: 0x2016,     #  DOUBLE VERTICAL LINE
    0x8162: 0xFF5C,     #  FULLWIDTH VERTICAL LINE
    0x8163: 0x2026,     #  HORIZONTAL ELLIPSIS
    0x8164: 0x2025,     #  TWO DOT LEADER
    0x8165: 0x2018,     #  LEFT SINGLE QUOTATION MARK
    0x8166: 0x2019,     #  RIGHT SINGLE QUOTATION MARK
    0x8167: 0x201C,     #  LEFT DOUBLE QUOTATION MARK
    0x8168: 0x201D,     #  RIGHT DOUBLE QUOTATION MARK
    0x8169: 0xFF08,     #  FULLWIDTH LEFT PARENTHESIS
    0x816A: 0xFF09,     #  FULLWIDTH RIGHT PARENTHESIS
    0x816B: 0x3014,     #  LEFT TORTOISE SHELL BRACKET
    0x816C: 0x3015,     #  RIGHT TORTOISE SHELL BRACKET
    0x816D: 0xFF3B,     #  FULLWIDTH LEFT SQUARE BRACKET
    0x816E: 0xFF3D,     #  FULLWIDTH RIGHT SQUARE BRACKET
    0x816F: 0xFF5B,     #  FULLWIDTH LEFT CURLY BRACKET
    0x8170: 0xFF5D,     #  FULLWIDTH RIGHT CURLY BRACKET
    0x8171: 0x3008,     #  LEFT ANGLE BRACKET
    0x8172: 0x3009,     #  RIGHT ANGLE BRACKET
    0x8173: 0x300A,     #  LEFT DOUBLE ANGLE BRACKET
    0x8174: 0x300B,     #  RIGHT DOUBLE ANGLE BRACKET
    0x8175: 0x300C,     #  LEFT CORNER BRACKET
    0x8176: 0x300D,     #  RIGHT CORNER BRACKET
    0x8177: 0x300E,     #  LEFT WHITE CORNER BRACKET
    0x8178: 0x300F,     #  RIGHT WHITE CORNER BRACKET
    0x8179: 0x3010,     #  LEFT BLACK LENTICULAR BRACKET
    0x817A: 0x3011,     #  RIGHT BLACK LENTICULAR BRACKET
    0x817B: 0xFF0B,     #  FULLWIDTH PLUS SIGN
    0x817C: 0x2212,     #  MINUS SIGN
    0x817D: 0x00B1,     #  PLUS-MINUS SIGN
    0x817E: 0x00D7,     #  MULTIPLICATION SIGN
    0x8180: 0x00F7,     #  DIVISION SIGN
    0x8181: 0xFF1D,     #  FULLWIDTH EQUALS SIGN
    0x8182: 0x2260,     #  NOT EQUAL TO
    0x8183: 0xFF1C,     #  FULLWIDTH LESS-THAN SIGN
    0x8184: 0xFF1E,     #  FULLWIDTH GREATER-THAN SIGN
    0x8185: 0x2266,     #  LESS-THAN OVER EQUAL TO
    0x8186: 0x2267,     #  GREATER-THAN OVER EQUAL TO
    0x8187: 0x221E,     #  INFINITY
    0x8188: 0x2234,     #  THEREFORE
    0x8189: 0x2642,     #  MALE SIGN
    0x818A: 0x2640,     #  FEMALE SIGN
    0x818B: 0x00B0,     #  DEGREE SIGN
    0x818C: 0x2032,     #  PRIME
    0x818D: 0x2033,     #  DOUBLE PRIME
    0x818E: 0x2103,     #  DEGREE CELSIUS
    0x818F: 0xFFE5,     #  FULLWIDTH YEN SIGN
    0x8190: 0xFF04,     #  FULLWIDTH DOLLAR SIGN
    0x8191: 0x00A2,     #  CENT SIGN
    0x8192: 0x00A3,     #  POUND SIGN
    0x8193: 0xFF05,     #  FULLWIDTH PERCENT SIGN
    0x8194: 0xFF03,     #  FULLWIDTH NUMBER SIGN
    0x8195: 0xFF06,     #  FULLWIDTH AMPERSAND
    0x8196: 0xFF0A,     #  FULLWIDTH ASTERISK
    0x8197: 0xFF20,     #  FULLWIDTH COMMERCIAL AT
    0x8198: 0x00A7,     #  SECTION SIGN
    0x8199: 0x2606,     #  WHITE STAR
    0x819A: 0x2605,     #  BLACK STAR
    0x819B: 0x25CB,     #  WHITE CIRCLE
    0x819C: 0x25CF,     #  BLACK CIRCLE
    0x819D: 0x25CE,     #  BULLSEYE
    0x819E: 0x25C7,     #  WHITE DIAMOND
    0x819F: 0x25C6,     #  BLACK DIAMOND
    0x81A0: 0x25A1,     #  WHITE SQUARE
    0x81A1: 0x25A0,     #  BLACK SQUARE
    0x81A2: 0x25B3,     #  WHITE UP-POINTING TRIANGLE
    0x81A3: 0x25B2,     #  BLACK UP-POINTING TRIANGLE
    0x81A4: 0x25BD,     #  WHITE DOWN-POINTING TRIANGLE
    0x81A5: 0x25BC,     #  BLACK DOWN-POINTING TRIANGLE
    0x81A6: 0x203B,     #  REFERENCE MARK
    0x81A7: 0x3012,     #  POSTAL MARK
    0x81A8: 0x2192,     #  RIGHTWARDS ARROW
    0x81A9: 0x2190,     #  LEFTWARDS ARROW
    0x81AA: 0x2191,     #  UPWARDS ARROW
    0x81AB: 0x2193,     #  DOWNWARDS ARROW
    0x81AC: 0x3013,     #  GETA MARK
    0x81B8: 0x2208,     #  ELEMENT OF
    0x81B9: 0x220B,     #  CONTAINS AS MEMBER
    0x81BA: 0x2286,     #  SUBSET OF OR EQUAL TO
    0x81BB: 0x2287,     #  SUPERSET OF OR EQUAL TO
    0x81BC: 0x2282,     #  SUBSET OF
    0x81BD: 0x2283,     #  SUPERSET OF
    0x81BE: 0x222A,     #  UNION
    0x81BF: 0x2229,     #  INTERSECTION
    0x81C8: 0x2227,     #  LOGICAL AND
    0x81C9: 0x2228,     #  LOGICAL OR
    0x81CA: 0x00AC,     #  NOT SIGN
    0x81CB: 0x21D2,     #  RIGHTWARDS DOUBLE ARROW
    0x81CC: 0x21D4,     #  LEFT RIGHT DOUBLE ARROW
    0x81CD: 0x2200,     #  FOR ALL
    0x81CE: 0x2203,     #  THERE EXISTS
    0x81DA: 0x2220,     #  ANGLE
    0x81DB: 0x22A5,     #  UP TACK
    0x81DC: 0x2312,     #  ARC
    0x81DD: 0x2202,     #  PARTIAL DIFFERENTIAL
    0x81DE: 0x2207,     #  NABLA
    0x81DF: 0x2261,     #  IDENTICAL TO
    0x81E0: 0x2252,     #  APPROXIMATELY EQUAL TO OR THE IMAGE OF
    0x81E1: 0x226A,     #  MUCH LESS-THAN
    0x81E2: 0x226B,     #  MUCH GREATER-THAN
    0x81E3: 0x221A,     #  SQUARE ROOT
    0x81E4: 0x223D,     #  REVERSED TILDE # This UTC mapping is questionable
    0x81E5: 0x221D,     #  PROPORTIONAL TO
    0x81E6: 0x2235,     #  BECAUSE
    0x81E7: 0x222B,     #  INTEGRAL
    0x81E8: 0x222C,     #  DOUBLE INTEGRAL
    0x81F0: 0x212B,     #  ANGSTROM SIGN
    0x81F1: 0x2030,     #  PER MILLE SIGN
    0x81F2: 0x266F,     #  MUSIC SHARP SIGN
    0x81F3: 0x266D,     #  MUSIC FLAT SIGN
    0x81F4: 0x266A,     #  EIGHTH NOTE
    0x81F5: 0x2020,     #  DAGGER
    0x81F6: 0x2021,     #  DOUBLE DAGGER
    0x81F7: 0x00B6,     #  PILCROW SIGN
    0x81FC: 0x25EF,     #  LARGE CIRCLE
    0x824F: 0xFF10,     #  FULLWIDTH DIGIT ZERO
    0x8250: 0xFF11,     #  FULLWIDTH DIGIT ONE
    0x8251: 0xFF12,     #  FULLWIDTH DIGIT TWO
    0x8252: 0xFF13,     #  FULLWIDTH DIGIT THREE
    0x8253: 0xFF14,     #  FULLWIDTH DIGIT FOUR
    0x8254: 0xFF15,     #  FULLWIDTH DIGIT FIVE
    0x8255: 0xFF16,     #  FULLWIDTH DIGIT SIX
    0x8256: 0xFF17,     #  FULLWIDTH DIGIT SEVEN
    0x8257: 0xFF18,     #  FULLWIDTH DIGIT EIGHT
    0x8258: 0xFF19,     #  FULLWIDTH DIGIT NINE
    0x8260: 0xFF21,     #  FULLWIDTH LATIN CAPITAL LETTER A
    0x8261: 0xFF22,     #  FULLWIDTH LATIN CAPITAL LETTER B
    0x8262: 0xFF23,     #  FULLWIDTH LATIN CAPITAL LETTER C
    0x8263: 0xFF24,     #  FULLWIDTH LATIN CAPITAL LETTER D
    0x8264: 0xFF25,     #  FULLWIDTH LATIN CAPITAL LETTER E
    0x8265: 0xFF26,     #  FULLWIDTH LATIN CAPITAL LETTER F
    0x8266: 0xFF27,     #  FULLWIDTH LATIN CAPITAL LETTER G
    0x8267: 0xFF28,     #  FULLWIDTH LATIN CAPITAL LETTER H
    0x8268: 0xFF29,     #  FULLWIDTH LATIN CAPITAL LETTER I
    0x8269: 0xFF2A,     #  FULLWIDTH LATIN CAPITAL LETTER J
    0x826A: 0xFF2B,     #  FULLWIDTH LATIN CAPITAL LETTER K
    0x826B: 0xFF2C,     #  FULLWIDTH LATIN CAPITAL LETTER L
    0x826C: 0xFF2D,     #  FULLWIDTH LATIN CAPITAL LETTER M
    0x826D: 0xFF2E,     #  FULLWIDTH LATIN CAPITAL LETTER N
    0x826E: 0xFF2F,     #  FULLWIDTH LATIN CAPITAL LETTER O
    0x826F: 0xFF30,     #  FULLWIDTH LATIN CAPITAL LETTER P
    0x8270: 0xFF31,     #  FULLWIDTH LATIN CAPITAL LETTER Q
    0x8271: 0xFF32,     #  FULLWIDTH LATIN CAPITAL LETTER R
    0x8272: 0xFF33,     #  FULLWIDTH LATIN CAPITAL LETTER S
    0x8273: 0xFF34,     #  FULLWIDTH LATIN CAPITAL LETTER T
    0x8274: 0xFF35,     #  FULLWIDTH LATIN CAPITAL LETTER U
    0x8275: 0xFF36,     #  FULLWIDTH LATIN CAPITAL LETTER V
    0x8276: 0xFF37,     #  FULLWIDTH LATIN CAPITAL LETTER W
    0x8277: 0xFF38,     #  FULLWIDTH LATIN CAPITAL LETTER X
    0x8278: 0xFF39,     #  FULLWIDTH LATIN CAPITAL LETTER Y
    0x8279: 0xFF3A,     #  FULLWIDTH LATIN CAPITAL LETTER Z
    0x8281: 0xFF41,     #  FULLWIDTH LATIN SMALL LETTER A
    0x8282: 0xFF42,     #  FULLWIDTH LATIN SMALL LETTER B
    0x8283: 0xFF43,     #  FULLWIDTH LATIN SMALL LETTER C
    0x8284: 0xFF44,     #  FULLWIDTH LATIN SMALL LETTER D
    0x8285: 0xFF45,     #  FULLWIDTH LATIN SMALL LETTER E
    0x8286: 0xFF46,     #  FULLWIDTH LATIN SMALL LETTER F
    0x8287: 0xFF47,     #  FULLWIDTH LATIN SMALL LETTER G
    0x8288: 0xFF48,     #  FULLWIDTH LATIN SMALL LETTER H
    0x8289: 0xFF49,     #  FULLWIDTH LATIN SMALL LETTER I
    0x828A: 0xFF4A,     #  FULLWIDTH LATIN SMALL LETTER J
    0x828B: 0xFF4B,     #  FULLWIDTH LATIN SMALL LETTER K
    0x828C: 0xFF4C,     #  FULLWIDTH LATIN SMALL LETTER L
    0x828D: 0xFF4D,     #  FULLWIDTH LATIN SMALL LETTER M
    0x828E: 0xFF4E,     #  FULLWIDTH LATIN SMALL LETTER N
    0x828F: 0xFF4F,     #  FULLWIDTH LATIN SMALL LETTER O
    0x8290: 0xFF50,     #  FULLWIDTH LATIN SMALL LETTER P
    0x8291: 0xFF51,     #  FULLWIDTH LATIN SMALL LETTER Q
    0x8292: 0xFF52,     #  FULLWIDTH LATIN SMALL LETTER R
    0x8293: 0xFF53,     #  FULLWIDTH LATIN SMALL LETTER S
    0x8294: 0xFF54,     #  FULLWIDTH LATIN SMALL LETTER T
    0x8295: 0xFF55,     #  FULLWIDTH LATIN SMALL LETTER U
    0x8296: 0xFF56,     #  FULLWIDTH LATIN SMALL LETTER V
    0x8297: 0xFF57,     #  FULLWIDTH LATIN SMALL LETTER W
    0x8298: 0xFF58,     #  FULLWIDTH LATIN SMALL LETTER X
    0x8299: 0xFF59,     #  FULLWIDTH LATIN SMALL LETTER Y
    0x829A: 0xFF5A,     #  FULLWIDTH LATIN SMALL LETTER Z
    0x829F: 0x3041,     #  HIRAGANA LETTER SMALL A
    0x82A0: 0x3042,     #  HIRAGANA LETTER A
    0x82A1: 0x3043,     #  HIRAGANA LETTER SMALL I
    0x82A2: 0x3044,     #  HIRAGANA LETTER I
    0x82A3: 0x3045,     #  HIRAGANA LETTER SMALL U
    0x82A4: 0x3046,     #  HIRAGANA LETTER U
    0x82A5: 0x3047,     #  HIRAGANA LETTER SMALL E
    0x82A6: 0x3048,     #  HIRAGANA LETTER E
    0x82A7: 0x3049,     #  HIRAGANA LETTER SMALL O
    0x82A8: 0x304A,     #  HIRAGANA LETTER O
    0x82A9: 0x304B,     #  HIRAGANA LETTER KA
    0x82AA: 0x304C,     #  HIRAGANA LETTER GA
    0x82AB: 0x304D,     #  HIRAGANA LETTER KI
    0x82AC: 0x304E,     #  HIRAGANA LETTER GI
    0x82AD: 0x304F,     #  HIRAGANA LETTER KU
    0x82AE: 0x3050,     #  HIRAGANA LETTER GU
    0x82AF: 0x3051,     #  HIRAGANA LETTER KE
    0x82B0: 0x3052,     #  HIRAGANA LETTER GE
    0x82B1: 0x3053,     #  HIRAGANA LETTER KO
    0x82B2: 0x3054,     #  HIRAGANA LETTER GO
    0x82B3: 0x3055,     #  HIRAGANA LETTER SA
    0x82B4: 0x3056,     #  HIRAGANA LETTER ZA
    0x82B5: 0x3057,     #  HIRAGANA LETTER SI
    0x82B6: 0x3058,     #  HIRAGANA LETTER ZI
    0x82B7: 0x3059,     #  HIRAGANA LETTER SU
    0x82B8: 0x305A,     #  HIRAGANA LETTER ZU
    0x82B9: 0x305B,     #  HIRAGANA LETTER SE
    0x82BA: 0x305C,     #  HIRAGANA LETTER ZE
    0x82BB: 0x305D,     #  HIRAGANA LETTER SO
    0x82BC: 0x305E,     #  HIRAGANA LETTER ZO
    0x82BD: 0x305F,     #  HIRAGANA LETTER TA
    0x82BE: 0x3060,     #  HIRAGANA LETTER DA
    0x82BF: 0x3061,     #  HIRAGANA LETTER TI
    0x82C0: 0x3062,     #  HIRAGANA LETTER DI
    0x82C1: 0x3063,     #  HIRAGANA LETTER SMALL TU
    0x82C2: 0x3064,     #  HIRAGANA LETTER TU
    0x82C3: 0x3065,     #  HIRAGANA LETTER DU
    0x82C4: 0x3066,     #  HIRAGANA LETTER TE
    0x82C5: 0x3067,     #  HIRAGANA LETTER DE
    0x82C6: 0x3068,     #  HIRAGANA LETTER TO
    0x82C7: 0x3069,     #  HIRAGANA LETTER DO
    0x82C8: 0x306A,     #  HIRAGANA LETTER NA
    0x82C9: 0x306B,     #  HIRAGANA LETTER NI
    0x82CA: 0x306C,     #  HIRAGANA LETTER NU
    0x82CB: 0x306D,     #  HIRAGANA LETTER NE
    0x82CC: 0x306E,     #  HIRAGANA LETTER NO
    0x82CD: 0x306F,     #  HIRAGANA LETTER HA
    0x82CE: 0x3070,     #  HIRAGANA LETTER BA
    0x82CF: 0x3071,     #  HIRAGANA LETTER PA
    0x82D0: 0x3072,     #  HIRAGANA LETTER HI
    0x82D1: 0x3073,     #  HIRAGANA LETTER BI
    0x82D2: 0x3074,     #  HIRAGANA LETTER PI
    0x82D3: 0x3075,     #  HIRAGANA LETTER HU
    0x82D4: 0x3076,     #  HIRAGANA LETTER BU
    0x82D5: 0x3077,     #  HIRAGANA LETTER PU
    0x82D6: 0x3078,     #  HIRAGANA LETTER HE
    0x82D7: 0x3079,     #  HIRAGANA LETTER BE
    0x82D8: 0x307A,     #  HIRAGANA LETTER PE
    0x82D9: 0x307B,     #  HIRAGANA LETTER HO
    0x82DA: 0x307C,     #  HIRAGANA LETTER BO
    0x82DB: 0x307D,     #  HIRAGANA LETTER PO
    0x82DC: 0x307E,     #  HIRAGANA LETTER MA
    0x82DD: 0x307F,     #  HIRAGANA LETTER MI
    0x82DE: 0x3080,     #  HIRAGANA LETTER MU
    0x82DF: 0x3081,     #  HIRAGANA LETTER ME
    0x82E0: 0x3082,     #  HIRAGANA LETTER MO
    0x82E1: 0x3083,     #  HIRAGANA LETTER SMALL YA
    0x82E2: 0x3084,     #  HIRAGANA LETTER YA
    0x82E3: 0x3085,     #  HIRAGANA LETTER SMALL YU
    0x82E4: 0x3086,     #  HIRAGANA LETTER YU
    0x82E5: 0x3087,     #  HIRAGANA LETTER SMALL YO
    0x82E6: 0x3088,     #  HIRAGANA LETTER YO
    0x82E7: 0x3089,     #  HIRAGANA LETTER RA
    0x82E8: 0x308A,     #  HIRAGANA LETTER RI
    0x82E9: 0x308B,     #  HIRAGANA LETTER RU
    0x82EA: 0x308C,     #  HIRAGANA LETTER RE
    0x82EB: 0x308D,     #  HIRAGANA LETTER RO
    0x82EC: 0x308E,     #  HIRAGANA LETTER SMALL WA
    0x82ED: 0x308F,     #  HIRAGANA LETTER WA
    0x82EE: 0x3090,     #  HIRAGANA LETTER WI
    0x82EF: 0x3091,     #  HIRAGANA LETTER WE
    0x82F0: 0x3092,     #  HIRAGANA LETTER WO
    0x82F1: 0x3093,     #  HIRAGANA LETTER N
    0x8340: 0x30A1,     #  KATAKANA LETTER SMALL A
    0x8341: 0x30A2,     #  KATAKANA LETTER A
    0x8342: 0x30A3,     #  KATAKANA LETTER SMALL I
    0x8343: 0x30A4,     #  KATAKANA LETTER I
    0x8344: 0x30A5,     #  KATAKANA LETTER SMALL U
    0x8345: 0x30A6,     #  KATAKANA LETTER U
    0x8346: 0x30A7,     #  KATAKANA LETTER SMALL E
    0x8347: 0x30A8,     #  KATAKANA LETTER E
    0x8348: 0x30A9,     #  KATAKANA LETTER SMALL O
    0x8349: 0x30AA,     #  KATAKANA LETTER O
    0x834A: 0x30AB,     #  KATAKANA LETTER KA
    0x834B: 0x30AC,     #  KATAKANA LETTER GA
    0x834C: 0x30AD,     #  KATAKANA LETTER KI
    0x834D: 0x30AE,     #  KATAKANA LETTER GI
    0x834E: 0x30AF,     #  KATAKANA LETTER KU
    0x834F: 0x30B0,     #  KATAKANA LETTER GU
    0x8350: 0x30B1,     #  KATAKANA LETTER KE
    0x8351: 0x30B2,     #  KATAKANA LETTER GE
    0x8352: 0x30B3,     #  KATAKANA LETTER KO
    0x8353: 0x30B4,     #  KATAKANA LETTER GO
    0x8354: 0x30B5,     #  KATAKANA LETTER SA
    0x8355: 0x30B6,     #  KATAKANA LETTER ZA
    0x8356: 0x30B7,     #  KATAKANA LETTER SI
    0x8357: 0x30B8,     #  KATAKANA LETTER ZI
    0x8358: 0x30B9,     #  KATAKANA LETTER SU
    0x8359: 0x30BA,     #  KATAKANA LETTER ZU
    0x835A: 0x30BB,     #  KATAKANA LETTER SE
    0x835B: 0x30BC,     #  KATAKANA LETTER ZE
    0x835C: 0x30BD,     #  KATAKANA LETTER SO
    0x835D: 0x30BE,     #  KATAKANA LETTER ZO
    0x835E: 0x30BF,     #  KATAKANA LETTER TA
    0x835F: 0x30C0,     #  KATAKANA LETTER DA
    0x8360: 0x30C1,     #  KATAKANA LETTER TI
    0x8361: 0x30C2,     #  KATAKANA LETTER DI
    0x8362: 0x30C3,     #  KATAKANA LETTER SMALL TU
    0x8363: 0x30C4,     #  KATAKANA LETTER TU
    0x8364: 0x30C5,     #  KATAKANA LETTER DU
    0x8365: 0x30C6,     #  KATAKANA LETTER TE
    0x8366: 0x30C7,     #  KATAKANA LETTER DE
    0x8367: 0x30C8,     #  KATAKANA LETTER TO
    0x8368: 0x30C9,     #  KATAKANA LETTER DO
    0x8369: 0x30CA,     #  KATAKANA LETTER NA
    0x836A: 0x30CB,     #  KATAKANA LETTER NI
    0x836B: 0x30CC,     #  KATAKANA LETTER NU
    0x836C: 0x30CD,     #  KATAKANA LETTER NE
    0x836D: 0x30CE,     #  KATAKANA LETTER NO
    0x836E: 0x30CF,     #  KATAKANA LETTER HA
    0x836F: 0x30D0,     #  KATAKANA LETTER BA
    0x8370: 0x30D1,     #  KATAKANA LETTER PA
    0x8371: 0x30D2,     #  KATAKANA LETTER HI
    0x8372: 0x30D3,     #  KATAKANA LETTER BI
    0x8373: 0x30D4,     #  KATAKANA LETTER PI
    0x8374: 0x30D5,     #  KATAKANA LETTER HU
    0x8375: 0x30D6,     #  KATAKANA LETTER BU
    0x8376: 0x30D7,     #  KATAKANA LETTER PU
    0x8377: 0x30D8,     #  KATAKANA LETTER HE
    0x8378: 0x30D9,     #  KATAKANA LETTER BE
    0x8379: 0x30DA,     #  KATAKANA LETTER PE
    0x837A: 0x30DB,     #  KATAKANA LETTER HO
    0x837B: 0x30DC,     #  KATAKANA LETTER BO
    0x837C: 0x30DD,     #  KATAKANA LETTER PO
    0x837D: 0x30DE,     #  KATAKANA LETTER MA
    0x837E: 0x30DF,     #  KATAKANA LETTER MI
    0x8380: 0x30E0,     #  KATAKANA LETTER MU
    0x8381: 0x30E1,     #  KATAKANA LETTER ME
    0x8382: 0x30E2,     #  KATAKANA LETTER MO
    0x8383: 0x30E3,     #  KATAKANA LETTER SMALL YA
    0x8384: 0x30E4,     #  KATAKANA LETTER YA
    0x8385: 0x30E5,     #  KATAKANA LETTER SMALL YU
    0x8386: 0x30E6,     #  KATAKANA LETTER YU
    0x8387: 0x30E7,     #  KATAKANA LETTER SMALL YO
    0x8388: 0x30E8,     #  KATAKANA LETTER YO
    0x8389: 0x30E9,     #  KATAKANA LETTER RA
    0x838A: 0x30EA,     #  KATAKANA LETTER RI
    0x838B: 0x30EB,     #  KATAKANA LETTER RU
    0x838C: 0x30EC,     #  KATAKANA LETTER RE
    0x838D: 0x30ED,     #  KATAKANA LETTER RO
    0x838E: 0x30EE,     #  KATAKANA LETTER SMALL WA
    0x838F: 0x30EF,     #  KATAKANA LETTER WA
    0x8390: 0x30F0,     #  KATAKANA LETTER WI
    0x8391: 0x30F1,     #  KATAKANA LETTER WE
    0x8392: 0x30F2,     #  KATAKANA LETTER WO
    0x8393: 0x30F3,     #  KATAKANA LETTER N
    0x8394: 0x30F4,     #  KATAKANA LETTER VU
    0x8395: 0x30F5,     #  KATAKANA LETTER SMALL KA
    0x8396: 0x30F6,     #  KATAKANA LETTER SMALL KE
    0x839F: 0x0391,     #  GREEK CAPITAL LETTER ALPHA
    0x83A0: 0x0392,     #  GREEK CAPITAL LETTER BETA
    0x83A1: 0x0393,     #  GREEK CAPITAL LETTER GAMMA
    0x83A2: 0x0394,     #  GREEK CAPITAL LETTER DELTA
    0x83A3: 0x0395,     #  GREEK CAPITAL LETTER EPSILON
    0x83A4: 0x0396,     #  GREEK CAPITAL LETTER ZETA
    0x83A5: 0x0397,     #  GREEK CAPITAL LETTER ETA
    0x83A6: 0x0398,     #  GREEK CAPITAL LETTER THETA
    0x83A7: 0x0399,     #  GREEK CAPITAL LETTER IOTA
    0x83A8: 0x039A,     #  GREEK CAPITAL LETTER KAPPA
    0x83A9: 0x039B,     #  GREEK CAPITAL LETTER LAMDA
    0x83AA: 0x039C,     #  GREEK CAPITAL LETTER MU
    0x83AB: 0x039D,     #  GREEK CAPITAL LETTER NU
    0x83AC: 0x039E,     #  GREEK CAPITAL LETTER XI
    0x83AD: 0x039F,     #  GREEK CAPITAL LETTER OMICRON
    0x83AE: 0x03A0,     #  GREEK CAPITAL LETTER PI
    0x83AF: 0x03A1,     #  GREEK CAPITAL LETTER RHO
    0x83B0: 0x03A3,     #  GREEK CAPITAL LETTER SIGMA
    0x83B1: 0x03A4,     #  GREEK CAPITAL LETTER TAU
    0x83B2: 0x03A5,     #  GREEK CAPITAL LETTER UPSILON
    0x83B3: 0x03A6,     #  GREEK CAPITAL LETTER PHI
    0x83B4: 0x03A7,     #  GREEK CAPITAL LETTER CHI
    0x83B5: 0x03A8,     #  GREEK CAPITAL LETTER PSI
    0x83B6: 0x03A9,     #  GREEK CAPITAL LETTER OMEGA
    0x83BF: 0x03B1,     #  GREEK SMALL LETTER ALPHA
    0x83C0: 0x03B2,     #  GREEK SMALL LETTER BETA
    0x83C1: 0x03B3,     #  GREEK SMALL LETTER GAMMA
    0x83C2: 0x03B4,     #  GREEK SMALL LETTER DELTA
    0x83C3: 0x03B5,     #  GREEK SMALL LETTER EPSILON
    0x83C4: 0x03B6,     #  GREEK SMALL LETTER ZETA
    0x83C5: 0x03B7,     #  GREEK SMALL LETTER ETA
    0x83C6: 0x03B8,     #  GREEK SMALL LETTER THETA
    0x83C7: 0x03B9,     #  GREEK SMALL LETTER IOTA
    0x83C8: 0x03BA,     #  GREEK SMALL LETTER KAPPA
    0x83C9: 0x03BB,     #  GREEK SMALL LETTER LAMDA
    0x83CA: 0x03BC,     #  GREEK SMALL LETTER MU
    0x83CB: 0x03BD,     #  GREEK SMALL LETTER NU
    0x83CC: 0x03BE,     #  GREEK SMALL LETTER XI
    0x83CD: 0x03BF,     #  GREEK SMALL LETTER OMICRON
    0x83CE: 0x03C0,     #  GREEK SMALL LETTER PI
    0x83CF: 0x03C1,     #  GREEK SMALL LETTER RHO
    0x83D0: 0x03C3,     #  GREEK SMALL LETTER SIGMA
    0x83D1: 0x03C4,     #  GREEK SMALL LETTER TAU
    0x83D2: 0x03C5,     #  GREEK SMALL LETTER UPSILON
    0x83D3: 0x03C6,     #  GREEK SMALL LETTER PHI
    0x83D4: 0x03C7,     #  GREEK SMALL LETTER CHI
    0x83D5: 0x03C8,     #  GREEK SMALL LETTER PSI
    0x83D6: 0x03C9,     #  GREEK SMALL LETTER OMEGA
    0x8440: 0x0410,     #  CYRILLIC CAPITAL LETTER A
    0x8441: 0x0411,     #  CYRILLIC CAPITAL LETTER BE
    0x8442: 0x0412,     #  CYRILLIC CAPITAL LETTER VE
    0x8443: 0x0413,     #  CYRILLIC CAPITAL LETTER GHE
    0x8444: 0x0414,     #  CYRILLIC CAPITAL LETTER DE
    0x8445: 0x0415,     #  CYRILLIC CAPITAL LETTER IE
    0x8446: 0x0401,     #  CYRILLIC CAPITAL LETTER IO
    0x8447: 0x0416,     #  CYRILLIC CAPITAL LETTER ZHE
    0x8448: 0x0417,     #  CYRILLIC CAPITAL LETTER ZE
    0x8449: 0x0418,     #  CYRILLIC CAPITAL LETTER I
    0x844A: 0x0419,     #  CYRILLIC CAPITAL LETTER SHORT I
    0x844B: 0x041A,     #  CYRILLIC CAPITAL LETTER KA
    0x844C: 0x041B,     #  CYRILLIC CAPITAL LETTER EL
    0x844D: 0x041C,     #  CYRILLIC CAPITAL LETTER EM
    0x844E: 0x041D,     #  CYRILLIC CAPITAL LETTER EN
    0x844F: 0x041E,     #  CYRILLIC CAPITAL LETTER O
    0x8450: 0x041F,     #  CYRILLIC CAPITAL LETTER PE
    0x8451: 0x0420,     #  CYRILLIC CAPITAL LETTER ER
    0x8452: 0x0421,     #  CYRILLIC CAPITAL LETTER ES
    0x8453: 0x0422,     #  CYRILLIC CAPITAL LETTER TE
    0x8454: 0x0423,     #  CYRILLIC CAPITAL LETTER U
    0x8455: 0x0424,     #  CYRILLIC CAPITAL LETTER EF
    0x8456: 0x0425,     #  CYRILLIC CAPITAL LETTER HA
    0x8457: 0x0426,     #  CYRILLIC CAPITAL LETTER TSE
    0x8458: 0x0427,     #  CYRILLIC CAPITAL LETTER CHE
    0x8459: 0x0428,     #  CYRILLIC CAPITAL LETTER SHA
    0x845A: 0x0429,     #  CYRILLIC CAPITAL LETTER SHCHA
    0x845B: 0x042A,     #  CYRILLIC CAPITAL LETTER HARD SIGN
    0x845C: 0x042B,     #  CYRILLIC CAPITAL LETTER YERU
    0x845D: 0x042C,     #  CYRILLIC CAPITAL LETTER SOFT SIGN
    0x845E: 0x042D,     #  CYRILLIC CAPITAL LETTER E
    0x845F: 0x042E,     #  CYRILLIC CAPITAL LETTER YU
    0x8460: 0x042F,     #  CYRILLIC CAPITAL LETTER YA
    0x8470: 0x0430,     #  CYRILLIC SMALL LETTER A
    0x8471: 0x0431,     #  CYRILLIC SMALL LETTER BE
    0x8472: 0x0432,     #  CYRILLIC SMALL LETTER VE
    0x8473: 0x0433,     #  CYRILLIC SMALL LETTER GHE
    0x8474: 0x0434,     #  CYRILLIC SMALL LETTER DE
    0x8475: 0x0435,     #  CYRILLIC SMALL LETTER IE
    0x8476: 0x0451,     #  CYRILLIC SMALL LETTER IO
    0x8477: 0x0436,     #  CYRILLIC SMALL LETTER ZHE
    0x8478: 0x0437,     #  CYRILLIC SMALL LETTER ZE
    0x8479: 0x0438,     #  CYRILLIC SMALL LETTER I
    0x847A: 0x0439,     #  CYRILLIC SMALL LETTER SHORT I
    0x847B: 0x043A,     #  CYRILLIC SMALL LETTER KA
    0x847C: 0x043B,     #  CYRILLIC SMALL LETTER EL
    0x847D: 0x043C,     #  CYRILLIC SMALL LETTER EM
    0x847E: 0x043D,     #  CYRILLIC SMALL LETTER EN
    0x8480: 0x043E,     #  CYRILLIC SMALL LETTER O
    0x8481: 0x043F,     #  CYRILLIC SMALL LETTER PE
    0x8482: 0x0440,     #  CYRILLIC SMALL LETTER ER
    0x8483: 0x0441,     #  CYRILLIC SMALL LETTER ES
    0x8484: 0x0442,     #  CYRILLIC SMALL LETTER TE
    0x8485: 0x0443,     #  CYRILLIC SMALL LETTER U
    0x8486: 0x0444,     #  CYRILLIC SMALL LETTER EF
    0x8487: 0x0445,     #  CYRILLIC SMALL LETTER HA
    0x8488: 0x0446,     #  CYRILLIC SMALL LETTER TSE
    0x8489: 0x0447,     #  CYRILLIC SMALL LETTER CHE
    0x848A: 0x0448,     #  CYRILLIC SMALL LETTER SHA
    0x848B: 0x0449,     #  CYRILLIC SMALL LETTER SHCHA
    0x848C: 0x044A,     #  CYRILLIC SMALL LETTER HARD SIGN
    0x848D: 0x044B,     #  CYRILLIC SMALL LETTER YERU
    0x848E: 0x044C,     #  CYRILLIC SMALL LETTER SOFT SIGN
    0x848F: 0x044D,     #  CYRILLIC SMALL LETTER E
    0x8490: 0x044E,     #  CYRILLIC SMALL LETTER YU
    0x8491: 0x044F,     #  CYRILLIC SMALL LETTER YA
    0x849F: 0x2500,     #  BOX DRAWINGS LIGHT HORIZONTAL
    0x84A0: 0x2502,     #  BOX DRAWINGS LIGHT VERTICAL
    0x84A1: 0x250C,     #  BOX DRAWINGS LIGHT DOWN AND RIGHT
    0x84A2: 0x2510,     #  BOX DRAWINGS LIGHT DOWN AND LEFT
    0x84A3: 0x2518,     #  BOX DRAWINGS LIGHT UP AND LEFT
    0x84A4: 0x2514,     #  BOX DRAWINGS LIGHT UP AND RIGHT
    0x84A5: 0x251C,     #  BOX DRAWINGS LIGHT VERTICAL AND RIGHT
    0x84A6: 0x252C,     #  BOX DRAWINGS LIGHT DOWN AND HORIZONTAL
    0x84A7: 0x2524,     #  BOX DRAWINGS LIGHT VERTICAL AND LEFT
    0x84A8: 0x2534,     #  BOX DRAWINGS LIGHT UP AND HORIZONTAL
    0x84A9: 0x253C,     #  BOX DRAWINGS LIGHT VERTICAL AND HORIZONTAL
    0x84AA: 0x2501,     #  BOX DRAWINGS HEAVY HORIZONTAL
    0x84AB: 0x2503,     #  BOX DRAWINGS HEAVY VERTICAL
    0x84AC: 0x250F,     #  BOX DRAWINGS HEAVY DOWN AND RIGHT
    0x84AD: 0x2513,     #  BOX DRAWINGS HEAVY DOWN AND LEFT
    0x84AE: 0x251B,     #  BOX DRAWINGS HEAVY UP AND LEFT
    0x84AF: 0x2517,     #  BOX DRAWINGS HEAVY UP AND RIGHT
    0x84B0: 0x2523,     #  BOX DRAWINGS HEAVY VERTICAL AND RIGHT
    0x84B1: 0x2533,     #  BOX DRAWINGS HEAVY DOWN AND HORIZONTAL
    0x84B2: 0x252B,     #  BOX DRAWINGS HEAVY VERTICAL AND LEFT
    0x84B3: 0x253B,     #  BOX DRAWINGS HEAVY UP AND HORIZONTAL
    0x84B4: 0x254B,     #  BOX DRAWINGS HEAVY VERTICAL AND HORIZONTAL
    0x84B5: 0x2520,     #  BOX DRAWINGS VERTICAL HEAVY AND RIGHT LIGHT
    0x84B6: 0x252F,     #  BOX DRAWINGS DOWN LIGHT AND HORIZONTAL HEAVY
    0x84B7: 0x2528,     #  BOX DRAWINGS VERTICAL HEAVY AND LEFT LIGHT
    0x84B8: 0x2537,     #  BOX DRAWINGS UP LIGHT AND HORIZONTAL HEAVY
    0x84B9: 0x253F,     #  BOX DRAWINGS VERTICAL LIGHT AND HORIZONTAL HEAVY
    0x84BA: 0x251D,     #  BOX DRAWINGS VERTICAL LIGHT AND RIGHT HEAVY
    0x84BB: 0x2530,     #  BOX DRAWINGS DOWN HEAVY AND HORIZONTAL LIGHT
    0x84BC: 0x2525,     #  BOX DRAWINGS VERTICAL LIGHT AND LEFT HEAVY
    0x84BD: 0x2538,     #  BOX DRAWINGS UP HEAVY AND HORIZONTAL LIGHT
    0x84BE: 0x2542,     #  BOX DRAWINGS VERTICAL HEAVY AND HORIZONTAL LIGHT
    0x8540: 0x2460,     #  CIRCLED DIGIT ONE
    0x8541: 0x2461,     #  CIRCLED DIGIT TWO
    0x8542: 0x2462,     #  CIRCLED DIGIT THREE
    0x8543: 0x2463,     #  CIRCLED DIGIT FOUR
    0x8544: 0x2464,     #  CIRCLED DIGIT FIVE
    0x8545: 0x2465,     #  CIRCLED DIGIT SIX
    0x8546: 0x2466,     #  CIRCLED DIGIT SEVEN
    0x8547: 0x2467,     #  CIRCLED DIGIT EIGHT
    0x8548: 0x2468,     #  CIRCLED DIGIT NINE
    0x8549: 0x2469,     #  CIRCLED NUMBER TEN
    0x854A: 0x246A,     #  CIRCLED NUMBER ELEVEN
    0x854B: 0x246B,     #  CIRCLED NUMBER TWELVE
    0x854C: 0x246C,     #  CIRCLED NUMBER THIRTEEN
    0x854D: 0x246D,     #  CIRCLED NUMBER FOURTEEN
    0x854E: 0x246E,     #  CIRCLED NUMBER FIFTEEN
    0x854F: 0x246F,     #  CIRCLED NUMBER SIXTEEN
    0x8550: 0x2470,     #  CIRCLED NUMBER SEVENTEEN
    0x8551: 0x2471,     #  CIRCLED NUMBER EIGHTEEN
    0x8552: 0x2472,     #  CIRCLED NUMBER NINETEEN
    0x8553: 0x2473,     #  CIRCLED NUMBER TWENTY
    0x855E: 0x2474,     #  PARENTHESIZED DIGIT ONE
    0x855F: 0x2475,     #  PARENTHESIZED DIGIT TWO
    0x8560: 0x2476,     #  PARENTHESIZED DIGIT THREE
    0x8561: 0x2477,     #  PARENTHESIZED DIGIT FOUR
    0x8562: 0x2478,     #  PARENTHESIZED DIGIT FIVE
    0x8563: 0x2479,     #  PARENTHESIZED DIGIT SIX
    0x8564: 0x247A,     #  PARENTHESIZED DIGIT SEVEN
    0x8565: 0x247B,     #  PARENTHESIZED DIGIT EIGHT
    0x8566: 0x247C,     #  PARENTHESIZED DIGIT NINE
    0x8567: 0x247D,     #  PARENTHESIZED NUMBER TEN
    0x8568: 0x247E,     #  PARENTHESIZED NUMBER ELEVEN
    0x8569: 0x247F,     #  PARENTHESIZED NUMBER TWELVE
    0x856A: 0x2480,     #  PARENTHESIZED NUMBER THIRTEEN
    0x856B: 0x2481,     #  PARENTHESIZED NUMBER FOURTEEN
    0x856C: 0x2482,     #  PARENTHESIZED NUMBER FIFTEEN
    0x856D: 0x2483,     #  PARENTHESIZED NUMBER SIXTEEN
    0x856E: 0x2484,     #  PARENTHESIZED NUMBER SEVENTEEN
    0x856F: 0x2485,     #  PARENTHESIZED NUMBER EIGHTEEN
    0x8570: 0x2486,     #  PARENTHESIZED NUMBER NINETEEN
    0x8571: 0x2487,     #  PARENTHESIZED NUMBER TWENTY
    0x857C: 0x2776,     #  DINGBAT NEGATIVE CIRCLED DIGIT ONE
    0x857D: 0x2777,     #  DINGBAT NEGATIVE CIRCLED DIGIT TWO
    0x857E: 0x2778,     #  DINGBAT NEGATIVE CIRCLED DIGIT THREE
    0x8580: 0x2779,     #  DINGBAT NEGATIVE CIRCLED DIGIT FOUR
    0x8581: 0x277A,     #  DINGBAT NEGATIVE CIRCLED DIGIT FIVE
    0x8582: 0x277B,     #  DINGBAT NEGATIVE CIRCLED DIGIT SIX
    0x8583: 0x277C,     #  DINGBAT NEGATIVE CIRCLED DIGIT SEVEN
    0x8584: 0x277D,     #  DINGBAT NEGATIVE CIRCLED DIGIT EIGHT
    0x8585: 0x277E,     #  DINGBAT NEGATIVE CIRCLED DIGIT NINE
    0x8591: (0xF860, 0x0030, 0x002E),   #  digit zero full stop
    0x8592: 0x2488,     #  DIGIT ONE FULL STOP
    0x8593: 0x2489,     #  DIGIT TWO FULL STOP
    0x8594: 0x248A,     #  DIGIT THREE FULL STOP
    0x8595: 0x248B,     #  DIGIT FOUR FULL STOP
    0x8596: 0x248C,     #  DIGIT FIVE FULL STOP
    0x8597: 0x248D,     #  DIGIT SIX FULL STOP
    0x8598: 0x248E,     #  DIGIT SEVEN FULL STOP
    0x8599: 0x248F,     #  DIGIT EIGHT FULL STOP
    0x859A: 0x2490,     #  DIGIT NINE FULL STOP
    0x859F: 0x2160,     #  ROMAN NUMERAL ONE
    0x85A0: 0x2161,     #  ROMAN NUMERAL TWO
    0x85A1: 0x2162,     #  ROMAN NUMERAL THREE
    0x85A2: 0x2163,     #  ROMAN NUMERAL FOUR
    0x85A3: 0x2164,     #  ROMAN NUMERAL FIVE
    0x85A4: 0x2165,     #  ROMAN NUMERAL SIX
    0x85A5: 0x2166,     #  ROMAN NUMERAL SEVEN
    0x85A6: 0x2167,     #  ROMAN NUMERAL EIGHT
    0x85A7: 0x2168,     #  ROMAN NUMERAL NINE
    0x85A8: 0x2169,     #  ROMAN NUMERAL TEN
    0x85A9: 0x216A,     #  ROMAN NUMERAL ELEVEN
    0x85AA: 0x216B,     #  ROMAN NUMERAL TWELVE
    0x85AB: (0xF862, 0x0058, 0x0049, 0x0049, 0x0049),   #  roman numeral thirteen
    0x85AC: (0xF861, 0x0058, 0x0049, 0x0056),   #  roman numeral fourteen
    0x85AD: (0xF860, 0x0058, 0x0056),   #  roman numeral fifteen
    0x85B3: 0x2170,     #  SMALL ROMAN NUMERAL ONE
    0x85B4: 0x2171,     #  SMALL ROMAN NUMERAL TWO
    0x85B5: 0x2172,     #  SMALL ROMAN NUMERAL THREE
    0x85B6: 0x2173,     #  SMALL ROMAN NUMERAL FOUR
    0x85B7: 0x2174,     #  SMALL ROMAN NUMERAL FIVE
    0x85B8: 0x2175,     #  SMALL ROMAN NUMERAL SIX
    0x85B9: 0x2176,     #  SMALL ROMAN NUMERAL SEVEN
    0x85BA: 0x2177,     #  SMALL ROMAN NUMERAL EIGHT
    0x85BB: 0x2178,     #  SMALL ROMAN NUMERAL NINE
    0x85BC: 0x2179,     #  SMALL ROMAN NUMERAL TEN
    0x85BD: 0x217A,     #  SMALL ROMAN NUMERAL ELEVEN
    0x85BE: 0x217B,     #  SMALL ROMAN NUMERAL TWELVE
    0x85BF: (0xF862, 0x0078, 0x0069, 0x0069, 0x0069),   #  small roman numeral thirteen
    0x85C0: (0xF861, 0x0078, 0x0069, 0x0076),   #  small roman numeral fourteen
    0x85C1: (0xF860, 0x0078, 0x0076),   #  small roman numeral fifteen
    0x85DB: 0x249C,     #  PARENTHESIZED LATIN SMALL LETTER A
    0x85DC: 0x249D,     #  PARENTHESIZED LATIN SMALL LETTER B
    0x85DD: 0x249E,     #  PARENTHESIZED LATIN SMALL LETTER C
    0x85DE: 0x249F,     #  PARENTHESIZED LATIN SMALL LETTER D
    0x85DF: 0x24A0,     #  PARENTHESIZED LATIN SMALL LETTER E
    0x85E0: 0x24A1,     #  PARENTHESIZED LATIN SMALL LETTER F
    0x85E1: 0x24A2,     #  PARENTHESIZED LATIN SMALL LETTER G
    0x85E2: 0x24A3,     #  PARENTHESIZED LATIN SMALL LETTER H
    0x85E3: 0x24A4,     #  PARENTHESIZED LATIN SMALL LETTER I
    0x85E4: 0x24A5,     #  PARENTHESIZED LATIN SMALL LETTER J
    0x85E5: 0x24A6,     #  PARENTHESIZED LATIN SMALL LETTER K
    0x85E6: 0x24A7,     #  PARENTHESIZED LATIN SMALL LETTER L
    0x85E7: 0x24A8,     #  PARENTHESIZED LATIN SMALL LETTER M
    0x85E8: 0x24A9,     #  PARENTHESIZED LATIN SMALL LETTER N
    0x85E9: 0x24AA,     #  PARENTHESIZED LATIN SMALL LETTER O
    0x85EA: 0x24AB,     #  PARENTHESIZED LATIN SMALL LETTER P
    0x85EB: 0x24AC,     #  PARENTHESIZED LATIN SMALL LETTER Q
    0x85EC: 0x24AD,     #  PARENTHESIZED LATIN SMALL LETTER R
    0x85ED: 0x24AE,     #  PARENTHESIZED LATIN SMALL LETTER S
    0x85EE: 0x24AF,     #  PARENTHESIZED LATIN SMALL LETTER T
    0x85EF: 0x24B0,     #  PARENTHESIZED LATIN SMALL LETTER U
    0x85F0: 0x24B1,     #  PARENTHESIZED LATIN SMALL LETTER V
    0x85F1: 0x24B2,     #  PARENTHESIZED LATIN SMALL LETTER W
    0x85F2: 0x24B3,     #  PARENTHESIZED LATIN SMALL LETTER X
    0x85F3: 0x24B4,     #  PARENTHESIZED LATIN SMALL LETTER Y
    0x85F4: 0x24B5,     #  PARENTHESIZED LATIN SMALL LETTER Z
    0x8640: 0x339C,     #  SQUARE MM
    0x8641: 0x339F,     #  SQUARE MM SQUARED
    0x8642: 0x339D,     #  SQUARE CM
    0x8643: 0x33A0,     #  SQUARE CM SQUARED
    0x8644: 0x33A4,     #  SQUARE CM CUBED
    0x8645: (0xFF4D, 0xF87F),   #  square m
    0x8646: 0x33A1,     #  SQUARE M SQUARED
    0x8647: 0x33A5,     #  SQUARE M CUBED
    0x8648: 0x339E,     #  SQUARE KM
    0x8649: 0x33A2,     #  SQUARE KM SQUARED
    0x864A: 0x338E,     #  SQUARE MG
    0x864B: (0xFF47, 0xF87F),   #  square g
    0x864C: 0x338F,     #  SQUARE KG
    0x864D: 0x33C4,     #  SQUARE CC
    0x864E: 0x3396,     #  SQUARE ML
    0x864F: 0x3397,     #  SQUARE DL
    0x8650: 0x2113,     #  SCRIPT SMALL L
    0x8651: 0x3398,     #  SQUARE KL
    0x8652: 0x33B3,     #  SQUARE MS
    0x8653: 0x33B2,     #  SQUARE MU S
    0x8654: 0x33B1,     #  SQUARE NS
    0x8655: 0x33B0,     #  SQUARE PS
    0x8656: 0x2109,     #  DEGREE FAHRENHEIT
    0x8657: 0x33D4,     #  SQUARE MB SMALL
    0x8658: 0x33CB,     #  SQUARE HP
    0x8659: 0x3390,     #  SQUARE HZ
    0x865A: 0x3385,     #  SQUARE KB
    0x865B: 0x3386,     #  SQUARE MB
    0x865C: 0x3387,     #  SQUARE GB
    0x865D: (0xF860, 0x0054, 0x0042),   #  square TB
    0x869B: 0x2116,     #  NUMERO SIGN
    0x869C: 0x33CD,     #  SQUARE KK
    0x869D: 0x2121,     #  TELEPHONE SIGN
    0x869E: (0xF861, 0x0046, 0x0041, 0x0058),   #  FAX sign # or for Unicode 4.0, 0x213B FACSIMILE SIGN
    0x869F: 0x2664,     #  WHITE SPADE SUIT
    0x86A0: 0x2667,     #  WHITE CLUB SUIT
    0x86A1: 0x2661,     #  WHITE HEART SUIT
    0x86A2: 0x2662,     #  WHITE DIAMOND SUIT
    0x86A3: 0x2660,     #  BLACK SPADE SUIT
    0x86A4: 0x2663,     #  BLACK CLUB SUIT
    0x86A5: 0x2665,     #  BLACK HEART SUIT
    0x86A6: 0x2666,     #  BLACK DIAMOND SUIT
    0x86B3: 0x3020,     #  POSTAL MARK FACE
    0x86B4: 0x260E,     #  BLACK TELEPHONE
    0x86B5: 0x3004,     #  JAPANESE INDUSTRIAL STANDARD SYMBOL
    0x86C7: 0x261E,     #  WHITE RIGHT POINTING INDEX
    0x86C8: 0x261C,     #  WHITE LEFT POINTING INDEX
    0x86C9: 0x261D,     #  WHITE UP POINTING INDEX
    0x86CA: 0x261F,     #  WHITE DOWN POINTING INDEX
    0x86CB: 0x21C6,     #  LEFTWARDS ARROW OVER RIGHTWARDS ARROW
    0x86CC: 0x21C4,     #  RIGHTWARDS ARROW OVER LEFTWARDS ARROW
    0x86CD: 0x21C5,     #  UPWARDS ARROW LEFTWARDS OF DOWNWARDS ARROW
    0x86CE: (0xF860, 0x2193, 0x2191),   #  downwards arrow leftwards of upwards arrow
    0x86CF: 0x21E8,     #  RIGHTWARDS WHITE ARROW
    0x86D0: 0x21E6,     #  LEFTWARDS WHITE ARROW
    0x86D1: 0x21E7,     #  UPWARDS WHITE ARROW
    0x86D2: 0x21E9,     #  DOWNWARDS WHITE ARROW
    0x86D3: (0x21E8, 0xF87A),   #  rightwards black arrow # or 0x27A1 BLACK RIGHTWARDS ARROW
    0x86D4: (0x21E6, 0xF87A),   #  leftwards black arrow # or for Unicode 4.0, 0x2B05 LEFTWARDS BLACK ARROW
    0x86D5: (0x21E7, 0xF87A),   #  upwards black arrow # or for Unicode 4.0, 0x2B06 UPWARDS BLACK ARROW
    0x86D6: (0x21E9, 0xF87A),   #  downwards black arrow # or for Unicode 4.0, 0x2B07 DOWNWARDS BLACK ARROW
    0x8740: 0x3230,     #  PARENTHESIZED IDEOGRAPH SUN
    0x8741: 0x322A,     #  PARENTHESIZED IDEOGRAPH MOON
    0x8742: 0x322B,     #  PARENTHESIZED IDEOGRAPH FIRE
    0x8743: 0x322C,     #  PARENTHESIZED IDEOGRAPH WATER
    0x8744: 0x322D,     #  PARENTHESIZED IDEOGRAPH WOOD
    0x8745: 0x322E,     #  PARENTHESIZED IDEOGRAPH METAL
    0x8746: 0x322F,     #  PARENTHESIZED IDEOGRAPH EARTH
    0x8747: 0x3240,     #  PARENTHESIZED IDEOGRAPH FESTIVAL
    0x8748: 0x3237,     #  PARENTHESIZED IDEOGRAPH CONGRATULATION
    0x8749: 0x3242,     #  PARENTHESIZED IDEOGRAPH SELF
    0x874A: 0x3243,     #  PARENTHESIZED IDEOGRAPH REACH
    0x874B: 0x3239,     #  PARENTHESIZED IDEOGRAPH REPRESENT
    0x874C: 0x323A,     #  PARENTHESIZED IDEOGRAPH CALL
    0x874D: 0x3231,     #  PARENTHESIZED IDEOGRAPH STOCK
    0x874E: 0x323E,     #  PARENTHESIZED IDEOGRAPH RESOURCE
    0x874F: 0x3234,     #  PARENTHESIZED IDEOGRAPH NAME
    0x8750: 0x3232,     #  PARENTHESIZED IDEOGRAPH HAVE
    0x8751: 0x323B,     #  PARENTHESIZED IDEOGRAPH STUDY
    0x8752: 0x3236,     #  PARENTHESIZED IDEOGRAPH FINANCIAL
    0x8753: 0x3233,     #  PARENTHESIZED IDEOGRAPH SOCIETY
    0x8754: 0x3235,     #  PARENTHESIZED IDEOGRAPH SPECIAL
    0x8755: 0x323C,     #  PARENTHESIZED IDEOGRAPH SUPERVISE
    0x8756: 0x323D,     #  PARENTHESIZED IDEOGRAPH ENTERPRISE
    0x8757: 0x323F,     #  PARENTHESIZED IDEOGRAPH ALLIANCE
    0x8758: 0x3238,     #  PARENTHESIZED IDEOGRAPH LABOR
    0x8791: (0x5927, 0x20DD),   #  ideograph big + COMBINING ENCLOSING CIRCLE
    0x8792: (0x5C0F, 0x20DD),   #  ideograph small + COMBINING ENCLOSING CIRCLE
    0x8793: 0x32A4,     #  CIRCLED IDEOGRAPH HIGH
    0x8794: 0x32A5,     #  CIRCLED IDEOGRAPH CENTRE
    0x8795: 0x32A6,     #  CIRCLED IDEOGRAPH LOW
    0x8796: 0x32A7,     #  CIRCLED IDEOGRAPH LEFT
    0x8797: 0x32A8,     #  CIRCLED IDEOGRAPH RIGHT
    0x8798: 0x32A9,     #  CIRCLED IDEOGRAPH MEDICINE
    0x8799: 0x3296,     #  CIRCLED IDEOGRAPH FINANCIAL
    0x879A: 0x329D,     #  CIRCLED IDEOGRAPH EXCELLENT
    0x879B: 0x3298,     #  CIRCLED IDEOGRAPH LABOR
    0x879C: 0x329E,     #  CIRCLED IDEOGRAPH PRINT
    0x879D: (0x63A7, 0x20DD),   #  ideograph memo + COMBINING ENCLOSING CIRCLE
    0x879E: 0x3299,     #  CIRCLED IDEOGRAPH SECRET
    0x879F: 0x3349,     #  SQUARE MIRI
    0x87A0: 0x3322,     #  SQUARE SENTI
    0x87A1: 0x334D,     #  SQUARE MEETORU
    0x87A2: 0x3314,     #  SQUARE KIRO
    0x87A3: 0x3316,     #  SQUARE KIROMEETORU
    0x87A4: 0x3305,     #  SQUARE INTI
    0x87A5: 0x3333,     #  SQUARE HUIITO
    0x87A6: 0x334E,     #  SQUARE YAADO
    0x87A7: 0x3303,     #  SQUARE AARU
    0x87A8: 0x3336,     #  SQUARE HEKUTAARU
    0x87A9: 0x3318,     #  SQUARE GURAMU
    0x87AA: 0x3315,     #  SQUARE KIROGURAMU
    0x87AB: 0x3327,     #  SQUARE TON
    0x87AC: 0x3351,     #  SQUARE RITTORU
    0x87AD: 0x334A,     #  SQUARE MIRIBAARU
    0x87AE: 0x3339,     #  SQUARE HERUTU
    0x87AF: 0x3357,     #  SQUARE WATTO
    0x87B0: 0x330D,     #  SQUARE KARORII
    0x87B1: 0x3342,     #  SQUARE HOON
    0x87B2: 0x3323,     #  SQUARE SENTO
    0x87B3: 0x3326,     #  SQUARE DORU
    0x87B4: 0x333B,     #  SQUARE PEEZI
    0x87B5: 0x332B,     #  SQUARE PAASENTO
    0x87BD: 0x3300,     #  SQUARE APAATO
    0x87BE: 0x331E,     #  SQUARE KOOPO
    0x87BF: 0x332A,     #  SQUARE HAITU
    0x87C0: 0x3331,     #  SQUARE BIRU
    0x87C1: 0x3347,     #  SQUARE MANSYON
    0x87E5: 0x337E,     #  SQUARE ERA NAME MEIZI
    0x87E6: 0x337D,     #  SQUARE ERA NAME TAISYOU
    0x87E7: 0x337C,     #  SQUARE ERA NAME SYOUWA
    0x87E8: 0x337B,     #  SQUARE ERA NAME HEISEI
    0x87FA: 0x337F,     #  SQUARE CORPORATION
    0x87FB: (0xF862, 0x6709, 0x9650, 0x4F1A, 0x793E),   #  square "limited company, ltd. [yuugen gaisha]"
    0x87FC: (0xF862, 0x8CA1, 0x56E3, 0x6CD5, 0x4EBA),   #  square "foundation [zaidan houjin]"
    0x8840: 0x222E,     #  CONTOUR INTEGRAL
    0x8841: 0x221F,     #  RIGHT ANGLE
    0x8842: 0x22BF,     #  RIGHT TRIANGLE
    0x8854: 0x301D,     #  REVERSED DOUBLE PRIME QUOTATION MARK
    0x8855: 0x301F,     #  LOW DOUBLE PRIME QUOTATION MARK
    0x8868: 0x3094,     #  HIRAGANA LETTER VU
    0x886A: 0x30F7,     #  KATAKANA LETTER VA
    0x886B: 0x30F8,     #  KATAKANA LETTER VI
    0x886C: 0x30F9,     #  KATAKANA LETTER VE
    0x886D: 0x30FA,     #  KATAKANA LETTER VO
    0x889F: 0x4E9C,     #  <CJK>
    0x88A0: 0x5516,     #  <CJK>
    0x88A1: 0x5A03,     #  <CJK>
    0x88A2: 0x963F,     #  <CJK>
    0x88A3: 0x54C0,     #  <CJK>
    0x88A4: 0x611B,     #  <CJK>
    0x88A5: 0x6328,     #  <CJK>
    0x88A6: 0x59F6,     #  <CJK>
    0x88A7: 0x9022,     #  <CJK>
    0x88A8: 0x8475,     #  <CJK>
    0x88A9: 0x831C,     #  <CJK>
    0x88AA: 0x7A50,     #  <CJK>
    0x88AB: 0x60AA,     #  <CJK>
    0x88AC: 0x63E1,     #  <CJK>
    0x88AD: 0x6E25,     #  <CJK>
    0x88AE: 0x65ED,     #  <CJK>
    0x88AF: 0x8466,     #  <CJK>
    0x88B0: 0x82A6,     #  <CJK>
    0x88B1: 0x9BF5,     #  <CJK>
    0x88B2: 0x6893,     #  <CJK>
    0x88B3: 0x5727,     #  <CJK>
    0x88B4: 0x65A1,     #  <CJK>
    0x88B5: 0x6271,     #  <CJK>
    0x88B6: 0x5B9B,     #  <CJK>
    0x88B7: 0x59D0,     #  <CJK>
    0x88B8: 0x867B,     #  <CJK>
    0x88B9: 0x98F4,     #  <CJK>
    0x88BA: 0x7D62,     #  <CJK>
    0x88BB: 0x7DBE,     #  <CJK>
    0x88BC: 0x9B8E,     #  <CJK>
    0x88BD: 0x6216,     #  <CJK>
    0x88BE: 0x7C9F,     #  <CJK>
    0x88BF: 0x88B7,     #  <CJK>
    0x88C0: 0x5B89,     #  <CJK>
    0x88C1: 0x5EB5,     #  <CJK>
    0x88C2: 0x6309,     #  <CJK>
    0x88C3: 0x6697,     #  <CJK>
    0x88C4: 0x6848,     #  <CJK>
    0x88C5: 0x95C7,     #  <CJK>
    0x88C6: 0x978D,     #  <CJK>
    0x88C7: 0x674F,     #  <CJK>
    0x88C8: 0x4EE5,     #  <CJK>
    0x88C9: 0x4F0A,     #  <CJK>
    0x88CA: 0x4F4D,     #  <CJK>
    0x88CB: 0x4F9D,     #  <CJK>
    0x88CC: 0x5049,     #  <CJK>
    0x88CD: 0x56F2,     #  <CJK>
    0x88CE: 0x5937,     #  <CJK>
    0x88CF: 0x59D4,     #  <CJK>
    0x88D0: 0x5A01,     #  <CJK>
    0x88D1: 0x5C09,     #  <CJK>
    0x88D2: 0x60DF,     #  <CJK>
    0x88D3: 0x610F,     #  <CJK>
    0x88D4: 0x6170,     #  <CJK>
    0x88D5: 0x6613,     #  <CJK>
    0x88D6: 0x6905,     #  <CJK>
    0x88D7: 0x70BA,     #  <CJK>
    0x88D8: 0x754F,     #  <CJK>
    0x88D9: 0x7570,     #  <CJK>
    0x88DA: 0x79FB,     #  <CJK>
    0x88DB: 0x7DAD,     #  <CJK>
    0x88DC: 0x7DEF,     #  <CJK>
    0x88DD: 0x80C3,     #  <CJK>
    0x88DE: 0x840E,     #  <CJK>
    0x88DF: 0x8863,     #  <CJK>
    0x88E0: 0x8B02,     #  <CJK>
    0x88E1: 0x9055,     #  <CJK>
    0x88E2: 0x907A,     #  <CJK>
    0x88E3: 0x533B,     #  <CJK>
    0x88E4: 0x4E95,     #  <CJK>
    0x88E5: 0x4EA5,     #  <CJK>
    0x88E6: 0x57DF,     #  <CJK>
    0x88E7: 0x80B2,     #  <CJK>
    0x88E8: 0x90C1,     #  <CJK>
    0x88E9: 0x78EF,     #  <CJK>
    0x88EA: 0x4E00,     #  <CJK>
    0x88EB: 0x58F1,     #  <CJK>
    0x88EC: 0x6EA2,     #  <CJK>
    0x88ED: 0x9038,     #  <CJK>
    0x88EE: 0x7A32,     #  <CJK>
    0x88EF: 0x8328,     #  <CJK>
    0x88F0: 0x828B,     #  <CJK>
    0x88F1: 0x9C2F,     #  <CJK>
    0x88F2: 0x5141,     #  <CJK>
    0x88F3: 0x5370,     #  <CJK>
    0x88F4: 0x54BD,     #  <CJK>
    0x88F5: 0x54E1,     #  <CJK>
    0x88F6: 0x56E0,     #  <CJK>
    0x88F7: 0x59FB,     #  <CJK>
    0x88F8: 0x5F15,     #  <CJK>
    0x88F9: 0x98F2,     #  <CJK>
    0x88FA: 0x6DEB,     #  <CJK>
    0x88FB: 0x80E4,     #  <CJK>
    0x88FC: 0x852D,     #  <CJK>
    0x8940: 0x9662,     #  <CJK>
    0x8941: 0x9670,     #  <CJK>
    0x8942: 0x96A0,     #  <CJK>
    0x8943: 0x97FB,     #  <CJK>
    0x8944: 0x540B,     #  <CJK>
    0x8945: 0x53F3,     #  <CJK>
    0x8946: 0x5B87,     #  <CJK>
    0x8947: 0x70CF,     #  <CJK>
    0x8948: 0x7FBD,     #  <CJK>
    0x8949: 0x8FC2,     #  <CJK>
    0x894A: 0x96E8,     #  <CJK>
    0x894B: 0x536F,     #  <CJK>
    0x894C: 0x9D5C,     #  <CJK>
    0x894D: 0x7ABA,     #  <CJK>
    0x894E: 0x4E11,     #  <CJK>
    0x894F: 0x7893,     #  <CJK>
    0x8950: 0x81FC,     #  <CJK>
    0x8951: 0x6E26,     #  <CJK>
    0x8952: 0x5618,     #  <CJK>
    0x8953: 0x5504,     #  <CJK>
    0x8954: 0x6B1D,     #  <CJK>
    0x8955: 0x851A,     #  <CJK>
    0x8956: 0x9C3B,     #  <CJK>
    0x8957: 0x59E5,     #  <CJK>
    0x8958: 0x53A9,     #  <CJK>
    0x8959: 0x6D66,     #  <CJK>
    0x895A: 0x74DC,     #  <CJK>
    0x895B: 0x958F,     #  <CJK>
    0x895C: 0x5642,     #  <CJK>
    0x895D: 0x4E91,     #  <CJK>
    0x895E: 0x904B,     #  <CJK>
    0x895F: 0x96F2,     #  <CJK>
    0x8960: 0x834F,     #  <CJK>
    0x8961: 0x990C,     #  <CJK>
    0x8962: 0x53E1,     #  <CJK>
    0x8963: 0x55B6,     #  <CJK>
    0x8964: 0x5B30,     #  <CJK>
    0x8965: 0x5F71,     #  <CJK>
    0x8966: 0x6620,     #  <CJK>
    0x8967: 0x66F3,     #  <CJK>
    0x8968: 0x6804,     #  <CJK>
    0x8969: 0x6C38,     #  <CJK>
    0x896A: 0x6CF3,     #  <CJK>
    0x896B: 0x6D29,     #  <CJK>
    0x896C: 0x745B,     #  <CJK>
    0x896D: 0x76C8,     #  <CJK>
    0x896E: 0x7A4E,     #  <CJK>
    0x896F: 0x9834,     #  <CJK>
    0x8970: 0x82F1,     #  <CJK>
    0x8971: 0x885B,     #  <CJK>
    0x8972: 0x8A60,     #  <CJK>
    0x8973: 0x92ED,     #  <CJK>
    0x8974: 0x6DB2,     #  <CJK>
    0x8975: 0x75AB,     #  <CJK>
    0x8976: 0x76CA,     #  <CJK>
    0x8977: 0x99C5,     #  <CJK>
    0x8978: 0x60A6,     #  <CJK>
    0x8979: 0x8B01,     #  <CJK>
    0x897A: 0x8D8A,     #  <CJK>
    0x897B: 0x95B2,     #  <CJK>
    0x897C: 0x698E,     #  <CJK>
    0x897D: 0x53AD,     #  <CJK>
    0x897E: 0x5186,     #  <CJK>
    0x8980: 0x5712,     #  <CJK>
    0x8981: 0x5830,     #  <CJK>
    0x8982: 0x5944,     #  <CJK>
    0x8983: 0x5BB4,     #  <CJK>
    0x8984: 0x5EF6,     #  <CJK>
    0x8985: 0x6028,     #  <CJK>
    0x8986: 0x63A9,     #  <CJK>
    0x8987: 0x63F4,     #  <CJK>
    0x8988: 0x6CBF,     #  <CJK>
    0x8989: 0x6F14,     #  <CJK>
    0x898A: 0x708E,     #  <CJK>
    0x898B: 0x7114,     #  <CJK>
    0x898C: 0x7159,     #  <CJK>
    0x898D: 0x71D5,     #  <CJK>
    0x898E: 0x733F,     #  <CJK>
    0x898F: 0x7E01,     #  <CJK>
    0x8990: 0x8276,     #  <CJK>
    0x8991: 0x82D1,     #  <CJK>
    0x8992: 0x8597,     #  <CJK>
    0x8993: 0x9060,     #  <CJK>
    0x8994: 0x925B,     #  <CJK>
    0x8995: 0x9D1B,     #  <CJK>
    0x8996: 0x5869,     #  <CJK>
    0x8997: 0x65BC,     #  <CJK>
    0x8998: 0x6C5A,     #  <CJK>
    0x8999: 0x7525,     #  <CJK>
    0x899A: 0x51F9,     #  <CJK>
    0x899B: 0x592E,     #  <CJK>
    0x899C: 0x5965,     #  <CJK>
    0x899D: 0x5F80,     #  <CJK>
    0x899E: 0x5FDC,     #  <CJK>
    0x899F: 0x62BC,     #  <CJK>
    0x89A0: 0x65FA,     #  <CJK>
    0x89A1: 0x6A2A,     #  <CJK>
    0x89A2: 0x6B27,     #  <CJK>
    0x89A3: 0x6BB4,     #  <CJK>
    0x89A4: 0x738B,     #  <CJK>
    0x89A5: 0x7FC1,     #  <CJK>
    0x89A6: 0x8956,     #  <CJK>
    0x89A7: 0x9D2C,     #  <CJK>
    0x89A8: 0x9D0E,     #  <CJK>
    0x89A9: 0x9EC4,     #  <CJK>
    0x89AA: 0x5CA1,     #  <CJK>
    0x89AB: 0x6C96,     #  <CJK>
    0x89AC: 0x837B,     #  <CJK>
    0x89AD: 0x5104,     #  <CJK>
    0x89AE: 0x5C4B,     #  <CJK>
    0x89AF: 0x61B6,     #  <CJK>
    0x89B0: 0x81C6,     #  <CJK>
    0x89B1: 0x6876,     #  <CJK>
    0x89B2: 0x7261,     #  <CJK>
    0x89B3: 0x4E59,     #  <CJK>
    0x89B4: 0x4FFA,     #  <CJK>
    0x89B5: 0x5378,     #  <CJK>
    0x89B6: 0x6069,     #  <CJK>
    0x89B7: 0x6E29,     #  <CJK>
    0x89B8: 0x7A4F,     #  <CJK>
    0x89B9: 0x97F3,     #  <CJK>
    0x89BA: 0x4E0B,     #  <CJK>
    0x89BB: 0x5316,     #  <CJK>
    0x89BC: 0x4EEE,     #  <CJK>
    0x89BD: 0x4F55,     #  <CJK>
    0x89BE: 0x4F3D,     #  <CJK>
    0x89BF: 0x4FA1,     #  <CJK>
    0x89C0: 0x4F73,     #  <CJK>
    0x89C1: 0x52A0,     #  <CJK>
    0x89C2: 0x53EF,     #  <CJK>
    0x89C3: 0x5609,     #  <CJK>
    0x89C4: 0x590F,     #  <CJK>
    0x89C5: 0x5AC1,     #  <CJK>
    0x89C6: 0x5BB6,     #  <CJK>
    0x89C7: 0x5BE1,     #  <CJK>
    0x89C8: 0x79D1,     #  <CJK>
    0x89C9: 0x6687,     #  <CJK>
    0x89CA: 0x679C,     #  <CJK>
    0x89CB: 0x67B6,     #  <CJK>
    0x89CC: 0x6B4C,     #  <CJK>
    0x89CD: 0x6CB3,     #  <CJK>
    0x89CE: 0x706B,     #  <CJK>
    0x89CF: 0x73C2,     #  <CJK>
    0x89D0: 0x798D,     #  <CJK>
    0x89D1: 0x79BE,     #  <CJK>
    0x89D2: 0x7A3C,     #  <CJK>
    0x89D3: 0x7B87,     #  <CJK>
    0x89D4: 0x82B1,     #  <CJK>
    0x89D5: 0x82DB,     #  <CJK>
    0x89D6: 0x8304,     #  <CJK>
    0x89D7: 0x8377,     #  <CJK>
    0x89D8: 0x83EF,     #  <CJK>
    0x89D9: 0x83D3,     #  <CJK>
    0x89DA: 0x8766,     #  <CJK>
    0x89DB: 0x8AB2,     #  <CJK>
    0x89DC: 0x5629,     #  <CJK>
    0x89DD: 0x8CA8,     #  <CJK>
    0x89DE: 0x8FE6,     #  <CJK>
    0x89DF: 0x904E,     #  <CJK>
    0x89E0: 0x971E,     #  <CJK>
    0x89E1: 0x868A,     #  <CJK>
    0x89E2: 0x4FC4,     #  <CJK>
    0x89E3: 0x5CE8,     #  <CJK>
    0x89E4: 0x6211,     #  <CJK>
    0x89E5: 0x7259,     #  <CJK>
    0x89E6: 0x753B,     #  <CJK>
    0x89E7: 0x81E5,     #  <CJK>
    0x89E8: 0x82BD,     #  <CJK>
    0x89E9: 0x86FE,     #  <CJK>
    0x89EA: 0x8CC0,     #  <CJK>
    0x89EB: 0x96C5,     #  <CJK>
    0x89EC: 0x9913,     #  <CJK>
    0x89ED: 0x99D5,     #  <CJK>
    0x89EE: 0x4ECB,     #  <CJK>
    0x89EF: 0x4F1A,     #  <CJK>
    0x89F0: 0x89E3,     #  <CJK>
    0x89F1: 0x56DE,     #  <CJK>
    0x89F2: 0x584A,     #  <CJK>
    0x89F3: 0x58CA,     #  <CJK>
    0x89F4: 0x5EFB,     #  <CJK>
    0x89F5: 0x5FEB,     #  <CJK>
    0x89F6: 0x602A,     #  <CJK>
    0x89F7: 0x6094,     #  <CJK>
    0x89F8: 0x6062,     #  <CJK>
    0x89F9: 0x61D0,     #  <CJK>
    0x89FA: 0x6212,     #  <CJK>
    0x89FB: 0x62D0,     #  <CJK>
    0x89FC: 0x6539,     #  <CJK>
    0x8A40: 0x9B41,     #  <CJK>
    0x8A41: 0x6666,     #  <CJK>
    0x8A42: 0x68B0,     #  <CJK>
    0x8A43: 0x6D77,     #  <CJK>
    0x8A44: 0x7070,     #  <CJK>
    0x8A45: 0x754C,     #  <CJK>
    0x8A46: 0x7686,     #  <CJK>
    0x8A47: 0x7D75,     #  <CJK>
    0x8A48: 0x82A5,     #  <CJK>
    0x8A49: 0x87F9,     #  <CJK>
    0x8A4A: 0x958B,     #  <CJK>
    0x8A4B: 0x968E,     #  <CJK>
    0x8A4C: 0x8C9D,     #  <CJK>
    0x8A4D: 0x51F1,     #  <CJK>
    0x8A4E: 0x52BE,     #  <CJK>
    0x8A4F: 0x5916,     #  <CJK>
    0x8A50: 0x54B3,     #  <CJK>
    0x8A51: 0x5BB3,     #  <CJK>
    0x8A52: 0x5D16,     #  <CJK>
    0x8A53: 0x6168,     #  <CJK>
    0x8A54: 0x6982,     #  <CJK>
    0x8A55: 0x6DAF,     #  <CJK>
    0x8A56: 0x788D,     #  <CJK>
    0x8A57: 0x84CB,     #  <CJK>
    0x8A58: 0x8857,     #  <CJK>
    0x8A59: 0x8A72,     #  <CJK>
    0x8A5A: 0x93A7,     #  <CJK>
    0x8A5B: 0x9AB8,     #  <CJK>
    0x8A5C: 0x6D6C,     #  <CJK>
    0x8A5D: 0x99A8,     #  <CJK>
    0x8A5E: 0x86D9,     #  <CJK>
    0x8A5F: 0x57A3,     #  <CJK>
    0x8A60: 0x67FF,     #  <CJK>
    0x8A61: 0x86CE,     #  <CJK>
    0x8A62: 0x920E,     #  <CJK>
    0x8A63: 0x5283,     #  <CJK>
    0x8A64: 0x5687,     #  <CJK>
    0x8A65: 0x5404,     #  <CJK>
    0x8A66: 0x5ED3,     #  <CJK>
    0x8A67: 0x62E1,     #  <CJK>
    0x8A68: 0x64B9,     #  <CJK>
    0x8A69: 0x683C,     #  <CJK>
    0x8A6A: 0x6838,     #  <CJK>
    0x8A6B: 0x6BBB,     #  <CJK>
    0x8A6C: 0x7372,     #  <CJK>
    0x8A6D: 0x78BA,     #  <CJK>
    0x8A6E: 0x7A6B,     #  <CJK>
    0x8A6F: 0x899A,     #  <CJK>
    0x8A70: 0x89D2,     #  <CJK>
    0x8A71: 0x8D6B,     #  <CJK>
    0x8A72: 0x8F03,     #  <CJK>
    0x8A73: 0x90ED,     #  <CJK>
    0x8A74: 0x95A3,     #  <CJK>
    0x8A75: 0x9694,     #  <CJK>
    0x8A76: 0x9769,     #  <CJK>
    0x8A77: 0x5B66,     #  <CJK>
    0x8A78: 0x5CB3,     #  <CJK>
    0x8A79: 0x697D,     #  <CJK>
    0x8A7A: 0x984D,     #  <CJK>
    0x8A7B: 0x984E,     #  <CJK>
    0x8A7C: 0x639B,     #  <CJK>
    0x8A7D: 0x7B20,     #  <CJK>
    0x8A7E: 0x6A2B,     #  <CJK>
    0x8A80: 0x6A7F,     #  <CJK>
    0x8A81: 0x68B6,     #  <CJK>
    0x8A82: 0x9C0D,     #  <CJK>
    0x8A83: 0x6F5F,     #  <CJK>
    0x8A84: 0x5272,     #  <CJK>
    0x8A85: 0x559D,     #  <CJK>
    0x8A86: 0x6070,     #  <CJK>
    0x8A87: 0x62EC,     #  <CJK>
    0x8A88: 0x6D3B,     #  <CJK>
    0x8A89: 0x6E07,     #  <CJK>
    0x8A8A: 0x6ED1,     #  <CJK>
    0x8A8B: 0x845B,     #  <CJK>
    0x8A8C: 0x8910,     #  <CJK>
    0x8A8D: 0x8F44,     #  <CJK>
    0x8A8E: 0x4E14,     #  <CJK>
    0x8A8F: 0x9C39,     #  <CJK>
    0x8A90: 0x53F6,     #  <CJK>
    0x8A91: 0x691B,     #  <CJK>
    0x8A92: 0x6A3A,     #  <CJK>
    0x8A93: 0x9784,     #  <CJK>
    0x8A94: 0x682A,     #  <CJK>
    0x8A95: 0x515C,     #  <CJK>
    0x8A96: 0x7AC3,     #  <CJK>
    0x8A97: 0x84B2,     #  <CJK>
    0x8A98: 0x91DC,     #  <CJK>
    0x8A99: 0x938C,     #  <CJK>
    0x8A9A: 0x565B,     #  <CJK>
    0x8A9B: 0x9D28,     #  <CJK>
    0x8A9C: 0x6822,     #  <CJK>
    0x8A9D: 0x8305,     #  <CJK>
    0x8A9E: 0x8431,     #  <CJK>
    0x8A9F: 0x7CA5,     #  <CJK>
    0x8AA0: 0x5208,     #  <CJK>
    0x8AA1: 0x82C5,     #  <CJK>
    0x8AA2: 0x74E6,     #  <CJK>
    0x8AA3: 0x4E7E,     #  <CJK>
    0x8AA4: 0x4F83,     #  <CJK>
    0x8AA5: 0x51A0,     #  <CJK>
    0x8AA6: 0x5BD2,     #  <CJK>
    0x8AA7: 0x520A,     #  <CJK>
    0x8AA8: 0x52D8,     #  <CJK>
    0x8AA9: 0x52E7,     #  <CJK>
    0x8AAA: 0x5DFB,     #  <CJK>
    0x8AAB: 0x559A,     #  <CJK>
    0x8AAC: 0x582A,     #  <CJK>
    0x8AAD: 0x59E6,     #  <CJK>
    0x8AAE: 0x5B8C,     #  <CJK>
    0x8AAF: 0x5B98,     #  <CJK>
    0x8AB0: 0x5BDB,     #  <CJK>
    0x8AB1: 0x5E72,     #  <CJK>
    0x8AB2: 0x5E79,     #  <CJK>
    0x8AB3: 0x60A3,     #  <CJK>
    0x8AB4: 0x611F,     #  <CJK>
    0x8AB5: 0x6163,     #  <CJK>
    0x8AB6: 0x61BE,     #  <CJK>
    0x8AB7: 0x63DB,     #  <CJK>
    0x8AB8: 0x6562,     #  <CJK>
    0x8AB9: 0x67D1,     #  <CJK>
    0x8ABA: 0x6853,     #  <CJK>
    0x8ABB: 0x68FA,     #  <CJK>
    0x8ABC: 0x6B3E,     #  <CJK>
    0x8ABD: 0x6B53,     #  <CJK>
    0x8ABE: 0x6C57,     #  <CJK>
    0x8ABF: 0x6F22,     #  <CJK>
    0x8AC0: 0x6F97,     #  <CJK>
    0x8AC1: 0x6F45,     #  <CJK>
    0x8AC2: 0x74B0,     #  <CJK>
    0x8AC3: 0x7518,     #  <CJK>
    0x8AC4: 0x76E3,     #  <CJK>
    0x8AC5: 0x770B,     #  <CJK>
    0x8AC6: 0x7AFF,     #  <CJK>
    0x8AC7: 0x7BA1,     #  <CJK>
    0x8AC8: 0x7C21,     #  <CJK>
    0x8AC9: 0x7DE9,     #  <CJK>
    0x8ACA: 0x7F36,     #  <CJK>
    0x8ACB: 0x7FF0,     #  <CJK>
    0x8ACC: 0x809D,     #  <CJK>
    0x8ACD: 0x8266,     #  <CJK>
    0x8ACE: 0x839E,     #  <CJK>
    0x8ACF: 0x89B3,     #  <CJK>
    0x8AD0: 0x8ACC,     #  <CJK>
    0x8AD1: 0x8CAB,     #  <CJK>
    0x8AD2: 0x9084,     #  <CJK>
    0x8AD3: 0x9451,     #  <CJK>
    0x8AD4: 0x9593,     #  <CJK>
    0x8AD5: 0x9591,     #  <CJK>
    0x8AD6: 0x95A2,     #  <CJK>
    0x8AD7: 0x9665,     #  <CJK>
    0x8AD8: 0x97D3,     #  <CJK>
    0x8AD9: 0x9928,     #  <CJK>
    0x8ADA: 0x8218,     #  <CJK>
    0x8ADB: 0x4E38,     #  <CJK>
    0x8ADC: 0x542B,     #  <CJK>
    0x8ADD: 0x5CB8,     #  <CJK>
    0x8ADE: 0x5DCC,     #  <CJK>
    0x8ADF: 0x73A9,     #  <CJK>
    0x8AE0: 0x764C,     #  <CJK>
    0x8AE1: 0x773C,     #  <CJK>
    0x8AE2: 0x5CA9,     #  <CJK>
    0x8AE3: 0x7FEB,     #  <CJK>
    0x8AE4: 0x8D0B,     #  <CJK>
    0x8AE5: 0x96C1,     #  <CJK>
    0x8AE6: 0x9811,     #  <CJK>
    0x8AE7: 0x9854,     #  <CJK>
    0x8AE8: 0x9858,     #  <CJK>
    0x8AE9: 0x4F01,     #  <CJK>
    0x8AEA: 0x4F0E,     #  <CJK>
    0x8AEB: 0x5371,     #  <CJK>
    0x8AEC: 0x559C,     #  <CJK>
    0x8AED: 0x5668,     #  <CJK>
    0x8AEE: 0x57FA,     #  <CJK>
    0x8AEF: 0x5947,     #  <CJK>
    0x8AF0: 0x5B09,     #  <CJK>
    0x8AF1: 0x5BC4,     #  <CJK>
    0x8AF2: 0x5C90,     #  <CJK>
    0x8AF3: 0x5E0C,     #  <CJK>
    0x8AF4: 0x5E7E,     #  <CJK>
    0x8AF5: 0x5FCC,     #  <CJK>
    0x8AF6: 0x63EE,     #  <CJK>
    0x8AF7: 0x673A,     #  <CJK>
    0x8AF8: 0x65D7,     #  <CJK>
    0x8AF9: 0x65E2,     #  <CJK>
    0x8AFA: 0x671F,     #  <CJK>
    0x8AFB: 0x68CB,     #  <CJK>
    0x8AFC: 0x68C4,     #  <CJK>
    0x8B40: 0x6A5F,     #  <CJK>
    0x8B41: 0x5E30,     #  <CJK>
    0x8B42: 0x6BC5,     #  <CJK>
    0x8B43: 0x6C17,     #  <CJK>
    0x8B44: 0x6C7D,     #  <CJK>
    0x8B45: 0x757F,     #  <CJK>
    0x8B46: 0x7948,     #  <CJK>
    0x8B47: 0x5B63,     #  <CJK>
    0x8B48: 0x7A00,     #  <CJK>
    0x8B49: 0x7D00,     #  <CJK>
    0x8B4A: 0x5FBD,     #  <CJK>
    0x8B4B: 0x898F,     #  <CJK>
    0x8B4C: 0x8A18,     #  <CJK>
    0x8B4D: 0x8CB4,     #  <CJK>
    0x8B4E: 0x8D77,     #  <CJK>
    0x8B4F: 0x8ECC,     #  <CJK>
    0x8B50: 0x8F1D,     #  <CJK>
    0x8B51: 0x98E2,     #  <CJK>
    0x8B52: 0x9A0E,     #  <CJK>
    0x8B53: 0x9B3C,     #  <CJK>
    0x8B54: 0x4E80,     #  <CJK>
    0x8B55: 0x507D,     #  <CJK>
    0x8B56: 0x5100,     #  <CJK>
    0x8B57: 0x5993,     #  <CJK>
    0x8B58: 0x5B9C,     #  <CJK>
    0x8B59: 0x622F,     #  <CJK>
    0x8B5A: 0x6280,     #  <CJK>
    0x8B5B: 0x64EC,     #  <CJK>
    0x8B5C: 0x6B3A,     #  <CJK>
    0x8B5D: 0x72A0,     #  <CJK>
    0x8B5E: 0x7591,     #  <CJK>
    0x8B5F: 0x7947,     #  <CJK>
    0x8B60: 0x7FA9,     #  <CJK>
    0x8B61: 0x87FB,     #  <CJK>
    0x8B62: 0x8ABC,     #  <CJK>
    0x8B63: 0x8B70,     #  <CJK>
    0x8B64: 0x63AC,     #  <CJK>
    0x8B65: 0x83CA,     #  <CJK>
    0x8B66: 0x97A0,     #  <CJK>
    0x8B67: 0x5409,     #  <CJK>
    0x8B68: 0x5403,     #  <CJK>
    0x8B69: 0x55AB,     #  <CJK>
    0x8B6A: 0x6854,     #  <CJK>
    0x8B6B: 0x6A58,     #  <CJK>
    0x8B6C: 0x8A70,     #  <CJK>
    0x8B6D: 0x7827,     #  <CJK>
    0x8B6E: 0x6775,     #  <CJK>
    0x8B6F: 0x9ECD,     #  <CJK>
    0x8B70: 0x5374,     #  <CJK>
    0x8B71: 0x5BA2,     #  <CJK>
    0x8B72: 0x811A,     #  <CJK>
    0x8B73: 0x8650,     #  <CJK>
    0x8B74: 0x9006,     #  <CJK>
    0x8B75: 0x4E18,     #  <CJK>
    0x8B76: 0x4E45,     #  <CJK>
    0x8B77: 0x4EC7,     #  <CJK>
    0x8B78: 0x4F11,     #  <CJK>
    0x8B79: 0x53CA,     #  <CJK>
    0x8B7A: 0x5438,     #  <CJK>
    0x8B7B: 0x5BAE,     #  <CJK>
    0x8B7C: 0x5F13,     #  <CJK>
    0x8B7D: 0x6025,     #  <CJK>
    0x8B7E: 0x6551,     #  <CJK>
    0x8B80: 0x673D,     #  <CJK>
    0x8B81: 0x6C42,     #  <CJK>
    0x8B82: 0x6C72,     #  <CJK>
    0x8B83: 0x6CE3,     #  <CJK>
    0x8B84: 0x7078,     #  <CJK>
    0x8B85: 0x7403,     #  <CJK>
    0x8B86: 0x7A76,     #  <CJK>
    0x8B87: 0x7AAE,     #  <CJK>
    0x8B88: 0x7B08,     #  <CJK>
    0x8B89: 0x7D1A,     #  <CJK>
    0x8B8A: 0x7CFE,     #  <CJK>
    0x8B8B: 0x7D66,     #  <CJK>
    0x8B8C: 0x65E7,     #  <CJK>
    0x8B8D: 0x725B,     #  <CJK>
    0x8B8E: 0x53BB,     #  <CJK>
    0x8B8F: 0x5C45,     #  <CJK>
    0x8B90: 0x5DE8,     #  <CJK>
    0x8B91: 0x62D2,     #  <CJK>
    0x8B92: 0x62E0,     #  <CJK>
    0x8B93: 0x6319,     #  <CJK>
    0x8B94: 0x6E20,     #  <CJK>
    0x8B95: 0x865A,     #  <CJK>
    0x8B96: 0x8A31,     #  <CJK>
    0x8B97: 0x8DDD,     #  <CJK>
    0x8B98: 0x92F8,     #  <CJK>
    0x8B99: 0x6F01,     #  <CJK>
    0x8B9A: 0x79A6,     #  <CJK>
    0x8B9B: 0x9B5A,     #  <CJK>
    0x8B9C: 0x4EA8,     #  <CJK>
    0x8B9D: 0x4EAB,     #  <CJK>
    0x8B9E: 0x4EAC,     #  <CJK>
    0x8B9F: 0x4F9B,     #  <CJK>
    0x8BA0: 0x4FA0,     #  <CJK>
    0x8BA1: 0x50D1,     #  <CJK>
    0x8BA2: 0x5147,     #  <CJK>
    0x8BA3: 0x7AF6,     #  <CJK>
    0x8BA4: 0x5171,     #  <CJK>
    0x8BA5: 0x51F6,     #  <CJK>
    0x8BA6: 0x5354,     #  <CJK>
    0x8BA7: 0x5321,     #  <CJK>
    0x8BA8: 0x537F,     #  <CJK>
    0x8BA9: 0x53EB,     #  <CJK>
    0x8BAA: 0x55AC,     #  <CJK>
    0x8BAB: 0x5883,     #  <CJK>
    0x8BAC: 0x5CE1,     #  <CJK>
    0x8BAD: 0x5F37,     #  <CJK>
    0x8BAE: 0x5F4A,     #  <CJK>
    0x8BAF: 0x602F,     #  <CJK>
    0x8BB0: 0x6050,     #  <CJK>
    0x8BB1: 0x606D,     #  <CJK>
    0x8BB2: 0x631F,     #  <CJK>
    0x8BB3: 0x6559,     #  <CJK>
    0x8BB4: 0x6A4B,     #  <CJK>
    0x8BB5: 0x6CC1,     #  <CJK>
    0x8BB6: 0x72C2,     #  <CJK>
    0x8BB7: 0x72ED,     #  <CJK>
    0x8BB8: 0x77EF,     #  <CJK>
    0x8BB9: 0x80F8,     #  <CJK>
    0x8BBA: 0x8105,     #  <CJK>
    0x8BBB: 0x8208,     #  <CJK>
    0x8BBC: 0x854E,     #  <CJK>
    0x8BBD: 0x90F7,     #  <CJK>
    0x8BBE: 0x93E1,     #  <CJK>
    0x8BBF: 0x97FF,     #  <CJK>
    0x8BC0: 0x9957,     #  <CJK>
    0x8BC1: 0x9A5A,     #  <CJK>
    0x8BC2: 0x4EF0,     #  <CJK>
    0x8BC3: 0x51DD,     #  <CJK>
    0x8BC4: 0x5C2D,     #  <CJK>
    0x8BC5: 0x6681,     #  <CJK>
    0x8BC6: 0x696D,     #  <CJK>
    0x8BC7: 0x5C40,     #  <CJK>
    0x8BC8: 0x66F2,     #  <CJK>
    0x8BC9: 0x6975,     #  <CJK>
    0x8BCA: 0x7389,     #  <CJK>
    0x8BCB: 0x6850,     #  <CJK>
    0x8BCC: 0x7C81,     #  <CJK>
    0x8BCD: 0x50C5,     #  <CJK>
    0x8BCE: 0x52E4,     #  <CJK>
    0x8BCF: 0x5747,     #  <CJK>
    0x8BD0: 0x5DFE,     #  <CJK>
    0x8BD1: 0x9326,     #  <CJK>
    0x8BD2: 0x65A4,     #  <CJK>
    0x8BD3: 0x6B23,     #  <CJK>
    0x8BD4: 0x6B3D,     #  <CJK>
    0x8BD5: 0x7434,     #  <CJK>
    0x8BD6: 0x7981,     #  <CJK>
    0x8BD7: 0x79BD,     #  <CJK>
    0x8BD8: 0x7B4B,     #  <CJK>
    0x8BD9: 0x7DCA,     #  <CJK>
    0x8BDA: 0x82B9,     #  <CJK>
    0x8BDB: 0x83CC,     #  <CJK>
    0x8BDC: 0x887F,     #  <CJK>
    0x8BDD: 0x895F,     #  <CJK>
    0x8BDE: 0x8B39,     #  <CJK>
    0x8BDF: 0x8FD1,     #  <CJK>
    0x8BE0: 0x91D1,     #  <CJK>
    0x8BE1: 0x541F,     #  <CJK>
    0x8BE2: 0x9280,     #  <CJK>
    0x8BE3: 0x4E5D,     #  <CJK>
    0x8BE4: 0x5036,     #  <CJK>
    0x8BE5: 0x53E5,     #  <CJK>
    0x8BE6: 0x533A,     #  <CJK>
    0x8BE7: 0x72D7,     #  <CJK>
    0x8BE8: 0x7396,     #  <CJK>
    0x8BE9: 0x77E9,     #  <CJK>
    0x8BEA: 0x82E6,     #  <CJK>
    0x8BEB: 0x8EAF,     #  <CJK>
    0x8BEC: 0x99C6,     #  <CJK>
    0x8BED: 0x99C8,     #  <CJK>
    0x8BEE: 0x99D2,     #  <CJK>
    0x8BEF: 0x5177,     #  <CJK>
    0x8BF0: 0x611A,     #  <CJK>
    0x8BF1: 0x865E,     #  <CJK>
    0x8BF2: 0x55B0,     #  <CJK>
    0x8BF3: 0x7A7A,     #  <CJK>
    0x8BF4: 0x5076,     #  <CJK>
    0x8BF5: 0x5BD3,     #  <CJK>
    0x8BF6: 0x9047,     #  <CJK>
    0x8BF7: 0x9685,     #  <CJK>
    0x8BF8: 0x4E32,     #  <CJK>
    0x8BF9: 0x6ADB,     #  <CJK>
    0x8BFA: 0x91E7,     #  <CJK>
    0x8BFB: 0x5C51,     #  <CJK>
    0x8BFC: 0x5C48,     #  <CJK>
    0x8C40: 0x6398,     #  <CJK>
    0x8C41: 0x7A9F,     #  <CJK>
    0x8C42: 0x6C93,     #  <CJK>
    0x8C43: 0x9774,     #  <CJK>
    0x8C44: 0x8F61,     #  <CJK>
    0x8C45: 0x7AAA,     #  <CJK>
    0x8C46: 0x718A,     #  <CJK>
    0x8C47: 0x9688,     #  <CJK>
    0x8C48: 0x7C82,     #  <CJK>
    0x8C49: 0x6817,     #  <CJK>
    0x8C4A: 0x7E70,     #  <CJK>
    0x8C4B: 0x6851,     #  <CJK>
    0x8C4C: 0x936C,     #  <CJK>
    0x8C4D: 0x52F2,     #  <CJK>
    0x8C4E: 0x541B,     #  <CJK>
    0x8C4F: 0x85AB,     #  <CJK>
    0x8C50: 0x8A13,     #  <CJK>
    0x8C51: 0x7FA4,     #  <CJK>
    0x8C52: 0x8ECD,     #  <CJK>
    0x8C53: 0x90E1,     #  <CJK>
    0x8C54: 0x5366,     #  <CJK>
    0x8C55: 0x8888,     #  <CJK>
    0x8C56: 0x7941,     #  <CJK>
    0x8C57: 0x4FC2,     #  <CJK>
    0x8C58: 0x50BE,     #  <CJK>
    0x8C59: 0x5211,     #  <CJK>
    0x8C5A: 0x5144,     #  <CJK>
    0x8C5B: 0x5553,     #  <CJK>
    0x8C5C: 0x572D,     #  <CJK>
    0x8C5D: 0x73EA,     #  <CJK>
    0x8C5E: 0x578B,     #  <CJK>
    0x8C5F: 0x5951,     #  <CJK>
    0x8C60: 0x5F62,     #  <CJK>
    0x8C61: 0x5F84,     #  <CJK>
    0x8C62: 0x6075,     #  <CJK>
    0x8C63: 0x6176,     #  <CJK>
    0x8C64: 0x6167,     #  <CJK>
    0x8C65: 0x61A9,     #  <CJK>
    0x8C66: 0x63B2,     #  <CJK>
    0x8C67: 0x643A,     #  <CJK>
    0x8C68: 0x656C,     #  <CJK>
    0x8C69: 0x666F,     #  <CJK>
    0x8C6A: 0x6842,     #  <CJK>
    0x8C6B: 0x6E13,     #  <CJK>
    0x8C6C: 0x7566,     #  <CJK>
    0x8C6D: 0x7A3D,     #  <CJK>
    0x8C6E: 0x7CFB,     #  <CJK>
    0x8C6F: 0x7D4C,     #  <CJK>
    0x8C70: 0x7D99,     #  <CJK>
    0x8C71: 0x7E4B,     #  <CJK>
    0x8C72: 0x7F6B,     #  <CJK>
    0x8C73: 0x830E,     #  <CJK>
    0x8C74: 0x834A,     #  <CJK>
    0x8C75: 0x86CD,     #  <CJK>
    0x8C76: 0x8A08,     #  <CJK>
    0x8C77: 0x8A63,     #  <CJK>
    0x8C78: 0x8B66,     #  <CJK>
    0x8C79: 0x8EFD,     #  <CJK>
    0x8C7A: 0x981A,     #  <CJK>
    0x8C7B: 0x9D8F,     #  <CJK>
    0x8C7C: 0x82B8,     #  <CJK>
    0x8C7D: 0x8FCE,     #  <CJK>
    0x8C7E: 0x9BE8,     #  <CJK>
    0x8C80: 0x5287,     #  <CJK>
    0x8C81: 0x621F,     #  <CJK>
    0x8C82: 0x6483,     #  <CJK>
    0x8C83: 0x6FC0,     #  <CJK>
    0x8C84: 0x9699,     #  <CJK>
    0x8C85: 0x6841,     #  <CJK>
    0x8C86: 0x5091,     #  <CJK>
    0x8C87: 0x6B20,     #  <CJK>
    0x8C88: 0x6C7A,     #  <CJK>
    0x8C89: 0x6F54,     #  <CJK>
    0x8C8A: 0x7A74,     #  <CJK>
    0x8C8B: 0x7D50,     #  <CJK>
    0x8C8C: 0x8840,     #  <CJK>
    0x8C8D: 0x8A23,     #  <CJK>
    0x8C8E: 0x6708,     #  <CJK>
    0x8C8F: 0x4EF6,     #  <CJK>
    0x8C90: 0x5039,     #  <CJK>
    0x8C91: 0x5026,     #  <CJK>
    0x8C92: 0x5065,     #  <CJK>
    0x8C93: 0x517C,     #  <CJK>
    0x8C94: 0x5238,     #  <CJK>
    0x8C95: 0x5263,     #  <CJK>
    0x8C96: 0x55A7,     #  <CJK>
    0x8C97: 0x570F,     #  <CJK>
    0x8C98: 0x5805,     #  <CJK>
    0x8C99: 0x5ACC,     #  <CJK>
    0x8C9A: 0x5EFA,     #  <CJK>
    0x8C9B: 0x61B2,     #  <CJK>
    0x8C9C: 0x61F8,     #  <CJK>
    0x8C9D: 0x62F3,     #  <CJK>
    0x8C9E: 0x6372,     #  <CJK>
    0x8C9F: 0x691C,     #  <CJK>
    0x8CA0: 0x6A29,     #  <CJK>
    0x8CA1: 0x727D,     #  <CJK>
    0x8CA2: 0x72AC,     #  <CJK>
    0x8CA3: 0x732E,     #  <CJK>
    0x8CA4: 0x7814,     #  <CJK>
    0x8CA5: 0x786F,     #  <CJK>
    0x8CA6: 0x7D79,     #  <CJK>
    0x8CA7: 0x770C,     #  <CJK>
    0x8CA8: 0x80A9,     #  <CJK>
    0x8CA9: 0x898B,     #  <CJK>
    0x8CAA: 0x8B19,     #  <CJK>
    0x8CAB: 0x8CE2,     #  <CJK>
    0x8CAC: 0x8ED2,     #  <CJK>
    0x8CAD: 0x9063,     #  <CJK>
    0x8CAE: 0x9375,     #  <CJK>
    0x8CAF: 0x967A,     #  <CJK>
    0x8CB0: 0x9855,     #  <CJK>
    0x8CB1: 0x9A13,     #  <CJK>
    0x8CB2: 0x9E78,     #  <CJK>
    0x8CB3: 0x5143,     #  <CJK>
    0x8CB4: 0x539F,     #  <CJK>
    0x8CB5: 0x53B3,     #  <CJK>
    0x8CB6: 0x5E7B,     #  <CJK>
    0x8CB7: 0x5F26,     #  <CJK>
    0x8CB8: 0x6E1B,     #  <CJK>
    0x8CB9: 0x6E90,     #  <CJK>
    0x8CBA: 0x7384,     #  <CJK>
    0x8CBB: 0x73FE,     #  <CJK>
    0x8CBC: 0x7D43,     #  <CJK>
    0x8CBD: 0x8237,     #  <CJK>
    0x8CBE: 0x8A00,     #  <CJK>
    0x8CBF: 0x8AFA,     #  <CJK>
    0x8CC0: 0x9650,     #  <CJK>
    0x8CC1: 0x4E4E,     #  <CJK>
    0x8CC2: 0x500B,     #  <CJK>
    0x8CC3: 0x53E4,     #  <CJK>
    0x8CC4: 0x547C,     #  <CJK>
    0x8CC5: 0x56FA,     #  <CJK>
    0x8CC6: 0x59D1,     #  <CJK>
    0x8CC7: 0x5B64,     #  <CJK>
    0x8CC8: 0x5DF1,     #  <CJK>
    0x8CC9: 0x5EAB,     #  <CJK>
    0x8CCA: 0x5F27,     #  <CJK>
    0x8CCB: 0x6238,     #  <CJK>
    0x8CCC: 0x6545,     #  <CJK>
    0x8CCD: 0x67AF,     #  <CJK>
    0x8CCE: 0x6E56,     #  <CJK>
    0x8CCF: 0x72D0,     #  <CJK>
    0x8CD0: 0x7CCA,     #  <CJK>
    0x8CD1: 0x88B4,     #  <CJK>
    0x8CD2: 0x80A1,     #  <CJK>
    0x8CD3: 0x80E1,     #  <CJK>
    0x8CD4: 0x83F0,     #  <CJK>
    0x8CD5: 0x864E,     #  <CJK>
    0x8CD6: 0x8A87,     #  <CJK>
    0x8CD7: 0x8DE8,     #  <CJK>
    0x8CD8: 0x9237,     #  <CJK>
    0x8CD9: 0x96C7,     #  <CJK>
    0x8CDA: 0x9867,     #  <CJK>
    0x8CDB: 0x9F13,     #  <CJK>
    0x8CDC: 0x4E94,     #  <CJK>
    0x8CDD: 0x4E92,     #  <CJK>
    0x8CDE: 0x4F0D,     #  <CJK>
    0x8CDF: 0x5348,     #  <CJK>
    0x8CE0: 0x5449,     #  <CJK>
    0x8CE1: 0x543E,     #  <CJK>
    0x8CE2: 0x5A2F,     #  <CJK>
    0x8CE3: 0x5F8C,     #  <CJK>
    0x8CE4: 0x5FA1,     #  <CJK>
    0x8CE5: 0x609F,     #  <CJK>
    0x8CE6: 0x68A7,     #  <CJK>
    0x8CE7: 0x6A8E,     #  <CJK>
    0x8CE8: 0x745A,     #  <CJK>
    0x8CE9: 0x7881,     #  <CJK>
    0x8CEA: 0x8A9E,     #  <CJK>
    0x8CEB: 0x8AA4,     #  <CJK>
    0x8CEC: 0x8B77,     #  <CJK>
    0x8CED: 0x9190,     #  <CJK>
    0x8CEE: 0x4E5E,     #  <CJK>
    0x8CEF: 0x9BC9,     #  <CJK>
    0x8CF0: 0x4EA4,     #  <CJK>
    0x8CF1: 0x4F7C,     #  <CJK>
    0x8CF2: 0x4FAF,     #  <CJK>
    0x8CF3: 0x5019,     #  <CJK>
    0x8CF4: 0x5016,     #  <CJK>
    0x8CF5: 0x5149,     #  <CJK>
    0x8CF6: 0x516C,     #  <CJK>
    0x8CF7: 0x529F,     #  <CJK>
    0x8CF8: 0x52B9,     #  <CJK>
    0x8CF9: 0x52FE,     #  <CJK>
    0x8CFA: 0x539A,     #  <CJK>
    0x8CFB: 0x53E3,     #  <CJK>
    0x8CFC: 0x5411,     #  <CJK>
    0x8D40: 0x540E,     #  <CJK>
    0x8D41: 0x5589,     #  <CJK>
    0x8D42: 0x5751,     #  <CJK>
    0x8D43: 0x57A2,     #  <CJK>
    0x8D44: 0x597D,     #  <CJK>
    0x8D45: 0x5B54,     #  <CJK>
    0x8D46: 0x5B5D,     #  <CJK>
    0x8D47: 0x5B8F,     #  <CJK>
    0x8D48: 0x5DE5,     #  <CJK>
    0x8D49: 0x5DE7,     #  <CJK>
    0x8D4A: 0x5DF7,     #  <CJK>
    0x8D4B: 0x5E78,     #  <CJK>
    0x8D4C: 0x5E83,     #  <CJK>
    0x8D4D: 0x5E9A,     #  <CJK>
    0x8D4E: 0x5EB7,     #  <CJK>
    0x8D4F: 0x5F18,     #  <CJK>
    0x8D50: 0x6052,     #  <CJK>
    0x8D51: 0x614C,     #  <CJK>
    0x8D52: 0x6297,     #  <CJK>
    0x8D53: 0x62D8,     #  <CJK>
    0x8D54: 0x63A7,     #  <CJK>
    0x8D55: 0x653B,     #  <CJK>
    0x8D56: 0x6602,     #  <CJK>
    0x8D57: 0x6643,     #  <CJK>
    0x8D58: 0x66F4,     #  <CJK>
    0x8D59: 0x676D,     #  <CJK>
    0x8D5A: 0x6821,     #  <CJK>
    0x8D5B: 0x6897,     #  <CJK>
    0x8D5C: 0x69CB,     #  <CJK>
    0x8D5D: 0x6C5F,     #  <CJK>
    0x8D5E: 0x6D2A,     #  <CJK>
    0x8D5F: 0x6D69,     #  <CJK>
    0x8D60: 0x6E2F,     #  <CJK>
    0x8D61: 0x6E9D,     #  <CJK>
    0x8D62: 0x7532,     #  <CJK>
    0x8D63: 0x7687,     #  <CJK>
    0x8D64: 0x786C,     #  <CJK>
    0x8D65: 0x7A3F,     #  <CJK>
    0x8D66: 0x7CE0,     #  <CJK>
    0x8D67: 0x7D05,     #  <CJK>
    0x8D68: 0x7D18,     #  <CJK>
    0x8D69: 0x7D5E,     #  <CJK>
    0x8D6A: 0x7DB1,     #  <CJK>
    0x8D6B: 0x8015,     #  <CJK>
    0x8D6C: 0x8003,     #  <CJK>
    0x8D6D: 0x80AF,     #  <CJK>
    0x8D6E: 0x80B1,     #  <CJK>
    0x8D6F: 0x8154,     #  <CJK>
    0x8D70: 0x818F,     #  <CJK>
    0x8D71: 0x822A,     #  <CJK>
    0x8D72: 0x8352,     #  <CJK>
    0x8D73: 0x884C,     #  <CJK>
    0x8D74: 0x8861,     #  <CJK>
    0x8D75: 0x8B1B,     #  <CJK>
    0x8D76: 0x8CA2,     #  <CJK>
    0x8D77: 0x8CFC,     #  <CJK>
    0x8D78: 0x90CA,     #  <CJK>
    0x8D79: 0x9175,     #  <CJK>
    0x8D7A: 0x9271,     #  <CJK>
    0x8D7B: 0x783F,     #  <CJK>
    0x8D7C: 0x92FC,     #  <CJK>
    0x8D7D: 0x95A4,     #  <CJK>
    0x8D7E: 0x964D,     #  <CJK>
    0x8D80: 0x9805,     #  <CJK>
    0x8D81: 0x9999,     #  <CJK>
    0x8D82: 0x9AD8,     #  <CJK>
    0x8D83: 0x9D3B,     #  <CJK>
    0x8D84: 0x525B,     #  <CJK>
    0x8D85: 0x52AB,     #  <CJK>
    0x8D86: 0x53F7,     #  <CJK>
    0x8D87: 0x5408,     #  <CJK>
    0x8D88: 0x58D5,     #  <CJK>
    0x8D89: 0x62F7,     #  <CJK>
    0x8D8A: 0x6FE0,     #  <CJK>
    0x8D8B: 0x8C6A,     #  <CJK>
    0x8D8C: 0x8F5F,     #  <CJK>
    0x8D8D: 0x9EB9,     #  <CJK>
    0x8D8E: 0x514B,     #  <CJK>
    0x8D8F: 0x523B,     #  <CJK>
    0x8D90: 0x544A,     #  <CJK>
    0x8D91: 0x56FD,     #  <CJK>
    0x8D92: 0x7A40,     #  <CJK>
    0x8D93: 0x9177,     #  <CJK>
    0x8D94: 0x9D60,     #  <CJK>
    0x8D95: 0x9ED2,     #  <CJK>
    0x8D96: 0x7344,     #  <CJK>
    0x8D97: 0x6F09,     #  <CJK>
    0x8D98: 0x8170,     #  <CJK>
    0x8D99: 0x7511,     #  <CJK>
    0x8D9A: 0x5FFD,     #  <CJK>
    0x8D9B: 0x60DA,     #  <CJK>
    0x8D9C: 0x9AA8,     #  <CJK>
    0x8D9D: 0x72DB,     #  <CJK>
    0x8D9E: 0x8FBC,     #  <CJK>
    0x8D9F: 0x6B64,     #  <CJK>
    0x8DA0: 0x9803,     #  <CJK>
    0x8DA1: 0x4ECA,     #  <CJK>
    0x8DA2: 0x56F0,     #  <CJK>
    0x8DA3: 0x5764,     #  <CJK>
    0x8DA4: 0x58BE,     #  <CJK>
    0x8DA5: 0x5A5A,     #  <CJK>
    0x8DA6: 0x6068,     #  <CJK>
    0x8DA7: 0x61C7,     #  <CJK>
    0x8DA8: 0x660F,     #  <CJK>
    0x8DA9: 0x6606,     #  <CJK>
    0x8DAA: 0x6839,     #  <CJK>
    0x8DAB: 0x68B1,     #  <CJK>
    0x8DAC: 0x6DF7,     #  <CJK>
    0x8DAD: 0x75D5,     #  <CJK>
    0x8DAE: 0x7D3A,     #  <CJK>
    0x8DAF: 0x826E,     #  <CJK>
    0x8DB0: 0x9B42,     #  <CJK>
    0x8DB1: 0x4E9B,     #  <CJK>
    0x8DB2: 0x4F50,     #  <CJK>
    0x8DB3: 0x53C9,     #  <CJK>
    0x8DB4: 0x5506,     #  <CJK>
    0x8DB5: 0x5D6F,     #  <CJK>
    0x8DB6: 0x5DE6,     #  <CJK>
    0x8DB7: 0x5DEE,     #  <CJK>
    0x8DB8: 0x67FB,     #  <CJK>
    0x8DB9: 0x6C99,     #  <CJK>
    0x8DBA: 0x7473,     #  <CJK>
    0x8DBB: 0x7802,     #  <CJK>
    0x8DBC: 0x8A50,     #  <CJK>
    0x8DBD: 0x9396,     #  <CJK>
    0x8DBE: 0x88DF,     #  <CJK>
    0x8DBF: 0x5750,     #  <CJK>
    0x8DC0: 0x5EA7,     #  <CJK>
    0x8DC1: 0x632B,     #  <CJK>
    0x8DC2: 0x50B5,     #  <CJK>
    0x8DC3: 0x50AC,     #  <CJK>
    0x8DC4: 0x518D,     #  <CJK>
    0x8DC5: 0x6700,     #  <CJK>
    0x8DC6: 0x54C9,     #  <CJK>
    0x8DC7: 0x585E,     #  <CJK>
    0x8DC8: 0x59BB,     #  <CJK>
    0x8DC9: 0x5BB0,     #  <CJK>
    0x8DCA: 0x5F69,     #  <CJK>
    0x8DCB: 0x624D,     #  <CJK>
    0x8DCC: 0x63A1,     #  <CJK>
    0x8DCD: 0x683D,     #  <CJK>
    0x8DCE: 0x6B73,     #  <CJK>
    0x8DCF: 0x6E08,     #  <CJK>
    0x8DD0: 0x707D,     #  <CJK>
    0x8DD1: 0x91C7,     #  <CJK>
    0x8DD2: 0x7280,     #  <CJK>
    0x8DD3: 0x7815,     #  <CJK>
    0x8DD4: 0x7826,     #  <CJK>
    0x8DD5: 0x796D,     #  <CJK>
    0x8DD6: 0x658E,     #  <CJK>
    0x8DD7: 0x7D30,     #  <CJK>
    0x8DD8: 0x83DC,     #  <CJK>
    0x8DD9: 0x88C1,     #  <CJK>
    0x8DDA: 0x8F09,     #  <CJK>
    0x8DDB: 0x969B,     #  <CJK>
    0x8DDC: 0x5264,     #  <CJK>
    0x8DDD: 0x5728,     #  <CJK>
    0x8DDE: 0x6750,     #  <CJK>
    0x8DDF: 0x7F6A,     #  <CJK>
    0x8DE0: 0x8CA1,     #  <CJK>
    0x8DE1: 0x51B4,     #  <CJK>
    0x8DE2: 0x5742,     #  <CJK>
    0x8DE3: 0x962A,     #  <CJK>
    0x8DE4: 0x583A,     #  <CJK>
    0x8DE5: 0x698A,     #  <CJK>
    0x8DE6: 0x80B4,     #  <CJK>
    0x8DE7: 0x54B2,     #  <CJK>
    0x8DE8: 0x5D0E,     #  <CJK>
    0x8DE9: 0x57FC,     #  <CJK>
    0x8DEA: 0x7895,     #  <CJK>
    0x8DEB: 0x9DFA,     #  <CJK>
    0x8DEC: 0x4F5C,     #  <CJK>
    0x8DED: 0x524A,     #  <CJK>
    0x8DEE: 0x548B,     #  <CJK>
    0x8DEF: 0x643E,     #  <CJK>
    0x8DF0: 0x6628,     #  <CJK>
    0x8DF1: 0x6714,     #  <CJK>
    0x8DF2: 0x67F5,     #  <CJK>
    0x8DF3: 0x7A84,     #  <CJK>
    0x8DF4: 0x7B56,     #  <CJK>
    0x8DF5: 0x7D22,     #  <CJK>
    0x8DF6: 0x932F,     #  <CJK>
    0x8DF7: 0x685C,     #  <CJK>
    0x8DF8: 0x9BAD,     #  <CJK>
    0x8DF9: 0x7B39,     #  <CJK>
    0x8DFA: 0x5319,     #  <CJK>
    0x8DFB: 0x518A,     #  <CJK>
    0x8DFC: 0x5237,     #  <CJK>
    0x8E40: 0x5BDF,     #  <CJK>
    0x8E41: 0x62F6,     #  <CJK>
    0x8E42: 0x64AE,     #  <CJK>
    0x8E43: 0x64E6,     #  <CJK>
    0x8E44: 0x672D,     #  <CJK>
    0x8E45: 0x6BBA,     #  <CJK>
    0x8E46: 0x85A9,     #  <CJK>
    0x8E47: 0x96D1,     #  <CJK>
    0x8E48: 0x7690,     #  <CJK>
    0x8E49: 0x9BD6,     #  <CJK>
    0x8E4A: 0x634C,     #  <CJK>
    0x8E4B: 0x9306,     #  <CJK>
    0x8E4C: 0x9BAB,     #  <CJK>
    0x8E4D: 0x76BF,     #  <CJK>
    0x8E4E: 0x6652,     #  <CJK>
    0x8E4F: 0x4E09,     #  <CJK>
    0x8E50: 0x5098,     #  <CJK>
    0x8E51: 0x53C2,     #  <CJK>
    0x8E52: 0x5C71,     #  <CJK>
    0x8E53: 0x60E8,     #  <CJK>
    0x8E54: 0x6492,     #  <CJK>
    0x8E55: 0x6563,     #  <CJK>
    0x8E56: 0x685F,     #  <CJK>
    0x8E57: 0x71E6,     #  <CJK>
    0x8E58: 0x73CA,     #  <CJK>
    0x8E59: 0x7523,     #  <CJK>
    0x8E5A: 0x7B97,     #  <CJK>
    0x8E5B: 0x7E82,     #  <CJK>
    0x8E5C: 0x8695,     #  <CJK>
    0x8E5D: 0x8B83,     #  <CJK>
    0x8E5E: 0x8CDB,     #  <CJK>
    0x8E5F: 0x9178,     #  <CJK>
    0x8E60: 0x9910,     #  <CJK>
    0x8E61: 0x65AC,     #  <CJK>
    0x8E62: 0x66AB,     #  <CJK>
    0x8E63: 0x6B8B,     #  <CJK>
    0x8E64: 0x4ED5,     #  <CJK>
    0x8E65: 0x4ED4,     #  <CJK>
    0x8E66: 0x4F3A,     #  <CJK>
    0x8E67: 0x4F7F,     #  <CJK>
    0x8E68: 0x523A,     #  <CJK>
    0x8E69: 0x53F8,     #  <CJK>
    0x8E6A: 0x53F2,     #  <CJK>
    0x8E6B: 0x55E3,     #  <CJK>
    0x8E6C: 0x56DB,     #  <CJK>
    0x8E6D: 0x58EB,     #  <CJK>
    0x8E6E: 0x59CB,     #  <CJK>
    0x8E6F: 0x59C9,     #  <CJK>
    0x8E70: 0x59FF,     #  <CJK>
    0x8E71: 0x5B50,     #  <CJK>
    0x8E72: 0x5C4D,     #  <CJK>
    0x8E73: 0x5E02,     #  <CJK>
    0x8E74: 0x5E2B,     #  <CJK>
    0x8E75: 0x5FD7,     #  <CJK>
    0x8E76: 0x601D,     #  <CJK>
    0x8E77: 0x6307,     #  <CJK>
    0x8E78: 0x652F,     #  <CJK>
    0x8E79: 0x5B5C,     #  <CJK>
    0x8E7A: 0x65AF,     #  <CJK>
    0x8E7B: 0x65BD,     #  <CJK>
    0x8E7C: 0x65E8,     #  <CJK>
    0x8E7D: 0x679D,     #  <CJK>
    0x8E7E: 0x6B62,     #  <CJK>
    0x8E80: 0x6B7B,     #  <CJK>
    0x8E81: 0x6C0F,     #  <CJK>
    0x8E82: 0x7345,     #  <CJK>
    0x8E83: 0x7949,     #  <CJK>
    0x8E84: 0x79C1,     #  <CJK>
    0x8E85: 0x7CF8,     #  <CJK>
    0x8E86: 0x7D19,     #  <CJK>
    0x8E87: 0x7D2B,     #  <CJK>
    0x8E88: 0x80A2,     #  <CJK>
    0x8E89: 0x8102,     #  <CJK>
    0x8E8A: 0x81F3,     #  <CJK>
    0x8E8B: 0x8996,     #  <CJK>
    0x8E8C: 0x8A5E,     #  <CJK>
    0x8E8D: 0x8A69,     #  <CJK>
    0x8E8E: 0x8A66,     #  <CJK>
    0x8E8F: 0x8A8C,     #  <CJK>
    0x8E90: 0x8AEE,     #  <CJK>
    0x8E91: 0x8CC7,     #  <CJK>
    0x8E92: 0x8CDC,     #  <CJK>
    0x8E93: 0x96CC,     #  <CJK>
    0x8E94: 0x98FC,     #  <CJK>
    0x8E95: 0x6B6F,     #  <CJK>
    0x8E96: 0x4E8B,     #  <CJK>
    0x8E97: 0x4F3C,     #  <CJK>
    0x8E98: 0x4F8D,     #  <CJK>
    0x8E99: 0x5150,     #  <CJK>
    0x8E9A: 0x5B57,     #  <CJK>
    0x8E9B: 0x5BFA,     #  <CJK>
    0x8E9C: 0x6148,     #  <CJK>
    0x8E9D: 0x6301,     #  <CJK>
    0x8E9E: 0x6642,     #  <CJK>
    0x8E9F: 0x6B21,     #  <CJK>
    0x8EA0: 0x6ECB,     #  <CJK>
    0x8EA1: 0x6CBB,     #  <CJK>
    0x8EA2: 0x723E,     #  <CJK>
    0x8EA3: 0x74BD,     #  <CJK>
    0x8EA4: 0x75D4,     #  <CJK>
    0x8EA5: 0x78C1,     #  <CJK>
    0x8EA6: 0x793A,     #  <CJK>
    0x8EA7: 0x800C,     #  <CJK>
    0x8EA8: 0x8033,     #  <CJK>
    0x8EA9: 0x81EA,     #  <CJK>
    0x8EAA: 0x8494,     #  <CJK>
    0x8EAB: 0x8F9E,     #  <CJK>
    0x8EAC: 0x6C50,     #  <CJK>
    0x8EAD: 0x9E7F,     #  <CJK>
    0x8EAE: 0x5F0F,     #  <CJK>
    0x8EAF: 0x8B58,     #  <CJK>
    0x8EB0: 0x9D2B,     #  <CJK>
    0x8EB1: 0x7AFA,     #  <CJK>
    0x8EB2: 0x8EF8,     #  <CJK>
    0x8EB3: 0x5B8D,     #  <CJK>
    0x8EB4: 0x96EB,     #  <CJK>
    0x8EB5: 0x4E03,     #  <CJK>
    0x8EB6: 0x53F1,     #  <CJK>
    0x8EB7: 0x57F7,     #  <CJK>
    0x8EB8: 0x5931,     #  <CJK>
    0x8EB9: 0x5AC9,     #  <CJK>
    0x8EBA: 0x5BA4,     #  <CJK>
    0x8EBB: 0x6089,     #  <CJK>
    0x8EBC: 0x6E7F,     #  <CJK>
    0x8EBD: 0x6F06,     #  <CJK>
    0x8EBE: 0x75BE,     #  <CJK>
    0x8EBF: 0x8CEA,     #  <CJK>
    0x8EC0: 0x5B9F,     #  <CJK>
    0x8EC1: 0x8500,     #  <CJK>
    0x8EC2: 0x7BE0,     #  <CJK>
    0x8EC3: 0x5072,     #  <CJK>
    0x8EC4: 0x67F4,     #  <CJK>
    0x8EC5: 0x829D,     #  <CJK>
    0x8EC6: 0x5C61,     #  <CJK>
    0x8EC7: 0x854A,     #  <CJK>
    0x8EC8: 0x7E1E,     #  <CJK>
    0x8EC9: 0x820E,     #  <CJK>
    0x8ECA: 0x5199,     #  <CJK>
    0x8ECB: 0x5C04,     #  <CJK>
    0x8ECC: 0x6368,     #  <CJK>
    0x8ECD: 0x8D66,     #  <CJK>
    0x8ECE: 0x659C,     #  <CJK>
    0x8ECF: 0x716E,     #  <CJK>
    0x8ED0: 0x793E,     #  <CJK>
    0x8ED1: 0x7D17,     #  <CJK>
    0x8ED2: 0x8005,     #  <CJK>
    0x8ED3: 0x8B1D,     #  <CJK>
    0x8ED4: 0x8ECA,     #  <CJK>
    0x8ED5: 0x906E,     #  <CJK>
    0x8ED6: 0x86C7,     #  <CJK>
    0x8ED7: 0x90AA,     #  <CJK>
    0x8ED8: 0x501F,     #  <CJK>
    0x8ED9: 0x52FA,     #  <CJK>
    0x8EDA: 0x5C3A,     #  <CJK>
    0x8EDB: 0x6753,     #  <CJK>
    0x8EDC: 0x707C,     #  <CJK>
    0x8EDD: 0x7235,     #  <CJK>
    0x8EDE: 0x914C,     #  <CJK>
    0x8EDF: 0x91C8,     #  <CJK>
    0x8EE0: 0x932B,     #  <CJK>
    0x8EE1: 0x82E5,     #  <CJK>
    0x8EE2: 0x5BC2,     #  <CJK>
    0x8EE3: 0x5F31,     #  <CJK>
    0x8EE4: 0x60F9,     #  <CJK>
    0x8EE5: 0x4E3B,     #  <CJK>
    0x8EE6: 0x53D6,     #  <CJK>
    0x8EE7: 0x5B88,     #  <CJK>
    0x8EE8: 0x624B,     #  <CJK>
    0x8EE9: 0x6731,     #  <CJK>
    0x8EEA: 0x6B8A,     #  <CJK>
    0x8EEB: 0x72E9,     #  <CJK>
    0x8EEC: 0x73E0,     #  <CJK>
    0x8EED: 0x7A2E,     #  <CJK>
    0x8EEE: 0x816B,     #  <CJK>
    0x8EEF: 0x8DA3,     #  <CJK>
    0x8EF0: 0x9152,     #  <CJK>
    0x8EF1: 0x9996,     #  <CJK>
    0x8EF2: 0x5112,     #  <CJK>
    0x8EF3: 0x53D7,     #  <CJK>
    0x8EF4: 0x546A,     #  <CJK>
    0x8EF5: 0x5BFF,     #  <CJK>
    0x8EF6: 0x6388,     #  <CJK>
    0x8EF7: 0x6A39,     #  <CJK>
    0x8EF8: 0x7DAC,     #  <CJK>
    0x8EF9: 0x9700,     #  <CJK>
    0x8EFA: 0x56DA,     #  <CJK>
    0x8EFB: 0x53CE,     #  <CJK>
    0x8EFC: 0x5468,     #  <CJK>
    0x8F40: 0x5B97,     #  <CJK>
    0x8F41: 0x5C31,     #  <CJK>
    0x8F42: 0x5DDE,     #  <CJK>
    0x8F43: 0x4FEE,     #  <CJK>
    0x8F44: 0x6101,     #  <CJK>
    0x8F45: 0x62FE,     #  <CJK>
    0x8F46: 0x6D32,     #  <CJK>
    0x8F47: 0x79C0,     #  <CJK>
    0x8F48: 0x79CB,     #  <CJK>
    0x8F49: 0x7D42,     #  <CJK>
    0x8F4A: 0x7E4D,     #  <CJK>
    0x8F4B: 0x7FD2,     #  <CJK>
    0x8F4C: 0x81ED,     #  <CJK>
    0x8F4D: 0x821F,     #  <CJK>
    0x8F4E: 0x8490,     #  <CJK>
    0x8F4F: 0x8846,     #  <CJK>
    0x8F50: 0x8972,     #  <CJK>
    0x8F51: 0x8B90,     #  <CJK>
    0x8F52: 0x8E74,     #  <CJK>
    0x8F53: 0x8F2F,     #  <CJK>
    0x8F54: 0x9031,     #  <CJK>
    0x8F55: 0x914B,     #  <CJK>
    0x8F56: 0x916C,     #  <CJK>
    0x8F57: 0x96C6,     #  <CJK>
    0x8F58: 0x919C,     #  <CJK>
    0x8F59: 0x4EC0,     #  <CJK>
    0x8F5A: 0x4F4F,     #  <CJK>
    0x8F5B: 0x5145,     #  <CJK>
    0x8F5C: 0x5341,     #  <CJK>
    0x8F5D: 0x5F93,     #  <CJK>
    0x8F5E: 0x620E,     #  <CJK>
    0x8F5F: 0x67D4,     #  <CJK>
    0x8F60: 0x6C41,     #  <CJK>
    0x8F61: 0x6E0B,     #  <CJK>
    0x8F62: 0x7363,     #  <CJK>
    0x8F63: 0x7E26,     #  <CJK>
    0x8F64: 0x91CD,     #  <CJK>
    0x8F65: 0x9283,     #  <CJK>
    0x8F66: 0x53D4,     #  <CJK>
    0x8F67: 0x5919,     #  <CJK>
    0x8F68: 0x5BBF,     #  <CJK>
    0x8F69: 0x6DD1,     #  <CJK>
    0x8F6A: 0x795D,     #  <CJK>
    0x8F6B: 0x7E2E,     #  <CJK>
    0x8F6C: 0x7C9B,     #  <CJK>
    0x8F6D: 0x587E,     #  <CJK>
    0x8F6E: 0x719F,     #  <CJK>
    0x8F6F: 0x51FA,     #  <CJK>
    0x8F70: 0x8853,     #  <CJK>
    0x8F71: 0x8FF0,     #  <CJK>
    0x8F72: 0x4FCA,     #  <CJK>
    0x8F73: 0x5CFB,     #  <CJK>
    0x8F74: 0x6625,     #  <CJK>
    0x8F75: 0x77AC,     #  <CJK>
    0x8F76: 0x7AE3,     #  <CJK>
    0x8F77: 0x821C,     #  <CJK>
    0x8F78: 0x99FF,     #  <CJK>
    0x8F79: 0x51C6,     #  <CJK>
    0x8F7A: 0x5FAA,     #  <CJK>
    0x8F7B: 0x65EC,     #  <CJK>
    0x8F7C: 0x696F,     #  <CJK>
    0x8F7D: 0x6B89,     #  <CJK>
    0x8F7E: 0x6DF3,     #  <CJK>
    0x8F80: 0x6E96,     #  <CJK>
    0x8F81: 0x6F64,     #  <CJK>
    0x8F82: 0x76FE,     #  <CJK>
    0x8F83: 0x7D14,     #  <CJK>
    0x8F84: 0x5DE1,     #  <CJK>
    0x8F85: 0x9075,     #  <CJK>
    0x8F86: 0x9187,     #  <CJK>
    0x8F87: 0x9806,     #  <CJK>
    0x8F88: 0x51E6,     #  <CJK>
    0x8F89: 0x521D,     #  <CJK>
    0x8F8A: 0x6240,     #  <CJK>
    0x8F8B: 0x6691,     #  <CJK>
    0x8F8C: 0x66D9,     #  <CJK>
    0x8F8D: 0x6E1A,     #  <CJK>
    0x8F8E: 0x5EB6,     #  <CJK>
    0x8F8F: 0x7DD2,     #  <CJK>
    0x8F90: 0x7F72,     #  <CJK>
    0x8F91: 0x66F8,     #  <CJK>
    0x8F92: 0x85AF,     #  <CJK>
    0x8F93: 0x85F7,     #  <CJK>
    0x8F94: 0x8AF8,     #  <CJK>
    0x8F95: 0x52A9,     #  <CJK>
    0x8F96: 0x53D9,     #  <CJK>
    0x8F97: 0x5973,     #  <CJK>
    0x8F98: 0x5E8F,     #  <CJK>
    0x8F99: 0x5F90,     #  <CJK>
    0x8F9A: 0x6055,     #  <CJK>
    0x8F9B: 0x92E4,     #  <CJK>
    0x8F9C: 0x9664,     #  <CJK>
    0x8F9D: 0x50B7,     #  <CJK>
    0x8F9E: 0x511F,     #  <CJK>
    0x8F9F: 0x52DD,     #  <CJK>
    0x8FA0: 0x5320,     #  <CJK>
    0x8FA1: 0x5347,     #  <CJK>
    0x8FA2: 0x53EC,     #  <CJK>
    0x8FA3: 0x54E8,     #  <CJK>
    0x8FA4: 0x5546,     #  <CJK>
    0x8FA5: 0x5531,     #  <CJK>
    0x8FA6: 0x5617,     #  <CJK>
    0x8FA7: 0x5968,     #  <CJK>
    0x8FA8: 0x59BE,     #  <CJK>
    0x8FA9: 0x5A3C,     #  <CJK>
    0x8FAA: 0x5BB5,     #  <CJK>
    0x8FAB: 0x5C06,     #  <CJK>
    0x8FAC: 0x5C0F,     #  <CJK>
    0x8FAD: 0x5C11,     #  <CJK>
    0x8FAE: 0x5C1A,     #  <CJK>
    0x8FAF: 0x5E84,     #  <CJK>
    0x8FB0: 0x5E8A,     #  <CJK>
    0x8FB1: 0x5EE0,     #  <CJK>
    0x8FB2: 0x5F70,     #  <CJK>
    0x8FB3: 0x627F,     #  <CJK>
    0x8FB4: 0x6284,     #  <CJK>
    0x8FB5: 0x62DB,     #  <CJK>
    0x8FB6: 0x638C,     #  <CJK>
    0x8FB7: 0x6377,     #  <CJK>
    0x8FB8: 0x6607,     #  <CJK>
    0x8FB9: 0x660C,     #  <CJK>
    0x8FBA: 0x662D,     #  <CJK>
    0x8FBB: 0x6676,     #  <CJK>
    0x8FBC: 0x677E,     #  <CJK>
    0x8FBD: 0x68A2,     #  <CJK>
    0x8FBE: 0x6A1F,     #  <CJK>
    0x8FBF: 0x6A35,     #  <CJK>
    0x8FC0: 0x6CBC,     #  <CJK>
    0x8FC1: 0x6D88,     #  <CJK>
    0x8FC2: 0x6E09,     #  <CJK>
    0x8FC3: 0x6E58,     #  <CJK>
    0x8FC4: 0x713C,     #  <CJK>
    0x8FC5: 0x7126,     #  <CJK>
    0x8FC6: 0x7167,     #  <CJK>
    0x8FC7: 0x75C7,     #  <CJK>
    0x8FC8: 0x7701,     #  <CJK>
    0x8FC9: 0x785D,     #  <CJK>
    0x8FCA: 0x7901,     #  <CJK>
    0x8FCB: 0x7965,     #  <CJK>
    0x8FCC: 0x79F0,     #  <CJK>
    0x8FCD: 0x7AE0,     #  <CJK>
    0x8FCE: 0x7B11,     #  <CJK>
    0x8FCF: 0x7CA7,     #  <CJK>
    0x8FD0: 0x7D39,     #  <CJK>
    0x8FD1: 0x8096,     #  <CJK>
    0x8FD2: 0x83D6,     #  <CJK>
    0x8FD3: 0x848B,     #  <CJK>
    0x8FD4: 0x8549,     #  <CJK>
    0x8FD5: 0x885D,     #  <CJK>
    0x8FD6: 0x88F3,     #  <CJK>
    0x8FD7: 0x8A1F,     #  <CJK>
    0x8FD8: 0x8A3C,     #  <CJK>
    0x8FD9: 0x8A54,     #  <CJK>
    0x8FDA: 0x8A73,     #  <CJK>
    0x8FDB: 0x8C61,     #  <CJK>
    0x8FDC: 0x8CDE,     #  <CJK>
    0x8FDD: 0x91A4,     #  <CJK>
    0x8FDE: 0x9266,     #  <CJK>
    0x8FDF: 0x937E,     #  <CJK>
    0x8FE0: 0x9418,     #  <CJK>
    0x8FE1: 0x969C,     #  <CJK>
    0x8FE2: 0x9798,     #  <CJK>
    0x8FE3: 0x4E0A,     #  <CJK>
    0x8FE4: 0x4E08,     #  <CJK>
    0x8FE5: 0x4E1E,     #  <CJK>
    0x8FE6: 0x4E57,     #  <CJK>
    0x8FE7: 0x5197,     #  <CJK>
    0x8FE8: 0x5270,     #  <CJK>
    0x8FE9: 0x57CE,     #  <CJK>
    0x8FEA: 0x5834,     #  <CJK>
    0x8FEB: 0x58CC,     #  <CJK>
    0x8FEC: 0x5B22,     #  <CJK>
    0x8FED: 0x5E38,     #  <CJK>
    0x8FEE: 0x60C5,     #  <CJK>
    0x8FEF: 0x64FE,     #  <CJK>
    0x8FF0: 0x6761,     #  <CJK>
    0x8FF1: 0x6756,     #  <CJK>
    0x8FF2: 0x6D44,     #  <CJK>
    0x8FF3: 0x72B6,     #  <CJK>
    0x8FF4: 0x7573,     #  <CJK>
    0x8FF5: 0x7A63,     #  <CJK>
    0x8FF6: 0x84B8,     #  <CJK>
    0x8FF7: 0x8B72,     #  <CJK>
    0x8FF8: 0x91B8,     #  <CJK>
    0x8FF9: 0x9320,     #  <CJK>
    0x8FFA: 0x5631,     #  <CJK>
    0x8FFB: 0x57F4,     #  <CJK>
    0x8FFC: 0x98FE,     #  <CJK>
    0x9040: 0x62ED,     #  <CJK>
    0x9041: 0x690D,     #  <CJK>
    0x9042: 0x6B96,     #  <CJK>
    0x9043: 0x71ED,     #  <CJK>
    0x9044: 0x7E54,     #  <CJK>
    0x9045: 0x8077,     #  <CJK>
    0x9046: 0x8272,     #  <CJK>
    0x9047: 0x89E6,     #  <CJK>
    0x9048: 0x98DF,     #  <CJK>
    0x9049: 0x8755,     #  <CJK>
    0x904A: 0x8FB1,     #  <CJK>
    0x904B: 0x5C3B,     #  <CJK>
    0x904C: 0x4F38,     #  <CJK>
    0x904D: 0x4FE1,     #  <CJK>
    0x904E: 0x4FB5,     #  <CJK>
    0x904F: 0x5507,     #  <CJK>
    0x9050: 0x5A20,     #  <CJK>
    0x9051: 0x5BDD,     #  <CJK>
    0x9052: 0x5BE9,     #  <CJK>
    0x9053: 0x5FC3,     #  <CJK>
    0x9054: 0x614E,     #  <CJK>
    0x9055: 0x632F,     #  <CJK>
    0x9056: 0x65B0,     #  <CJK>
    0x9057: 0x664B,     #  <CJK>
    0x9058: 0x68EE,     #  <CJK>
    0x9059: 0x699B,     #  <CJK>
    0x905A: 0x6D78,     #  <CJK>
    0x905B: 0x6DF1,     #  <CJK>
    0x905C: 0x7533,     #  <CJK>
    0x905D: 0x75B9,     #  <CJK>
    0x905E: 0x771F,     #  <CJK>
    0x905F: 0x795E,     #  <CJK>
    0x9060: 0x79E6,     #  <CJK>
    0x9061: 0x7D33,     #  <CJK>
    0x9062: 0x81E3,     #  <CJK>
    0x9063: 0x82AF,     #  <CJK>
    0x9064: 0x85AA,     #  <CJK>
    0x9065: 0x89AA,     #  <CJK>
    0x9066: 0x8A3A,     #  <CJK>
    0x9067: 0x8EAB,     #  <CJK>
    0x9068: 0x8F9B,     #  <CJK>
    0x9069: 0x9032,     #  <CJK>
    0x906A: 0x91DD,     #  <CJK>
    0x906B: 0x9707,     #  <CJK>
    0x906C: 0x4EBA,     #  <CJK>
    0x906D: 0x4EC1,     #  <CJK>
    0x906E: 0x5203,     #  <CJK>
    0x906F: 0x5875,     #  <CJK>
    0x9070: 0x58EC,     #  <CJK>
    0x9071: 0x5C0B,     #  <CJK>
    0x9072: 0x751A,     #  <CJK>
    0x9073: 0x5C3D,     #  <CJK>
    0x9074: 0x814E,     #  <CJK>
    0x9075: 0x8A0A,     #  <CJK>
    0x9076: 0x8FC5,     #  <CJK>
    0x9077: 0x9663,     #  <CJK>
    0x9078: 0x976D,     #  <CJK>
    0x9079: 0x7B25,     #  <CJK>
    0x907A: 0x8ACF,     #  <CJK>
    0x907B: 0x9808,     #  <CJK>
    0x907C: 0x9162,     #  <CJK>
    0x907D: 0x56F3,     #  <CJK>
    0x907E: 0x53A8,     #  <CJK>
    0x9080: 0x9017,     #  <CJK>
    0x9081: 0x5439,     #  <CJK>
    0x9082: 0x5782,     #  <CJK>
    0x9083: 0x5E25,     #  <CJK>
    0x9084: 0x63A8,     #  <CJK>
    0x9085: 0x6C34,     #  <CJK>
    0x9086: 0x708A,     #  <CJK>
    0x9087: 0x7761,     #  <CJK>
    0x9088: 0x7C8B,     #  <CJK>
    0x9089: 0x7FE0,     #  <CJK>
    0x908A: 0x8870,     #  <CJK>
    0x908B: 0x9042,     #  <CJK>
    0x908C: 0x9154,     #  <CJK>
    0x908D: 0x9310,     #  <CJK>
    0x908E: 0x9318,     #  <CJK>
    0x908F: 0x968F,     #  <CJK>
    0x9090: 0x745E,     #  <CJK>
    0x9091: 0x9AC4,     #  <CJK>
    0x9092: 0x5D07,     #  <CJK>
    0x9093: 0x5D69,     #  <CJK>
    0x9094: 0x6570,     #  <CJK>
    0x9095: 0x67A2,     #  <CJK>
    0x9096: 0x8DA8,     #  <CJK>
    0x9097: 0x96DB,     #  <CJK>
    0x9098: 0x636E,     #  <CJK>
    0x9099: 0x6749,     #  <CJK>
    0x909A: 0x6919,     #  <CJK>
    0x909B: 0x83C5,     #  <CJK>
    0x909C: 0x9817,     #  <CJK>
    0x909D: 0x96C0,     #  <CJK>
    0x909E: 0x88FE,     #  <CJK>
    0x909F: 0x6F84,     #  <CJK>
    0x90A0: 0x647A,     #  <CJK>
    0x90A1: 0x5BF8,     #  <CJK>
    0x90A2: 0x4E16,     #  <CJK>
    0x90A3: 0x702C,     #  <CJK>
    0x90A4: 0x755D,     #  <CJK>
    0x90A5: 0x662F,     #  <CJK>
    0x90A6: 0x51C4,     #  <CJK>
    0x90A7: 0x5236,     #  <CJK>
    0x90A8: 0x52E2,     #  <CJK>
    0x90A9: 0x59D3,     #  <CJK>
    0x90AA: 0x5F81,     #  <CJK>
    0x90AB: 0x6027,     #  <CJK>
    0x90AC: 0x6210,     #  <CJK>
    0x90AD: 0x653F,     #  <CJK>
    0x90AE: 0x6574,     #  <CJK>
    0x90AF: 0x661F,     #  <CJK>
    0x90B0: 0x6674,     #  <CJK>
    0x90B1: 0x68F2,     #  <CJK>
    0x90B2: 0x6816,     #  <CJK>
    0x90B3: 0x6B63,     #  <CJK>
    0x90B4: 0x6E05,     #  <CJK>
    0x90B5: 0x7272,     #  <CJK>
    0x90B6: 0x751F,     #  <CJK>
    0x90B7: 0x76DB,     #  <CJK>
    0x90B8: 0x7CBE,     #  <CJK>
    0x90B9: 0x8056,     #  <CJK>
    0x90BA: 0x58F0,     #  <CJK>
    0x90BB: 0x88FD,     #  <CJK>
    0x90BC: 0x897F,     #  <CJK>
    0x90BD: 0x8AA0,     #  <CJK>
    0x90BE: 0x8A93,     #  <CJK>
    0x90BF: 0x8ACB,     #  <CJK>
    0x90C0: 0x901D,     #  <CJK>
    0x90C1: 0x9192,     #  <CJK>
    0x90C2: 0x9752,     #  <CJK>
    0x90C3: 0x9759,     #  <CJK>
    0x90C4: 0x6589,     #  <CJK>
    0x90C5: 0x7A0E,     #  <CJK>
    0x90C6: 0x8106,     #  <CJK>
    0x90C7: 0x96BB,     #  <CJK>
    0x90C8: 0x5E2D,     #  <CJK>
    0x90C9: 0x60DC,     #  <CJK>
    0x90CA: 0x621A,     #  <CJK>
    0x90CB: 0x65A5,     #  <CJK>
    0x90CC: 0x6614,     #  <CJK>
    0x90CD: 0x6790,     #  <CJK>
    0x90CE: 0x77F3,     #  <CJK>
    0x90CF: 0x7A4D,     #  <CJK>
    0x90D0: 0x7C4D,     #  <CJK>
    0x90D1: 0x7E3E,     #  <CJK>
    0x90D2: 0x810A,     #  <CJK>
    0x90D3: 0x8CAC,     #  <CJK>
    0x90D4: 0x8D64,     #  <CJK>
    0x90D5: 0x8DE1,     #  <CJK>
    0x90D6: 0x8E5F,     #  <CJK>
    0x90D7: 0x78A9,     #  <CJK>
    0x90D8: 0x5207,     #  <CJK>
    0x90D9: 0x62D9,     #  <CJK>
    0x90DA: 0x63A5,     #  <CJK>
    0x90DB: 0x6442,     #  <CJK>
    0x90DC: 0x6298,     #  <CJK>
    0x90DD: 0x8A2D,     #  <CJK>
    0x90DE: 0x7A83,     #  <CJK>
    0x90DF: 0x7BC0,     #  <CJK>
    0x90E0: 0x8AAC,     #  <CJK>
    0x90E1: 0x96EA,     #  <CJK>
    0x90E2: 0x7D76,     #  <CJK>
    0x90E3: 0x820C,     #  <CJK>
    0x90E4: 0x8749,     #  <CJK>
    0x90E5: 0x4ED9,     #  <CJK>
    0x90E6: 0x5148,     #  <CJK>
    0x90E7: 0x5343,     #  <CJK>
    0x90E8: 0x5360,     #  <CJK>
    0x90E9: 0x5BA3,     #  <CJK>
    0x90EA: 0x5C02,     #  <CJK>
    0x90EB: 0x5C16,     #  <CJK>
    0x90EC: 0x5DDD,     #  <CJK>
    0x90ED: 0x6226,     #  <CJK>
    0x90EE: 0x6247,     #  <CJK>
    0x90EF: 0x64B0,     #  <CJK>
    0x90F0: 0x6813,     #  <CJK>
    0x90F1: 0x6834,     #  <CJK>
    0x90F2: 0x6CC9,     #  <CJK>
    0x90F3: 0x6D45,     #  <CJK>
    0x90F4: 0x6D17,     #  <CJK>
    0x90F5: 0x67D3,     #  <CJK>
    0x90F6: 0x6F5C,     #  <CJK>
    0x90F7: 0x714E,     #  <CJK>
    0x90F8: 0x717D,     #  <CJK>
    0x90F9: 0x65CB,     #  <CJK>
    0x90FA: 0x7A7F,     #  <CJK>
    0x90FB: 0x7BAD,     #  <CJK>
    0x90FC: 0x7DDA,     #  <CJK>
    0x9140: 0x7E4A,     #  <CJK>
    0x9141: 0x7FA8,     #  <CJK>
    0x9142: 0x817A,     #  <CJK>
    0x9143: 0x821B,     #  <CJK>
    0x9144: 0x8239,     #  <CJK>
    0x9145: 0x85A6,     #  <CJK>
    0x9146: 0x8A6E,     #  <CJK>
    0x9147: 0x8CCE,     #  <CJK>
    0x9148: 0x8DF5,     #  <CJK>
    0x9149: 0x9078,     #  <CJK>
    0x914A: 0x9077,     #  <CJK>
    0x914B: 0x92AD,     #  <CJK>
    0x914C: 0x9291,     #  <CJK>
    0x914D: 0x9583,     #  <CJK>
    0x914E: 0x9BAE,     #  <CJK>
    0x914F: 0x524D,     #  <CJK>
    0x9150: 0x5584,     #  <CJK>
    0x9151: 0x6F38,     #  <CJK>
    0x9152: 0x7136,     #  <CJK>
    0x9153: 0x5168,     #  <CJK>
    0x9154: 0x7985,     #  <CJK>
    0x9155: 0x7E55,     #  <CJK>
    0x9156: 0x81B3,     #  <CJK>
    0x9157: 0x7CCE,     #  <CJK>
    0x9158: 0x564C,     #  <CJK>
    0x9159: 0x5851,     #  <CJK>
    0x915A: 0x5CA8,     #  <CJK>
    0x915B: 0x63AA,     #  <CJK>
    0x915C: 0x66FE,     #  <CJK>
    0x915D: 0x66FD,     #  <CJK>
    0x915E: 0x695A,     #  <CJK>
    0x915F: 0x72D9,     #  <CJK>
    0x9160: 0x758F,     #  <CJK>
    0x9161: 0x758E,     #  <CJK>
    0x9162: 0x790E,     #  <CJK>
    0x9163: 0x7956,     #  <CJK>
    0x9164: 0x79DF,     #  <CJK>
    0x9165: 0x7C97,     #  <CJK>
    0x9166: 0x7D20,     #  <CJK>
    0x9167: 0x7D44,     #  <CJK>
    0x9168: 0x8607,     #  <CJK>
    0x9169: 0x8A34,     #  <CJK>
    0x916A: 0x963B,     #  <CJK>
    0x916B: 0x9061,     #  <CJK>
    0x916C: 0x9F20,     #  <CJK>
    0x916D: 0x50E7,     #  <CJK>
    0x916E: 0x5275,     #  <CJK>
    0x916F: 0x53CC,     #  <CJK>
    0x9170: 0x53E2,     #  <CJK>
    0x9171: 0x5009,     #  <CJK>
    0x9172: 0x55AA,     #  <CJK>
    0x9173: 0x58EE,     #  <CJK>
    0x9174: 0x594F,     #  <CJK>
    0x9175: 0x723D,     #  <CJK>
    0x9176: 0x5B8B,     #  <CJK>
    0x9177: 0x5C64,     #  <CJK>
    0x9178: 0x531D,     #  <CJK>
    0x9179: 0x60E3,     #  <CJK>
    0x917A: 0x60F3,     #  <CJK>
    0x917B: 0x635C,     #  <CJK>
    0x917C: 0x6383,     #  <CJK>
    0x917D: 0x633F,     #  <CJK>
    0x917E: 0x63BB,     #  <CJK>
    0x9180: 0x64CD,     #  <CJK>
    0x9181: 0x65E9,     #  <CJK>
    0x9182: 0x66F9,     #  <CJK>
    0x9183: 0x5DE3,     #  <CJK>
    0x9184: 0x69CD,     #  <CJK>
    0x9185: 0x69FD,     #  <CJK>
    0x9186: 0x6F15,     #  <CJK>
    0x9187: 0x71E5,     #  <CJK>
    0x9188: 0x4E89,     #  <CJK>
    0x9189: 0x75E9,     #  <CJK>
    0x918A: 0x76F8,     #  <CJK>
    0x918B: 0x7A93,     #  <CJK>
    0x918C: 0x7CDF,     #  <CJK>
    0x918D: 0x7DCF,     #  <CJK>
    0x918E: 0x7D9C,     #  <CJK>
    0x918F: 0x8061,     #  <CJK>
    0x9190: 0x8349,     #  <CJK>
    0x9191: 0x8358,     #  <CJK>
    0x9192: 0x846C,     #  <CJK>
    0x9193: 0x84BC,     #  <CJK>
    0x9194: 0x85FB,     #  <CJK>
    0x9195: 0x88C5,     #  <CJK>
    0x9196: 0x8D70,     #  <CJK>
    0x9197: 0x9001,     #  <CJK>
    0x9198: 0x906D,     #  <CJK>
    0x9199: 0x9397,     #  <CJK>
    0x919A: 0x971C,     #  <CJK>
    0x919B: 0x9A12,     #  <CJK>
    0x919C: 0x50CF,     #  <CJK>
    0x919D: 0x5897,     #  <CJK>
    0x919E: 0x618E,     #  <CJK>
    0x919F: 0x81D3,     #  <CJK>
    0x91A0: 0x8535,     #  <CJK>
    0x91A1: 0x8D08,     #  <CJK>
    0x91A2: 0x9020,     #  <CJK>
    0x91A3: 0x4FC3,     #  <CJK>
    0x91A4: 0x5074,     #  <CJK>
    0x91A5: 0x5247,     #  <CJK>
    0x91A6: 0x5373,     #  <CJK>
    0x91A7: 0x606F,     #  <CJK>
    0x91A8: 0x6349,     #  <CJK>
    0x91A9: 0x675F,     #  <CJK>
    0x91AA: 0x6E2C,     #  <CJK>
    0x91AB: 0x8DB3,     #  <CJK>
    0x91AC: 0x901F,     #  <CJK>
    0x91AD: 0x4FD7,     #  <CJK>
    0x91AE: 0x5C5E,     #  <CJK>
    0x91AF: 0x8CCA,     #  <CJK>
    0x91B0: 0x65CF,     #  <CJK>
    0x91B1: 0x7D9A,     #  <CJK>
    0x91B2: 0x5352,     #  <CJK>
    0x91B3: 0x8896,     #  <CJK>
    0x91B4: 0x5176,     #  <CJK>
    0x91B5: 0x63C3,     #  <CJK>
    0x91B6: 0x5B58,     #  <CJK>
    0x91B7: 0x5B6B,     #  <CJK>
    0x91B8: 0x5C0A,     #  <CJK>
    0x91B9: 0x640D,     #  <CJK>
    0x91BA: 0x6751,     #  <CJK>
    0x91BB: 0x905C,     #  <CJK>
    0x91BC: 0x4ED6,     #  <CJK>
    0x91BD: 0x591A,     #  <CJK>
    0x91BE: 0x592A,     #  <CJK>
    0x91BF: 0x6C70,     #  <CJK>
    0x91C0: 0x8A51,     #  <CJK>
    0x91C1: 0x553E,     #  <CJK>
    0x91C2: 0x5815,     #  <CJK>
    0x91C3: 0x59A5,     #  <CJK>
    0x91C4: 0x60F0,     #  <CJK>
    0x91C5: 0x6253,     #  <CJK>
    0x91C6: 0x67C1,     #  <CJK>
    0x91C7: 0x8235,     #  <CJK>
    0x91C8: 0x6955,     #  <CJK>
    0x91C9: 0x9640,     #  <CJK>
    0x91CA: 0x99C4,     #  <CJK>
    0x91CB: 0x9A28,     #  <CJK>
    0x91CC: 0x4F53,     #  <CJK>
    0x91CD: 0x5806,     #  <CJK>
    0x91CE: 0x5BFE,     #  <CJK>
    0x91CF: 0x8010,     #  <CJK>
    0x91D0: 0x5CB1,     #  <CJK>
    0x91D1: 0x5E2F,     #  <CJK>
    0x91D2: 0x5F85,     #  <CJK>
    0x91D3: 0x6020,     #  <CJK>
    0x91D4: 0x614B,     #  <CJK>
    0x91D5: 0x6234,     #  <CJK>
    0x91D6: 0x66FF,     #  <CJK>
    0x91D7: 0x6CF0,     #  <CJK>
    0x91D8: 0x6EDE,     #  <CJK>
    0x91D9: 0x80CE,     #  <CJK>
    0x91DA: 0x817F,     #  <CJK>
    0x91DB: 0x82D4,     #  <CJK>
    0x91DC: 0x888B,     #  <CJK>
    0x91DD: 0x8CB8,     #  <CJK>
    0x91DE: 0x9000,     #  <CJK>
    0x91DF: 0x902E,     #  <CJK>
    0x91E0: 0x968A,     #  <CJK>
    0x91E1: 0x9EDB,     #  <CJK>
    0x91E2: 0x9BDB,     #  <CJK>
    0x91E3: 0x4EE3,     #  <CJK>
    0x91E4: 0x53F0,     #  <CJK>
    0x91E5: 0x5927,     #  <CJK>
    0x91E6: 0x7B2C,     #  <CJK>
    0x91E7: 0x918D,     #  <CJK>
    0x91E8: 0x984C,     #  <CJK>
    0x91E9: 0x9DF9,     #  <CJK>
    0x91EA: 0x6EDD,     #  <CJK>
    0x91EB: 0x7027,     #  <CJK>
    0x91EC: 0x5353,     #  <CJK>
    0x91ED: 0x5544,     #  <CJK>
    0x91EE: 0x5B85,     #  <CJK>
    0x91EF: 0x6258,     #  <CJK>
    0x91F0: 0x629E,     #  <CJK>
    0x91F1: 0x62D3,     #  <CJK>
    0x91F2: 0x6CA2,     #  <CJK>
    0x91F3: 0x6FEF,     #  <CJK>
    0x91F4: 0x7422,     #  <CJK>
    0x91F5: 0x8A17,     #  <CJK>
    0x91F6: 0x9438,     #  <CJK>
    0x91F7: 0x6FC1,     #  <CJK>
    0x91F8: 0x8AFE,     #  <CJK>
    0x91F9: 0x8338,     #  <CJK>
    0x91FA: 0x51E7,     #  <CJK>
    0x91FB: 0x86F8,     #  <CJK>
    0x91FC: 0x53EA,     #  <CJK>
    0x9240: 0x53E9,     #  <CJK>
    0x9241: 0x4F46,     #  <CJK>
    0x9242: 0x9054,     #  <CJK>
    0x9243: 0x8FB0,     #  <CJK>
    0x9244: 0x596A,     #  <CJK>
    0x9245: 0x8131,     #  <CJK>
    0x9246: 0x5DFD,     #  <CJK>
    0x9247: 0x7AEA,     #  <CJK>
    0x9248: 0x8FBF,     #  <CJK>
    0x9249: 0x68DA,     #  <CJK>
    0x924A: 0x8C37,     #  <CJK>
    0x924B: 0x72F8,     #  <CJK>
    0x924C: 0x9C48,     #  <CJK>
    0x924D: 0x6A3D,     #  <CJK>
    0x924E: 0x8AB0,     #  <CJK>
    0x924F: 0x4E39,     #  <CJK>
    0x9250: 0x5358,     #  <CJK>
    0x9251: 0x5606,     #  <CJK>
    0x9252: 0x5766,     #  <CJK>
    0x9253: 0x62C5,     #  <CJK>
    0x9254: 0x63A2,     #  <CJK>
    0x9255: 0x65E6,     #  <CJK>
    0x9256: 0x6B4E,     #  <CJK>
    0x9257: 0x6DE1,     #  <CJK>
    0x9258: 0x6E5B,     #  <CJK>
    0x9259: 0x70AD,     #  <CJK>
    0x925A: 0x77ED,     #  <CJK>
    0x925B: 0x7AEF,     #  <CJK>
    0x925C: 0x7BAA,     #  <CJK>
    0x925D: 0x7DBB,     #  <CJK>
    0x925E: 0x803D,     #  <CJK>
    0x925F: 0x80C6,     #  <CJK>
    0x9260: 0x86CB,     #  <CJK>
    0x9261: 0x8A95,     #  <CJK>
    0x9262: 0x935B,     #  <CJK>
    0x9263: 0x56E3,     #  <CJK>
    0x9264: 0x58C7,     #  <CJK>
    0x9265: 0x5F3E,     #  <CJK>
    0x9266: 0x65AD,     #  <CJK>
    0x9267: 0x6696,     #  <CJK>
    0x9268: 0x6A80,     #  <CJK>
    0x9269: 0x6BB5,     #  <CJK>
    0x926A: 0x7537,     #  <CJK>
    0x926B: 0x8AC7,     #  <CJK>
    0x926C: 0x5024,     #  <CJK>
    0x926D: 0x77E5,     #  <CJK>
    0x926E: 0x5730,     #  <CJK>
    0x926F: 0x5F1B,     #  <CJK>
    0x9270: 0x6065,     #  <CJK>
    0x9271: 0x667A,     #  <CJK>
    0x9272: 0x6C60,     #  <CJK>
    0x9273: 0x75F4,     #  <CJK>
    0x9274: 0x7A1A,     #  <CJK>
    0x9275: 0x7F6E,     #  <CJK>
    0x9276: 0x81F4,     #  <CJK>
    0x9277: 0x8718,     #  <CJK>
    0x9278: 0x9045,     #  <CJK>
    0x9279: 0x99B3,     #  <CJK>
    0x927A: 0x7BC9,     #  <CJK>
    0x927B: 0x755C,     #  <CJK>
    0x927C: 0x7AF9,     #  <CJK>
    0x927D: 0x7B51,     #  <CJK>
    0x927E: 0x84C4,     #  <CJK>
    0x9280: 0x9010,     #  <CJK>
    0x9281: 0x79E9,     #  <CJK>
    0x9282: 0x7A92,     #  <CJK>
    0x9283: 0x8336,     #  <CJK>
    0x9284: 0x5AE1,     #  <CJK>
    0x9285: 0x7740,     #  <CJK>
    0x9286: 0x4E2D,     #  <CJK>
    0x9287: 0x4EF2,     #  <CJK>
    0x9288: 0x5B99,     #  <CJK>
    0x9289: 0x5FE0,     #  <CJK>
    0x928A: 0x62BD,     #  <CJK>
    0x928B: 0x663C,     #  <CJK>
    0x928C: 0x67F1,     #  <CJK>
    0x928D: 0x6CE8,     #  <CJK>
    0x928E: 0x866B,     #  <CJK>
    0x928F: 0x8877,     #  <CJK>
    0x9290: 0x8A3B,     #  <CJK>
    0x9291: 0x914E,     #  <CJK>
    0x9292: 0x92F3,     #  <CJK>
    0x9293: 0x99D0,     #  <CJK>
    0x9294: 0x6A17,     #  <CJK>
    0x9295: 0x7026,     #  <CJK>
    0x9296: 0x732A,     #  <CJK>
    0x9297: 0x82E7,     #  <CJK>
    0x9298: 0x8457,     #  <CJK>
    0x9299: 0x8CAF,     #  <CJK>
    0x929A: 0x4E01,     #  <CJK>
    0x929B: 0x5146,     #  <CJK>
    0x929C: 0x51CB,     #  <CJK>
    0x929D: 0x558B,     #  <CJK>
    0x929E: 0x5BF5,     #  <CJK>
    0x929F: 0x5E16,     #  <CJK>
    0x92A0: 0x5E33,     #  <CJK>
    0x92A1: 0x5E81,     #  <CJK>
    0x92A2: 0x5F14,     #  <CJK>
    0x92A3: 0x5F35,     #  <CJK>
    0x92A4: 0x5F6B,     #  <CJK>
    0x92A5: 0x5FB4,     #  <CJK>
    0x92A6: 0x61F2,     #  <CJK>
    0x92A7: 0x6311,     #  <CJK>
    0x92A8: 0x66A2,     #  <CJK>
    0x92A9: 0x671D,     #  <CJK>
    0x92AA: 0x6F6E,     #  <CJK>
    0x92AB: 0x7252,     #  <CJK>
    0x92AC: 0x753A,     #  <CJK>
    0x92AD: 0x773A,     #  <CJK>
    0x92AE: 0x8074,     #  <CJK>
    0x92AF: 0x8139,     #  <CJK>
    0x92B0: 0x8178,     #  <CJK>
    0x92B1: 0x8776,     #  <CJK>
    0x92B2: 0x8ABF,     #  <CJK>
    0x92B3: 0x8ADC,     #  <CJK>
    0x92B4: 0x8D85,     #  <CJK>
    0x92B5: 0x8DF3,     #  <CJK>
    0x92B6: 0x929A,     #  <CJK>
    0x92B7: 0x9577,     #  <CJK>
    0x92B8: 0x9802,     #  <CJK>
    0x92B9: 0x9CE5,     #  <CJK>
    0x92BA: 0x52C5,     #  <CJK>
    0x92BB: 0x6357,     #  <CJK>
    0x92BC: 0x76F4,     #  <CJK>
    0x92BD: 0x6715,     #  <CJK>
    0x92BE: 0x6C88,     #  <CJK>
    0x92BF: 0x73CD,     #  <CJK>
    0x92C0: 0x8CC3,     #  <CJK>
    0x92C1: 0x93AE,     #  <CJK>
    0x92C2: 0x9673,     #  <CJK>
    0x92C3: 0x6D25,     #  <CJK>
    0x92C4: 0x589C,     #  <CJK>
    0x92C5: 0x690E,     #  <CJK>
    0x92C6: 0x69CC,     #  <CJK>
    0x92C7: 0x8FFD,     #  <CJK>
    0x92C8: 0x939A,     #  <CJK>
    0x92C9: 0x75DB,     #  <CJK>
    0x92CA: 0x901A,     #  <CJK>
    0x92CB: 0x585A,     #  <CJK>
    0x92CC: 0x6802,     #  <CJK>
    0x92CD: 0x63B4,     #  <CJK>
    0x92CE: 0x69FB,     #  <CJK>
    0x92CF: 0x4F43,     #  <CJK>
    0x92D0: 0x6F2C,     #  <CJK>
    0x92D1: 0x67D8,     #  <CJK>
    0x92D2: 0x8FBB,     #  <CJK>
    0x92D3: 0x8526,     #  <CJK>
    0x92D4: 0x7DB4,     #  <CJK>
    0x92D5: 0x9354,     #  <CJK>
    0x92D6: 0x693F,     #  <CJK>
    0x92D7: 0x6F70,     #  <CJK>
    0x92D8: 0x576A,     #  <CJK>
    0x92D9: 0x58F7,     #  <CJK>
    0x92DA: 0x5B2C,     #  <CJK>
    0x92DB: 0x7D2C,     #  <CJK>
    0x92DC: 0x722A,     #  <CJK>
    0x92DD: 0x540A,     #  <CJK>
    0x92DE: 0x91E3,     #  <CJK>
    0x92DF: 0x9DB4,     #  <CJK>
    0x92E0: 0x4EAD,     #  <CJK>
    0x92E1: 0x4F4E,     #  <CJK>
    0x92E2: 0x505C,     #  <CJK>
    0x92E3: 0x5075,     #  <CJK>
    0x92E4: 0x5243,     #  <CJK>
    0x92E5: 0x8C9E,     #  <CJK>
    0x92E6: 0x5448,     #  <CJK>
    0x92E7: 0x5824,     #  <CJK>
    0x92E8: 0x5B9A,     #  <CJK>
    0x92E9: 0x5E1D,     #  <CJK>
    0x92EA: 0x5E95,     #  <CJK>
    0x92EB: 0x5EAD,     #  <CJK>
    0x92EC: 0x5EF7,     #  <CJK>
    0x92ED: 0x5F1F,     #  <CJK>
    0x92EE: 0x608C,     #  <CJK>
    0x92EF: 0x62B5,     #  <CJK>
    0x92F0: 0x633A,     #  <CJK>
    0x92F1: 0x63D0,     #  <CJK>
    0x92F2: 0x68AF,     #  <CJK>
    0x92F3: 0x6C40,     #  <CJK>
    0x92F4: 0x7887,     #  <CJK>
    0x92F5: 0x798E,     #  <CJK>
    0x92F6: 0x7A0B,     #  <CJK>
    0x92F7: 0x7DE0,     #  <CJK>
    0x92F8: 0x8247,     #  <CJK>
    0x92F9: 0x8A02,     #  <CJK>
    0x92FA: 0x8AE6,     #  <CJK>
    0x92FB: 0x8E44,     #  <CJK>
    0x92FC: 0x9013,     #  <CJK>
    0x9340: 0x90B8,     #  <CJK>
    0x9341: 0x912D,     #  <CJK>
    0x9342: 0x91D8,     #  <CJK>
    0x9343: 0x9F0E,     #  <CJK>
    0x9344: 0x6CE5,     #  <CJK>
    0x9345: 0x6458,     #  <CJK>
    0x9346: 0x64E2,     #  <CJK>
    0x9347: 0x6575,     #  <CJK>
    0x9348: 0x6EF4,     #  <CJK>
    0x9349: 0x7684,     #  <CJK>
    0x934A: 0x7B1B,     #  <CJK>
    0x934B: 0x9069,     #  <CJK>
    0x934C: 0x93D1,     #  <CJK>
    0x934D: 0x6EBA,     #  <CJK>
    0x934E: 0x54F2,     #  <CJK>
    0x934F: 0x5FB9,     #  <CJK>
    0x9350: 0x64A4,     #  <CJK>
    0x9351: 0x8F4D,     #  <CJK>
    0x9352: 0x8FED,     #  <CJK>
    0x9353: 0x9244,     #  <CJK>
    0x9354: 0x5178,     #  <CJK>
    0x9355: 0x586B,     #  <CJK>
    0x9356: 0x5929,     #  <CJK>
    0x9357: 0x5C55,     #  <CJK>
    0x9358: 0x5E97,     #  <CJK>
    0x9359: 0x6DFB,     #  <CJK>
    0x935A: 0x7E8F,     #  <CJK>
    0x935B: 0x751C,     #  <CJK>
    0x935C: 0x8CBC,     #  <CJK>
    0x935D: 0x8EE2,     #  <CJK>
    0x935E: 0x985B,     #  <CJK>
    0x935F: 0x70B9,     #  <CJK>
    0x9360: 0x4F1D,     #  <CJK>
    0x9361: 0x6BBF,     #  <CJK>
    0x9362: 0x6FB1,     #  <CJK>
    0x9363: 0x7530,     #  <CJK>
    0x9364: 0x96FB,     #  <CJK>
    0x9365: 0x514E,     #  <CJK>
    0x9366: 0x5410,     #  <CJK>
    0x9367: 0x5835,     #  <CJK>
    0x9368: 0x5857,     #  <CJK>
    0x9369: 0x59AC,     #  <CJK>
    0x936A: 0x5C60,     #  <CJK>
    0x936B: 0x5F92,     #  <CJK>
    0x936C: 0x6597,     #  <CJK>
    0x936D: 0x675C,     #  <CJK>
    0x936E: 0x6E21,     #  <CJK>
    0x936F: 0x767B,     #  <CJK>
    0x9370: 0x83DF,     #  <CJK>
    0x9371: 0x8CED,     #  <CJK>
    0x9372: 0x9014,     #  <CJK>
    0x9373: 0x90FD,     #  <CJK>
    0x9374: 0x934D,     #  <CJK>
    0x9375: 0x7825,     #  <CJK>
    0x9376: 0x783A,     #  <CJK>
    0x9377: 0x52AA,     #  <CJK>
    0x9378: 0x5EA6,     #  <CJK>
    0x9379: 0x571F,     #  <CJK>
    0x937A: 0x5974,     #  <CJK>
    0x937B: 0x6012,     #  <CJK>
    0x937C: 0x5012,     #  <CJK>
    0x937D: 0x515A,     #  <CJK>
    0x937E: 0x51AC,     #  <CJK>
    0x9380: 0x51CD,     #  <CJK>
    0x9381: 0x5200,     #  <CJK>
    0x9382: 0x5510,     #  <CJK>
    0x9383: 0x5854,     #  <CJK>
    0x9384: 0x5858,     #  <CJK>
    0x9385: 0x5957,     #  <CJK>
    0x9386: 0x5B95,     #  <CJK>
    0x9387: 0x5CF6,     #  <CJK>
    0x9388: 0x5D8B,     #  <CJK>
    0x9389: 0x60BC,     #  <CJK>
    0x938A: 0x6295,     #  <CJK>
    0x938B: 0x642D,     #  <CJK>
    0x938C: 0x6771,     #  <CJK>
    0x938D: 0x6843,     #  <CJK>
    0x938E: 0x68BC,     #  <CJK>
    0x938F: 0x68DF,     #  <CJK>
    0x9390: 0x76D7,     #  <CJK>
    0x9391: 0x6DD8,     #  <CJK>
    0x9392: 0x6E6F,     #  <CJK>
    0x9393: 0x6D9B,     #  <CJK>
    0x9394: 0x706F,     #  <CJK>
    0x9395: 0x71C8,     #  <CJK>
    0x9396: 0x5F53,     #  <CJK>
    0x9397: 0x75D8,     #  <CJK>
    0x9398: 0x7977,     #  <CJK>
    0x9399: 0x7B49,     #  <CJK>
    0x939A: 0x7B54,     #  <CJK>
    0x939B: 0x7B52,     #  <CJK>
    0x939C: 0x7CD6,     #  <CJK>
    0x939D: 0x7D71,     #  <CJK>
    0x939E: 0x5230,     #  <CJK>
    0x939F: 0x8463,     #  <CJK>
    0x93A0: 0x8569,     #  <CJK>
    0x93A1: 0x85E4,     #  <CJK>
    0x93A2: 0x8A0E,     #  <CJK>
    0x93A3: 0x8B04,     #  <CJK>
    0x93A4: 0x8C46,     #  <CJK>
    0x93A5: 0x8E0F,     #  <CJK>
    0x93A6: 0x9003,     #  <CJK>
    0x93A7: 0x900F,     #  <CJK>
    0x93A8: 0x9419,     #  <CJK>
    0x93A9: 0x9676,     #  <CJK>
    0x93AA: 0x982D,     #  <CJK>
    0x93AB: 0x9A30,     #  <CJK>
    0x93AC: 0x95D8,     #  <CJK>
    0x93AD: 0x50CD,     #  <CJK>
    0x93AE: 0x52D5,     #  <CJK>
    0x93AF: 0x540C,     #  <CJK>
    0x93B0: 0x5802,     #  <CJK>
    0x93B1: 0x5C0E,     #  <CJK>
    0x93B2: 0x61A7,     #  <CJK>
    0x93B3: 0x649E,     #  <CJK>
    0x93B4: 0x6D1E,     #  <CJK>
    0x93B5: 0x77B3,     #  <CJK>
    0x93B6: 0x7AE5,     #  <CJK>
    0x93B7: 0x80F4,     #  <CJK>
    0x93B8: 0x8404,     #  <CJK>
    0x93B9: 0x9053,     #  <CJK>
    0x93BA: 0x9285,     #  <CJK>
    0x93BB: 0x5CE0,     #  <CJK>
    0x93BC: 0x9D07,     #  <CJK>
    0x93BD: 0x533F,     #  <CJK>
    0x93BE: 0x5F97,     #  <CJK>
    0x93BF: 0x5FB3,     #  <CJK>
    0x93C0: 0x6D9C,     #  <CJK>
    0x93C1: 0x7279,     #  <CJK>
    0x93C2: 0x7763,     #  <CJK>
    0x93C3: 0x79BF,     #  <CJK>
    0x93C4: 0x7BE4,     #  <CJK>
    0x93C5: 0x6BD2,     #  <CJK>
    0x93C6: 0x72EC,     #  <CJK>
    0x93C7: 0x8AAD,     #  <CJK>
    0x93C8: 0x6803,     #  <CJK>
    0x93C9: 0x6A61,     #  <CJK>
    0x93CA: 0x51F8,     #  <CJK>
    0x93CB: 0x7A81,     #  <CJK>
    0x93CC: 0x6934,     #  <CJK>
    0x93CD: 0x5C4A,     #  <CJK>
    0x93CE: 0x9CF6,     #  <CJK>
    0x93CF: 0x82EB,     #  <CJK>
    0x93D0: 0x5BC5,     #  <CJK>
    0x93D1: 0x9149,     #  <CJK>
    0x93D2: 0x701E,     #  <CJK>
    0x93D3: 0x5678,     #  <CJK>
    0x93D4: 0x5C6F,     #  <CJK>
    0x93D5: 0x60C7,     #  <CJK>
    0x93D6: 0x6566,     #  <CJK>
    0x93D7: 0x6C8C,     #  <CJK>
    0x93D8: 0x8C5A,     #  <CJK>
    0x93D9: 0x9041,     #  <CJK>
    0x93DA: 0x9813,     #  <CJK>
    0x93DB: 0x5451,     #  <CJK>
    0x93DC: 0x66C7,     #  <CJK>
    0x93DD: 0x920D,     #  <CJK>
    0x93DE: 0x5948,     #  <CJK>
    0x93DF: 0x90A3,     #  <CJK>
    0x93E0: 0x5185,     #  <CJK>
    0x93E1: 0x4E4D,     #  <CJK>
    0x93E2: 0x51EA,     #  <CJK>
    0x93E3: 0x8599,     #  <CJK>
    0x93E4: 0x8B0E,     #  <CJK>
    0x93E5: 0x7058,     #  <CJK>
    0x93E6: 0x637A,     #  <CJK>
    0x93E7: 0x934B,     #  <CJK>
    0x93E8: 0x6962,     #  <CJK>
    0x93E9: 0x99B4,     #  <CJK>
    0x93EA: 0x7E04,     #  <CJK>
    0x93EB: 0x7577,     #  <CJK>
    0x93EC: 0x5357,     #  <CJK>
    0x93ED: 0x6960,     #  <CJK>
    0x93EE: 0x8EDF,     #  <CJK>
    0x93EF: 0x96E3,     #  <CJK>
    0x93F0: 0x6C5D,     #  <CJK>
    0x93F1: 0x4E8C,     #  <CJK>
    0x93F2: 0x5C3C,     #  <CJK>
    0x93F3: 0x5F10,     #  <CJK>
    0x93F4: 0x8FE9,     #  <CJK>
    0x93F5: 0x5302,     #  <CJK>
    0x93F6: 0x8CD1,     #  <CJK>
    0x93F7: 0x8089,     #  <CJK>
    0x93F8: 0x8679,     #  <CJK>
    0x93F9: 0x5EFF,     #  <CJK>
    0x93FA: 0x65E5,     #  <CJK>
    0x93FB: 0x4E73,     #  <CJK>
    0x93FC: 0x5165,     #  <CJK>
    0x9440: 0x5982,     #  <CJK>
    0x9441: 0x5C3F,     #  <CJK>
    0x9442: 0x97EE,     #  <CJK>
    0x9443: 0x4EFB,     #  <CJK>
    0x9444: 0x598A,     #  <CJK>
    0x9445: 0x5FCD,     #  <CJK>
    0x9446: 0x8A8D,     #  <CJK>
    0x9447: 0x6FE1,     #  <CJK>
    0x9448: 0x79B0,     #  <CJK>
    0x9449: 0x7962,     #  <CJK>
    0x944A: 0x5BE7,     #  <CJK>
    0x944B: 0x8471,     #  <CJK>
    0x944C: 0x732B,     #  <CJK>
    0x944D: 0x71B1,     #  <CJK>
    0x944E: 0x5E74,     #  <CJK>
    0x944F: 0x5FF5,     #  <CJK>
    0x9450: 0x637B,     #  <CJK>
    0x9451: 0x649A,     #  <CJK>
    0x9452: 0x71C3,     #  <CJK>
    0x9453: 0x7C98,     #  <CJK>
    0x9454: 0x4E43,     #  <CJK>
    0x9455: 0x5EFC,     #  <CJK>
    0x9456: 0x4E4B,     #  <CJK>
    0x9457: 0x57DC,     #  <CJK>
    0x9458: 0x56A2,     #  <CJK>
    0x9459: 0x60A9,     #  <CJK>
    0x945A: 0x6FC3,     #  <CJK>
    0x945B: 0x7D0D,     #  <CJK>
    0x945C: 0x80FD,     #  <CJK>
    0x945D: 0x8133,     #  <CJK>
    0x945E: 0x81BF,     #  <CJK>
    0x945F: 0x8FB2,     #  <CJK>
    0x9460: 0x8997,     #  <CJK>
    0x9461: 0x86A4,     #  <CJK>
    0x9462: 0x5DF4,     #  <CJK>
    0x9463: 0x628A,     #  <CJK>
    0x9464: 0x64AD,     #  <CJK>
    0x9465: 0x8987,     #  <CJK>
    0x9466: 0x6777,     #  <CJK>
    0x9467: 0x6CE2,     #  <CJK>
    0x9468: 0x6D3E,     #  <CJK>
    0x9469: 0x7436,     #  <CJK>
    0x946A: 0x7834,     #  <CJK>
    0x946B: 0x5A46,     #  <CJK>
    0x946C: 0x7F75,     #  <CJK>
    0x946D: 0x82AD,     #  <CJK>
    0x946E: 0x99AC,     #  <CJK>
    0x946F: 0x4FF3,     #  <CJK>
    0x9470: 0x5EC3,     #  <CJK>
    0x9471: 0x62DD,     #  <CJK>
    0x9472: 0x6392,     #  <CJK>
    0x9473: 0x6557,     #  <CJK>
    0x9474: 0x676F,     #  <CJK>
    0x9475: 0x76C3,     #  <CJK>
    0x9476: 0x724C,     #  <CJK>
    0x9477: 0x80CC,     #  <CJK>
    0x9478: 0x80BA,     #  <CJK>
    0x9479: 0x8F29,     #  <CJK>
    0x947A: 0x914D,     #  <CJK>
    0x947B: 0x500D,     #  <CJK>
    0x947C: 0x57F9,     #  <CJK>
    0x947D: 0x5A92,     #  <CJK>
    0x947E: 0x6885,     #  <CJK>
    0x9480: 0x6973,     #  <CJK>
    0x9481: 0x7164,     #  <CJK>
    0x9482: 0x72FD,     #  <CJK>
    0x9483: 0x8CB7,     #  <CJK>
    0x9484: 0x58F2,     #  <CJK>
    0x9485: 0x8CE0,     #  <CJK>
    0x9486: 0x966A,     #  <CJK>
    0x9487: 0x9019,     #  <CJK>
    0x9488: 0x877F,     #  <CJK>
    0x9489: 0x79E4,     #  <CJK>
    0x948A: 0x77E7,     #  <CJK>
    0x948B: 0x8429,     #  <CJK>
    0x948C: 0x4F2F,     #  <CJK>
    0x948D: 0x5265,     #  <CJK>
    0x948E: 0x535A,     #  <CJK>
    0x948F: 0x62CD,     #  <CJK>
    0x9490: 0x67CF,     #  <CJK>
    0x9491: 0x6CCA,     #  <CJK>
    0x9492: 0x767D,     #  <CJK>
    0x9493: 0x7B94,     #  <CJK>
    0x9494: 0x7C95,     #  <CJK>
    0x9495: 0x8236,     #  <CJK>
    0x9496: 0x8584,     #  <CJK>
    0x9497: 0x8FEB,     #  <CJK>
    0x9498: 0x66DD,     #  <CJK>
    0x9499: 0x6F20,     #  <CJK>
    0x949A: 0x7206,     #  <CJK>
    0x949B: 0x7E1B,     #  <CJK>
    0x949C: 0x83AB,     #  <CJK>
    0x949D: 0x99C1,     #  <CJK>
    0x949E: 0x9EA6,     #  <CJK>
    0x949F: 0x51FD,     #  <CJK>
    0x94A0: 0x7BB1,     #  <CJK>
    0x94A1: 0x7872,     #  <CJK>
    0x94A2: 0x7BB8,     #  <CJK>
    0x94A3: 0x8087,     #  <CJK>
    0x94A4: 0x7B48,     #  <CJK>
    0x94A5: 0x6AE8,     #  <CJK>
    0x94A6: 0x5E61,     #  <CJK>
    0x94A7: 0x808C,     #  <CJK>
    0x94A8: 0x7551,     #  <CJK>
    0x94A9: 0x7560,     #  <CJK>
    0x94AA: 0x516B,     #  <CJK>
    0x94AB: 0x9262,     #  <CJK>
    0x94AC: 0x6E8C,     #  <CJK>
    0x94AD: 0x767A,     #  <CJK>
    0x94AE: 0x9197,     #  <CJK>
    0x94AF: 0x9AEA,     #  <CJK>
    0x94B0: 0x4F10,     #  <CJK>
    0x94B1: 0x7F70,     #  <CJK>
    0x94B2: 0x629C,     #  <CJK>
    0x94B3: 0x7B4F,     #  <CJK>
    0x94B4: 0x95A5,     #  <CJK>
    0x94B5: 0x9CE9,     #  <CJK>
    0x94B6: 0x567A,     #  <CJK>
    0x94B7: 0x5859,     #  <CJK>
    0x94B8: 0x86E4,     #  <CJK>
    0x94B9: 0x96BC,     #  <CJK>
    0x94BA: 0x4F34,     #  <CJK>
    0x94BB: 0x5224,     #  <CJK>
    0x94BC: 0x534A,     #  <CJK>
    0x94BD: 0x53CD,     #  <CJK>
    0x94BE: 0x53DB,     #  <CJK>
    0x94BF: 0x5E06,     #  <CJK>
    0x94C0: 0x642C,     #  <CJK>
    0x94C1: 0x6591,     #  <CJK>
    0x94C2: 0x677F,     #  <CJK>
    0x94C3: 0x6C3E,     #  <CJK>
    0x94C4: 0x6C4E,     #  <CJK>
    0x94C5: 0x7248,     #  <CJK>
    0x94C6: 0x72AF,     #  <CJK>
    0x94C7: 0x73ED,     #  <CJK>
    0x94C8: 0x7554,     #  <CJK>
    0x94C9: 0x7E41,     #  <CJK>
    0x94CA: 0x822C,     #  <CJK>
    0x94CB: 0x85E9,     #  <CJK>
    0x94CC: 0x8CA9,     #  <CJK>
    0x94CD: 0x7BC4,     #  <CJK>
    0x94CE: 0x91C6,     #  <CJK>
    0x94CF: 0x7169,     #  <CJK>
    0x94D0: 0x9812,     #  <CJK>
    0x94D1: 0x98EF,     #  <CJK>
    0x94D2: 0x633D,     #  <CJK>
    0x94D3: 0x6669,     #  <CJK>
    0x94D4: 0x756A,     #  <CJK>
    0x94D5: 0x76E4,     #  <CJK>
    0x94D6: 0x78D0,     #  <CJK>
    0x94D7: 0x8543,     #  <CJK>
    0x94D8: 0x86EE,     #  <CJK>
    0x94D9: 0x532A,     #  <CJK>
    0x94DA: 0x5351,     #  <CJK>
    0x94DB: 0x5426,     #  <CJK>
    0x94DC: 0x5983,     #  <CJK>
    0x94DD: 0x5E87,     #  <CJK>
    0x94DE: 0x5F7C,     #  <CJK>
    0x94DF: 0x60B2,     #  <CJK>
    0x94E0: 0x6249,     #  <CJK>
    0x94E1: 0x6279,     #  <CJK>
    0x94E2: 0x62AB,     #  <CJK>
    0x94E3: 0x6590,     #  <CJK>
    0x94E4: 0x6BD4,     #  <CJK>
    0x94E5: 0x6CCC,     #  <CJK>
    0x94E6: 0x75B2,     #  <CJK>
    0x94E7: 0x76AE,     #  <CJK>
    0x94E8: 0x7891,     #  <CJK>
    0x94E9: 0x79D8,     #  <CJK>
    0x94EA: 0x7DCB,     #  <CJK>
    0x94EB: 0x7F77,     #  <CJK>
    0x94EC: 0x80A5,     #  <CJK>
    0x94ED: 0x88AB,     #  <CJK>
    0x94EE: 0x8AB9,     #  <CJK>
    0x94EF: 0x8CBB,     #  <CJK>
    0x94F0: 0x907F,     #  <CJK>
    0x94F1: 0x975E,     #  <CJK>
    0x94F2: 0x98DB,     #  <CJK>
    0x94F3: 0x6A0B,     #  <CJK>
    0x94F4: 0x7C38,     #  <CJK>
    0x94F5: 0x5099,     #  <CJK>
    0x94F6: 0x5C3E,     #  <CJK>
    0x94F7: 0x5FAE,     #  <CJK>
    0x94F8: 0x6787,     #  <CJK>
    0x94F9: 0x6BD8,     #  <CJK>
    0x94FA: 0x7435,     #  <CJK>
    0x94FB: 0x7709,     #  <CJK>
    0x94FC: 0x7F8E,     #  <CJK>
    0x9540: 0x9F3B,     #  <CJK>
    0x9541: 0x67CA,     #  <CJK>
    0x9542: 0x7A17,     #  <CJK>
    0x9543: 0x5339,     #  <CJK>
    0x9544: 0x758B,     #  <CJK>
    0x9545: 0x9AED,     #  <CJK>
    0x9546: 0x5F66,     #  <CJK>
    0x9547: 0x819D,     #  <CJK>
    0x9548: 0x83F1,     #  <CJK>
    0x9549: 0x8098,     #  <CJK>
    0x954A: 0x5F3C,     #  <CJK>
    0x954B: 0x5FC5,     #  <CJK>
    0x954C: 0x7562,     #  <CJK>
    0x954D: 0x7B46,     #  <CJK>
    0x954E: 0x903C,     #  <CJK>
    0x954F: 0x6867,     #  <CJK>
    0x9550: 0x59EB,     #  <CJK>
    0x9551: 0x5A9B,     #  <CJK>
    0x9552: 0x7D10,     #  <CJK>
    0x9553: 0x767E,     #  <CJK>
    0x9554: 0x8B2C,     #  <CJK>
    0x9555: 0x4FF5,     #  <CJK>
    0x9556: 0x5F6A,     #  <CJK>
    0x9557: 0x6A19,     #  <CJK>
    0x9558: 0x6C37,     #  <CJK>
    0x9559: 0x6F02,     #  <CJK>
    0x955A: 0x74E2,     #  <CJK>
    0x955B: 0x7968,     #  <CJK>
    0x955C: 0x8868,     #  <CJK>
    0x955D: 0x8A55,     #  <CJK>
    0x955E: 0x8C79,     #  <CJK>
    0x955F: 0x5EDF,     #  <CJK>
    0x9560: 0x63CF,     #  <CJK>
    0x9561: 0x75C5,     #  <CJK>
    0x9562: 0x79D2,     #  <CJK>
    0x9563: 0x82D7,     #  <CJK>
    0x9564: 0x9328,     #  <CJK>
    0x9565: 0x92F2,     #  <CJK>
    0x9566: 0x849C,     #  <CJK>
    0x9567: 0x86ED,     #  <CJK>
    0x9568: 0x9C2D,     #  <CJK>
    0x9569: 0x54C1,     #  <CJK>
    0x956A: 0x5F6C,     #  <CJK>
    0x956B: 0x658C,     #  <CJK>
    0x956C: 0x6D5C,     #  <CJK>
    0x956D: 0x7015,     #  <CJK>
    0x956E: 0x8CA7,     #  <CJK>
    0x956F: 0x8CD3,     #  <CJK>
    0x9570: 0x983B,     #  <CJK>
    0x9571: 0x654F,     #  <CJK>
    0x9572: 0x74F6,     #  <CJK>
    0x9573: 0x4E0D,     #  <CJK>
    0x9574: 0x4ED8,     #  <CJK>
    0x9575: 0x57E0,     #  <CJK>
    0x9576: 0x592B,     #  <CJK>
    0x9577: 0x5A66,     #  <CJK>
    0x9578: 0x5BCC,     #  <CJK>
    0x9579: 0x51A8,     #  <CJK>
    0x957A: 0x5E03,     #  <CJK>
    0x957B: 0x5E9C,     #  <CJK>
    0x957C: 0x6016,     #  <CJK>
    0x957D: 0x6276,     #  <CJK>
    0x957E: 0x6577,     #  <CJK>
    0x9580: 0x65A7,     #  <CJK>
    0x9581: 0x666E,     #  <CJK>
    0x9582: 0x6D6E,     #  <CJK>
    0x9583: 0x7236,     #  <CJK>
    0x9584: 0x7B26,     #  <CJK>
    0x9585: 0x8150,     #  <CJK>
    0x9586: 0x819A,     #  <CJK>
    0x9587: 0x8299,     #  <CJK>
    0x9588: 0x8B5C,     #  <CJK>
    0x9589: 0x8CA0,     #  <CJK>
    0x958A: 0x8CE6,     #  <CJK>
    0x958B: 0x8D74,     #  <CJK>
    0x958C: 0x961C,     #  <CJK>
    0x958D: 0x9644,     #  <CJK>
    0x958E: 0x4FAE,     #  <CJK>
    0x958F: 0x64AB,     #  <CJK>
    0x9590: 0x6B66,     #  <CJK>
    0x9591: 0x821E,     #  <CJK>
    0x9592: 0x8461,     #  <CJK>
    0x9593: 0x856A,     #  <CJK>
    0x9594: 0x90E8,     #  <CJK>
    0x9595: 0x5C01,     #  <CJK>
    0x9596: 0x6953,     #  <CJK>
    0x9597: 0x98A8,     #  <CJK>
    0x9598: 0x847A,     #  <CJK>
    0x9599: 0x8557,     #  <CJK>
    0x959A: 0x4F0F,     #  <CJK>
    0x959B: 0x526F,     #  <CJK>
    0x959C: 0x5FA9,     #  <CJK>
    0x959D: 0x5E45,     #  <CJK>
    0x959E: 0x670D,     #  <CJK>
    0x959F: 0x798F,     #  <CJK>
    0x95A0: 0x8179,     #  <CJK>
    0x95A1: 0x8907,     #  <CJK>
    0x95A2: 0x8986,     #  <CJK>
    0x95A3: 0x6DF5,     #  <CJK>
    0x95A4: 0x5F17,     #  <CJK>
    0x95A5: 0x6255,     #  <CJK>
    0x95A6: 0x6CB8,     #  <CJK>
    0x95A7: 0x4ECF,     #  <CJK>
    0x95A8: 0x7269,     #  <CJK>
    0x95A9: 0x9B92,     #  <CJK>
    0x95AA: 0x5206,     #  <CJK>
    0x95AB: 0x543B,     #  <CJK>
    0x95AC: 0x5674,     #  <CJK>
    0x95AD: 0x58B3,     #  <CJK>
    0x95AE: 0x61A4,     #  <CJK>
    0x95AF: 0x626E,     #  <CJK>
    0x95B0: 0x711A,     #  <CJK>
    0x95B1: 0x596E,     #  <CJK>
    0x95B2: 0x7C89,     #  <CJK>
    0x95B3: 0x7CDE,     #  <CJK>
    0x95B4: 0x7D1B,     #  <CJK>
    0x95B5: 0x96F0,     #  <CJK>
    0x95B6: 0x6587,     #  <CJK>
    0x95B7: 0x805E,     #  <CJK>
    0x95B8: 0x4E19,     #  <CJK>
    0x95B9: 0x4F75,     #  <CJK>
    0x95BA: 0x5175,     #  <CJK>
    0x95BB: 0x5840,     #  <CJK>
    0x95BC: 0x5E63,     #  <CJK>
    0x95BD: 0x5E73,     #  <CJK>
    0x95BE: 0x5F0A,     #  <CJK>
    0x95BF: 0x67C4,     #  <CJK>
    0x95C0: 0x4E26,     #  <CJK>
    0x95C1: 0x853D,     #  <CJK>
    0x95C2: 0x9589,     #  <CJK>
    0x95C3: 0x965B,     #  <CJK>
    0x95C4: 0x7C73,     #  <CJK>
    0x95C5: 0x9801,     #  <CJK>
    0x95C6: 0x50FB,     #  <CJK>
    0x95C7: 0x58C1,     #  <CJK>
    0x95C8: 0x7656,     #  <CJK>
    0x95C9: 0x78A7,     #  <CJK>
    0x95CA: 0x5225,     #  <CJK>
    0x95CB: 0x77A5,     #  <CJK>
    0x95CC: 0x8511,     #  <CJK>
    0x95CD: 0x7B86,     #  <CJK>
    0x95CE: 0x504F,     #  <CJK>
    0x95CF: 0x5909,     #  <CJK>
    0x95D0: 0x7247,     #  <CJK>
    0x95D1: 0x7BC7,     #  <CJK>
    0x95D2: 0x7DE8,     #  <CJK>
    0x95D3: 0x8FBA,     #  <CJK>
    0x95D4: 0x8FD4,     #  <CJK>
    0x95D5: 0x904D,     #  <CJK>
    0x95D6: 0x4FBF,     #  <CJK>
    0x95D7: 0x52C9,     #  <CJK>
    0x95D8: 0x5A29,     #  <CJK>
    0x95D9: 0x5F01,     #  <CJK>
    0x95DA: 0x97AD,     #  <CJK>
    0x95DB: 0x4FDD,     #  <CJK>
    0x95DC: 0x8217,     #  <CJK>
    0x95DD: 0x92EA,     #  <CJK>
    0x95DE: 0x5703,     #  <CJK>
    0x95DF: 0x6355,     #  <CJK>
    0x95E0: 0x6B69,     #  <CJK>
    0x95E1: 0x752B,     #  <CJK>
    0x95E2: 0x88DC,     #  <CJK>
    0x95E3: 0x8F14,     #  <CJK>
    0x95E4: 0x7A42,     #  <CJK>
    0x95E5: 0x52DF,     #  <CJK>
    0x95E6: 0x5893,     #  <CJK>
    0x95E7: 0x6155,     #  <CJK>
    0x95E8: 0x620A,     #  <CJK>
    0x95E9: 0x66AE,     #  <CJK>
    0x95EA: 0x6BCD,     #  <CJK>
    0x95EB: 0x7C3F,     #  <CJK>
    0x95EC: 0x83E9,     #  <CJK>
    0x95ED: 0x5023,     #  <CJK>
    0x95EE: 0x4FF8,     #  <CJK>
    0x95EF: 0x5305,     #  <CJK>
    0x95F0: 0x5446,     #  <CJK>
    0x95F1: 0x5831,     #  <CJK>
    0x95F2: 0x5949,     #  <CJK>
    0x95F3: 0x5B9D,     #  <CJK>
    0x95F4: 0x5CF0,     #  <CJK>
    0x95F5: 0x5CEF,     #  <CJK>
    0x95F6: 0x5D29,     #  <CJK>
    0x95F7: 0x5E96,     #  <CJK>
    0x95F8: 0x62B1,     #  <CJK>
    0x95F9: 0x6367,     #  <CJK>
    0x95FA: 0x653E,     #  <CJK>
    0x95FB: 0x65B9,     #  <CJK>
    0x95FC: 0x670B,     #  <CJK>
    0x9640: 0x6CD5,     #  <CJK>
    0x9641: 0x6CE1,     #  <CJK>
    0x9642: 0x70F9,     #  <CJK>
    0x9643: 0x7832,     #  <CJK>
    0x9644: 0x7E2B,     #  <CJK>
    0x9645: 0x80DE,     #  <CJK>
    0x9646: 0x82B3,     #  <CJK>
    0x9647: 0x840C,     #  <CJK>
    0x9648: 0x84EC,     #  <CJK>
    0x9649: 0x8702,     #  <CJK>
    0x964A: 0x8912,     #  <CJK>
    0x964B: 0x8A2A,     #  <CJK>
    0x964C: 0x8C4A,     #  <CJK>
    0x964D: 0x90A6,     #  <CJK>
    0x964E: 0x92D2,     #  <CJK>
    0x964F: 0x98FD,     #  <CJK>
    0x9650: 0x9CF3,     #  <CJK>
    0x9651: 0x9D6C,     #  <CJK>
    0x9652: 0x4E4F,     #  <CJK>
    0x9653: 0x4EA1,     #  <CJK>
    0x9654: 0x508D,     #  <CJK>
    0x9655: 0x5256,     #  <CJK>
    0x9656: 0x574A,     #  <CJK>
    0x9657: 0x59A8,     #  <CJK>
    0x9658: 0x5E3D,     #  <CJK>
    0x9659: 0x5FD8,     #  <CJK>
    0x965A: 0x5FD9,     #  <CJK>
    0x965B: 0x623F,     #  <CJK>
    0x965C: 0x66B4,     #  <CJK>
    0x965D: 0x671B,     #  <CJK>
    0x965E: 0x67D0,     #  <CJK>
    0x965F: 0x68D2,     #  <CJK>
    0x9660: 0x5192,     #  <CJK>
    0x9661: 0x7D21,     #  <CJK>
    0x9662: 0x80AA,     #  <CJK>
    0x9663: 0x81A8,     #  <CJK>
    0x9664: 0x8B00,     #  <CJK>
    0x9665: 0x8C8C,     #  <CJK>
    0x9666: 0x8CBF,     #  <CJK>
    0x9667: 0x927E,     #  <CJK>
    0x9668: 0x9632,     #  <CJK>
    0x9669: 0x5420,     #  <CJK>
    0x966A: 0x982C,     #  <CJK>
    0x966B: 0x5317,     #  <CJK>
    0x966C: 0x50D5,     #  <CJK>
    0x966D: 0x535C,     #  <CJK>
    0x966E: 0x58A8,     #  <CJK>
    0x966F: 0x64B2,     #  <CJK>
    0x9670: 0x6734,     #  <CJK>
    0x9671: 0x7267,     #  <CJK>
    0x9672: 0x7766,     #  <CJK>
    0x9673: 0x7A46,     #  <CJK>
    0x9674: 0x91E6,     #  <CJK>
    0x9675: 0x52C3,     #  <CJK>
    0x9676: 0x6CA1,     #  <CJK>
    0x9677: 0x6B86,     #  <CJK>
    0x9678: 0x5800,     #  <CJK>
    0x9679: 0x5E4C,     #  <CJK>
    0x967A: 0x5954,     #  <CJK>
    0x967B: 0x672C,     #  <CJK>
    0x967C: 0x7FFB,     #  <CJK>
    0x967D: 0x51E1,     #  <CJK>
    0x967E: 0x76C6,     #  <CJK>
    0x9680: 0x6469,     #  <CJK>
    0x9681: 0x78E8,     #  <CJK>
    0x9682: 0x9B54,     #  <CJK>
    0x9683: 0x9EBB,     #  <CJK>
    0x9684: 0x57CB,     #  <CJK>
    0x9685: 0x59B9,     #  <CJK>
    0x9686: 0x6627,     #  <CJK>
    0x9687: 0x679A,     #  <CJK>
    0x9688: 0x6BCE,     #  <CJK>
    0x9689: 0x54E9,     #  <CJK>
    0x968A: 0x69D9,     #  <CJK>
    0x968B: 0x5E55,     #  <CJK>
    0x968C: 0x819C,     #  <CJK>
    0x968D: 0x6795,     #  <CJK>
    0x968E: 0x9BAA,     #  <CJK>
    0x968F: 0x67FE,     #  <CJK>
    0x9690: 0x9C52,     #  <CJK>
    0x9691: 0x685D,     #  <CJK>
    0x9692: 0x4EA6,     #  <CJK>
    0x9693: 0x4FE3,     #  <CJK>
    0x9694: 0x53C8,     #  <CJK>
    0x9695: 0x62B9,     #  <CJK>
    0x9696: 0x672B,     #  <CJK>
    0x9697: 0x6CAB,     #  <CJK>
    0x9698: 0x8FC4,     #  <CJK>
    0x9699: 0x4FAD,     #  <CJK>
    0x969A: 0x7E6D,     #  <CJK>
    0x969B: 0x9EBF,     #  <CJK>
    0x969C: 0x4E07,     #  <CJK>
    0x969D: 0x6162,     #  <CJK>
    0x969E: 0x6E80,     #  <CJK>
    0x969F: 0x6F2B,     #  <CJK>
    0x96A0: 0x8513,     #  <CJK>
    0x96A1: 0x5473,     #  <CJK>
    0x96A2: 0x672A,     #  <CJK>
    0x96A3: 0x9B45,     #  <CJK>
    0x96A4: 0x5DF3,     #  <CJK>
    0x96A5: 0x7B95,     #  <CJK>
    0x96A6: 0x5CAC,     #  <CJK>
    0x96A7: 0x5BC6,     #  <CJK>
    0x96A8: 0x871C,     #  <CJK>
    0x96A9: 0x6E4A,     #  <CJK>
    0x96AA: 0x84D1,     #  <CJK>
    0x96AB: 0x7A14,     #  <CJK>
    0x96AC: 0x8108,     #  <CJK>
    0x96AD: 0x5999,     #  <CJK>
    0x96AE: 0x7C8D,     #  <CJK>
    0x96AF: 0x6C11,     #  <CJK>
    0x96B0: 0x7720,     #  <CJK>
    0x96B1: 0x52D9,     #  <CJK>
    0x96B2: 0x5922,     #  <CJK>
    0x96B3: 0x7121,     #  <CJK>
    0x96B4: 0x725F,     #  <CJK>
    0x96B5: 0x77DB,     #  <CJK>
    0x96B6: 0x9727,     #  <CJK>
    0x96B7: 0x9D61,     #  <CJK>
    0x96B8: 0x690B,     #  <CJK>
    0x96B9: 0x5A7F,     #  <CJK>
    0x96BA: 0x5A18,     #  <CJK>
    0x96BB: 0x51A5,     #  <CJK>
    0x96BC: 0x540D,     #  <CJK>
    0x96BD: 0x547D,     #  <CJK>
    0x96BE: 0x660E,     #  <CJK>
    0x96BF: 0x76DF,     #  <CJK>
    0x96C0: 0x8FF7,     #  <CJK>
    0x96C1: 0x9298,     #  <CJK>
    0x96C2: 0x9CF4,     #  <CJK>
    0x96C3: 0x59EA,     #  <CJK>
    0x96C4: 0x725D,     #  <CJK>
    0x96C5: 0x6EC5,     #  <CJK>
    0x96C6: 0x514D,     #  <CJK>
    0x96C7: 0x68C9,     #  <CJK>
    0x96C8: 0x7DBF,     #  <CJK>
    0x96C9: 0x7DEC,     #  <CJK>
    0x96CA: 0x9762,     #  <CJK>
    0x96CB: 0x9EBA,     #  <CJK>
    0x96CC: 0x6478,     #  <CJK>
    0x96CD: 0x6A21,     #  <CJK>
    0x96CE: 0x8302,     #  <CJK>
    0x96CF: 0x5984,     #  <CJK>
    0x96D0: 0x5B5F,     #  <CJK>
    0x96D1: 0x6BDB,     #  <CJK>
    0x96D2: 0x731B,     #  <CJK>
    0x96D3: 0x76F2,     #  <CJK>
    0x96D4: 0x7DB2,     #  <CJK>
    0x96D5: 0x8017,     #  <CJK>
    0x96D6: 0x8499,     #  <CJK>
    0x96D7: 0x5132,     #  <CJK>
    0x96D8: 0x6728,     #  <CJK>
    0x96D9: 0x9ED9,     #  <CJK>
    0x96DA: 0x76EE,     #  <CJK>
    0x96DB: 0x6762,     #  <CJK>
    0x96DC: 0x52FF,     #  <CJK>
    0x96DD: 0x9905,     #  <CJK>
    0x96DE: 0x5C24,     #  <CJK>
    0x96DF: 0x623B,     #  <CJK>
    0x96E0: 0x7C7E,     #  <CJK>
    0x96E1: 0x8CB0,     #  <CJK>
    0x96E2: 0x554F,     #  <CJK>
    0x96E3: 0x60B6,     #  <CJK>
    0x96E4: 0x7D0B,     #  <CJK>
    0x96E5: 0x9580,     #  <CJK>
    0x96E6: 0x5301,     #  <CJK>
    0x96E7: 0x4E5F,     #  <CJK>
    0x96E8: 0x51B6,     #  <CJK>
    0x96E9: 0x591C,     #  <CJK>
    0x96EA: 0x723A,     #  <CJK>
    0x96EB: 0x8036,     #  <CJK>
    0x96EC: 0x91CE,     #  <CJK>
    0x96ED: 0x5F25,     #  <CJK>
    0x96EE: 0x77E2,     #  <CJK>
    0x96EF: 0x5384,     #  <CJK>
    0x96F0: 0x5F79,     #  <CJK>
    0x96F1: 0x7D04,     #  <CJK>
    0x96F2: 0x85AC,     #  <CJK>
    0x96F3: 0x8A33,     #  <CJK>
    0x96F4: 0x8E8D,     #  <CJK>
    0x96F5: 0x9756,     #  <CJK>
    0x96F6: 0x67F3,     #  <CJK>
    0x96F7: 0x85AE,     #  <CJK>
    0x96F8: 0x9453,     #  <CJK>
    0x96F9: 0x6109,     #  <CJK>
    0x96FA: 0x6108,     #  <CJK>
    0x96FB: 0x6CB9,     #  <CJK>
    0x96FC: 0x7652,     #  <CJK>
    0x9740: 0x8AED,     #  <CJK>
    0x9741: 0x8F38,     #  <CJK>
    0x9742: 0x552F,     #  <CJK>
    0x9743: 0x4F51,     #  <CJK>
    0x9744: 0x512A,     #  <CJK>
    0x9745: 0x52C7,     #  <CJK>
    0x9746: 0x53CB,     #  <CJK>
    0x9747: 0x5BA5,     #  <CJK>
    0x9748: 0x5E7D,     #  <CJK>
    0x9749: 0x60A0,     #  <CJK>
    0x974A: 0x6182,     #  <CJK>
    0x974B: 0x63D6,     #  <CJK>
    0x974C: 0x6709,     #  <CJK>
    0x974D: 0x67DA,     #  <CJK>
    0x974E: 0x6E67,     #  <CJK>
    0x974F: 0x6D8C,     #  <CJK>
    0x9750: 0x7336,     #  <CJK>
    0x9751: 0x7337,     #  <CJK>
    0x9752: 0x7531,     #  <CJK>
    0x9753: 0x7950,     #  <CJK>
    0x9754: 0x88D5,     #  <CJK>
    0x9755: 0x8A98,     #  <CJK>
    0x9756: 0x904A,     #  <CJK>
    0x9757: 0x9091,     #  <CJK>
    0x9758: 0x90F5,     #  <CJK>
    0x9759: 0x96C4,     #  <CJK>
    0x975A: 0x878D,     #  <CJK>
    0x975B: 0x5915,     #  <CJK>
    0x975C: 0x4E88,     #  <CJK>
    0x975D: 0x4F59,     #  <CJK>
    0x975E: 0x4E0E,     #  <CJK>
    0x975F: 0x8A89,     #  <CJK>
    0x9760: 0x8F3F,     #  <CJK>
    0x9761: 0x9810,     #  <CJK>
    0x9762: 0x50AD,     #  <CJK>
    0x9763: 0x5E7C,     #  <CJK>
    0x9764: 0x5996,     #  <CJK>
    0x9765: 0x5BB9,     #  <CJK>
    0x9766: 0x5EB8,     #  <CJK>
    0x9767: 0x63DA,     #  <CJK>
    0x9768: 0x63FA,     #  <CJK>
    0x9769: 0x64C1,     #  <CJK>
    0x976A: 0x66DC,     #  <CJK>
    0x976B: 0x694A,     #  <CJK>
    0x976C: 0x69D8,     #  <CJK>
    0x976D: 0x6D0B,     #  <CJK>
    0x976E: 0x6EB6,     #  <CJK>
    0x976F: 0x7194,     #  <CJK>
    0x9770: 0x7528,     #  <CJK>
    0x9771: 0x7AAF,     #  <CJK>
    0x9772: 0x7F8A,     #  <CJK>
    0x9773: 0x8000,     #  <CJK>
    0x9774: 0x8449,     #  <CJK>
    0x9775: 0x84C9,     #  <CJK>
    0x9776: 0x8981,     #  <CJK>
    0x9777: 0x8B21,     #  <CJK>
    0x9778: 0x8E0A,     #  <CJK>
    0x9779: 0x9065,     #  <CJK>
    0x977A: 0x967D,     #  <CJK>
    0x977B: 0x990A,     #  <CJK>
    0x977C: 0x617E,     #  <CJK>
    0x977D: 0x6291,     #  <CJK>
    0x977E: 0x6B32,     #  <CJK>
    0x9780: 0x6C83,     #  <CJK>
    0x9781: 0x6D74,     #  <CJK>
    0x9782: 0x7FCC,     #  <CJK>
    0x9783: 0x7FFC,     #  <CJK>
    0x9784: 0x6DC0,     #  <CJK>
    0x9785: 0x7F85,     #  <CJK>
    0x9786: 0x87BA,     #  <CJK>
    0x9787: 0x88F8,     #  <CJK>
    0x9788: 0x6765,     #  <CJK>
    0x9789: 0x83B1,     #  <CJK>
    0x978A: 0x983C,     #  <CJK>
    0x978B: 0x96F7,     #  <CJK>
    0x978C: 0x6D1B,     #  <CJK>
    0x978D: 0x7D61,     #  <CJK>
    0x978E: 0x843D,     #  <CJK>
    0x978F: 0x916A,     #  <CJK>
    0x9790: 0x4E71,     #  <CJK>
    0x9791: 0x5375,     #  <CJK>
    0x9792: 0x5D50,     #  <CJK>
    0x9793: 0x6B04,     #  <CJK>
    0x9794: 0x6FEB,     #  <CJK>
    0x9795: 0x85CD,     #  <CJK>
    0x9796: 0x862D,     #  <CJK>
    0x9797: 0x89A7,     #  <CJK>
    0x9798: 0x5229,     #  <CJK>
    0x9799: 0x540F,     #  <CJK>
    0x979A: 0x5C65,     #  <CJK>
    0x979B: 0x674E,     #  <CJK>
    0x979C: 0x68A8,     #  <CJK>
    0x979D: 0x7406,     #  <CJK>
    0x979E: 0x7483,     #  <CJK>
    0x979F: 0x75E2,     #  <CJK>
    0x97A0: 0x88CF,     #  <CJK>
    0x97A1: 0x88E1,     #  <CJK>
    0x97A2: 0x91CC,     #  <CJK>
    0x97A3: 0x96E2,     #  <CJK>
    0x97A4: 0x9678,     #  <CJK>
    0x97A5: 0x5F8B,     #  <CJK>
    0x97A6: 0x7387,     #  <CJK>
    0x97A7: 0x7ACB,     #  <CJK>
    0x97A8: 0x844E,     #  <CJK>
    0x97A9: 0x63A0,     #  <CJK>
    0x97AA: 0x7565,     #  <CJK>
    0x97AB: 0x5289,     #  <CJK>
    0x97AC: 0x6D41,     #  <CJK>
    0x97AD: 0x6E9C,     #  <CJK>
    0x97AE: 0x7409,     #  <CJK>
    0x97AF: 0x7559,     #  <CJK>
    0x97B0: 0x786B,     #  <CJK>
    0x97B1: 0x7C92,     #  <CJK>
    0x97B2: 0x9686,     #  <CJK>
    0x97B3: 0x7ADC,     #  <CJK>
    0x97B4: 0x9F8D,     #  <CJK>
    0x97B5: 0x4FB6,     #  <CJK>
    0x97B6: 0x616E,     #  <CJK>
    0x97B7: 0x65C5,     #  <CJK>
    0x97B8: 0x865C,     #  <CJK>
    0x97B9: 0x4E86,     #  <CJK>
    0x97BA: 0x4EAE,     #  <CJK>
    0x97BB: 0x50DA,     #  <CJK>
    0x97BC: 0x4E21,     #  <CJK>
    0x97BD: 0x51CC,     #  <CJK>
    0x97BE: 0x5BEE,     #  <CJK>
    0x97BF: 0x6599,     #  <CJK>
    0x97C0: 0x6881,     #  <CJK>
    0x97C1: 0x6DBC,     #  <CJK>
    0x97C2: 0x731F,     #  <CJK>
    0x97C3: 0x7642,     #  <CJK>
    0x97C4: 0x77AD,     #  <CJK>
    0x97C5: 0x7A1C,     #  <CJK>
    0x97C6: 0x7CE7,     #  <CJK>
    0x97C7: 0x826F,     #  <CJK>
    0x97C8: 0x8AD2,     #  <CJK>
    0x97C9: 0x907C,     #  <CJK>
    0x97CA: 0x91CF,     #  <CJK>
    0x97CB: 0x9675,     #  <CJK>
    0x97CC: 0x9818,     #  <CJK>
    0x97CD: 0x529B,     #  <CJK>
    0x97CE: 0x7DD1,     #  <CJK>
    0x97CF: 0x502B,     #  <CJK>
    0x97D0: 0x5398,     #  <CJK>
    0x97D1: 0x6797,     #  <CJK>
    0x97D2: 0x6DCB,     #  <CJK>
    0x97D3: 0x71D0,     #  <CJK>
    0x97D4: 0x7433,     #  <CJK>
    0x97D5: 0x81E8,     #  <CJK>
    0x97D6: 0x8F2A,     #  <CJK>
    0x97D7: 0x96A3,     #  <CJK>
    0x97D8: 0x9C57,     #  <CJK>
    0x97D9: 0x9E9F,     #  <CJK>
    0x97DA: 0x7460,     #  <CJK>
    0x97DB: 0x5841,     #  <CJK>
    0x97DC: 0x6D99,     #  <CJK>
    0x97DD: 0x7D2F,     #  <CJK>
    0x97DE: 0x985E,     #  <CJK>
    0x97DF: 0x4EE4,     #  <CJK>
    0x97E0: 0x4F36,     #  <CJK>
    0x97E1: 0x4F8B,     #  <CJK>
    0x97E2: 0x51B7,     #  <CJK>
    0x97E3: 0x52B1,     #  <CJK>
    0x97E4: 0x5DBA,     #  <CJK>
    0x97E5: 0x601C,     #  <CJK>
    0x97E6: 0x73B2,     #  <CJK>
    0x97E7: 0x793C,     #  <CJK>
    0x97E8: 0x82D3,     #  <CJK>
    0x97E9: 0x9234,     #  <CJK>
    0x97EA: 0x96B7,     #  <CJK>
    0x97EB: 0x96F6,     #  <CJK>
    0x97EC: 0x970A,     #  <CJK>
    0x97ED: 0x9E97,     #  <CJK>
    0x97EE: 0x9F62,     #  <CJK>
    0x97EF: 0x66A6,     #  <CJK>
    0x97F0: 0x6B74,     #  <CJK>
    0x97F1: 0x5217,     #  <CJK>
    0x97F2: 0x52A3,     #  <CJK>
    0x97F3: 0x70C8,     #  <CJK>
    0x97F4: 0x88C2,     #  <CJK>
    0x97F5: 0x5EC9,     #  <CJK>
    0x97F6: 0x604B,     #  <CJK>
    0x97F7: 0x6190,     #  <CJK>
    0x97F8: 0x6F23,     #  <CJK>
    0x97F9: 0x7149,     #  <CJK>
    0x97FA: 0x7C3E,     #  <CJK>
    0x97FB: 0x7DF4,     #  <CJK>
    0x97FC: 0x806F,     #  <CJK>
    0x9840: 0x84EE,     #  <CJK>
    0x9841: 0x9023,     #  <CJK>
    0x9842: 0x932C,     #  <CJK>
    0x9843: 0x5442,     #  <CJK>
    0x9844: 0x9B6F,     #  <CJK>
    0x9845: 0x6AD3,     #  <CJK>
    0x9846: 0x7089,     #  <CJK>
    0x9847: 0x8CC2,     #  <CJK>
    0x9848: 0x8DEF,     #  <CJK>
    0x9849: 0x9732,     #  <CJK>
    0x984A: 0x52B4,     #  <CJK>
    0x984B: 0x5A41,     #  <CJK>
    0x984C: 0x5ECA,     #  <CJK>
    0x984D: 0x5F04,     #  <CJK>
    0x984E: 0x6717,     #  <CJK>
    0x984F: 0x697C,     #  <CJK>
    0x9850: 0x6994,     #  <CJK>
    0x9851: 0x6D6A,     #  <CJK>
    0x9852: 0x6F0F,     #  <CJK>
    0x9853: 0x7262,     #  <CJK>
    0x9854: 0x72FC,     #  <CJK>
    0x9855: 0x7BED,     #  <CJK>
    0x9856: 0x8001,     #  <CJK>
    0x9857: 0x807E,     #  <CJK>
    0x9858: 0x874B,     #  <CJK>
    0x9859: 0x90CE,     #  <CJK>
    0x985A: 0x516D,     #  <CJK>
    0x985B: 0x9E93,     #  <CJK>
    0x985C: 0x7984,     #  <CJK>
    0x985D: 0x808B,     #  <CJK>
    0x985E: 0x9332,     #  <CJK>
    0x985F: 0x8AD6,     #  <CJK>
    0x9860: 0x502D,     #  <CJK>
    0x9861: 0x548C,     #  <CJK>
    0x9862: 0x8A71,     #  <CJK>
    0x9863: 0x6B6A,     #  <CJK>
    0x9864: 0x8CC4,     #  <CJK>
    0x9865: 0x8107,     #  <CJK>
    0x9866: 0x60D1,     #  <CJK>
    0x9867: 0x67A0,     #  <CJK>
    0x9868: 0x9DF2,     #  <CJK>
    0x9869: 0x4E99,     #  <CJK>
    0x986A: 0x4E98,     #  <CJK>
    0x986B: 0x9C10,     #  <CJK>
    0x986C: 0x8A6B,     #  <CJK>
    0x986D: 0x85C1,     #  <CJK>
    0x986E: 0x8568,     #  <CJK>
    0x986F: 0x6900,     #  <CJK>
    0x9870: 0x6E7E,     #  <CJK>
    0x9871: 0x7897,     #  <CJK>
    0x9872: 0x8155,     #  <CJK>
    0x989F: 0x5F0C,     #  <CJK>
    0x98A0: 0x4E10,     #  <CJK>
    0x98A1: 0x4E15,     #  <CJK>
    0x98A2: 0x4E2A,     #  <CJK>
    0x98A3: 0x4E31,     #  <CJK>
    0x98A4: 0x4E36,     #  <CJK>
    0x98A5: 0x4E3C,     #  <CJK>
    0x98A6: 0x4E3F,     #  <CJK>
    0x98A7: 0x4E42,     #  <CJK>
    0x98A8: 0x4E56,     #  <CJK>
    0x98A9: 0x4E58,     #  <CJK>
    0x98AA: 0x4E82,     #  <CJK>
    0x98AB: 0x4E85,     #  <CJK>
    0x98AC: 0x8C6B,     #  <CJK>
    0x98AD: 0x4E8A,     #  <CJK>
    0x98AE: 0x8212,     #  <CJK>
    0x98AF: 0x5F0D,     #  <CJK>
    0x98B0: 0x4E8E,     #  <CJK>
    0x98B1: 0x4E9E,     #  <CJK>
    0x98B2: 0x4E9F,     #  <CJK>
    0x98B3: 0x4EA0,     #  <CJK>
    0x98B4: 0x4EA2,     #  <CJK>
    0x98B5: 0x4EB0,     #  <CJK>
    0x98B6: 0x4EB3,     #  <CJK>
    0x98B7: 0x4EB6,     #  <CJK>
    0x98B8: 0x4ECE,     #  <CJK>
    0x98B9: 0x4ECD,     #  <CJK>
    0x98BA: 0x4EC4,     #  <CJK>
    0x98BB: 0x4EC6,     #  <CJK>
    0x98BC: 0x4EC2,     #  <CJK>
    0x98BD: 0x4ED7,     #  <CJK>
    0x98BE: 0x4EDE,     #  <CJK>
    0x98BF: 0x4EED,     #  <CJK>
    0x98C0: 0x4EDF,     #  <CJK>
    0x98C1: 0x4EF7,     #  <CJK>
    0x98C2: 0x4F09,     #  <CJK>
    0x98C3: 0x4F5A,     #  <CJK>
    0x98C4: 0x4F30,     #  <CJK>
    0x98C5: 0x4F5B,     #  <CJK>
    0x98C6: 0x4F5D,     #  <CJK>
    0x98C7: 0x4F57,     #  <CJK>
    0x98C8: 0x4F47,     #  <CJK>
    0x98C9: 0x4F76,     #  <CJK>
    0x98CA: 0x4F88,     #  <CJK>
    0x98CB: 0x4F8F,     #  <CJK>
    0x98CC: 0x4F98,     #  <CJK>
    0x98CD: 0x4F7B,     #  <CJK>
    0x98CE: 0x4F69,     #  <CJK>
    0x98CF: 0x4F70,     #  <CJK>
    0x98D0: 0x4F91,     #  <CJK>
    0x98D1: 0x4F6F,     #  <CJK>
    0x98D2: 0x4F86,     #  <CJK>
    0x98D3: 0x4F96,     #  <CJK>
    0x98D4: 0x5118,     #  <CJK>
    0x98D5: 0x4FD4,     #  <CJK>
    0x98D6: 0x4FDF,     #  <CJK>
    0x98D7: 0x4FCE,     #  <CJK>
    0x98D8: 0x4FD8,     #  <CJK>
    0x98D9: 0x4FDB,     #  <CJK>
    0x98DA: 0x4FD1,     #  <CJK>
    0x98DB: 0x4FDA,     #  <CJK>
    0x98DC: 0x4FD0,     #  <CJK>
    0x98DD: 0x4FE4,     #  <CJK>
    0x98DE: 0x4FE5,     #  <CJK>
    0x98DF: 0x501A,     #  <CJK>
    0x98E0: 0x5028,     #  <CJK>
    0x98E1: 0x5014,     #  <CJK>
    0x98E2: 0x502A,     #  <CJK>
    0x98E3: 0x5025,     #  <CJK>
    0x98E4: 0x5005,     #  <CJK>
    0x98E5: 0x4F1C,     #  <CJK>
    0x98E6: 0x4FF6,     #  <CJK>
    0x98E7: 0x5021,     #  <CJK>
    0x98E8: 0x5029,     #  <CJK>
    0x98E9: 0x502C,     #  <CJK>
    0x98EA: 0x4FFE,     #  <CJK>
    0x98EB: 0x4FEF,     #  <CJK>
    0x98EC: 0x5011,     #  <CJK>
    0x98ED: 0x5006,     #  <CJK>
    0x98EE: 0x5043,     #  <CJK>
    0x98EF: 0x5047,     #  <CJK>
    0x98F0: 0x6703,     #  <CJK>
    0x98F1: 0x5055,     #  <CJK>
    0x98F2: 0x5050,     #  <CJK>
    0x98F3: 0x5048,     #  <CJK>
    0x98F4: 0x505A,     #  <CJK>
    0x98F5: 0x5056,     #  <CJK>
    0x98F6: 0x506C,     #  <CJK>
    0x98F7: 0x5078,     #  <CJK>
    0x98F8: 0x5080,     #  <CJK>
    0x98F9: 0x509A,     #  <CJK>
    0x98FA: 0x5085,     #  <CJK>
    0x98FB: 0x50B4,     #  <CJK>
    0x98FC: 0x50B2,     #  <CJK>
    0x9940: 0x50C9,     #  <CJK>
    0x9941: 0x50CA,     #  <CJK>
    0x9942: 0x50B3,     #  <CJK>
    0x9943: 0x50C2,     #  <CJK>
    0x9944: 0x50D6,     #  <CJK>
    0x9945: 0x50DE,     #  <CJK>
    0x9946: 0x50E5,     #  <CJK>
    0x9947: 0x50ED,     #  <CJK>
    0x9948: 0x50E3,     #  <CJK>
    0x9949: 0x50EE,     #  <CJK>
    0x994A: 0x50F9,     #  <CJK>
    0x994B: 0x50F5,     #  <CJK>
    0x994C: 0x5109,     #  <CJK>
    0x994D: 0x5101,     #  <CJK>
    0x994E: 0x5102,     #  <CJK>
    0x994F: 0x5116,     #  <CJK>
    0x9950: 0x5115,     #  <CJK>
    0x9951: 0x5114,     #  <CJK>
    0x9952: 0x511A,     #  <CJK>
    0x9953: 0x5121,     #  <CJK>
    0x9954: 0x513A,     #  <CJK>
    0x9955: 0x5137,     #  <CJK>
    0x9956: 0x513C,     #  <CJK>
    0x9957: 0x513B,     #  <CJK>
    0x9958: 0x513F,     #  <CJK>
    0x9959: 0x5140,     #  <CJK>
    0x995A: 0x5152,     #  <CJK>
    0x995B: 0x514C,     #  <CJK>
    0x995C: 0x5154,     #  <CJK>
    0x995D: 0x5162,     #  <CJK>
    0x995E: 0x7AF8,     #  <CJK>
    0x995F: 0x5169,     #  <CJK>
    0x9960: 0x516A,     #  <CJK>
    0x9961: 0x516E,     #  <CJK>
    0x9962: 0x5180,     #  <CJK>
    0x9963: 0x5182,     #  <CJK>
    0x9964: 0x56D8,     #  <CJK>
    0x9965: 0x518C,     #  <CJK>
    0x9966: 0x5189,     #  <CJK>
    0x9967: 0x518F,     #  <CJK>
    0x9968: 0x5191,     #  <CJK>
    0x9969: 0x5193,     #  <CJK>
    0x996A: 0x5195,     #  <CJK>
    0x996B: 0x5196,     #  <CJK>
    0x996C: 0x51A4,     #  <CJK>
    0x996D: 0x51A6,     #  <CJK>
    0x996E: 0x51A2,     #  <CJK>
    0x996F: 0x51A9,     #  <CJK>
    0x9970: 0x51AA,     #  <CJK>
    0x9971: 0x51AB,     #  <CJK>
    0x9972: 0x51B3,     #  <CJK>
    0x9973: 0x51B1,     #  <CJK>
    0x9974: 0x51B2,     #  <CJK>
    0x9975: 0x51B0,     #  <CJK>
    0x9976: 0x51B5,     #  <CJK>
    0x9977: 0x51BD,     #  <CJK>
    0x9978: 0x51C5,     #  <CJK>
    0x9979: 0x51C9,     #  <CJK>
    0x997A: 0x51DB,     #  <CJK>
    0x997B: 0x51E0,     #  <CJK>
    0x997C: 0x8655,     #  <CJK>
    0x997D: 0x51E9,     #  <CJK>
    0x997E: 0x51ED,     #  <CJK>
    0x9980: 0x51F0,     #  <CJK>
    0x9981: 0x51F5,     #  <CJK>
    0x9982: 0x51FE,     #  <CJK>
    0x9983: 0x5204,     #  <CJK>
    0x9984: 0x520B,     #  <CJK>
    0x9985: 0x5214,     #  <CJK>
    0x9986: 0x520E,     #  <CJK>
    0x9987: 0x5227,     #  <CJK>
    0x9988: 0x522A,     #  <CJK>
    0x9989: 0x522E,     #  <CJK>
    0x998A: 0x5233,     #  <CJK>
    0x998B: 0x5239,     #  <CJK>
    0x998C: 0x524F,     #  <CJK>
    0x998D: 0x5244,     #  <CJK>
    0x998E: 0x524B,     #  <CJK>
    0x998F: 0x524C,     #  <CJK>
    0x9990: 0x525E,     #  <CJK>
    0x9991: 0x5254,     #  <CJK>
    0x9992: 0x526A,     #  <CJK>
    0x9993: 0x5274,     #  <CJK>
    0x9994: 0x5269,     #  <CJK>
    0x9995: 0x5273,     #  <CJK>
    0x9996: 0x527F,     #  <CJK>
    0x9997: 0x527D,     #  <CJK>
    0x9998: 0x528D,     #  <CJK>
    0x9999: 0x5294,     #  <CJK>
    0x999A: 0x5292,     #  <CJK>
    0x999B: 0x5271,     #  <CJK>
    0x999C: 0x5288,     #  <CJK>
    0x999D: 0x5291,     #  <CJK>
    0x999E: 0x8FA8,     #  <CJK>
    0x999F: 0x8FA7,     #  <CJK>
    0x99A0: 0x52AC,     #  <CJK>
    0x99A1: 0x52AD,     #  <CJK>
    0x99A2: 0x52BC,     #  <CJK>
    0x99A3: 0x52B5,     #  <CJK>
    0x99A4: 0x52C1,     #  <CJK>
    0x99A5: 0x52CD,     #  <CJK>
    0x99A6: 0x52D7,     #  <CJK>
    0x99A7: 0x52DE,     #  <CJK>
    0x99A8: 0x52E3,     #  <CJK>
    0x99A9: 0x52E6,     #  <CJK>
    0x99AA: 0x98ED,     #  <CJK>
    0x99AB: 0x52E0,     #  <CJK>
    0x99AC: 0x52F3,     #  <CJK>
    0x99AD: 0x52F5,     #  <CJK>
    0x99AE: 0x52F8,     #  <CJK>
    0x99AF: 0x52F9,     #  <CJK>
    0x99B0: 0x5306,     #  <CJK>
    0x99B1: 0x5308,     #  <CJK>
    0x99B2: 0x7538,     #  <CJK>
    0x99B3: 0x530D,     #  <CJK>
    0x99B4: 0x5310,     #  <CJK>
    0x99B5: 0x530F,     #  <CJK>
    0x99B6: 0x5315,     #  <CJK>
    0x99B7: 0x531A,     #  <CJK>
    0x99B8: 0x5323,     #  <CJK>
    0x99B9: 0x532F,     #  <CJK>
    0x99BA: 0x5331,     #  <CJK>
    0x99BB: 0x5333,     #  <CJK>
    0x99BC: 0x5338,     #  <CJK>
    0x99BD: 0x5340,     #  <CJK>
})
decoding_map.update({
    0x99BE: 0x5346,     #  <CJK>
    0x99BF: 0x5345,     #  <CJK>
    0x99C0: 0x4E17,     #  <CJK>
    0x99C1: 0x5349,     #  <CJK>
    0x99C2: 0x534D,     #  <CJK>
    0x99C3: 0x51D6,     #  <CJK>
    0x99C4: 0x535E,     #  <CJK>
    0x99C5: 0x5369,     #  <CJK>
    0x99C6: 0x536E,     #  <CJK>
    0x99C7: 0x5918,     #  <CJK>
    0x99C8: 0x537B,     #  <CJK>
    0x99C9: 0x5377,     #  <CJK>
    0x99CA: 0x5382,     #  <CJK>
    0x99CB: 0x5396,     #  <CJK>
    0x99CC: 0x53A0,     #  <CJK>
    0x99CD: 0x53A6,     #  <CJK>
    0x99CE: 0x53A5,     #  <CJK>
    0x99CF: 0x53AE,     #  <CJK>
    0x99D0: 0x53B0,     #  <CJK>
    0x99D1: 0x53B6,     #  <CJK>
    0x99D2: 0x53C3,     #  <CJK>
    0x99D3: 0x7C12,     #  <CJK>
    0x99D4: 0x96D9,     #  <CJK>
    0x99D5: 0x53DF,     #  <CJK>
    0x99D6: 0x66FC,     #  <CJK>
    0x99D7: 0x71EE,     #  <CJK>
    0x99D8: 0x53EE,     #  <CJK>
    0x99D9: 0x53E8,     #  <CJK>
    0x99DA: 0x53ED,     #  <CJK>
    0x99DB: 0x53FA,     #  <CJK>
    0x99DC: 0x5401,     #  <CJK>
    0x99DD: 0x543D,     #  <CJK>
    0x99DE: 0x5440,     #  <CJK>
    0x99DF: 0x542C,     #  <CJK>
    0x99E0: 0x542D,     #  <CJK>
    0x99E1: 0x543C,     #  <CJK>
    0x99E2: 0x542E,     #  <CJK>
    0x99E3: 0x5436,     #  <CJK>
    0x99E4: 0x5429,     #  <CJK>
    0x99E5: 0x541D,     #  <CJK>
    0x99E6: 0x544E,     #  <CJK>
    0x99E7: 0x548F,     #  <CJK>
    0x99E8: 0x5475,     #  <CJK>
    0x99E9: 0x548E,     #  <CJK>
    0x99EA: 0x545F,     #  <CJK>
    0x99EB: 0x5471,     #  <CJK>
    0x99EC: 0x5477,     #  <CJK>
    0x99ED: 0x5470,     #  <CJK>
    0x99EE: 0x5492,     #  <CJK>
    0x99EF: 0x547B,     #  <CJK>
    0x99F0: 0x5480,     #  <CJK>
    0x99F1: 0x5476,     #  <CJK>
    0x99F2: 0x5484,     #  <CJK>
    0x99F3: 0x5490,     #  <CJK>
    0x99F4: 0x5486,     #  <CJK>
    0x99F5: 0x54C7,     #  <CJK>
    0x99F6: 0x54A2,     #  <CJK>
    0x99F7: 0x54B8,     #  <CJK>
    0x99F8: 0x54A5,     #  <CJK>
    0x99F9: 0x54AC,     #  <CJK>
    0x99FA: 0x54C4,     #  <CJK>
    0x99FB: 0x54C8,     #  <CJK>
    0x99FC: 0x54A8,     #  <CJK>
    0x9A40: 0x54AB,     #  <CJK>
    0x9A41: 0x54C2,     #  <CJK>
    0x9A42: 0x54A4,     #  <CJK>
    0x9A43: 0x54BE,     #  <CJK>
    0x9A44: 0x54BC,     #  <CJK>
    0x9A45: 0x54D8,     #  <CJK>
    0x9A46: 0x54E5,     #  <CJK>
    0x9A47: 0x54E6,     #  <CJK>
    0x9A48: 0x550F,     #  <CJK>
    0x9A49: 0x5514,     #  <CJK>
    0x9A4A: 0x54FD,     #  <CJK>
    0x9A4B: 0x54EE,     #  <CJK>
    0x9A4C: 0x54ED,     #  <CJK>
    0x9A4D: 0x54FA,     #  <CJK>
    0x9A4E: 0x54E2,     #  <CJK>
    0x9A4F: 0x5539,     #  <CJK>
    0x9A50: 0x5540,     #  <CJK>
    0x9A51: 0x5563,     #  <CJK>
    0x9A52: 0x554C,     #  <CJK>
    0x9A53: 0x552E,     #  <CJK>
    0x9A54: 0x555C,     #  <CJK>
    0x9A55: 0x5545,     #  <CJK>
    0x9A56: 0x5556,     #  <CJK>
    0x9A57: 0x5557,     #  <CJK>
    0x9A58: 0x5538,     #  <CJK>
    0x9A59: 0x5533,     #  <CJK>
    0x9A5A: 0x555D,     #  <CJK>
    0x9A5B: 0x5599,     #  <CJK>
    0x9A5C: 0x5580,     #  <CJK>
    0x9A5D: 0x54AF,     #  <CJK>
    0x9A5E: 0x558A,     #  <CJK>
    0x9A5F: 0x559F,     #  <CJK>
    0x9A60: 0x557B,     #  <CJK>
    0x9A61: 0x557E,     #  <CJK>
    0x9A62: 0x5598,     #  <CJK>
    0x9A63: 0x559E,     #  <CJK>
    0x9A64: 0x55AE,     #  <CJK>
    0x9A65: 0x557C,     #  <CJK>
    0x9A66: 0x5583,     #  <CJK>
    0x9A67: 0x55A9,     #  <CJK>
    0x9A68: 0x5587,     #  <CJK>
    0x9A69: 0x55A8,     #  <CJK>
    0x9A6A: 0x55DA,     #  <CJK>
    0x9A6B: 0x55C5,     #  <CJK>
    0x9A6C: 0x55DF,     #  <CJK>
    0x9A6D: 0x55C4,     #  <CJK>
    0x9A6E: 0x55DC,     #  <CJK>
    0x9A6F: 0x55E4,     #  <CJK>
    0x9A70: 0x55D4,     #  <CJK>
    0x9A71: 0x5614,     #  <CJK>
    0x9A72: 0x55F7,     #  <CJK>
    0x9A73: 0x5616,     #  <CJK>
    0x9A74: 0x55FE,     #  <CJK>
    0x9A75: 0x55FD,     #  <CJK>
    0x9A76: 0x561B,     #  <CJK>
    0x9A77: 0x55F9,     #  <CJK>
    0x9A78: 0x564E,     #  <CJK>
    0x9A79: 0x5650,     #  <CJK>
    0x9A7A: 0x71DF,     #  <CJK>
    0x9A7B: 0x5634,     #  <CJK>
    0x9A7C: 0x5636,     #  <CJK>
    0x9A7D: 0x5632,     #  <CJK>
    0x9A7E: 0x5638,     #  <CJK>
    0x9A80: 0x566B,     #  <CJK>
    0x9A81: 0x5664,     #  <CJK>
    0x9A82: 0x562F,     #  <CJK>
    0x9A83: 0x566C,     #  <CJK>
    0x9A84: 0x566A,     #  <CJK>
    0x9A85: 0x5686,     #  <CJK>
    0x9A86: 0x5680,     #  <CJK>
    0x9A87: 0x568A,     #  <CJK>
    0x9A88: 0x56A0,     #  <CJK>
    0x9A89: 0x5694,     #  <CJK>
    0x9A8A: 0x568F,     #  <CJK>
    0x9A8B: 0x56A5,     #  <CJK>
    0x9A8C: 0x56AE,     #  <CJK>
    0x9A8D: 0x56B6,     #  <CJK>
    0x9A8E: 0x56B4,     #  <CJK>
    0x9A8F: 0x56C2,     #  <CJK>
    0x9A90: 0x56BC,     #  <CJK>
    0x9A91: 0x56C1,     #  <CJK>
    0x9A92: 0x56C3,     #  <CJK>
    0x9A93: 0x56C0,     #  <CJK>
    0x9A94: 0x56C8,     #  <CJK>
    0x9A95: 0x56CE,     #  <CJK>
    0x9A96: 0x56D1,     #  <CJK>
    0x9A97: 0x56D3,     #  <CJK>
    0x9A98: 0x56D7,     #  <CJK>
    0x9A99: 0x56EE,     #  <CJK>
    0x9A9A: 0x56F9,     #  <CJK>
    0x9A9B: 0x5700,     #  <CJK>
    0x9A9C: 0x56FF,     #  <CJK>
    0x9A9D: 0x5704,     #  <CJK>
    0x9A9E: 0x5709,     #  <CJK>
    0x9A9F: 0x5708,     #  <CJK>
    0x9AA0: 0x570B,     #  <CJK>
    0x9AA1: 0x570D,     #  <CJK>
    0x9AA2: 0x5713,     #  <CJK>
    0x9AA3: 0x5718,     #  <CJK>
    0x9AA4: 0x5716,     #  <CJK>
    0x9AA5: 0x55C7,     #  <CJK>
    0x9AA6: 0x571C,     #  <CJK>
    0x9AA7: 0x5726,     #  <CJK>
    0x9AA8: 0x5737,     #  <CJK>
    0x9AA9: 0x5738,     #  <CJK>
    0x9AAA: 0x574E,     #  <CJK>
    0x9AAB: 0x573B,     #  <CJK>
    0x9AAC: 0x5740,     #  <CJK>
    0x9AAD: 0x574F,     #  <CJK>
    0x9AAE: 0x5769,     #  <CJK>
    0x9AAF: 0x57C0,     #  <CJK>
    0x9AB0: 0x5788,     #  <CJK>
    0x9AB1: 0x5761,     #  <CJK>
    0x9AB2: 0x577F,     #  <CJK>
    0x9AB3: 0x5789,     #  <CJK>
    0x9AB4: 0x5793,     #  <CJK>
    0x9AB5: 0x57A0,     #  <CJK>
    0x9AB6: 0x57B3,     #  <CJK>
    0x9AB7: 0x57A4,     #  <CJK>
    0x9AB8: 0x57AA,     #  <CJK>
    0x9AB9: 0x57B0,     #  <CJK>
    0x9ABA: 0x57C3,     #  <CJK>
    0x9ABB: 0x57C6,     #  <CJK>
    0x9ABC: 0x57D4,     #  <CJK>
    0x9ABD: 0x57D2,     #  <CJK>
    0x9ABE: 0x57D3,     #  <CJK>
    0x9ABF: 0x580A,     #  <CJK>
    0x9AC0: 0x57D6,     #  <CJK>
    0x9AC1: 0x57E3,     #  <CJK>
    0x9AC2: 0x580B,     #  <CJK>
    0x9AC3: 0x5819,     #  <CJK>
    0x9AC4: 0x581D,     #  <CJK>
    0x9AC5: 0x5872,     #  <CJK>
    0x9AC6: 0x5821,     #  <CJK>
    0x9AC7: 0x5862,     #  <CJK>
    0x9AC8: 0x584B,     #  <CJK>
    0x9AC9: 0x5870,     #  <CJK>
    0x9ACA: 0x6BC0,     #  <CJK>
    0x9ACB: 0x5852,     #  <CJK>
    0x9ACC: 0x583D,     #  <CJK>
    0x9ACD: 0x5879,     #  <CJK>
    0x9ACE: 0x5885,     #  <CJK>
    0x9ACF: 0x58B9,     #  <CJK>
    0x9AD0: 0x589F,     #  <CJK>
    0x9AD1: 0x58AB,     #  <CJK>
    0x9AD2: 0x58BA,     #  <CJK>
    0x9AD3: 0x58DE,     #  <CJK>
    0x9AD4: 0x58BB,     #  <CJK>
    0x9AD5: 0x58B8,     #  <CJK>
    0x9AD6: 0x58AE,     #  <CJK>
    0x9AD7: 0x58C5,     #  <CJK>
    0x9AD8: 0x58D3,     #  <CJK>
    0x9AD9: 0x58D1,     #  <CJK>
    0x9ADA: 0x58D7,     #  <CJK>
    0x9ADB: 0x58D9,     #  <CJK>
    0x9ADC: 0x58D8,     #  <CJK>
    0x9ADD: 0x58E5,     #  <CJK>
    0x9ADE: 0x58DC,     #  <CJK>
    0x9ADF: 0x58E4,     #  <CJK>
    0x9AE0: 0x58DF,     #  <CJK>
    0x9AE1: 0x58EF,     #  <CJK>
    0x9AE2: 0x58FA,     #  <CJK>
    0x9AE3: 0x58F9,     #  <CJK>
    0x9AE4: 0x58FB,     #  <CJK>
    0x9AE5: 0x58FC,     #  <CJK>
    0x9AE6: 0x58FD,     #  <CJK>
    0x9AE7: 0x5902,     #  <CJK>
    0x9AE8: 0x590A,     #  <CJK>
    0x9AE9: 0x5910,     #  <CJK>
    0x9AEA: 0x591B,     #  <CJK>
    0x9AEB: 0x68A6,     #  <CJK>
    0x9AEC: 0x5925,     #  <CJK>
    0x9AED: 0x592C,     #  <CJK>
    0x9AEE: 0x592D,     #  <CJK>
    0x9AEF: 0x5932,     #  <CJK>
    0x9AF0: 0x5938,     #  <CJK>
    0x9AF1: 0x593E,     #  <CJK>
    0x9AF2: 0x7AD2,     #  <CJK>
    0x9AF3: 0x5955,     #  <CJK>
    0x9AF4: 0x5950,     #  <CJK>
    0x9AF5: 0x594E,     #  <CJK>
    0x9AF6: 0x595A,     #  <CJK>
    0x9AF7: 0x5958,     #  <CJK>
    0x9AF8: 0x5962,     #  <CJK>
    0x9AF9: 0x5960,     #  <CJK>
    0x9AFA: 0x5967,     #  <CJK>
    0x9AFB: 0x596C,     #  <CJK>
    0x9AFC: 0x5969,     #  <CJK>
    0x9B40: 0x5978,     #  <CJK>
    0x9B41: 0x5981,     #  <CJK>
    0x9B42: 0x599D,     #  <CJK>
    0x9B43: 0x4F5E,     #  <CJK>
    0x9B44: 0x4FAB,     #  <CJK>
    0x9B45: 0x59A3,     #  <CJK>
    0x9B46: 0x59B2,     #  <CJK>
    0x9B47: 0x59C6,     #  <CJK>
    0x9B48: 0x59E8,     #  <CJK>
    0x9B49: 0x59DC,     #  <CJK>
    0x9B4A: 0x598D,     #  <CJK>
    0x9B4B: 0x59D9,     #  <CJK>
    0x9B4C: 0x59DA,     #  <CJK>
    0x9B4D: 0x5A25,     #  <CJK>
    0x9B4E: 0x5A1F,     #  <CJK>
    0x9B4F: 0x5A11,     #  <CJK>
    0x9B50: 0x5A1C,     #  <CJK>
    0x9B51: 0x5A09,     #  <CJK>
    0x9B52: 0x5A1A,     #  <CJK>
    0x9B53: 0x5A40,     #  <CJK>
    0x9B54: 0x5A6C,     #  <CJK>
    0x9B55: 0x5A49,     #  <CJK>
    0x9B56: 0x5A35,     #  <CJK>
    0x9B57: 0x5A36,     #  <CJK>
    0x9B58: 0x5A62,     #  <CJK>
    0x9B59: 0x5A6A,     #  <CJK>
    0x9B5A: 0x5A9A,     #  <CJK>
    0x9B5B: 0x5ABC,     #  <CJK>
    0x9B5C: 0x5ABE,     #  <CJK>
    0x9B5D: 0x5ACB,     #  <CJK>
    0x9B5E: 0x5AC2,     #  <CJK>
    0x9B5F: 0x5ABD,     #  <CJK>
    0x9B60: 0x5AE3,     #  <CJK>
    0x9B61: 0x5AD7,     #  <CJK>
    0x9B62: 0x5AE6,     #  <CJK>
    0x9B63: 0x5AE9,     #  <CJK>
    0x9B64: 0x5AD6,     #  <CJK>
    0x9B65: 0x5AFA,     #  <CJK>
    0x9B66: 0x5AFB,     #  <CJK>
    0x9B67: 0x5B0C,     #  <CJK>
    0x9B68: 0x5B0B,     #  <CJK>
    0x9B69: 0x5B16,     #  <CJK>
    0x9B6A: 0x5B32,     #  <CJK>
    0x9B6B: 0x5AD0,     #  <CJK>
    0x9B6C: 0x5B2A,     #  <CJK>
    0x9B6D: 0x5B36,     #  <CJK>
    0x9B6E: 0x5B3E,     #  <CJK>
    0x9B6F: 0x5B43,     #  <CJK>
    0x9B70: 0x5B45,     #  <CJK>
    0x9B71: 0x5B40,     #  <CJK>
    0x9B72: 0x5B51,     #  <CJK>
    0x9B73: 0x5B55,     #  <CJK>
    0x9B74: 0x5B5A,     #  <CJK>
    0x9B75: 0x5B5B,     #  <CJK>
    0x9B76: 0x5B65,     #  <CJK>
    0x9B77: 0x5B69,     #  <CJK>
    0x9B78: 0x5B70,     #  <CJK>
    0x9B79: 0x5B73,     #  <CJK>
    0x9B7A: 0x5B75,     #  <CJK>
    0x9B7B: 0x5B78,     #  <CJK>
    0x9B7C: 0x6588,     #  <CJK>
    0x9B7D: 0x5B7A,     #  <CJK>
    0x9B7E: 0x5B80,     #  <CJK>
    0x9B80: 0x5B83,     #  <CJK>
    0x9B81: 0x5BA6,     #  <CJK>
    0x9B82: 0x5BB8,     #  <CJK>
    0x9B83: 0x5BC3,     #  <CJK>
    0x9B84: 0x5BC7,     #  <CJK>
    0x9B85: 0x5BC9,     #  <CJK>
    0x9B86: 0x5BD4,     #  <CJK>
    0x9B87: 0x5BD0,     #  <CJK>
    0x9B88: 0x5BE4,     #  <CJK>
    0x9B89: 0x5BE6,     #  <CJK>
    0x9B8A: 0x5BE2,     #  <CJK>
    0x9B8B: 0x5BDE,     #  <CJK>
    0x9B8C: 0x5BE5,     #  <CJK>
    0x9B8D: 0x5BEB,     #  <CJK>
    0x9B8E: 0x5BF0,     #  <CJK>
    0x9B8F: 0x5BF6,     #  <CJK>
    0x9B90: 0x5BF3,     #  <CJK>
    0x9B91: 0x5C05,     #  <CJK>
    0x9B92: 0x5C07,     #  <CJK>
    0x9B93: 0x5C08,     #  <CJK>
    0x9B94: 0x5C0D,     #  <CJK>
    0x9B95: 0x5C13,     #  <CJK>
    0x9B96: 0x5C20,     #  <CJK>
    0x9B97: 0x5C22,     #  <CJK>
    0x9B98: 0x5C28,     #  <CJK>
    0x9B99: 0x5C38,     #  <CJK>
    0x9B9A: 0x5C39,     #  <CJK>
    0x9B9B: 0x5C41,     #  <CJK>
    0x9B9C: 0x5C46,     #  <CJK>
    0x9B9D: 0x5C4E,     #  <CJK>
    0x9B9E: 0x5C53,     #  <CJK>
    0x9B9F: 0x5C50,     #  <CJK>
    0x9BA0: 0x5C4F,     #  <CJK>
    0x9BA1: 0x5B71,     #  <CJK>
    0x9BA2: 0x5C6C,     #  <CJK>
    0x9BA3: 0x5C6E,     #  <CJK>
    0x9BA4: 0x4E62,     #  <CJK>
    0x9BA5: 0x5C76,     #  <CJK>
    0x9BA6: 0x5C79,     #  <CJK>
    0x9BA7: 0x5C8C,     #  <CJK>
    0x9BA8: 0x5C91,     #  <CJK>
    0x9BA9: 0x5C94,     #  <CJK>
    0x9BAA: 0x599B,     #  <CJK>
    0x9BAB: 0x5CAB,     #  <CJK>
    0x9BAC: 0x5CBB,     #  <CJK>
    0x9BAD: 0x5CB6,     #  <CJK>
    0x9BAE: 0x5CBC,     #  <CJK>
    0x9BAF: 0x5CB7,     #  <CJK>
    0x9BB0: 0x5CC5,     #  <CJK>
    0x9BB1: 0x5CBE,     #  <CJK>
    0x9BB2: 0x5CC7,     #  <CJK>
    0x9BB3: 0x5CD9,     #  <CJK>
    0x9BB4: 0x5CE9,     #  <CJK>
    0x9BB5: 0x5CFD,     #  <CJK>
    0x9BB6: 0x5CFA,     #  <CJK>
    0x9BB7: 0x5CED,     #  <CJK>
    0x9BB8: 0x5D8C,     #  <CJK>
    0x9BB9: 0x5CEA,     #  <CJK>
    0x9BBA: 0x5D0B,     #  <CJK>
    0x9BBB: 0x5D15,     #  <CJK>
    0x9BBC: 0x5D17,     #  <CJK>
    0x9BBD: 0x5D5C,     #  <CJK>
    0x9BBE: 0x5D1F,     #  <CJK>
    0x9BBF: 0x5D1B,     #  <CJK>
    0x9BC0: 0x5D11,     #  <CJK>
    0x9BC1: 0x5D14,     #  <CJK>
    0x9BC2: 0x5D22,     #  <CJK>
    0x9BC3: 0x5D1A,     #  <CJK>
    0x9BC4: 0x5D19,     #  <CJK>
    0x9BC5: 0x5D18,     #  <CJK>
    0x9BC6: 0x5D4C,     #  <CJK>
    0x9BC7: 0x5D52,     #  <CJK>
    0x9BC8: 0x5D4E,     #  <CJK>
    0x9BC9: 0x5D4B,     #  <CJK>
    0x9BCA: 0x5D6C,     #  <CJK>
    0x9BCB: 0x5D73,     #  <CJK>
    0x9BCC: 0x5D76,     #  <CJK>
    0x9BCD: 0x5D87,     #  <CJK>
    0x9BCE: 0x5D84,     #  <CJK>
    0x9BCF: 0x5D82,     #  <CJK>
    0x9BD0: 0x5DA2,     #  <CJK>
    0x9BD1: 0x5D9D,     #  <CJK>
    0x9BD2: 0x5DAC,     #  <CJK>
    0x9BD3: 0x5DAE,     #  <CJK>
    0x9BD4: 0x5DBD,     #  <CJK>
    0x9BD5: 0x5D90,     #  <CJK>
    0x9BD6: 0x5DB7,     #  <CJK>
    0x9BD7: 0x5DBC,     #  <CJK>
    0x9BD8: 0x5DC9,     #  <CJK>
    0x9BD9: 0x5DCD,     #  <CJK>
    0x9BDA: 0x5DD3,     #  <CJK>
    0x9BDB: 0x5DD2,     #  <CJK>
    0x9BDC: 0x5DD6,     #  <CJK>
    0x9BDD: 0x5DDB,     #  <CJK>
    0x9BDE: 0x5DEB,     #  <CJK>
    0x9BDF: 0x5DF2,     #  <CJK>
    0x9BE0: 0x5DF5,     #  <CJK>
    0x9BE1: 0x5E0B,     #  <CJK>
    0x9BE2: 0x5E1A,     #  <CJK>
    0x9BE3: 0x5E19,     #  <CJK>
    0x9BE4: 0x5E11,     #  <CJK>
    0x9BE5: 0x5E1B,     #  <CJK>
    0x9BE6: 0x5E36,     #  <CJK>
    0x9BE7: 0x5E37,     #  <CJK>
    0x9BE8: 0x5E44,     #  <CJK>
    0x9BE9: 0x5E43,     #  <CJK>
    0x9BEA: 0x5E40,     #  <CJK>
    0x9BEB: 0x5E4E,     #  <CJK>
    0x9BEC: 0x5E57,     #  <CJK>
    0x9BED: 0x5E54,     #  <CJK>
    0x9BEE: 0x5E5F,     #  <CJK>
    0x9BEF: 0x5E62,     #  <CJK>
    0x9BF0: 0x5E64,     #  <CJK>
    0x9BF1: 0x5E47,     #  <CJK>
    0x9BF2: 0x5E75,     #  <CJK>
    0x9BF3: 0x5E76,     #  <CJK>
    0x9BF4: 0x5E7A,     #  <CJK>
    0x9BF5: 0x9EBC,     #  <CJK>
    0x9BF6: 0x5E7F,     #  <CJK>
    0x9BF7: 0x5EA0,     #  <CJK>
    0x9BF8: 0x5EC1,     #  <CJK>
    0x9BF9: 0x5EC2,     #  <CJK>
    0x9BFA: 0x5EC8,     #  <CJK>
    0x9BFB: 0x5ED0,     #  <CJK>
    0x9BFC: 0x5ECF,     #  <CJK>
    0x9C40: 0x5ED6,     #  <CJK>
    0x9C41: 0x5EE3,     #  <CJK>
    0x9C42: 0x5EDD,     #  <CJK>
    0x9C43: 0x5EDA,     #  <CJK>
    0x9C44: 0x5EDB,     #  <CJK>
    0x9C45: 0x5EE2,     #  <CJK>
    0x9C46: 0x5EE1,     #  <CJK>
    0x9C47: 0x5EE8,     #  <CJK>
    0x9C48: 0x5EE9,     #  <CJK>
    0x9C49: 0x5EEC,     #  <CJK>
    0x9C4A: 0x5EF1,     #  <CJK>
    0x9C4B: 0x5EF3,     #  <CJK>
    0x9C4C: 0x5EF0,     #  <CJK>
    0x9C4D: 0x5EF4,     #  <CJK>
    0x9C4E: 0x5EF8,     #  <CJK>
    0x9C4F: 0x5EFE,     #  <CJK>
    0x9C50: 0x5F03,     #  <CJK>
    0x9C51: 0x5F09,     #  <CJK>
    0x9C52: 0x5F5D,     #  <CJK>
    0x9C53: 0x5F5C,     #  <CJK>
    0x9C54: 0x5F0B,     #  <CJK>
    0x9C55: 0x5F11,     #  <CJK>
    0x9C56: 0x5F16,     #  <CJK>
    0x9C57: 0x5F29,     #  <CJK>
    0x9C58: 0x5F2D,     #  <CJK>
    0x9C59: 0x5F38,     #  <CJK>
    0x9C5A: 0x5F41,     #  <CJK>
    0x9C5B: 0x5F48,     #  <CJK>
    0x9C5C: 0x5F4C,     #  <CJK>
    0x9C5D: 0x5F4E,     #  <CJK>
    0x9C5E: 0x5F2F,     #  <CJK>
    0x9C5F: 0x5F51,     #  <CJK>
    0x9C60: 0x5F56,     #  <CJK>
    0x9C61: 0x5F57,     #  <CJK>
    0x9C62: 0x5F59,     #  <CJK>
    0x9C63: 0x5F61,     #  <CJK>
    0x9C64: 0x5F6D,     #  <CJK>
    0x9C65: 0x5F73,     #  <CJK>
    0x9C66: 0x5F77,     #  <CJK>
    0x9C67: 0x5F83,     #  <CJK>
    0x9C68: 0x5F82,     #  <CJK>
    0x9C69: 0x5F7F,     #  <CJK>
    0x9C6A: 0x5F8A,     #  <CJK>
    0x9C6B: 0x5F88,     #  <CJK>
    0x9C6C: 0x5F91,     #  <CJK>
    0x9C6D: 0x5F87,     #  <CJK>
    0x9C6E: 0x5F9E,     #  <CJK>
    0x9C6F: 0x5F99,     #  <CJK>
    0x9C70: 0x5F98,     #  <CJK>
    0x9C71: 0x5FA0,     #  <CJK>
    0x9C72: 0x5FA8,     #  <CJK>
    0x9C73: 0x5FAD,     #  <CJK>
    0x9C74: 0x5FBC,     #  <CJK>
    0x9C75: 0x5FD6,     #  <CJK>
    0x9C76: 0x5FFB,     #  <CJK>
    0x9C77: 0x5FE4,     #  <CJK>
    0x9C78: 0x5FF8,     #  <CJK>
    0x9C79: 0x5FF1,     #  <CJK>
    0x9C7A: 0x5FDD,     #  <CJK>
    0x9C7B: 0x60B3,     #  <CJK>
    0x9C7C: 0x5FFF,     #  <CJK>
    0x9C7D: 0x6021,     #  <CJK>
    0x9C7E: 0x6060,     #  <CJK>
    0x9C80: 0x6019,     #  <CJK>
    0x9C81: 0x6010,     #  <CJK>
    0x9C82: 0x6029,     #  <CJK>
    0x9C83: 0x600E,     #  <CJK>
    0x9C84: 0x6031,     #  <CJK>
    0x9C85: 0x601B,     #  <CJK>
    0x9C86: 0x6015,     #  <CJK>
    0x9C87: 0x602B,     #  <CJK>
    0x9C88: 0x6026,     #  <CJK>
    0x9C89: 0x600F,     #  <CJK>
    0x9C8A: 0x603A,     #  <CJK>
    0x9C8B: 0x605A,     #  <CJK>
    0x9C8C: 0x6041,     #  <CJK>
    0x9C8D: 0x606A,     #  <CJK>
    0x9C8E: 0x6077,     #  <CJK>
    0x9C8F: 0x605F,     #  <CJK>
    0x9C90: 0x604A,     #  <CJK>
    0x9C91: 0x6046,     #  <CJK>
    0x9C92: 0x604D,     #  <CJK>
    0x9C93: 0x6063,     #  <CJK>
    0x9C94: 0x6043,     #  <CJK>
    0x9C95: 0x6064,     #  <CJK>
    0x9C96: 0x6042,     #  <CJK>
    0x9C97: 0x606C,     #  <CJK>
    0x9C98: 0x606B,     #  <CJK>
    0x9C99: 0x6059,     #  <CJK>
    0x9C9A: 0x6081,     #  <CJK>
    0x9C9B: 0x608D,     #  <CJK>
    0x9C9C: 0x60E7,     #  <CJK>
    0x9C9D: 0x6083,     #  <CJK>
    0x9C9E: 0x609A,     #  <CJK>
    0x9C9F: 0x6084,     #  <CJK>
    0x9CA0: 0x609B,     #  <CJK>
    0x9CA1: 0x6096,     #  <CJK>
    0x9CA2: 0x6097,     #  <CJK>
    0x9CA3: 0x6092,     #  <CJK>
    0x9CA4: 0x60A7,     #  <CJK>
    0x9CA5: 0x608B,     #  <CJK>
    0x9CA6: 0x60E1,     #  <CJK>
    0x9CA7: 0x60B8,     #  <CJK>
    0x9CA8: 0x60E0,     #  <CJK>
    0x9CA9: 0x60D3,     #  <CJK>
    0x9CAA: 0x60B4,     #  <CJK>
    0x9CAB: 0x5FF0,     #  <CJK>
    0x9CAC: 0x60BD,     #  <CJK>
    0x9CAD: 0x60C6,     #  <CJK>
    0x9CAE: 0x60B5,     #  <CJK>
    0x9CAF: 0x60D8,     #  <CJK>
    0x9CB0: 0x614D,     #  <CJK>
    0x9CB1: 0x6115,     #  <CJK>
    0x9CB2: 0x6106,     #  <CJK>
    0x9CB3: 0x60F6,     #  <CJK>
    0x9CB4: 0x60F7,     #  <CJK>
    0x9CB5: 0x6100,     #  <CJK>
    0x9CB6: 0x60F4,     #  <CJK>
    0x9CB7: 0x60FA,     #  <CJK>
    0x9CB8: 0x6103,     #  <CJK>
    0x9CB9: 0x6121,     #  <CJK>
    0x9CBA: 0x60FB,     #  <CJK>
    0x9CBB: 0x60F1,     #  <CJK>
    0x9CBC: 0x610D,     #  <CJK>
    0x9CBD: 0x610E,     #  <CJK>
    0x9CBE: 0x6147,     #  <CJK>
    0x9CBF: 0x613E,     #  <CJK>
    0x9CC0: 0x6128,     #  <CJK>
    0x9CC1: 0x6127,     #  <CJK>
    0x9CC2: 0x614A,     #  <CJK>
    0x9CC3: 0x613F,     #  <CJK>
    0x9CC4: 0x613C,     #  <CJK>
    0x9CC5: 0x612C,     #  <CJK>
    0x9CC6: 0x6134,     #  <CJK>
    0x9CC7: 0x613D,     #  <CJK>
    0x9CC8: 0x6142,     #  <CJK>
    0x9CC9: 0x6144,     #  <CJK>
    0x9CCA: 0x6173,     #  <CJK>
    0x9CCB: 0x6177,     #  <CJK>
    0x9CCC: 0x6158,     #  <CJK>
    0x9CCD: 0x6159,     #  <CJK>
    0x9CCE: 0x615A,     #  <CJK>
    0x9CCF: 0x616B,     #  <CJK>
    0x9CD0: 0x6174,     #  <CJK>
    0x9CD1: 0x616F,     #  <CJK>
    0x9CD2: 0x6165,     #  <CJK>
    0x9CD3: 0x6171,     #  <CJK>
    0x9CD4: 0x615F,     #  <CJK>
    0x9CD5: 0x615D,     #  <CJK>
    0x9CD6: 0x6153,     #  <CJK>
    0x9CD7: 0x6175,     #  <CJK>
    0x9CD8: 0x6199,     #  <CJK>
    0x9CD9: 0x6196,     #  <CJK>
    0x9CDA: 0x6187,     #  <CJK>
    0x9CDB: 0x61AC,     #  <CJK>
    0x9CDC: 0x6194,     #  <CJK>
    0x9CDD: 0x619A,     #  <CJK>
    0x9CDE: 0x618A,     #  <CJK>
    0x9CDF: 0x6191,     #  <CJK>
    0x9CE0: 0x61AB,     #  <CJK>
    0x9CE1: 0x61AE,     #  <CJK>
    0x9CE2: 0x61CC,     #  <CJK>
    0x9CE3: 0x61CA,     #  <CJK>
    0x9CE4: 0x61C9,     #  <CJK>
    0x9CE5: 0x61F7,     #  <CJK>
    0x9CE6: 0x61C8,     #  <CJK>
    0x9CE7: 0x61C3,     #  <CJK>
    0x9CE8: 0x61C6,     #  <CJK>
    0x9CE9: 0x61BA,     #  <CJK>
    0x9CEA: 0x61CB,     #  <CJK>
    0x9CEB: 0x7F79,     #  <CJK>
    0x9CEC: 0x61CD,     #  <CJK>
    0x9CED: 0x61E6,     #  <CJK>
    0x9CEE: 0x61E3,     #  <CJK>
    0x9CEF: 0x61F6,     #  <CJK>
    0x9CF0: 0x61FA,     #  <CJK>
    0x9CF1: 0x61F4,     #  <CJK>
    0x9CF2: 0x61FF,     #  <CJK>
    0x9CF3: 0x61FD,     #  <CJK>
    0x9CF4: 0x61FC,     #  <CJK>
    0x9CF5: 0x61FE,     #  <CJK>
    0x9CF6: 0x6200,     #  <CJK>
    0x9CF7: 0x6208,     #  <CJK>
    0x9CF8: 0x6209,     #  <CJK>
    0x9CF9: 0x620D,     #  <CJK>
    0x9CFA: 0x620C,     #  <CJK>
    0x9CFB: 0x6214,     #  <CJK>
    0x9CFC: 0x621B,     #  <CJK>
    0x9D40: 0x621E,     #  <CJK>
    0x9D41: 0x6221,     #  <CJK>
    0x9D42: 0x622A,     #  <CJK>
    0x9D43: 0x622E,     #  <CJK>
    0x9D44: 0x6230,     #  <CJK>
    0x9D45: 0x6232,     #  <CJK>
    0x9D46: 0x6233,     #  <CJK>
    0x9D47: 0x6241,     #  <CJK>
    0x9D48: 0x624E,     #  <CJK>
    0x9D49: 0x625E,     #  <CJK>
    0x9D4A: 0x6263,     #  <CJK>
    0x9D4B: 0x625B,     #  <CJK>
    0x9D4C: 0x6260,     #  <CJK>
    0x9D4D: 0x6268,     #  <CJK>
    0x9D4E: 0x627C,     #  <CJK>
    0x9D4F: 0x6282,     #  <CJK>
    0x9D50: 0x6289,     #  <CJK>
    0x9D51: 0x627E,     #  <CJK>
    0x9D52: 0x6292,     #  <CJK>
    0x9D53: 0x6293,     #  <CJK>
    0x9D54: 0x6296,     #  <CJK>
    0x9D55: 0x62D4,     #  <CJK>
    0x9D56: 0x6283,     #  <CJK>
    0x9D57: 0x6294,     #  <CJK>
    0x9D58: 0x62D7,     #  <CJK>
    0x9D59: 0x62D1,     #  <CJK>
    0x9D5A: 0x62BB,     #  <CJK>
    0x9D5B: 0x62CF,     #  <CJK>
    0x9D5C: 0x62FF,     #  <CJK>
    0x9D5D: 0x62C6,     #  <CJK>
    0x9D5E: 0x64D4,     #  <CJK>
    0x9D5F: 0x62C8,     #  <CJK>
    0x9D60: 0x62DC,     #  <CJK>
    0x9D61: 0x62CC,     #  <CJK>
    0x9D62: 0x62CA,     #  <CJK>
    0x9D63: 0x62C2,     #  <CJK>
    0x9D64: 0x62C7,     #  <CJK>
    0x9D65: 0x629B,     #  <CJK>
    0x9D66: 0x62C9,     #  <CJK>
    0x9D67: 0x630C,     #  <CJK>
    0x9D68: 0x62EE,     #  <CJK>
    0x9D69: 0x62F1,     #  <CJK>
    0x9D6A: 0x6327,     #  <CJK>
    0x9D6B: 0x6302,     #  <CJK>
    0x9D6C: 0x6308,     #  <CJK>
    0x9D6D: 0x62EF,     #  <CJK>
    0x9D6E: 0x62F5,     #  <CJK>
    0x9D6F: 0x6350,     #  <CJK>
    0x9D70: 0x633E,     #  <CJK>
    0x9D71: 0x634D,     #  <CJK>
    0x9D72: 0x641C,     #  <CJK>
    0x9D73: 0x634F,     #  <CJK>
    0x9D74: 0x6396,     #  <CJK>
    0x9D75: 0x638E,     #  <CJK>
    0x9D76: 0x6380,     #  <CJK>
    0x9D77: 0x63AB,     #  <CJK>
    0x9D78: 0x6376,     #  <CJK>
    0x9D79: 0x63A3,     #  <CJK>
    0x9D7A: 0x638F,     #  <CJK>
    0x9D7B: 0x6389,     #  <CJK>
    0x9D7C: 0x639F,     #  <CJK>
    0x9D7D: 0x63B5,     #  <CJK>
    0x9D7E: 0x636B,     #  <CJK>
    0x9D80: 0x6369,     #  <CJK>
    0x9D81: 0x63BE,     #  <CJK>
    0x9D82: 0x63E9,     #  <CJK>
    0x9D83: 0x63C0,     #  <CJK>
    0x9D84: 0x63C6,     #  <CJK>
    0x9D85: 0x63E3,     #  <CJK>
    0x9D86: 0x63C9,     #  <CJK>
    0x9D87: 0x63D2,     #  <CJK>
    0x9D88: 0x63F6,     #  <CJK>
    0x9D89: 0x63C4,     #  <CJK>
    0x9D8A: 0x6416,     #  <CJK>
    0x9D8B: 0x6434,     #  <CJK>
    0x9D8C: 0x6406,     #  <CJK>
    0x9D8D: 0x6413,     #  <CJK>
    0x9D8E: 0x6426,     #  <CJK>
    0x9D8F: 0x6436,     #  <CJK>
    0x9D90: 0x651D,     #  <CJK>
    0x9D91: 0x6417,     #  <CJK>
    0x9D92: 0x6428,     #  <CJK>
    0x9D93: 0x640F,     #  <CJK>
    0x9D94: 0x6467,     #  <CJK>
    0x9D95: 0x646F,     #  <CJK>
    0x9D96: 0x6476,     #  <CJK>
    0x9D97: 0x644E,     #  <CJK>
    0x9D98: 0x652A,     #  <CJK>
    0x9D99: 0x6495,     #  <CJK>
    0x9D9A: 0x6493,     #  <CJK>
    0x9D9B: 0x64A5,     #  <CJK>
    0x9D9C: 0x64A9,     #  <CJK>
    0x9D9D: 0x6488,     #  <CJK>
    0x9D9E: 0x64BC,     #  <CJK>
    0x9D9F: 0x64DA,     #  <CJK>
    0x9DA0: 0x64D2,     #  <CJK>
    0x9DA1: 0x64C5,     #  <CJK>
    0x9DA2: 0x64C7,     #  <CJK>
    0x9DA3: 0x64BB,     #  <CJK>
    0x9DA4: 0x64D8,     #  <CJK>
    0x9DA5: 0x64C2,     #  <CJK>
    0x9DA6: 0x64F1,     #  <CJK>
    0x9DA7: 0x64E7,     #  <CJK>
    0x9DA8: 0x8209,     #  <CJK>
    0x9DA9: 0x64E0,     #  <CJK>
    0x9DAA: 0x64E1,     #  <CJK>
    0x9DAB: 0x62AC,     #  <CJK>
    0x9DAC: 0x64E3,     #  <CJK>
    0x9DAD: 0x64EF,     #  <CJK>
    0x9DAE: 0x652C,     #  <CJK>
    0x9DAF: 0x64F6,     #  <CJK>
    0x9DB0: 0x64F4,     #  <CJK>
    0x9DB1: 0x64F2,     #  <CJK>
    0x9DB2: 0x64FA,     #  <CJK>
    0x9DB3: 0x6500,     #  <CJK>
    0x9DB4: 0x64FD,     #  <CJK>
    0x9DB5: 0x6518,     #  <CJK>
    0x9DB6: 0x651C,     #  <CJK>
    0x9DB7: 0x6505,     #  <CJK>
    0x9DB8: 0x6524,     #  <CJK>
    0x9DB9: 0x6523,     #  <CJK>
    0x9DBA: 0x652B,     #  <CJK>
    0x9DBB: 0x6534,     #  <CJK>
    0x9DBC: 0x6535,     #  <CJK>
    0x9DBD: 0x6537,     #  <CJK>
    0x9DBE: 0x6536,     #  <CJK>
    0x9DBF: 0x6538,     #  <CJK>
    0x9DC0: 0x754B,     #  <CJK>
    0x9DC1: 0x6548,     #  <CJK>
    0x9DC2: 0x6556,     #  <CJK>
    0x9DC3: 0x6555,     #  <CJK>
    0x9DC4: 0x654D,     #  <CJK>
    0x9DC5: 0x6558,     #  <CJK>
    0x9DC6: 0x655E,     #  <CJK>
    0x9DC7: 0x655D,     #  <CJK>
    0x9DC8: 0x6572,     #  <CJK>
    0x9DC9: 0x6578,     #  <CJK>
    0x9DCA: 0x6582,     #  <CJK>
    0x9DCB: 0x6583,     #  <CJK>
    0x9DCC: 0x8B8A,     #  <CJK>
    0x9DCD: 0x659B,     #  <CJK>
    0x9DCE: 0x659F,     #  <CJK>
    0x9DCF: 0x65AB,     #  <CJK>
    0x9DD0: 0x65B7,     #  <CJK>
    0x9DD1: 0x65C3,     #  <CJK>
    0x9DD2: 0x65C6,     #  <CJK>
    0x9DD3: 0x65C1,     #  <CJK>
    0x9DD4: 0x65C4,     #  <CJK>
    0x9DD5: 0x65CC,     #  <CJK>
    0x9DD6: 0x65D2,     #  <CJK>
    0x9DD7: 0x65DB,     #  <CJK>
    0x9DD8: 0x65D9,     #  <CJK>
    0x9DD9: 0x65E0,     #  <CJK>
    0x9DDA: 0x65E1,     #  <CJK>
    0x9DDB: 0x65F1,     #  <CJK>
    0x9DDC: 0x6772,     #  <CJK>
    0x9DDD: 0x660A,     #  <CJK>
    0x9DDE: 0x6603,     #  <CJK>
    0x9DDF: 0x65FB,     #  <CJK>
    0x9DE0: 0x6773,     #  <CJK>
    0x9DE1: 0x6635,     #  <CJK>
    0x9DE2: 0x6636,     #  <CJK>
    0x9DE3: 0x6634,     #  <CJK>
    0x9DE4: 0x661C,     #  <CJK>
    0x9DE5: 0x664F,     #  <CJK>
    0x9DE6: 0x6644,     #  <CJK>
    0x9DE7: 0x6649,     #  <CJK>
    0x9DE8: 0x6641,     #  <CJK>
    0x9DE9: 0x665E,     #  <CJK>
    0x9DEA: 0x665D,     #  <CJK>
    0x9DEB: 0x6664,     #  <CJK>
    0x9DEC: 0x6667,     #  <CJK>
    0x9DED: 0x6668,     #  <CJK>
    0x9DEE: 0x665F,     #  <CJK>
    0x9DEF: 0x6662,     #  <CJK>
    0x9DF0: 0x6670,     #  <CJK>
    0x9DF1: 0x6683,     #  <CJK>
    0x9DF2: 0x6688,     #  <CJK>
    0x9DF3: 0x668E,     #  <CJK>
    0x9DF4: 0x6689,     #  <CJK>
    0x9DF5: 0x6684,     #  <CJK>
    0x9DF6: 0x6698,     #  <CJK>
    0x9DF7: 0x669D,     #  <CJK>
    0x9DF8: 0x66C1,     #  <CJK>
    0x9DF9: 0x66B9,     #  <CJK>
    0x9DFA: 0x66C9,     #  <CJK>
    0x9DFB: 0x66BE,     #  <CJK>
    0x9DFC: 0x66BC,     #  <CJK>
    0x9E40: 0x66C4,     #  <CJK>
    0x9E41: 0x66B8,     #  <CJK>
    0x9E42: 0x66D6,     #  <CJK>
    0x9E43: 0x66DA,     #  <CJK>
    0x9E44: 0x66E0,     #  <CJK>
    0x9E45: 0x663F,     #  <CJK>
    0x9E46: 0x66E6,     #  <CJK>
    0x9E47: 0x66E9,     #  <CJK>
    0x9E48: 0x66F0,     #  <CJK>
    0x9E49: 0x66F5,     #  <CJK>
    0x9E4A: 0x66F7,     #  <CJK>
    0x9E4B: 0x670F,     #  <CJK>
    0x9E4C: 0x6716,     #  <CJK>
    0x9E4D: 0x671E,     #  <CJK>
    0x9E4E: 0x6726,     #  <CJK>
    0x9E4F: 0x6727,     #  <CJK>
    0x9E50: 0x9738,     #  <CJK>
    0x9E51: 0x672E,     #  <CJK>
    0x9E52: 0x673F,     #  <CJK>
    0x9E53: 0x6736,     #  <CJK>
    0x9E54: 0x6741,     #  <CJK>
    0x9E55: 0x6738,     #  <CJK>
    0x9E56: 0x6737,     #  <CJK>
    0x9E57: 0x6746,     #  <CJK>
    0x9E58: 0x675E,     #  <CJK>
    0x9E59: 0x6760,     #  <CJK>
    0x9E5A: 0x6759,     #  <CJK>
    0x9E5B: 0x6763,     #  <CJK>
    0x9E5C: 0x6764,     #  <CJK>
    0x9E5D: 0x6789,     #  <CJK>
    0x9E5E: 0x6770,     #  <CJK>
    0x9E5F: 0x67A9,     #  <CJK>
    0x9E60: 0x677C,     #  <CJK>
    0x9E61: 0x676A,     #  <CJK>
    0x9E62: 0x678C,     #  <CJK>
    0x9E63: 0x678B,     #  <CJK>
    0x9E64: 0x67A6,     #  <CJK>
    0x9E65: 0x67A1,     #  <CJK>
    0x9E66: 0x6785,     #  <CJK>
    0x9E67: 0x67B7,     #  <CJK>
    0x9E68: 0x67EF,     #  <CJK>
    0x9E69: 0x67B4,     #  <CJK>
    0x9E6A: 0x67EC,     #  <CJK>
    0x9E6B: 0x67B3,     #  <CJK>
    0x9E6C: 0x67E9,     #  <CJK>
    0x9E6D: 0x67B8,     #  <CJK>
    0x9E6E: 0x67E4,     #  <CJK>
    0x9E6F: 0x67DE,     #  <CJK>
    0x9E70: 0x67DD,     #  <CJK>
    0x9E71: 0x67E2,     #  <CJK>
    0x9E72: 0x67EE,     #  <CJK>
    0x9E73: 0x67B9,     #  <CJK>
    0x9E74: 0x67CE,     #  <CJK>
    0x9E75: 0x67C6,     #  <CJK>
    0x9E76: 0x67E7,     #  <CJK>
    0x9E77: 0x6A9C,     #  <CJK>
    0x9E78: 0x681E,     #  <CJK>
    0x9E79: 0x6846,     #  <CJK>
    0x9E7A: 0x6829,     #  <CJK>
    0x9E7B: 0x6840,     #  <CJK>
    0x9E7C: 0x684D,     #  <CJK>
    0x9E7D: 0x6832,     #  <CJK>
    0x9E7E: 0x684E,     #  <CJK>
    0x9E80: 0x68B3,     #  <CJK>
    0x9E81: 0x682B,     #  <CJK>
    0x9E82: 0x6859,     #  <CJK>
    0x9E83: 0x6863,     #  <CJK>
    0x9E84: 0x6877,     #  <CJK>
    0x9E85: 0x687F,     #  <CJK>
    0x9E86: 0x689F,     #  <CJK>
    0x9E87: 0x688F,     #  <CJK>
    0x9E88: 0x68AD,     #  <CJK>
    0x9E89: 0x6894,     #  <CJK>
    0x9E8A: 0x689D,     #  <CJK>
    0x9E8B: 0x689B,     #  <CJK>
    0x9E8C: 0x6883,     #  <CJK>
    0x9E8D: 0x6AAE,     #  <CJK>
    0x9E8E: 0x68B9,     #  <CJK>
    0x9E8F: 0x6874,     #  <CJK>
    0x9E90: 0x68B5,     #  <CJK>
    0x9E91: 0x68A0,     #  <CJK>
    0x9E92: 0x68BA,     #  <CJK>
    0x9E93: 0x690F,     #  <CJK>
    0x9E94: 0x688D,     #  <CJK>
    0x9E95: 0x687E,     #  <CJK>
    0x9E96: 0x6901,     #  <CJK>
    0x9E97: 0x68CA,     #  <CJK>
    0x9E98: 0x6908,     #  <CJK>
    0x9E99: 0x68D8,     #  <CJK>
    0x9E9A: 0x6922,     #  <CJK>
    0x9E9B: 0x6926,     #  <CJK>
    0x9E9C: 0x68E1,     #  <CJK>
    0x9E9D: 0x690C,     #  <CJK>
    0x9E9E: 0x68CD,     #  <CJK>
    0x9E9F: 0x68D4,     #  <CJK>
    0x9EA0: 0x68E7,     #  <CJK>
    0x9EA1: 0x68D5,     #  <CJK>
    0x9EA2: 0x6936,     #  <CJK>
    0x9EA3: 0x6912,     #  <CJK>
    0x9EA4: 0x6904,     #  <CJK>
    0x9EA5: 0x68D7,     #  <CJK>
    0x9EA6: 0x68E3,     #  <CJK>
    0x9EA7: 0x6925,     #  <CJK>
    0x9EA8: 0x68F9,     #  <CJK>
    0x9EA9: 0x68E0,     #  <CJK>
    0x9EAA: 0x68EF,     #  <CJK>
    0x9EAB: 0x6928,     #  <CJK>
    0x9EAC: 0x692A,     #  <CJK>
    0x9EAD: 0x691A,     #  <CJK>
    0x9EAE: 0x6923,     #  <CJK>
    0x9EAF: 0x6921,     #  <CJK>
    0x9EB0: 0x68C6,     #  <CJK>
    0x9EB1: 0x6979,     #  <CJK>
    0x9EB2: 0x6977,     #  <CJK>
    0x9EB3: 0x695C,     #  <CJK>
    0x9EB4: 0x6978,     #  <CJK>
    0x9EB5: 0x696B,     #  <CJK>
    0x9EB6: 0x6954,     #  <CJK>
    0x9EB7: 0x697E,     #  <CJK>
    0x9EB8: 0x696E,     #  <CJK>
    0x9EB9: 0x6939,     #  <CJK>
    0x9EBA: 0x6974,     #  <CJK>
    0x9EBB: 0x693D,     #  <CJK>
    0x9EBC: 0x6959,     #  <CJK>
    0x9EBD: 0x6930,     #  <CJK>
    0x9EBE: 0x6961,     #  <CJK>
    0x9EBF: 0x695E,     #  <CJK>
    0x9EC0: 0x695D,     #  <CJK>
    0x9EC1: 0x6981,     #  <CJK>
    0x9EC2: 0x696A,     #  <CJK>
    0x9EC3: 0x69B2,     #  <CJK>
    0x9EC4: 0x69AE,     #  <CJK>
    0x9EC5: 0x69D0,     #  <CJK>
    0x9EC6: 0x69BF,     #  <CJK>
    0x9EC7: 0x69C1,     #  <CJK>
    0x9EC8: 0x69D3,     #  <CJK>
    0x9EC9: 0x69BE,     #  <CJK>
    0x9ECA: 0x69CE,     #  <CJK>
    0x9ECB: 0x5BE8,     #  <CJK>
    0x9ECC: 0x69CA,     #  <CJK>
    0x9ECD: 0x69DD,     #  <CJK>
    0x9ECE: 0x69BB,     #  <CJK>
    0x9ECF: 0x69C3,     #  <CJK>
    0x9ED0: 0x69A7,     #  <CJK>
    0x9ED1: 0x6A2E,     #  <CJK>
    0x9ED2: 0x6991,     #  <CJK>
    0x9ED3: 0x69A0,     #  <CJK>
    0x9ED4: 0x699C,     #  <CJK>
    0x9ED5: 0x6995,     #  <CJK>
    0x9ED6: 0x69B4,     #  <CJK>
    0x9ED7: 0x69DE,     #  <CJK>
    0x9ED8: 0x69E8,     #  <CJK>
    0x9ED9: 0x6A02,     #  <CJK>
    0x9EDA: 0x6A1B,     #  <CJK>
    0x9EDB: 0x69FF,     #  <CJK>
    0x9EDC: 0x6B0A,     #  <CJK>
    0x9EDD: 0x69F9,     #  <CJK>
    0x9EDE: 0x69F2,     #  <CJK>
    0x9EDF: 0x69E7,     #  <CJK>
    0x9EE0: 0x6A05,     #  <CJK>
    0x9EE1: 0x69B1,     #  <CJK>
    0x9EE2: 0x6A1E,     #  <CJK>
    0x9EE3: 0x69ED,     #  <CJK>
    0x9EE4: 0x6A14,     #  <CJK>
    0x9EE5: 0x69EB,     #  <CJK>
    0x9EE6: 0x6A0A,     #  <CJK>
    0x9EE7: 0x6A12,     #  <CJK>
    0x9EE8: 0x6AC1,     #  <CJK>
    0x9EE9: 0x6A23,     #  <CJK>
    0x9EEA: 0x6A13,     #  <CJK>
    0x9EEB: 0x6A44,     #  <CJK>
    0x9EEC: 0x6A0C,     #  <CJK>
    0x9EED: 0x6A72,     #  <CJK>
    0x9EEE: 0x6A36,     #  <CJK>
    0x9EEF: 0x6A78,     #  <CJK>
    0x9EF0: 0x6A47,     #  <CJK>
    0x9EF1: 0x6A62,     #  <CJK>
    0x9EF2: 0x6A59,     #  <CJK>
    0x9EF3: 0x6A66,     #  <CJK>
    0x9EF4: 0x6A48,     #  <CJK>
    0x9EF5: 0x6A38,     #  <CJK>
    0x9EF6: 0x6A22,     #  <CJK>
    0x9EF7: 0x6A90,     #  <CJK>
    0x9EF8: 0x6A8D,     #  <CJK>
    0x9EF9: 0x6AA0,     #  <CJK>
    0x9EFA: 0x6A84,     #  <CJK>
    0x9EFB: 0x6AA2,     #  <CJK>
    0x9EFC: 0x6AA3,     #  <CJK>
    0x9F40: 0x6A97,     #  <CJK>
    0x9F41: 0x8617,     #  <CJK>
    0x9F42: 0x6ABB,     #  <CJK>
    0x9F43: 0x6AC3,     #  <CJK>
    0x9F44: 0x6AC2,     #  <CJK>
    0x9F45: 0x6AB8,     #  <CJK>
    0x9F46: 0x6AB3,     #  <CJK>
    0x9F47: 0x6AAC,     #  <CJK>
    0x9F48: 0x6ADE,     #  <CJK>
    0x9F49: 0x6AD1,     #  <CJK>
    0x9F4A: 0x6ADF,     #  <CJK>
    0x9F4B: 0x6AAA,     #  <CJK>
    0x9F4C: 0x6ADA,     #  <CJK>
    0x9F4D: 0x6AEA,     #  <CJK>
    0x9F4E: 0x6AFB,     #  <CJK>
    0x9F4F: 0x6B05,     #  <CJK>
    0x9F50: 0x8616,     #  <CJK>
    0x9F51: 0x6AFA,     #  <CJK>
    0x9F52: 0x6B12,     #  <CJK>
    0x9F53: 0x6B16,     #  <CJK>
    0x9F54: 0x9B31,     #  <CJK>
    0x9F55: 0x6B1F,     #  <CJK>
    0x9F56: 0x6B38,     #  <CJK>
    0x9F57: 0x6B37,     #  <CJK>
    0x9F58: 0x76DC,     #  <CJK>
    0x9F59: 0x6B39,     #  <CJK>
    0x9F5A: 0x98EE,     #  <CJK>
    0x9F5B: 0x6B47,     #  <CJK>
    0x9F5C: 0x6B43,     #  <CJK>
    0x9F5D: 0x6B49,     #  <CJK>
    0x9F5E: 0x6B50,     #  <CJK>
    0x9F5F: 0x6B59,     #  <CJK>
    0x9F60: 0x6B54,     #  <CJK>
    0x9F61: 0x6B5B,     #  <CJK>
    0x9F62: 0x6B5F,     #  <CJK>
    0x9F63: 0x6B61,     #  <CJK>
    0x9F64: 0x6B78,     #  <CJK>
    0x9F65: 0x6B79,     #  <CJK>
    0x9F66: 0x6B7F,     #  <CJK>
    0x9F67: 0x6B80,     #  <CJK>
    0x9F68: 0x6B84,     #  <CJK>
    0x9F69: 0x6B83,     #  <CJK>
    0x9F6A: 0x6B8D,     #  <CJK>
    0x9F6B: 0x6B98,     #  <CJK>
    0x9F6C: 0x6B95,     #  <CJK>
    0x9F6D: 0x6B9E,     #  <CJK>
    0x9F6E: 0x6BA4,     #  <CJK>
    0x9F6F: 0x6BAA,     #  <CJK>
    0x9F70: 0x6BAB,     #  <CJK>
    0x9F71: 0x6BAF,     #  <CJK>
    0x9F72: 0x6BB2,     #  <CJK>
    0x9F73: 0x6BB1,     #  <CJK>
    0x9F74: 0x6BB3,     #  <CJK>
    0x9F75: 0x6BB7,     #  <CJK>
    0x9F76: 0x6BBC,     #  <CJK>
    0x9F77: 0x6BC6,     #  <CJK>
    0x9F78: 0x6BCB,     #  <CJK>
    0x9F79: 0x6BD3,     #  <CJK>
    0x9F7A: 0x6BDF,     #  <CJK>
    0x9F7B: 0x6BEC,     #  <CJK>
    0x9F7C: 0x6BEB,     #  <CJK>
    0x9F7D: 0x6BF3,     #  <CJK>
    0x9F7E: 0x6BEF,     #  <CJK>
    0x9F80: 0x9EBE,     #  <CJK>
    0x9F81: 0x6C08,     #  <CJK>
    0x9F82: 0x6C13,     #  <CJK>
    0x9F83: 0x6C14,     #  <CJK>
    0x9F84: 0x6C1B,     #  <CJK>
    0x9F85: 0x6C24,     #  <CJK>
    0x9F86: 0x6C23,     #  <CJK>
    0x9F87: 0x6C5E,     #  <CJK>
    0x9F88: 0x6C55,     #  <CJK>
    0x9F89: 0x6C62,     #  <CJK>
    0x9F8A: 0x6C6A,     #  <CJK>
    0x9F8B: 0x6C82,     #  <CJK>
    0x9F8C: 0x6C8D,     #  <CJK>
    0x9F8D: 0x6C9A,     #  <CJK>
    0x9F8E: 0x6C81,     #  <CJK>
    0x9F8F: 0x6C9B,     #  <CJK>
    0x9F90: 0x6C7E,     #  <CJK>
    0x9F91: 0x6C68,     #  <CJK>
    0x9F92: 0x6C73,     #  <CJK>
    0x9F93: 0x6C92,     #  <CJK>
    0x9F94: 0x6C90,     #  <CJK>
    0x9F95: 0x6CC4,     #  <CJK>
    0x9F96: 0x6CF1,     #  <CJK>
    0x9F97: 0x6CD3,     #  <CJK>
    0x9F98: 0x6CBD,     #  <CJK>
    0x9F99: 0x6CD7,     #  <CJK>
    0x9F9A: 0x6CC5,     #  <CJK>
    0x9F9B: 0x6CDD,     #  <CJK>
    0x9F9C: 0x6CAE,     #  <CJK>
    0x9F9D: 0x6CB1,     #  <CJK>
    0x9F9E: 0x6CBE,     #  <CJK>
    0x9F9F: 0x6CBA,     #  <CJK>
    0x9FA0: 0x6CDB,     #  <CJK>
    0x9FA1: 0x6CEF,     #  <CJK>
    0x9FA2: 0x6CD9,     #  <CJK>
    0x9FA3: 0x6CEA,     #  <CJK>
    0x9FA4: 0x6D1F,     #  <CJK>
    0x9FA5: 0x884D,     #  <CJK>
    0x9FA6: 0x6D36,     #  <CJK>
    0x9FA7: 0x6D2B,     #  <CJK>
    0x9FA8: 0x6D3D,     #  <CJK>
    0x9FA9: 0x6D38,     #  <CJK>
    0x9FAA: 0x6D19,     #  <CJK>
    0x9FAB: 0x6D35,     #  <CJK>
    0x9FAC: 0x6D33,     #  <CJK>
    0x9FAD: 0x6D12,     #  <CJK>
    0x9FAE: 0x6D0C,     #  <CJK>
    0x9FAF: 0x6D63,     #  <CJK>
    0x9FB0: 0x6D93,     #  <CJK>
    0x9FB1: 0x6D64,     #  <CJK>
    0x9FB2: 0x6D5A,     #  <CJK>
    0x9FB3: 0x6D79,     #  <CJK>
    0x9FB4: 0x6D59,     #  <CJK>
    0x9FB5: 0x6D8E,     #  <CJK>
    0x9FB6: 0x6D95,     #  <CJK>
    0x9FB7: 0x6FE4,     #  <CJK>
    0x9FB8: 0x6D85,     #  <CJK>
    0x9FB9: 0x6DF9,     #  <CJK>
    0x9FBA: 0x6E15,     #  <CJK>
    0x9FBB: 0x6E0A,     #  <CJK>
    0x9FBC: 0x6DB5,     #  <CJK>
    0x9FBD: 0x6DC7,     #  <CJK>
    0x9FBE: 0x6DE6,     #  <CJK>
    0x9FBF: 0x6DB8,     #  <CJK>
    0x9FC0: 0x6DC6,     #  <CJK>
    0x9FC1: 0x6DEC,     #  <CJK>
    0x9FC2: 0x6DDE,     #  <CJK>
    0x9FC3: 0x6DCC,     #  <CJK>
    0x9FC4: 0x6DE8,     #  <CJK>
    0x9FC5: 0x6DD2,     #  <CJK>
    0x9FC6: 0x6DC5,     #  <CJK>
    0x9FC7: 0x6DFA,     #  <CJK>
    0x9FC8: 0x6DD9,     #  <CJK>
    0x9FC9: 0x6DE4,     #  <CJK>
    0x9FCA: 0x6DD5,     #  <CJK>
    0x9FCB: 0x6DEA,     #  <CJK>
    0x9FCC: 0x6DEE,     #  <CJK>
    0x9FCD: 0x6E2D,     #  <CJK>
    0x9FCE: 0x6E6E,     #  <CJK>
    0x9FCF: 0x6E2E,     #  <CJK>
    0x9FD0: 0x6E19,     #  <CJK>
    0x9FD1: 0x6E72,     #  <CJK>
    0x9FD2: 0x6E5F,     #  <CJK>
    0x9FD3: 0x6E3E,     #  <CJK>
    0x9FD4: 0x6E23,     #  <CJK>
    0x9FD5: 0x6E6B,     #  <CJK>
    0x9FD6: 0x6E2B,     #  <CJK>
    0x9FD7: 0x6E76,     #  <CJK>
    0x9FD8: 0x6E4D,     #  <CJK>
    0x9FD9: 0x6E1F,     #  <CJK>
    0x9FDA: 0x6E43,     #  <CJK>
    0x9FDB: 0x6E3A,     #  <CJK>
    0x9FDC: 0x6E4E,     #  <CJK>
    0x9FDD: 0x6E24,     #  <CJK>
    0x9FDE: 0x6EFF,     #  <CJK>
    0x9FDF: 0x6E1D,     #  <CJK>
    0x9FE0: 0x6E38,     #  <CJK>
    0x9FE1: 0x6E82,     #  <CJK>
    0x9FE2: 0x6EAA,     #  <CJK>
    0x9FE3: 0x6E98,     #  <CJK>
    0x9FE4: 0x6EC9,     #  <CJK>
    0x9FE5: 0x6EB7,     #  <CJK>
    0x9FE6: 0x6ED3,     #  <CJK>
    0x9FE7: 0x6EBD,     #  <CJK>
    0x9FE8: 0x6EAF,     #  <CJK>
    0x9FE9: 0x6EC4,     #  <CJK>
    0x9FEA: 0x6EB2,     #  <CJK>
    0x9FEB: 0x6ED4,     #  <CJK>
    0x9FEC: 0x6ED5,     #  <CJK>
    0x9FED: 0x6E8F,     #  <CJK>
    0x9FEE: 0x6EA5,     #  <CJK>
    0x9FEF: 0x6EC2,     #  <CJK>
    0x9FF0: 0x6E9F,     #  <CJK>
    0x9FF1: 0x6F41,     #  <CJK>
    0x9FF2: 0x6F11,     #  <CJK>
    0x9FF3: 0x704C,     #  <CJK>
    0x9FF4: 0x6EEC,     #  <CJK>
    0x9FF5: 0x6EF8,     #  <CJK>
    0x9FF6: 0x6EFE,     #  <CJK>
    0x9FF7: 0x6F3F,     #  <CJK>
    0x9FF8: 0x6EF2,     #  <CJK>
    0x9FF9: 0x6F31,     #  <CJK>
    0x9FFA: 0x6EEF,     #  <CJK>
    0x9FFB: 0x6F32,     #  <CJK>
    0x9FFC: 0x6ECC,     #  <CJK>
    0xE040: 0x6F3E,     #  <CJK>
    0xE041: 0x6F13,     #  <CJK>
    0xE042: 0x6EF7,     #  <CJK>
    0xE043: 0x6F86,     #  <CJK>
    0xE044: 0x6F7A,     #  <CJK>
    0xE045: 0x6F78,     #  <CJK>
    0xE046: 0x6F81,     #  <CJK>
    0xE047: 0x6F80,     #  <CJK>
    0xE048: 0x6F6F,     #  <CJK>
    0xE049: 0x6F5B,     #  <CJK>
    0xE04A: 0x6FF3,     #  <CJK>
    0xE04B: 0x6F6D,     #  <CJK>
    0xE04C: 0x6F82,     #  <CJK>
    0xE04D: 0x6F7C,     #  <CJK>
    0xE04E: 0x6F58,     #  <CJK>
    0xE04F: 0x6F8E,     #  <CJK>
    0xE050: 0x6F91,     #  <CJK>
    0xE051: 0x6FC2,     #  <CJK>
    0xE052: 0x6F66,     #  <CJK>
    0xE053: 0x6FB3,     #  <CJK>
    0xE054: 0x6FA3,     #  <CJK>
    0xE055: 0x6FA1,     #  <CJK>
    0xE056: 0x6FA4,     #  <CJK>
    0xE057: 0x6FB9,     #  <CJK>
    0xE058: 0x6FC6,     #  <CJK>
    0xE059: 0x6FAA,     #  <CJK>
    0xE05A: 0x6FDF,     #  <CJK>
    0xE05B: 0x6FD5,     #  <CJK>
    0xE05C: 0x6FEC,     #  <CJK>
    0xE05D: 0x6FD4,     #  <CJK>
    0xE05E: 0x6FD8,     #  <CJK>
    0xE05F: 0x6FF1,     #  <CJK>
    0xE060: 0x6FEE,     #  <CJK>
    0xE061: 0x6FDB,     #  <CJK>
    0xE062: 0x7009,     #  <CJK>
    0xE063: 0x700B,     #  <CJK>
    0xE064: 0x6FFA,     #  <CJK>
    0xE065: 0x7011,     #  <CJK>
    0xE066: 0x7001,     #  <CJK>
    0xE067: 0x700F,     #  <CJK>
    0xE068: 0x6FFE,     #  <CJK>
    0xE069: 0x701B,     #  <CJK>
    0xE06A: 0x701A,     #  <CJK>
    0xE06B: 0x6F74,     #  <CJK>
    0xE06C: 0x701D,     #  <CJK>
    0xE06D: 0x7018,     #  <CJK>
    0xE06E: 0x701F,     #  <CJK>
    0xE06F: 0x7030,     #  <CJK>
    0xE070: 0x703E,     #  <CJK>
    0xE071: 0x7032,     #  <CJK>
    0xE072: 0x7051,     #  <CJK>
    0xE073: 0x7063,     #  <CJK>
    0xE074: 0x7099,     #  <CJK>
    0xE075: 0x7092,     #  <CJK>
    0xE076: 0x70AF,     #  <CJK>
    0xE077: 0x70F1,     #  <CJK>
    0xE078: 0x70AC,     #  <CJK>
    0xE079: 0x70B8,     #  <CJK>
    0xE07A: 0x70B3,     #  <CJK>
    0xE07B: 0x70AE,     #  <CJK>
    0xE07C: 0x70DF,     #  <CJK>
    0xE07D: 0x70CB,     #  <CJK>
    0xE07E: 0x70DD,     #  <CJK>
    0xE080: 0x70D9,     #  <CJK>
    0xE081: 0x7109,     #  <CJK>
    0xE082: 0x70FD,     #  <CJK>
    0xE083: 0x711C,     #  <CJK>
    0xE084: 0x7119,     #  <CJK>
    0xE085: 0x7165,     #  <CJK>
    0xE086: 0x7155,     #  <CJK>
    0xE087: 0x7188,     #  <CJK>
    0xE088: 0x7166,     #  <CJK>
    0xE089: 0x7162,     #  <CJK>
    0xE08A: 0x714C,     #  <CJK>
    0xE08B: 0x7156,     #  <CJK>
    0xE08C: 0x716C,     #  <CJK>
    0xE08D: 0x718F,     #  <CJK>
    0xE08E: 0x71FB,     #  <CJK>
    0xE08F: 0x7184,     #  <CJK>
    0xE090: 0x7195,     #  <CJK>
    0xE091: 0x71A8,     #  <CJK>
    0xE092: 0x71AC,     #  <CJK>
    0xE093: 0x71D7,     #  <CJK>
    0xE094: 0x71B9,     #  <CJK>
    0xE095: 0x71BE,     #  <CJK>
    0xE096: 0x71D2,     #  <CJK>
    0xE097: 0x71C9,     #  <CJK>
    0xE098: 0x71D4,     #  <CJK>
    0xE099: 0x71CE,     #  <CJK>
    0xE09A: 0x71E0,     #  <CJK>
    0xE09B: 0x71EC,     #  <CJK>
    0xE09C: 0x71E7,     #  <CJK>
    0xE09D: 0x71F5,     #  <CJK>
    0xE09E: 0x71FC,     #  <CJK>
    0xE09F: 0x71F9,     #  <CJK>
    0xE0A0: 0x71FF,     #  <CJK>
    0xE0A1: 0x720D,     #  <CJK>
    0xE0A2: 0x7210,     #  <CJK>
    0xE0A3: 0x721B,     #  <CJK>
    0xE0A4: 0x7228,     #  <CJK>
    0xE0A5: 0x722D,     #  <CJK>
    0xE0A6: 0x722C,     #  <CJK>
    0xE0A7: 0x7230,     #  <CJK>
    0xE0A8: 0x7232,     #  <CJK>
    0xE0A9: 0x723B,     #  <CJK>
    0xE0AA: 0x723C,     #  <CJK>
    0xE0AB: 0x723F,     #  <CJK>
    0xE0AC: 0x7240,     #  <CJK>
    0xE0AD: 0x7246,     #  <CJK>
    0xE0AE: 0x724B,     #  <CJK>
    0xE0AF: 0x7258,     #  <CJK>
    0xE0B0: 0x7274,     #  <CJK>
    0xE0B1: 0x727E,     #  <CJK>
    0xE0B2: 0x7282,     #  <CJK>
    0xE0B3: 0x7281,     #  <CJK>
    0xE0B4: 0x7287,     #  <CJK>
    0xE0B5: 0x7292,     #  <CJK>
    0xE0B6: 0x7296,     #  <CJK>
    0xE0B7: 0x72A2,     #  <CJK>
    0xE0B8: 0x72A7,     #  <CJK>
    0xE0B9: 0x72B9,     #  <CJK>
    0xE0BA: 0x72B2,     #  <CJK>
    0xE0BB: 0x72C3,     #  <CJK>
    0xE0BC: 0x72C6,     #  <CJK>
    0xE0BD: 0x72C4,     #  <CJK>
    0xE0BE: 0x72CE,     #  <CJK>
    0xE0BF: 0x72D2,     #  <CJK>
    0xE0C0: 0x72E2,     #  <CJK>
    0xE0C1: 0x72E0,     #  <CJK>
    0xE0C2: 0x72E1,     #  <CJK>
    0xE0C3: 0x72F9,     #  <CJK>
    0xE0C4: 0x72F7,     #  <CJK>
    0xE0C5: 0x500F,     #  <CJK>
    0xE0C6: 0x7317,     #  <CJK>
    0xE0C7: 0x730A,     #  <CJK>
    0xE0C8: 0x731C,     #  <CJK>
    0xE0C9: 0x7316,     #  <CJK>
    0xE0CA: 0x731D,     #  <CJK>
    0xE0CB: 0x7334,     #  <CJK>
    0xE0CC: 0x732F,     #  <CJK>
    0xE0CD: 0x7329,     #  <CJK>
    0xE0CE: 0x7325,     #  <CJK>
    0xE0CF: 0x733E,     #  <CJK>
    0xE0D0: 0x734E,     #  <CJK>
    0xE0D1: 0x734F,     #  <CJK>
    0xE0D2: 0x9ED8,     #  <CJK>
    0xE0D3: 0x7357,     #  <CJK>
    0xE0D4: 0x736A,     #  <CJK>
    0xE0D5: 0x7368,     #  <CJK>
    0xE0D6: 0x7370,     #  <CJK>
    0xE0D7: 0x7378,     #  <CJK>
    0xE0D8: 0x7375,     #  <CJK>
    0xE0D9: 0x737B,     #  <CJK>
    0xE0DA: 0x737A,     #  <CJK>
    0xE0DB: 0x73C8,     #  <CJK>
    0xE0DC: 0x73B3,     #  <CJK>
    0xE0DD: 0x73CE,     #  <CJK>
    0xE0DE: 0x73BB,     #  <CJK>
    0xE0DF: 0x73C0,     #  <CJK>
    0xE0E0: 0x73E5,     #  <CJK>
    0xE0E1: 0x73EE,     #  <CJK>
    0xE0E2: 0x73DE,     #  <CJK>
    0xE0E3: 0x74A2,     #  <CJK>
    0xE0E4: 0x7405,     #  <CJK>
    0xE0E5: 0x746F,     #  <CJK>
    0xE0E6: 0x7425,     #  <CJK>
    0xE0E7: 0x73F8,     #  <CJK>
    0xE0E8: 0x7432,     #  <CJK>
    0xE0E9: 0x743A,     #  <CJK>
    0xE0EA: 0x7455,     #  <CJK>
    0xE0EB: 0x743F,     #  <CJK>
    0xE0EC: 0x745F,     #  <CJK>
    0xE0ED: 0x7459,     #  <CJK>
    0xE0EE: 0x7441,     #  <CJK>
    0xE0EF: 0x745C,     #  <CJK>
    0xE0F0: 0x7469,     #  <CJK>
    0xE0F1: 0x7470,     #  <CJK>
    0xE0F2: 0x7463,     #  <CJK>
    0xE0F3: 0x746A,     #  <CJK>
    0xE0F4: 0x7476,     #  <CJK>
    0xE0F5: 0x747E,     #  <CJK>
    0xE0F6: 0x748B,     #  <CJK>
    0xE0F7: 0x749E,     #  <CJK>
    0xE0F8: 0x74A7,     #  <CJK>
    0xE0F9: 0x74CA,     #  <CJK>
    0xE0FA: 0x74CF,     #  <CJK>
    0xE0FB: 0x74D4,     #  <CJK>
    0xE0FC: 0x73F1,     #  <CJK>
    0xE140: 0x74E0,     #  <CJK>
    0xE141: 0x74E3,     #  <CJK>
    0xE142: 0x74E7,     #  <CJK>
    0xE143: 0x74E9,     #  <CJK>
    0xE144: 0x74EE,     #  <CJK>
    0xE145: 0x74F2,     #  <CJK>
    0xE146: 0x74F0,     #  <CJK>
    0xE147: 0x74F1,     #  <CJK>
    0xE148: 0x74F8,     #  <CJK>
    0xE149: 0x74F7,     #  <CJK>
    0xE14A: 0x7504,     #  <CJK>
    0xE14B: 0x7503,     #  <CJK>
    0xE14C: 0x7505,     #  <CJK>
    0xE14D: 0x750C,     #  <CJK>
    0xE14E: 0x750E,     #  <CJK>
    0xE14F: 0x750D,     #  <CJK>
    0xE150: 0x7515,     #  <CJK>
    0xE151: 0x7513,     #  <CJK>
    0xE152: 0x751E,     #  <CJK>
    0xE153: 0x7526,     #  <CJK>
    0xE154: 0x752C,     #  <CJK>
    0xE155: 0x753C,     #  <CJK>
    0xE156: 0x7544,     #  <CJK>
    0xE157: 0x754D,     #  <CJK>
    0xE158: 0x754A,     #  <CJK>
    0xE159: 0x7549,     #  <CJK>
    0xE15A: 0x755B,     #  <CJK>
    0xE15B: 0x7546,     #  <CJK>
    0xE15C: 0x755A,     #  <CJK>
    0xE15D: 0x7569,     #  <CJK>
    0xE15E: 0x7564,     #  <CJK>
    0xE15F: 0x7567,     #  <CJK>
    0xE160: 0x756B,     #  <CJK>
    0xE161: 0x756D,     #  <CJK>
    0xE162: 0x7578,     #  <CJK>
    0xE163: 0x7576,     #  <CJK>
    0xE164: 0x7586,     #  <CJK>
    0xE165: 0x7587,     #  <CJK>
    0xE166: 0x7574,     #  <CJK>
    0xE167: 0x758A,     #  <CJK>
    0xE168: 0x7589,     #  <CJK>
    0xE169: 0x7582,     #  <CJK>
    0xE16A: 0x7594,     #  <CJK>
    0xE16B: 0x759A,     #  <CJK>
    0xE16C: 0x759D,     #  <CJK>
    0xE16D: 0x75A5,     #  <CJK>
    0xE16E: 0x75A3,     #  <CJK>
    0xE16F: 0x75C2,     #  <CJK>
    0xE170: 0x75B3,     #  <CJK>
    0xE171: 0x75C3,     #  <CJK>
    0xE172: 0x75B5,     #  <CJK>
    0xE173: 0x75BD,     #  <CJK>
    0xE174: 0x75B8,     #  <CJK>
    0xE175: 0x75BC,     #  <CJK>
    0xE176: 0x75B1,     #  <CJK>
    0xE177: 0x75CD,     #  <CJK>
    0xE178: 0x75CA,     #  <CJK>
    0xE179: 0x75D2,     #  <CJK>
    0xE17A: 0x75D9,     #  <CJK>
    0xE17B: 0x75E3,     #  <CJK>
    0xE17C: 0x75DE,     #  <CJK>
    0xE17D: 0x75FE,     #  <CJK>
    0xE17E: 0x75FF,     #  <CJK>
    0xE180: 0x75FC,     #  <CJK>
    0xE181: 0x7601,     #  <CJK>
    0xE182: 0x75F0,     #  <CJK>
    0xE183: 0x75FA,     #  <CJK>
    0xE184: 0x75F2,     #  <CJK>
    0xE185: 0x75F3,     #  <CJK>
    0xE186: 0x760B,     #  <CJK>
    0xE187: 0x760D,     #  <CJK>
    0xE188: 0x7609,     #  <CJK>
    0xE189: 0x761F,     #  <CJK>
    0xE18A: 0x7627,     #  <CJK>
    0xE18B: 0x7620,     #  <CJK>
    0xE18C: 0x7621,     #  <CJK>
    0xE18D: 0x7622,     #  <CJK>
    0xE18E: 0x7624,     #  <CJK>
    0xE18F: 0x7634,     #  <CJK>
    0xE190: 0x7630,     #  <CJK>
    0xE191: 0x763B,     #  <CJK>
    0xE192: 0x7647,     #  <CJK>
    0xE193: 0x7648,     #  <CJK>
    0xE194: 0x7646,     #  <CJK>
    0xE195: 0x765C,     #  <CJK>
    0xE196: 0x7658,     #  <CJK>
    0xE197: 0x7661,     #  <CJK>
    0xE198: 0x7662,     #  <CJK>
    0xE199: 0x7668,     #  <CJK>
    0xE19A: 0x7669,     #  <CJK>
    0xE19B: 0x766A,     #  <CJK>
    0xE19C: 0x7667,     #  <CJK>
    0xE19D: 0x766C,     #  <CJK>
    0xE19E: 0x7670,     #  <CJK>
    0xE19F: 0x7672,     #  <CJK>
    0xE1A0: 0x7676,     #  <CJK>
    0xE1A1: 0x7678,     #  <CJK>
    0xE1A2: 0x767C,     #  <CJK>
    0xE1A3: 0x7680,     #  <CJK>
    0xE1A4: 0x7683,     #  <CJK>
    0xE1A5: 0x7688,     #  <CJK>
    0xE1A6: 0x768B,     #  <CJK>
    0xE1A7: 0x768E,     #  <CJK>
    0xE1A8: 0x7696,     #  <CJK>
    0xE1A9: 0x7693,     #  <CJK>
    0xE1AA: 0x7699,     #  <CJK>
    0xE1AB: 0x769A,     #  <CJK>
    0xE1AC: 0x76B0,     #  <CJK>
    0xE1AD: 0x76B4,     #  <CJK>
    0xE1AE: 0x76B8,     #  <CJK>
    0xE1AF: 0x76B9,     #  <CJK>
    0xE1B0: 0x76BA,     #  <CJK>
    0xE1B1: 0x76C2,     #  <CJK>
    0xE1B2: 0x76CD,     #  <CJK>
    0xE1B3: 0x76D6,     #  <CJK>
    0xE1B4: 0x76D2,     #  <CJK>
    0xE1B5: 0x76DE,     #  <CJK>
    0xE1B6: 0x76E1,     #  <CJK>
    0xE1B7: 0x76E5,     #  <CJK>
    0xE1B8: 0x76E7,     #  <CJK>
    0xE1B9: 0x76EA,     #  <CJK>
    0xE1BA: 0x862F,     #  <CJK>
    0xE1BB: 0x76FB,     #  <CJK>
    0xE1BC: 0x7708,     #  <CJK>
    0xE1BD: 0x7707,     #  <CJK>
    0xE1BE: 0x7704,     #  <CJK>
    0xE1BF: 0x7729,     #  <CJK>
    0xE1C0: 0x7724,     #  <CJK>
    0xE1C1: 0x771E,     #  <CJK>
    0xE1C2: 0x7725,     #  <CJK>
    0xE1C3: 0x7726,     #  <CJK>
    0xE1C4: 0x771B,     #  <CJK>
    0xE1C5: 0x7737,     #  <CJK>
    0xE1C6: 0x7738,     #  <CJK>
    0xE1C7: 0x7747,     #  <CJK>
    0xE1C8: 0x775A,     #  <CJK>
    0xE1C9: 0x7768,     #  <CJK>
    0xE1CA: 0x776B,     #  <CJK>
    0xE1CB: 0x775B,     #  <CJK>
    0xE1CC: 0x7765,     #  <CJK>
    0xE1CD: 0x777F,     #  <CJK>
    0xE1CE: 0x777E,     #  <CJK>
    0xE1CF: 0x7779,     #  <CJK>
    0xE1D0: 0x778E,     #  <CJK>
    0xE1D1: 0x778B,     #  <CJK>
    0xE1D2: 0x7791,     #  <CJK>
    0xE1D3: 0x77A0,     #  <CJK>
    0xE1D4: 0x779E,     #  <CJK>
    0xE1D5: 0x77B0,     #  <CJK>
    0xE1D6: 0x77B6,     #  <CJK>
    0xE1D7: 0x77B9,     #  <CJK>
    0xE1D8: 0x77BF,     #  <CJK>
    0xE1D9: 0x77BC,     #  <CJK>
    0xE1DA: 0x77BD,     #  <CJK>
    0xE1DB: 0x77BB,     #  <CJK>
    0xE1DC: 0x77C7,     #  <CJK>
    0xE1DD: 0x77CD,     #  <CJK>
    0xE1DE: 0x77D7,     #  <CJK>
    0xE1DF: 0x77DA,     #  <CJK>
    0xE1E0: 0x77DC,     #  <CJK>
    0xE1E1: 0x77E3,     #  <CJK>
    0xE1E2: 0x77EE,     #  <CJK>
    0xE1E3: 0x77FC,     #  <CJK>
    0xE1E4: 0x780C,     #  <CJK>
    0xE1E5: 0x7812,     #  <CJK>
    0xE1E6: 0x7926,     #  <CJK>
    0xE1E7: 0x7820,     #  <CJK>
    0xE1E8: 0x792A,     #  <CJK>
    0xE1E9: 0x7845,     #  <CJK>
    0xE1EA: 0x788E,     #  <CJK>
    0xE1EB: 0x7874,     #  <CJK>
    0xE1EC: 0x7886,     #  <CJK>
    0xE1ED: 0x787C,     #  <CJK>
    0xE1EE: 0x789A,     #  <CJK>
    0xE1EF: 0x788C,     #  <CJK>
    0xE1F0: 0x78A3,     #  <CJK>
    0xE1F1: 0x78B5,     #  <CJK>
    0xE1F2: 0x78AA,     #  <CJK>
    0xE1F3: 0x78AF,     #  <CJK>
    0xE1F4: 0x78D1,     #  <CJK>
    0xE1F5: 0x78C6,     #  <CJK>
    0xE1F6: 0x78CB,     #  <CJK>
    0xE1F7: 0x78D4,     #  <CJK>
    0xE1F8: 0x78BE,     #  <CJK>
    0xE1F9: 0x78BC,     #  <CJK>
    0xE1FA: 0x78C5,     #  <CJK>
    0xE1FB: 0x78CA,     #  <CJK>
    0xE1FC: 0x78EC,     #  <CJK>
    0xE240: 0x78E7,     #  <CJK>
    0xE241: 0x78DA,     #  <CJK>
    0xE242: 0x78FD,     #  <CJK>
    0xE243: 0x78F4,     #  <CJK>
    0xE244: 0x7907,     #  <CJK>
    0xE245: 0x7912,     #  <CJK>
    0xE246: 0x7911,     #  <CJK>
    0xE247: 0x7919,     #  <CJK>
    0xE248: 0x792C,     #  <CJK>
    0xE249: 0x792B,     #  <CJK>
    0xE24A: 0x7940,     #  <CJK>
    0xE24B: 0x7960,     #  <CJK>
    0xE24C: 0x7957,     #  <CJK>
    0xE24D: 0x795F,     #  <CJK>
    0xE24E: 0x795A,     #  <CJK>
    0xE24F: 0x7955,     #  <CJK>
    0xE250: 0x7953,     #  <CJK>
    0xE251: 0x797A,     #  <CJK>
    0xE252: 0x797F,     #  <CJK>
    0xE253: 0x798A,     #  <CJK>
    0xE254: 0x799D,     #  <CJK>
    0xE255: 0x79A7,     #  <CJK>
    0xE256: 0x9F4B,     #  <CJK>
    0xE257: 0x79AA,     #  <CJK>
    0xE258: 0x79AE,     #  <CJK>
    0xE259: 0x79B3,     #  <CJK>
    0xE25A: 0x79B9,     #  <CJK>
    0xE25B: 0x79BA,     #  <CJK>
    0xE25C: 0x79C9,     #  <CJK>
    0xE25D: 0x79D5,     #  <CJK>
    0xE25E: 0x79E7,     #  <CJK>
    0xE25F: 0x79EC,     #  <CJK>
    0xE260: 0x79E1,     #  <CJK>
    0xE261: 0x79E3,     #  <CJK>
    0xE262: 0x7A08,     #  <CJK>
    0xE263: 0x7A0D,     #  <CJK>
    0xE264: 0x7A18,     #  <CJK>
    0xE265: 0x7A19,     #  <CJK>
    0xE266: 0x7A20,     #  <CJK>
    0xE267: 0x7A1F,     #  <CJK>
    0xE268: 0x7980,     #  <CJK>
    0xE269: 0x7A31,     #  <CJK>
    0xE26A: 0x7A3B,     #  <CJK>
    0xE26B: 0x7A3E,     #  <CJK>
    0xE26C: 0x7A37,     #  <CJK>
    0xE26D: 0x7A43,     #  <CJK>
    0xE26E: 0x7A57,     #  <CJK>
    0xE26F: 0x7A49,     #  <CJK>
    0xE270: 0x7A61,     #  <CJK>
    0xE271: 0x7A62,     #  <CJK>
    0xE272: 0x7A69,     #  <CJK>
    0xE273: 0x9F9D,     #  <CJK>
    0xE274: 0x7A70,     #  <CJK>
    0xE275: 0x7A79,     #  <CJK>
    0xE276: 0x7A7D,     #  <CJK>
    0xE277: 0x7A88,     #  <CJK>
    0xE278: 0x7A97,     #  <CJK>
    0xE279: 0x7A95,     #  <CJK>
    0xE27A: 0x7A98,     #  <CJK>
    0xE27B: 0x7A96,     #  <CJK>
    0xE27C: 0x7AA9,     #  <CJK>
    0xE27D: 0x7AC8,     #  <CJK>
    0xE27E: 0x7AB0,     #  <CJK>
    0xE280: 0x7AB6,     #  <CJK>
    0xE281: 0x7AC5,     #  <CJK>
    0xE282: 0x7AC4,     #  <CJK>
    0xE283: 0x7ABF,     #  <CJK>
    0xE284: 0x9083,     #  <CJK>
    0xE285: 0x7AC7,     #  <CJK>
    0xE286: 0x7ACA,     #  <CJK>
    0xE287: 0x7ACD,     #  <CJK>
    0xE288: 0x7ACF,     #  <CJK>
    0xE289: 0x7AD5,     #  <CJK>
    0xE28A: 0x7AD3,     #  <CJK>
    0xE28B: 0x7AD9,     #  <CJK>
    0xE28C: 0x7ADA,     #  <CJK>
    0xE28D: 0x7ADD,     #  <CJK>
    0xE28E: 0x7AE1,     #  <CJK>
    0xE28F: 0x7AE2,     #  <CJK>
    0xE290: 0x7AE6,     #  <CJK>
    0xE291: 0x7AED,     #  <CJK>
    0xE292: 0x7AF0,     #  <CJK>
    0xE293: 0x7B02,     #  <CJK>
    0xE294: 0x7B0F,     #  <CJK>
    0xE295: 0x7B0A,     #  <CJK>
    0xE296: 0x7B06,     #  <CJK>
    0xE297: 0x7B33,     #  <CJK>
    0xE298: 0x7B18,     #  <CJK>
    0xE299: 0x7B19,     #  <CJK>
    0xE29A: 0x7B1E,     #  <CJK>
    0xE29B: 0x7B35,     #  <CJK>
    0xE29C: 0x7B28,     #  <CJK>
    0xE29D: 0x7B36,     #  <CJK>
    0xE29E: 0x7B50,     #  <CJK>
    0xE29F: 0x7B7A,     #  <CJK>
    0xE2A0: 0x7B04,     #  <CJK>
    0xE2A1: 0x7B4D,     #  <CJK>
    0xE2A2: 0x7B0B,     #  <CJK>
    0xE2A3: 0x7B4C,     #  <CJK>
    0xE2A4: 0x7B45,     #  <CJK>
    0xE2A5: 0x7B75,     #  <CJK>
    0xE2A6: 0x7B65,     #  <CJK>
    0xE2A7: 0x7B74,     #  <CJK>
    0xE2A8: 0x7B67,     #  <CJK>
    0xE2A9: 0x7B70,     #  <CJK>
    0xE2AA: 0x7B71,     #  <CJK>
    0xE2AB: 0x7B6C,     #  <CJK>
    0xE2AC: 0x7B6E,     #  <CJK>
    0xE2AD: 0x7B9D,     #  <CJK>
    0xE2AE: 0x7B98,     #  <CJK>
    0xE2AF: 0x7B9F,     #  <CJK>
    0xE2B0: 0x7B8D,     #  <CJK>
    0xE2B1: 0x7B9C,     #  <CJK>
    0xE2B2: 0x7B9A,     #  <CJK>
    0xE2B3: 0x7B8B,     #  <CJK>
    0xE2B4: 0x7B92,     #  <CJK>
    0xE2B5: 0x7B8F,     #  <CJK>
    0xE2B6: 0x7B5D,     #  <CJK>
    0xE2B7: 0x7B99,     #  <CJK>
    0xE2B8: 0x7BCB,     #  <CJK>
    0xE2B9: 0x7BC1,     #  <CJK>
    0xE2BA: 0x7BCC,     #  <CJK>
    0xE2BB: 0x7BCF,     #  <CJK>
    0xE2BC: 0x7BB4,     #  <CJK>
    0xE2BD: 0x7BC6,     #  <CJK>
    0xE2BE: 0x7BDD,     #  <CJK>
    0xE2BF: 0x7BE9,     #  <CJK>
    0xE2C0: 0x7C11,     #  <CJK>
    0xE2C1: 0x7C14,     #  <CJK>
    0xE2C2: 0x7BE6,     #  <CJK>
    0xE2C3: 0x7BE5,     #  <CJK>
    0xE2C4: 0x7C60,     #  <CJK>
    0xE2C5: 0x7C00,     #  <CJK>
    0xE2C6: 0x7C07,     #  <CJK>
    0xE2C7: 0x7C13,     #  <CJK>
    0xE2C8: 0x7BF3,     #  <CJK>
    0xE2C9: 0x7BF7,     #  <CJK>
    0xE2CA: 0x7C17,     #  <CJK>
    0xE2CB: 0x7C0D,     #  <CJK>
    0xE2CC: 0x7BF6,     #  <CJK>
    0xE2CD: 0x7C23,     #  <CJK>
    0xE2CE: 0x7C27,     #  <CJK>
    0xE2CF: 0x7C2A,     #  <CJK>
    0xE2D0: 0x7C1F,     #  <CJK>
    0xE2D1: 0x7C37,     #  <CJK>
    0xE2D2: 0x7C2B,     #  <CJK>
    0xE2D3: 0x7C3D,     #  <CJK>
    0xE2D4: 0x7C4C,     #  <CJK>
    0xE2D5: 0x7C43,     #  <CJK>
    0xE2D6: 0x7C54,     #  <CJK>
    0xE2D7: 0x7C4F,     #  <CJK>
    0xE2D8: 0x7C40,     #  <CJK>
    0xE2D9: 0x7C50,     #  <CJK>
    0xE2DA: 0x7C58,     #  <CJK>
    0xE2DB: 0x7C5F,     #  <CJK>
    0xE2DC: 0x7C64,     #  <CJK>
    0xE2DD: 0x7C56,     #  <CJK>
    0xE2DE: 0x7C65,     #  <CJK>
    0xE2DF: 0x7C6C,     #  <CJK>
    0xE2E0: 0x7C75,     #  <CJK>
    0xE2E1: 0x7C83,     #  <CJK>
    0xE2E2: 0x7C90,     #  <CJK>
    0xE2E3: 0x7CA4,     #  <CJK>
    0xE2E4: 0x7CAD,     #  <CJK>
    0xE2E5: 0x7CA2,     #  <CJK>
    0xE2E6: 0x7CAB,     #  <CJK>
    0xE2E7: 0x7CA1,     #  <CJK>
    0xE2E8: 0x7CA8,     #  <CJK>
    0xE2E9: 0x7CB3,     #  <CJK>
    0xE2EA: 0x7CB2,     #  <CJK>
    0xE2EB: 0x7CB1,     #  <CJK>
    0xE2EC: 0x7CAE,     #  <CJK>
    0xE2ED: 0x7CB9,     #  <CJK>
    0xE2EE: 0x7CBD,     #  <CJK>
    0xE2EF: 0x7CC0,     #  <CJK>
    0xE2F0: 0x7CC5,     #  <CJK>
    0xE2F1: 0x7CC2,     #  <CJK>
    0xE2F2: 0x7CD8,     #  <CJK>
    0xE2F3: 0x7CD2,     #  <CJK>
    0xE2F4: 0x7CDC,     #  <CJK>
    0xE2F5: 0x7CE2,     #  <CJK>
    0xE2F6: 0x9B3B,     #  <CJK>
    0xE2F7: 0x7CEF,     #  <CJK>
    0xE2F8: 0x7CF2,     #  <CJK>
    0xE2F9: 0x7CF4,     #  <CJK>
    0xE2FA: 0x7CF6,     #  <CJK>
    0xE2FB: 0x7CFA,     #  <CJK>
    0xE2FC: 0x7D06,     #  <CJK>
    0xE340: 0x7D02,     #  <CJK>
    0xE341: 0x7D1C,     #  <CJK>
    0xE342: 0x7D15,     #  <CJK>
    0xE343: 0x7D0A,     #  <CJK>
    0xE344: 0x7D45,     #  <CJK>
    0xE345: 0x7D4B,     #  <CJK>
    0xE346: 0x7D2E,     #  <CJK>
    0xE347: 0x7D32,     #  <CJK>
    0xE348: 0x7D3F,     #  <CJK>
    0xE349: 0x7D35,     #  <CJK>
    0xE34A: 0x7D46,     #  <CJK>
    0xE34B: 0x7D73,     #  <CJK>
    0xE34C: 0x7D56,     #  <CJK>
    0xE34D: 0x7D4E,     #  <CJK>
    0xE34E: 0x7D72,     #  <CJK>
    0xE34F: 0x7D68,     #  <CJK>
    0xE350: 0x7D6E,     #  <CJK>
    0xE351: 0x7D4F,     #  <CJK>
    0xE352: 0x7D63,     #  <CJK>
    0xE353: 0x7D93,     #  <CJK>
    0xE354: 0x7D89,     #  <CJK>
    0xE355: 0x7D5B,     #  <CJK>
    0xE356: 0x7D8F,     #  <CJK>
    0xE357: 0x7D7D,     #  <CJK>
    0xE358: 0x7D9B,     #  <CJK>
    0xE359: 0x7DBA,     #  <CJK>
    0xE35A: 0x7DAE,     #  <CJK>
    0xE35B: 0x7DA3,     #  <CJK>
    0xE35C: 0x7DB5,     #  <CJK>
    0xE35D: 0x7DC7,     #  <CJK>
    0xE35E: 0x7DBD,     #  <CJK>
    0xE35F: 0x7DAB,     #  <CJK>
    0xE360: 0x7E3D,     #  <CJK>
    0xE361: 0x7DA2,     #  <CJK>
    0xE362: 0x7DAF,     #  <CJK>
    0xE363: 0x7DDC,     #  <CJK>
    0xE364: 0x7DB8,     #  <CJK>
    0xE365: 0x7D9F,     #  <CJK>
    0xE366: 0x7DB0,     #  <CJK>
    0xE367: 0x7DD8,     #  <CJK>
    0xE368: 0x7DDD,     #  <CJK>
    0xE369: 0x7DE4,     #  <CJK>
    0xE36A: 0x7DDE,     #  <CJK>
    0xE36B: 0x7DFB,     #  <CJK>
    0xE36C: 0x7DF2,     #  <CJK>
    0xE36D: 0x7DE1,     #  <CJK>
    0xE36E: 0x7E05,     #  <CJK>
    0xE36F: 0x7E0A,     #  <CJK>
    0xE370: 0x7E23,     #  <CJK>
    0xE371: 0x7E21,     #  <CJK>
    0xE372: 0x7E12,     #  <CJK>
    0xE373: 0x7E31,     #  <CJK>
    0xE374: 0x7E1F,     #  <CJK>
    0xE375: 0x7E09,     #  <CJK>
    0xE376: 0x7E0B,     #  <CJK>
    0xE377: 0x7E22,     #  <CJK>
    0xE378: 0x7E46,     #  <CJK>
    0xE379: 0x7E66,     #  <CJK>
    0xE37A: 0x7E3B,     #  <CJK>
    0xE37B: 0x7E35,     #  <CJK>
    0xE37C: 0x7E39,     #  <CJK>
    0xE37D: 0x7E43,     #  <CJK>
    0xE37E: 0x7E37,     #  <CJK>
    0xE380: 0x7E32,     #  <CJK>
    0xE381: 0x7E3A,     #  <CJK>
    0xE382: 0x7E67,     #  <CJK>
    0xE383: 0x7E5D,     #  <CJK>
    0xE384: 0x7E56,     #  <CJK>
    0xE385: 0x7E5E,     #  <CJK>
    0xE386: 0x7E59,     #  <CJK>
    0xE387: 0x7E5A,     #  <CJK>
    0xE388: 0x7E79,     #  <CJK>
    0xE389: 0x7E6A,     #  <CJK>
    0xE38A: 0x7E69,     #  <CJK>
    0xE38B: 0x7E7C,     #  <CJK>
    0xE38C: 0x7E7B,     #  <CJK>
    0xE38D: 0x7E83,     #  <CJK>
    0xE38E: 0x7DD5,     #  <CJK>
    0xE38F: 0x7E7D,     #  <CJK>
    0xE390: 0x8FAE,     #  <CJK>
    0xE391: 0x7E7F,     #  <CJK>
    0xE392: 0x7E88,     #  <CJK>
    0xE393: 0x7E89,     #  <CJK>
    0xE394: 0x7E8C,     #  <CJK>
    0xE395: 0x7E92,     #  <CJK>
    0xE396: 0x7E90,     #  <CJK>
    0xE397: 0x7E93,     #  <CJK>
    0xE398: 0x7E94,     #  <CJK>
    0xE399: 0x7E96,     #  <CJK>
    0xE39A: 0x7E8E,     #  <CJK>
    0xE39B: 0x7E9B,     #  <CJK>
    0xE39C: 0x7E9C,     #  <CJK>
    0xE39D: 0x7F38,     #  <CJK>
    0xE39E: 0x7F3A,     #  <CJK>
    0xE39F: 0x7F45,     #  <CJK>
    0xE3A0: 0x7F4C,     #  <CJK>
    0xE3A1: 0x7F4D,     #  <CJK>
    0xE3A2: 0x7F4E,     #  <CJK>
    0xE3A3: 0x7F50,     #  <CJK>
    0xE3A4: 0x7F51,     #  <CJK>
    0xE3A5: 0x7F55,     #  <CJK>
    0xE3A6: 0x7F54,     #  <CJK>
    0xE3A7: 0x7F58,     #  <CJK>
    0xE3A8: 0x7F5F,     #  <CJK>
    0xE3A9: 0x7F60,     #  <CJK>
    0xE3AA: 0x7F68,     #  <CJK>
    0xE3AB: 0x7F69,     #  <CJK>
    0xE3AC: 0x7F67,     #  <CJK>
    0xE3AD: 0x7F78,     #  <CJK>
    0xE3AE: 0x7F82,     #  <CJK>
    0xE3AF: 0x7F86,     #  <CJK>
    0xE3B0: 0x7F83,     #  <CJK>
    0xE3B1: 0x7F88,     #  <CJK>
    0xE3B2: 0x7F87,     #  <CJK>
    0xE3B3: 0x7F8C,     #  <CJK>
    0xE3B4: 0x7F94,     #  <CJK>
    0xE3B5: 0x7F9E,     #  <CJK>
    0xE3B6: 0x7F9D,     #  <CJK>
    0xE3B7: 0x7F9A,     #  <CJK>
    0xE3B8: 0x7FA3,     #  <CJK>
    0xE3B9: 0x7FAF,     #  <CJK>
    0xE3BA: 0x7FB2,     #  <CJK>
    0xE3BB: 0x7FB9,     #  <CJK>
    0xE3BC: 0x7FAE,     #  <CJK>
    0xE3BD: 0x7FB6,     #  <CJK>
    0xE3BE: 0x7FB8,     #  <CJK>
    0xE3BF: 0x8B71,     #  <CJK>
    0xE3C0: 0x7FC5,     #  <CJK>
    0xE3C1: 0x7FC6,     #  <CJK>
    0xE3C2: 0x7FCA,     #  <CJK>
    0xE3C3: 0x7FD5,     #  <CJK>
    0xE3C4: 0x7FD4,     #  <CJK>
    0xE3C5: 0x7FE1,     #  <CJK>
    0xE3C6: 0x7FE6,     #  <CJK>
    0xE3C7: 0x7FE9,     #  <CJK>
    0xE3C8: 0x7FF3,     #  <CJK>
    0xE3C9: 0x7FF9,     #  <CJK>
    0xE3CA: 0x98DC,     #  <CJK>
    0xE3CB: 0x8006,     #  <CJK>
    0xE3CC: 0x8004,     #  <CJK>
    0xE3CD: 0x800B,     #  <CJK>
    0xE3CE: 0x8012,     #  <CJK>
    0xE3CF: 0x8018,     #  <CJK>
    0xE3D0: 0x8019,     #  <CJK>
    0xE3D1: 0x801C,     #  <CJK>
    0xE3D2: 0x8021,     #  <CJK>
    0xE3D3: 0x8028,     #  <CJK>
    0xE3D4: 0x803F,     #  <CJK>
    0xE3D5: 0x803B,     #  <CJK>
    0xE3D6: 0x804A,     #  <CJK>
    0xE3D7: 0x8046,     #  <CJK>
    0xE3D8: 0x8052,     #  <CJK>
    0xE3D9: 0x8058,     #  <CJK>
    0xE3DA: 0x805A,     #  <CJK>
    0xE3DB: 0x805F,     #  <CJK>
    0xE3DC: 0x8062,     #  <CJK>
    0xE3DD: 0x8068,     #  <CJK>
    0xE3DE: 0x8073,     #  <CJK>
    0xE3DF: 0x8072,     #  <CJK>
    0xE3E0: 0x8070,     #  <CJK>
    0xE3E1: 0x8076,     #  <CJK>
    0xE3E2: 0x8079,     #  <CJK>
    0xE3E3: 0x807D,     #  <CJK>
    0xE3E4: 0x807F,     #  <CJK>
    0xE3E5: 0x8084,     #  <CJK>
    0xE3E6: 0x8086,     #  <CJK>
    0xE3E7: 0x8085,     #  <CJK>
    0xE3E8: 0x809B,     #  <CJK>
    0xE3E9: 0x8093,     #  <CJK>
    0xE3EA: 0x809A,     #  <CJK>
    0xE3EB: 0x80AD,     #  <CJK>
    0xE3EC: 0x5190,     #  <CJK>
    0xE3ED: 0x80AC,     #  <CJK>
    0xE3EE: 0x80DB,     #  <CJK>
    0xE3EF: 0x80E5,     #  <CJK>
    0xE3F0: 0x80D9,     #  <CJK>
    0xE3F1: 0x80DD,     #  <CJK>
    0xE3F2: 0x80C4,     #  <CJK>
    0xE3F3: 0x80DA,     #  <CJK>
    0xE3F4: 0x80D6,     #  <CJK>
    0xE3F5: 0x8109,     #  <CJK>
    0xE3F6: 0x80EF,     #  <CJK>
    0xE3F7: 0x80F1,     #  <CJK>
    0xE3F8: 0x811B,     #  <CJK>
    0xE3F9: 0x8129,     #  <CJK>
    0xE3FA: 0x8123,     #  <CJK>
    0xE3FB: 0x812F,     #  <CJK>
    0xE3FC: 0x814B,     #  <CJK>
    0xE440: 0x968B,     #  <CJK>
    0xE441: 0x8146,     #  <CJK>
    0xE442: 0x813E,     #  <CJK>
    0xE443: 0x8153,     #  <CJK>
    0xE444: 0x8151,     #  <CJK>
    0xE445: 0x80FC,     #  <CJK>
    0xE446: 0x8171,     #  <CJK>
    0xE447: 0x816E,     #  <CJK>
    0xE448: 0x8165,     #  <CJK>
    0xE449: 0x8166,     #  <CJK>
    0xE44A: 0x8174,     #  <CJK>
    0xE44B: 0x8183,     #  <CJK>
    0xE44C: 0x8188,     #  <CJK>
    0xE44D: 0x818A,     #  <CJK>
    0xE44E: 0x8180,     #  <CJK>
    0xE44F: 0x8182,     #  <CJK>
    0xE450: 0x81A0,     #  <CJK>
    0xE451: 0x8195,     #  <CJK>
    0xE452: 0x81A4,     #  <CJK>
    0xE453: 0x81A3,     #  <CJK>
    0xE454: 0x815F,     #  <CJK>
    0xE455: 0x8193,     #  <CJK>
    0xE456: 0x81A9,     #  <CJK>
    0xE457: 0x81B0,     #  <CJK>
    0xE458: 0x81B5,     #  <CJK>
    0xE459: 0x81BE,     #  <CJK>
    0xE45A: 0x81B8,     #  <CJK>
    0xE45B: 0x81BD,     #  <CJK>
    0xE45C: 0x81C0,     #  <CJK>
    0xE45D: 0x81C2,     #  <CJK>
    0xE45E: 0x81BA,     #  <CJK>
    0xE45F: 0x81C9,     #  <CJK>
    0xE460: 0x81CD,     #  <CJK>
    0xE461: 0x81D1,     #  <CJK>
    0xE462: 0x81D9,     #  <CJK>
    0xE463: 0x81D8,     #  <CJK>
    0xE464: 0x81C8,     #  <CJK>
    0xE465: 0x81DA,     #  <CJK>
    0xE466: 0x81DF,     #  <CJK>
    0xE467: 0x81E0,     #  <CJK>
    0xE468: 0x81E7,     #  <CJK>
    0xE469: 0x81FA,     #  <CJK>
    0xE46A: 0x81FB,     #  <CJK>
    0xE46B: 0x81FE,     #  <CJK>
    0xE46C: 0x8201,     #  <CJK>
    0xE46D: 0x8202,     #  <CJK>
    0xE46E: 0x8205,     #  <CJK>
    0xE46F: 0x8207,     #  <CJK>
    0xE470: 0x820A,     #  <CJK>
    0xE471: 0x820D,     #  <CJK>
    0xE472: 0x8210,     #  <CJK>
    0xE473: 0x8216,     #  <CJK>
    0xE474: 0x8229,     #  <CJK>
    0xE475: 0x822B,     #  <CJK>
    0xE476: 0x8238,     #  <CJK>
    0xE477: 0x8233,     #  <CJK>
    0xE478: 0x8240,     #  <CJK>
    0xE479: 0x8259,     #  <CJK>
    0xE47A: 0x8258,     #  <CJK>
    0xE47B: 0x825D,     #  <CJK>
    0xE47C: 0x825A,     #  <CJK>
    0xE47D: 0x825F,     #  <CJK>
    0xE47E: 0x8264,     #  <CJK>
    0xE480: 0x8262,     #  <CJK>
    0xE481: 0x8268,     #  <CJK>
    0xE482: 0x826A,     #  <CJK>
    0xE483: 0x826B,     #  <CJK>
    0xE484: 0x822E,     #  <CJK>
    0xE485: 0x8271,     #  <CJK>
    0xE486: 0x8277,     #  <CJK>
    0xE487: 0x8278,     #  <CJK>
    0xE488: 0x827E,     #  <CJK>
    0xE489: 0x828D,     #  <CJK>
    0xE48A: 0x8292,     #  <CJK>
    0xE48B: 0x82AB,     #  <CJK>
    0xE48C: 0x829F,     #  <CJK>
    0xE48D: 0x82BB,     #  <CJK>
    0xE48E: 0x82AC,     #  <CJK>
    0xE48F: 0x82E1,     #  <CJK>
    0xE490: 0x82E3,     #  <CJK>
    0xE491: 0x82DF,     #  <CJK>
    0xE492: 0x82D2,     #  <CJK>
    0xE493: 0x82F4,     #  <CJK>
    0xE494: 0x82F3,     #  <CJK>
    0xE495: 0x82FA,     #  <CJK>
    0xE496: 0x8393,     #  <CJK>
    0xE497: 0x8303,     #  <CJK>
    0xE498: 0x82FB,     #  <CJK>
    0xE499: 0x82F9,     #  <CJK>
    0xE49A: 0x82DE,     #  <CJK>
    0xE49B: 0x8306,     #  <CJK>
    0xE49C: 0x82DC,     #  <CJK>
    0xE49D: 0x8309,     #  <CJK>
    0xE49E: 0x82D9,     #  <CJK>
    0xE49F: 0x8335,     #  <CJK>
    0xE4A0: 0x8334,     #  <CJK>
    0xE4A1: 0x8316,     #  <CJK>
    0xE4A2: 0x8332,     #  <CJK>
    0xE4A3: 0x8331,     #  <CJK>
    0xE4A4: 0x8340,     #  <CJK>
    0xE4A5: 0x8339,     #  <CJK>
    0xE4A6: 0x8350,     #  <CJK>
    0xE4A7: 0x8345,     #  <CJK>
    0xE4A8: 0x832F,     #  <CJK>
    0xE4A9: 0x832B,     #  <CJK>
    0xE4AA: 0x8317,     #  <CJK>
    0xE4AB: 0x8318,     #  <CJK>
    0xE4AC: 0x8385,     #  <CJK>
    0xE4AD: 0x839A,     #  <CJK>
    0xE4AE: 0x83AA,     #  <CJK>
    0xE4AF: 0x839F,     #  <CJK>
    0xE4B0: 0x83A2,     #  <CJK>
    0xE4B1: 0x8396,     #  <CJK>
    0xE4B2: 0x8323,     #  <CJK>
    0xE4B3: 0x838E,     #  <CJK>
    0xE4B4: 0x8387,     #  <CJK>
    0xE4B5: 0x838A,     #  <CJK>
    0xE4B6: 0x837C,     #  <CJK>
    0xE4B7: 0x83B5,     #  <CJK>
    0xE4B8: 0x8373,     #  <CJK>
    0xE4B9: 0x8375,     #  <CJK>
    0xE4BA: 0x83A0,     #  <CJK>
    0xE4BB: 0x8389,     #  <CJK>
    0xE4BC: 0x83A8,     #  <CJK>
    0xE4BD: 0x83F4,     #  <CJK>
    0xE4BE: 0x8413,     #  <CJK>
    0xE4BF: 0x83EB,     #  <CJK>
    0xE4C0: 0x83CE,     #  <CJK>
    0xE4C1: 0x83FD,     #  <CJK>
    0xE4C2: 0x8403,     #  <CJK>
    0xE4C3: 0x83D8,     #  <CJK>
    0xE4C4: 0x840B,     #  <CJK>
    0xE4C5: 0x83C1,     #  <CJK>
    0xE4C6: 0x83F7,     #  <CJK>
    0xE4C7: 0x8407,     #  <CJK>
    0xE4C8: 0x83E0,     #  <CJK>
    0xE4C9: 0x83F2,     #  <CJK>
    0xE4CA: 0x840D,     #  <CJK>
    0xE4CB: 0x8422,     #  <CJK>
    0xE4CC: 0x8420,     #  <CJK>
    0xE4CD: 0x83BD,     #  <CJK>
    0xE4CE: 0x8438,     #  <CJK>
    0xE4CF: 0x8506,     #  <CJK>
    0xE4D0: 0x83FB,     #  <CJK>
    0xE4D1: 0x846D,     #  <CJK>
    0xE4D2: 0x842A,     #  <CJK>
    0xE4D3: 0x843C,     #  <CJK>
    0xE4D4: 0x855A,     #  <CJK>
    0xE4D5: 0x8484,     #  <CJK>
    0xE4D6: 0x8477,     #  <CJK>
    0xE4D7: 0x846B,     #  <CJK>
    0xE4D8: 0x84AD,     #  <CJK>
    0xE4D9: 0x846E,     #  <CJK>
    0xE4DA: 0x8482,     #  <CJK>
    0xE4DB: 0x8469,     #  <CJK>
    0xE4DC: 0x8446,     #  <CJK>
    0xE4DD: 0x842C,     #  <CJK>
    0xE4DE: 0x846F,     #  <CJK>
    0xE4DF: 0x8479,     #  <CJK>
    0xE4E0: 0x8435,     #  <CJK>
    0xE4E1: 0x84CA,     #  <CJK>
    0xE4E2: 0x8462,     #  <CJK>
    0xE4E3: 0x84B9,     #  <CJK>
    0xE4E4: 0x84BF,     #  <CJK>
    0xE4E5: 0x849F,     #  <CJK>
    0xE4E6: 0x84D9,     #  <CJK>
    0xE4E7: 0x84CD,     #  <CJK>
    0xE4E8: 0x84BB,     #  <CJK>
    0xE4E9: 0x84DA,     #  <CJK>
    0xE4EA: 0x84D0,     #  <CJK>
    0xE4EB: 0x84C1,     #  <CJK>
    0xE4EC: 0x84C6,     #  <CJK>
    0xE4ED: 0x84D6,     #  <CJK>
    0xE4EE: 0x84A1,     #  <CJK>
    0xE4EF: 0x8521,     #  <CJK>
    0xE4F0: 0x84FF,     #  <CJK>
    0xE4F1: 0x84F4,     #  <CJK>
    0xE4F2: 0x8517,     #  <CJK>
    0xE4F3: 0x8518,     #  <CJK>
    0xE4F4: 0x852C,     #  <CJK>
    0xE4F5: 0x851F,     #  <CJK>
    0xE4F6: 0x8515,     #  <CJK>
    0xE4F7: 0x8514,     #  <CJK>
    0xE4F8: 0x84FC,     #  <CJK>
    0xE4F9: 0x8540,     #  <CJK>
    0xE4FA: 0x8563,     #  <CJK>
    0xE4FB: 0x8558,     #  <CJK>
    0xE4FC: 0x8548,     #  <CJK>
    0xE540: 0x8541,     #  <CJK>
    0xE541: 0x8602,     #  <CJK>
    0xE542: 0x854B,     #  <CJK>
    0xE543: 0x8555,     #  <CJK>
    0xE544: 0x8580,     #  <CJK>
    0xE545: 0x85A4,     #  <CJK>
    0xE546: 0x8588,     #  <CJK>
    0xE547: 0x8591,     #  <CJK>
    0xE548: 0x858A,     #  <CJK>
    0xE549: 0x85A8,     #  <CJK>
    0xE54A: 0x856D,     #  <CJK>
    0xE54B: 0x8594,     #  <CJK>
    0xE54C: 0x859B,     #  <CJK>
    0xE54D: 0x85EA,     #  <CJK>
    0xE54E: 0x8587,     #  <CJK>
    0xE54F: 0x859C,     #  <CJK>
    0xE550: 0x8577,     #  <CJK>
    0xE551: 0x857E,     #  <CJK>
    0xE552: 0x8590,     #  <CJK>
    0xE553: 0x85C9,     #  <CJK>
    0xE554: 0x85BA,     #  <CJK>
    0xE555: 0x85CF,     #  <CJK>
    0xE556: 0x85B9,     #  <CJK>
    0xE557: 0x85D0,     #  <CJK>
    0xE558: 0x85D5,     #  <CJK>
    0xE559: 0x85DD,     #  <CJK>
    0xE55A: 0x85E5,     #  <CJK>
    0xE55B: 0x85DC,     #  <CJK>
    0xE55C: 0x85F9,     #  <CJK>
    0xE55D: 0x860A,     #  <CJK>
    0xE55E: 0x8613,     #  <CJK>
    0xE55F: 0x860B,     #  <CJK>
    0xE560: 0x85FE,     #  <CJK>
    0xE561: 0x85FA,     #  <CJK>
    0xE562: 0x8606,     #  <CJK>
    0xE563: 0x8622,     #  <CJK>
    0xE564: 0x861A,     #  <CJK>
    0xE565: 0x8630,     #  <CJK>
    0xE566: 0x863F,     #  <CJK>
    0xE567: 0x864D,     #  <CJK>
    0xE568: 0x4E55,     #  <CJK>
    0xE569: 0x8654,     #  <CJK>
    0xE56A: 0x865F,     #  <CJK>
    0xE56B: 0x8667,     #  <CJK>
    0xE56C: 0x8671,     #  <CJK>
    0xE56D: 0x8693,     #  <CJK>
    0xE56E: 0x86A3,     #  <CJK>
    0xE56F: 0x86A9,     #  <CJK>
    0xE570: 0x86AA,     #  <CJK>
    0xE571: 0x868B,     #  <CJK>
    0xE572: 0x868C,     #  <CJK>
    0xE573: 0x86B6,     #  <CJK>
    0xE574: 0x86AF,     #  <CJK>
    0xE575: 0x86C4,     #  <CJK>
    0xE576: 0x86C6,     #  <CJK>
    0xE577: 0x86B0,     #  <CJK>
    0xE578: 0x86C9,     #  <CJK>
    0xE579: 0x8823,     #  <CJK>
    0xE57A: 0x86AB,     #  <CJK>
    0xE57B: 0x86D4,     #  <CJK>
    0xE57C: 0x86DE,     #  <CJK>
    0xE57D: 0x86E9,     #  <CJK>
    0xE57E: 0x86EC,     #  <CJK>
    0xE580: 0x86DF,     #  <CJK>
    0xE581: 0x86DB,     #  <CJK>
    0xE582: 0x86EF,     #  <CJK>
    0xE583: 0x8712,     #  <CJK>
    0xE584: 0x8706,     #  <CJK>
    0xE585: 0x8708,     #  <CJK>
    0xE586: 0x8700,     #  <CJK>
    0xE587: 0x8703,     #  <CJK>
    0xE588: 0x86FB,     #  <CJK>
    0xE589: 0x8711,     #  <CJK>
    0xE58A: 0x8709,     #  <CJK>
    0xE58B: 0x870D,     #  <CJK>
    0xE58C: 0x86F9,     #  <CJK>
    0xE58D: 0x870A,     #  <CJK>
    0xE58E: 0x8734,     #  <CJK>
    0xE58F: 0x873F,     #  <CJK>
    0xE590: 0x8737,     #  <CJK>
    0xE591: 0x873B,     #  <CJK>
    0xE592: 0x8725,     #  <CJK>
    0xE593: 0x8729,     #  <CJK>
    0xE594: 0x871A,     #  <CJK>
    0xE595: 0x8760,     #  <CJK>
    0xE596: 0x875F,     #  <CJK>
    0xE597: 0x8778,     #  <CJK>
    0xE598: 0x874C,     #  <CJK>
    0xE599: 0x874E,     #  <CJK>
    0xE59A: 0x8774,     #  <CJK>
    0xE59B: 0x8757,     #  <CJK>
    0xE59C: 0x8768,     #  <CJK>
    0xE59D: 0x876E,     #  <CJK>
    0xE59E: 0x8759,     #  <CJK>
    0xE59F: 0x8753,     #  <CJK>
    0xE5A0: 0x8763,     #  <CJK>
    0xE5A1: 0x876A,     #  <CJK>
    0xE5A2: 0x8805,     #  <CJK>
    0xE5A3: 0x87A2,     #  <CJK>
    0xE5A4: 0x879F,     #  <CJK>
    0xE5A5: 0x8782,     #  <CJK>
    0xE5A6: 0x87AF,     #  <CJK>
    0xE5A7: 0x87CB,     #  <CJK>
    0xE5A8: 0x87BD,     #  <CJK>
    0xE5A9: 0x87C0,     #  <CJK>
    0xE5AA: 0x87D0,     #  <CJK>
    0xE5AB: 0x96D6,     #  <CJK>
    0xE5AC: 0x87AB,     #  <CJK>
    0xE5AD: 0x87C4,     #  <CJK>
    0xE5AE: 0x87B3,     #  <CJK>
    0xE5AF: 0x87C7,     #  <CJK>
    0xE5B0: 0x87C6,     #  <CJK>
    0xE5B1: 0x87BB,     #  <CJK>
    0xE5B2: 0x87EF,     #  <CJK>
    0xE5B3: 0x87F2,     #  <CJK>
    0xE5B4: 0x87E0,     #  <CJK>
    0xE5B5: 0x880F,     #  <CJK>
    0xE5B6: 0x880D,     #  <CJK>
    0xE5B7: 0x87FE,     #  <CJK>
    0xE5B8: 0x87F6,     #  <CJK>
    0xE5B9: 0x87F7,     #  <CJK>
    0xE5BA: 0x880E,     #  <CJK>
    0xE5BB: 0x87D2,     #  <CJK>
    0xE5BC: 0x8811,     #  <CJK>
    0xE5BD: 0x8816,     #  <CJK>
    0xE5BE: 0x8815,     #  <CJK>
    0xE5BF: 0x8822,     #  <CJK>
    0xE5C0: 0x8821,     #  <CJK>
    0xE5C1: 0x8831,     #  <CJK>
    0xE5C2: 0x8836,     #  <CJK>
    0xE5C3: 0x8839,     #  <CJK>
    0xE5C4: 0x8827,     #  <CJK>
    0xE5C5: 0x883B,     #  <CJK>
    0xE5C6: 0x8844,     #  <CJK>
    0xE5C7: 0x8842,     #  <CJK>
    0xE5C8: 0x8852,     #  <CJK>
    0xE5C9: 0x8859,     #  <CJK>
    0xE5CA: 0x885E,     #  <CJK>
    0xE5CB: 0x8862,     #  <CJK>
    0xE5CC: 0x886B,     #  <CJK>
    0xE5CD: 0x8881,     #  <CJK>
    0xE5CE: 0x887E,     #  <CJK>
    0xE5CF: 0x889E,     #  <CJK>
    0xE5D0: 0x8875,     #  <CJK>
    0xE5D1: 0x887D,     #  <CJK>
    0xE5D2: 0x88B5,     #  <CJK>
    0xE5D3: 0x8872,     #  <CJK>
    0xE5D4: 0x8882,     #  <CJK>
    0xE5D5: 0x8897,     #  <CJK>
    0xE5D6: 0x8892,     #  <CJK>
    0xE5D7: 0x88AE,     #  <CJK>
    0xE5D8: 0x8899,     #  <CJK>
    0xE5D9: 0x88A2,     #  <CJK>
    0xE5DA: 0x888D,     #  <CJK>
    0xE5DB: 0x88A4,     #  <CJK>
    0xE5DC: 0x88B0,     #  <CJK>
    0xE5DD: 0x88BF,     #  <CJK>
    0xE5DE: 0x88B1,     #  <CJK>
    0xE5DF: 0x88C3,     #  <CJK>
    0xE5E0: 0x88C4,     #  <CJK>
    0xE5E1: 0x88D4,     #  <CJK>
    0xE5E2: 0x88D8,     #  <CJK>
    0xE5E3: 0x88D9,     #  <CJK>
    0xE5E4: 0x88DD,     #  <CJK>
    0xE5E5: 0x88F9,     #  <CJK>
    0xE5E6: 0x8902,     #  <CJK>
    0xE5E7: 0x88FC,     #  <CJK>
    0xE5E8: 0x88F4,     #  <CJK>
    0xE5E9: 0x88E8,     #  <CJK>
    0xE5EA: 0x88F2,     #  <CJK>
    0xE5EB: 0x8904,     #  <CJK>
    0xE5EC: 0x890C,     #  <CJK>
    0xE5ED: 0x890A,     #  <CJK>
    0xE5EE: 0x8913,     #  <CJK>
    0xE5EF: 0x8943,     #  <CJK>
    0xE5F0: 0x891E,     #  <CJK>
    0xE5F1: 0x8925,     #  <CJK>
    0xE5F2: 0x892A,     #  <CJK>
    0xE5F3: 0x892B,     #  <CJK>
    0xE5F4: 0x8941,     #  <CJK>
    0xE5F5: 0x8944,     #  <CJK>
    0xE5F6: 0x893B,     #  <CJK>
    0xE5F7: 0x8936,     #  <CJK>
    0xE5F8: 0x8938,     #  <CJK>
    0xE5F9: 0x894C,     #  <CJK>
    0xE5FA: 0x891D,     #  <CJK>
    0xE5FB: 0x8960,     #  <CJK>
    0xE5FC: 0x895E,     #  <CJK>
    0xE640: 0x8966,     #  <CJK>
    0xE641: 0x8964,     #  <CJK>
    0xE642: 0x896D,     #  <CJK>
    0xE643: 0x896A,     #  <CJK>
    0xE644: 0x896F,     #  <CJK>
    0xE645: 0x8974,     #  <CJK>
    0xE646: 0x8977,     #  <CJK>
    0xE647: 0x897E,     #  <CJK>
    0xE648: 0x8983,     #  <CJK>
    0xE649: 0x8988,     #  <CJK>
    0xE64A: 0x898A,     #  <CJK>
    0xE64B: 0x8993,     #  <CJK>
    0xE64C: 0x8998,     #  <CJK>
    0xE64D: 0x89A1,     #  <CJK>
    0xE64E: 0x89A9,     #  <CJK>
    0xE64F: 0x89A6,     #  <CJK>
    0xE650: 0x89AC,     #  <CJK>
    0xE651: 0x89AF,     #  <CJK>
    0xE652: 0x89B2,     #  <CJK>
    0xE653: 0x89BA,     #  <CJK>
    0xE654: 0x89BD,     #  <CJK>
    0xE655: 0x89BF,     #  <CJK>
    0xE656: 0x89C0,     #  <CJK>
    0xE657: 0x89DA,     #  <CJK>
    0xE658: 0x89DC,     #  <CJK>
    0xE659: 0x89DD,     #  <CJK>
    0xE65A: 0x89E7,     #  <CJK>
    0xE65B: 0x89F4,     #  <CJK>
    0xE65C: 0x89F8,     #  <CJK>
    0xE65D: 0x8A03,     #  <CJK>
    0xE65E: 0x8A16,     #  <CJK>
    0xE65F: 0x8A10,     #  <CJK>
    0xE660: 0x8A0C,     #  <CJK>
    0xE661: 0x8A1B,     #  <CJK>
    0xE662: 0x8A1D,     #  <CJK>
    0xE663: 0x8A25,     #  <CJK>
    0xE664: 0x8A36,     #  <CJK>
    0xE665: 0x8A41,     #  <CJK>
    0xE666: 0x8A5B,     #  <CJK>
    0xE667: 0x8A52,     #  <CJK>
    0xE668: 0x8A46,     #  <CJK>
    0xE669: 0x8A48,     #  <CJK>
    0xE66A: 0x8A7C,     #  <CJK>
    0xE66B: 0x8A6D,     #  <CJK>
    0xE66C: 0x8A6C,     #  <CJK>
    0xE66D: 0x8A62,     #  <CJK>
    0xE66E: 0x8A85,     #  <CJK>
    0xE66F: 0x8A82,     #  <CJK>
    0xE670: 0x8A84,     #  <CJK>
    0xE671: 0x8AA8,     #  <CJK>
    0xE672: 0x8AA1,     #  <CJK>
    0xE673: 0x8A91,     #  <CJK>
    0xE674: 0x8AA5,     #  <CJK>
    0xE675: 0x8AA6,     #  <CJK>
    0xE676: 0x8A9A,     #  <CJK>
    0xE677: 0x8AA3,     #  <CJK>
    0xE678: 0x8AC4,     #  <CJK>
    0xE679: 0x8ACD,     #  <CJK>
    0xE67A: 0x8AC2,     #  <CJK>
    0xE67B: 0x8ADA,     #  <CJK>
    0xE67C: 0x8AEB,     #  <CJK>
    0xE67D: 0x8AF3,     #  <CJK>
    0xE67E: 0x8AE7,     #  <CJK>
    0xE680: 0x8AE4,     #  <CJK>
    0xE681: 0x8AF1,     #  <CJK>
    0xE682: 0x8B14,     #  <CJK>
    0xE683: 0x8AE0,     #  <CJK>
    0xE684: 0x8AE2,     #  <CJK>
    0xE685: 0x8AF7,     #  <CJK>
    0xE686: 0x8ADE,     #  <CJK>
    0xE687: 0x8ADB,     #  <CJK>
    0xE688: 0x8B0C,     #  <CJK>
    0xE689: 0x8B07,     #  <CJK>
    0xE68A: 0x8B1A,     #  <CJK>
    0xE68B: 0x8AE1,     #  <CJK>
    0xE68C: 0x8B16,     #  <CJK>
    0xE68D: 0x8B10,     #  <CJK>
    0xE68E: 0x8B17,     #  <CJK>
    0xE68F: 0x8B20,     #  <CJK>
    0xE690: 0x8B33,     #  <CJK>
    0xE691: 0x97AB,     #  <CJK>
    0xE692: 0x8B26,     #  <CJK>
    0xE693: 0x8B2B,     #  <CJK>
    0xE694: 0x8B3E,     #  <CJK>
    0xE695: 0x8B28,     #  <CJK>
    0xE696: 0x8B41,     #  <CJK>
    0xE697: 0x8B4C,     #  <CJK>
    0xE698: 0x8B4F,     #  <CJK>
    0xE699: 0x8B4E,     #  <CJK>
    0xE69A: 0x8B49,     #  <CJK>
    0xE69B: 0x8B56,     #  <CJK>
    0xE69C: 0x8B5B,     #  <CJK>
    0xE69D: 0x8B5A,     #  <CJK>
    0xE69E: 0x8B6B,     #  <CJK>
    0xE69F: 0x8B5F,     #  <CJK>
    0xE6A0: 0x8B6C,     #  <CJK>
    0xE6A1: 0x8B6F,     #  <CJK>
    0xE6A2: 0x8B74,     #  <CJK>
    0xE6A3: 0x8B7D,     #  <CJK>
    0xE6A4: 0x8B80,     #  <CJK>
    0xE6A5: 0x8B8C,     #  <CJK>
    0xE6A6: 0x8B8E,     #  <CJK>
    0xE6A7: 0x8B92,     #  <CJK>
    0xE6A8: 0x8B93,     #  <CJK>
    0xE6A9: 0x8B96,     #  <CJK>
    0xE6AA: 0x8B99,     #  <CJK>
    0xE6AB: 0x8B9A,     #  <CJK>
    0xE6AC: 0x8C3A,     #  <CJK>
    0xE6AD: 0x8C41,     #  <CJK>
    0xE6AE: 0x8C3F,     #  <CJK>
    0xE6AF: 0x8C48,     #  <CJK>
    0xE6B0: 0x8C4C,     #  <CJK>
    0xE6B1: 0x8C4E,     #  <CJK>
    0xE6B2: 0x8C50,     #  <CJK>
    0xE6B3: 0x8C55,     #  <CJK>
    0xE6B4: 0x8C62,     #  <CJK>
    0xE6B5: 0x8C6C,     #  <CJK>
    0xE6B6: 0x8C78,     #  <CJK>
    0xE6B7: 0x8C7A,     #  <CJK>
    0xE6B8: 0x8C82,     #  <CJK>
    0xE6B9: 0x8C89,     #  <CJK>
    0xE6BA: 0x8C85,     #  <CJK>
    0xE6BB: 0x8C8A,     #  <CJK>
    0xE6BC: 0x8C8D,     #  <CJK>
    0xE6BD: 0x8C8E,     #  <CJK>
    0xE6BE: 0x8C94,     #  <CJK>
    0xE6BF: 0x8C7C,     #  <CJK>
    0xE6C0: 0x8C98,     #  <CJK>
    0xE6C1: 0x621D,     #  <CJK>
    0xE6C2: 0x8CAD,     #  <CJK>
    0xE6C3: 0x8CAA,     #  <CJK>
    0xE6C4: 0x8CBD,     #  <CJK>
    0xE6C5: 0x8CB2,     #  <CJK>
    0xE6C6: 0x8CB3,     #  <CJK>
    0xE6C7: 0x8CAE,     #  <CJK>
    0xE6C8: 0x8CB6,     #  <CJK>
    0xE6C9: 0x8CC8,     #  <CJK>
    0xE6CA: 0x8CC1,     #  <CJK>
    0xE6CB: 0x8CE4,     #  <CJK>
    0xE6CC: 0x8CE3,     #  <CJK>
    0xE6CD: 0x8CDA,     #  <CJK>
    0xE6CE: 0x8CFD,     #  <CJK>
    0xE6CF: 0x8CFA,     #  <CJK>
    0xE6D0: 0x8CFB,     #  <CJK>
    0xE6D1: 0x8D04,     #  <CJK>
    0xE6D2: 0x8D05,     #  <CJK>
    0xE6D3: 0x8D0A,     #  <CJK>
    0xE6D4: 0x8D07,     #  <CJK>
    0xE6D5: 0x8D0F,     #  <CJK>
    0xE6D6: 0x8D0D,     #  <CJK>
    0xE6D7: 0x8D10,     #  <CJK>
    0xE6D8: 0x9F4E,     #  <CJK>
    0xE6D9: 0x8D13,     #  <CJK>
    0xE6DA: 0x8CCD,     #  <CJK>
    0xE6DB: 0x8D14,     #  <CJK>
    0xE6DC: 0x8D16,     #  <CJK>
    0xE6DD: 0x8D67,     #  <CJK>
    0xE6DE: 0x8D6D,     #  <CJK>
    0xE6DF: 0x8D71,     #  <CJK>
    0xE6E0: 0x8D73,     #  <CJK>
    0xE6E1: 0x8D81,     #  <CJK>
    0xE6E2: 0x8D99,     #  <CJK>
    0xE6E3: 0x8DC2,     #  <CJK>
    0xE6E4: 0x8DBE,     #  <CJK>
    0xE6E5: 0x8DBA,     #  <CJK>
    0xE6E6: 0x8DCF,     #  <CJK>
    0xE6E7: 0x8DDA,     #  <CJK>
    0xE6E8: 0x8DD6,     #  <CJK>
    0xE6E9: 0x8DCC,     #  <CJK>
    0xE6EA: 0x8DDB,     #  <CJK>
    0xE6EB: 0x8DCB,     #  <CJK>
    0xE6EC: 0x8DEA,     #  <CJK>
    0xE6ED: 0x8DEB,     #  <CJK>
    0xE6EE: 0x8DDF,     #  <CJK>
    0xE6EF: 0x8DE3,     #  <CJK>
    0xE6F0: 0x8DFC,     #  <CJK>
    0xE6F1: 0x8E08,     #  <CJK>
    0xE6F2: 0x8E09,     #  <CJK>
    0xE6F3: 0x8DFF,     #  <CJK>
    0xE6F4: 0x8E1D,     #  <CJK>
    0xE6F5: 0x8E1E,     #  <CJK>
    0xE6F6: 0x8E10,     #  <CJK>
    0xE6F7: 0x8E1F,     #  <CJK>
    0xE6F8: 0x8E42,     #  <CJK>
    0xE6F9: 0x8E35,     #  <CJK>
    0xE6FA: 0x8E30,     #  <CJK>
    0xE6FB: 0x8E34,     #  <CJK>
    0xE6FC: 0x8E4A,     #  <CJK>
    0xE740: 0x8E47,     #  <CJK>
    0xE741: 0x8E49,     #  <CJK>
    0xE742: 0x8E4C,     #  <CJK>
    0xE743: 0x8E50,     #  <CJK>
    0xE744: 0x8E48,     #  <CJK>
    0xE745: 0x8E59,     #  <CJK>
    0xE746: 0x8E64,     #  <CJK>
    0xE747: 0x8E60,     #  <CJK>
    0xE748: 0x8E2A,     #  <CJK>
    0xE749: 0x8E63,     #  <CJK>
    0xE74A: 0x8E55,     #  <CJK>
    0xE74B: 0x8E76,     #  <CJK>
    0xE74C: 0x8E72,     #  <CJK>
    0xE74D: 0x8E7C,     #  <CJK>
    0xE74E: 0x8E81,     #  <CJK>
    0xE74F: 0x8E87,     #  <CJK>
    0xE750: 0x8E85,     #  <CJK>
    0xE751: 0x8E84,     #  <CJK>
    0xE752: 0x8E8B,     #  <CJK>
    0xE753: 0x8E8A,     #  <CJK>
    0xE754: 0x8E93,     #  <CJK>
    0xE755: 0x8E91,     #  <CJK>
    0xE756: 0x8E94,     #  <CJK>
    0xE757: 0x8E99,     #  <CJK>
    0xE758: 0x8EAA,     #  <CJK>
    0xE759: 0x8EA1,     #  <CJK>
    0xE75A: 0x8EAC,     #  <CJK>
    0xE75B: 0x8EB0,     #  <CJK>
    0xE75C: 0x8EC6,     #  <CJK>
    0xE75D: 0x8EB1,     #  <CJK>
    0xE75E: 0x8EBE,     #  <CJK>
    0xE75F: 0x8EC5,     #  <CJK>
    0xE760: 0x8EC8,     #  <CJK>
    0xE761: 0x8ECB,     #  <CJK>
    0xE762: 0x8EDB,     #  <CJK>
    0xE763: 0x8EE3,     #  <CJK>
    0xE764: 0x8EFC,     #  <CJK>
    0xE765: 0x8EFB,     #  <CJK>
    0xE766: 0x8EEB,     #  <CJK>
    0xE767: 0x8EFE,     #  <CJK>
    0xE768: 0x8F0A,     #  <CJK>
    0xE769: 0x8F05,     #  <CJK>
    0xE76A: 0x8F15,     #  <CJK>
    0xE76B: 0x8F12,     #  <CJK>
    0xE76C: 0x8F19,     #  <CJK>
    0xE76D: 0x8F13,     #  <CJK>
    0xE76E: 0x8F1C,     #  <CJK>
    0xE76F: 0x8F1F,     #  <CJK>
    0xE770: 0x8F1B,     #  <CJK>
    0xE771: 0x8F0C,     #  <CJK>
    0xE772: 0x8F26,     #  <CJK>
    0xE773: 0x8F33,     #  <CJK>
    0xE774: 0x8F3B,     #  <CJK>
    0xE775: 0x8F39,     #  <CJK>
    0xE776: 0x8F45,     #  <CJK>
    0xE777: 0x8F42,     #  <CJK>
    0xE778: 0x8F3E,     #  <CJK>
    0xE779: 0x8F4C,     #  <CJK>
    0xE77A: 0x8F49,     #  <CJK>
    0xE77B: 0x8F46,     #  <CJK>
    0xE77C: 0x8F4E,     #  <CJK>
    0xE77D: 0x8F57,     #  <CJK>
    0xE77E: 0x8F5C,     #  <CJK>
    0xE780: 0x8F62,     #  <CJK>
    0xE781: 0x8F63,     #  <CJK>
    0xE782: 0x8F64,     #  <CJK>
    0xE783: 0x8F9C,     #  <CJK>
    0xE784: 0x8F9F,     #  <CJK>
    0xE785: 0x8FA3,     #  <CJK>
    0xE786: 0x8FAD,     #  <CJK>
    0xE787: 0x8FAF,     #  <CJK>
    0xE788: 0x8FB7,     #  <CJK>
    0xE789: 0x8FDA,     #  <CJK>
    0xE78A: 0x8FE5,     #  <CJK>
    0xE78B: 0x8FE2,     #  <CJK>
    0xE78C: 0x8FEA,     #  <CJK>
    0xE78D: 0x8FEF,     #  <CJK>
    0xE78E: 0x9087,     #  <CJK>
    0xE78F: 0x8FF4,     #  <CJK>
    0xE790: 0x9005,     #  <CJK>
    0xE791: 0x8FF9,     #  <CJK>
    0xE792: 0x8FFA,     #  <CJK>
    0xE793: 0x9011,     #  <CJK>
    0xE794: 0x9015,     #  <CJK>
    0xE795: 0x9021,     #  <CJK>
    0xE796: 0x900D,     #  <CJK>
    0xE797: 0x901E,     #  <CJK>
    0xE798: 0x9016,     #  <CJK>
    0xE799: 0x900B,     #  <CJK>
    0xE79A: 0x9027,     #  <CJK>
    0xE79B: 0x9036,     #  <CJK>
    0xE79C: 0x9035,     #  <CJK>
    0xE79D: 0x9039,     #  <CJK>
    0xE79E: 0x8FF8,     #  <CJK>
    0xE79F: 0x904F,     #  <CJK>
    0xE7A0: 0x9050,     #  <CJK>
    0xE7A1: 0x9051,     #  <CJK>
    0xE7A2: 0x9052,     #  <CJK>
    0xE7A3: 0x900E,     #  <CJK>
    0xE7A4: 0x9049,     #  <CJK>
    0xE7A5: 0x903E,     #  <CJK>
    0xE7A6: 0x9056,     #  <CJK>
    0xE7A7: 0x9058,     #  <CJK>
    0xE7A8: 0x905E,     #  <CJK>
    0xE7A9: 0x9068,     #  <CJK>
    0xE7AA: 0x906F,     #  <CJK>
    0xE7AB: 0x9076,     #  <CJK>
    0xE7AC: 0x96A8,     #  <CJK>
    0xE7AD: 0x9072,     #  <CJK>
    0xE7AE: 0x9082,     #  <CJK>
    0xE7AF: 0x907D,     #  <CJK>
    0xE7B0: 0x9081,     #  <CJK>
    0xE7B1: 0x9080,     #  <CJK>
    0xE7B2: 0x908A,     #  <CJK>
    0xE7B3: 0x9089,     #  <CJK>
    0xE7B4: 0x908F,     #  <CJK>
    0xE7B5: 0x90A8,     #  <CJK>
    0xE7B6: 0x90AF,     #  <CJK>
    0xE7B7: 0x90B1,     #  <CJK>
    0xE7B8: 0x90B5,     #  <CJK>
    0xE7B9: 0x90E2,     #  <CJK>
    0xE7BA: 0x90E4,     #  <CJK>
    0xE7BB: 0x6248,     #  <CJK>
    0xE7BC: 0x90DB,     #  <CJK>
    0xE7BD: 0x9102,     #  <CJK>
    0xE7BE: 0x9112,     #  <CJK>
    0xE7BF: 0x9119,     #  <CJK>
    0xE7C0: 0x9132,     #  <CJK>
    0xE7C1: 0x9130,     #  <CJK>
    0xE7C2: 0x914A,     #  <CJK>
    0xE7C3: 0x9156,     #  <CJK>
    0xE7C4: 0x9158,     #  <CJK>
    0xE7C5: 0x9163,     #  <CJK>
    0xE7C6: 0x9165,     #  <CJK>
    0xE7C7: 0x9169,     #  <CJK>
    0xE7C8: 0x9173,     #  <CJK>
    0xE7C9: 0x9172,     #  <CJK>
    0xE7CA: 0x918B,     #  <CJK>
    0xE7CB: 0x9189,     #  <CJK>
    0xE7CC: 0x9182,     #  <CJK>
    0xE7CD: 0x91A2,     #  <CJK>
    0xE7CE: 0x91AB,     #  <CJK>
    0xE7CF: 0x91AF,     #  <CJK>
    0xE7D0: 0x91AA,     #  <CJK>
    0xE7D1: 0x91B5,     #  <CJK>
    0xE7D2: 0x91B4,     #  <CJK>
    0xE7D3: 0x91BA,     #  <CJK>
    0xE7D4: 0x91C0,     #  <CJK>
    0xE7D5: 0x91C1,     #  <CJK>
    0xE7D6: 0x91C9,     #  <CJK>
    0xE7D7: 0x91CB,     #  <CJK>
    0xE7D8: 0x91D0,     #  <CJK>
    0xE7D9: 0x91D6,     #  <CJK>
    0xE7DA: 0x91DF,     #  <CJK>
    0xE7DB: 0x91E1,     #  <CJK>
    0xE7DC: 0x91DB,     #  <CJK>
    0xE7DD: 0x91FC,     #  <CJK>
    0xE7DE: 0x91F5,     #  <CJK>
    0xE7DF: 0x91F6,     #  <CJK>
    0xE7E0: 0x921E,     #  <CJK>
    0xE7E1: 0x91FF,     #  <CJK>
    0xE7E2: 0x9214,     #  <CJK>
    0xE7E3: 0x922C,     #  <CJK>
    0xE7E4: 0x9215,     #  <CJK>
    0xE7E5: 0x9211,     #  <CJK>
    0xE7E6: 0x925E,     #  <CJK>
    0xE7E7: 0x9257,     #  <CJK>
    0xE7E8: 0x9245,     #  <CJK>
    0xE7E9: 0x9249,     #  <CJK>
    0xE7EA: 0x9264,     #  <CJK>
    0xE7EB: 0x9248,     #  <CJK>
    0xE7EC: 0x9295,     #  <CJK>
    0xE7ED: 0x923F,     #  <CJK>
    0xE7EE: 0x924B,     #  <CJK>
    0xE7EF: 0x9250,     #  <CJK>
    0xE7F0: 0x929C,     #  <CJK>
    0xE7F1: 0x9296,     #  <CJK>
    0xE7F2: 0x9293,     #  <CJK>
    0xE7F3: 0x929B,     #  <CJK>
    0xE7F4: 0x925A,     #  <CJK>
    0xE7F5: 0x92CF,     #  <CJK>
    0xE7F6: 0x92B9,     #  <CJK>
    0xE7F7: 0x92B7,     #  <CJK>
    0xE7F8: 0x92E9,     #  <CJK>
    0xE7F9: 0x930F,     #  <CJK>
    0xE7FA: 0x92FA,     #  <CJK>
    0xE7FB: 0x9344,     #  <CJK>
    0xE7FC: 0x932E,     #  <CJK>
    0xE840: 0x9319,     #  <CJK>
    0xE841: 0x9322,     #  <CJK>
    0xE842: 0x931A,     #  <CJK>
    0xE843: 0x9323,     #  <CJK>
    0xE844: 0x933A,     #  <CJK>
    0xE845: 0x9335,     #  <CJK>
    0xE846: 0x933B,     #  <CJK>
    0xE847: 0x935C,     #  <CJK>
    0xE848: 0x9360,     #  <CJK>
    0xE849: 0x937C,     #  <CJK>
    0xE84A: 0x936E,     #  <CJK>
    0xE84B: 0x9356,     #  <CJK>
    0xE84C: 0x93B0,     #  <CJK>
    0xE84D: 0x93AC,     #  <CJK>
    0xE84E: 0x93AD,     #  <CJK>
    0xE84F: 0x9394,     #  <CJK>
    0xE850: 0x93B9,     #  <CJK>
    0xE851: 0x93D6,     #  <CJK>
    0xE852: 0x93D7,     #  <CJK>
    0xE853: 0x93E8,     #  <CJK>
    0xE854: 0x93E5,     #  <CJK>
    0xE855: 0x93D8,     #  <CJK>
    0xE856: 0x93C3,     #  <CJK>
    0xE857: 0x93DD,     #  <CJK>
    0xE858: 0x93D0,     #  <CJK>
    0xE859: 0x93C8,     #  <CJK>
    0xE85A: 0x93E4,     #  <CJK>
    0xE85B: 0x941A,     #  <CJK>
    0xE85C: 0x9414,     #  <CJK>
    0xE85D: 0x9413,     #  <CJK>
    0xE85E: 0x9403,     #  <CJK>
    0xE85F: 0x9407,     #  <CJK>
    0xE860: 0x9410,     #  <CJK>
    0xE861: 0x9436,     #  <CJK>
    0xE862: 0x942B,     #  <CJK>
    0xE863: 0x9435,     #  <CJK>
    0xE864: 0x9421,     #  <CJK>
    0xE865: 0x943A,     #  <CJK>
    0xE866: 0x9441,     #  <CJK>
    0xE867: 0x9452,     #  <CJK>
    0xE868: 0x9444,     #  <CJK>
    0xE869: 0x945B,     #  <CJK>
    0xE86A: 0x9460,     #  <CJK>
    0xE86B: 0x9462,     #  <CJK>
    0xE86C: 0x945E,     #  <CJK>
    0xE86D: 0x946A,     #  <CJK>
    0xE86E: 0x9229,     #  <CJK>
    0xE86F: 0x9470,     #  <CJK>
    0xE870: 0x9475,     #  <CJK>
    0xE871: 0x9477,     #  <CJK>
    0xE872: 0x947D,     #  <CJK>
    0xE873: 0x945A,     #  <CJK>
    0xE874: 0x947C,     #  <CJK>
    0xE875: 0x947E,     #  <CJK>
    0xE876: 0x9481,     #  <CJK>
    0xE877: 0x947F,     #  <CJK>
    0xE878: 0x9582,     #  <CJK>
    0xE879: 0x9587,     #  <CJK>
    0xE87A: 0x958A,     #  <CJK>
    0xE87B: 0x9594,     #  <CJK>
    0xE87C: 0x9596,     #  <CJK>
    0xE87D: 0x9598,     #  <CJK>
    0xE87E: 0x9599,     #  <CJK>
    0xE880: 0x95A0,     #  <CJK>
    0xE881: 0x95A8,     #  <CJK>
    0xE882: 0x95A7,     #  <CJK>
    0xE883: 0x95AD,     #  <CJK>
    0xE884: 0x95BC,     #  <CJK>
    0xE885: 0x95BB,     #  <CJK>
    0xE886: 0x95B9,     #  <CJK>
    0xE887: 0x95BE,     #  <CJK>
    0xE888: 0x95CA,     #  <CJK>
    0xE889: 0x6FF6,     #  <CJK>
    0xE88A: 0x95C3,     #  <CJK>
    0xE88B: 0x95CD,     #  <CJK>
    0xE88C: 0x95CC,     #  <CJK>
    0xE88D: 0x95D5,     #  <CJK>
    0xE88E: 0x95D4,     #  <CJK>
    0xE88F: 0x95D6,     #  <CJK>
    0xE890: 0x95DC,     #  <CJK>
    0xE891: 0x95E1,     #  <CJK>
    0xE892: 0x95E5,     #  <CJK>
    0xE893: 0x95E2,     #  <CJK>
    0xE894: 0x9621,     #  <CJK>
    0xE895: 0x9628,     #  <CJK>
    0xE896: 0x962E,     #  <CJK>
    0xE897: 0x962F,     #  <CJK>
    0xE898: 0x9642,     #  <CJK>
    0xE899: 0x964C,     #  <CJK>
    0xE89A: 0x964F,     #  <CJK>
    0xE89B: 0x964B,     #  <CJK>
    0xE89C: 0x9677,     #  <CJK>
    0xE89D: 0x965C,     #  <CJK>
    0xE89E: 0x965E,     #  <CJK>
    0xE89F: 0x965D,     #  <CJK>
    0xE8A0: 0x965F,     #  <CJK>
    0xE8A1: 0x9666,     #  <CJK>
    0xE8A2: 0x9672,     #  <CJK>
    0xE8A3: 0x966C,     #  <CJK>
    0xE8A4: 0x968D,     #  <CJK>
    0xE8A5: 0x9698,     #  <CJK>
    0xE8A6: 0x9695,     #  <CJK>
    0xE8A7: 0x9697,     #  <CJK>
    0xE8A8: 0x96AA,     #  <CJK>
    0xE8A9: 0x96A7,     #  <CJK>
    0xE8AA: 0x96B1,     #  <CJK>
    0xE8AB: 0x96B2,     #  <CJK>
    0xE8AC: 0x96B0,     #  <CJK>
    0xE8AD: 0x96B4,     #  <CJK>
    0xE8AE: 0x96B6,     #  <CJK>
    0xE8AF: 0x96B8,     #  <CJK>
    0xE8B0: 0x96B9,     #  <CJK>
    0xE8B1: 0x96CE,     #  <CJK>
    0xE8B2: 0x96CB,     #  <CJK>
    0xE8B3: 0x96C9,     #  <CJK>
    0xE8B4: 0x96CD,     #  <CJK>
    0xE8B5: 0x894D,     #  <CJK>
    0xE8B6: 0x96DC,     #  <CJK>
    0xE8B7: 0x970D,     #  <CJK>
    0xE8B8: 0x96D5,     #  <CJK>
    0xE8B9: 0x96F9,     #  <CJK>
    0xE8BA: 0x9704,     #  <CJK>
    0xE8BB: 0x9706,     #  <CJK>
    0xE8BC: 0x9708,     #  <CJK>
    0xE8BD: 0x9713,     #  <CJK>
    0xE8BE: 0x970E,     #  <CJK>
    0xE8BF: 0x9711,     #  <CJK>
    0xE8C0: 0x970F,     #  <CJK>
    0xE8C1: 0x9716,     #  <CJK>
    0xE8C2: 0x9719,     #  <CJK>
    0xE8C3: 0x9724,     #  <CJK>
    0xE8C4: 0x972A,     #  <CJK>
    0xE8C5: 0x9730,     #  <CJK>
    0xE8C6: 0x9739,     #  <CJK>
    0xE8C7: 0x973D,     #  <CJK>
    0xE8C8: 0x973E,     #  <CJK>
    0xE8C9: 0x9744,     #  <CJK>
    0xE8CA: 0x9746,     #  <CJK>
    0xE8CB: 0x9748,     #  <CJK>
    0xE8CC: 0x9742,     #  <CJK>
    0xE8CD: 0x9749,     #  <CJK>
    0xE8CE: 0x975C,     #  <CJK>
    0xE8CF: 0x9760,     #  <CJK>
    0xE8D0: 0x9764,     #  <CJK>
    0xE8D1: 0x9766,     #  <CJK>
    0xE8D2: 0x9768,     #  <CJK>
    0xE8D3: 0x52D2,     #  <CJK>
    0xE8D4: 0x976B,     #  <CJK>
    0xE8D5: 0x9771,     #  <CJK>
    0xE8D6: 0x9779,     #  <CJK>
    0xE8D7: 0x9785,     #  <CJK>
    0xE8D8: 0x977C,     #  <CJK>
    0xE8D9: 0x9781,     #  <CJK>
    0xE8DA: 0x977A,     #  <CJK>
    0xE8DB: 0x9786,     #  <CJK>
    0xE8DC: 0x978B,     #  <CJK>
    0xE8DD: 0x978F,     #  <CJK>
    0xE8DE: 0x9790,     #  <CJK>
    0xE8DF: 0x979C,     #  <CJK>
    0xE8E0: 0x97A8,     #  <CJK>
    0xE8E1: 0x97A6,     #  <CJK>
    0xE8E2: 0x97A3,     #  <CJK>
    0xE8E3: 0x97B3,     #  <CJK>
    0xE8E4: 0x97B4,     #  <CJK>
    0xE8E5: 0x97C3,     #  <CJK>
    0xE8E6: 0x97C6,     #  <CJK>
    0xE8E7: 0x97C8,     #  <CJK>
    0xE8E8: 0x97CB,     #  <CJK>
    0xE8E9: 0x97DC,     #  <CJK>
    0xE8EA: 0x97ED,     #  <CJK>
    0xE8EB: 0x9F4F,     #  <CJK>
    0xE8EC: 0x97F2,     #  <CJK>
    0xE8ED: 0x7ADF,     #  <CJK>
    0xE8EE: 0x97F6,     #  <CJK>
    0xE8EF: 0x97F5,     #  <CJK>
    0xE8F0: 0x980F,     #  <CJK>
    0xE8F1: 0x980C,     #  <CJK>
    0xE8F2: 0x9838,     #  <CJK>
    0xE8F3: 0x9824,     #  <CJK>
    0xE8F4: 0x9821,     #  <CJK>
    0xE8F5: 0x9837,     #  <CJK>
    0xE8F6: 0x983D,     #  <CJK>
    0xE8F7: 0x9846,     #  <CJK>
    0xE8F8: 0x984F,     #  <CJK>
    0xE8F9: 0x984B,     #  <CJK>
    0xE8FA: 0x986B,     #  <CJK>
    0xE8FB: 0x986F,     #  <CJK>
    0xE8FC: 0x9870,     #  <CJK>
    0xE940: 0x9871,     #  <CJK>
    0xE941: 0x9874,     #  <CJK>
    0xE942: 0x9873,     #  <CJK>
    0xE943: 0x98AA,     #  <CJK>
    0xE944: 0x98AF,     #  <CJK>
    0xE945: 0x98B1,     #  <CJK>
    0xE946: 0x98B6,     #  <CJK>
    0xE947: 0x98C4,     #  <CJK>
    0xE948: 0x98C3,     #  <CJK>
    0xE949: 0x98C6,     #  <CJK>
    0xE94A: 0x98E9,     #  <CJK>
    0xE94B: 0x98EB,     #  <CJK>
    0xE94C: 0x9903,     #  <CJK>
    0xE94D: 0x9909,     #  <CJK>
    0xE94E: 0x9912,     #  <CJK>
    0xE94F: 0x9914,     #  <CJK>
    0xE950: 0x9918,     #  <CJK>
    0xE951: 0x9921,     #  <CJK>
    0xE952: 0x991D,     #  <CJK>
    0xE953: 0x991E,     #  <CJK>
    0xE954: 0x9924,     #  <CJK>
    0xE955: 0x9920,     #  <CJK>
    0xE956: 0x992C,     #  <CJK>
    0xE957: 0x992E,     #  <CJK>
    0xE958: 0x993D,     #  <CJK>
    0xE959: 0x993E,     #  <CJK>
    0xE95A: 0x9942,     #  <CJK>
    0xE95B: 0x9949,     #  <CJK>
    0xE95C: 0x9945,     #  <CJK>
    0xE95D: 0x9950,     #  <CJK>
    0xE95E: 0x994B,     #  <CJK>
    0xE95F: 0x9951,     #  <CJK>
    0xE960: 0x9952,     #  <CJK>
    0xE961: 0x994C,     #  <CJK>
    0xE962: 0x9955,     #  <CJK>
    0xE963: 0x9997,     #  <CJK>
    0xE964: 0x9998,     #  <CJK>
    0xE965: 0x99A5,     #  <CJK>
    0xE966: 0x99AD,     #  <CJK>
    0xE967: 0x99AE,     #  <CJK>
    0xE968: 0x99BC,     #  <CJK>
    0xE969: 0x99DF,     #  <CJK>
    0xE96A: 0x99DB,     #  <CJK>
    0xE96B: 0x99DD,     #  <CJK>
    0xE96C: 0x99D8,     #  <CJK>
    0xE96D: 0x99D1,     #  <CJK>
    0xE96E: 0x99ED,     #  <CJK>
    0xE96F: 0x99EE,     #  <CJK>
    0xE970: 0x99F1,     #  <CJK>
    0xE971: 0x99F2,     #  <CJK>
    0xE972: 0x99FB,     #  <CJK>
    0xE973: 0x99F8,     #  <CJK>
    0xE974: 0x9A01,     #  <CJK>
    0xE975: 0x9A0F,     #  <CJK>
    0xE976: 0x9A05,     #  <CJK>
    0xE977: 0x99E2,     #  <CJK>
    0xE978: 0x9A19,     #  <CJK>
    0xE979: 0x9A2B,     #  <CJK>
    0xE97A: 0x9A37,     #  <CJK>
    0xE97B: 0x9A45,     #  <CJK>
    0xE97C: 0x9A42,     #  <CJK>
    0xE97D: 0x9A40,     #  <CJK>
    0xE97E: 0x9A43,     #  <CJK>
    0xE980: 0x9A3E,     #  <CJK>
    0xE981: 0x9A55,     #  <CJK>
    0xE982: 0x9A4D,     #  <CJK>
    0xE983: 0x9A5B,     #  <CJK>
    0xE984: 0x9A57,     #  <CJK>
    0xE985: 0x9A5F,     #  <CJK>
    0xE986: 0x9A62,     #  <CJK>
    0xE987: 0x9A65,     #  <CJK>
    0xE988: 0x9A64,     #  <CJK>
    0xE989: 0x9A69,     #  <CJK>
    0xE98A: 0x9A6B,     #  <CJK>
    0xE98B: 0x9A6A,     #  <CJK>
    0xE98C: 0x9AAD,     #  <CJK>
    0xE98D: 0x9AB0,     #  <CJK>
    0xE98E: 0x9ABC,     #  <CJK>
    0xE98F: 0x9AC0,     #  <CJK>
    0xE990: 0x9ACF,     #  <CJK>
    0xE991: 0x9AD1,     #  <CJK>
    0xE992: 0x9AD3,     #  <CJK>
    0xE993: 0x9AD4,     #  <CJK>
    0xE994: 0x9ADE,     #  <CJK>
    0xE995: 0x9ADF,     #  <CJK>
    0xE996: 0x9AE2,     #  <CJK>
    0xE997: 0x9AE3,     #  <CJK>
    0xE998: 0x9AE6,     #  <CJK>
    0xE999: 0x9AEF,     #  <CJK>
    0xE99A: 0x9AEB,     #  <CJK>
    0xE99B: 0x9AEE,     #  <CJK>
    0xE99C: 0x9AF4,     #  <CJK>
    0xE99D: 0x9AF1,     #  <CJK>
    0xE99E: 0x9AF7,     #  <CJK>
    0xE99F: 0x9AFB,     #  <CJK>
    0xE9A0: 0x9B06,     #  <CJK>
    0xE9A1: 0x9B18,     #  <CJK>
    0xE9A2: 0x9B1A,     #  <CJK>
    0xE9A3: 0x9B1F,     #  <CJK>
    0xE9A4: 0x9B22,     #  <CJK>
    0xE9A5: 0x9B23,     #  <CJK>
    0xE9A6: 0x9B25,     #  <CJK>
    0xE9A7: 0x9B27,     #  <CJK>
    0xE9A8: 0x9B28,     #  <CJK>
    0xE9A9: 0x9B29,     #  <CJK>
    0xE9AA: 0x9B2A,     #  <CJK>
    0xE9AB: 0x9B2E,     #  <CJK>
    0xE9AC: 0x9B2F,     #  <CJK>
    0xE9AD: 0x9B32,     #  <CJK>
    0xE9AE: 0x9B44,     #  <CJK>
    0xE9AF: 0x9B43,     #  <CJK>
    0xE9B0: 0x9B4F,     #  <CJK>
    0xE9B1: 0x9B4D,     #  <CJK>
    0xE9B2: 0x9B4E,     #  <CJK>
    0xE9B3: 0x9B51,     #  <CJK>
    0xE9B4: 0x9B58,     #  <CJK>
    0xE9B5: 0x9B74,     #  <CJK>
    0xE9B6: 0x9B93,     #  <CJK>
    0xE9B7: 0x9B83,     #  <CJK>
    0xE9B8: 0x9B91,     #  <CJK>
    0xE9B9: 0x9B96,     #  <CJK>
    0xE9BA: 0x9B97,     #  <CJK>
    0xE9BB: 0x9B9F,     #  <CJK>
    0xE9BC: 0x9BA0,     #  <CJK>
    0xE9BD: 0x9BA8,     #  <CJK>
    0xE9BE: 0x9BB4,     #  <CJK>
    0xE9BF: 0x9BC0,     #  <CJK>
    0xE9C0: 0x9BCA,     #  <CJK>
    0xE9C1: 0x9BB9,     #  <CJK>
    0xE9C2: 0x9BC6,     #  <CJK>
    0xE9C3: 0x9BCF,     #  <CJK>
    0xE9C4: 0x9BD1,     #  <CJK>
    0xE9C5: 0x9BD2,     #  <CJK>
    0xE9C6: 0x9BE3,     #  <CJK>
    0xE9C7: 0x9BE2,     #  <CJK>
    0xE9C8: 0x9BE4,     #  <CJK>
    0xE9C9: 0x9BD4,     #  <CJK>
    0xE9CA: 0x9BE1,     #  <CJK>
    0xE9CB: 0x9C3A,     #  <CJK>
    0xE9CC: 0x9BF2,     #  <CJK>
    0xE9CD: 0x9BF1,     #  <CJK>
    0xE9CE: 0x9BF0,     #  <CJK>
    0xE9CF: 0x9C15,     #  <CJK>
    0xE9D0: 0x9C14,     #  <CJK>
    0xE9D1: 0x9C09,     #  <CJK>
    0xE9D2: 0x9C13,     #  <CJK>
    0xE9D3: 0x9C0C,     #  <CJK>
    0xE9D4: 0x9C06,     #  <CJK>
    0xE9D5: 0x9C08,     #  <CJK>
    0xE9D6: 0x9C12,     #  <CJK>
    0xE9D7: 0x9C0A,     #  <CJK>
    0xE9D8: 0x9C04,     #  <CJK>
    0xE9D9: 0x9C2E,     #  <CJK>
    0xE9DA: 0x9C1B,     #  <CJK>
    0xE9DB: 0x9C25,     #  <CJK>
    0xE9DC: 0x9C24,     #  <CJK>
    0xE9DD: 0x9C21,     #  <CJK>
    0xE9DE: 0x9C30,     #  <CJK>
    0xE9DF: 0x9C47,     #  <CJK>
    0xE9E0: 0x9C32,     #  <CJK>
    0xE9E1: 0x9C46,     #  <CJK>
    0xE9E2: 0x9C3E,     #  <CJK>
    0xE9E3: 0x9C5A,     #  <CJK>
    0xE9E4: 0x9C60,     #  <CJK>
    0xE9E5: 0x9C67,     #  <CJK>
    0xE9E6: 0x9C76,     #  <CJK>
    0xE9E7: 0x9C78,     #  <CJK>
    0xE9E8: 0x9CE7,     #  <CJK>
    0xE9E9: 0x9CEC,     #  <CJK>
    0xE9EA: 0x9CF0,     #  <CJK>
    0xE9EB: 0x9D09,     #  <CJK>
    0xE9EC: 0x9D08,     #  <CJK>
    0xE9ED: 0x9CEB,     #  <CJK>
    0xE9EE: 0x9D03,     #  <CJK>
    0xE9EF: 0x9D06,     #  <CJK>
    0xE9F0: 0x9D2A,     #  <CJK>
    0xE9F1: 0x9D26,     #  <CJK>
    0xE9F2: 0x9DAF,     #  <CJK>
    0xE9F3: 0x9D23,     #  <CJK>
    0xE9F4: 0x9D1F,     #  <CJK>
    0xE9F5: 0x9D44,     #  <CJK>
    0xE9F6: 0x9D15,     #  <CJK>
    0xE9F7: 0x9D12,     #  <CJK>
    0xE9F8: 0x9D41,     #  <CJK>
    0xE9F9: 0x9D3F,     #  <CJK>
    0xE9FA: 0x9D3E,     #  <CJK>
    0xE9FB: 0x9D46,     #  <CJK>
    0xE9FC: 0x9D48,     #  <CJK>
    0xEA40: 0x9D5D,     #  <CJK>
    0xEA41: 0x9D5E,     #  <CJK>
    0xEA42: 0x9D64,     #  <CJK>
    0xEA43: 0x9D51,     #  <CJK>
    0xEA44: 0x9D50,     #  <CJK>
    0xEA45: 0x9D59,     #  <CJK>
    0xEA46: 0x9D72,     #  <CJK>
    0xEA47: 0x9D89,     #  <CJK>
    0xEA48: 0x9D87,     #  <CJK>
    0xEA49: 0x9DAB,     #  <CJK>
    0xEA4A: 0x9D6F,     #  <CJK>
    0xEA4B: 0x9D7A,     #  <CJK>
    0xEA4C: 0x9D9A,     #  <CJK>
    0xEA4D: 0x9DA4,     #  <CJK>
    0xEA4E: 0x9DA9,     #  <CJK>
    0xEA4F: 0x9DB2,     #  <CJK>
    0xEA50: 0x9DC4,     #  <CJK>
    0xEA51: 0x9DC1,     #  <CJK>
    0xEA52: 0x9DBB,     #  <CJK>
    0xEA53: 0x9DB8,     #  <CJK>
    0xEA54: 0x9DBA,     #  <CJK>
    0xEA55: 0x9DC6,     #  <CJK>
    0xEA56: 0x9DCF,     #  <CJK>
    0xEA57: 0x9DC2,     #  <CJK>
    0xEA58: 0x9DD9,     #  <CJK>
    0xEA59: 0x9DD3,     #  <CJK>
    0xEA5A: 0x9DF8,     #  <CJK>
    0xEA5B: 0x9DE6,     #  <CJK>
    0xEA5C: 0x9DED,     #  <CJK>
    0xEA5D: 0x9DEF,     #  <CJK>
    0xEA5E: 0x9DFD,     #  <CJK>
    0xEA5F: 0x9E1A,     #  <CJK>
    0xEA60: 0x9E1B,     #  <CJK>
    0xEA61: 0x9E1E,     #  <CJK>
    0xEA62: 0x9E75,     #  <CJK>
    0xEA63: 0x9E79,     #  <CJK>
    0xEA64: 0x9E7D,     #  <CJK>
    0xEA65: 0x9E81,     #  <CJK>
    0xEA66: 0x9E88,     #  <CJK>
    0xEA67: 0x9E8B,     #  <CJK>
    0xEA68: 0x9E8C,     #  <CJK>
    0xEA69: 0x9E92,     #  <CJK>
    0xEA6A: 0x9E95,     #  <CJK>
    0xEA6B: 0x9E91,     #  <CJK>
    0xEA6C: 0x9E9D,     #  <CJK>
    0xEA6D: 0x9EA5,     #  <CJK>
    0xEA6E: 0x9EA9,     #  <CJK>
    0xEA6F: 0x9EB8,     #  <CJK>
    0xEA70: 0x9EAA,     #  <CJK>
    0xEA71: 0x9EAD,     #  <CJK>
    0xEA72: 0x9761,     #  <CJK>
    0xEA73: 0x9ECC,     #  <CJK>
    0xEA74: 0x9ECE,     #  <CJK>
    0xEA75: 0x9ECF,     #  <CJK>
    0xEA76: 0x9ED0,     #  <CJK>
    0xEA77: 0x9ED4,     #  <CJK>
    0xEA78: 0x9EDC,     #  <CJK>
    0xEA79: 0x9EDE,     #  <CJK>
    0xEA7A: 0x9EDD,     #  <CJK>
    0xEA7B: 0x9EE0,     #  <CJK>
    0xEA7C: 0x9EE5,     #  <CJK>
    0xEA7D: 0x9EE8,     #  <CJK>
    0xEA7E: 0x9EEF,     #  <CJK>
    0xEA80: 0x9EF4,     #  <CJK>
    0xEA81: 0x9EF6,     #  <CJK>
    0xEA82: 0x9EF7,     #  <CJK>
    0xEA83: 0x9EF9,     #  <CJK>
    0xEA84: 0x9EFB,     #  <CJK>
    0xEA85: 0x9EFC,     #  <CJK>
    0xEA86: 0x9EFD,     #  <CJK>
    0xEA87: 0x9F07,     #  <CJK>
    0xEA88: 0x9F08,     #  <CJK>
    0xEA89: 0x76B7,     #  <CJK>
    0xEA8A: 0x9F15,     #  <CJK>
    0xEA8B: 0x9F21,     #  <CJK>
    0xEA8C: 0x9F2C,     #  <CJK>
    0xEA8D: 0x9F3E,     #  <CJK>
    0xEA8E: 0x9F4A,     #  <CJK>
    0xEA8F: 0x9F52,     #  <CJK>
    0xEA90: 0x9F54,     #  <CJK>
    0xEA91: 0x9F63,     #  <CJK>
    0xEA92: 0x9F5F,     #  <CJK>
    0xEA93: 0x9F60,     #  <CJK>
    0xEA94: 0x9F61,     #  <CJK>
    0xEA95: 0x9F66,     #  <CJK>
    0xEA96: 0x9F67,     #  <CJK>
    0xEA97: 0x9F6C,     #  <CJK>
    0xEA98: 0x9F6A,     #  <CJK>
    0xEA99: 0x9F77,     #  <CJK>
    0xEA9A: 0x9F72,     #  <CJK>
    0xEA9B: 0x9F76,     #  <CJK>
    0xEA9C: 0x9F95,     #  <CJK>
    0xEA9D: 0x9F9C,     #  <CJK>
    0xEA9E: 0x9FA0,     #  <CJK>
    0xEA9F: 0x582F,     #  <CJK>
    0xEAA0: 0x69C7,     #  <CJK>
    0xEAA1: 0x9059,     #  <CJK>
    0xEAA2: 0x7464,     #  <CJK>
    0xEAA3: 0x51DC,     #  <CJK>
    0xEAA4: 0x7199,     #  <CJK>
    0xEB41: (0x3001, 0xF87E),   #  vertical form for IDEOGRAPHIC COMMA
    0xEB42: (0x3002, 0xF87E),   #  vertical form for IDEOGRAPHIC FULL STOP
    0xEB50: (0xFFE3, 0xF87E),   #  vertical form for FULLWIDTH MACRON
    0xEB51: 0xFE33,     #  PRESENTATION FORM FOR VERTICAL LOW LINE, U+FF3F
    0xEB5B: (0x30FC, 0xF87E),   #  vertical form for KATAKANA-HIRAGANA PROLONGED SOUND MARK
    0xEB5C: 0xFE31,     #  PRESENTATION FORM FOR VERTICAL EM DASH, U+2014
    0xEB5D: (0x2010, 0xF87E),   #  vertical form for HYPHEN
    0xEB60: (0x301C, 0xF87E),   #  vertical form for WAVE DASH
    0xEB61: (0x2016, 0xF87E),   #  vertical form for DOUBLE VERTICAL LINE
    0xEB62: (0xFF5C, 0xF87E),   #  vertical form for FULLWIDTH VERTICAL LINE
    0xEB63: (0x2026, 0xF87E),   #  vertical form for HORIZONTAL ELLIPSIS
    0xEB64: 0xFE30,     #  PRESENTATION FORM FOR VERTICAL TWO DOT LEADER, U+2025
    0xEB69: 0xFE35,     #  PRESENTATION FORM FOR VERTICAL LEFT PARENTHESIS, U+FF08
    0xEB6A: 0xFE36,     #  PRESENTATION FORM FOR VERTICAL RIGHT PARENTHESIS, U+FF09
    0xEB6B: 0xFE39,     #  PRESENTATION FORM FOR VERTICAL LEFT TORTOISE SHELL BRACKET, U+3014
    0xEB6C: 0xFE3A,     #  PRESENTATION FORM FOR VERTICAL RIGHT TORTOISE SHELL BRACKET, U+3015
    0xEB6D: (0xFF3B, 0xF87E),   #  vertical form for FULLWIDTH LEFT SQUARE BRACKET # or for Unicode 4.0, 0xFE47 PRESENTATION FORM FOR VERTICAL LEFT SQUARE BRACKET
    0xEB6E: (0xFF3D, 0xF87E),   #  vertical form for FULLWIDTH RIGHT SQUARE BRACKET # or for Unicode 4.0, 0xFE48 PRESENTATION FORM FOR VERTICAL RIGHT SQUARE BRACKET
    0xEB6F: 0xFE37,     #  PRESENTATION FORM FOR VERTICAL LEFT CURLY BRACKET, U+FF5B
    0xEB70: 0xFE38,     #  PRESENTATION FORM FOR VERTICAL RIGHT CURLY BRACKET, U+FF5D
    0xEB71: 0xFE3F,     #  PRESENTATION FORM FOR VERTICAL LEFT ANGLE BRACKET, U+3008
    0xEB72: 0xFE40,     #  PRESENTATION FORM FOR VERTICAL RIGHT ANGLE BRACKET, U+3009
    0xEB73: 0xFE3D,     #  PRESENTATION FORM FOR VERTICAL LEFT DOUBLE ANGLE BRACKET, U+300A
    0xEB74: 0xFE3E,     #  PRESENTATION FORM FOR VERTICAL RIGHT DOUBLE ANGLE BRACKET, U+300B
    0xEB75: 0xFE41,     #  PRESENTATION FORM FOR VERTICAL LEFT CORNER BRACKET, U+300C
    0xEB76: 0xFE42,     #  PRESENTATION FORM FOR VERTICAL RIGHT CORNER BRACKET, U+300D
    0xEB77: 0xFE43,     #  PRESENTATION FORM FOR VERTICAL LEFT WHITE CORNER BRACKET, U+300E
    0xEB78: 0xFE44,     #  PRESENTATION FORM FOR VERTICAL RIGHT WHITE CORNER BRACKET, U+300F
    0xEB79: 0xFE3B,     #  PRESENTATION FORM FOR VERTICAL LEFT BLACK LENTICULAR BRACKET, U+3010
    0xEB7A: 0xFE3C,     #  PRESENTATION FORM FOR VERTICAL RIGHT BLACK LENTICULAR BRACKET, U+3011
    0xEB81: (0xFF1D, 0xF87E),   #  vertical form for FULLWIDTH EQUALS SIGN
    0xEC9F: (0x3041, 0xF87E),   #  vertical form for HIRAGANA LETTER SMALL A
    0xECA1: (0x3043, 0xF87E),   #  vertical form for HIRAGANA LETTER SMALL I
    0xECA3: (0x3045, 0xF87E),   #  vertical form for HIRAGANA LETTER SMALL U
    0xECA5: (0x3047, 0xF87E),   #  vertical form for HIRAGANA LETTER SMALL E
    0xECA7: (0x3049, 0xF87E),   #  vertical form for HIRAGANA LETTER SMALL O
    0xECC1: (0x3063, 0xF87E),   #  vertical form for HIRAGANA LETTER SMALL TU
    0xECE1: (0x3083, 0xF87E),   #  vertical form for HIRAGANA LETTER SMALL YA
    0xECE3: (0x3085, 0xF87E),   #  vertical form for HIRAGANA LETTER SMALL YU
    0xECE5: (0x3087, 0xF87E),   #  vertical form for HIRAGANA LETTER SMALL YO
    0xECEC: (0x308E, 0xF87E),   #  vertical form for HIRAGANA LETTER SMALL WA
    0xED40: (0x30A1, 0xF87E),   #  vertical form for KATAKANA LETTER SMALL A
    0xED42: (0x30A3, 0xF87E),   #  vertical form for KATAKANA LETTER SMALL I
    0xED44: (0x30A5, 0xF87E),   #  vertical form for KATAKANA LETTER SMALL U
    0xED46: (0x30A7, 0xF87E),   #  vertical form for KATAKANA LETTER SMALL E
    0xED48: (0x30A9, 0xF87E),   #  vertical form for KATAKANA LETTER SMALL O
    0xED62: (0x30C3, 0xF87E),   #  vertical form for KATAKANA LETTER SMALL TU
    0xED83: (0x30E3, 0xF87E),   #  vertical form for KATAKANA LETTER SMALL YA
    0xED85: (0x30E5, 0xF87E),   #  vertical form for KATAKANA LETTER SMALL YU
    0xED87: (0x30E7, 0xF87E),   #  vertical form for KATAKANA LETTER SMALL YO
    0xED8E: (0x30EE, 0xF87E),   #  vertical form for KATAKANA LETTER SMALL WA
    0xED95: (0x30F5, 0xF87E),   #  vertical form for KATAKANA LETTER SMALL KA
    0xED96: (0x30F6, 0xF87E),   #  vertical form for KATAKANA LETTER SMALL KE
})

### Encoding Map

encoding_map = {
    0x0000: 0x00,       #  CONTROL CHARACTER
    0x0001: 0x01,       #  CONTROL CHARACTER
    0x0002: 0x02,       #  CONTROL CHARACTER
    0x0003: 0x03,       #  CONTROL CHARACTER
    0x0004: 0x04,       #  CONTROL CHARACTER
    0x0005: 0x05,       #  CONTROL CHARACTER
    0x0006: 0x06,       #  CONTROL CHARACTER
    0x0007: 0x07,       #  CONTROL CHARACTER
    0x0008: 0x08,       #  CONTROL CHARACTER
    0x0009: 0x09,       #  CONTROL CHARACTER
    0x000A: 0x0A,       #  CONTROL CHARACTER
    0x000B: 0x0B,       #  CONTROL CHARACTER
    0x000C: 0x0C,       #  CONTROL CHARACTER
    0x000D: 0x0D,       #  CONTROL CHARACTER
    0x000E: 0x0E,       #  CONTROL CHARACTER
    0x000F: 0x0F,       #  CONTROL CHARACTER
    0x0010: 0x10,       #  CONTROL CHARACTER
    0x0011: 0x11,       #  CONTROL CHARACTER
    0x0012: 0x12,       #  CONTROL CHARACTER
    0x0013: 0x13,       #  CONTROL CHARACTER
    0x0014: 0x14,       #  CONTROL CHARACTER
    0x0015: 0x15,       #  CONTROL CHARACTER
    0x0016: 0x16,       #  CONTROL CHARACTER
    0x0017: 0x17,       #  CONTROL CHARACTER
    0x0018: 0x18,       #  CONTROL CHARACTER
    0x0019: 0x19,       #  CONTROL CHARACTER
    0x001A: 0x1A,       #  CONTROL CHARACTER
    0x001B: 0x1B,       #  CONTROL CHARACTER
    0x001C: 0x1C,       #  CONTROL CHARACTER
    0x001D: 0x1D,       #  CONTROL CHARACTER
    0x001E: 0x1E,       #  CONTROL CHARACTER
    0x001F: 0x1F,       #  CONTROL CHARACTER
    0x0020: 0x20,       #  SPACE
    0x0021: 0x21,       #  EXCLAMATION MARK
    0x0022: 0x22,       #  QUOTATION MARK
    0x0023: 0x23,       #  NUMBER SIGN
    0x0024: 0x24,       #  DOLLAR SIGN
    0x0025: 0x25,       #  PERCENT SIGN
    0x0026: 0x26,       #  AMPERSAND
    0x0027: 0x27,       #  APOSTROPHE
    0x0028: 0x28,       #  LEFT PARENTHESIS
    0x0029: 0x29,       #  RIGHT PARENTHESIS
    0x002A: 0x2A,       #  ASTERISK
    0x002B: 0x2B,       #  PLUS SIGN
    0x002C: 0x2C,       #  COMMA
    0x002D: 0x2D,       #  HYPHEN-MINUS
    0x002E: 0x2E,       #  FULL STOP
    0x002F: 0x2F,       #  SOLIDUS
    0x0030: 0x30,       #  DIGIT ZERO
    0x0031: 0x31,       #  DIGIT ONE
    0x0032: 0x32,       #  DIGIT TWO
    0x0033: 0x33,       #  DIGIT THREE
    0x0034: 0x34,       #  DIGIT FOUR
    0x0035: 0x35,       #  DIGIT FIVE
    0x0036: 0x36,       #  DIGIT SIX
    0x0037: 0x37,       #  DIGIT SEVEN
    0x0038: 0x38,       #  DIGIT EIGHT
    0x0039: 0x39,       #  DIGIT NINE
    0x003A: 0x3A,       #  COLON
    0x003B: 0x3B,       #  SEMICOLON
    0x003C: 0x3C,       #  LESS-THAN SIGN
    0x003D: 0x3D,       #  EQUALS SIGN
    0x003E: 0x3E,       #  GREATER-THAN SIGN
    0x003F: 0x3F,       #  QUESTION MARK
    0x0040: 0x40,       #  COMMERCIAL AT
    0x0041: 0x41,       #  LATIN CAPITAL LETTER A
    0x0042: 0x42,       #  LATIN CAPITAL LETTER B
    0x0043: 0x43,       #  LATIN CAPITAL LETTER C
    0x0044: 0x44,       #  LATIN CAPITAL LETTER D
    0x0045: 0x45,       #  LATIN CAPITAL LETTER E
    0x0046: 0x46,       #  LATIN CAPITAL LETTER F
    0x0047: 0x47,       #  LATIN CAPITAL LETTER G
    0x0048: 0x48,       #  LATIN CAPITAL LETTER H
    0x0049: 0x49,       #  LATIN CAPITAL LETTER I
    0x004A: 0x4A,       #  LATIN CAPITAL LETTER J
    0x004B: 0x4B,       #  LATIN CAPITAL LETTER K
    0x004C: 0x4C,       #  LATIN CAPITAL LETTER L
    0x004D: 0x4D,       #  LATIN CAPITAL LETTER M
    0x004E: 0x4E,       #  LATIN CAPITAL LETTER N
    0x004F: 0x4F,       #  LATIN CAPITAL LETTER O
    0x0050: 0x50,       #  LATIN CAPITAL LETTER P
    0x0051: 0x51,       #  LATIN CAPITAL LETTER Q
    0x0052: 0x52,       #  LATIN CAPITAL LETTER R
    0x0053: 0x53,       #  LATIN CAPITAL LETTER S
    0x0054: 0x54,       #  LATIN CAPITAL LETTER T
    0x0055: 0x55,       #  LATIN CAPITAL LETTER U
    0x0056: 0x56,       #  LATIN CAPITAL LETTER V
    0x0057: 0x57,       #  LATIN CAPITAL LETTER W
    0x0058: 0x58,       #  LATIN CAPITAL LETTER X
    0x0059: 0x59,       #  LATIN CAPITAL LETTER Y
    0x005A: 0x5A,       #  LATIN CAPITAL LETTER Z
    0x005B: 0x5B,       #  LEFT SQUARE BRACKET
    0x005C: 0x80,       #  REVERSE SOLIDUS # Apple addition; changes mapping of 0x815F
    0x005D: 0x5D,       #  RIGHT SQUARE BRACKET
    0x005E: 0x5E,       #  CIRCUMFLEX ACCENT
    0x005F: 0x5F,       #  LOW LINE
    0x0060: 0x60,       #  GRAVE ACCENT
    0x0061: 0x61,       #  LATIN SMALL LETTER A
    0x0062: 0x62,       #  LATIN SMALL LETTER B
    0x0063: 0x63,       #  LATIN SMALL LETTER C
    0x0064: 0x64,       #  LATIN SMALL LETTER D
    0x0065: 0x65,       #  LATIN SMALL LETTER E
    0x0066: 0x66,       #  LATIN SMALL LETTER F
    0x0067: 0x67,       #  LATIN SMALL LETTER G
    0x0068: 0x68,       #  LATIN SMALL LETTER H
    0x0069: 0x69,       #  LATIN SMALL LETTER I
    0x006A: 0x6A,       #  LATIN SMALL LETTER J
    0x006B: 0x6B,       #  LATIN SMALL LETTER K
    0x006C: 0x6C,       #  LATIN SMALL LETTER L
    0x006D: 0x6D,       #  LATIN SMALL LETTER M
    0x006E: 0x6E,       #  LATIN SMALL LETTER N
    0x006F: 0x6F,       #  LATIN SMALL LETTER O
    0x0070: 0x70,       #  LATIN SMALL LETTER P
    0x0071: 0x71,       #  LATIN SMALL LETTER Q
    0x0072: 0x72,       #  LATIN SMALL LETTER R
    0x0073: 0x73,       #  LATIN SMALL LETTER S
    0x0074: 0x74,       #  LATIN SMALL LETTER T
    0x0075: 0x75,       #  LATIN SMALL LETTER U
    0x0076: 0x76,       #  LATIN SMALL LETTER V
    0x0077: 0x77,       #  LATIN SMALL LETTER W
    0x0078: 0x78,       #  LATIN SMALL LETTER X
    0x0079: 0x79,       #  LATIN SMALL LETTER Y
    0x007A: 0x7A,       #  LATIN SMALL LETTER Z
    0x007B: 0x7B,       #  LEFT CURLY BRACKET
    0x007C: 0x7C,       #  VERTICAL LINE
    0x007D: 0x7D,       #  RIGHT CURLY BRACKET
    0x007E: 0x7E,       #  TILDE # Apple change from standard Shift-JIS
    0x007F: 0x7F,       #  CONTROL CHARACTER
    0x00A0: 0xA0,       #  NO-BREAK SPACE # Apple addition
    0x00A2: 0x8191,     #  CENT SIGN
    0x00A3: 0x8192,     #  POUND SIGN
    0x00A5: 0x5C,       #  YEN SIGN
    0x00A7: 0x8198,     #  SECTION SIGN
    0x00A8: 0x814E,     #  DIAERESIS
    0x00A9: 0xFD,       #  COPYRIGHT SIGN # Apple addition
    0x00AC: 0x81CA,     #  NOT SIGN
    0x00B0: 0x818B,     #  DEGREE SIGN
    0x00B1: 0x817D,     #  PLUS-MINUS SIGN
    0x00B4: 0x814C,     #  ACUTE ACCENT
    0x00B6: 0x81F7,     #  PILCROW SIGN
    0x00D7: 0x817E,     #  MULTIPLICATION SIGN
    0x00F7: 0x8180,     #  DIVISION SIGN
    0x0391: 0x839F,     #  GREEK CAPITAL LETTER ALPHA
    0x0392: 0x83A0,     #  GREEK CAPITAL LETTER BETA
    0x0393: 0x83A1,     #  GREEK CAPITAL LETTER GAMMA
    0x0394: 0x83A2,     #  GREEK CAPITAL LETTER DELTA
    0x0395: 0x83A3,     #  GREEK CAPITAL LETTER EPSILON
    0x0396: 0x83A4,     #  GREEK CAPITAL LETTER ZETA
    0x0397: 0x83A5,     #  GREEK CAPITAL LETTER ETA
    0x0398: 0x83A6,     #  GREEK CAPITAL LETTER THETA
    0x0399: 0x83A7,     #  GREEK CAPITAL LETTER IOTA
    0x039A: 0x83A8,     #  GREEK CAPITAL LETTER KAPPA
    0x039B: 0x83A9,     #  GREEK CAPITAL LETTER LAMDA
    0x039C: 0x83AA,     #  GREEK CAPITAL LETTER MU
    0x039D: 0x83AB,     #  GREEK CAPITAL LETTER NU
    0x039E: 0x83AC,     #  GREEK CAPITAL LETTER XI
    0x039F: 0x83AD,     #  GREEK CAPITAL LETTER OMICRON
    0x03A0: 0x83AE,     #  GREEK CAPITAL LETTER PI
    0x03A1: 0x83AF,     #  GREEK CAPITAL LETTER RHO
    0x03A3: 0x83B0,     #  GREEK CAPITAL LETTER SIGMA
    0x03A4: 0x83B1,     #  GREEK CAPITAL LETTER TAU
    0x03A5: 0x83B2,     #  GREEK CAPITAL LETTER UPSILON
    0x03A6: 0x83B3,     #  GREEK CAPITAL LETTER PHI
    0x03A7: 0x83B4,     #  GREEK CAPITAL LETTER CHI
    0x03A8: 0x83B5,     #  GREEK CAPITAL LETTER PSI
    0x03A9: 0x83B6,     #  GREEK CAPITAL LETTER OMEGA
    0x03B1: 0x83BF,     #  GREEK SMALL LETTER ALPHA
    0x03B2: 0x83C0,     #  GREEK SMALL LETTER BETA
    0x03B3: 0x83C1,     #  GREEK SMALL LETTER GAMMA
    0x03B4: 0x83C2,     #  GREEK SMALL LETTER DELTA
    0x03B5: 0x83C3,     #  GREEK SMALL LETTER EPSILON
    0x03B6: 0x83C4,     #  GREEK SMALL LETTER ZETA
    0x03B7: 0x83C5,     #  GREEK SMALL LETTER ETA
    0x03B8: 0x83C6,     #  GREEK SMALL LETTER THETA
    0x03B9: 0x83C7,     #  GREEK SMALL LETTER IOTA
    0x03BA: 0x83C8,     #  GREEK SMALL LETTER KAPPA
    0x03BB: 0x83C9,     #  GREEK SMALL LETTER LAMDA
    0x03BC: 0x83CA,     #  GREEK SMALL LETTER MU
    0x03BD: 0x83CB,     #  GREEK SMALL LETTER NU
    0x03BE: 0x83CC,     #  GREEK SMALL LETTER XI
    0x03BF: 0x83CD,     #  GREEK SMALL LETTER OMICRON
    0x03C0: 0x83CE,     #  GREEK SMALL LETTER PI
    0x03C1: 0x83CF,     #  GREEK SMALL LETTER RHO
    0x03C3: 0x83D0,     #  GREEK SMALL LETTER SIGMA
    0x03C4: 0x83D1,     #  GREEK SMALL LETTER TAU
    0x03C5: 0x83D2,     #  GREEK SMALL LETTER UPSILON
    0x03C6: 0x83D3,     #  GREEK SMALL LETTER PHI
    0x03C7: 0x83D4,     #  GREEK SMALL LETTER CHI
    0x03C8: 0x83D5,     #  GREEK SMALL LETTER PSI
    0x03C9: 0x83D6,     #  GREEK SMALL LETTER OMEGA
    0x0401: 0x8446,     #  CYRILLIC CAPITAL LETTER IO
    0x0410: 0x8440,     #  CYRILLIC CAPITAL LETTER A
    0x0411: 0x8441,     #  CYRILLIC CAPITAL LETTER BE
    0x0412: 0x8442,     #  CYRILLIC CAPITAL LETTER VE
    0x0413: 0x8443,     #  CYRILLIC CAPITAL LETTER GHE
    0x0414: 0x8444,     #  CYRILLIC CAPITAL LETTER DE
    0x0415: 0x8445,     #  CYRILLIC CAPITAL LETTER IE
    0x0416: 0x8447,     #  CYRILLIC CAPITAL LETTER ZHE
    0x0417: 0x8448,     #  CYRILLIC CAPITAL LETTER ZE
    0x0418: 0x8449,     #  CYRILLIC CAPITAL LETTER I
    0x0419: 0x844A,     #  CYRILLIC CAPITAL LETTER SHORT I
    0x041A: 0x844B,     #  CYRILLIC CAPITAL LETTER KA
    0x041B: 0x844C,     #  CYRILLIC CAPITAL LETTER EL
    0x041C: 0x844D,     #  CYRILLIC CAPITAL LETTER EM
    0x041D: 0x844E,     #  CYRILLIC CAPITAL LETTER EN
    0x041E: 0x844F,     #  CYRILLIC CAPITAL LETTER O
    0x041F: 0x8450,     #  CYRILLIC CAPITAL LETTER PE
    0x0420: 0x8451,     #  CYRILLIC CAPITAL LETTER ER
    0x0421: 0x8452,     #  CYRILLIC CAPITAL LETTER ES
    0x0422: 0x8453,     #  CYRILLIC CAPITAL LETTER TE
    0x0423: 0x8454,     #  CYRILLIC CAPITAL LETTER U
    0x0424: 0x8455,     #  CYRILLIC CAPITAL LETTER EF
    0x0425: 0x8456,     #  CYRILLIC CAPITAL LETTER HA
    0x0426: 0x8457,     #  CYRILLIC CAPITAL LETTER TSE
    0x0427: 0x8458,     #  CYRILLIC CAPITAL LETTER CHE
    0x0428: 0x8459,     #  CYRILLIC CAPITAL LETTER SHA
    0x0429: 0x845A,     #  CYRILLIC CAPITAL LETTER SHCHA
    0x042A: 0x845B,     #  CYRILLIC CAPITAL LETTER HARD SIGN
    0x042B: 0x845C,     #  CYRILLIC CAPITAL LETTER YERU
    0x042C: 0x845D,     #  CYRILLIC CAPITAL LETTER SOFT SIGN
    0x042D: 0x845E,     #  CYRILLIC CAPITAL LETTER E
    0x042E: 0x845F,     #  CYRILLIC CAPITAL LETTER YU
    0x042F: 0x8460,     #  CYRILLIC CAPITAL LETTER YA
    0x0430: 0x8470,     #  CYRILLIC SMALL LETTER A
    0x0431: 0x8471,     #  CYRILLIC SMALL LETTER BE
    0x0432: 0x8472,     #  CYRILLIC SMALL LETTER VE
    0x0433: 0x8473,     #  CYRILLIC SMALL LETTER GHE
    0x0434: 0x8474,     #  CYRILLIC SMALL LETTER DE
    0x0435: 0x8475,     #  CYRILLIC SMALL LETTER IE
    0x0436: 0x8477,     #  CYRILLIC SMALL LETTER ZHE
    0x0437: 0x8478,     #  CYRILLIC SMALL LETTER ZE
    0x0438: 0x8479,     #  CYRILLIC SMALL LETTER I
    0x0439: 0x847A,     #  CYRILLIC SMALL LETTER SHORT I
    0x043A: 0x847B,     #  CYRILLIC SMALL LETTER KA
    0x043B: 0x847C,     #  CYRILLIC SMALL LETTER EL
    0x043C: 0x847D,     #  CYRILLIC SMALL LETTER EM
    0x043D: 0x847E,     #  CYRILLIC SMALL LETTER EN
    0x043E: 0x8480,     #  CYRILLIC SMALL LETTER O
    0x043F: 0x8481,     #  CYRILLIC SMALL LETTER PE
    0x0440: 0x8482,     #  CYRILLIC SMALL LETTER ER
    0x0441: 0x8483,     #  CYRILLIC SMALL LETTER ES
    0x0442: 0x8484,     #  CYRILLIC SMALL LETTER TE
    0x0443: 0x8485,     #  CYRILLIC SMALL LETTER U
    0x0444: 0x8486,     #  CYRILLIC SMALL LETTER EF
    0x0445: 0x8487,     #  CYRILLIC SMALL LETTER HA
    0x0446: 0x8488,     #  CYRILLIC SMALL LETTER TSE
    0x0447: 0x8489,     #  CYRILLIC SMALL LETTER CHE
    0x0448: 0x848A,     #  CYRILLIC SMALL LETTER SHA
    0x0449: 0x848B,     #  CYRILLIC SMALL LETTER SHCHA
    0x044A: 0x848C,     #  CYRILLIC SMALL LETTER HARD SIGN
    0x044B: 0x848D,     #  CYRILLIC SMALL LETTER YERU
    0x044C: 0x848E,     #  CYRILLIC SMALL LETTER SOFT SIGN
    0x044D: 0x848F,     #  CYRILLIC SMALL LETTER E
    0x044E: 0x8490,     #  CYRILLIC SMALL LETTER YU
    0x044F: 0x8491,     #  CYRILLIC SMALL LETTER YA
    0x0451: 0x8476,     #  CYRILLIC SMALL LETTER IO
    0x2010: 0x815D,     #  HYPHEN
    0x2014: 0x815C,     #  EM DASH # change UTC mapping to match JIS spec
    0x2016: 0x8161,     #  DOUBLE VERTICAL LINE
    0x2018: 0x8165,     #  LEFT SINGLE QUOTATION MARK
    0x2019: 0x8166,     #  RIGHT SINGLE QUOTATION MARK
    0x201C: 0x8167,     #  LEFT DOUBLE QUOTATION MARK
    0x201D: 0x8168,     #  RIGHT DOUBLE QUOTATION MARK
    0x2020: 0x81F5,     #  DAGGER
    0x2021: 0x81F6,     #  DOUBLE DAGGER
    0x2025: 0x8164,     #  TWO DOT LEADER
    0x2026: 0x8163,     #  HORIZONTAL ELLIPSIS
    0x2030: 0x81F1,     #  PER MILLE SIGN
    0x2032: 0x818C,     #  PRIME
    0x2033: 0x818D,     #  DOUBLE PRIME
    0x203B: 0x81A6,     #  REFERENCE MARK
    0x2103: 0x818E,     #  DEGREE CELSIUS
    0x2109: 0x8656,     #  DEGREE FAHRENHEIT
    0x2113: 0x8650,     #  SCRIPT SMALL L
    0x2116: 0x869B,     #  NUMERO SIGN
    0x2121: 0x869D,     #  TELEPHONE SIGN
    0x2122: 0xFE,       #  TRADE MARK SIGN # Apple addition
    0x212B: 0x81F0,     #  ANGSTROM SIGN
    0x2160: 0x859F,     #  ROMAN NUMERAL ONE
    0x2161: 0x85A0,     #  ROMAN NUMERAL TWO
    0x2162: 0x85A1,     #  ROMAN NUMERAL THREE
    0x2163: 0x85A2,     #  ROMAN NUMERAL FOUR
    0x2164: 0x85A3,     #  ROMAN NUMERAL FIVE
    0x2165: 0x85A4,     #  ROMAN NUMERAL SIX
    0x2166: 0x85A5,     #  ROMAN NUMERAL SEVEN
    0x2167: 0x85A6,     #  ROMAN NUMERAL EIGHT
    0x2168: 0x85A7,     #  ROMAN NUMERAL NINE
    0x2169: 0x85A8,     #  ROMAN NUMERAL TEN
    0x216A: 0x85A9,     #  ROMAN NUMERAL ELEVEN
    0x216B: 0x85AA,     #  ROMAN NUMERAL TWELVE
    0x2170: 0x85B3,     #  SMALL ROMAN NUMERAL ONE
    0x2171: 0x85B4,     #  SMALL ROMAN NUMERAL TWO
    0x2172: 0x85B5,     #  SMALL ROMAN NUMERAL THREE
    0x2173: 0x85B6,     #  SMALL ROMAN NUMERAL FOUR
    0x2174: 0x85B7,     #  SMALL ROMAN NUMERAL FIVE
    0x2175: 0x85B8,     #  SMALL ROMAN NUMERAL SIX
    0x2176: 0x85B9,     #  SMALL ROMAN NUMERAL SEVEN
    0x2177: 0x85BA,     #  SMALL ROMAN NUMERAL EIGHT
    0x2178: 0x85BB,     #  SMALL ROMAN NUMERAL NINE
    0x2179: 0x85BC,     #  SMALL ROMAN NUMERAL TEN
    0x217A: 0x85BD,     #  SMALL ROMAN NUMERAL ELEVEN
    0x217B: 0x85BE,     #  SMALL ROMAN NUMERAL TWELVE
    0x2190: 0x81A9,     #  LEFTWARDS ARROW
    0x2191: 0x81AA,     #  UPWARDS ARROW
    0x2192: 0x81A8,     #  RIGHTWARDS ARROW
    0x2193: 0x81AB,     #  DOWNWARDS ARROW
    0x21C4: 0x86CC,     #  RIGHTWARDS ARROW OVER LEFTWARDS ARROW
    0x21C5: 0x86CD,     #  UPWARDS ARROW LEFTWARDS OF DOWNWARDS ARROW
    0x21C6: 0x86CB,     #  LEFTWARDS ARROW OVER RIGHTWARDS ARROW
    0x21D2: 0x81CB,     #  RIGHTWARDS DOUBLE ARROW
    0x21D4: 0x81CC,     #  LEFT RIGHT DOUBLE ARROW
    0x21E6: 0x86D0,     #  LEFTWARDS WHITE ARROW
    0x21E7: 0x86D1,     #  UPWARDS WHITE ARROW
    0x21E8: 0x86CF,     #  RIGHTWARDS WHITE ARROW
    0x21E9: 0x86D2,     #  DOWNWARDS WHITE ARROW
    0x2200: 0x81CD,     #  FOR ALL
    0x2202: 0x81DD,     #  PARTIAL DIFFERENTIAL
    0x2203: 0x81CE,     #  THERE EXISTS
    0x2207: 0x81DE,     #  NABLA
    0x2208: 0x81B8,     #  ELEMENT OF
    0x220B: 0x81B9,     #  CONTAINS AS MEMBER
    0x2212: 0x817C,     #  MINUS SIGN
    0x221A: 0x81E3,     #  SQUARE ROOT
    0x221D: 0x81E5,     #  PROPORTIONAL TO
    0x221E: 0x8187,     #  INFINITY
    0x221F: 0x8841,     #  RIGHT ANGLE
    0x2220: 0x81DA,     #  ANGLE
    0x2227: 0x81C8,     #  LOGICAL AND
    0x2228: 0x81C9,     #  LOGICAL OR
    0x2229: 0x81BF,     #  INTERSECTION
    0x222A: 0x81BE,     #  UNION
    0x222B: 0x81E7,     #  INTEGRAL
    0x222C: 0x81E8,     #  DOUBLE INTEGRAL
    0x222E: 0x8840,     #  CONTOUR INTEGRAL
    0x2234: 0x8188,     #  THEREFORE
    0x2235: 0x81E6,     #  BECAUSE
    0x223D: 0x81E4,     #  REVERSED TILDE # This UTC mapping is questionable
    0x2252: 0x81E0,     #  APPROXIMATELY EQUAL TO OR THE IMAGE OF
    0x2260: 0x8182,     #  NOT EQUAL TO
    0x2261: 0x81DF,     #  IDENTICAL TO
    0x2266: 0x8185,     #  LESS-THAN OVER EQUAL TO
    0x2267: 0x8186,     #  GREATER-THAN OVER EQUAL TO
    0x226A: 0x81E1,     #  MUCH LESS-THAN
    0x226B: 0x81E2,     #  MUCH GREATER-THAN
    0x2282: 0x81BC,     #  SUBSET OF
    0x2283: 0x81BD,     #  SUPERSET OF
    0x2286: 0x81BA,     #  SUBSET OF OR EQUAL TO
    0x2287: 0x81BB,     #  SUPERSET OF OR EQUAL TO
    0x22A5: 0x81DB,     #  UP TACK
    0x22BF: 0x8842,     #  RIGHT TRIANGLE
    0x2312: 0x81DC,     #  ARC
    0x2460: 0x8540,     #  CIRCLED DIGIT ONE
    0x2461: 0x8541,     #  CIRCLED DIGIT TWO
    0x2462: 0x8542,     #  CIRCLED DIGIT THREE
    0x2463: 0x8543,     #  CIRCLED DIGIT FOUR
    0x2464: 0x8544,     #  CIRCLED DIGIT FIVE
    0x2465: 0x8545,     #  CIRCLED DIGIT SIX
    0x2466: 0x8546,     #  CIRCLED DIGIT SEVEN
    0x2467: 0x8547,     #  CIRCLED DIGIT EIGHT
    0x2468: 0x8548,     #  CIRCLED DIGIT NINE
    0x2469: 0x8549,     #  CIRCLED NUMBER TEN
    0x246A: 0x854A,     #  CIRCLED NUMBER ELEVEN
    0x246B: 0x854B,     #  CIRCLED NUMBER TWELVE
    0x246C: 0x854C,     #  CIRCLED NUMBER THIRTEEN
    0x246D: 0x854D,     #  CIRCLED NUMBER FOURTEEN
    0x246E: 0x854E,     #  CIRCLED NUMBER FIFTEEN
    0x246F: 0x854F,     #  CIRCLED NUMBER SIXTEEN
    0x2470: 0x8550,     #  CIRCLED NUMBER SEVENTEEN
    0x2471: 0x8551,     #  CIRCLED NUMBER EIGHTEEN
    0x2472: 0x8552,     #  CIRCLED NUMBER NINETEEN
    0x2473: 0x8553,     #  CIRCLED NUMBER TWENTY
    0x2474: 0x855E,     #  PARENTHESIZED DIGIT ONE
    0x2475: 0x855F,     #  PARENTHESIZED DIGIT TWO
    0x2476: 0x8560,     #  PARENTHESIZED DIGIT THREE
    0x2477: 0x8561,     #  PARENTHESIZED DIGIT FOUR
    0x2478: 0x8562,     #  PARENTHESIZED DIGIT FIVE
    0x2479: 0x8563,     #  PARENTHESIZED DIGIT SIX
    0x247A: 0x8564,     #  PARENTHESIZED DIGIT SEVEN
    0x247B: 0x8565,     #  PARENTHESIZED DIGIT EIGHT
    0x247C: 0x8566,     #  PARENTHESIZED DIGIT NINE
    0x247D: 0x8567,     #  PARENTHESIZED NUMBER TEN
    0x247E: 0x8568,     #  PARENTHESIZED NUMBER ELEVEN
    0x247F: 0x8569,     #  PARENTHESIZED NUMBER TWELVE
    0x2480: 0x856A,     #  PARENTHESIZED NUMBER THIRTEEN
    0x2481: 0x856B,     #  PARENTHESIZED NUMBER FOURTEEN
    0x2482: 0x856C,     #  PARENTHESIZED NUMBER FIFTEEN
    0x2483: 0x856D,     #  PARENTHESIZED NUMBER SIXTEEN
    0x2484: 0x856E,     #  PARENTHESIZED NUMBER SEVENTEEN
    0x2485: 0x856F,     #  PARENTHESIZED NUMBER EIGHTEEN
    0x2486: 0x8570,     #  PARENTHESIZED NUMBER NINETEEN
    0x2487: 0x8571,     #  PARENTHESIZED NUMBER TWENTY
    0x2488: 0x8592,     #  DIGIT ONE FULL STOP
    0x2489: 0x8593,     #  DIGIT TWO FULL STOP
    0x248A: 0x8594,     #  DIGIT THREE FULL STOP
    0x248B: 0x8595,     #  DIGIT FOUR FULL STOP
    0x248C: 0x8596,     #  DIGIT FIVE FULL STOP
    0x248D: 0x8597,     #  DIGIT SIX FULL STOP
    0x248E: 0x8598,     #  DIGIT SEVEN FULL STOP
    0x248F: 0x8599,     #  DIGIT EIGHT FULL STOP
    0x2490: 0x859A,     #  DIGIT NINE FULL STOP
    0x249C: 0x85DB,     #  PARENTHESIZED LATIN SMALL LETTER A
    0x249D: 0x85DC,     #  PARENTHESIZED LATIN SMALL LETTER B
    0x249E: 0x85DD,     #  PARENTHESIZED LATIN SMALL LETTER C
    0x249F: 0x85DE,     #  PARENTHESIZED LATIN SMALL LETTER D
    0x24A0: 0x85DF,     #  PARENTHESIZED LATIN SMALL LETTER E
    0x24A1: 0x85E0,     #  PARENTHESIZED LATIN SMALL LETTER F
    0x24A2: 0x85E1,     #  PARENTHESIZED LATIN SMALL LETTER G
    0x24A3: 0x85E2,     #  PARENTHESIZED LATIN SMALL LETTER H
    0x24A4: 0x85E3,     #  PARENTHESIZED LATIN SMALL LETTER I
    0x24A5: 0x85E4,     #  PARENTHESIZED LATIN SMALL LETTER J
    0x24A6: 0x85E5,     #  PARENTHESIZED LATIN SMALL LETTER K
    0x24A7: 0x85E6,     #  PARENTHESIZED LATIN SMALL LETTER L
    0x24A8: 0x85E7,     #  PARENTHESIZED LATIN SMALL LETTER M
    0x24A9: 0x85E8,     #  PARENTHESIZED LATIN SMALL LETTER N
    0x24AA: 0x85E9,     #  PARENTHESIZED LATIN SMALL LETTER O
    0x24AB: 0x85EA,     #  PARENTHESIZED LATIN SMALL LETTER P
    0x24AC: 0x85EB,     #  PARENTHESIZED LATIN SMALL LETTER Q
    0x24AD: 0x85EC,     #  PARENTHESIZED LATIN SMALL LETTER R
    0x24AE: 0x85ED,     #  PARENTHESIZED LATIN SMALL LETTER S
    0x24AF: 0x85EE,     #  PARENTHESIZED LATIN SMALL LETTER T
    0x24B0: 0x85EF,     #  PARENTHESIZED LATIN SMALL LETTER U
    0x24B1: 0x85F0,     #  PARENTHESIZED LATIN SMALL LETTER V
    0x24B2: 0x85F1,     #  PARENTHESIZED LATIN SMALL LETTER W
    0x24B3: 0x85F2,     #  PARENTHESIZED LATIN SMALL LETTER X
    0x24B4: 0x85F3,     #  PARENTHESIZED LATIN SMALL LETTER Y
    0x24B5: 0x85F4,     #  PARENTHESIZED LATIN SMALL LETTER Z
    0x2500: 0x849F,     #  BOX DRAWINGS LIGHT HORIZONTAL
    0x2501: 0x84AA,     #  BOX DRAWINGS HEAVY HORIZONTAL
    0x2502: 0x84A0,     #  BOX DRAWINGS LIGHT VERTICAL
    0x2503: 0x84AB,     #  BOX DRAWINGS HEAVY VERTICAL
    0x250C: 0x84A1,     #  BOX DRAWINGS LIGHT DOWN AND RIGHT
    0x250F: 0x84AC,     #  BOX DRAWINGS HEAVY DOWN AND RIGHT
    0x2510: 0x84A2,     #  BOX DRAWINGS LIGHT DOWN AND LEFT
    0x2513: 0x84AD,     #  BOX DRAWINGS HEAVY DOWN AND LEFT
    0x2514: 0x84A4,     #  BOX DRAWINGS LIGHT UP AND RIGHT
    0x2517: 0x84AF,     #  BOX DRAWINGS HEAVY UP AND RIGHT
    0x2518: 0x84A3,     #  BOX DRAWINGS LIGHT UP AND LEFT
    0x251B: 0x84AE,     #  BOX DRAWINGS HEAVY UP AND LEFT
    0x251C: 0x84A5,     #  BOX DRAWINGS LIGHT VERTICAL AND RIGHT
    0x251D: 0x84BA,     #  BOX DRAWINGS VERTICAL LIGHT AND RIGHT HEAVY
    0x2520: 0x84B5,     #  BOX DRAWINGS VERTICAL HEAVY AND RIGHT LIGHT
    0x2523: 0x84B0,     #  BOX DRAWINGS HEAVY VERTICAL AND RIGHT
    0x2524: 0x84A7,     #  BOX DRAWINGS LIGHT VERTICAL AND LEFT
    0x2525: 0x84BC,     #  BOX DRAWINGS VERTICAL LIGHT AND LEFT HEAVY
    0x2528: 0x84B7,     #  BOX DRAWINGS VERTICAL HEAVY AND LEFT LIGHT
    0x252B: 0x84B2,     #  BOX DRAWINGS HEAVY VERTICAL AND LEFT
    0x252C: 0x84A6,     #  BOX DRAWINGS LIGHT DOWN AND HORIZONTAL
    0x252F: 0x84B6,     #  BOX DRAWINGS DOWN LIGHT AND HORIZONTAL HEAVY
    0x2530: 0x84BB,     #  BOX DRAWINGS DOWN HEAVY AND HORIZONTAL LIGHT
    0x2533: 0x84B1,     #  BOX DRAWINGS HEAVY DOWN AND HORIZONTAL
    0x2534: 0x84A8,     #  BOX DRAWINGS LIGHT UP AND HORIZONTAL
    0x2537: 0x84B8,     #  BOX DRAWINGS UP LIGHT AND HORIZONTAL HEAVY
    0x2538: 0x84BD,     #  BOX DRAWINGS UP HEAVY AND HORIZONTAL LIGHT
    0x253B: 0x84B3,     #  BOX DRAWINGS HEAVY UP AND HORIZONTAL
    0x253C: 0x84A9,     #  BOX DRAWINGS LIGHT VERTICAL AND HORIZONTAL
    0x253F: 0x84B9,     #  BOX DRAWINGS VERTICAL LIGHT AND HORIZONTAL HEAVY
    0x2542: 0x84BE,     #  BOX DRAWINGS VERTICAL HEAVY AND HORIZONTAL LIGHT
    0x254B: 0x84B4,     #  BOX DRAWINGS HEAVY VERTICAL AND HORIZONTAL
    0x25A0: 0x81A1,     #  BLACK SQUARE
    0x25A1: 0x81A0,     #  WHITE SQUARE
    0x25B2: 0x81A3,     #  BLACK UP-POINTING TRIANGLE
    0x25B3: 0x81A2,     #  WHITE UP-POINTING TRIANGLE
    0x25BC: 0x81A5,     #  BLACK DOWN-POINTING TRIANGLE
    0x25BD: 0x81A4,     #  WHITE DOWN-POINTING TRIANGLE
    0x25C6: 0x819F,     #  BLACK DIAMOND
    0x25C7: 0x819E,     #  WHITE DIAMOND
    0x25CB: 0x819B,     #  WHITE CIRCLE
    0x25CE: 0x819D,     #  BULLSEYE
    0x25CF: 0x819C,     #  BLACK CIRCLE
    0x25EF: 0x81FC,     #  LARGE CIRCLE
    0x2605: 0x819A,     #  BLACK STAR
    0x2606: 0x8199,     #  WHITE STAR
    0x260E: 0x86B4,     #  BLACK TELEPHONE
    0x261C: 0x86C8,     #  WHITE LEFT POINTING INDEX
    0x261D: 0x86C9,     #  WHITE UP POINTING INDEX
    0x261E: 0x86C7,     #  WHITE RIGHT POINTING INDEX
    0x261F: 0x86CA,     #  WHITE DOWN POINTING INDEX
    0x2640: 0x818A,     #  FEMALE SIGN
    0x2642: 0x8189,     #  MALE SIGN
    0x2660: 0x86A3,     #  BLACK SPADE SUIT
    0x2661: 0x86A1,     #  WHITE HEART SUIT
    0x2662: 0x86A2,     #  WHITE DIAMOND SUIT
    0x2663: 0x86A4,     #  BLACK CLUB SUIT
    0x2664: 0x869F,     #  WHITE SPADE SUIT
    0x2665: 0x86A5,     #  BLACK HEART SUIT
    0x2666: 0x86A6,     #  BLACK DIAMOND SUIT
    0x2667: 0x86A0,     #  WHITE CLUB SUIT
    0x266A: 0x81F4,     #  EIGHTH NOTE
    0x266D: 0x81F3,     #  MUSIC FLAT SIGN
    0x266F: 0x81F2,     #  MUSIC SHARP SIGN
    0x2776: 0x857C,     #  DINGBAT NEGATIVE CIRCLED DIGIT ONE
    0x2777: 0x857D,     #  DINGBAT NEGATIVE CIRCLED DIGIT TWO
    0x2778: 0x857E,     #  DINGBAT NEGATIVE CIRCLED DIGIT THREE
    0x2779: 0x8580,     #  DINGBAT NEGATIVE CIRCLED DIGIT FOUR
    0x277A: 0x8581,     #  DINGBAT NEGATIVE CIRCLED DIGIT FIVE
    0x277B: 0x8582,     #  DINGBAT NEGATIVE CIRCLED DIGIT SIX
    0x277C: 0x8583,     #  DINGBAT NEGATIVE CIRCLED DIGIT SEVEN
    0x277D: 0x8584,     #  DINGBAT NEGATIVE CIRCLED DIGIT EIGHT
    0x277E: 0x8585,     #  DINGBAT NEGATIVE CIRCLED DIGIT NINE
    0x3000: 0x8140,     #  IDEOGRAPHIC SPACE
    0x3001: 0x8141,     #  IDEOGRAPHIC COMMA
    0x3002: 0x8142,     #  IDEOGRAPHIC FULL STOP
    0x3003: 0x8156,     #  DITTO MARK
    0x3004: 0x86B5,     #  JAPANESE INDUSTRIAL STANDARD SYMBOL
    0x3005: 0x8158,     #  IDEOGRAPHIC ITERATION MARK
    0x3006: 0x8159,     #  IDEOGRAPHIC CLOSING MARK
    0x3007: 0x815A,     #  IDEOGRAPHIC NUMBER ZERO
    0x3008: 0x8171,     #  LEFT ANGLE BRACKET
    0x3009: 0x8172,     #  RIGHT ANGLE BRACKET
    0x300A: 0x8173,     #  LEFT DOUBLE ANGLE BRACKET
    0x300B: 0x8174,     #  RIGHT DOUBLE ANGLE BRACKET
    0x300C: 0x8175,     #  LEFT CORNER BRACKET
    0x300D: 0x8176,     #  RIGHT CORNER BRACKET
    0x300E: 0x8177,     #  LEFT WHITE CORNER BRACKET
    0x300F: 0x8178,     #  RIGHT WHITE CORNER BRACKET
    0x3010: 0x8179,     #  LEFT BLACK LENTICULAR BRACKET
    0x3011: 0x817A,     #  RIGHT BLACK LENTICULAR BRACKET
    0x3012: 0x81A7,     #  POSTAL MARK
    0x3013: 0x81AC,     #  GETA MARK
    0x3014: 0x816B,     #  LEFT TORTOISE SHELL BRACKET
    0x3015: 0x816C,     #  RIGHT TORTOISE SHELL BRACKET
    0x301C: 0x8160,     #  WAVE DASH
    0x301D: 0x8854,     #  REVERSED DOUBLE PRIME QUOTATION MARK
    0x301F: 0x8855,     #  LOW DOUBLE PRIME QUOTATION MARK
    0x3020: 0x86B3,     #  POSTAL MARK FACE
    0x3041: 0x829F,     #  HIRAGANA LETTER SMALL A
    0x3042: 0x82A0,     #  HIRAGANA LETTER A
    0x3043: 0x82A1,     #  HIRAGANA LETTER SMALL I
    0x3044: 0x82A2,     #  HIRAGANA LETTER I
    0x3045: 0x82A3,     #  HIRAGANA LETTER SMALL U
    0x3046: 0x82A4,     #  HIRAGANA LETTER U
    0x3047: 0x82A5,     #  HIRAGANA LETTER SMALL E
    0x3048: 0x82A6,     #  HIRAGANA LETTER E
    0x3049: 0x82A7,     #  HIRAGANA LETTER SMALL O
    0x304A: 0x82A8,     #  HIRAGANA LETTER O
    0x304B: 0x82A9,     #  HIRAGANA LETTER KA
    0x304C: 0x82AA,     #  HIRAGANA LETTER GA
    0x304D: 0x82AB,     #  HIRAGANA LETTER KI
    0x304E: 0x82AC,     #  HIRAGANA LETTER GI
    0x304F: 0x82AD,     #  HIRAGANA LETTER KU
    0x3050: 0x82AE,     #  HIRAGANA LETTER GU
    0x3051: 0x82AF,     #  HIRAGANA LETTER KE
    0x3052: 0x82B0,     #  HIRAGANA LETTER GE
    0x3053: 0x82B1,     #  HIRAGANA LETTER KO
    0x3054: 0x82B2,     #  HIRAGANA LETTER GO
    0x3055: 0x82B3,     #  HIRAGANA LETTER SA
    0x3056: 0x82B4,     #  HIRAGANA LETTER ZA
    0x3057: 0x82B5,     #  HIRAGANA LETTER SI
    0x3058: 0x82B6,     #  HIRAGANA LETTER ZI
    0x3059: 0x82B7,     #  HIRAGANA LETTER SU
    0x305A: 0x82B8,     #  HIRAGANA LETTER ZU
    0x305B: 0x82B9,     #  HIRAGANA LETTER SE
    0x305C: 0x82BA,     #  HIRAGANA LETTER ZE
    0x305D: 0x82BB,     #  HIRAGANA LETTER SO
    0x305E: 0x82BC,     #  HIRAGANA LETTER ZO
    0x305F: 0x82BD,     #  HIRAGANA LETTER TA
    0x3060: 0x82BE,     #  HIRAGANA LETTER DA
    0x3061: 0x82BF,     #  HIRAGANA LETTER TI
    0x3062: 0x82C0,     #  HIRAGANA LETTER DI
    0x3063: 0x82C1,     #  HIRAGANA LETTER SMALL TU
    0x3064: 0x82C2,     #  HIRAGANA LETTER TU
    0x3065: 0x82C3,     #  HIRAGANA LETTER DU
    0x3066: 0x82C4,     #  HIRAGANA LETTER TE
    0x3067: 0x82C5,     #  HIRAGANA LETTER DE
    0x3068: 0x82C6,     #  HIRAGANA LETTER TO
    0x3069: 0x82C7,     #  HIRAGANA LETTER DO
    0x306A: 0x82C8,     #  HIRAGANA LETTER NA
    0x306B: 0x82C9,     #  HIRAGANA LETTER NI
    0x306C: 0x82CA,     #  HIRAGANA LETTER NU
    0x306D: 0x82CB,     #  HIRAGANA LETTER NE
    0x306E: 0x82CC,     #  HIRAGANA LETTER NO
    0x306F: 0x82CD,     #  HIRAGANA LETTER HA
    0x3070: 0x82CE,     #  HIRAGANA LETTER BA
    0x3071: 0x82CF,     #  HIRAGANA LETTER PA
    0x3072: 0x82D0,     #  HIRAGANA LETTER HI
    0x3073: 0x82D1,     #  HIRAGANA LETTER BI
    0x3074: 0x82D2,     #  HIRAGANA LETTER PI
    0x3075: 0x82D3,     #  HIRAGANA LETTER HU
    0x3076: 0x82D4,     #  HIRAGANA LETTER BU
    0x3077: 0x82D5,     #  HIRAGANA LETTER PU
    0x3078: 0x82D6,     #  HIRAGANA LETTER HE
    0x3079: 0x82D7,     #  HIRAGANA LETTER BE
    0x307A: 0x82D8,     #  HIRAGANA LETTER PE
    0x307B: 0x82D9,     #  HIRAGANA LETTER HO
    0x307C: 0x82DA,     #  HIRAGANA LETTER BO
    0x307D: 0x82DB,     #  HIRAGANA LETTER PO
    0x307E: 0x82DC,     #  HIRAGANA LETTER MA
    0x307F: 0x82DD,     #  HIRAGANA LETTER MI
    0x3080: 0x82DE,     #  HIRAGANA LETTER MU
    0x3081: 0x82DF,     #  HIRAGANA LETTER ME
    0x3082: 0x82E0,     #  HIRAGANA LETTER MO
    0x3083: 0x82E1,     #  HIRAGANA LETTER SMALL YA
    0x3084: 0x82E2,     #  HIRAGANA LETTER YA
    0x3085: 0x82E3,     #  HIRAGANA LETTER SMALL YU
    0x3086: 0x82E4,     #  HIRAGANA LETTER YU
    0x3087: 0x82E5,     #  HIRAGANA LETTER SMALL YO
    0x3088: 0x82E6,     #  HIRAGANA LETTER YO
    0x3089: 0x82E7,     #  HIRAGANA LETTER RA
    0x308A: 0x82E8,     #  HIRAGANA LETTER RI
    0x308B: 0x82E9,     #  HIRAGANA LETTER RU
    0x308C: 0x82EA,     #  HIRAGANA LETTER RE
    0x308D: 0x82EB,     #  HIRAGANA LETTER RO
    0x308E: 0x82EC,     #  HIRAGANA LETTER SMALL WA
    0x308F: 0x82ED,     #  HIRAGANA LETTER WA
    0x3090: 0x82EE,     #  HIRAGANA LETTER WI
    0x3091: 0x82EF,     #  HIRAGANA LETTER WE
    0x3092: 0x82F0,     #  HIRAGANA LETTER WO
    0x3093: 0x82F1,     #  HIRAGANA LETTER N
    0x3094: 0x8868,     #  HIRAGANA LETTER VU
    0x309B: 0x814A,     #  KATAKANA-HIRAGANA VOICED SOUND MARK
    0x309C: 0x814B,     #  KATAKANA-HIRAGANA SEMI-VOICED SOUND MARK
    0x309D: 0x8154,     #  HIRAGANA ITERATION MARK
    0x309E: 0x8155,     #  HIRAGANA VOICED ITERATION MARK
    0x30A1: 0x8340,     #  KATAKANA LETTER SMALL A
    0x30A2: 0x8341,     #  KATAKANA LETTER A
    0x30A3: 0x8342,     #  KATAKANA LETTER SMALL I
    0x30A4: 0x8343,     #  KATAKANA LETTER I
    0x30A5: 0x8344,     #  KATAKANA LETTER SMALL U
    0x30A6: 0x8345,     #  KATAKANA LETTER U
    0x30A7: 0x8346,     #  KATAKANA LETTER SMALL E
    0x30A8: 0x8347,     #  KATAKANA LETTER E
    0x30A9: 0x8348,     #  KATAKANA LETTER SMALL O
    0x30AA: 0x8349,     #  KATAKANA LETTER O
    0x30AB: 0x834A,     #  KATAKANA LETTER KA
    0x30AC: 0x834B,     #  KATAKANA LETTER GA
    0x30AD: 0x834C,     #  KATAKANA LETTER KI
    0x30AE: 0x834D,     #  KATAKANA LETTER GI
    0x30AF: 0x834E,     #  KATAKANA LETTER KU
    0x30B0: 0x834F,     #  KATAKANA LETTER GU
    0x30B1: 0x8350,     #  KATAKANA LETTER KE
    0x30B2: 0x8351,     #  KATAKANA LETTER GE
    0x30B3: 0x8352,     #  KATAKANA LETTER KO
    0x30B4: 0x8353,     #  KATAKANA LETTER GO
    0x30B5: 0x8354,     #  KATAKANA LETTER SA
    0x30B6: 0x8355,     #  KATAKANA LETTER ZA
    0x30B7: 0x8356,     #  KATAKANA LETTER SI
    0x30B8: 0x8357,     #  KATAKANA LETTER ZI
    0x30B9: 0x8358,     #  KATAKANA LETTER SU
    0x30BA: 0x8359,     #  KATAKANA LETTER ZU
    0x30BB: 0x835A,     #  KATAKANA LETTER SE
    0x30BC: 0x835B,     #  KATAKANA LETTER ZE
    0x30BD: 0x835C,     #  KATAKANA LETTER SO
    0x30BE: 0x835D,     #  KATAKANA LETTER ZO
    0x30BF: 0x835E,     #  KATAKANA LETTER TA
    0x30C0: 0x835F,     #  KATAKANA LETTER DA
    0x30C1: 0x8360,     #  KATAKANA LETTER TI
    0x30C2: 0x8361,     #  KATAKANA LETTER DI
    0x30C3: 0x8362,     #  KATAKANA LETTER SMALL TU
    0x30C4: 0x8363,     #  KATAKANA LETTER TU
    0x30C5: 0x8364,     #  KATAKANA LETTER DU
    0x30C6: 0x8365,     #  KATAKANA LETTER TE
    0x30C7: 0x8366,     #  KATAKANA LETTER DE
    0x30C8: 0x8367,     #  KATAKANA LETTER TO
    0x30C9: 0x8368,     #  KATAKANA LETTER DO
    0x30CA: 0x8369,     #  KATAKANA LETTER NA
    0x30CB: 0x836A,     #  KATAKANA LETTER NI
    0x30CC: 0x836B,     #  KATAKANA LETTER NU
    0x30CD: 0x836C,     #  KATAKANA LETTER NE
    0x30CE: 0x836D,     #  KATAKANA LETTER NO
    0x30CF: 0x836E,     #  KATAKANA LETTER HA
    0x30D0: 0x836F,     #  KATAKANA LETTER BA
    0x30D1: 0x8370,     #  KATAKANA LETTER PA
    0x30D2: 0x8371,     #  KATAKANA LETTER HI
    0x30D3: 0x8372,     #  KATAKANA LETTER BI
    0x30D4: 0x8373,     #  KATAKANA LETTER PI
    0x30D5: 0x8374,     #  KATAKANA LETTER HU
    0x30D6: 0x8375,     #  KATAKANA LETTER BU
    0x30D7: 0x8376,     #  KATAKANA LETTER PU
    0x30D8: 0x8377,     #  KATAKANA LETTER HE
    0x30D9: 0x8378,     #  KATAKANA LETTER BE
    0x30DA: 0x8379,     #  KATAKANA LETTER PE
    0x30DB: 0x837A,     #  KATAKANA LETTER HO
    0x30DC: 0x837B,     #  KATAKANA LETTER BO
    0x30DD: 0x837C,     #  KATAKANA LETTER PO
    0x30DE: 0x837D,     #  KATAKANA LETTER MA
    0x30DF: 0x837E,     #  KATAKANA LETTER MI
    0x30E0: 0x8380,     #  KATAKANA LETTER MU
    0x30E1: 0x8381,     #  KATAKANA LETTER ME
    0x30E2: 0x8382,     #  KATAKANA LETTER MO
    0x30E3: 0x8383,     #  KATAKANA LETTER SMALL YA
    0x30E4: 0x8384,     #  KATAKANA LETTER YA
    0x30E5: 0x8385,     #  KATAKANA LETTER SMALL YU
    0x30E6: 0x8386,     #  KATAKANA LETTER YU
    0x30E7: 0x8387,     #  KATAKANA LETTER SMALL YO
    0x30E8: 0x8388,     #  KATAKANA LETTER YO
    0x30E9: 0x8389,     #  KATAKANA LETTER RA
    0x30EA: 0x838A,     #  KATAKANA LETTER RI
    0x30EB: 0x838B,     #  KATAKANA LETTER RU
    0x30EC: 0x838C,     #  KATAKANA LETTER RE
    0x30ED: 0x838D,     #  KATAKANA LETTER RO
    0x30EE: 0x838E,     #  KATAKANA LETTER SMALL WA
    0x30EF: 0x838F,     #  KATAKANA LETTER WA
    0x30F0: 0x8390,     #  KATAKANA LETTER WI
    0x30F1: 0x8391,     #  KATAKANA LETTER WE
    0x30F2: 0x8392,     #  KATAKANA LETTER WO
    0x30F3: 0x8393,     #  KATAKANA LETTER N
    0x30F4: 0x8394,     #  KATAKANA LETTER VU
    0x30F5: 0x8395,     #  KATAKANA LETTER SMALL KA
    0x30F6: 0x8396,     #  KATAKANA LETTER SMALL KE
    0x30F7: 0x886A,     #  KATAKANA LETTER VA
    0x30F8: 0x886B,     #  KATAKANA LETTER VI
    0x30F9: 0x886C,     #  KATAKANA LETTER VE
    0x30FA: 0x886D,     #  KATAKANA LETTER VO
    0x30FB: 0x8145,     #  KATAKANA MIDDLE DOT
    0x30FC: 0x815B,     #  KATAKANA-HIRAGANA PROLONGED SOUND MARK
    0x30FD: 0x8152,     #  KATAKANA ITERATION MARK
    0x30FE: 0x8153,     #  KATAKANA VOICED ITERATION MARK
    0x322A: 0x8741,     #  PARENTHESIZED IDEOGRAPH MOON
    0x322B: 0x8742,     #  PARENTHESIZED IDEOGRAPH FIRE
    0x322C: 0x8743,     #  PARENTHESIZED IDEOGRAPH WATER
    0x322D: 0x8744,     #  PARENTHESIZED IDEOGRAPH WOOD
    0x322E: 0x8745,     #  PARENTHESIZED IDEOGRAPH METAL
    0x322F: 0x8746,     #  PARENTHESIZED IDEOGRAPH EARTH
    0x3230: 0x8740,     #  PARENTHESIZED IDEOGRAPH SUN
    0x3231: 0x874D,     #  PARENTHESIZED IDEOGRAPH STOCK
    0x3232: 0x8750,     #  PARENTHESIZED IDEOGRAPH HAVE
    0x3233: 0x8753,     #  PARENTHESIZED IDEOGRAPH SOCIETY
    0x3234: 0x874F,     #  PARENTHESIZED IDEOGRAPH NAME
    0x3235: 0x8754,     #  PARENTHESIZED IDEOGRAPH SPECIAL
    0x3236: 0x8752,     #  PARENTHESIZED IDEOGRAPH FINANCIAL
    0x3237: 0x8748,     #  PARENTHESIZED IDEOGRAPH CONGRATULATION
    0x3238: 0x8758,     #  PARENTHESIZED IDEOGRAPH LABOR
    0x3239: 0x874B,     #  PARENTHESIZED IDEOGRAPH REPRESENT
    0x323A: 0x874C,     #  PARENTHESIZED IDEOGRAPH CALL
    0x323B: 0x8751,     #  PARENTHESIZED IDEOGRAPH STUDY
    0x323C: 0x8755,     #  PARENTHESIZED IDEOGRAPH SUPERVISE
    0x323D: 0x8756,     #  PARENTHESIZED IDEOGRAPH ENTERPRISE
    0x323E: 0x874E,     #  PARENTHESIZED IDEOGRAPH RESOURCE
    0x323F: 0x8757,     #  PARENTHESIZED IDEOGRAPH ALLIANCE
    0x3240: 0x8747,     #  PARENTHESIZED IDEOGRAPH FESTIVAL
    0x3242: 0x8749,     #  PARENTHESIZED IDEOGRAPH SELF
    0x3243: 0x874A,     #  PARENTHESIZED IDEOGRAPH REACH
    0x3296: 0x8799,     #  CIRCLED IDEOGRAPH FINANCIAL
    0x3298: 0x879B,     #  CIRCLED IDEOGRAPH LABOR
    0x3299: 0x879E,     #  CIRCLED IDEOGRAPH SECRET
    0x329D: 0x879A,     #  CIRCLED IDEOGRAPH EXCELLENT
    0x329E: 0x879C,     #  CIRCLED IDEOGRAPH PRINT
    0x32A4: 0x8793,     #  CIRCLED IDEOGRAPH HIGH
    0x32A5: 0x8794,     #  CIRCLED IDEOGRAPH CENTRE
    0x32A6: 0x8795,     #  CIRCLED IDEOGRAPH LOW
    0x32A7: 0x8796,     #  CIRCLED IDEOGRAPH LEFT
    0x32A8: 0x8797,     #  CIRCLED IDEOGRAPH RIGHT
    0x32A9: 0x8798,     #  CIRCLED IDEOGRAPH MEDICINE
    0x3300: 0x87BD,     #  SQUARE APAATO
    0x3303: 0x87A7,     #  SQUARE AARU
    0x3305: 0x87A4,     #  SQUARE INTI
    0x330D: 0x87B0,     #  SQUARE KARORII
    0x3314: 0x87A2,     #  SQUARE KIRO
    0x3315: 0x87AA,     #  SQUARE KIROGURAMU
    0x3316: 0x87A3,     #  SQUARE KIROMEETORU
    0x3318: 0x87A9,     #  SQUARE GURAMU
    0x331E: 0x87BE,     #  SQUARE KOOPO
    0x3322: 0x87A0,     #  SQUARE SENTI
    0x3323: 0x87B2,     #  SQUARE SENTO
    0x3326: 0x87B3,     #  SQUARE DORU
    0x3327: 0x87AB,     #  SQUARE TON
    0x332A: 0x87BF,     #  SQUARE HAITU
    0x332B: 0x87B5,     #  SQUARE PAASENTO
    0x3331: 0x87C0,     #  SQUARE BIRU
    0x3333: 0x87A5,     #  SQUARE HUIITO
    0x3336: 0x87A8,     #  SQUARE HEKUTAARU
    0x3339: 0x87AE,     #  SQUARE HERUTU
    0x333B: 0x87B4,     #  SQUARE PEEZI
    0x3342: 0x87B1,     #  SQUARE HOON
    0x3347: 0x87C1,     #  SQUARE MANSYON
    0x3349: 0x879F,     #  SQUARE MIRI
    0x334A: 0x87AD,     #  SQUARE MIRIBAARU
    0x334D: 0x87A1,     #  SQUARE MEETORU
    0x334E: 0x87A6,     #  SQUARE YAADO
    0x3351: 0x87AC,     #  SQUARE RITTORU
    0x3357: 0x87AF,     #  SQUARE WATTO
    0x337B: 0x87E8,     #  SQUARE ERA NAME HEISEI
    0x337C: 0x87E7,     #  SQUARE ERA NAME SYOUWA
    0x337D: 0x87E6,     #  SQUARE ERA NAME TAISYOU
    0x337E: 0x87E5,     #  SQUARE ERA NAME MEIZI
    0x337F: 0x87FA,     #  SQUARE CORPORATION
    0x3385: 0x865A,     #  SQUARE KB
    0x3386: 0x865B,     #  SQUARE MB
    0x3387: 0x865C,     #  SQUARE GB
    0x338E: 0x864A,     #  SQUARE MG
    0x338F: 0x864C,     #  SQUARE KG
    0x3390: 0x8659,     #  SQUARE HZ
    0x3396: 0x864E,     #  SQUARE ML
    0x3397: 0x864F,     #  SQUARE DL
    0x3398: 0x8651,     #  SQUARE KL
    0x339C: 0x8640,     #  SQUARE MM
    0x339D: 0x8642,     #  SQUARE CM
    0x339E: 0x8648,     #  SQUARE KM
    0x339F: 0x8641,     #  SQUARE MM SQUARED
    0x33A0: 0x8643,     #  SQUARE CM SQUARED
    0x33A1: 0x8646,     #  SQUARE M SQUARED
    0x33A2: 0x8649,     #  SQUARE KM SQUARED
    0x33A4: 0x8644,     #  SQUARE CM CUBED
    0x33A5: 0x8647,     #  SQUARE M CUBED
    0x33B0: 0x8655,     #  SQUARE PS
    0x33B1: 0x8654,     #  SQUARE NS
    0x33B2: 0x8653,     #  SQUARE MU S
    0x33B3: 0x8652,     #  SQUARE MS
    0x33C4: 0x864D,     #  SQUARE CC
    0x33CB: 0x8658,     #  SQUARE HP
    0x33CD: 0x869C,     #  SQUARE KK
    0x33D4: 0x8657,     #  SQUARE MB SMALL
    0x4E00: 0x88EA,     #  <CJK>
    0x4E01: 0x929A,     #  <CJK>
    0x4E03: 0x8EB5,     #  <CJK>
    0x4E07: 0x969C,     #  <CJK>
    0x4E08: 0x8FE4,     #  <CJK>
    0x4E09: 0x8E4F,     #  <CJK>
    0x4E0A: 0x8FE3,     #  <CJK>
    0x4E0B: 0x89BA,     #  <CJK>
    0x4E0D: 0x9573,     #  <CJK>
    0x4E0E: 0x975E,     #  <CJK>
    0x4E10: 0x98A0,     #  <CJK>
    0x4E11: 0x894E,     #  <CJK>
    0x4E14: 0x8A8E,     #  <CJK>
    0x4E15: 0x98A1,     #  <CJK>
    0x4E16: 0x90A2,     #  <CJK>
    0x4E17: 0x99C0,     #  <CJK>
    0x4E18: 0x8B75,     #  <CJK>
    0x4E19: 0x95B8,     #  <CJK>
    0x4E1E: 0x8FE5,     #  <CJK>
    0x4E21: 0x97BC,     #  <CJK>
    0x4E26: 0x95C0,     #  <CJK>
    0x4E2A: 0x98A2,     #  <CJK>
    0x4E2D: 0x9286,     #  <CJK>
    0x4E31: 0x98A3,     #  <CJK>
    0x4E32: 0x8BF8,     #  <CJK>
    0x4E36: 0x98A4,     #  <CJK>
    0x4E38: 0x8ADB,     #  <CJK>
    0x4E39: 0x924F,     #  <CJK>
    0x4E3B: 0x8EE5,     #  <CJK>
    0x4E3C: 0x98A5,     #  <CJK>
    0x4E3F: 0x98A6,     #  <CJK>
    0x4E42: 0x98A7,     #  <CJK>
    0x4E43: 0x9454,     #  <CJK>
    0x4E45: 0x8B76,     #  <CJK>
    0x4E4B: 0x9456,     #  <CJK>
    0x4E4D: 0x93E1,     #  <CJK>
    0x4E4E: 0x8CC1,     #  <CJK>
    0x4E4F: 0x9652,     #  <CJK>
    0x4E55: 0xE568,     #  <CJK>
    0x4E56: 0x98A8,     #  <CJK>
    0x4E57: 0x8FE6,     #  <CJK>
    0x4E58: 0x98A9,     #  <CJK>
    0x4E59: 0x89B3,     #  <CJK>
    0x4E5D: 0x8BE3,     #  <CJK>
    0x4E5E: 0x8CEE,     #  <CJK>
    0x4E5F: 0x96E7,     #  <CJK>
    0x4E62: 0x9BA4,     #  <CJK>
    0x4E71: 0x9790,     #  <CJK>
    0x4E73: 0x93FB,     #  <CJK>
    0x4E7E: 0x8AA3,     #  <CJK>
    0x4E80: 0x8B54,     #  <CJK>
    0x4E82: 0x98AA,     #  <CJK>
    0x4E85: 0x98AB,     #  <CJK>
    0x4E86: 0x97B9,     #  <CJK>
    0x4E88: 0x975C,     #  <CJK>
    0x4E89: 0x9188,     #  <CJK>
    0x4E8A: 0x98AD,     #  <CJK>
    0x4E8B: 0x8E96,     #  <CJK>
    0x4E8C: 0x93F1,     #  <CJK>
    0x4E8E: 0x98B0,     #  <CJK>
    0x4E91: 0x895D,     #  <CJK>
    0x4E92: 0x8CDD,     #  <CJK>
    0x4E94: 0x8CDC,     #  <CJK>
    0x4E95: 0x88E4,     #  <CJK>
    0x4E98: 0x986A,     #  <CJK>
    0x4E99: 0x9869,     #  <CJK>
    0x4E9B: 0x8DB1,     #  <CJK>
    0x4E9C: 0x889F,     #  <CJK>
    0x4E9E: 0x98B1,     #  <CJK>
    0x4E9F: 0x98B2,     #  <CJK>
    0x4EA0: 0x98B3,     #  <CJK>
    0x4EA1: 0x9653,     #  <CJK>
    0x4EA2: 0x98B4,     #  <CJK>
    0x4EA4: 0x8CF0,     #  <CJK>
    0x4EA5: 0x88E5,     #  <CJK>
    0x4EA6: 0x9692,     #  <CJK>
    0x4EA8: 0x8B9C,     #  <CJK>
    0x4EAB: 0x8B9D,     #  <CJK>
    0x4EAC: 0x8B9E,     #  <CJK>
    0x4EAD: 0x92E0,     #  <CJK>
    0x4EAE: 0x97BA,     #  <CJK>
    0x4EB0: 0x98B5,     #  <CJK>
    0x4EB3: 0x98B6,     #  <CJK>
    0x4EB6: 0x98B7,     #  <CJK>
    0x4EBA: 0x906C,     #  <CJK>
    0x4EC0: 0x8F59,     #  <CJK>
    0x4EC1: 0x906D,     #  <CJK>
    0x4EC2: 0x98BC,     #  <CJK>
    0x4EC4: 0x98BA,     #  <CJK>
    0x4EC6: 0x98BB,     #  <CJK>
    0x4EC7: 0x8B77,     #  <CJK>
    0x4ECA: 0x8DA1,     #  <CJK>
    0x4ECB: 0x89EE,     #  <CJK>
    0x4ECD: 0x98B9,     #  <CJK>
    0x4ECE: 0x98B8,     #  <CJK>
    0x4ECF: 0x95A7,     #  <CJK>
    0x4ED4: 0x8E65,     #  <CJK>
    0x4ED5: 0x8E64,     #  <CJK>
    0x4ED6: 0x91BC,     #  <CJK>
    0x4ED7: 0x98BD,     #  <CJK>
    0x4ED8: 0x9574,     #  <CJK>
    0x4ED9: 0x90E5,     #  <CJK>
    0x4EDD: 0x8157,     #  <CJK>
    0x4EDE: 0x98BE,     #  <CJK>
    0x4EDF: 0x98C0,     #  <CJK>
    0x4EE3: 0x91E3,     #  <CJK>
    0x4EE4: 0x97DF,     #  <CJK>
    0x4EE5: 0x88C8,     #  <CJK>
    0x4EED: 0x98BF,     #  <CJK>
    0x4EEE: 0x89BC,     #  <CJK>
    0x4EF0: 0x8BC2,     #  <CJK>
    0x4EF2: 0x9287,     #  <CJK>
    0x4EF6: 0x8C8F,     #  <CJK>
    0x4EF7: 0x98C1,     #  <CJK>
    0x4EFB: 0x9443,     #  <CJK>
    0x4F01: 0x8AE9,     #  <CJK>
    0x4F09: 0x98C2,     #  <CJK>
    0x4F0A: 0x88C9,     #  <CJK>
    0x4F0D: 0x8CDE,     #  <CJK>
    0x4F0E: 0x8AEA,     #  <CJK>
    0x4F0F: 0x959A,     #  <CJK>
    0x4F10: 0x94B0,     #  <CJK>
    0x4F11: 0x8B78,     #  <CJK>
    0x4F1A: 0x89EF,     #  <CJK>
    0x4F1C: 0x98E5,     #  <CJK>
    0x4F1D: 0x9360,     #  <CJK>
    0x4F2F: 0x948C,     #  <CJK>
    0x4F30: 0x98C4,     #  <CJK>
    0x4F34: 0x94BA,     #  <CJK>
    0x4F36: 0x97E0,     #  <CJK>
    0x4F38: 0x904C,     #  <CJK>
    0x4F3A: 0x8E66,     #  <CJK>
    0x4F3C: 0x8E97,     #  <CJK>
    0x4F3D: 0x89BE,     #  <CJK>
    0x4F43: 0x92CF,     #  <CJK>
    0x4F46: 0x9241,     #  <CJK>
    0x4F47: 0x98C8,     #  <CJK>
    0x4F4D: 0x88CA,     #  <CJK>
    0x4F4E: 0x92E1,     #  <CJK>
    0x4F4F: 0x8F5A,     #  <CJK>
    0x4F50: 0x8DB2,     #  <CJK>
    0x4F51: 0x9743,     #  <CJK>
    0x4F53: 0x91CC,     #  <CJK>
    0x4F55: 0x89BD,     #  <CJK>
    0x4F57: 0x98C7,     #  <CJK>
    0x4F59: 0x975D,     #  <CJK>
    0x4F5A: 0x98C3,     #  <CJK>
    0x4F5B: 0x98C5,     #  <CJK>
    0x4F5C: 0x8DEC,     #  <CJK>
    0x4F5D: 0x98C6,     #  <CJK>
    0x4F5E: 0x9B43,     #  <CJK>
    0x4F69: 0x98CE,     #  <CJK>
    0x4F6F: 0x98D1,     #  <CJK>
    0x4F70: 0x98CF,     #  <CJK>
    0x4F73: 0x89C0,     #  <CJK>
    0x4F75: 0x95B9,     #  <CJK>
    0x4F76: 0x98C9,     #  <CJK>
    0x4F7B: 0x98CD,     #  <CJK>
    0x4F7C: 0x8CF1,     #  <CJK>
    0x4F7F: 0x8E67,     #  <CJK>
    0x4F83: 0x8AA4,     #  <CJK>
    0x4F86: 0x98D2,     #  <CJK>
    0x4F88: 0x98CA,     #  <CJK>
    0x4F8B: 0x97E1,     #  <CJK>
    0x4F8D: 0x8E98,     #  <CJK>
    0x4F8F: 0x98CB,     #  <CJK>
    0x4F91: 0x98D0,     #  <CJK>
    0x4F96: 0x98D3,     #  <CJK>
    0x4F98: 0x98CC,     #  <CJK>
    0x4F9B: 0x8B9F,     #  <CJK>
    0x4F9D: 0x88CB,     #  <CJK>
    0x4FA0: 0x8BA0,     #  <CJK>
    0x4FA1: 0x89BF,     #  <CJK>
    0x4FAB: 0x9B44,     #  <CJK>
    0x4FAD: 0x9699,     #  <CJK>
    0x4FAE: 0x958E,     #  <CJK>
    0x4FAF: 0x8CF2,     #  <CJK>
    0x4FB5: 0x904E,     #  <CJK>
    0x4FB6: 0x97B5,     #  <CJK>
    0x4FBF: 0x95D6,     #  <CJK>
    0x4FC2: 0x8C57,     #  <CJK>
    0x4FC3: 0x91A3,     #  <CJK>
    0x4FC4: 0x89E2,     #  <CJK>
    0x4FCA: 0x8F72,     #  <CJK>
    0x4FCE: 0x98D7,     #  <CJK>
    0x4FD0: 0x98DC,     #  <CJK>
    0x4FD1: 0x98DA,     #  <CJK>
    0x4FD4: 0x98D5,     #  <CJK>
    0x4FD7: 0x91AD,     #  <CJK>
    0x4FD8: 0x98D8,     #  <CJK>
    0x4FDA: 0x98DB,     #  <CJK>
    0x4FDB: 0x98D9,     #  <CJK>
    0x4FDD: 0x95DB,     #  <CJK>
    0x4FDF: 0x98D6,     #  <CJK>
    0x4FE1: 0x904D,     #  <CJK>
    0x4FE3: 0x9693,     #  <CJK>
    0x4FE4: 0x98DD,     #  <CJK>
    0x4FE5: 0x98DE,     #  <CJK>
    0x4FEE: 0x8F43,     #  <CJK>
    0x4FEF: 0x98EB,     #  <CJK>
    0x4FF3: 0x946F,     #  <CJK>
    0x4FF5: 0x9555,     #  <CJK>
    0x4FF6: 0x98E6,     #  <CJK>
    0x4FF8: 0x95EE,     #  <CJK>
    0x4FFA: 0x89B4,     #  <CJK>
    0x4FFE: 0x98EA,     #  <CJK>
    0x5005: 0x98E4,     #  <CJK>
    0x5006: 0x98ED,     #  <CJK>
    0x5009: 0x9171,     #  <CJK>
    0x500B: 0x8CC2,     #  <CJK>
    0x500D: 0x947B,     #  <CJK>
    0x500F: 0xE0C5,     #  <CJK>
    0x5011: 0x98EC,     #  <CJK>
    0x5012: 0x937C,     #  <CJK>
    0x5014: 0x98E1,     #  <CJK>
    0x5016: 0x8CF4,     #  <CJK>
    0x5019: 0x8CF3,     #  <CJK>
    0x501A: 0x98DF,     #  <CJK>
    0x501F: 0x8ED8,     #  <CJK>
    0x5021: 0x98E7,     #  <CJK>
    0x5023: 0x95ED,     #  <CJK>
    0x5024: 0x926C,     #  <CJK>
    0x5025: 0x98E3,     #  <CJK>
    0x5026: 0x8C91,     #  <CJK>
    0x5028: 0x98E0,     #  <CJK>
    0x5029: 0x98E8,     #  <CJK>
    0x502A: 0x98E2,     #  <CJK>
    0x502B: 0x97CF,     #  <CJK>
    0x502C: 0x98E9,     #  <CJK>
    0x502D: 0x9860,     #  <CJK>
    0x5036: 0x8BE4,     #  <CJK>
    0x5039: 0x8C90,     #  <CJK>
    0x5043: 0x98EE,     #  <CJK>
    0x5047: 0x98EF,     #  <CJK>
    0x5048: 0x98F3,     #  <CJK>
    0x5049: 0x88CC,     #  <CJK>
    0x504F: 0x95CE,     #  <CJK>
    0x5050: 0x98F2,     #  <CJK>
    0x5055: 0x98F1,     #  <CJK>
    0x5056: 0x98F5,     #  <CJK>
    0x505A: 0x98F4,     #  <CJK>
    0x505C: 0x92E2,     #  <CJK>
    0x5065: 0x8C92,     #  <CJK>
    0x506C: 0x98F6,     #  <CJK>
    0x5072: 0x8EC3,     #  <CJK>
    0x5074: 0x91A4,     #  <CJK>
    0x5075: 0x92E3,     #  <CJK>
    0x5076: 0x8BF4,     #  <CJK>
    0x5078: 0x98F7,     #  <CJK>
    0x507D: 0x8B55,     #  <CJK>
    0x5080: 0x98F8,     #  <CJK>
    0x5085: 0x98FA,     #  <CJK>
    0x508D: 0x9654,     #  <CJK>
    0x5091: 0x8C86,     #  <CJK>
    0x5098: 0x8E50,     #  <CJK>
    0x5099: 0x94F5,     #  <CJK>
    0x509A: 0x98F9,     #  <CJK>
    0x50AC: 0x8DC3,     #  <CJK>
    0x50AD: 0x9762,     #  <CJK>
    0x50B2: 0x98FC,     #  <CJK>
    0x50B3: 0x9942,     #  <CJK>
    0x50B4: 0x98FB,     #  <CJK>
    0x50B5: 0x8DC2,     #  <CJK>
    0x50B7: 0x8F9D,     #  <CJK>
    0x50BE: 0x8C58,     #  <CJK>
    0x50C2: 0x9943,     #  <CJK>
    0x50C5: 0x8BCD,     #  <CJK>
    0x50C9: 0x9940,     #  <CJK>
    0x50CA: 0x9941,     #  <CJK>
    0x50CD: 0x93AD,     #  <CJK>
    0x50CF: 0x919C,     #  <CJK>
    0x50D1: 0x8BA1,     #  <CJK>
    0x50D5: 0x966C,     #  <CJK>
    0x50D6: 0x9944,     #  <CJK>
    0x50DA: 0x97BB,     #  <CJK>
    0x50DE: 0x9945,     #  <CJK>
    0x50E3: 0x9948,     #  <CJK>
    0x50E5: 0x9946,     #  <CJK>
    0x50E7: 0x916D,     #  <CJK>
    0x50ED: 0x9947,     #  <CJK>
    0x50EE: 0x9949,     #  <CJK>
    0x50F5: 0x994B,     #  <CJK>
    0x50F9: 0x994A,     #  <CJK>
    0x50FB: 0x95C6,     #  <CJK>
    0x5100: 0x8B56,     #  <CJK>
    0x5101: 0x994D,     #  <CJK>
    0x5102: 0x994E,     #  <CJK>
    0x5104: 0x89AD,     #  <CJK>
    0x5109: 0x994C,     #  <CJK>
    0x5112: 0x8EF2,     #  <CJK>
    0x5114: 0x9951,     #  <CJK>
    0x5115: 0x9950,     #  <CJK>
    0x5116: 0x994F,     #  <CJK>
    0x5118: 0x98D4,     #  <CJK>
    0x511A: 0x9952,     #  <CJK>
    0x511F: 0x8F9E,     #  <CJK>
    0x5121: 0x9953,     #  <CJK>
    0x512A: 0x9744,     #  <CJK>
    0x5132: 0x96D7,     #  <CJK>
    0x5137: 0x9955,     #  <CJK>
    0x513A: 0x9954,     #  <CJK>
    0x513B: 0x9957,     #  <CJK>
    0x513C: 0x9956,     #  <CJK>
    0x513F: 0x9958,     #  <CJK>
    0x5140: 0x9959,     #  <CJK>
    0x5141: 0x88F2,     #  <CJK>
    0x5143: 0x8CB3,     #  <CJK>
    0x5144: 0x8C5A,     #  <CJK>
    0x5145: 0x8F5B,     #  <CJK>
    0x5146: 0x929B,     #  <CJK>
    0x5147: 0x8BA2,     #  <CJK>
    0x5148: 0x90E6,     #  <CJK>
    0x5149: 0x8CF5,     #  <CJK>
    0x514B: 0x8D8E,     #  <CJK>
    0x514C: 0x995B,     #  <CJK>
    0x514D: 0x96C6,     #  <CJK>
    0x514E: 0x9365,     #  <CJK>
    0x5150: 0x8E99,     #  <CJK>
    0x5152: 0x995A,     #  <CJK>
    0x5154: 0x995C,     #  <CJK>
    0x515A: 0x937D,     #  <CJK>
    0x515C: 0x8A95,     #  <CJK>
    0x5162: 0x995D,     #  <CJK>
    0x5165: 0x93FC,     #  <CJK>
    0x5168: 0x9153,     #  <CJK>
    0x5169: 0x995F,     #  <CJK>
    0x516A: 0x9960,     #  <CJK>
    0x516B: 0x94AA,     #  <CJK>
    0x516C: 0x8CF6,     #  <CJK>
    0x516D: 0x985A,     #  <CJK>
    0x516E: 0x9961,     #  <CJK>
    0x5171: 0x8BA4,     #  <CJK>
    0x5175: 0x95BA,     #  <CJK>
    0x5176: 0x91B4,     #  <CJK>
    0x5177: 0x8BEF,     #  <CJK>
    0x5178: 0x9354,     #  <CJK>
    0x517C: 0x8C93,     #  <CJK>
    0x5180: 0x9962,     #  <CJK>
    0x5182: 0x9963,     #  <CJK>
    0x5185: 0x93E0,     #  <CJK>
    0x5186: 0x897E,     #  <CJK>
    0x5189: 0x9966,     #  <CJK>
    0x518A: 0x8DFB,     #  <CJK>
    0x518C: 0x9965,     #  <CJK>
    0x518D: 0x8DC4,     #  <CJK>
    0x518F: 0x9967,     #  <CJK>
    0x5190: 0xE3EC,     #  <CJK>
    0x5191: 0x9968,     #  <CJK>
    0x5192: 0x9660,     #  <CJK>
    0x5193: 0x9969,     #  <CJK>
    0x5195: 0x996A,     #  <CJK>
    0x5196: 0x996B,     #  <CJK>
    0x5197: 0x8FE7,     #  <CJK>
    0x5199: 0x8ECA,     #  <CJK>
    0x51A0: 0x8AA5,     #  <CJK>
    0x51A2: 0x996E,     #  <CJK>
    0x51A4: 0x996C,     #  <CJK>
    0x51A5: 0x96BB,     #  <CJK>
    0x51A6: 0x996D,     #  <CJK>
    0x51A8: 0x9579,     #  <CJK>
    0x51A9: 0x996F,     #  <CJK>
    0x51AA: 0x9970,     #  <CJK>
    0x51AB: 0x9971,     #  <CJK>
    0x51AC: 0x937E,     #  <CJK>
    0x51B0: 0x9975,     #  <CJK>
    0x51B1: 0x9973,     #  <CJK>
    0x51B2: 0x9974,     #  <CJK>
    0x51B3: 0x9972,     #  <CJK>
    0x51B4: 0x8DE1,     #  <CJK>
    0x51B5: 0x9976,     #  <CJK>
    0x51B6: 0x96E8,     #  <CJK>
    0x51B7: 0x97E2,     #  <CJK>
    0x51BD: 0x9977,     #  <CJK>
    0x51C4: 0x90A6,     #  <CJK>
    0x51C5: 0x9978,     #  <CJK>
    0x51C6: 0x8F79,     #  <CJK>
    0x51C9: 0x9979,     #  <CJK>
    0x51CB: 0x929C,     #  <CJK>
    0x51CC: 0x97BD,     #  <CJK>
    0x51CD: 0x9380,     #  <CJK>
    0x51D6: 0x99C3,     #  <CJK>
    0x51DB: 0x997A,     #  <CJK>
    0x51DC: 0xEAA3,     #  <CJK>
    0x51DD: 0x8BC3,     #  <CJK>
    0x51E0: 0x997B,     #  <CJK>
    0x51E1: 0x967D,     #  <CJK>
    0x51E6: 0x8F88,     #  <CJK>
    0x51E7: 0x91FA,     #  <CJK>
    0x51E9: 0x997D,     #  <CJK>
    0x51EA: 0x93E2,     #  <CJK>
    0x51ED: 0x997E,     #  <CJK>
    0x51F0: 0x9980,     #  <CJK>
    0x51F1: 0x8A4D,     #  <CJK>
    0x51F5: 0x9981,     #  <CJK>
    0x51F6: 0x8BA5,     #  <CJK>
    0x51F8: 0x93CA,     #  <CJK>
    0x51F9: 0x899A,     #  <CJK>
    0x51FA: 0x8F6F,     #  <CJK>
    0x51FD: 0x949F,     #  <CJK>
    0x51FE: 0x9982,     #  <CJK>
    0x5200: 0x9381,     #  <CJK>
    0x5203: 0x906E,     #  <CJK>
    0x5204: 0x9983,     #  <CJK>
    0x5206: 0x95AA,     #  <CJK>
    0x5207: 0x90D8,     #  <CJK>
    0x5208: 0x8AA0,     #  <CJK>
    0x520A: 0x8AA7,     #  <CJK>
    0x520B: 0x9984,     #  <CJK>
    0x520E: 0x9986,     #  <CJK>
    0x5211: 0x8C59,     #  <CJK>
    0x5214: 0x9985,     #  <CJK>
    0x5217: 0x97F1,     #  <CJK>
    0x521D: 0x8F89,     #  <CJK>
    0x5224: 0x94BB,     #  <CJK>
    0x5225: 0x95CA,     #  <CJK>
    0x5227: 0x9987,     #  <CJK>
    0x5229: 0x9798,     #  <CJK>
    0x522A: 0x9988,     #  <CJK>
    0x522E: 0x9989,     #  <CJK>
    0x5230: 0x939E,     #  <CJK>
    0x5233: 0x998A,     #  <CJK>
    0x5236: 0x90A7,     #  <CJK>
    0x5237: 0x8DFC,     #  <CJK>
    0x5238: 0x8C94,     #  <CJK>
    0x5239: 0x998B,     #  <CJK>
    0x523A: 0x8E68,     #  <CJK>
    0x523B: 0x8D8F,     #  <CJK>
    0x5243: 0x92E4,     #  <CJK>
    0x5244: 0x998D,     #  <CJK>
    0x5247: 0x91A5,     #  <CJK>
    0x524A: 0x8DED,     #  <CJK>
    0x524B: 0x998E,     #  <CJK>
    0x524C: 0x998F,     #  <CJK>
    0x524D: 0x914F,     #  <CJK>
    0x524F: 0x998C,     #  <CJK>
    0x5254: 0x9991,     #  <CJK>
    0x5256: 0x9655,     #  <CJK>
    0x525B: 0x8D84,     #  <CJK>
    0x525E: 0x9990,     #  <CJK>
    0x5263: 0x8C95,     #  <CJK>
    0x5264: 0x8DDC,     #  <CJK>
    0x5265: 0x948D,     #  <CJK>
    0x5269: 0x9994,     #  <CJK>
    0x526A: 0x9992,     #  <CJK>
    0x526F: 0x959B,     #  <CJK>
    0x5270: 0x8FE8,     #  <CJK>
    0x5271: 0x999B,     #  <CJK>
    0x5272: 0x8A84,     #  <CJK>
    0x5273: 0x9995,     #  <CJK>
    0x5274: 0x9993,     #  <CJK>
    0x5275: 0x916E,     #  <CJK>
    0x527D: 0x9997,     #  <CJK>
    0x527F: 0x9996,     #  <CJK>
    0x5283: 0x8A63,     #  <CJK>
    0x5287: 0x8C80,     #  <CJK>
    0x5288: 0x999C,     #  <CJK>
    0x5289: 0x97AB,     #  <CJK>
    0x528D: 0x9998,     #  <CJK>
    0x5291: 0x999D,     #  <CJK>
    0x5292: 0x999A,     #  <CJK>
    0x5294: 0x9999,     #  <CJK>
    0x529B: 0x97CD,     #  <CJK>
    0x529F: 0x8CF7,     #  <CJK>
    0x52A0: 0x89C1,     #  <CJK>
    0x52A3: 0x97F2,     #  <CJK>
    0x52A9: 0x8F95,     #  <CJK>
    0x52AA: 0x9377,     #  <CJK>
    0x52AB: 0x8D85,     #  <CJK>
    0x52AC: 0x99A0,     #  <CJK>
    0x52AD: 0x99A1,     #  <CJK>
    0x52B1: 0x97E3,     #  <CJK>
    0x52B4: 0x984A,     #  <CJK>
    0x52B5: 0x99A3,     #  <CJK>
    0x52B9: 0x8CF8,     #  <CJK>
    0x52BC: 0x99A2,     #  <CJK>
    0x52BE: 0x8A4E,     #  <CJK>
    0x52C1: 0x99A4,     #  <CJK>
    0x52C3: 0x9675,     #  <CJK>
    0x52C5: 0x92BA,     #  <CJK>
    0x52C7: 0x9745,     #  <CJK>
    0x52C9: 0x95D7,     #  <CJK>
    0x52CD: 0x99A5,     #  <CJK>
    0x52D2: 0xE8D3,     #  <CJK>
    0x52D5: 0x93AE,     #  <CJK>
    0x52D7: 0x99A6,     #  <CJK>
    0x52D8: 0x8AA8,     #  <CJK>
    0x52D9: 0x96B1,     #  <CJK>
    0x52DD: 0x8F9F,     #  <CJK>
    0x52DE: 0x99A7,     #  <CJK>
    0x52DF: 0x95E5,     #  <CJK>
    0x52E0: 0x99AB,     #  <CJK>
    0x52E2: 0x90A8,     #  <CJK>
    0x52E3: 0x99A8,     #  <CJK>
    0x52E4: 0x8BCE,     #  <CJK>
    0x52E6: 0x99A9,     #  <CJK>
    0x52E7: 0x8AA9,     #  <CJK>
    0x52F2: 0x8C4D,     #  <CJK>
    0x52F3: 0x99AC,     #  <CJK>
    0x52F5: 0x99AD,     #  <CJK>
    0x52F8: 0x99AE,     #  <CJK>
    0x52F9: 0x99AF,     #  <CJK>
    0x52FA: 0x8ED9,     #  <CJK>
    0x52FE: 0x8CF9,     #  <CJK>
    0x52FF: 0x96DC,     #  <CJK>
    0x5301: 0x96E6,     #  <CJK>
    0x5302: 0x93F5,     #  <CJK>
    0x5305: 0x95EF,     #  <CJK>
    0x5306: 0x99B0,     #  <CJK>
    0x5308: 0x99B1,     #  <CJK>
    0x530D: 0x99B3,     #  <CJK>
    0x530F: 0x99B5,     #  <CJK>
    0x5310: 0x99B4,     #  <CJK>
    0x5315: 0x99B6,     #  <CJK>
    0x5316: 0x89BB,     #  <CJK>
    0x5317: 0x966B,     #  <CJK>
    0x5319: 0x8DFA,     #  <CJK>
    0x531A: 0x99B7,     #  <CJK>
    0x531D: 0x9178,     #  <CJK>
    0x5320: 0x8FA0,     #  <CJK>
    0x5321: 0x8BA7,     #  <CJK>
    0x5323: 0x99B8,     #  <CJK>
    0x532A: 0x94D9,     #  <CJK>
    0x532F: 0x99B9,     #  <CJK>
    0x5331: 0x99BA,     #  <CJK>
    0x5333: 0x99BB,     #  <CJK>
    0x5338: 0x99BC,     #  <CJK>
    0x5339: 0x9543,     #  <CJK>
    0x533A: 0x8BE6,     #  <CJK>
    0x533B: 0x88E3,     #  <CJK>
    0x533F: 0x93BD,     #  <CJK>
    0x5340: 0x99BD,     #  <CJK>
    0x5341: 0x8F5C,     #  <CJK>
    0x5343: 0x90E7,     #  <CJK>
    0x5345: 0x99BF,     #  <CJK>
    0x5346: 0x99BE,     #  <CJK>
    0x5347: 0x8FA1,     #  <CJK>
    0x5348: 0x8CDF,     #  <CJK>
    0x5349: 0x99C1,     #  <CJK>
    0x534A: 0x94BC,     #  <CJK>
    0x534D: 0x99C2,     #  <CJK>
    0x5351: 0x94DA,     #  <CJK>
    0x5352: 0x91B2,     #  <CJK>
    0x5353: 0x91EC,     #  <CJK>
    0x5354: 0x8BA6,     #  <CJK>
    0x5357: 0x93EC,     #  <CJK>
    0x5358: 0x9250,     #  <CJK>
    0x535A: 0x948E,     #  <CJK>
    0x535C: 0x966D,     #  <CJK>
    0x535E: 0x99C4,     #  <CJK>
    0x5360: 0x90E8,     #  <CJK>
    0x5366: 0x8C54,     #  <CJK>
    0x5369: 0x99C5,     #  <CJK>
    0x536E: 0x99C6,     #  <CJK>
    0x536F: 0x894B,     #  <CJK>
    0x5370: 0x88F3,     #  <CJK>
    0x5371: 0x8AEB,     #  <CJK>
    0x5373: 0x91A6,     #  <CJK>
    0x5374: 0x8B70,     #  <CJK>
    0x5375: 0x9791,     #  <CJK>
    0x5377: 0x99C9,     #  <CJK>
    0x5378: 0x89B5,     #  <CJK>
    0x537B: 0x99C8,     #  <CJK>
    0x537F: 0x8BA8,     #  <CJK>
    0x5382: 0x99CA,     #  <CJK>
    0x5384: 0x96EF,     #  <CJK>
    0x5396: 0x99CB,     #  <CJK>
    0x5398: 0x97D0,     #  <CJK>
    0x539A: 0x8CFA,     #  <CJK>
    0x539F: 0x8CB4,     #  <CJK>
    0x53A0: 0x99CC,     #  <CJK>
    0x53A5: 0x99CE,     #  <CJK>
    0x53A6: 0x99CD,     #  <CJK>
    0x53A8: 0x907E,     #  <CJK>
    0x53A9: 0x8958,     #  <CJK>
    0x53AD: 0x897D,     #  <CJK>
    0x53AE: 0x99CF,     #  <CJK>
    0x53B0: 0x99D0,     #  <CJK>
    0x53B3: 0x8CB5,     #  <CJK>
    0x53B6: 0x99D1,     #  <CJK>
    0x53BB: 0x8B8E,     #  <CJK>
    0x53C2: 0x8E51,     #  <CJK>
    0x53C3: 0x99D2,     #  <CJK>
    0x53C8: 0x9694,     #  <CJK>
    0x53C9: 0x8DB3,     #  <CJK>
    0x53CA: 0x8B79,     #  <CJK>
    0x53CB: 0x9746,     #  <CJK>
    0x53CC: 0x916F,     #  <CJK>
    0x53CD: 0x94BD,     #  <CJK>
    0x53CE: 0x8EFB,     #  <CJK>
    0x53D4: 0x8F66,     #  <CJK>
    0x53D6: 0x8EE6,     #  <CJK>
    0x53D7: 0x8EF3,     #  <CJK>
    0x53D9: 0x8F96,     #  <CJK>
    0x53DB: 0x94BE,     #  <CJK>
    0x53DF: 0x99D5,     #  <CJK>
    0x53E1: 0x8962,     #  <CJK>
    0x53E2: 0x9170,     #  <CJK>
    0x53E3: 0x8CFB,     #  <CJK>
    0x53E4: 0x8CC3,     #  <CJK>
    0x53E5: 0x8BE5,     #  <CJK>
    0x53E8: 0x99D9,     #  <CJK>
    0x53E9: 0x9240,     #  <CJK>
    0x53EA: 0x91FC,     #  <CJK>
    0x53EB: 0x8BA9,     #  <CJK>
    0x53EC: 0x8FA2,     #  <CJK>
    0x53ED: 0x99DA,     #  <CJK>
    0x53EE: 0x99D8,     #  <CJK>
    0x53EF: 0x89C2,     #  <CJK>
    0x53F0: 0x91E4,     #  <CJK>
    0x53F1: 0x8EB6,     #  <CJK>
    0x53F2: 0x8E6A,     #  <CJK>
    0x53F3: 0x8945,     #  <CJK>
    0x53F6: 0x8A90,     #  <CJK>
    0x53F7: 0x8D86,     #  <CJK>
    0x53F8: 0x8E69,     #  <CJK>
    0x53FA: 0x99DB,     #  <CJK>
    0x5401: 0x99DC,     #  <CJK>
    0x5403: 0x8B68,     #  <CJK>
    0x5404: 0x8A65,     #  <CJK>
    0x5408: 0x8D87,     #  <CJK>
    0x5409: 0x8B67,     #  <CJK>
    0x540A: 0x92DD,     #  <CJK>
    0x540B: 0x8944,     #  <CJK>
    0x540C: 0x93AF,     #  <CJK>
    0x540D: 0x96BC,     #  <CJK>
    0x540E: 0x8D40,     #  <CJK>
    0x540F: 0x9799,     #  <CJK>
    0x5410: 0x9366,     #  <CJK>
    0x5411: 0x8CFC,     #  <CJK>
    0x541B: 0x8C4E,     #  <CJK>
    0x541D: 0x99E5,     #  <CJK>
    0x541F: 0x8BE1,     #  <CJK>
    0x5420: 0x9669,     #  <CJK>
    0x5426: 0x94DB,     #  <CJK>
    0x5429: 0x99E4,     #  <CJK>
    0x542B: 0x8ADC,     #  <CJK>
    0x542C: 0x99DF,     #  <CJK>
    0x542D: 0x99E0,     #  <CJK>
    0x542E: 0x99E2,     #  <CJK>
    0x5436: 0x99E3,     #  <CJK>
    0x5438: 0x8B7A,     #  <CJK>
    0x5439: 0x9081,     #  <CJK>
    0x543B: 0x95AB,     #  <CJK>
    0x543C: 0x99E1,     #  <CJK>
    0x543D: 0x99DD,     #  <CJK>
    0x543E: 0x8CE1,     #  <CJK>
    0x5440: 0x99DE,     #  <CJK>
    0x5442: 0x9843,     #  <CJK>
    0x5446: 0x95F0,     #  <CJK>
    0x5448: 0x92E6,     #  <CJK>
    0x5449: 0x8CE0,     #  <CJK>
    0x544A: 0x8D90,     #  <CJK>
    0x544E: 0x99E6,     #  <CJK>
    0x5451: 0x93DB,     #  <CJK>
    0x545F: 0x99EA,     #  <CJK>
    0x5468: 0x8EFC,     #  <CJK>
    0x546A: 0x8EF4,     #  <CJK>
    0x5470: 0x99ED,     #  <CJK>
    0x5471: 0x99EB,     #  <CJK>
    0x5473: 0x96A1,     #  <CJK>
    0x5475: 0x99E8,     #  <CJK>
    0x5476: 0x99F1,     #  <CJK>
    0x5477: 0x99EC,     #  <CJK>
    0x547B: 0x99EF,     #  <CJK>
    0x547C: 0x8CC4,     #  <CJK>
    0x547D: 0x96BD,     #  <CJK>
    0x5480: 0x99F0,     #  <CJK>
    0x5484: 0x99F2,     #  <CJK>
    0x5486: 0x99F4,     #  <CJK>
    0x548B: 0x8DEE,     #  <CJK>
    0x548C: 0x9861,     #  <CJK>
    0x548E: 0x99E9,     #  <CJK>
    0x548F: 0x99E7,     #  <CJK>
    0x5490: 0x99F3,     #  <CJK>
    0x5492: 0x99EE,     #  <CJK>
    0x54A2: 0x99F6,     #  <CJK>
    0x54A4: 0x9A42,     #  <CJK>
    0x54A5: 0x99F8,     #  <CJK>
    0x54A8: 0x99FC,     #  <CJK>
    0x54AB: 0x9A40,     #  <CJK>
    0x54AC: 0x99F9,     #  <CJK>
    0x54AF: 0x9A5D,     #  <CJK>
    0x54B2: 0x8DE7,     #  <CJK>
    0x54B3: 0x8A50,     #  <CJK>
    0x54B8: 0x99F7,     #  <CJK>
    0x54BC: 0x9A44,     #  <CJK>
    0x54BD: 0x88F4,     #  <CJK>
    0x54BE: 0x9A43,     #  <CJK>
    0x54C0: 0x88A3,     #  <CJK>
    0x54C1: 0x9569,     #  <CJK>
    0x54C2: 0x9A41,     #  <CJK>
    0x54C4: 0x99FA,     #  <CJK>
    0x54C7: 0x99F5,     #  <CJK>
    0x54C8: 0x99FB,     #  <CJK>
    0x54C9: 0x8DC6,     #  <CJK>
    0x54D8: 0x9A45,     #  <CJK>
    0x54E1: 0x88F5,     #  <CJK>
    0x54E2: 0x9A4E,     #  <CJK>
    0x54E5: 0x9A46,     #  <CJK>
    0x54E6: 0x9A47,     #  <CJK>
    0x54E8: 0x8FA3,     #  <CJK>
    0x54E9: 0x9689,     #  <CJK>
    0x54ED: 0x9A4C,     #  <CJK>
    0x54EE: 0x9A4B,     #  <CJK>
    0x54F2: 0x934E,     #  <CJK>
    0x54FA: 0x9A4D,     #  <CJK>
    0x54FD: 0x9A4A,     #  <CJK>
    0x5504: 0x8953,     #  <CJK>
    0x5506: 0x8DB4,     #  <CJK>
    0x5507: 0x904F,     #  <CJK>
    0x550F: 0x9A48,     #  <CJK>
    0x5510: 0x9382,     #  <CJK>
    0x5514: 0x9A49,     #  <CJK>
    0x5516: 0x88A0,     #  <CJK>
    0x552E: 0x9A53,     #  <CJK>
    0x552F: 0x9742,     #  <CJK>
    0x5531: 0x8FA5,     #  <CJK>
    0x5533: 0x9A59,     #  <CJK>
    0x5538: 0x9A58,     #  <CJK>
    0x5539: 0x9A4F,     #  <CJK>
    0x553E: 0x91C1,     #  <CJK>
    0x5540: 0x9A50,     #  <CJK>
    0x5544: 0x91ED,     #  <CJK>
    0x5545: 0x9A55,     #  <CJK>
    0x5546: 0x8FA4,     #  <CJK>
    0x554C: 0x9A52,     #  <CJK>
    0x554F: 0x96E2,     #  <CJK>
    0x5553: 0x8C5B,     #  <CJK>
    0x5556: 0x9A56,     #  <CJK>
    0x5557: 0x9A57,     #  <CJK>
    0x555C: 0x9A54,     #  <CJK>
    0x555D: 0x9A5A,     #  <CJK>
    0x5563: 0x9A51,     #  <CJK>
    0x557B: 0x9A60,     #  <CJK>
    0x557C: 0x9A65,     #  <CJK>
    0x557E: 0x9A61,     #  <CJK>
    0x5580: 0x9A5C,     #  <CJK>
    0x5583: 0x9A66,     #  <CJK>
    0x5584: 0x9150,     #  <CJK>
    0x5587: 0x9A68,     #  <CJK>
    0x5589: 0x8D41,     #  <CJK>
    0x558A: 0x9A5E,     #  <CJK>
    0x558B: 0x929D,     #  <CJK>
    0x5598: 0x9A62,     #  <CJK>
    0x5599: 0x9A5B,     #  <CJK>
    0x559A: 0x8AAB,     #  <CJK>
    0x559C: 0x8AEC,     #  <CJK>
    0x559D: 0x8A85,     #  <CJK>
    0x559E: 0x9A63,     #  <CJK>
    0x559F: 0x9A5F,     #  <CJK>
    0x55A7: 0x8C96,     #  <CJK>
    0x55A8: 0x9A69,     #  <CJK>
    0x55A9: 0x9A67,     #  <CJK>
    0x55AA: 0x9172,     #  <CJK>
    0x55AB: 0x8B69,     #  <CJK>
    0x55AC: 0x8BAA,     #  <CJK>
    0x55AE: 0x9A64,     #  <CJK>
    0x55B0: 0x8BF2,     #  <CJK>
    0x55B6: 0x8963,     #  <CJK>
    0x55C4: 0x9A6D,     #  <CJK>
    0x55C5: 0x9A6B,     #  <CJK>
    0x55C7: 0x9AA5,     #  <CJK>
    0x55D4: 0x9A70,     #  <CJK>
    0x55DA: 0x9A6A,     #  <CJK>
    0x55DC: 0x9A6E,     #  <CJK>
    0x55DF: 0x9A6C,     #  <CJK>
    0x55E3: 0x8E6B,     #  <CJK>
    0x55E4: 0x9A6F,     #  <CJK>
    0x55F7: 0x9A72,     #  <CJK>
    0x55F9: 0x9A77,     #  <CJK>
    0x55FD: 0x9A75,     #  <CJK>
    0x55FE: 0x9A74,     #  <CJK>
    0x5606: 0x9251,     #  <CJK>
    0x5609: 0x89C3,     #  <CJK>
    0x5614: 0x9A71,     #  <CJK>
    0x5616: 0x9A73,     #  <CJK>
    0x5617: 0x8FA6,     #  <CJK>
    0x5618: 0x8952,     #  <CJK>
    0x561B: 0x9A76,     #  <CJK>
    0x5629: 0x89DC,     #  <CJK>
    0x562F: 0x9A82,     #  <CJK>
    0x5631: 0x8FFA,     #  <CJK>
    0x5632: 0x9A7D,     #  <CJK>
    0x5634: 0x9A7B,     #  <CJK>
    0x5636: 0x9A7C,     #  <CJK>
    0x5638: 0x9A7E,     #  <CJK>
    0x5642: 0x895C,     #  <CJK>
    0x564C: 0x9158,     #  <CJK>
    0x564E: 0x9A78,     #  <CJK>
    0x5650: 0x9A79,     #  <CJK>
    0x565B: 0x8A9A,     #  <CJK>
    0x5664: 0x9A81,     #  <CJK>
    0x5668: 0x8AED,     #  <CJK>
    0x566A: 0x9A84,     #  <CJK>
    0x566B: 0x9A80,     #  <CJK>
    0x566C: 0x9A83,     #  <CJK>
    0x5674: 0x95AC,     #  <CJK>
    0x5678: 0x93D3,     #  <CJK>
    0x567A: 0x94B6,     #  <CJK>
    0x5680: 0x9A86,     #  <CJK>
    0x5686: 0x9A85,     #  <CJK>
    0x5687: 0x8A64,     #  <CJK>
    0x568A: 0x9A87,     #  <CJK>
    0x568F: 0x9A8A,     #  <CJK>
    0x5694: 0x9A89,     #  <CJK>
    0x56A0: 0x9A88,     #  <CJK>
    0x56A2: 0x9458,     #  <CJK>
    0x56A5: 0x9A8B,     #  <CJK>
    0x56AE: 0x9A8C,     #  <CJK>
    0x56B4: 0x9A8E,     #  <CJK>
    0x56B6: 0x9A8D,     #  <CJK>
    0x56BC: 0x9A90,     #  <CJK>
    0x56C0: 0x9A93,     #  <CJK>
    0x56C1: 0x9A91,     #  <CJK>
    0x56C2: 0x9A8F,     #  <CJK>
    0x56C3: 0x9A92,     #  <CJK>
    0x56C8: 0x9A94,     #  <CJK>
    0x56CE: 0x9A95,     #  <CJK>
    0x56D1: 0x9A96,     #  <CJK>
    0x56D3: 0x9A97,     #  <CJK>
    0x56D7: 0x9A98,     #  <CJK>
    0x56D8: 0x9964,     #  <CJK>
    0x56DA: 0x8EFA,     #  <CJK>
    0x56DB: 0x8E6C,     #  <CJK>
    0x56DE: 0x89F1,     #  <CJK>
    0x56E0: 0x88F6,     #  <CJK>
    0x56E3: 0x9263,     #  <CJK>
    0x56EE: 0x9A99,     #  <CJK>
    0x56F0: 0x8DA2,     #  <CJK>
    0x56F2: 0x88CD,     #  <CJK>
    0x56F3: 0x907D,     #  <CJK>
    0x56F9: 0x9A9A,     #  <CJK>
    0x56FA: 0x8CC5,     #  <CJK>
    0x56FD: 0x8D91,     #  <CJK>
    0x56FF: 0x9A9C,     #  <CJK>
    0x5700: 0x9A9B,     #  <CJK>
    0x5703: 0x95DE,     #  <CJK>
    0x5704: 0x9A9D,     #  <CJK>
    0x5708: 0x9A9F,     #  <CJK>
    0x5709: 0x9A9E,     #  <CJK>
    0x570B: 0x9AA0,     #  <CJK>
    0x570D: 0x9AA1,     #  <CJK>
    0x570F: 0x8C97,     #  <CJK>
    0x5712: 0x8980,     #  <CJK>
    0x5713: 0x9AA2,     #  <CJK>
    0x5716: 0x9AA4,     #  <CJK>
    0x5718: 0x9AA3,     #  <CJK>
    0x571C: 0x9AA6,     #  <CJK>
    0x571F: 0x9379,     #  <CJK>
    0x5726: 0x9AA7,     #  <CJK>
    0x5727: 0x88B3,     #  <CJK>
    0x5728: 0x8DDD,     #  <CJK>
    0x572D: 0x8C5C,     #  <CJK>
    0x5730: 0x926E,     #  <CJK>
    0x5737: 0x9AA8,     #  <CJK>
    0x5738: 0x9AA9,     #  <CJK>
    0x573B: 0x9AAB,     #  <CJK>
    0x5740: 0x9AAC,     #  <CJK>
    0x5742: 0x8DE2,     #  <CJK>
    0x5747: 0x8BCF,     #  <CJK>
    0x574A: 0x9656,     #  <CJK>
    0x574E: 0x9AAA,     #  <CJK>
    0x574F: 0x9AAD,     #  <CJK>
    0x5750: 0x8DBF,     #  <CJK>
    0x5751: 0x8D42,     #  <CJK>
    0x5761: 0x9AB1,     #  <CJK>
    0x5764: 0x8DA3,     #  <CJK>
    0x5766: 0x9252,     #  <CJK>
    0x5769: 0x9AAE,     #  <CJK>
    0x576A: 0x92D8,     #  <CJK>
    0x577F: 0x9AB2,     #  <CJK>
    0x5782: 0x9082,     #  <CJK>
    0x5788: 0x9AB0,     #  <CJK>
    0x5789: 0x9AB3,     #  <CJK>
    0x578B: 0x8C5E,     #  <CJK>
    0x5793: 0x9AB4,     #  <CJK>
    0x57A0: 0x9AB5,     #  <CJK>
    0x57A2: 0x8D43,     #  <CJK>
    0x57A3: 0x8A5F,     #  <CJK>
    0x57A4: 0x9AB7,     #  <CJK>
    0x57AA: 0x9AB8,     #  <CJK>
    0x57B0: 0x9AB9,     #  <CJK>
    0x57B3: 0x9AB6,     #  <CJK>
    0x57C0: 0x9AAF,     #  <CJK>
    0x57C3: 0x9ABA,     #  <CJK>
    0x57C6: 0x9ABB,     #  <CJK>
    0x57CB: 0x9684,     #  <CJK>
    0x57CE: 0x8FE9,     #  <CJK>
    0x57D2: 0x9ABD,     #  <CJK>
    0x57D3: 0x9ABE,     #  <CJK>
    0x57D4: 0x9ABC,     #  <CJK>
    0x57D6: 0x9AC0,     #  <CJK>
    0x57DC: 0x9457,     #  <CJK>
    0x57DF: 0x88E6,     #  <CJK>
    0x57E0: 0x9575,     #  <CJK>
    0x57E3: 0x9AC1,     #  <CJK>
    0x57F4: 0x8FFB,     #  <CJK>
    0x57F7: 0x8EB7,     #  <CJK>
    0x57F9: 0x947C,     #  <CJK>
    0x57FA: 0x8AEE,     #  <CJK>
    0x57FC: 0x8DE9,     #  <CJK>
    0x5800: 0x9678,     #  <CJK>
    0x5802: 0x93B0,     #  <CJK>
    0x5805: 0x8C98,     #  <CJK>
    0x5806: 0x91CD,     #  <CJK>
    0x580A: 0x9ABF,     #  <CJK>
    0x580B: 0x9AC2,     #  <CJK>
    0x5815: 0x91C2,     #  <CJK>
    0x5819: 0x9AC3,     #  <CJK>
    0x581D: 0x9AC4,     #  <CJK>
    0x5821: 0x9AC6,     #  <CJK>
    0x5824: 0x92E7,     #  <CJK>
    0x582A: 0x8AAC,     #  <CJK>
    0x582F: 0xEA9F,     #  <CJK>
    0x5830: 0x8981,     #  <CJK>
    0x5831: 0x95F1,     #  <CJK>
    0x5834: 0x8FEA,     #  <CJK>
    0x5835: 0x9367,     #  <CJK>
    0x583A: 0x8DE4,     #  <CJK>
    0x583D: 0x9ACC,     #  <CJK>
    0x5840: 0x95BB,     #  <CJK>
    0x5841: 0x97DB,     #  <CJK>
    0x584A: 0x89F2,     #  <CJK>
    0x584B: 0x9AC8,     #  <CJK>
    0x5851: 0x9159,     #  <CJK>
    0x5852: 0x9ACB,     #  <CJK>
    0x5854: 0x9383,     #  <CJK>
    0x5857: 0x9368,     #  <CJK>
    0x5858: 0x9384,     #  <CJK>
    0x5859: 0x94B7,     #  <CJK>
    0x585A: 0x92CB,     #  <CJK>
    0x585E: 0x8DC7,     #  <CJK>
    0x5862: 0x9AC7,     #  <CJK>
    0x5869: 0x8996,     #  <CJK>
    0x586B: 0x9355,     #  <CJK>
    0x5870: 0x9AC9,     #  <CJK>
    0x5872: 0x9AC5,     #  <CJK>
    0x5875: 0x906F,     #  <CJK>
    0x5879: 0x9ACD,     #  <CJK>
    0x587E: 0x8F6D,     #  <CJK>
    0x5883: 0x8BAB,     #  <CJK>
    0x5885: 0x9ACE,     #  <CJK>
    0x5893: 0x95E6,     #  <CJK>
    0x5897: 0x919D,     #  <CJK>
    0x589C: 0x92C4,     #  <CJK>
    0x589F: 0x9AD0,     #  <CJK>
    0x58A8: 0x966E,     #  <CJK>
    0x58AB: 0x9AD1,     #  <CJK>
    0x58AE: 0x9AD6,     #  <CJK>
    0x58B3: 0x95AD,     #  <CJK>
    0x58B8: 0x9AD5,     #  <CJK>
    0x58B9: 0x9ACF,     #  <CJK>
    0x58BA: 0x9AD2,     #  <CJK>
    0x58BB: 0x9AD4,     #  <CJK>
    0x58BE: 0x8DA4,     #  <CJK>
    0x58C1: 0x95C7,     #  <CJK>
    0x58C5: 0x9AD7,     #  <CJK>
    0x58C7: 0x9264,     #  <CJK>
    0x58CA: 0x89F3,     #  <CJK>
    0x58CC: 0x8FEB,     #  <CJK>
    0x58D1: 0x9AD9,     #  <CJK>
    0x58D3: 0x9AD8,     #  <CJK>
    0x58D5: 0x8D88,     #  <CJK>
    0x58D7: 0x9ADA,     #  <CJK>
    0x58D8: 0x9ADC,     #  <CJK>
    0x58D9: 0x9ADB,     #  <CJK>
    0x58DC: 0x9ADE,     #  <CJK>
    0x58DE: 0x9AD3,     #  <CJK>
    0x58DF: 0x9AE0,     #  <CJK>
    0x58E4: 0x9ADF,     #  <CJK>
    0x58E5: 0x9ADD,     #  <CJK>
    0x58EB: 0x8E6D,     #  <CJK>
    0x58EC: 0x9070,     #  <CJK>
    0x58EE: 0x9173,     #  <CJK>
    0x58EF: 0x9AE1,     #  <CJK>
    0x58F0: 0x90BA,     #  <CJK>
    0x58F1: 0x88EB,     #  <CJK>
    0x58F2: 0x9484,     #  <CJK>
    0x58F7: 0x92D9,     #  <CJK>
    0x58F9: 0x9AE3,     #  <CJK>
    0x58FA: 0x9AE2,     #  <CJK>
    0x58FB: 0x9AE4,     #  <CJK>
    0x58FC: 0x9AE5,     #  <CJK>
    0x58FD: 0x9AE6,     #  <CJK>
    0x5902: 0x9AE7,     #  <CJK>
    0x5909: 0x95CF,     #  <CJK>
    0x590A: 0x9AE8,     #  <CJK>
    0x590F: 0x89C4,     #  <CJK>
    0x5910: 0x9AE9,     #  <CJK>
    0x5915: 0x975B,     #  <CJK>
    0x5916: 0x8A4F,     #  <CJK>
    0x5918: 0x99C7,     #  <CJK>
    0x5919: 0x8F67,     #  <CJK>
    0x591A: 0x91BD,     #  <CJK>
    0x591B: 0x9AEA,     #  <CJK>
    0x591C: 0x96E9,     #  <CJK>
    0x5922: 0x96B2,     #  <CJK>
    0x5925: 0x9AEC,     #  <CJK>
    0x5927: 0x91E5,     #  <CJK>
    0x5929: 0x9356,     #  <CJK>
    0x592A: 0x91BE,     #  <CJK>
    0x592B: 0x9576,     #  <CJK>
    0x592C: 0x9AED,     #  <CJK>
    0x592D: 0x9AEE,     #  <CJK>
    0x592E: 0x899B,     #  <CJK>
    0x5931: 0x8EB8,     #  <CJK>
    0x5932: 0x9AEF,     #  <CJK>
    0x5937: 0x88CE,     #  <CJK>
    0x5938: 0x9AF0,     #  <CJK>
    0x593E: 0x9AF1,     #  <CJK>
    0x5944: 0x8982,     #  <CJK>
    0x5947: 0x8AEF,     #  <CJK>
    0x5948: 0x93DE,     #  <CJK>
    0x5949: 0x95F2,     #  <CJK>
    0x594E: 0x9AF5,     #  <CJK>
    0x594F: 0x9174,     #  <CJK>
    0x5950: 0x9AF4,     #  <CJK>
    0x5951: 0x8C5F,     #  <CJK>
    0x5954: 0x967A,     #  <CJK>
    0x5955: 0x9AF3,     #  <CJK>
    0x5957: 0x9385,     #  <CJK>
    0x5958: 0x9AF7,     #  <CJK>
    0x595A: 0x9AF6,     #  <CJK>
    0x5960: 0x9AF9,     #  <CJK>
    0x5962: 0x9AF8,     #  <CJK>
    0x5965: 0x899C,     #  <CJK>
    0x5967: 0x9AFA,     #  <CJK>
    0x5968: 0x8FA7,     #  <CJK>
    0x5969: 0x9AFC,     #  <CJK>
    0x596A: 0x9244,     #  <CJK>
    0x596C: 0x9AFB,     #  <CJK>
    0x596E: 0x95B1,     #  <CJK>
    0x5973: 0x8F97,     #  <CJK>
    0x5974: 0x937A,     #  <CJK>
    0x5978: 0x9B40,     #  <CJK>
    0x597D: 0x8D44,     #  <CJK>
    0x5981: 0x9B41,     #  <CJK>
    0x5982: 0x9440,     #  <CJK>
    0x5983: 0x94DC,     #  <CJK>
    0x5984: 0x96CF,     #  <CJK>
    0x598A: 0x9444,     #  <CJK>
    0x598D: 0x9B4A,     #  <CJK>
    0x5993: 0x8B57,     #  <CJK>
    0x5996: 0x9764,     #  <CJK>
    0x5999: 0x96AD,     #  <CJK>
    0x599B: 0x9BAA,     #  <CJK>
    0x599D: 0x9B42,     #  <CJK>
    0x59A3: 0x9B45,     #  <CJK>
    0x59A5: 0x91C3,     #  <CJK>
    0x59A8: 0x9657,     #  <CJK>
    0x59AC: 0x9369,     #  <CJK>
    0x59B2: 0x9B46,     #  <CJK>
    0x59B9: 0x9685,     #  <CJK>
    0x59BB: 0x8DC8,     #  <CJK>
    0x59BE: 0x8FA8,     #  <CJK>
    0x59C6: 0x9B47,     #  <CJK>
    0x59C9: 0x8E6F,     #  <CJK>
    0x59CB: 0x8E6E,     #  <CJK>
    0x59D0: 0x88B7,     #  <CJK>
    0x59D1: 0x8CC6,     #  <CJK>
    0x59D3: 0x90A9,     #  <CJK>
    0x59D4: 0x88CF,     #  <CJK>
    0x59D9: 0x9B4B,     #  <CJK>
    0x59DA: 0x9B4C,     #  <CJK>
    0x59DC: 0x9B49,     #  <CJK>
    0x59E5: 0x8957,     #  <CJK>
    0x59E6: 0x8AAD,     #  <CJK>
    0x59E8: 0x9B48,     #  <CJK>
    0x59EA: 0x96C3,     #  <CJK>
    0x59EB: 0x9550,     #  <CJK>
    0x59F6: 0x88A6,     #  <CJK>
    0x59FB: 0x88F7,     #  <CJK>
    0x59FF: 0x8E70,     #  <CJK>
    0x5A01: 0x88D0,     #  <CJK>
    0x5A03: 0x88A1,     #  <CJK>
    0x5A09: 0x9B51,     #  <CJK>
    0x5A11: 0x9B4F,     #  <CJK>
    0x5A18: 0x96BA,     #  <CJK>
    0x5A1A: 0x9B52,     #  <CJK>
    0x5A1C: 0x9B50,     #  <CJK>
    0x5A1F: 0x9B4E,     #  <CJK>
    0x5A20: 0x9050,     #  <CJK>
    0x5A25: 0x9B4D,     #  <CJK>
    0x5A29: 0x95D8,     #  <CJK>
    0x5A2F: 0x8CE2,     #  <CJK>
    0x5A35: 0x9B56,     #  <CJK>
    0x5A36: 0x9B57,     #  <CJK>
    0x5A3C: 0x8FA9,     #  <CJK>
    0x5A40: 0x9B53,     #  <CJK>
    0x5A41: 0x984B,     #  <CJK>
    0x5A46: 0x946B,     #  <CJK>
    0x5A49: 0x9B55,     #  <CJK>
    0x5A5A: 0x8DA5,     #  <CJK>
    0x5A62: 0x9B58,     #  <CJK>
    0x5A66: 0x9577,     #  <CJK>
    0x5A6A: 0x9B59,     #  <CJK>
    0x5A6C: 0x9B54,     #  <CJK>
    0x5A7F: 0x96B9,     #  <CJK>
    0x5A92: 0x947D,     #  <CJK>
    0x5A9A: 0x9B5A,     #  <CJK>
    0x5A9B: 0x9551,     #  <CJK>
    0x5ABC: 0x9B5B,     #  <CJK>
    0x5ABD: 0x9B5F,     #  <CJK>
    0x5ABE: 0x9B5C,     #  <CJK>
    0x5AC1: 0x89C5,     #  <CJK>
    0x5AC2: 0x9B5E,     #  <CJK>
    0x5AC9: 0x8EB9,     #  <CJK>
    0x5ACB: 0x9B5D,     #  <CJK>
    0x5ACC: 0x8C99,     #  <CJK>
    0x5AD0: 0x9B6B,     #  <CJK>
    0x5AD6: 0x9B64,     #  <CJK>
    0x5AD7: 0x9B61,     #  <CJK>
    0x5AE1: 0x9284,     #  <CJK>
    0x5AE3: 0x9B60,     #  <CJK>
    0x5AE6: 0x9B62,     #  <CJK>
    0x5AE9: 0x9B63,     #  <CJK>
    0x5AFA: 0x9B65,     #  <CJK>
    0x5AFB: 0x9B66,     #  <CJK>
    0x5B09: 0x8AF0,     #  <CJK>
    0x5B0B: 0x9B68,     #  <CJK>
    0x5B0C: 0x9B67,     #  <CJK>
    0x5B16: 0x9B69,     #  <CJK>
    0x5B22: 0x8FEC,     #  <CJK>
    0x5B2A: 0x9B6C,     #  <CJK>
    0x5B2C: 0x92DA,     #  <CJK>
    0x5B30: 0x8964,     #  <CJK>
    0x5B32: 0x9B6A,     #  <CJK>
    0x5B36: 0x9B6D,     #  <CJK>
    0x5B3E: 0x9B6E,     #  <CJK>
    0x5B40: 0x9B71,     #  <CJK>
    0x5B43: 0x9B6F,     #  <CJK>
    0x5B45: 0x9B70,     #  <CJK>
    0x5B50: 0x8E71,     #  <CJK>
    0x5B51: 0x9B72,     #  <CJK>
    0x5B54: 0x8D45,     #  <CJK>
    0x5B55: 0x9B73,     #  <CJK>
    0x5B57: 0x8E9A,     #  <CJK>
    0x5B58: 0x91B6,     #  <CJK>
    0x5B5A: 0x9B74,     #  <CJK>
    0x5B5B: 0x9B75,     #  <CJK>
    0x5B5C: 0x8E79,     #  <CJK>
    0x5B5D: 0x8D46,     #  <CJK>
    0x5B5F: 0x96D0,     #  <CJK>
    0x5B63: 0x8B47,     #  <CJK>
    0x5B64: 0x8CC7,     #  <CJK>
    0x5B65: 0x9B76,     #  <CJK>
    0x5B66: 0x8A77,     #  <CJK>
    0x5B69: 0x9B77,     #  <CJK>
    0x5B6B: 0x91B7,     #  <CJK>
    0x5B70: 0x9B78,     #  <CJK>
    0x5B71: 0x9BA1,     #  <CJK>
    0x5B73: 0x9B79,     #  <CJK>
    0x5B75: 0x9B7A,     #  <CJK>
    0x5B78: 0x9B7B,     #  <CJK>
    0x5B7A: 0x9B7D,     #  <CJK>
    0x5B80: 0x9B7E,     #  <CJK>
    0x5B83: 0x9B80,     #  <CJK>
    0x5B85: 0x91EE,     #  <CJK>
    0x5B87: 0x8946,     #  <CJK>
    0x5B88: 0x8EE7,     #  <CJK>
    0x5B89: 0x88C0,     #  <CJK>
    0x5B8B: 0x9176,     #  <CJK>
    0x5B8C: 0x8AAE,     #  <CJK>
    0x5B8D: 0x8EB3,     #  <CJK>
    0x5B8F: 0x8D47,     #  <CJK>
    0x5B95: 0x9386,     #  <CJK>
    0x5B97: 0x8F40,     #  <CJK>
    0x5B98: 0x8AAF,     #  <CJK>
    0x5B99: 0x9288,     #  <CJK>
    0x5B9A: 0x92E8,     #  <CJK>
    0x5B9B: 0x88B6,     #  <CJK>
    0x5B9C: 0x8B58,     #  <CJK>
    0x5B9D: 0x95F3,     #  <CJK>
    0x5B9F: 0x8EC0,     #  <CJK>
    0x5BA2: 0x8B71,     #  <CJK>
    0x5BA3: 0x90E9,     #  <CJK>
    0x5BA4: 0x8EBA,     #  <CJK>
    0x5BA5: 0x9747,     #  <CJK>
    0x5BA6: 0x9B81,     #  <CJK>
    0x5BAE: 0x8B7B,     #  <CJK>
    0x5BB0: 0x8DC9,     #  <CJK>
    0x5BB3: 0x8A51,     #  <CJK>
    0x5BB4: 0x8983,     #  <CJK>
    0x5BB5: 0x8FAA,     #  <CJK>
    0x5BB6: 0x89C6,     #  <CJK>
    0x5BB8: 0x9B82,     #  <CJK>
    0x5BB9: 0x9765,     #  <CJK>
    0x5BBF: 0x8F68,     #  <CJK>
    0x5BC2: 0x8EE2,     #  <CJK>
    0x5BC3: 0x9B83,     #  <CJK>
    0x5BC4: 0x8AF1,     #  <CJK>
    0x5BC5: 0x93D0,     #  <CJK>
    0x5BC6: 0x96A7,     #  <CJK>
    0x5BC7: 0x9B84,     #  <CJK>
    0x5BC9: 0x9B85,     #  <CJK>
    0x5BCC: 0x9578,     #  <CJK>
    0x5BD0: 0x9B87,     #  <CJK>
    0x5BD2: 0x8AA6,     #  <CJK>
    0x5BD3: 0x8BF5,     #  <CJK>
    0x5BD4: 0x9B86,     #  <CJK>
    0x5BDB: 0x8AB0,     #  <CJK>
    0x5BDD: 0x9051,     #  <CJK>
    0x5BDE: 0x9B8B,     #  <CJK>
    0x5BDF: 0x8E40,     #  <CJK>
    0x5BE1: 0x89C7,     #  <CJK>
    0x5BE2: 0x9B8A,     #  <CJK>
    0x5BE4: 0x9B88,     #  <CJK>
    0x5BE5: 0x9B8C,     #  <CJK>
    0x5BE6: 0x9B89,     #  <CJK>
    0x5BE7: 0x944A,     #  <CJK>
    0x5BE8: 0x9ECB,     #  <CJK>
    0x5BE9: 0x9052,     #  <CJK>
    0x5BEB: 0x9B8D,     #  <CJK>
    0x5BEE: 0x97BE,     #  <CJK>
    0x5BF0: 0x9B8E,     #  <CJK>
    0x5BF3: 0x9B90,     #  <CJK>
    0x5BF5: 0x929E,     #  <CJK>
    0x5BF6: 0x9B8F,     #  <CJK>
    0x5BF8: 0x90A1,     #  <CJK>
    0x5BFA: 0x8E9B,     #  <CJK>
    0x5BFE: 0x91CE,     #  <CJK>
    0x5BFF: 0x8EF5,     #  <CJK>
    0x5C01: 0x9595,     #  <CJK>
    0x5C02: 0x90EA,     #  <CJK>
    0x5C04: 0x8ECB,     #  <CJK>
    0x5C05: 0x9B91,     #  <CJK>
    0x5C06: 0x8FAB,     #  <CJK>
    0x5C07: 0x9B92,     #  <CJK>
    0x5C08: 0x9B93,     #  <CJK>
    0x5C09: 0x88D1,     #  <CJK>
    0x5C0A: 0x91B8,     #  <CJK>
    0x5C0B: 0x9071,     #  <CJK>
    0x5C0D: 0x9B94,     #  <CJK>
    0x5C0E: 0x93B1,     #  <CJK>
    0x5C0F: 0x8FAC,     #  <CJK>
    0x5C11: 0x8FAD,     #  <CJK>
    0x5C13: 0x9B95,     #  <CJK>
    0x5C16: 0x90EB,     #  <CJK>
    0x5C1A: 0x8FAE,     #  <CJK>
    0x5C20: 0x9B96,     #  <CJK>
    0x5C22: 0x9B97,     #  <CJK>
    0x5C24: 0x96DE,     #  <CJK>
    0x5C28: 0x9B98,     #  <CJK>
    0x5C2D: 0x8BC4,     #  <CJK>
    0x5C31: 0x8F41,     #  <CJK>
    0x5C38: 0x9B99,     #  <CJK>
    0x5C39: 0x9B9A,     #  <CJK>
    0x5C3A: 0x8EDA,     #  <CJK>
    0x5C3B: 0x904B,     #  <CJK>
    0x5C3C: 0x93F2,     #  <CJK>
    0x5C3D: 0x9073,     #  <CJK>
    0x5C3E: 0x94F6,     #  <CJK>
    0x5C3F: 0x9441,     #  <CJK>
    0x5C40: 0x8BC7,     #  <CJK>
    0x5C41: 0x9B9B,     #  <CJK>
    0x5C45: 0x8B8F,     #  <CJK>
    0x5C46: 0x9B9C,     #  <CJK>
    0x5C48: 0x8BFC,     #  <CJK>
    0x5C4A: 0x93CD,     #  <CJK>
    0x5C4B: 0x89AE,     #  <CJK>
    0x5C4D: 0x8E72,     #  <CJK>
    0x5C4E: 0x9B9D,     #  <CJK>
    0x5C4F: 0x9BA0,     #  <CJK>
    0x5C50: 0x9B9F,     #  <CJK>
    0x5C51: 0x8BFB,     #  <CJK>
    0x5C53: 0x9B9E,     #  <CJK>
    0x5C55: 0x9357,     #  <CJK>
    0x5C5E: 0x91AE,     #  <CJK>
    0x5C60: 0x936A,     #  <CJK>
    0x5C61: 0x8EC6,     #  <CJK>
    0x5C64: 0x9177,     #  <CJK>
    0x5C65: 0x979A,     #  <CJK>
    0x5C6C: 0x9BA2,     #  <CJK>
    0x5C6E: 0x9BA3,     #  <CJK>
    0x5C6F: 0x93D4,     #  <CJK>
    0x5C71: 0x8E52,     #  <CJK>
    0x5C76: 0x9BA5,     #  <CJK>
    0x5C79: 0x9BA6,     #  <CJK>
    0x5C8C: 0x9BA7,     #  <CJK>
    0x5C90: 0x8AF2,     #  <CJK>
    0x5C91: 0x9BA8,     #  <CJK>
    0x5C94: 0x9BA9,     #  <CJK>
    0x5CA1: 0x89AA,     #  <CJK>
    0x5CA8: 0x915A,     #  <CJK>
    0x5CA9: 0x8AE2,     #  <CJK>
    0x5CAB: 0x9BAB,     #  <CJK>
    0x5CAC: 0x96A6,     #  <CJK>
    0x5CB1: 0x91D0,     #  <CJK>
    0x5CB3: 0x8A78,     #  <CJK>
    0x5CB6: 0x9BAD,     #  <CJK>
    0x5CB7: 0x9BAF,     #  <CJK>
    0x5CB8: 0x8ADD,     #  <CJK>
    0x5CBB: 0x9BAC,     #  <CJK>
    0x5CBC: 0x9BAE,     #  <CJK>
    0x5CBE: 0x9BB1,     #  <CJK>
    0x5CC5: 0x9BB0,     #  <CJK>
    0x5CC7: 0x9BB2,     #  <CJK>
    0x5CD9: 0x9BB3,     #  <CJK>
    0x5CE0: 0x93BB,     #  <CJK>
    0x5CE1: 0x8BAC,     #  <CJK>
    0x5CE8: 0x89E3,     #  <CJK>
    0x5CE9: 0x9BB4,     #  <CJK>
    0x5CEA: 0x9BB9,     #  <CJK>
    0x5CED: 0x9BB7,     #  <CJK>
    0x5CEF: 0x95F5,     #  <CJK>
    0x5CF0: 0x95F4,     #  <CJK>
    0x5CF6: 0x9387,     #  <CJK>
    0x5CFA: 0x9BB6,     #  <CJK>
    0x5CFB: 0x8F73,     #  <CJK>
    0x5CFD: 0x9BB5,     #  <CJK>
    0x5D07: 0x9092,     #  <CJK>
    0x5D0B: 0x9BBA,     #  <CJK>
    0x5D0E: 0x8DE8,     #  <CJK>
    0x5D11: 0x9BC0,     #  <CJK>
    0x5D14: 0x9BC1,     #  <CJK>
    0x5D15: 0x9BBB,     #  <CJK>
    0x5D16: 0x8A52,     #  <CJK>
    0x5D17: 0x9BBC,     #  <CJK>
    0x5D18: 0x9BC5,     #  <CJK>
    0x5D19: 0x9BC4,     #  <CJK>
    0x5D1A: 0x9BC3,     #  <CJK>
    0x5D1B: 0x9BBF,     #  <CJK>
    0x5D1F: 0x9BBE,     #  <CJK>
    0x5D22: 0x9BC2,     #  <CJK>
    0x5D29: 0x95F6,     #  <CJK>
    0x5D4B: 0x9BC9,     #  <CJK>
    0x5D4C: 0x9BC6,     #  <CJK>
    0x5D4E: 0x9BC8,     #  <CJK>
    0x5D50: 0x9792,     #  <CJK>
    0x5D52: 0x9BC7,     #  <CJK>
    0x5D5C: 0x9BBD,     #  <CJK>
    0x5D69: 0x9093,     #  <CJK>
    0x5D6C: 0x9BCA,     #  <CJK>
    0x5D6F: 0x8DB5,     #  <CJK>
    0x5D73: 0x9BCB,     #  <CJK>
    0x5D76: 0x9BCC,     #  <CJK>
    0x5D82: 0x9BCF,     #  <CJK>
    0x5D84: 0x9BCE,     #  <CJK>
    0x5D87: 0x9BCD,     #  <CJK>
    0x5D8B: 0x9388,     #  <CJK>
    0x5D8C: 0x9BB8,     #  <CJK>
    0x5D90: 0x9BD5,     #  <CJK>
    0x5D9D: 0x9BD1,     #  <CJK>
    0x5DA2: 0x9BD0,     #  <CJK>
    0x5DAC: 0x9BD2,     #  <CJK>
    0x5DAE: 0x9BD3,     #  <CJK>
    0x5DB7: 0x9BD6,     #  <CJK>
    0x5DBA: 0x97E4,     #  <CJK>
    0x5DBC: 0x9BD7,     #  <CJK>
    0x5DBD: 0x9BD4,     #  <CJK>
    0x5DC9: 0x9BD8,     #  <CJK>
    0x5DCC: 0x8ADE,     #  <CJK>
    0x5DCD: 0x9BD9,     #  <CJK>
    0x5DD2: 0x9BDB,     #  <CJK>
    0x5DD3: 0x9BDA,     #  <CJK>
    0x5DD6: 0x9BDC,     #  <CJK>
    0x5DDB: 0x9BDD,     #  <CJK>
    0x5DDD: 0x90EC,     #  <CJK>
    0x5DDE: 0x8F42,     #  <CJK>
    0x5DE1: 0x8F84,     #  <CJK>
    0x5DE3: 0x9183,     #  <CJK>
    0x5DE5: 0x8D48,     #  <CJK>
    0x5DE6: 0x8DB6,     #  <CJK>
    0x5DE7: 0x8D49,     #  <CJK>
    0x5DE8: 0x8B90,     #  <CJK>
    0x5DEB: 0x9BDE,     #  <CJK>
    0x5DEE: 0x8DB7,     #  <CJK>
    0x5DF1: 0x8CC8,     #  <CJK>
    0x5DF2: 0x9BDF,     #  <CJK>
    0x5DF3: 0x96A4,     #  <CJK>
    0x5DF4: 0x9462,     #  <CJK>
    0x5DF5: 0x9BE0,     #  <CJK>
    0x5DF7: 0x8D4A,     #  <CJK>
    0x5DFB: 0x8AAA,     #  <CJK>
    0x5DFD: 0x9246,     #  <CJK>
    0x5DFE: 0x8BD0,     #  <CJK>
    0x5E02: 0x8E73,     #  <CJK>
    0x5E03: 0x957A,     #  <CJK>
    0x5E06: 0x94BF,     #  <CJK>
    0x5E0B: 0x9BE1,     #  <CJK>
    0x5E0C: 0x8AF3,     #  <CJK>
    0x5E11: 0x9BE4,     #  <CJK>
    0x5E16: 0x929F,     #  <CJK>
    0x5E19: 0x9BE3,     #  <CJK>
    0x5E1A: 0x9BE2,     #  <CJK>
    0x5E1B: 0x9BE5,     #  <CJK>
    0x5E1D: 0x92E9,     #  <CJK>
    0x5E25: 0x9083,     #  <CJK>
    0x5E2B: 0x8E74,     #  <CJK>
    0x5E2D: 0x90C8,     #  <CJK>
    0x5E2F: 0x91D1,     #  <CJK>
    0x5E30: 0x8B41,     #  <CJK>
    0x5E33: 0x92A0,     #  <CJK>
    0x5E36: 0x9BE6,     #  <CJK>
    0x5E37: 0x9BE7,     #  <CJK>
    0x5E38: 0x8FED,     #  <CJK>
    0x5E3D: 0x9658,     #  <CJK>
    0x5E40: 0x9BEA,     #  <CJK>
    0x5E43: 0x9BE9,     #  <CJK>
    0x5E44: 0x9BE8,     #  <CJK>
    0x5E45: 0x959D,     #  <CJK>
    0x5E47: 0x9BF1,     #  <CJK>
    0x5E4C: 0x9679,     #  <CJK>
    0x5E4E: 0x9BEB,     #  <CJK>
    0x5E54: 0x9BED,     #  <CJK>
    0x5E55: 0x968B,     #  <CJK>
    0x5E57: 0x9BEC,     #  <CJK>
    0x5E5F: 0x9BEE,     #  <CJK>
    0x5E61: 0x94A6,     #  <CJK>
    0x5E62: 0x9BEF,     #  <CJK>
    0x5E63: 0x95BC,     #  <CJK>
    0x5E64: 0x9BF0,     #  <CJK>
    0x5E72: 0x8AB1,     #  <CJK>
    0x5E73: 0x95BD,     #  <CJK>
    0x5E74: 0x944E,     #  <CJK>
    0x5E75: 0x9BF2,     #  <CJK>
    0x5E76: 0x9BF3,     #  <CJK>
    0x5E78: 0x8D4B,     #  <CJK>
    0x5E79: 0x8AB2,     #  <CJK>
    0x5E7A: 0x9BF4,     #  <CJK>
    0x5E7B: 0x8CB6,     #  <CJK>
    0x5E7C: 0x9763,     #  <CJK>
    0x5E7D: 0x9748,     #  <CJK>
    0x5E7E: 0x8AF4,     #  <CJK>
    0x5E7F: 0x9BF6,     #  <CJK>
    0x5E81: 0x92A1,     #  <CJK>
    0x5E83: 0x8D4C,     #  <CJK>
    0x5E84: 0x8FAF,     #  <CJK>
    0x5E87: 0x94DD,     #  <CJK>
    0x5E8A: 0x8FB0,     #  <CJK>
    0x5E8F: 0x8F98,     #  <CJK>
    0x5E95: 0x92EA,     #  <CJK>
    0x5E96: 0x95F7,     #  <CJK>
    0x5E97: 0x9358,     #  <CJK>
    0x5E9A: 0x8D4D,     #  <CJK>
    0x5E9C: 0x957B,     #  <CJK>
    0x5EA0: 0x9BF7,     #  <CJK>
    0x5EA6: 0x9378,     #  <CJK>
    0x5EA7: 0x8DC0,     #  <CJK>
    0x5EAB: 0x8CC9,     #  <CJK>
    0x5EAD: 0x92EB,     #  <CJK>
    0x5EB5: 0x88C1,     #  <CJK>
    0x5EB6: 0x8F8E,     #  <CJK>
    0x5EB7: 0x8D4E,     #  <CJK>
    0x5EB8: 0x9766,     #  <CJK>
    0x5EC1: 0x9BF8,     #  <CJK>
    0x5EC2: 0x9BF9,     #  <CJK>
    0x5EC3: 0x9470,     #  <CJK>
    0x5EC8: 0x9BFA,     #  <CJK>
    0x5EC9: 0x97F5,     #  <CJK>
    0x5ECA: 0x984C,     #  <CJK>
    0x5ECF: 0x9BFC,     #  <CJK>
    0x5ED0: 0x9BFB,     #  <CJK>
    0x5ED3: 0x8A66,     #  <CJK>
    0x5ED6: 0x9C40,     #  <CJK>
    0x5EDA: 0x9C43,     #  <CJK>
    0x5EDB: 0x9C44,     #  <CJK>
    0x5EDD: 0x9C42,     #  <CJK>
    0x5EDF: 0x955F,     #  <CJK>
    0x5EE0: 0x8FB1,     #  <CJK>
    0x5EE1: 0x9C46,     #  <CJK>
    0x5EE2: 0x9C45,     #  <CJK>
    0x5EE3: 0x9C41,     #  <CJK>
    0x5EE8: 0x9C47,     #  <CJK>
    0x5EE9: 0x9C48,     #  <CJK>
    0x5EEC: 0x9C49,     #  <CJK>
    0x5EF0: 0x9C4C,     #  <CJK>
    0x5EF1: 0x9C4A,     #  <CJK>
    0x5EF3: 0x9C4B,     #  <CJK>
    0x5EF4: 0x9C4D,     #  <CJK>
    0x5EF6: 0x8984,     #  <CJK>
    0x5EF7: 0x92EC,     #  <CJK>
    0x5EF8: 0x9C4E,     #  <CJK>
    0x5EFA: 0x8C9A,     #  <CJK>
    0x5EFB: 0x89F4,     #  <CJK>
    0x5EFC: 0x9455,     #  <CJK>
    0x5EFE: 0x9C4F,     #  <CJK>
    0x5EFF: 0x93F9,     #  <CJK>
    0x5F01: 0x95D9,     #  <CJK>
    0x5F03: 0x9C50,     #  <CJK>
    0x5F04: 0x984D,     #  <CJK>
    0x5F09: 0x9C51,     #  <CJK>
    0x5F0A: 0x95BE,     #  <CJK>
    0x5F0B: 0x9C54,     #  <CJK>
    0x5F0C: 0x989F,     #  <CJK>
    0x5F0D: 0x98AF,     #  <CJK>
    0x5F0F: 0x8EAE,     #  <CJK>
    0x5F10: 0x93F3,     #  <CJK>
    0x5F11: 0x9C55,     #  <CJK>
    0x5F13: 0x8B7C,     #  <CJK>
    0x5F14: 0x92A2,     #  <CJK>
    0x5F15: 0x88F8,     #  <CJK>
    0x5F16: 0x9C56,     #  <CJK>
    0x5F17: 0x95A4,     #  <CJK>
    0x5F18: 0x8D4F,     #  <CJK>
    0x5F1B: 0x926F,     #  <CJK>
    0x5F1F: 0x92ED,     #  <CJK>
    0x5F25: 0x96ED,     #  <CJK>
    0x5F26: 0x8CB7,     #  <CJK>
    0x5F27: 0x8CCA,     #  <CJK>
    0x5F29: 0x9C57,     #  <CJK>
    0x5F2D: 0x9C58,     #  <CJK>
    0x5F2F: 0x9C5E,     #  <CJK>
    0x5F31: 0x8EE3,     #  <CJK>
    0x5F35: 0x92A3,     #  <CJK>
    0x5F37: 0x8BAD,     #  <CJK>
    0x5F38: 0x9C59,     #  <CJK>
    0x5F3C: 0x954A,     #  <CJK>
    0x5F3E: 0x9265,     #  <CJK>
    0x5F41: 0x9C5A,     #  <CJK>
    0x5F48: 0x9C5B,     #  <CJK>
    0x5F4A: 0x8BAE,     #  <CJK>
    0x5F4C: 0x9C5C,     #  <CJK>
    0x5F4E: 0x9C5D,     #  <CJK>
    0x5F51: 0x9C5F,     #  <CJK>
    0x5F53: 0x9396,     #  <CJK>
    0x5F56: 0x9C60,     #  <CJK>
    0x5F57: 0x9C61,     #  <CJK>
    0x5F59: 0x9C62,     #  <CJK>
    0x5F5C: 0x9C53,     #  <CJK>
    0x5F5D: 0x9C52,     #  <CJK>
    0x5F61: 0x9C63,     #  <CJK>
    0x5F62: 0x8C60,     #  <CJK>
    0x5F66: 0x9546,     #  <CJK>
    0x5F69: 0x8DCA,     #  <CJK>
    0x5F6A: 0x9556,     #  <CJK>
    0x5F6B: 0x92A4,     #  <CJK>
    0x5F6C: 0x956A,     #  <CJK>
    0x5F6D: 0x9C64,     #  <CJK>
    0x5F70: 0x8FB2,     #  <CJK>
    0x5F71: 0x8965,     #  <CJK>
    0x5F73: 0x9C65,     #  <CJK>
    0x5F77: 0x9C66,     #  <CJK>
    0x5F79: 0x96F0,     #  <CJK>
    0x5F7C: 0x94DE,     #  <CJK>
    0x5F7F: 0x9C69,     #  <CJK>
    0x5F80: 0x899D,     #  <CJK>
    0x5F81: 0x90AA,     #  <CJK>
    0x5F82: 0x9C68,     #  <CJK>
    0x5F83: 0x9C67,     #  <CJK>
    0x5F84: 0x8C61,     #  <CJK>
    0x5F85: 0x91D2,     #  <CJK>
    0x5F87: 0x9C6D,     #  <CJK>
    0x5F88: 0x9C6B,     #  <CJK>
    0x5F8A: 0x9C6A,     #  <CJK>
    0x5F8B: 0x97A5,     #  <CJK>
    0x5F8C: 0x8CE3,     #  <CJK>
    0x5F90: 0x8F99,     #  <CJK>
    0x5F91: 0x9C6C,     #  <CJK>
    0x5F92: 0x936B,     #  <CJK>
    0x5F93: 0x8F5D,     #  <CJK>
    0x5F97: 0x93BE,     #  <CJK>
    0x5F98: 0x9C70,     #  <CJK>
    0x5F99: 0x9C6F,     #  <CJK>
    0x5F9E: 0x9C6E,     #  <CJK>
    0x5FA0: 0x9C71,     #  <CJK>
    0x5FA1: 0x8CE4,     #  <CJK>
    0x5FA8: 0x9C72,     #  <CJK>
    0x5FA9: 0x959C,     #  <CJK>
    0x5FAA: 0x8F7A,     #  <CJK>
    0x5FAD: 0x9C73,     #  <CJK>
    0x5FAE: 0x94F7,     #  <CJK>
    0x5FB3: 0x93BF,     #  <CJK>
    0x5FB4: 0x92A5,     #  <CJK>
    0x5FB9: 0x934F,     #  <CJK>
    0x5FBC: 0x9C74,     #  <CJK>
    0x5FBD: 0x8B4A,     #  <CJK>
    0x5FC3: 0x9053,     #  <CJK>
    0x5FC5: 0x954B,     #  <CJK>
    0x5FCC: 0x8AF5,     #  <CJK>
    0x5FCD: 0x9445,     #  <CJK>
    0x5FD6: 0x9C75,     #  <CJK>
    0x5FD7: 0x8E75,     #  <CJK>
    0x5FD8: 0x9659,     #  <CJK>
    0x5FD9: 0x965A,     #  <CJK>
    0x5FDC: 0x899E,     #  <CJK>
    0x5FDD: 0x9C7A,     #  <CJK>
    0x5FE0: 0x9289,     #  <CJK>
    0x5FE4: 0x9C77,     #  <CJK>
    0x5FEB: 0x89F5,     #  <CJK>
    0x5FF0: 0x9CAB,     #  <CJK>
    0x5FF1: 0x9C79,     #  <CJK>
    0x5FF5: 0x944F,     #  <CJK>
    0x5FF8: 0x9C78,     #  <CJK>
    0x5FFB: 0x9C76,     #  <CJK>
    0x5FFD: 0x8D9A,     #  <CJK>
    0x5FFF: 0x9C7C,     #  <CJK>
    0x600E: 0x9C83,     #  <CJK>
    0x600F: 0x9C89,     #  <CJK>
    0x6010: 0x9C81,     #  <CJK>
    0x6012: 0x937B,     #  <CJK>
    0x6015: 0x9C86,     #  <CJK>
    0x6016: 0x957C,     #  <CJK>
    0x6019: 0x9C80,     #  <CJK>
    0x601B: 0x9C85,     #  <CJK>
    0x601C: 0x97E5,     #  <CJK>
    0x601D: 0x8E76,     #  <CJK>
    0x6020: 0x91D3,     #  <CJK>
    0x6021: 0x9C7D,     #  <CJK>
    0x6025: 0x8B7D,     #  <CJK>
    0x6026: 0x9C88,     #  <CJK>
    0x6027: 0x90AB,     #  <CJK>
    0x6028: 0x8985,     #  <CJK>
    0x6029: 0x9C82,     #  <CJK>
    0x602A: 0x89F6,     #  <CJK>
    0x602B: 0x9C87,     #  <CJK>
    0x602F: 0x8BAF,     #  <CJK>
    0x6031: 0x9C84,     #  <CJK>
    0x603A: 0x9C8A,     #  <CJK>
    0x6041: 0x9C8C,     #  <CJK>
    0x6042: 0x9C96,     #  <CJK>
    0x6043: 0x9C94,     #  <CJK>
    0x6046: 0x9C91,     #  <CJK>
    0x604A: 0x9C90,     #  <CJK>
    0x604B: 0x97F6,     #  <CJK>
    0x604D: 0x9C92,     #  <CJK>
    0x6050: 0x8BB0,     #  <CJK>
    0x6052: 0x8D50,     #  <CJK>
    0x6055: 0x8F9A,     #  <CJK>
    0x6059: 0x9C99,     #  <CJK>
    0x605A: 0x9C8B,     #  <CJK>
    0x605F: 0x9C8F,     #  <CJK>
    0x6060: 0x9C7E,     #  <CJK>
    0x6062: 0x89F8,     #  <CJK>
    0x6063: 0x9C93,     #  <CJK>
    0x6064: 0x9C95,     #  <CJK>
    0x6065: 0x9270,     #  <CJK>
    0x6068: 0x8DA6,     #  <CJK>
    0x6069: 0x89B6,     #  <CJK>
    0x606A: 0x9C8D,     #  <CJK>
    0x606B: 0x9C98,     #  <CJK>
    0x606C: 0x9C97,     #  <CJK>
    0x606D: 0x8BB1,     #  <CJK>
    0x606F: 0x91A7,     #  <CJK>
    0x6070: 0x8A86,     #  <CJK>
    0x6075: 0x8C62,     #  <CJK>
    0x6077: 0x9C8E,     #  <CJK>
    0x6081: 0x9C9A,     #  <CJK>
    0x6083: 0x9C9D,     #  <CJK>
    0x6084: 0x9C9F,     #  <CJK>
    0x6089: 0x8EBB,     #  <CJK>
    0x608B: 0x9CA5,     #  <CJK>
    0x608C: 0x92EE,     #  <CJK>
    0x608D: 0x9C9B,     #  <CJK>
    0x6092: 0x9CA3,     #  <CJK>
    0x6094: 0x89F7,     #  <CJK>
    0x6096: 0x9CA1,     #  <CJK>
    0x6097: 0x9CA2,     #  <CJK>
    0x609A: 0x9C9E,     #  <CJK>
    0x609B: 0x9CA0,     #  <CJK>
    0x609F: 0x8CE5,     #  <CJK>
    0x60A0: 0x9749,     #  <CJK>
    0x60A3: 0x8AB3,     #  <CJK>
    0x60A6: 0x8978,     #  <CJK>
    0x60A7: 0x9CA4,     #  <CJK>
    0x60A9: 0x9459,     #  <CJK>
    0x60AA: 0x88AB,     #  <CJK>
    0x60B2: 0x94DF,     #  <CJK>
    0x60B3: 0x9C7B,     #  <CJK>
    0x60B4: 0x9CAA,     #  <CJK>
    0x60B5: 0x9CAE,     #  <CJK>
    0x60B6: 0x96E3,     #  <CJK>
    0x60B8: 0x9CA7,     #  <CJK>
    0x60BC: 0x9389,     #  <CJK>
    0x60BD: 0x9CAC,     #  <CJK>
    0x60C5: 0x8FEE,     #  <CJK>
    0x60C6: 0x9CAD,     #  <CJK>
    0x60C7: 0x93D5,     #  <CJK>
    0x60D1: 0x9866,     #  <CJK>
    0x60D3: 0x9CA9,     #  <CJK>
    0x60D8: 0x9CAF,     #  <CJK>
    0x60DA: 0x8D9B,     #  <CJK>
    0x60DC: 0x90C9,     #  <CJK>
    0x60DF: 0x88D2,     #  <CJK>
    0x60E0: 0x9CA8,     #  <CJK>
    0x60E1: 0x9CA6,     #  <CJK>
    0x60E3: 0x9179,     #  <CJK>
    0x60E7: 0x9C9C,     #  <CJK>
    0x60E8: 0x8E53,     #  <CJK>
    0x60F0: 0x91C4,     #  <CJK>
    0x60F1: 0x9CBB,     #  <CJK>
    0x60F3: 0x917A,     #  <CJK>
    0x60F4: 0x9CB6,     #  <CJK>
    0x60F6: 0x9CB3,     #  <CJK>
    0x60F7: 0x9CB4,     #  <CJK>
    0x60F9: 0x8EE4,     #  <CJK>
    0x60FA: 0x9CB7,     #  <CJK>
    0x60FB: 0x9CBA,     #  <CJK>
    0x6100: 0x9CB5,     #  <CJK>
    0x6101: 0x8F44,     #  <CJK>
    0x6103: 0x9CB8,     #  <CJK>
    0x6106: 0x9CB2,     #  <CJK>
    0x6108: 0x96FA,     #  <CJK>
    0x6109: 0x96F9,     #  <CJK>
    0x610D: 0x9CBC,     #  <CJK>
    0x610E: 0x9CBD,     #  <CJK>
    0x610F: 0x88D3,     #  <CJK>
    0x6115: 0x9CB1,     #  <CJK>
    0x611A: 0x8BF0,     #  <CJK>
    0x611B: 0x88A4,     #  <CJK>
    0x611F: 0x8AB4,     #  <CJK>
    0x6121: 0x9CB9,     #  <CJK>
    0x6127: 0x9CC1,     #  <CJK>
    0x6128: 0x9CC0,     #  <CJK>
    0x612C: 0x9CC5,     #  <CJK>
    0x6134: 0x9CC6,     #  <CJK>
    0x613C: 0x9CC4,     #  <CJK>
    0x613D: 0x9CC7,     #  <CJK>
    0x613E: 0x9CBF,     #  <CJK>
    0x613F: 0x9CC3,     #  <CJK>
    0x6142: 0x9CC8,     #  <CJK>
    0x6144: 0x9CC9,     #  <CJK>
    0x6147: 0x9CBE,     #  <CJK>
    0x6148: 0x8E9C,     #  <CJK>
    0x614A: 0x9CC2,     #  <CJK>
    0x614B: 0x91D4,     #  <CJK>
    0x614C: 0x8D51,     #  <CJK>
    0x614D: 0x9CB0,     #  <CJK>
    0x614E: 0x9054,     #  <CJK>
    0x6153: 0x9CD6,     #  <CJK>
    0x6155: 0x95E7,     #  <CJK>
    0x6158: 0x9CCC,     #  <CJK>
    0x6159: 0x9CCD,     #  <CJK>
    0x615A: 0x9CCE,     #  <CJK>
    0x615D: 0x9CD5,     #  <CJK>
    0x615F: 0x9CD4,     #  <CJK>
    0x6162: 0x969D,     #  <CJK>
    0x6163: 0x8AB5,     #  <CJK>
    0x6165: 0x9CD2,     #  <CJK>
    0x6167: 0x8C64,     #  <CJK>
    0x6168: 0x8A53,     #  <CJK>
    0x616B: 0x9CCF,     #  <CJK>
    0x616E: 0x97B6,     #  <CJK>
    0x616F: 0x9CD1,     #  <CJK>
    0x6170: 0x88D4,     #  <CJK>
    0x6171: 0x9CD3,     #  <CJK>
    0x6173: 0x9CCA,     #  <CJK>
    0x6174: 0x9CD0,     #  <CJK>
    0x6175: 0x9CD7,     #  <CJK>
    0x6176: 0x8C63,     #  <CJK>
    0x6177: 0x9CCB,     #  <CJK>
    0x617E: 0x977C,     #  <CJK>
    0x6182: 0x974A,     #  <CJK>
    0x6187: 0x9CDA,     #  <CJK>
    0x618A: 0x9CDE,     #  <CJK>
    0x618E: 0x919E,     #  <CJK>
    0x6190: 0x97F7,     #  <CJK>
    0x6191: 0x9CDF,     #  <CJK>
    0x6194: 0x9CDC,     #  <CJK>
    0x6196: 0x9CD9,     #  <CJK>
    0x6199: 0x9CD8,     #  <CJK>
    0x619A: 0x9CDD,     #  <CJK>
    0x61A4: 0x95AE,     #  <CJK>
    0x61A7: 0x93B2,     #  <CJK>
    0x61A9: 0x8C65,     #  <CJK>
    0x61AB: 0x9CE0,     #  <CJK>
    0x61AC: 0x9CDB,     #  <CJK>
    0x61AE: 0x9CE1,     #  <CJK>
    0x61B2: 0x8C9B,     #  <CJK>
    0x61B6: 0x89AF,     #  <CJK>
    0x61BA: 0x9CE9,     #  <CJK>
    0x61BE: 0x8AB6,     #  <CJK>
    0x61C3: 0x9CE7,     #  <CJK>
    0x61C6: 0x9CE8,     #  <CJK>
    0x61C7: 0x8DA7,     #  <CJK>
    0x61C8: 0x9CE6,     #  <CJK>
    0x61C9: 0x9CE4,     #  <CJK>
    0x61CA: 0x9CE3,     #  <CJK>
    0x61CB: 0x9CEA,     #  <CJK>
    0x61CC: 0x9CE2,     #  <CJK>
    0x61CD: 0x9CEC,     #  <CJK>
    0x61D0: 0x89F9,     #  <CJK>
    0x61E3: 0x9CEE,     #  <CJK>
    0x61E6: 0x9CED,     #  <CJK>
    0x61F2: 0x92A6,     #  <CJK>
    0x61F4: 0x9CF1,     #  <CJK>
    0x61F6: 0x9CEF,     #  <CJK>
    0x61F7: 0x9CE5,     #  <CJK>
    0x61F8: 0x8C9C,     #  <CJK>
    0x61FA: 0x9CF0,     #  <CJK>
    0x61FC: 0x9CF4,     #  <CJK>
    0x61FD: 0x9CF3,     #  <CJK>
    0x61FE: 0x9CF5,     #  <CJK>
    0x61FF: 0x9CF2,     #  <CJK>
    0x6200: 0x9CF6,     #  <CJK>
    0x6208: 0x9CF7,     #  <CJK>
    0x6209: 0x9CF8,     #  <CJK>
    0x620A: 0x95E8,     #  <CJK>
    0x620C: 0x9CFA,     #  <CJK>
    0x620D: 0x9CF9,     #  <CJK>
    0x620E: 0x8F5E,     #  <CJK>
    0x6210: 0x90AC,     #  <CJK>
    0x6211: 0x89E4,     #  <CJK>
    0x6212: 0x89FA,     #  <CJK>
    0x6214: 0x9CFB,     #  <CJK>
    0x6216: 0x88BD,     #  <CJK>
    0x621A: 0x90CA,     #  <CJK>
    0x621B: 0x9CFC,     #  <CJK>
    0x621D: 0xE6C1,     #  <CJK>
    0x621E: 0x9D40,     #  <CJK>
    0x621F: 0x8C81,     #  <CJK>
    0x6221: 0x9D41,     #  <CJK>
    0x6226: 0x90ED,     #  <CJK>
    0x622A: 0x9D42,     #  <CJK>
    0x622E: 0x9D43,     #  <CJK>
    0x622F: 0x8B59,     #  <CJK>
    0x6230: 0x9D44,     #  <CJK>
    0x6232: 0x9D45,     #  <CJK>
    0x6233: 0x9D46,     #  <CJK>
    0x6234: 0x91D5,     #  <CJK>
    0x6238: 0x8CCB,     #  <CJK>
    0x623B: 0x96DF,     #  <CJK>
    0x623F: 0x965B,     #  <CJK>
    0x6240: 0x8F8A,     #  <CJK>
    0x6241: 0x9D47,     #  <CJK>
    0x6247: 0x90EE,     #  <CJK>
    0x6248: 0xE7BB,     #  <CJK>
    0x6249: 0x94E0,     #  <CJK>
    0x624B: 0x8EE8,     #  <CJK>
    0x624D: 0x8DCB,     #  <CJK>
    0x624E: 0x9D48,     #  <CJK>
    0x6253: 0x91C5,     #  <CJK>
    0x6255: 0x95A5,     #  <CJK>
    0x6258: 0x91EF,     #  <CJK>
    0x625B: 0x9D4B,     #  <CJK>
    0x625E: 0x9D49,     #  <CJK>
    0x6260: 0x9D4C,     #  <CJK>
    0x6263: 0x9D4A,     #  <CJK>
    0x6268: 0x9D4D,     #  <CJK>
    0x626E: 0x95AF,     #  <CJK>
    0x6271: 0x88B5,     #  <CJK>
    0x6276: 0x957D,     #  <CJK>
    0x6279: 0x94E1,     #  <CJK>
    0x627C: 0x9D4E,     #  <CJK>
    0x627E: 0x9D51,     #  <CJK>
    0x627F: 0x8FB3,     #  <CJK>
    0x6280: 0x8B5A,     #  <CJK>
    0x6282: 0x9D4F,     #  <CJK>
    0x6283: 0x9D56,     #  <CJK>
    0x6284: 0x8FB4,     #  <CJK>
    0x6289: 0x9D50,     #  <CJK>
    0x628A: 0x9463,     #  <CJK>
    0x6291: 0x977D,     #  <CJK>
    0x6292: 0x9D52,     #  <CJK>
    0x6293: 0x9D53,     #  <CJK>
    0x6294: 0x9D57,     #  <CJK>
    0x6295: 0x938A,     #  <CJK>
    0x6296: 0x9D54,     #  <CJK>
    0x6297: 0x8D52,     #  <CJK>
    0x6298: 0x90DC,     #  <CJK>
    0x629B: 0x9D65,     #  <CJK>
    0x629C: 0x94B2,     #  <CJK>
    0x629E: 0x91F0,     #  <CJK>
    0x62AB: 0x94E2,     #  <CJK>
    0x62AC: 0x9DAB,     #  <CJK>
    0x62B1: 0x95F8,     #  <CJK>
    0x62B5: 0x92EF,     #  <CJK>
    0x62B9: 0x9695,     #  <CJK>
    0x62BB: 0x9D5A,     #  <CJK>
    0x62BC: 0x899F,     #  <CJK>
    0x62BD: 0x928A,     #  <CJK>
    0x62C2: 0x9D63,     #  <CJK>
    0x62C5: 0x9253,     #  <CJK>
    0x62C6: 0x9D5D,     #  <CJK>
    0x62C7: 0x9D64,     #  <CJK>
    0x62C8: 0x9D5F,     #  <CJK>
    0x62C9: 0x9D66,     #  <CJK>
    0x62CA: 0x9D62,     #  <CJK>
    0x62CC: 0x9D61,     #  <CJK>
    0x62CD: 0x948F,     #  <CJK>
    0x62CF: 0x9D5B,     #  <CJK>
    0x62D0: 0x89FB,     #  <CJK>
    0x62D1: 0x9D59,     #  <CJK>
    0x62D2: 0x8B91,     #  <CJK>
    0x62D3: 0x91F1,     #  <CJK>
    0x62D4: 0x9D55,     #  <CJK>
    0x62D7: 0x9D58,     #  <CJK>
    0x62D8: 0x8D53,     #  <CJK>
    0x62D9: 0x90D9,     #  <CJK>
    0x62DB: 0x8FB5,     #  <CJK>
    0x62DC: 0x9D60,     #  <CJK>
    0x62DD: 0x9471,     #  <CJK>
    0x62E0: 0x8B92,     #  <CJK>
    0x62E1: 0x8A67,     #  <CJK>
    0x62EC: 0x8A87,     #  <CJK>
    0x62ED: 0x9040,     #  <CJK>
    0x62EE: 0x9D68,     #  <CJK>
    0x62EF: 0x9D6D,     #  <CJK>
    0x62F1: 0x9D69,     #  <CJK>
    0x62F3: 0x8C9D,     #  <CJK>
    0x62F5: 0x9D6E,     #  <CJK>
    0x62F6: 0x8E41,     #  <CJK>
    0x62F7: 0x8D89,     #  <CJK>
    0x62FE: 0x8F45,     #  <CJK>
    0x62FF: 0x9D5C,     #  <CJK>
    0x6301: 0x8E9D,     #  <CJK>
    0x6302: 0x9D6B,     #  <CJK>
    0x6307: 0x8E77,     #  <CJK>
    0x6308: 0x9D6C,     #  <CJK>
    0x6309: 0x88C2,     #  <CJK>
    0x630C: 0x9D67,     #  <CJK>
    0x6311: 0x92A7,     #  <CJK>
    0x6319: 0x8B93,     #  <CJK>
    0x631F: 0x8BB2,     #  <CJK>
    0x6327: 0x9D6A,     #  <CJK>
    0x6328: 0x88A5,     #  <CJK>
    0x632B: 0x8DC1,     #  <CJK>
    0x632F: 0x9055,     #  <CJK>
    0x633A: 0x92F0,     #  <CJK>
    0x633D: 0x94D2,     #  <CJK>
    0x633E: 0x9D70,     #  <CJK>
    0x633F: 0x917D,     #  <CJK>
    0x6349: 0x91A8,     #  <CJK>
    0x634C: 0x8E4A,     #  <CJK>
    0x634D: 0x9D71,     #  <CJK>
    0x634F: 0x9D73,     #  <CJK>
    0x6350: 0x9D6F,     #  <CJK>
    0x6355: 0x95DF,     #  <CJK>
    0x6357: 0x92BB,     #  <CJK>
    0x635C: 0x917B,     #  <CJK>
    0x6367: 0x95F9,     #  <CJK>
    0x6368: 0x8ECC,     #  <CJK>
    0x6369: 0x9D80,     #  <CJK>
    0x636B: 0x9D7E,     #  <CJK>
    0x636E: 0x9098,     #  <CJK>
    0x6372: 0x8C9E,     #  <CJK>
    0x6376: 0x9D78,     #  <CJK>
    0x6377: 0x8FB7,     #  <CJK>
    0x637A: 0x93E6,     #  <CJK>
    0x637B: 0x9450,     #  <CJK>
    0x6380: 0x9D76,     #  <CJK>
    0x6383: 0x917C,     #  <CJK>
    0x6388: 0x8EF6,     #  <CJK>
    0x6389: 0x9D7B,     #  <CJK>
    0x638C: 0x8FB6,     #  <CJK>
    0x638E: 0x9D75,     #  <CJK>
    0x638F: 0x9D7A,     #  <CJK>
    0x6392: 0x9472,     #  <CJK>
    0x6396: 0x9D74,     #  <CJK>
    0x6398: 0x8C40,     #  <CJK>
    0x639B: 0x8A7C,     #  <CJK>
    0x639F: 0x9D7C,     #  <CJK>
    0x63A0: 0x97A9,     #  <CJK>
    0x63A1: 0x8DCC,     #  <CJK>
    0x63A2: 0x9254,     #  <CJK>
    0x63A3: 0x9D79,     #  <CJK>
    0x63A5: 0x90DA,     #  <CJK>
    0x63A7: 0x8D54,     #  <CJK>
    0x63A8: 0x9084,     #  <CJK>
    0x63A9: 0x8986,     #  <CJK>
    0x63AA: 0x915B,     #  <CJK>
    0x63AB: 0x9D77,     #  <CJK>
    0x63AC: 0x8B64,     #  <CJK>
    0x63B2: 0x8C66,     #  <CJK>
    0x63B4: 0x92CD,     #  <CJK>
    0x63B5: 0x9D7D,     #  <CJK>
    0x63BB: 0x917E,     #  <CJK>
    0x63BE: 0x9D81,     #  <CJK>
    0x63C0: 0x9D83,     #  <CJK>
    0x63C3: 0x91B5,     #  <CJK>
    0x63C4: 0x9D89,     #  <CJK>
    0x63C6: 0x9D84,     #  <CJK>
    0x63C9: 0x9D86,     #  <CJK>
    0x63CF: 0x9560,     #  <CJK>
    0x63D0: 0x92F1,     #  <CJK>
    0x63D2: 0x9D87,     #  <CJK>
    0x63D6: 0x974B,     #  <CJK>
    0x63DA: 0x9767,     #  <CJK>
    0x63DB: 0x8AB7,     #  <CJK>
    0x63E1: 0x88AC,     #  <CJK>
    0x63E3: 0x9D85,     #  <CJK>
    0x63E9: 0x9D82,     #  <CJK>
    0x63EE: 0x8AF6,     #  <CJK>
    0x63F4: 0x8987,     #  <CJK>
    0x63F6: 0x9D88,     #  <CJK>
    0x63FA: 0x9768,     #  <CJK>
    0x6406: 0x9D8C,     #  <CJK>
    0x640D: 0x91B9,     #  <CJK>
    0x640F: 0x9D93,     #  <CJK>
    0x6413: 0x9D8D,     #  <CJK>
    0x6416: 0x9D8A,     #  <CJK>
    0x6417: 0x9D91,     #  <CJK>
    0x641C: 0x9D72,     #  <CJK>
    0x6426: 0x9D8E,     #  <CJK>
    0x6428: 0x9D92,     #  <CJK>
    0x642C: 0x94C0,     #  <CJK>
    0x642D: 0x938B,     #  <CJK>
    0x6434: 0x9D8B,     #  <CJK>
    0x6436: 0x9D8F,     #  <CJK>
    0x643A: 0x8C67,     #  <CJK>
    0x643E: 0x8DEF,     #  <CJK>
    0x6442: 0x90DB,     #  <CJK>
    0x644E: 0x9D97,     #  <CJK>
    0x6458: 0x9345,     #  <CJK>
    0x6467: 0x9D94,     #  <CJK>
    0x6469: 0x9680,     #  <CJK>
    0x646F: 0x9D95,     #  <CJK>
    0x6476: 0x9D96,     #  <CJK>
    0x6478: 0x96CC,     #  <CJK>
    0x647A: 0x90A0,     #  <CJK>
    0x6483: 0x8C82,     #  <CJK>
    0x6488: 0x9D9D,     #  <CJK>
    0x6492: 0x8E54,     #  <CJK>
    0x6493: 0x9D9A,     #  <CJK>
    0x6495: 0x9D99,     #  <CJK>
    0x649A: 0x9451,     #  <CJK>
    0x649E: 0x93B3,     #  <CJK>
    0x64A4: 0x9350,     #  <CJK>
    0x64A5: 0x9D9B,     #  <CJK>
    0x64A9: 0x9D9C,     #  <CJK>
    0x64AB: 0x958F,     #  <CJK>
    0x64AD: 0x9464,     #  <CJK>
    0x64AE: 0x8E42,     #  <CJK>
    0x64B0: 0x90EF,     #  <CJK>
    0x64B2: 0x966F,     #  <CJK>
    0x64B9: 0x8A68,     #  <CJK>
    0x64BB: 0x9DA3,     #  <CJK>
    0x64BC: 0x9D9E,     #  <CJK>
    0x64C1: 0x9769,     #  <CJK>
    0x64C2: 0x9DA5,     #  <CJK>
    0x64C5: 0x9DA1,     #  <CJK>
    0x64C7: 0x9DA2,     #  <CJK>
    0x64CD: 0x9180,     #  <CJK>
    0x64D2: 0x9DA0,     #  <CJK>
    0x64D4: 0x9D5E,     #  <CJK>
    0x64D8: 0x9DA4,     #  <CJK>
    0x64DA: 0x9D9F,     #  <CJK>
    0x64E0: 0x9DA9,     #  <CJK>
    0x64E1: 0x9DAA,     #  <CJK>
    0x64E2: 0x9346,     #  <CJK>
    0x64E3: 0x9DAC,     #  <CJK>
    0x64E6: 0x8E43,     #  <CJK>
    0x64E7: 0x9DA7,     #  <CJK>
    0x64EC: 0x8B5B,     #  <CJK>
    0x64EF: 0x9DAD,     #  <CJK>
    0x64F1: 0x9DA6,     #  <CJK>
    0x64F2: 0x9DB1,     #  <CJK>
    0x64F4: 0x9DB0,     #  <CJK>
    0x64F6: 0x9DAF,     #  <CJK>
    0x64FA: 0x9DB2,     #  <CJK>
    0x64FD: 0x9DB4,     #  <CJK>
    0x64FE: 0x8FEF,     #  <CJK>
    0x6500: 0x9DB3,     #  <CJK>
    0x6505: 0x9DB7,     #  <CJK>
    0x6518: 0x9DB5,     #  <CJK>
    0x651C: 0x9DB6,     #  <CJK>
    0x651D: 0x9D90,     #  <CJK>
    0x6523: 0x9DB9,     #  <CJK>
    0x6524: 0x9DB8,     #  <CJK>
    0x652A: 0x9D98,     #  <CJK>
    0x652B: 0x9DBA,     #  <CJK>
    0x652C: 0x9DAE,     #  <CJK>
    0x652F: 0x8E78,     #  <CJK>
    0x6534: 0x9DBB,     #  <CJK>
    0x6535: 0x9DBC,     #  <CJK>
    0x6536: 0x9DBE,     #  <CJK>
    0x6537: 0x9DBD,     #  <CJK>
    0x6538: 0x9DBF,     #  <CJK>
    0x6539: 0x89FC,     #  <CJK>
    0x653B: 0x8D55,     #  <CJK>
    0x653E: 0x95FA,     #  <CJK>
    0x653F: 0x90AD,     #  <CJK>
    0x6545: 0x8CCC,     #  <CJK>
    0x6548: 0x9DC1,     #  <CJK>
    0x654D: 0x9DC4,     #  <CJK>
    0x654F: 0x9571,     #  <CJK>
    0x6551: 0x8B7E,     #  <CJK>
    0x6555: 0x9DC3,     #  <CJK>
    0x6556: 0x9DC2,     #  <CJK>
    0x6557: 0x9473,     #  <CJK>
    0x6558: 0x9DC5,     #  <CJK>
    0x6559: 0x8BB3,     #  <CJK>
    0x655D: 0x9DC7,     #  <CJK>
    0x655E: 0x9DC6,     #  <CJK>
    0x6562: 0x8AB8,     #  <CJK>
    0x6563: 0x8E55,     #  <CJK>
    0x6566: 0x93D6,     #  <CJK>
    0x656C: 0x8C68,     #  <CJK>
    0x6570: 0x9094,     #  <CJK>
    0x6572: 0x9DC8,     #  <CJK>
    0x6574: 0x90AE,     #  <CJK>
    0x6575: 0x9347,     #  <CJK>
    0x6577: 0x957E,     #  <CJK>
    0x6578: 0x9DC9,     #  <CJK>
    0x6582: 0x9DCA,     #  <CJK>
    0x6583: 0x9DCB,     #  <CJK>
    0x6587: 0x95B6,     #  <CJK>
    0x6588: 0x9B7C,     #  <CJK>
    0x6589: 0x90C4,     #  <CJK>
    0x658C: 0x956B,     #  <CJK>
    0x658E: 0x8DD6,     #  <CJK>
    0x6590: 0x94E3,     #  <CJK>
    0x6591: 0x94C1,     #  <CJK>
    0x6597: 0x936C,     #  <CJK>
    0x6599: 0x97BF,     #  <CJK>
    0x659B: 0x9DCD,     #  <CJK>
    0x659C: 0x8ECE,     #  <CJK>
    0x659F: 0x9DCE,     #  <CJK>
    0x65A1: 0x88B4,     #  <CJK>
    0x65A4: 0x8BD2,     #  <CJK>
    0x65A5: 0x90CB,     #  <CJK>
    0x65A7: 0x9580,     #  <CJK>
    0x65AB: 0x9DCF,     #  <CJK>
    0x65AC: 0x8E61,     #  <CJK>
    0x65AD: 0x9266,     #  <CJK>
    0x65AF: 0x8E7A,     #  <CJK>
    0x65B0: 0x9056,     #  <CJK>
    0x65B7: 0x9DD0,     #  <CJK>
    0x65B9: 0x95FB,     #  <CJK>
    0x65BC: 0x8997,     #  <CJK>
    0x65BD: 0x8E7B,     #  <CJK>
    0x65C1: 0x9DD3,     #  <CJK>
    0x65C3: 0x9DD1,     #  <CJK>
    0x65C4: 0x9DD4,     #  <CJK>
    0x65C5: 0x97B7,     #  <CJK>
    0x65C6: 0x9DD2,     #  <CJK>
    0x65CB: 0x90F9,     #  <CJK>
    0x65CC: 0x9DD5,     #  <CJK>
    0x65CF: 0x91B0,     #  <CJK>
    0x65D2: 0x9DD6,     #  <CJK>
    0x65D7: 0x8AF8,     #  <CJK>
    0x65D9: 0x9DD8,     #  <CJK>
    0x65DB: 0x9DD7,     #  <CJK>
    0x65E0: 0x9DD9,     #  <CJK>
    0x65E1: 0x9DDA,     #  <CJK>
    0x65E2: 0x8AF9,     #  <CJK>
    0x65E5: 0x93FA,     #  <CJK>
    0x65E6: 0x9255,     #  <CJK>
    0x65E7: 0x8B8C,     #  <CJK>
    0x65E8: 0x8E7C,     #  <CJK>
    0x65E9: 0x9181,     #  <CJK>
    0x65EC: 0x8F7B,     #  <CJK>
    0x65ED: 0x88AE,     #  <CJK>
    0x65F1: 0x9DDB,     #  <CJK>
    0x65FA: 0x89A0,     #  <CJK>
    0x65FB: 0x9DDF,     #  <CJK>
    0x6602: 0x8D56,     #  <CJK>
    0x6603: 0x9DDE,     #  <CJK>
    0x6606: 0x8DA9,     #  <CJK>
    0x6607: 0x8FB8,     #  <CJK>
    0x660A: 0x9DDD,     #  <CJK>
    0x660C: 0x8FB9,     #  <CJK>
    0x660E: 0x96BE,     #  <CJK>
    0x660F: 0x8DA8,     #  <CJK>
    0x6613: 0x88D5,     #  <CJK>
    0x6614: 0x90CC,     #  <CJK>
    0x661C: 0x9DE4,     #  <CJK>
    0x661F: 0x90AF,     #  <CJK>
    0x6620: 0x8966,     #  <CJK>
    0x6625: 0x8F74,     #  <CJK>
    0x6627: 0x9686,     #  <CJK>
    0x6628: 0x8DF0,     #  <CJK>
    0x662D: 0x8FBA,     #  <CJK>
    0x662F: 0x90A5,     #  <CJK>
    0x6634: 0x9DE3,     #  <CJK>
    0x6635: 0x9DE1,     #  <CJK>
    0x6636: 0x9DE2,     #  <CJK>
    0x663C: 0x928B,     #  <CJK>
    0x663F: 0x9E45,     #  <CJK>
    0x6641: 0x9DE8,     #  <CJK>
    0x6642: 0x8E9E,     #  <CJK>
    0x6643: 0x8D57,     #  <CJK>
    0x6644: 0x9DE6,     #  <CJK>
    0x6649: 0x9DE7,     #  <CJK>
    0x664B: 0x9057,     #  <CJK>
    0x664F: 0x9DE5,     #  <CJK>
    0x6652: 0x8E4E,     #  <CJK>
    0x665D: 0x9DEA,     #  <CJK>
    0x665E: 0x9DE9,     #  <CJK>
    0x665F: 0x9DEE,     #  <CJK>
    0x6662: 0x9DEF,     #  <CJK>
    0x6664: 0x9DEB,     #  <CJK>
    0x6666: 0x8A41,     #  <CJK>
    0x6667: 0x9DEC,     #  <CJK>
    0x6668: 0x9DED,     #  <CJK>
    0x6669: 0x94D3,     #  <CJK>
    0x666E: 0x9581,     #  <CJK>
    0x666F: 0x8C69,     #  <CJK>
    0x6670: 0x9DF0,     #  <CJK>
    0x6674: 0x90B0,     #  <CJK>
    0x6676: 0x8FBB,     #  <CJK>
    0x667A: 0x9271,     #  <CJK>
    0x6681: 0x8BC5,     #  <CJK>
    0x6683: 0x9DF1,     #  <CJK>
    0x6684: 0x9DF5,     #  <CJK>
    0x6687: 0x89C9,     #  <CJK>
    0x6688: 0x9DF2,     #  <CJK>
    0x6689: 0x9DF4,     #  <CJK>
    0x668E: 0x9DF3,     #  <CJK>
    0x6691: 0x8F8B,     #  <CJK>
    0x6696: 0x9267,     #  <CJK>
    0x6697: 0x88C3,     #  <CJK>
    0x6698: 0x9DF6,     #  <CJK>
    0x669D: 0x9DF7,     #  <CJK>
    0x66A2: 0x92A8,     #  <CJK>
    0x66A6: 0x97EF,     #  <CJK>
    0x66AB: 0x8E62,     #  <CJK>
    0x66AE: 0x95E9,     #  <CJK>
    0x66B4: 0x965C,     #  <CJK>
    0x66B8: 0x9E41,     #  <CJK>
    0x66B9: 0x9DF9,     #  <CJK>
    0x66BC: 0x9DFC,     #  <CJK>
    0x66BE: 0x9DFB,     #  <CJK>
    0x66C1: 0x9DF8,     #  <CJK>
    0x66C4: 0x9E40,     #  <CJK>
    0x66C7: 0x93DC,     #  <CJK>
    0x66C9: 0x9DFA,     #  <CJK>
    0x66D6: 0x9E42,     #  <CJK>
    0x66D9: 0x8F8C,     #  <CJK>
    0x66DA: 0x9E43,     #  <CJK>
    0x66DC: 0x976A,     #  <CJK>
    0x66DD: 0x9498,     #  <CJK>
    0x66E0: 0x9E44,     #  <CJK>
    0x66E6: 0x9E46,     #  <CJK>
    0x66E9: 0x9E47,     #  <CJK>
    0x66F0: 0x9E48,     #  <CJK>
    0x66F2: 0x8BC8,     #  <CJK>
    0x66F3: 0x8967,     #  <CJK>
    0x66F4: 0x8D58,     #  <CJK>
    0x66F5: 0x9E49,     #  <CJK>
    0x66F7: 0x9E4A,     #  <CJK>
    0x66F8: 0x8F91,     #  <CJK>
    0x66F9: 0x9182,     #  <CJK>
    0x66FC: 0x99D6,     #  <CJK>
    0x66FD: 0x915D,     #  <CJK>
    0x66FE: 0x915C,     #  <CJK>
    0x66FF: 0x91D6,     #  <CJK>
    0x6700: 0x8DC5,     #  <CJK>
    0x6703: 0x98F0,     #  <CJK>
    0x6708: 0x8C8E,     #  <CJK>
    0x6709: 0x974C,     #  <CJK>
    0x670B: 0x95FC,     #  <CJK>
    0x670D: 0x959E,     #  <CJK>
    0x670F: 0x9E4B,     #  <CJK>
    0x6714: 0x8DF1,     #  <CJK>
    0x6715: 0x92BD,     #  <CJK>
    0x6716: 0x9E4C,     #  <CJK>
    0x6717: 0x984E,     #  <CJK>
    0x671B: 0x965D,     #  <CJK>
    0x671D: 0x92A9,     #  <CJK>
    0x671E: 0x9E4D,     #  <CJK>
    0x671F: 0x8AFA,     #  <CJK>
    0x6726: 0x9E4E,     #  <CJK>
    0x6727: 0x9E4F,     #  <CJK>
    0x6728: 0x96D8,     #  <CJK>
    0x672A: 0x96A2,     #  <CJK>
    0x672B: 0x9696,     #  <CJK>
    0x672C: 0x967B,     #  <CJK>
    0x672D: 0x8E44,     #  <CJK>
    0x672E: 0x9E51,     #  <CJK>
    0x6731: 0x8EE9,     #  <CJK>
    0x6734: 0x9670,     #  <CJK>
    0x6736: 0x9E53,     #  <CJK>
    0x6737: 0x9E56,     #  <CJK>
    0x6738: 0x9E55,     #  <CJK>
    0x673A: 0x8AF7,     #  <CJK>
    0x673D: 0x8B80,     #  <CJK>
    0x673F: 0x9E52,     #  <CJK>
    0x6741: 0x9E54,     #  <CJK>
    0x6746: 0x9E57,     #  <CJK>
    0x6749: 0x9099,     #  <CJK>
    0x674E: 0x979B,     #  <CJK>
    0x674F: 0x88C7,     #  <CJK>
    0x6750: 0x8DDE,     #  <CJK>
    0x6751: 0x91BA,     #  <CJK>
    0x6753: 0x8EDB,     #  <CJK>
    0x6756: 0x8FF1,     #  <CJK>
    0x6759: 0x9E5A,     #  <CJK>
    0x675C: 0x936D,     #  <CJK>
    0x675E: 0x9E58,     #  <CJK>
    0x675F: 0x91A9,     #  <CJK>
    0x6760: 0x9E59,     #  <CJK>
    0x6761: 0x8FF0,     #  <CJK>
    0x6762: 0x96DB,     #  <CJK>
    0x6763: 0x9E5B,     #  <CJK>
    0x6764: 0x9E5C,     #  <CJK>
    0x6765: 0x9788,     #  <CJK>
    0x676A: 0x9E61,     #  <CJK>
    0x676D: 0x8D59,     #  <CJK>
    0x676F: 0x9474,     #  <CJK>
    0x6770: 0x9E5E,     #  <CJK>
    0x6771: 0x938C,     #  <CJK>
    0x6772: 0x9DDC,     #  <CJK>
    0x6773: 0x9DE0,     #  <CJK>
    0x6775: 0x8B6E,     #  <CJK>
    0x6777: 0x9466,     #  <CJK>
    0x677C: 0x9E60,     #  <CJK>
    0x677E: 0x8FBC,     #  <CJK>
    0x677F: 0x94C2,     #  <CJK>
    0x6785: 0x9E66,     #  <CJK>
    0x6787: 0x94F8,     #  <CJK>
    0x6789: 0x9E5D,     #  <CJK>
    0x678B: 0x9E63,     #  <CJK>
    0x678C: 0x9E62,     #  <CJK>
    0x6790: 0x90CD,     #  <CJK>
    0x6795: 0x968D,     #  <CJK>
    0x6797: 0x97D1,     #  <CJK>
    0x679A: 0x9687,     #  <CJK>
    0x679C: 0x89CA,     #  <CJK>
    0x679D: 0x8E7D,     #  <CJK>
    0x67A0: 0x9867,     #  <CJK>
    0x67A1: 0x9E65,     #  <CJK>
    0x67A2: 0x9095,     #  <CJK>
    0x67A6: 0x9E64,     #  <CJK>
    0x67A9: 0x9E5F,     #  <CJK>
    0x67AF: 0x8CCD,     #  <CJK>
    0x67B3: 0x9E6B,     #  <CJK>
    0x67B4: 0x9E69,     #  <CJK>
    0x67B6: 0x89CB,     #  <CJK>
    0x67B7: 0x9E67,     #  <CJK>
    0x67B8: 0x9E6D,     #  <CJK>
    0x67B9: 0x9E73,     #  <CJK>
    0x67C1: 0x91C6,     #  <CJK>
    0x67C4: 0x95BF,     #  <CJK>
    0x67C6: 0x9E75,     #  <CJK>
    0x67CA: 0x9541,     #  <CJK>
    0x67CE: 0x9E74,     #  <CJK>
    0x67CF: 0x9490,     #  <CJK>
    0x67D0: 0x965E,     #  <CJK>
    0x67D1: 0x8AB9,     #  <CJK>
    0x67D3: 0x90F5,     #  <CJK>
    0x67D4: 0x8F5F,     #  <CJK>
    0x67D8: 0x92D1,     #  <CJK>
    0x67DA: 0x974D,     #  <CJK>
    0x67DD: 0x9E70,     #  <CJK>
    0x67DE: 0x9E6F,     #  <CJK>
    0x67E2: 0x9E71,     #  <CJK>
    0x67E4: 0x9E6E,     #  <CJK>
    0x67E7: 0x9E76,     #  <CJK>
    0x67E9: 0x9E6C,     #  <CJK>
    0x67EC: 0x9E6A,     #  <CJK>
    0x67EE: 0x9E72,     #  <CJK>
    0x67EF: 0x9E68,     #  <CJK>
    0x67F1: 0x928C,     #  <CJK>
    0x67F3: 0x96F6,     #  <CJK>
    0x67F4: 0x8EC4,     #  <CJK>
    0x67F5: 0x8DF2,     #  <CJK>
    0x67FB: 0x8DB8,     #  <CJK>
    0x67FE: 0x968F,     #  <CJK>
    0x67FF: 0x8A60,     #  <CJK>
    0x6802: 0x92CC,     #  <CJK>
    0x6803: 0x93C8,     #  <CJK>
    0x6804: 0x8968,     #  <CJK>
    0x6813: 0x90F0,     #  <CJK>
    0x6816: 0x90B2,     #  <CJK>
    0x6817: 0x8C49,     #  <CJK>
    0x681E: 0x9E78,     #  <CJK>
    0x6821: 0x8D5A,     #  <CJK>
    0x6822: 0x8A9C,     #  <CJK>
    0x6829: 0x9E7A,     #  <CJK>
    0x682A: 0x8A94,     #  <CJK>
    0x682B: 0x9E81,     #  <CJK>
    0x6832: 0x9E7D,     #  <CJK>
    0x6834: 0x90F1,     #  <CJK>
    0x6838: 0x8A6A,     #  <CJK>
    0x6839: 0x8DAA,     #  <CJK>
    0x683C: 0x8A69,     #  <CJK>
    0x683D: 0x8DCD,     #  <CJK>
    0x6840: 0x9E7B,     #  <CJK>
    0x6841: 0x8C85,     #  <CJK>
    0x6842: 0x8C6A,     #  <CJK>
    0x6843: 0x938D,     #  <CJK>
    0x6846: 0x9E79,     #  <CJK>
    0x6848: 0x88C4,     #  <CJK>
    0x684D: 0x9E7C,     #  <CJK>
    0x684E: 0x9E7E,     #  <CJK>
    0x6850: 0x8BCB,     #  <CJK>
    0x6851: 0x8C4B,     #  <CJK>
    0x6853: 0x8ABA,     #  <CJK>
    0x6854: 0x8B6A,     #  <CJK>
    0x6859: 0x9E82,     #  <CJK>
    0x685C: 0x8DF7,     #  <CJK>
    0x685D: 0x9691,     #  <CJK>
    0x685F: 0x8E56,     #  <CJK>
    0x6863: 0x9E83,     #  <CJK>
    0x6867: 0x954F,     #  <CJK>
    0x6874: 0x9E8F,     #  <CJK>
    0x6876: 0x89B1,     #  <CJK>
    0x6877: 0x9E84,     #  <CJK>
    0x687E: 0x9E95,     #  <CJK>
    0x687F: 0x9E85,     #  <CJK>
    0x6881: 0x97C0,     #  <CJK>
    0x6883: 0x9E8C,     #  <CJK>
    0x6885: 0x947E,     #  <CJK>
    0x688D: 0x9E94,     #  <CJK>
    0x688F: 0x9E87,     #  <CJK>
    0x6893: 0x88B2,     #  <CJK>
    0x6894: 0x9E89,     #  <CJK>
    0x6897: 0x8D5B,     #  <CJK>
    0x689B: 0x9E8B,     #  <CJK>
    0x689D: 0x9E8A,     #  <CJK>
    0x689F: 0x9E86,     #  <CJK>
    0x68A0: 0x9E91,     #  <CJK>
    0x68A2: 0x8FBD,     #  <CJK>
    0x68A6: 0x9AEB,     #  <CJK>
    0x68A7: 0x8CE6,     #  <CJK>
    0x68A8: 0x979C,     #  <CJK>
    0x68AD: 0x9E88,     #  <CJK>
    0x68AF: 0x92F2,     #  <CJK>
    0x68B0: 0x8A42,     #  <CJK>
    0x68B1: 0x8DAB,     #  <CJK>
    0x68B3: 0x9E80,     #  <CJK>
    0x68B5: 0x9E90,     #  <CJK>
    0x68B6: 0x8A81,     #  <CJK>
    0x68B9: 0x9E8E,     #  <CJK>
    0x68BA: 0x9E92,     #  <CJK>
    0x68BC: 0x938E,     #  <CJK>
    0x68C4: 0x8AFC,     #  <CJK>
    0x68C6: 0x9EB0,     #  <CJK>
    0x68C9: 0x96C7,     #  <CJK>
    0x68CA: 0x9E97,     #  <CJK>
    0x68CB: 0x8AFB,     #  <CJK>
    0x68CD: 0x9E9E,     #  <CJK>
    0x68D2: 0x965F,     #  <CJK>
    0x68D4: 0x9E9F,     #  <CJK>
    0x68D5: 0x9EA1,     #  <CJK>
    0x68D7: 0x9EA5,     #  <CJK>
    0x68D8: 0x9E99,     #  <CJK>
    0x68DA: 0x9249,     #  <CJK>
    0x68DF: 0x938F,     #  <CJK>
    0x68E0: 0x9EA9,     #  <CJK>
    0x68E1: 0x9E9C,     #  <CJK>
    0x68E3: 0x9EA6,     #  <CJK>
    0x68E7: 0x9EA0,     #  <CJK>
    0x68EE: 0x9058,     #  <CJK>
    0x68EF: 0x9EAA,     #  <CJK>
    0x68F2: 0x90B1,     #  <CJK>
    0x68F9: 0x9EA8,     #  <CJK>
    0x68FA: 0x8ABB,     #  <CJK>
    0x6900: 0x986F,     #  <CJK>
    0x6901: 0x9E96,     #  <CJK>
    0x6904: 0x9EA4,     #  <CJK>
    0x6905: 0x88D6,     #  <CJK>
    0x6908: 0x9E98,     #  <CJK>
    0x690B: 0x96B8,     #  <CJK>
    0x690C: 0x9E9D,     #  <CJK>
    0x690D: 0x9041,     #  <CJK>
    0x690E: 0x92C5,     #  <CJK>
    0x690F: 0x9E93,     #  <CJK>
    0x6912: 0x9EA3,     #  <CJK>
    0x6919: 0x909A,     #  <CJK>
    0x691A: 0x9EAD,     #  <CJK>
    0x691B: 0x8A91,     #  <CJK>
    0x691C: 0x8C9F,     #  <CJK>
    0x6921: 0x9EAF,     #  <CJK>
    0x6922: 0x9E9A,     #  <CJK>
    0x6923: 0x9EAE,     #  <CJK>
    0x6925: 0x9EA7,     #  <CJK>
    0x6926: 0x9E9B,     #  <CJK>
    0x6928: 0x9EAB,     #  <CJK>
    0x692A: 0x9EAC,     #  <CJK>
    0x6930: 0x9EBD,     #  <CJK>
    0x6934: 0x93CC,     #  <CJK>
    0x6936: 0x9EA2,     #  <CJK>
    0x6939: 0x9EB9,     #  <CJK>
    0x693D: 0x9EBB,     #  <CJK>
    0x693F: 0x92D6,     #  <CJK>
    0x694A: 0x976B,     #  <CJK>
    0x6953: 0x9596,     #  <CJK>
    0x6954: 0x9EB6,     #  <CJK>
    0x6955: 0x91C8,     #  <CJK>
    0x6959: 0x9EBC,     #  <CJK>
    0x695A: 0x915E,     #  <CJK>
    0x695C: 0x9EB3,     #  <CJK>
    0x695D: 0x9EC0,     #  <CJK>
    0x695E: 0x9EBF,     #  <CJK>
    0x6960: 0x93ED,     #  <CJK>
    0x6961: 0x9EBE,     #  <CJK>
    0x6962: 0x93E8,     #  <CJK>
    0x696A: 0x9EC2,     #  <CJK>
    0x696B: 0x9EB5,     #  <CJK>
    0x696D: 0x8BC6,     #  <CJK>
    0x696E: 0x9EB8,     #  <CJK>
    0x696F: 0x8F7C,     #  <CJK>
    0x6973: 0x9480,     #  <CJK>
    0x6974: 0x9EBA,     #  <CJK>
    0x6975: 0x8BC9,     #  <CJK>
    0x6977: 0x9EB2,     #  <CJK>
    0x6978: 0x9EB4,     #  <CJK>
    0x6979: 0x9EB1,     #  <CJK>
    0x697C: 0x984F,     #  <CJK>
    0x697D: 0x8A79,     #  <CJK>
    0x697E: 0x9EB7,     #  <CJK>
    0x6981: 0x9EC1,     #  <CJK>
    0x6982: 0x8A54,     #  <CJK>
    0x698A: 0x8DE5,     #  <CJK>
    0x698E: 0x897C,     #  <CJK>
    0x6991: 0x9ED2,     #  <CJK>
    0x6994: 0x9850,     #  <CJK>
    0x6995: 0x9ED5,     #  <CJK>
    0x699B: 0x9059,     #  <CJK>
    0x699C: 0x9ED4,     #  <CJK>
    0x69A0: 0x9ED3,     #  <CJK>
    0x69A7: 0x9ED0,     #  <CJK>
    0x69AE: 0x9EC4,     #  <CJK>
    0x69B1: 0x9EE1,     #  <CJK>
    0x69B2: 0x9EC3,     #  <CJK>
    0x69B4: 0x9ED6,     #  <CJK>
    0x69BB: 0x9ECE,     #  <CJK>
    0x69BE: 0x9EC9,     #  <CJK>
    0x69BF: 0x9EC6,     #  <CJK>
    0x69C1: 0x9EC7,     #  <CJK>
    0x69C3: 0x9ECF,     #  <CJK>
    0x69C7: 0xEAA0,     #  <CJK>
    0x69CA: 0x9ECC,     #  <CJK>
    0x69CB: 0x8D5C,     #  <CJK>
    0x69CC: 0x92C6,     #  <CJK>
    0x69CD: 0x9184,     #  <CJK>
    0x69CE: 0x9ECA,     #  <CJK>
    0x69D0: 0x9EC5,     #  <CJK>
    0x69D3: 0x9EC8,     #  <CJK>
    0x69D8: 0x976C,     #  <CJK>
    0x69D9: 0x968A,     #  <CJK>
    0x69DD: 0x9ECD,     #  <CJK>
    0x69DE: 0x9ED7,     #  <CJK>
    0x69E7: 0x9EDF,     #  <CJK>
    0x69E8: 0x9ED8,     #  <CJK>
    0x69EB: 0x9EE5,     #  <CJK>
    0x69ED: 0x9EE3,     #  <CJK>
    0x69F2: 0x9EDE,     #  <CJK>
    0x69F9: 0x9EDD,     #  <CJK>
    0x69FB: 0x92CE,     #  <CJK>
    0x69FD: 0x9185,     #  <CJK>
    0x69FF: 0x9EDB,     #  <CJK>
    0x6A02: 0x9ED9,     #  <CJK>
    0x6A05: 0x9EE0,     #  <CJK>
    0x6A0A: 0x9EE6,     #  <CJK>
    0x6A0B: 0x94F3,     #  <CJK>
    0x6A0C: 0x9EEC,     #  <CJK>
    0x6A12: 0x9EE7,     #  <CJK>
    0x6A13: 0x9EEA,     #  <CJK>
    0x6A14: 0x9EE4,     #  <CJK>
    0x6A17: 0x9294,     #  <CJK>
    0x6A19: 0x9557,     #  <CJK>
    0x6A1B: 0x9EDA,     #  <CJK>
    0x6A1E: 0x9EE2,     #  <CJK>
    0x6A1F: 0x8FBE,     #  <CJK>
    0x6A21: 0x96CD,     #  <CJK>
    0x6A22: 0x9EF6,     #  <CJK>
    0x6A23: 0x9EE9,     #  <CJK>
    0x6A29: 0x8CA0,     #  <CJK>
    0x6A2A: 0x89A1,     #  <CJK>
    0x6A2B: 0x8A7E,     #  <CJK>
    0x6A2E: 0x9ED1,     #  <CJK>
    0x6A35: 0x8FBF,     #  <CJK>
    0x6A36: 0x9EEE,     #  <CJK>
    0x6A38: 0x9EF5,     #  <CJK>
    0x6A39: 0x8EF7,     #  <CJK>
    0x6A3A: 0x8A92,     #  <CJK>
    0x6A3D: 0x924D,     #  <CJK>
    0x6A44: 0x9EEB,     #  <CJK>
    0x6A47: 0x9EF0,     #  <CJK>
    0x6A48: 0x9EF4,     #  <CJK>
    0x6A4B: 0x8BB4,     #  <CJK>
    0x6A58: 0x8B6B,     #  <CJK>
    0x6A59: 0x9EF2,     #  <CJK>
    0x6A5F: 0x8B40,     #  <CJK>
    0x6A61: 0x93C9,     #  <CJK>
    0x6A62: 0x9EF1,     #  <CJK>
    0x6A66: 0x9EF3,     #  <CJK>
    0x6A72: 0x9EED,     #  <CJK>
    0x6A78: 0x9EEF,     #  <CJK>
    0x6A7F: 0x8A80,     #  <CJK>
    0x6A80: 0x9268,     #  <CJK>
    0x6A84: 0x9EFA,     #  <CJK>
    0x6A8D: 0x9EF8,     #  <CJK>
    0x6A8E: 0x8CE7,     #  <CJK>
    0x6A90: 0x9EF7,     #  <CJK>
    0x6A97: 0x9F40,     #  <CJK>
    0x6A9C: 0x9E77,     #  <CJK>
    0x6AA0: 0x9EF9,     #  <CJK>
    0x6AA2: 0x9EFB,     #  <CJK>
    0x6AA3: 0x9EFC,     #  <CJK>
    0x6AAA: 0x9F4B,     #  <CJK>
    0x6AAC: 0x9F47,     #  <CJK>
    0x6AAE: 0x9E8D,     #  <CJK>
    0x6AB3: 0x9F46,     #  <CJK>
    0x6AB8: 0x9F45,     #  <CJK>
    0x6ABB: 0x9F42,     #  <CJK>
    0x6AC1: 0x9EE8,     #  <CJK>
    0x6AC2: 0x9F44,     #  <CJK>
    0x6AC3: 0x9F43,     #  <CJK>
    0x6AD1: 0x9F49,     #  <CJK>
    0x6AD3: 0x9845,     #  <CJK>
    0x6ADA: 0x9F4C,     #  <CJK>
    0x6ADB: 0x8BF9,     #  <CJK>
    0x6ADE: 0x9F48,     #  <CJK>
    0x6ADF: 0x9F4A,     #  <CJK>
    0x6AE8: 0x94A5,     #  <CJK>
    0x6AEA: 0x9F4D,     #  <CJK>
    0x6AFA: 0x9F51,     #  <CJK>
    0x6AFB: 0x9F4E,     #  <CJK>
    0x6B04: 0x9793,     #  <CJK>
    0x6B05: 0x9F4F,     #  <CJK>
    0x6B0A: 0x9EDC,     #  <CJK>
    0x6B12: 0x9F52,     #  <CJK>
    0x6B16: 0x9F53,     #  <CJK>
    0x6B1D: 0x8954,     #  <CJK>
    0x6B1F: 0x9F55,     #  <CJK>
    0x6B20: 0x8C87,     #  <CJK>
    0x6B21: 0x8E9F,     #  <CJK>
    0x6B23: 0x8BD3,     #  <CJK>
    0x6B27: 0x89A2,     #  <CJK>
    0x6B32: 0x977E,     #  <CJK>
    0x6B37: 0x9F57,     #  <CJK>
    0x6B38: 0x9F56,     #  <CJK>
    0x6B39: 0x9F59,     #  <CJK>
    0x6B3A: 0x8B5C,     #  <CJK>
    0x6B3D: 0x8BD4,     #  <CJK>
    0x6B3E: 0x8ABC,     #  <CJK>
    0x6B43: 0x9F5C,     #  <CJK>
    0x6B47: 0x9F5B,     #  <CJK>
    0x6B49: 0x9F5D,     #  <CJK>
    0x6B4C: 0x89CC,     #  <CJK>
    0x6B4E: 0x9256,     #  <CJK>
    0x6B50: 0x9F5E,     #  <CJK>
    0x6B53: 0x8ABD,     #  <CJK>
    0x6B54: 0x9F60,     #  <CJK>
    0x6B59: 0x9F5F,     #  <CJK>
    0x6B5B: 0x9F61,     #  <CJK>
    0x6B5F: 0x9F62,     #  <CJK>
    0x6B61: 0x9F63,     #  <CJK>
    0x6B62: 0x8E7E,     #  <CJK>
    0x6B63: 0x90B3,     #  <CJK>
    0x6B64: 0x8D9F,     #  <CJK>
    0x6B66: 0x9590,     #  <CJK>
    0x6B69: 0x95E0,     #  <CJK>
    0x6B6A: 0x9863,     #  <CJK>
    0x6B6F: 0x8E95,     #  <CJK>
    0x6B73: 0x8DCE,     #  <CJK>
    0x6B74: 0x97F0,     #  <CJK>
    0x6B78: 0x9F64,     #  <CJK>
    0x6B79: 0x9F65,     #  <CJK>
    0x6B7B: 0x8E80,     #  <CJK>
    0x6B7F: 0x9F66,     #  <CJK>
    0x6B80: 0x9F67,     #  <CJK>
    0x6B83: 0x9F69,     #  <CJK>
    0x6B84: 0x9F68,     #  <CJK>
    0x6B86: 0x9677,     #  <CJK>
    0x6B89: 0x8F7D,     #  <CJK>
    0x6B8A: 0x8EEA,     #  <CJK>
    0x6B8B: 0x8E63,     #  <CJK>
    0x6B8D: 0x9F6A,     #  <CJK>
    0x6B95: 0x9F6C,     #  <CJK>
    0x6B96: 0x9042,     #  <CJK>
    0x6B98: 0x9F6B,     #  <CJK>
    0x6B9E: 0x9F6D,     #  <CJK>
    0x6BA4: 0x9F6E,     #  <CJK>
    0x6BAA: 0x9F6F,     #  <CJK>
    0x6BAB: 0x9F70,     #  <CJK>
    0x6BAF: 0x9F71,     #  <CJK>
    0x6BB1: 0x9F73,     #  <CJK>
    0x6BB2: 0x9F72,     #  <CJK>
    0x6BB3: 0x9F74,     #  <CJK>
    0x6BB4: 0x89A3,     #  <CJK>
    0x6BB5: 0x9269,     #  <CJK>
    0x6BB7: 0x9F75,     #  <CJK>
    0x6BBA: 0x8E45,     #  <CJK>
    0x6BBB: 0x8A6B,     #  <CJK>
    0x6BBC: 0x9F76,     #  <CJK>
    0x6BBF: 0x9361,     #  <CJK>
    0x6BC0: 0x9ACA,     #  <CJK>
    0x6BC5: 0x8B42,     #  <CJK>
    0x6BC6: 0x9F77,     #  <CJK>
    0x6BCB: 0x9F78,     #  <CJK>
    0x6BCD: 0x95EA,     #  <CJK>
    0x6BCE: 0x9688,     #  <CJK>
    0x6BD2: 0x93C5,     #  <CJK>
    0x6BD3: 0x9F79,     #  <CJK>
    0x6BD4: 0x94E4,     #  <CJK>
    0x6BD8: 0x94F9,     #  <CJK>
    0x6BDB: 0x96D1,     #  <CJK>
    0x6BDF: 0x9F7A,     #  <CJK>
    0x6BEB: 0x9F7C,     #  <CJK>
    0x6BEC: 0x9F7B,     #  <CJK>
    0x6BEF: 0x9F7E,     #  <CJK>
    0x6BF3: 0x9F7D,     #  <CJK>
    0x6C08: 0x9F81,     #  <CJK>
    0x6C0F: 0x8E81,     #  <CJK>
    0x6C11: 0x96AF,     #  <CJK>
    0x6C13: 0x9F82,     #  <CJK>
    0x6C14: 0x9F83,     #  <CJK>
    0x6C17: 0x8B43,     #  <CJK>
    0x6C1B: 0x9F84,     #  <CJK>
    0x6C23: 0x9F86,     #  <CJK>
    0x6C24: 0x9F85,     #  <CJK>
    0x6C34: 0x9085,     #  <CJK>
    0x6C37: 0x9558,     #  <CJK>
    0x6C38: 0x8969,     #  <CJK>
    0x6C3E: 0x94C3,     #  <CJK>
    0x6C40: 0x92F3,     #  <CJK>
    0x6C41: 0x8F60,     #  <CJK>
    0x6C42: 0x8B81,     #  <CJK>
    0x6C4E: 0x94C4,     #  <CJK>
    0x6C50: 0x8EAC,     #  <CJK>
    0x6C55: 0x9F88,     #  <CJK>
    0x6C57: 0x8ABE,     #  <CJK>
    0x6C5A: 0x8998,     #  <CJK>
    0x6C5D: 0x93F0,     #  <CJK>
    0x6C5E: 0x9F87,     #  <CJK>
    0x6C5F: 0x8D5D,     #  <CJK>
    0x6C60: 0x9272,     #  <CJK>
    0x6C62: 0x9F89,     #  <CJK>
    0x6C68: 0x9F91,     #  <CJK>
    0x6C6A: 0x9F8A,     #  <CJK>
    0x6C70: 0x91BF,     #  <CJK>
    0x6C72: 0x8B82,     #  <CJK>
    0x6C73: 0x9F92,     #  <CJK>
    0x6C7A: 0x8C88,     #  <CJK>
    0x6C7D: 0x8B44,     #  <CJK>
    0x6C7E: 0x9F90,     #  <CJK>
    0x6C81: 0x9F8E,     #  <CJK>
    0x6C82: 0x9F8B,     #  <CJK>
    0x6C83: 0x9780,     #  <CJK>
    0x6C88: 0x92BE,     #  <CJK>
    0x6C8C: 0x93D7,     #  <CJK>
    0x6C8D: 0x9F8C,     #  <CJK>
    0x6C90: 0x9F94,     #  <CJK>
    0x6C92: 0x9F93,     #  <CJK>
    0x6C93: 0x8C42,     #  <CJK>
    0x6C96: 0x89AB,     #  <CJK>
    0x6C99: 0x8DB9,     #  <CJK>
    0x6C9A: 0x9F8D,     #  <CJK>
    0x6C9B: 0x9F8F,     #  <CJK>
    0x6CA1: 0x9676,     #  <CJK>
    0x6CA2: 0x91F2,     #  <CJK>
    0x6CAB: 0x9697,     #  <CJK>
    0x6CAE: 0x9F9C,     #  <CJK>
    0x6CB1: 0x9F9D,     #  <CJK>
    0x6CB3: 0x89CD,     #  <CJK>
    0x6CB8: 0x95A6,     #  <CJK>
    0x6CB9: 0x96FB,     #  <CJK>
    0x6CBA: 0x9F9F,     #  <CJK>
    0x6CBB: 0x8EA1,     #  <CJK>
    0x6CBC: 0x8FC0,     #  <CJK>
    0x6CBD: 0x9F98,     #  <CJK>
    0x6CBE: 0x9F9E,     #  <CJK>
    0x6CBF: 0x8988,     #  <CJK>
    0x6CC1: 0x8BB5,     #  <CJK>
    0x6CC4: 0x9F95,     #  <CJK>
    0x6CC5: 0x9F9A,     #  <CJK>
    0x6CC9: 0x90F2,     #  <CJK>
    0x6CCA: 0x9491,     #  <CJK>
    0x6CCC: 0x94E5,     #  <CJK>
    0x6CD3: 0x9F97,     #  <CJK>
    0x6CD5: 0x9640,     #  <CJK>
    0x6CD7: 0x9F99,     #  <CJK>
    0x6CD9: 0x9FA2,     #  <CJK>
    0x6CDB: 0x9FA0,     #  <CJK>
    0x6CDD: 0x9F9B,     #  <CJK>
    0x6CE1: 0x9641,     #  <CJK>
    0x6CE2: 0x9467,     #  <CJK>
    0x6CE3: 0x8B83,     #  <CJK>
    0x6CE5: 0x9344,     #  <CJK>
    0x6CE8: 0x928D,     #  <CJK>
    0x6CEA: 0x9FA3,     #  <CJK>
    0x6CEF: 0x9FA1,     #  <CJK>
    0x6CF0: 0x91D7,     #  <CJK>
    0x6CF1: 0x9F96,     #  <CJK>
    0x6CF3: 0x896A,     #  <CJK>
    0x6D0B: 0x976D,     #  <CJK>
    0x6D0C: 0x9FAE,     #  <CJK>
    0x6D12: 0x9FAD,     #  <CJK>
    0x6D17: 0x90F4,     #  <CJK>
    0x6D19: 0x9FAA,     #  <CJK>
    0x6D1B: 0x978C,     #  <CJK>
    0x6D1E: 0x93B4,     #  <CJK>
    0x6D1F: 0x9FA4,     #  <CJK>
    0x6D25: 0x92C3,     #  <CJK>
    0x6D29: 0x896B,     #  <CJK>
    0x6D2A: 0x8D5E,     #  <CJK>
    0x6D2B: 0x9FA7,     #  <CJK>
    0x6D32: 0x8F46,     #  <CJK>
    0x6D33: 0x9FAC,     #  <CJK>
    0x6D35: 0x9FAB,     #  <CJK>
    0x6D36: 0x9FA6,     #  <CJK>
    0x6D38: 0x9FA9,     #  <CJK>
    0x6D3B: 0x8A88,     #  <CJK>
    0x6D3D: 0x9FA8,     #  <CJK>
    0x6D3E: 0x9468,     #  <CJK>
    0x6D41: 0x97AC,     #  <CJK>
    0x6D44: 0x8FF2,     #  <CJK>
    0x6D45: 0x90F3,     #  <CJK>
    0x6D59: 0x9FB4,     #  <CJK>
    0x6D5A: 0x9FB2,     #  <CJK>
    0x6D5C: 0x956C,     #  <CJK>
    0x6D63: 0x9FAF,     #  <CJK>
    0x6D64: 0x9FB1,     #  <CJK>
    0x6D66: 0x8959,     #  <CJK>
    0x6D69: 0x8D5F,     #  <CJK>
    0x6D6A: 0x9851,     #  <CJK>
    0x6D6C: 0x8A5C,     #  <CJK>
    0x6D6E: 0x9582,     #  <CJK>
    0x6D74: 0x9781,     #  <CJK>
    0x6D77: 0x8A43,     #  <CJK>
    0x6D78: 0x905A,     #  <CJK>
    0x6D79: 0x9FB3,     #  <CJK>
    0x6D85: 0x9FB8,     #  <CJK>
    0x6D88: 0x8FC1,     #  <CJK>
    0x6D8C: 0x974F,     #  <CJK>
    0x6D8E: 0x9FB5,     #  <CJK>
    0x6D93: 0x9FB0,     #  <CJK>
    0x6D95: 0x9FB6,     #  <CJK>
    0x6D99: 0x97DC,     #  <CJK>
    0x6D9B: 0x9393,     #  <CJK>
    0x6D9C: 0x93C0,     #  <CJK>
    0x6DAF: 0x8A55,     #  <CJK>
    0x6DB2: 0x8974,     #  <CJK>
    0x6DB5: 0x9FBC,     #  <CJK>
    0x6DB8: 0x9FBF,     #  <CJK>
    0x6DBC: 0x97C1,     #  <CJK>
    0x6DC0: 0x9784,     #  <CJK>
    0x6DC5: 0x9FC6,     #  <CJK>
    0x6DC6: 0x9FC0,     #  <CJK>
    0x6DC7: 0x9FBD,     #  <CJK>
    0x6DCB: 0x97D2,     #  <CJK>
    0x6DCC: 0x9FC3,     #  <CJK>
    0x6DD1: 0x8F69,     #  <CJK>
    0x6DD2: 0x9FC5,     #  <CJK>
    0x6DD5: 0x9FCA,     #  <CJK>
    0x6DD8: 0x9391,     #  <CJK>
    0x6DD9: 0x9FC8,     #  <CJK>
    0x6DDE: 0x9FC2,     #  <CJK>
    0x6DE1: 0x9257,     #  <CJK>
    0x6DE4: 0x9FC9,     #  <CJK>
    0x6DE6: 0x9FBE,     #  <CJK>
    0x6DE8: 0x9FC4,     #  <CJK>
    0x6DEA: 0x9FCB,     #  <CJK>
    0x6DEB: 0x88FA,     #  <CJK>
    0x6DEC: 0x9FC1,     #  <CJK>
    0x6DEE: 0x9FCC,     #  <CJK>
    0x6DF1: 0x905B,     #  <CJK>
    0x6DF3: 0x8F7E,     #  <CJK>
    0x6DF5: 0x95A3,     #  <CJK>
    0x6DF7: 0x8DAC,     #  <CJK>
    0x6DF9: 0x9FB9,     #  <CJK>
    0x6DFA: 0x9FC7,     #  <CJK>
    0x6DFB: 0x9359,     #  <CJK>
    0x6E05: 0x90B4,     #  <CJK>
    0x6E07: 0x8A89,     #  <CJK>
    0x6E08: 0x8DCF,     #  <CJK>
    0x6E09: 0x8FC2,     #  <CJK>
    0x6E0A: 0x9FBB,     #  <CJK>
    0x6E0B: 0x8F61,     #  <CJK>
    0x6E13: 0x8C6B,     #  <CJK>
    0x6E15: 0x9FBA,     #  <CJK>
    0x6E19: 0x9FD0,     #  <CJK>
    0x6E1A: 0x8F8D,     #  <CJK>
    0x6E1B: 0x8CB8,     #  <CJK>
    0x6E1D: 0x9FDF,     #  <CJK>
    0x6E1F: 0x9FD9,     #  <CJK>
    0x6E20: 0x8B94,     #  <CJK>
    0x6E21: 0x936E,     #  <CJK>
    0x6E23: 0x9FD4,     #  <CJK>
    0x6E24: 0x9FDD,     #  <CJK>
    0x6E25: 0x88AD,     #  <CJK>
    0x6E26: 0x8951,     #  <CJK>
    0x6E29: 0x89B7,     #  <CJK>
    0x6E2B: 0x9FD6,     #  <CJK>
    0x6E2C: 0x91AA,     #  <CJK>
    0x6E2D: 0x9FCD,     #  <CJK>
    0x6E2E: 0x9FCF,     #  <CJK>
    0x6E2F: 0x8D60,     #  <CJK>
    0x6E38: 0x9FE0,     #  <CJK>
    0x6E3A: 0x9FDB,     #  <CJK>
    0x6E3E: 0x9FD3,     #  <CJK>
    0x6E43: 0x9FDA,     #  <CJK>
    0x6E4A: 0x96A9,     #  <CJK>
    0x6E4D: 0x9FD8,     #  <CJK>
    0x6E4E: 0x9FDC,     #  <CJK>
    0x6E56: 0x8CCE,     #  <CJK>
    0x6E58: 0x8FC3,     #  <CJK>
    0x6E5B: 0x9258,     #  <CJK>
    0x6E5F: 0x9FD2,     #  <CJK>
    0x6E67: 0x974E,     #  <CJK>
    0x6E6B: 0x9FD5,     #  <CJK>
    0x6E6E: 0x9FCE,     #  <CJK>
    0x6E6F: 0x9392,     #  <CJK>
    0x6E72: 0x9FD1,     #  <CJK>
    0x6E76: 0x9FD7,     #  <CJK>
    0x6E7E: 0x9870,     #  <CJK>
    0x6E7F: 0x8EBC,     #  <CJK>
    0x6E80: 0x969E,     #  <CJK>
    0x6E82: 0x9FE1,     #  <CJK>
    0x6E8C: 0x94AC,     #  <CJK>
    0x6E8F: 0x9FED,     #  <CJK>
    0x6E90: 0x8CB9,     #  <CJK>
    0x6E96: 0x8F80,     #  <CJK>
    0x6E98: 0x9FE3,     #  <CJK>
    0x6E9C: 0x97AD,     #  <CJK>
    0x6E9D: 0x8D61,     #  <CJK>
    0x6E9F: 0x9FF0,     #  <CJK>
    0x6EA2: 0x88EC,     #  <CJK>
    0x6EA5: 0x9FEE,     #  <CJK>
    0x6EAA: 0x9FE2,     #  <CJK>
    0x6EAF: 0x9FE8,     #  <CJK>
    0x6EB2: 0x9FEA,     #  <CJK>
    0x6EB6: 0x976E,     #  <CJK>
    0x6EB7: 0x9FE5,     #  <CJK>
    0x6EBA: 0x934D,     #  <CJK>
    0x6EBD: 0x9FE7,     #  <CJK>
    0x6EC2: 0x9FEF,     #  <CJK>
    0x6EC4: 0x9FE9,     #  <CJK>
    0x6EC5: 0x96C5,     #  <CJK>
    0x6EC9: 0x9FE4,     #  <CJK>
    0x6ECB: 0x8EA0,     #  <CJK>
    0x6ECC: 0x9FFC,     #  <CJK>
    0x6ED1: 0x8A8A,     #  <CJK>
    0x6ED3: 0x9FE6,     #  <CJK>
    0x6ED4: 0x9FEB,     #  <CJK>
    0x6ED5: 0x9FEC,     #  <CJK>
    0x6EDD: 0x91EA,     #  <CJK>
    0x6EDE: 0x91D8,     #  <CJK>
    0x6EEC: 0x9FF4,     #  <CJK>
    0x6EEF: 0x9FFA,     #  <CJK>
    0x6EF2: 0x9FF8,     #  <CJK>
    0x6EF4: 0x9348,     #  <CJK>
    0x6EF7: 0xE042,     #  <CJK>
    0x6EF8: 0x9FF5,     #  <CJK>
    0x6EFE: 0x9FF6,     #  <CJK>
    0x6EFF: 0x9FDE,     #  <CJK>
    0x6F01: 0x8B99,     #  <CJK>
    0x6F02: 0x9559,     #  <CJK>
    0x6F06: 0x8EBD,     #  <CJK>
    0x6F09: 0x8D97,     #  <CJK>
    0x6F0F: 0x9852,     #  <CJK>
    0x6F11: 0x9FF2,     #  <CJK>
    0x6F13: 0xE041,     #  <CJK>
    0x6F14: 0x8989,     #  <CJK>
    0x6F15: 0x9186,     #  <CJK>
    0x6F20: 0x9499,     #  <CJK>
    0x6F22: 0x8ABF,     #  <CJK>
    0x6F23: 0x97F8,     #  <CJK>
    0x6F2B: 0x969F,     #  <CJK>
    0x6F2C: 0x92D0,     #  <CJK>
    0x6F31: 0x9FF9,     #  <CJK>
    0x6F32: 0x9FFB,     #  <CJK>
    0x6F38: 0x9151,     #  <CJK>
    0x6F3E: 0xE040,     #  <CJK>
    0x6F3F: 0x9FF7,     #  <CJK>
    0x6F41: 0x9FF1,     #  <CJK>
    0x6F45: 0x8AC1,     #  <CJK>
    0x6F54: 0x8C89,     #  <CJK>
    0x6F58: 0xE04E,     #  <CJK>
    0x6F5B: 0xE049,     #  <CJK>
    0x6F5C: 0x90F6,     #  <CJK>
    0x6F5F: 0x8A83,     #  <CJK>
    0x6F64: 0x8F81,     #  <CJK>
    0x6F66: 0xE052,     #  <CJK>
    0x6F6D: 0xE04B,     #  <CJK>
    0x6F6E: 0x92AA,     #  <CJK>
    0x6F6F: 0xE048,     #  <CJK>
    0x6F70: 0x92D7,     #  <CJK>
    0x6F74: 0xE06B,     #  <CJK>
    0x6F78: 0xE045,     #  <CJK>
    0x6F7A: 0xE044,     #  <CJK>
    0x6F7C: 0xE04D,     #  <CJK>
    0x6F80: 0xE047,     #  <CJK>
    0x6F81: 0xE046,     #  <CJK>
    0x6F82: 0xE04C,     #  <CJK>
    0x6F84: 0x909F,     #  <CJK>
    0x6F86: 0xE043,     #  <CJK>
    0x6F8E: 0xE04F,     #  <CJK>
    0x6F91: 0xE050,     #  <CJK>
    0x6F97: 0x8AC0,     #  <CJK>
    0x6FA1: 0xE055,     #  <CJK>
    0x6FA3: 0xE054,     #  <CJK>
    0x6FA4: 0xE056,     #  <CJK>
    0x6FAA: 0xE059,     #  <CJK>
    0x6FB1: 0x9362,     #  <CJK>
    0x6FB3: 0xE053,     #  <CJK>
    0x6FB9: 0xE057,     #  <CJK>
    0x6FC0: 0x8C83,     #  <CJK>
    0x6FC1: 0x91F7,     #  <CJK>
    0x6FC2: 0xE051,     #  <CJK>
    0x6FC3: 0x945A,     #  <CJK>
    0x6FC6: 0xE058,     #  <CJK>
    0x6FD4: 0xE05D,     #  <CJK>
    0x6FD5: 0xE05B,     #  <CJK>
    0x6FD8: 0xE05E,     #  <CJK>
    0x6FDB: 0xE061,     #  <CJK>
    0x6FDF: 0xE05A,     #  <CJK>
    0x6FE0: 0x8D8A,     #  <CJK>
    0x6FE1: 0x9447,     #  <CJK>
    0x6FE4: 0x9FB7,     #  <CJK>
    0x6FEB: 0x9794,     #  <CJK>
    0x6FEC: 0xE05C,     #  <CJK>
    0x6FEE: 0xE060,     #  <CJK>
    0x6FEF: 0x91F3,     #  <CJK>
    0x6FF1: 0xE05F,     #  <CJK>
    0x6FF3: 0xE04A,     #  <CJK>
    0x6FF6: 0xE889,     #  <CJK>
    0x6FFA: 0xE064,     #  <CJK>
    0x6FFE: 0xE068,     #  <CJK>
    0x7001: 0xE066,     #  <CJK>
    0x7009: 0xE062,     #  <CJK>
    0x700B: 0xE063,     #  <CJK>
    0x700F: 0xE067,     #  <CJK>
    0x7011: 0xE065,     #  <CJK>
    0x7015: 0x956D,     #  <CJK>
    0x7018: 0xE06D,     #  <CJK>
    0x701A: 0xE06A,     #  <CJK>
    0x701B: 0xE069,     #  <CJK>
    0x701D: 0xE06C,     #  <CJK>
    0x701E: 0x93D2,     #  <CJK>
    0x701F: 0xE06E,     #  <CJK>
    0x7026: 0x9295,     #  <CJK>
    0x7027: 0x91EB,     #  <CJK>
    0x702C: 0x90A3,     #  <CJK>
    0x7030: 0xE06F,     #  <CJK>
    0x7032: 0xE071,     #  <CJK>
    0x703E: 0xE070,     #  <CJK>
    0x704C: 0x9FF3,     #  <CJK>
    0x7051: 0xE072,     #  <CJK>
    0x7058: 0x93E5,     #  <CJK>
    0x7063: 0xE073,     #  <CJK>
    0x706B: 0x89CE,     #  <CJK>
    0x706F: 0x9394,     #  <CJK>
    0x7070: 0x8A44,     #  <CJK>
    0x7078: 0x8B84,     #  <CJK>
    0x707C: 0x8EDC,     #  <CJK>
    0x707D: 0x8DD0,     #  <CJK>
    0x7089: 0x9846,     #  <CJK>
    0x708A: 0x9086,     #  <CJK>
    0x708E: 0x898A,     #  <CJK>
    0x7092: 0xE075,     #  <CJK>
    0x7099: 0xE074,     #  <CJK>
    0x70AC: 0xE078,     #  <CJK>
    0x70AD: 0x9259,     #  <CJK>
    0x70AE: 0xE07B,     #  <CJK>
    0x70AF: 0xE076,     #  <CJK>
    0x70B3: 0xE07A,     #  <CJK>
    0x70B8: 0xE079,     #  <CJK>
    0x70B9: 0x935F,     #  <CJK>
    0x70BA: 0x88D7,     #  <CJK>
    0x70C8: 0x97F3,     #  <CJK>
    0x70CB: 0xE07D,     #  <CJK>
    0x70CF: 0x8947,     #  <CJK>
    0x70D9: 0xE080,     #  <CJK>
    0x70DD: 0xE07E,     #  <CJK>
    0x70DF: 0xE07C,     #  <CJK>
    0x70F1: 0xE077,     #  <CJK>
    0x70F9: 0x9642,     #  <CJK>
    0x70FD: 0xE082,     #  <CJK>
    0x7109: 0xE081,     #  <CJK>
    0x7114: 0x898B,     #  <CJK>
    0x7119: 0xE084,     #  <CJK>
    0x711A: 0x95B0,     #  <CJK>
    0x711C: 0xE083,     #  <CJK>
    0x7121: 0x96B3,     #  <CJK>
    0x7126: 0x8FC5,     #  <CJK>
    0x7136: 0x9152,     #  <CJK>
    0x713C: 0x8FC4,     #  <CJK>
    0x7149: 0x97F9,     #  <CJK>
    0x714C: 0xE08A,     #  <CJK>
    0x714E: 0x90F7,     #  <CJK>
    0x7155: 0xE086,     #  <CJK>
    0x7156: 0xE08B,     #  <CJK>
    0x7159: 0x898C,     #  <CJK>
    0x7162: 0xE089,     #  <CJK>
    0x7164: 0x9481,     #  <CJK>
    0x7165: 0xE085,     #  <CJK>
    0x7166: 0xE088,     #  <CJK>
    0x7167: 0x8FC6,     #  <CJK>
    0x7169: 0x94CF,     #  <CJK>
    0x716C: 0xE08C,     #  <CJK>
    0x716E: 0x8ECF,     #  <CJK>
    0x717D: 0x90F8,     #  <CJK>
    0x7184: 0xE08F,     #  <CJK>
    0x7188: 0xE087,     #  <CJK>
    0x718A: 0x8C46,     #  <CJK>
    0x718F: 0xE08D,     #  <CJK>
    0x7194: 0x976F,     #  <CJK>
    0x7195: 0xE090,     #  <CJK>
    0x7199: 0xEAA4,     #  <CJK>
    0x719F: 0x8F6E,     #  <CJK>
    0x71A8: 0xE091,     #  <CJK>
    0x71AC: 0xE092,     #  <CJK>
    0x71B1: 0x944D,     #  <CJK>
    0x71B9: 0xE094,     #  <CJK>
    0x71BE: 0xE095,     #  <CJK>
    0x71C3: 0x9452,     #  <CJK>
    0x71C8: 0x9395,     #  <CJK>
    0x71C9: 0xE097,     #  <CJK>
    0x71CE: 0xE099,     #  <CJK>
    0x71D0: 0x97D3,     #  <CJK>
    0x71D2: 0xE096,     #  <CJK>
    0x71D4: 0xE098,     #  <CJK>
    0x71D5: 0x898D,     #  <CJK>
    0x71D7: 0xE093,     #  <CJK>
    0x71DF: 0x9A7A,     #  <CJK>
    0x71E0: 0xE09A,     #  <CJK>
    0x71E5: 0x9187,     #  <CJK>
    0x71E6: 0x8E57,     #  <CJK>
    0x71E7: 0xE09C,     #  <CJK>
    0x71EC: 0xE09B,     #  <CJK>
    0x71ED: 0x9043,     #  <CJK>
    0x71EE: 0x99D7,     #  <CJK>
    0x71F5: 0xE09D,     #  <CJK>
    0x71F9: 0xE09F,     #  <CJK>
    0x71FB: 0xE08E,     #  <CJK>
    0x71FC: 0xE09E,     #  <CJK>
    0x71FF: 0xE0A0,     #  <CJK>
    0x7206: 0x949A,     #  <CJK>
    0x720D: 0xE0A1,     #  <CJK>
    0x7210: 0xE0A2,     #  <CJK>
    0x721B: 0xE0A3,     #  <CJK>
    0x7228: 0xE0A4,     #  <CJK>
    0x722A: 0x92DC,     #  <CJK>
    0x722C: 0xE0A6,     #  <CJK>
    0x722D: 0xE0A5,     #  <CJK>
    0x7230: 0xE0A7,     #  <CJK>
    0x7232: 0xE0A8,     #  <CJK>
    0x7235: 0x8EDD,     #  <CJK>
    0x7236: 0x9583,     #  <CJK>
    0x723A: 0x96EA,     #  <CJK>
    0x723B: 0xE0A9,     #  <CJK>
    0x723C: 0xE0AA,     #  <CJK>
    0x723D: 0x9175,     #  <CJK>
    0x723E: 0x8EA2,     #  <CJK>
    0x723F: 0xE0AB,     #  <CJK>
    0x7240: 0xE0AC,     #  <CJK>
    0x7246: 0xE0AD,     #  <CJK>
    0x7247: 0x95D0,     #  <CJK>
    0x7248: 0x94C5,     #  <CJK>
    0x724B: 0xE0AE,     #  <CJK>
    0x724C: 0x9476,     #  <CJK>
    0x7252: 0x92AB,     #  <CJK>
    0x7258: 0xE0AF,     #  <CJK>
    0x7259: 0x89E5,     #  <CJK>
    0x725B: 0x8B8D,     #  <CJK>
    0x725D: 0x96C4,     #  <CJK>
    0x725F: 0x96B4,     #  <CJK>
    0x7261: 0x89B2,     #  <CJK>
    0x7262: 0x9853,     #  <CJK>
    0x7267: 0x9671,     #  <CJK>
    0x7269: 0x95A8,     #  <CJK>
    0x7272: 0x90B5,     #  <CJK>
    0x7274: 0xE0B0,     #  <CJK>
    0x7279: 0x93C1,     #  <CJK>
    0x727D: 0x8CA1,     #  <CJK>
    0x727E: 0xE0B1,     #  <CJK>
    0x7280: 0x8DD2,     #  <CJK>
    0x7281: 0xE0B3,     #  <CJK>
    0x7282: 0xE0B2,     #  <CJK>
    0x7287: 0xE0B4,     #  <CJK>
    0x7292: 0xE0B5,     #  <CJK>
    0x7296: 0xE0B6,     #  <CJK>
    0x72A0: 0x8B5D,     #  <CJK>
    0x72A2: 0xE0B7,     #  <CJK>
    0x72A7: 0xE0B8,     #  <CJK>
    0x72AC: 0x8CA2,     #  <CJK>
    0x72AF: 0x94C6,     #  <CJK>
    0x72B2: 0xE0BA,     #  <CJK>
    0x72B6: 0x8FF3,     #  <CJK>
    0x72B9: 0xE0B9,     #  <CJK>
    0x72C2: 0x8BB6,     #  <CJK>
    0x72C3: 0xE0BB,     #  <CJK>
    0x72C4: 0xE0BD,     #  <CJK>
    0x72C6: 0xE0BC,     #  <CJK>
    0x72CE: 0xE0BE,     #  <CJK>
    0x72D0: 0x8CCF,     #  <CJK>
    0x72D2: 0xE0BF,     #  <CJK>
    0x72D7: 0x8BE7,     #  <CJK>
    0x72D9: 0x915F,     #  <CJK>
    0x72DB: 0x8D9D,     #  <CJK>
    0x72E0: 0xE0C1,     #  <CJK>
    0x72E1: 0xE0C2,     #  <CJK>
    0x72E2: 0xE0C0,     #  <CJK>
    0x72E9: 0x8EEB,     #  <CJK>
    0x72EC: 0x93C6,     #  <CJK>
    0x72ED: 0x8BB7,     #  <CJK>
    0x72F7: 0xE0C4,     #  <CJK>
    0x72F8: 0x924B,     #  <CJK>
    0x72F9: 0xE0C3,     #  <CJK>
    0x72FC: 0x9854,     #  <CJK>
    0x72FD: 0x9482,     #  <CJK>
    0x730A: 0xE0C7,     #  <CJK>
    0x7316: 0xE0C9,     #  <CJK>
    0x7317: 0xE0C6,     #  <CJK>
    0x731B: 0x96D2,     #  <CJK>
    0x731C: 0xE0C8,     #  <CJK>
    0x731D: 0xE0CA,     #  <CJK>
    0x731F: 0x97C2,     #  <CJK>
    0x7325: 0xE0CE,     #  <CJK>
    0x7329: 0xE0CD,     #  <CJK>
    0x732A: 0x9296,     #  <CJK>
    0x732B: 0x944C,     #  <CJK>
    0x732E: 0x8CA3,     #  <CJK>
    0x732F: 0xE0CC,     #  <CJK>
    0x7334: 0xE0CB,     #  <CJK>
    0x7336: 0x9750,     #  <CJK>
    0x7337: 0x9751,     #  <CJK>
    0x733E: 0xE0CF,     #  <CJK>
    0x733F: 0x898E,     #  <CJK>
    0x7344: 0x8D96,     #  <CJK>
    0x7345: 0x8E82,     #  <CJK>
    0x734E: 0xE0D0,     #  <CJK>
    0x734F: 0xE0D1,     #  <CJK>
    0x7357: 0xE0D3,     #  <CJK>
    0x7363: 0x8F62,     #  <CJK>
    0x7368: 0xE0D5,     #  <CJK>
    0x736A: 0xE0D4,     #  <CJK>
    0x7370: 0xE0D6,     #  <CJK>
    0x7372: 0x8A6C,     #  <CJK>
    0x7375: 0xE0D8,     #  <CJK>
    0x7378: 0xE0D7,     #  <CJK>
    0x737A: 0xE0DA,     #  <CJK>
    0x737B: 0xE0D9,     #  <CJK>
    0x7384: 0x8CBA,     #  <CJK>
    0x7387: 0x97A6,     #  <CJK>
    0x7389: 0x8BCA,     #  <CJK>
    0x738B: 0x89A4,     #  <CJK>
    0x7396: 0x8BE8,     #  <CJK>
    0x73A9: 0x8ADF,     #  <CJK>
    0x73B2: 0x97E6,     #  <CJK>
    0x73B3: 0xE0DC,     #  <CJK>
    0x73BB: 0xE0DE,     #  <CJK>
    0x73C0: 0xE0DF,     #  <CJK>
    0x73C2: 0x89CF,     #  <CJK>
    0x73C8: 0xE0DB,     #  <CJK>
    0x73CA: 0x8E58,     #  <CJK>
    0x73CD: 0x92BF,     #  <CJK>
    0x73CE: 0xE0DD,     #  <CJK>
    0x73DE: 0xE0E2,     #  <CJK>
    0x73E0: 0x8EEC,     #  <CJK>
    0x73E5: 0xE0E0,     #  <CJK>
    0x73EA: 0x8C5D,     #  <CJK>
    0x73ED: 0x94C7,     #  <CJK>
    0x73EE: 0xE0E1,     #  <CJK>
    0x73F1: 0xE0FC,     #  <CJK>
    0x73F8: 0xE0E7,     #  <CJK>
    0x73FE: 0x8CBB,     #  <CJK>
    0x7403: 0x8B85,     #  <CJK>
    0x7405: 0xE0E4,     #  <CJK>
    0x7406: 0x979D,     #  <CJK>
    0x7409: 0x97AE,     #  <CJK>
    0x7422: 0x91F4,     #  <CJK>
    0x7425: 0xE0E6,     #  <CJK>
    0x7432: 0xE0E8,     #  <CJK>
    0x7433: 0x97D4,     #  <CJK>
    0x7434: 0x8BD5,     #  <CJK>
    0x7435: 0x94FA,     #  <CJK>
    0x7436: 0x9469,     #  <CJK>
    0x743A: 0xE0E9,     #  <CJK>
    0x743F: 0xE0EB,     #  <CJK>
    0x7441: 0xE0EE,     #  <CJK>
    0x7455: 0xE0EA,     #  <CJK>
    0x7459: 0xE0ED,     #  <CJK>
    0x745A: 0x8CE8,     #  <CJK>
    0x745B: 0x896C,     #  <CJK>
    0x745C: 0xE0EF,     #  <CJK>
    0x745E: 0x9090,     #  <CJK>
    0x745F: 0xE0EC,     #  <CJK>
    0x7460: 0x97DA,     #  <CJK>
    0x7463: 0xE0F2,     #  <CJK>
    0x7464: 0xEAA2,     #  <CJK>
    0x7469: 0xE0F0,     #  <CJK>
    0x746A: 0xE0F3,     #  <CJK>
    0x746F: 0xE0E5,     #  <CJK>
    0x7470: 0xE0F1,     #  <CJK>
    0x7473: 0x8DBA,     #  <CJK>
    0x7476: 0xE0F4,     #  <CJK>
    0x747E: 0xE0F5,     #  <CJK>
    0x7483: 0x979E,     #  <CJK>
    0x748B: 0xE0F6,     #  <CJK>
    0x749E: 0xE0F7,     #  <CJK>
    0x74A2: 0xE0E3,     #  <CJK>
    0x74A7: 0xE0F8,     #  <CJK>
    0x74B0: 0x8AC2,     #  <CJK>
    0x74BD: 0x8EA3,     #  <CJK>
    0x74CA: 0xE0F9,     #  <CJK>
    0x74CF: 0xE0FA,     #  <CJK>
    0x74D4: 0xE0FB,     #  <CJK>
    0x74DC: 0x895A,     #  <CJK>
    0x74E0: 0xE140,     #  <CJK>
    0x74E2: 0x955A,     #  <CJK>
    0x74E3: 0xE141,     #  <CJK>
    0x74E6: 0x8AA2,     #  <CJK>
    0x74E7: 0xE142,     #  <CJK>
    0x74E9: 0xE143,     #  <CJK>
    0x74EE: 0xE144,     #  <CJK>
    0x74F0: 0xE146,     #  <CJK>
    0x74F1: 0xE147,     #  <CJK>
    0x74F2: 0xE145,     #  <CJK>
    0x74F6: 0x9572,     #  <CJK>
    0x74F7: 0xE149,     #  <CJK>
    0x74F8: 0xE148,     #  <CJK>
    0x7503: 0xE14B,     #  <CJK>
    0x7504: 0xE14A,     #  <CJK>
    0x7505: 0xE14C,     #  <CJK>
    0x750C: 0xE14D,     #  <CJK>
    0x750D: 0xE14F,     #  <CJK>
    0x750E: 0xE14E,     #  <CJK>
}
encoding_map.update({
    0x7511: 0x8D99,     #  <CJK>
    0x7513: 0xE151,     #  <CJK>
    0x7515: 0xE150,     #  <CJK>
    0x7518: 0x8AC3,     #  <CJK>
    0x751A: 0x9072,     #  <CJK>
    0x751C: 0x935B,     #  <CJK>
    0x751E: 0xE152,     #  <CJK>
    0x751F: 0x90B6,     #  <CJK>
    0x7523: 0x8E59,     #  <CJK>
    0x7525: 0x8999,     #  <CJK>
    0x7526: 0xE153,     #  <CJK>
    0x7528: 0x9770,     #  <CJK>
    0x752B: 0x95E1,     #  <CJK>
    0x752C: 0xE154,     #  <CJK>
    0x7530: 0x9363,     #  <CJK>
    0x7531: 0x9752,     #  <CJK>
    0x7532: 0x8D62,     #  <CJK>
    0x7533: 0x905C,     #  <CJK>
    0x7537: 0x926A,     #  <CJK>
    0x7538: 0x99B2,     #  <CJK>
    0x753A: 0x92AC,     #  <CJK>
    0x753B: 0x89E6,     #  <CJK>
    0x753C: 0xE155,     #  <CJK>
    0x7544: 0xE156,     #  <CJK>
    0x7546: 0xE15B,     #  <CJK>
    0x7549: 0xE159,     #  <CJK>
    0x754A: 0xE158,     #  <CJK>
    0x754B: 0x9DC0,     #  <CJK>
    0x754C: 0x8A45,     #  <CJK>
    0x754D: 0xE157,     #  <CJK>
    0x754F: 0x88D8,     #  <CJK>
    0x7551: 0x94A8,     #  <CJK>
    0x7554: 0x94C8,     #  <CJK>
    0x7559: 0x97AF,     #  <CJK>
    0x755A: 0xE15C,     #  <CJK>
    0x755B: 0xE15A,     #  <CJK>
    0x755C: 0x927B,     #  <CJK>
    0x755D: 0x90A4,     #  <CJK>
    0x7560: 0x94A9,     #  <CJK>
    0x7562: 0x954C,     #  <CJK>
    0x7564: 0xE15E,     #  <CJK>
    0x7565: 0x97AA,     #  <CJK>
    0x7566: 0x8C6C,     #  <CJK>
    0x7567: 0xE15F,     #  <CJK>
    0x7569: 0xE15D,     #  <CJK>
    0x756A: 0x94D4,     #  <CJK>
    0x756B: 0xE160,     #  <CJK>
    0x756D: 0xE161,     #  <CJK>
    0x7570: 0x88D9,     #  <CJK>
    0x7573: 0x8FF4,     #  <CJK>
    0x7574: 0xE166,     #  <CJK>
    0x7576: 0xE163,     #  <CJK>
    0x7577: 0x93EB,     #  <CJK>
    0x7578: 0xE162,     #  <CJK>
    0x757F: 0x8B45,     #  <CJK>
    0x7582: 0xE169,     #  <CJK>
    0x7586: 0xE164,     #  <CJK>
    0x7587: 0xE165,     #  <CJK>
    0x7589: 0xE168,     #  <CJK>
    0x758A: 0xE167,     #  <CJK>
    0x758B: 0x9544,     #  <CJK>
    0x758E: 0x9161,     #  <CJK>
    0x758F: 0x9160,     #  <CJK>
    0x7591: 0x8B5E,     #  <CJK>
    0x7594: 0xE16A,     #  <CJK>
    0x759A: 0xE16B,     #  <CJK>
    0x759D: 0xE16C,     #  <CJK>
    0x75A3: 0xE16E,     #  <CJK>
    0x75A5: 0xE16D,     #  <CJK>
    0x75AB: 0x8975,     #  <CJK>
    0x75B1: 0xE176,     #  <CJK>
    0x75B2: 0x94E6,     #  <CJK>
    0x75B3: 0xE170,     #  <CJK>
    0x75B5: 0xE172,     #  <CJK>
    0x75B8: 0xE174,     #  <CJK>
    0x75B9: 0x905D,     #  <CJK>
    0x75BC: 0xE175,     #  <CJK>
    0x75BD: 0xE173,     #  <CJK>
    0x75BE: 0x8EBE,     #  <CJK>
    0x75C2: 0xE16F,     #  <CJK>
    0x75C3: 0xE171,     #  <CJK>
    0x75C5: 0x9561,     #  <CJK>
    0x75C7: 0x8FC7,     #  <CJK>
    0x75CA: 0xE178,     #  <CJK>
    0x75CD: 0xE177,     #  <CJK>
    0x75D2: 0xE179,     #  <CJK>
    0x75D4: 0x8EA4,     #  <CJK>
    0x75D5: 0x8DAD,     #  <CJK>
    0x75D8: 0x9397,     #  <CJK>
    0x75D9: 0xE17A,     #  <CJK>
    0x75DB: 0x92C9,     #  <CJK>
    0x75DE: 0xE17C,     #  <CJK>
    0x75E2: 0x979F,     #  <CJK>
    0x75E3: 0xE17B,     #  <CJK>
    0x75E9: 0x9189,     #  <CJK>
    0x75F0: 0xE182,     #  <CJK>
    0x75F2: 0xE184,     #  <CJK>
    0x75F3: 0xE185,     #  <CJK>
    0x75F4: 0x9273,     #  <CJK>
    0x75FA: 0xE183,     #  <CJK>
    0x75FC: 0xE180,     #  <CJK>
    0x75FE: 0xE17D,     #  <CJK>
    0x75FF: 0xE17E,     #  <CJK>
    0x7601: 0xE181,     #  <CJK>
    0x7609: 0xE188,     #  <CJK>
    0x760B: 0xE186,     #  <CJK>
    0x760D: 0xE187,     #  <CJK>
    0x761F: 0xE189,     #  <CJK>
    0x7620: 0xE18B,     #  <CJK>
    0x7621: 0xE18C,     #  <CJK>
    0x7622: 0xE18D,     #  <CJK>
    0x7624: 0xE18E,     #  <CJK>
    0x7627: 0xE18A,     #  <CJK>
    0x7630: 0xE190,     #  <CJK>
    0x7634: 0xE18F,     #  <CJK>
    0x763B: 0xE191,     #  <CJK>
    0x7642: 0x97C3,     #  <CJK>
    0x7646: 0xE194,     #  <CJK>
    0x7647: 0xE192,     #  <CJK>
    0x7648: 0xE193,     #  <CJK>
    0x764C: 0x8AE0,     #  <CJK>
    0x7652: 0x96FC,     #  <CJK>
    0x7656: 0x95C8,     #  <CJK>
    0x7658: 0xE196,     #  <CJK>
    0x765C: 0xE195,     #  <CJK>
    0x7661: 0xE197,     #  <CJK>
    0x7662: 0xE198,     #  <CJK>
    0x7667: 0xE19C,     #  <CJK>
    0x7668: 0xE199,     #  <CJK>
    0x7669: 0xE19A,     #  <CJK>
    0x766A: 0xE19B,     #  <CJK>
    0x766C: 0xE19D,     #  <CJK>
    0x7670: 0xE19E,     #  <CJK>
    0x7672: 0xE19F,     #  <CJK>
    0x7676: 0xE1A0,     #  <CJK>
    0x7678: 0xE1A1,     #  <CJK>
    0x767A: 0x94AD,     #  <CJK>
    0x767B: 0x936F,     #  <CJK>
    0x767C: 0xE1A2,     #  <CJK>
    0x767D: 0x9492,     #  <CJK>
    0x767E: 0x9553,     #  <CJK>
    0x7680: 0xE1A3,     #  <CJK>
    0x7683: 0xE1A4,     #  <CJK>
    0x7684: 0x9349,     #  <CJK>
    0x7686: 0x8A46,     #  <CJK>
    0x7687: 0x8D63,     #  <CJK>
    0x7688: 0xE1A5,     #  <CJK>
    0x768B: 0xE1A6,     #  <CJK>
    0x768E: 0xE1A7,     #  <CJK>
    0x7690: 0x8E48,     #  <CJK>
    0x7693: 0xE1A9,     #  <CJK>
    0x7696: 0xE1A8,     #  <CJK>
    0x7699: 0xE1AA,     #  <CJK>
    0x769A: 0xE1AB,     #  <CJK>
    0x76AE: 0x94E7,     #  <CJK>
    0x76B0: 0xE1AC,     #  <CJK>
    0x76B4: 0xE1AD,     #  <CJK>
    0x76B7: 0xEA89,     #  <CJK>
    0x76B8: 0xE1AE,     #  <CJK>
    0x76B9: 0xE1AF,     #  <CJK>
    0x76BA: 0xE1B0,     #  <CJK>
    0x76BF: 0x8E4D,     #  <CJK>
    0x76C2: 0xE1B1,     #  <CJK>
    0x76C3: 0x9475,     #  <CJK>
    0x76C6: 0x967E,     #  <CJK>
    0x76C8: 0x896D,     #  <CJK>
    0x76CA: 0x8976,     #  <CJK>
    0x76CD: 0xE1B2,     #  <CJK>
    0x76D2: 0xE1B4,     #  <CJK>
    0x76D6: 0xE1B3,     #  <CJK>
    0x76D7: 0x9390,     #  <CJK>
    0x76DB: 0x90B7,     #  <CJK>
    0x76DC: 0x9F58,     #  <CJK>
    0x76DE: 0xE1B5,     #  <CJK>
    0x76DF: 0x96BF,     #  <CJK>
    0x76E1: 0xE1B6,     #  <CJK>
    0x76E3: 0x8AC4,     #  <CJK>
    0x76E4: 0x94D5,     #  <CJK>
    0x76E5: 0xE1B7,     #  <CJK>
    0x76E7: 0xE1B8,     #  <CJK>
    0x76EA: 0xE1B9,     #  <CJK>
    0x76EE: 0x96DA,     #  <CJK>
    0x76F2: 0x96D3,     #  <CJK>
    0x76F4: 0x92BC,     #  <CJK>
    0x76F8: 0x918A,     #  <CJK>
    0x76FB: 0xE1BB,     #  <CJK>
    0x76FE: 0x8F82,     #  <CJK>
    0x7701: 0x8FC8,     #  <CJK>
    0x7704: 0xE1BE,     #  <CJK>
    0x7707: 0xE1BD,     #  <CJK>
    0x7708: 0xE1BC,     #  <CJK>
    0x7709: 0x94FB,     #  <CJK>
    0x770B: 0x8AC5,     #  <CJK>
    0x770C: 0x8CA7,     #  <CJK>
    0x771B: 0xE1C4,     #  <CJK>
    0x771E: 0xE1C1,     #  <CJK>
    0x771F: 0x905E,     #  <CJK>
    0x7720: 0x96B0,     #  <CJK>
    0x7724: 0xE1C0,     #  <CJK>
    0x7725: 0xE1C2,     #  <CJK>
    0x7726: 0xE1C3,     #  <CJK>
    0x7729: 0xE1BF,     #  <CJK>
    0x7737: 0xE1C5,     #  <CJK>
    0x7738: 0xE1C6,     #  <CJK>
    0x773A: 0x92AD,     #  <CJK>
    0x773C: 0x8AE1,     #  <CJK>
    0x7740: 0x9285,     #  <CJK>
    0x7747: 0xE1C7,     #  <CJK>
    0x775A: 0xE1C8,     #  <CJK>
    0x775B: 0xE1CB,     #  <CJK>
    0x7761: 0x9087,     #  <CJK>
    0x7763: 0x93C2,     #  <CJK>
    0x7765: 0xE1CC,     #  <CJK>
    0x7766: 0x9672,     #  <CJK>
    0x7768: 0xE1C9,     #  <CJK>
    0x776B: 0xE1CA,     #  <CJK>
    0x7779: 0xE1CF,     #  <CJK>
    0x777E: 0xE1CE,     #  <CJK>
    0x777F: 0xE1CD,     #  <CJK>
    0x778B: 0xE1D1,     #  <CJK>
    0x778E: 0xE1D0,     #  <CJK>
    0x7791: 0xE1D2,     #  <CJK>
    0x779E: 0xE1D4,     #  <CJK>
    0x77A0: 0xE1D3,     #  <CJK>
    0x77A5: 0x95CB,     #  <CJK>
    0x77AC: 0x8F75,     #  <CJK>
    0x77AD: 0x97C4,     #  <CJK>
    0x77B0: 0xE1D5,     #  <CJK>
    0x77B3: 0x93B5,     #  <CJK>
    0x77B6: 0xE1D6,     #  <CJK>
    0x77B9: 0xE1D7,     #  <CJK>
    0x77BB: 0xE1DB,     #  <CJK>
    0x77BC: 0xE1D9,     #  <CJK>
    0x77BD: 0xE1DA,     #  <CJK>
    0x77BF: 0xE1D8,     #  <CJK>
    0x77C7: 0xE1DC,     #  <CJK>
    0x77CD: 0xE1DD,     #  <CJK>
    0x77D7: 0xE1DE,     #  <CJK>
    0x77DA: 0xE1DF,     #  <CJK>
    0x77DB: 0x96B5,     #  <CJK>
    0x77DC: 0xE1E0,     #  <CJK>
    0x77E2: 0x96EE,     #  <CJK>
    0x77E3: 0xE1E1,     #  <CJK>
    0x77E5: 0x926D,     #  <CJK>
    0x77E7: 0x948A,     #  <CJK>
    0x77E9: 0x8BE9,     #  <CJK>
    0x77ED: 0x925A,     #  <CJK>
    0x77EE: 0xE1E2,     #  <CJK>
    0x77EF: 0x8BB8,     #  <CJK>
    0x77F3: 0x90CE,     #  <CJK>
    0x77FC: 0xE1E3,     #  <CJK>
    0x7802: 0x8DBB,     #  <CJK>
    0x780C: 0xE1E4,     #  <CJK>
    0x7812: 0xE1E5,     #  <CJK>
    0x7814: 0x8CA4,     #  <CJK>
    0x7815: 0x8DD3,     #  <CJK>
    0x7820: 0xE1E7,     #  <CJK>
    0x7825: 0x9375,     #  <CJK>
    0x7826: 0x8DD4,     #  <CJK>
    0x7827: 0x8B6D,     #  <CJK>
    0x7832: 0x9643,     #  <CJK>
    0x7834: 0x946A,     #  <CJK>
    0x783A: 0x9376,     #  <CJK>
    0x783F: 0x8D7B,     #  <CJK>
    0x7845: 0xE1E9,     #  <CJK>
    0x785D: 0x8FC9,     #  <CJK>
    0x786B: 0x97B0,     #  <CJK>
    0x786C: 0x8D64,     #  <CJK>
    0x786F: 0x8CA5,     #  <CJK>
    0x7872: 0x94A1,     #  <CJK>
    0x7874: 0xE1EB,     #  <CJK>
    0x787C: 0xE1ED,     #  <CJK>
    0x7881: 0x8CE9,     #  <CJK>
    0x7886: 0xE1EC,     #  <CJK>
    0x7887: 0x92F4,     #  <CJK>
    0x788C: 0xE1EF,     #  <CJK>
    0x788D: 0x8A56,     #  <CJK>
    0x788E: 0xE1EA,     #  <CJK>
    0x7891: 0x94E8,     #  <CJK>
    0x7893: 0x894F,     #  <CJK>
    0x7895: 0x8DEA,     #  <CJK>
    0x7897: 0x9871,     #  <CJK>
    0x789A: 0xE1EE,     #  <CJK>
    0x78A3: 0xE1F0,     #  <CJK>
    0x78A7: 0x95C9,     #  <CJK>
    0x78A9: 0x90D7,     #  <CJK>
    0x78AA: 0xE1F2,     #  <CJK>
    0x78AF: 0xE1F3,     #  <CJK>
    0x78B5: 0xE1F1,     #  <CJK>
    0x78BA: 0x8A6D,     #  <CJK>
    0x78BC: 0xE1F9,     #  <CJK>
    0x78BE: 0xE1F8,     #  <CJK>
    0x78C1: 0x8EA5,     #  <CJK>
    0x78C5: 0xE1FA,     #  <CJK>
    0x78C6: 0xE1F5,     #  <CJK>
    0x78CA: 0xE1FB,     #  <CJK>
    0x78CB: 0xE1F6,     #  <CJK>
    0x78D0: 0x94D6,     #  <CJK>
    0x78D1: 0xE1F4,     #  <CJK>
    0x78D4: 0xE1F7,     #  <CJK>
    0x78DA: 0xE241,     #  <CJK>
    0x78E7: 0xE240,     #  <CJK>
    0x78E8: 0x9681,     #  <CJK>
    0x78EC: 0xE1FC,     #  <CJK>
    0x78EF: 0x88E9,     #  <CJK>
    0x78F4: 0xE243,     #  <CJK>
    0x78FD: 0xE242,     #  <CJK>
    0x7901: 0x8FCA,     #  <CJK>
    0x7907: 0xE244,     #  <CJK>
    0x790E: 0x9162,     #  <CJK>
    0x7911: 0xE246,     #  <CJK>
    0x7912: 0xE245,     #  <CJK>
    0x7919: 0xE247,     #  <CJK>
    0x7926: 0xE1E6,     #  <CJK>
    0x792A: 0xE1E8,     #  <CJK>
    0x792B: 0xE249,     #  <CJK>
    0x792C: 0xE248,     #  <CJK>
    0x793A: 0x8EA6,     #  <CJK>
    0x793C: 0x97E7,     #  <CJK>
    0x793E: 0x8ED0,     #  <CJK>
    0x7940: 0xE24A,     #  <CJK>
    0x7941: 0x8C56,     #  <CJK>
    0x7947: 0x8B5F,     #  <CJK>
    0x7948: 0x8B46,     #  <CJK>
    0x7949: 0x8E83,     #  <CJK>
    0x7950: 0x9753,     #  <CJK>
    0x7953: 0xE250,     #  <CJK>
    0x7955: 0xE24F,     #  <CJK>
    0x7956: 0x9163,     #  <CJK>
    0x7957: 0xE24C,     #  <CJK>
    0x795A: 0xE24E,     #  <CJK>
    0x795D: 0x8F6A,     #  <CJK>
    0x795E: 0x905F,     #  <CJK>
    0x795F: 0xE24D,     #  <CJK>
    0x7960: 0xE24B,     #  <CJK>
    0x7962: 0x9449,     #  <CJK>
    0x7965: 0x8FCB,     #  <CJK>
    0x7968: 0x955B,     #  <CJK>
    0x796D: 0x8DD5,     #  <CJK>
    0x7977: 0x9398,     #  <CJK>
    0x797A: 0xE251,     #  <CJK>
    0x797F: 0xE252,     #  <CJK>
    0x7980: 0xE268,     #  <CJK>
    0x7981: 0x8BD6,     #  <CJK>
    0x7984: 0x985C,     #  <CJK>
    0x7985: 0x9154,     #  <CJK>
    0x798A: 0xE253,     #  <CJK>
    0x798D: 0x89D0,     #  <CJK>
    0x798E: 0x92F5,     #  <CJK>
    0x798F: 0x959F,     #  <CJK>
    0x799D: 0xE254,     #  <CJK>
    0x79A6: 0x8B9A,     #  <CJK>
    0x79A7: 0xE255,     #  <CJK>
    0x79AA: 0xE257,     #  <CJK>
    0x79AE: 0xE258,     #  <CJK>
    0x79B0: 0x9448,     #  <CJK>
    0x79B3: 0xE259,     #  <CJK>
    0x79B9: 0xE25A,     #  <CJK>
    0x79BA: 0xE25B,     #  <CJK>
    0x79BD: 0x8BD7,     #  <CJK>
    0x79BE: 0x89D1,     #  <CJK>
    0x79BF: 0x93C3,     #  <CJK>
    0x79C0: 0x8F47,     #  <CJK>
    0x79C1: 0x8E84,     #  <CJK>
    0x79C9: 0xE25C,     #  <CJK>
    0x79CB: 0x8F48,     #  <CJK>
    0x79D1: 0x89C8,     #  <CJK>
    0x79D2: 0x9562,     #  <CJK>
    0x79D5: 0xE25D,     #  <CJK>
    0x79D8: 0x94E9,     #  <CJK>
    0x79DF: 0x9164,     #  <CJK>
    0x79E1: 0xE260,     #  <CJK>
    0x79E3: 0xE261,     #  <CJK>
    0x79E4: 0x9489,     #  <CJK>
    0x79E6: 0x9060,     #  <CJK>
    0x79E7: 0xE25E,     #  <CJK>
    0x79E9: 0x9281,     #  <CJK>
    0x79EC: 0xE25F,     #  <CJK>
    0x79F0: 0x8FCC,     #  <CJK>
    0x79FB: 0x88DA,     #  <CJK>
    0x7A00: 0x8B48,     #  <CJK>
    0x7A08: 0xE262,     #  <CJK>
    0x7A0B: 0x92F6,     #  <CJK>
    0x7A0D: 0xE263,     #  <CJK>
    0x7A0E: 0x90C5,     #  <CJK>
    0x7A14: 0x96AB,     #  <CJK>
    0x7A17: 0x9542,     #  <CJK>
    0x7A18: 0xE264,     #  <CJK>
    0x7A19: 0xE265,     #  <CJK>
    0x7A1A: 0x9274,     #  <CJK>
    0x7A1C: 0x97C5,     #  <CJK>
    0x7A1F: 0xE267,     #  <CJK>
    0x7A20: 0xE266,     #  <CJK>
    0x7A2E: 0x8EED,     #  <CJK>
    0x7A31: 0xE269,     #  <CJK>
    0x7A32: 0x88EE,     #  <CJK>
    0x7A37: 0xE26C,     #  <CJK>
    0x7A3B: 0xE26A,     #  <CJK>
    0x7A3C: 0x89D2,     #  <CJK>
    0x7A3D: 0x8C6D,     #  <CJK>
    0x7A3E: 0xE26B,     #  <CJK>
    0x7A3F: 0x8D65,     #  <CJK>
    0x7A40: 0x8D92,     #  <CJK>
    0x7A42: 0x95E4,     #  <CJK>
    0x7A43: 0xE26D,     #  <CJK>
    0x7A46: 0x9673,     #  <CJK>
    0x7A49: 0xE26F,     #  <CJK>
    0x7A4D: 0x90CF,     #  <CJK>
    0x7A4E: 0x896E,     #  <CJK>
    0x7A4F: 0x89B8,     #  <CJK>
    0x7A50: 0x88AA,     #  <CJK>
    0x7A57: 0xE26E,     #  <CJK>
    0x7A61: 0xE270,     #  <CJK>
    0x7A62: 0xE271,     #  <CJK>
    0x7A63: 0x8FF5,     #  <CJK>
    0x7A69: 0xE272,     #  <CJK>
    0x7A6B: 0x8A6E,     #  <CJK>
    0x7A70: 0xE274,     #  <CJK>
    0x7A74: 0x8C8A,     #  <CJK>
    0x7A76: 0x8B86,     #  <CJK>
    0x7A79: 0xE275,     #  <CJK>
    0x7A7A: 0x8BF3,     #  <CJK>
    0x7A7D: 0xE276,     #  <CJK>
    0x7A7F: 0x90FA,     #  <CJK>
    0x7A81: 0x93CB,     #  <CJK>
    0x7A83: 0x90DE,     #  <CJK>
    0x7A84: 0x8DF3,     #  <CJK>
    0x7A88: 0xE277,     #  <CJK>
    0x7A92: 0x9282,     #  <CJK>
    0x7A93: 0x918B,     #  <CJK>
    0x7A95: 0xE279,     #  <CJK>
    0x7A96: 0xE27B,     #  <CJK>
    0x7A97: 0xE278,     #  <CJK>
    0x7A98: 0xE27A,     #  <CJK>
    0x7A9F: 0x8C41,     #  <CJK>
    0x7AA9: 0xE27C,     #  <CJK>
    0x7AAA: 0x8C45,     #  <CJK>
    0x7AAE: 0x8B87,     #  <CJK>
    0x7AAF: 0x9771,     #  <CJK>
    0x7AB0: 0xE27E,     #  <CJK>
    0x7AB6: 0xE280,     #  <CJK>
    0x7ABA: 0x894D,     #  <CJK>
    0x7ABF: 0xE283,     #  <CJK>
    0x7AC3: 0x8A96,     #  <CJK>
    0x7AC4: 0xE282,     #  <CJK>
    0x7AC5: 0xE281,     #  <CJK>
    0x7AC7: 0xE285,     #  <CJK>
    0x7AC8: 0xE27D,     #  <CJK>
    0x7ACA: 0xE286,     #  <CJK>
    0x7ACB: 0x97A7,     #  <CJK>
    0x7ACD: 0xE287,     #  <CJK>
    0x7ACF: 0xE288,     #  <CJK>
    0x7AD2: 0x9AF2,     #  <CJK>
    0x7AD3: 0xE28A,     #  <CJK>
    0x7AD5: 0xE289,     #  <CJK>
    0x7AD9: 0xE28B,     #  <CJK>
    0x7ADA: 0xE28C,     #  <CJK>
    0x7ADC: 0x97B3,     #  <CJK>
    0x7ADD: 0xE28D,     #  <CJK>
    0x7ADF: 0xE8ED,     #  <CJK>
    0x7AE0: 0x8FCD,     #  <CJK>
    0x7AE1: 0xE28E,     #  <CJK>
    0x7AE2: 0xE28F,     #  <CJK>
    0x7AE3: 0x8F76,     #  <CJK>
    0x7AE5: 0x93B6,     #  <CJK>
    0x7AE6: 0xE290,     #  <CJK>
    0x7AEA: 0x9247,     #  <CJK>
    0x7AED: 0xE291,     #  <CJK>
    0x7AEF: 0x925B,     #  <CJK>
    0x7AF0: 0xE292,     #  <CJK>
    0x7AF6: 0x8BA3,     #  <CJK>
    0x7AF8: 0x995E,     #  <CJK>
    0x7AF9: 0x927C,     #  <CJK>
    0x7AFA: 0x8EB1,     #  <CJK>
    0x7AFF: 0x8AC6,     #  <CJK>
    0x7B02: 0xE293,     #  <CJK>
    0x7B04: 0xE2A0,     #  <CJK>
    0x7B06: 0xE296,     #  <CJK>
    0x7B08: 0x8B88,     #  <CJK>
    0x7B0A: 0xE295,     #  <CJK>
    0x7B0B: 0xE2A2,     #  <CJK>
    0x7B0F: 0xE294,     #  <CJK>
    0x7B11: 0x8FCE,     #  <CJK>
    0x7B18: 0xE298,     #  <CJK>
    0x7B19: 0xE299,     #  <CJK>
    0x7B1B: 0x934A,     #  <CJK>
    0x7B1E: 0xE29A,     #  <CJK>
    0x7B20: 0x8A7D,     #  <CJK>
    0x7B25: 0x9079,     #  <CJK>
    0x7B26: 0x9584,     #  <CJK>
    0x7B28: 0xE29C,     #  <CJK>
    0x7B2C: 0x91E6,     #  <CJK>
    0x7B33: 0xE297,     #  <CJK>
    0x7B35: 0xE29B,     #  <CJK>
    0x7B36: 0xE29D,     #  <CJK>
    0x7B39: 0x8DF9,     #  <CJK>
    0x7B45: 0xE2A4,     #  <CJK>
    0x7B46: 0x954D,     #  <CJK>
    0x7B48: 0x94A4,     #  <CJK>
    0x7B49: 0x9399,     #  <CJK>
    0x7B4B: 0x8BD8,     #  <CJK>
    0x7B4C: 0xE2A3,     #  <CJK>
    0x7B4D: 0xE2A1,     #  <CJK>
    0x7B4F: 0x94B3,     #  <CJK>
    0x7B50: 0xE29E,     #  <CJK>
    0x7B51: 0x927D,     #  <CJK>
    0x7B52: 0x939B,     #  <CJK>
    0x7B54: 0x939A,     #  <CJK>
    0x7B56: 0x8DF4,     #  <CJK>
    0x7B5D: 0xE2B6,     #  <CJK>
    0x7B65: 0xE2A6,     #  <CJK>
    0x7B67: 0xE2A8,     #  <CJK>
    0x7B6C: 0xE2AB,     #  <CJK>
    0x7B6E: 0xE2AC,     #  <CJK>
    0x7B70: 0xE2A9,     #  <CJK>
    0x7B71: 0xE2AA,     #  <CJK>
    0x7B74: 0xE2A7,     #  <CJK>
    0x7B75: 0xE2A5,     #  <CJK>
    0x7B7A: 0xE29F,     #  <CJK>
    0x7B86: 0x95CD,     #  <CJK>
    0x7B87: 0x89D3,     #  <CJK>
    0x7B8B: 0xE2B3,     #  <CJK>
    0x7B8D: 0xE2B0,     #  <CJK>
    0x7B8F: 0xE2B5,     #  <CJK>
    0x7B92: 0xE2B4,     #  <CJK>
    0x7B94: 0x9493,     #  <CJK>
    0x7B95: 0x96A5,     #  <CJK>
    0x7B97: 0x8E5A,     #  <CJK>
    0x7B98: 0xE2AE,     #  <CJK>
    0x7B99: 0xE2B7,     #  <CJK>
    0x7B9A: 0xE2B2,     #  <CJK>
    0x7B9C: 0xE2B1,     #  <CJK>
    0x7B9D: 0xE2AD,     #  <CJK>
    0x7B9F: 0xE2AF,     #  <CJK>
    0x7BA1: 0x8AC7,     #  <CJK>
    0x7BAA: 0x925C,     #  <CJK>
    0x7BAD: 0x90FB,     #  <CJK>
    0x7BB1: 0x94A0,     #  <CJK>
    0x7BB4: 0xE2BC,     #  <CJK>
    0x7BB8: 0x94A2,     #  <CJK>
    0x7BC0: 0x90DF,     #  <CJK>
    0x7BC1: 0xE2B9,     #  <CJK>
    0x7BC4: 0x94CD,     #  <CJK>
    0x7BC6: 0xE2BD,     #  <CJK>
    0x7BC7: 0x95D1,     #  <CJK>
    0x7BC9: 0x927A,     #  <CJK>
    0x7BCB: 0xE2B8,     #  <CJK>
    0x7BCC: 0xE2BA,     #  <CJK>
    0x7BCF: 0xE2BB,     #  <CJK>
    0x7BDD: 0xE2BE,     #  <CJK>
    0x7BE0: 0x8EC2,     #  <CJK>
    0x7BE4: 0x93C4,     #  <CJK>
    0x7BE5: 0xE2C3,     #  <CJK>
    0x7BE6: 0xE2C2,     #  <CJK>
    0x7BE9: 0xE2BF,     #  <CJK>
    0x7BED: 0x9855,     #  <CJK>
    0x7BF3: 0xE2C8,     #  <CJK>
    0x7BF6: 0xE2CC,     #  <CJK>
    0x7BF7: 0xE2C9,     #  <CJK>
    0x7C00: 0xE2C5,     #  <CJK>
    0x7C07: 0xE2C6,     #  <CJK>
    0x7C0D: 0xE2CB,     #  <CJK>
    0x7C11: 0xE2C0,     #  <CJK>
    0x7C12: 0x99D3,     #  <CJK>
    0x7C13: 0xE2C7,     #  <CJK>
    0x7C14: 0xE2C1,     #  <CJK>
    0x7C17: 0xE2CA,     #  <CJK>
    0x7C1F: 0xE2D0,     #  <CJK>
    0x7C21: 0x8AC8,     #  <CJK>
    0x7C23: 0xE2CD,     #  <CJK>
    0x7C27: 0xE2CE,     #  <CJK>
    0x7C2A: 0xE2CF,     #  <CJK>
    0x7C2B: 0xE2D2,     #  <CJK>
    0x7C37: 0xE2D1,     #  <CJK>
    0x7C38: 0x94F4,     #  <CJK>
    0x7C3D: 0xE2D3,     #  <CJK>
    0x7C3E: 0x97FA,     #  <CJK>
    0x7C3F: 0x95EB,     #  <CJK>
    0x7C40: 0xE2D8,     #  <CJK>
    0x7C43: 0xE2D5,     #  <CJK>
    0x7C4C: 0xE2D4,     #  <CJK>
    0x7C4D: 0x90D0,     #  <CJK>
    0x7C4F: 0xE2D7,     #  <CJK>
    0x7C50: 0xE2D9,     #  <CJK>
    0x7C54: 0xE2D6,     #  <CJK>
    0x7C56: 0xE2DD,     #  <CJK>
    0x7C58: 0xE2DA,     #  <CJK>
    0x7C5F: 0xE2DB,     #  <CJK>
    0x7C60: 0xE2C4,     #  <CJK>
    0x7C64: 0xE2DC,     #  <CJK>
    0x7C65: 0xE2DE,     #  <CJK>
    0x7C6C: 0xE2DF,     #  <CJK>
    0x7C73: 0x95C4,     #  <CJK>
    0x7C75: 0xE2E0,     #  <CJK>
    0x7C7E: 0x96E0,     #  <CJK>
    0x7C81: 0x8BCC,     #  <CJK>
    0x7C82: 0x8C48,     #  <CJK>
    0x7C83: 0xE2E1,     #  <CJK>
    0x7C89: 0x95B2,     #  <CJK>
    0x7C8B: 0x9088,     #  <CJK>
    0x7C8D: 0x96AE,     #  <CJK>
    0x7C90: 0xE2E2,     #  <CJK>
    0x7C92: 0x97B1,     #  <CJK>
    0x7C95: 0x9494,     #  <CJK>
    0x7C97: 0x9165,     #  <CJK>
    0x7C98: 0x9453,     #  <CJK>
    0x7C9B: 0x8F6C,     #  <CJK>
    0x7C9F: 0x88BE,     #  <CJK>
    0x7CA1: 0xE2E7,     #  <CJK>
    0x7CA2: 0xE2E5,     #  <CJK>
    0x7CA4: 0xE2E3,     #  <CJK>
    0x7CA5: 0x8A9F,     #  <CJK>
    0x7CA7: 0x8FCF,     #  <CJK>
    0x7CA8: 0xE2E8,     #  <CJK>
    0x7CAB: 0xE2E6,     #  <CJK>
    0x7CAD: 0xE2E4,     #  <CJK>
    0x7CAE: 0xE2EC,     #  <CJK>
    0x7CB1: 0xE2EB,     #  <CJK>
    0x7CB2: 0xE2EA,     #  <CJK>
    0x7CB3: 0xE2E9,     #  <CJK>
    0x7CB9: 0xE2ED,     #  <CJK>
    0x7CBD: 0xE2EE,     #  <CJK>
    0x7CBE: 0x90B8,     #  <CJK>
    0x7CC0: 0xE2EF,     #  <CJK>
    0x7CC2: 0xE2F1,     #  <CJK>
    0x7CC5: 0xE2F0,     #  <CJK>
    0x7CCA: 0x8CD0,     #  <CJK>
    0x7CCE: 0x9157,     #  <CJK>
    0x7CD2: 0xE2F3,     #  <CJK>
    0x7CD6: 0x939C,     #  <CJK>
    0x7CD8: 0xE2F2,     #  <CJK>
    0x7CDC: 0xE2F4,     #  <CJK>
    0x7CDE: 0x95B3,     #  <CJK>
    0x7CDF: 0x918C,     #  <CJK>
    0x7CE0: 0x8D66,     #  <CJK>
    0x7CE2: 0xE2F5,     #  <CJK>
    0x7CE7: 0x97C6,     #  <CJK>
    0x7CEF: 0xE2F7,     #  <CJK>
    0x7CF2: 0xE2F8,     #  <CJK>
    0x7CF4: 0xE2F9,     #  <CJK>
    0x7CF6: 0xE2FA,     #  <CJK>
    0x7CF8: 0x8E85,     #  <CJK>
    0x7CFA: 0xE2FB,     #  <CJK>
    0x7CFB: 0x8C6E,     #  <CJK>
    0x7CFE: 0x8B8A,     #  <CJK>
    0x7D00: 0x8B49,     #  <CJK>
    0x7D02: 0xE340,     #  <CJK>
    0x7D04: 0x96F1,     #  <CJK>
    0x7D05: 0x8D67,     #  <CJK>
    0x7D06: 0xE2FC,     #  <CJK>
    0x7D0A: 0xE343,     #  <CJK>
    0x7D0B: 0x96E4,     #  <CJK>
    0x7D0D: 0x945B,     #  <CJK>
    0x7D10: 0x9552,     #  <CJK>
    0x7D14: 0x8F83,     #  <CJK>
    0x7D15: 0xE342,     #  <CJK>
    0x7D17: 0x8ED1,     #  <CJK>
    0x7D18: 0x8D68,     #  <CJK>
    0x7D19: 0x8E86,     #  <CJK>
    0x7D1A: 0x8B89,     #  <CJK>
    0x7D1B: 0x95B4,     #  <CJK>
    0x7D1C: 0xE341,     #  <CJK>
    0x7D20: 0x9166,     #  <CJK>
    0x7D21: 0x9661,     #  <CJK>
    0x7D22: 0x8DF5,     #  <CJK>
    0x7D2B: 0x8E87,     #  <CJK>
    0x7D2C: 0x92DB,     #  <CJK>
    0x7D2E: 0xE346,     #  <CJK>
    0x7D2F: 0x97DD,     #  <CJK>
    0x7D30: 0x8DD7,     #  <CJK>
    0x7D32: 0xE347,     #  <CJK>
    0x7D33: 0x9061,     #  <CJK>
    0x7D35: 0xE349,     #  <CJK>
    0x7D39: 0x8FD0,     #  <CJK>
    0x7D3A: 0x8DAE,     #  <CJK>
    0x7D3F: 0xE348,     #  <CJK>
    0x7D42: 0x8F49,     #  <CJK>
    0x7D43: 0x8CBC,     #  <CJK>
    0x7D44: 0x9167,     #  <CJK>
    0x7D45: 0xE344,     #  <CJK>
    0x7D46: 0xE34A,     #  <CJK>
    0x7D4B: 0xE345,     #  <CJK>
    0x7D4C: 0x8C6F,     #  <CJK>
    0x7D4E: 0xE34D,     #  <CJK>
    0x7D4F: 0xE351,     #  <CJK>
    0x7D50: 0x8C8B,     #  <CJK>
    0x7D56: 0xE34C,     #  <CJK>
    0x7D5B: 0xE355,     #  <CJK>
    0x7D5E: 0x8D69,     #  <CJK>
    0x7D61: 0x978D,     #  <CJK>
    0x7D62: 0x88BA,     #  <CJK>
    0x7D63: 0xE352,     #  <CJK>
    0x7D66: 0x8B8B,     #  <CJK>
    0x7D68: 0xE34F,     #  <CJK>
    0x7D6E: 0xE350,     #  <CJK>
    0x7D71: 0x939D,     #  <CJK>
    0x7D72: 0xE34E,     #  <CJK>
    0x7D73: 0xE34B,     #  <CJK>
    0x7D75: 0x8A47,     #  <CJK>
    0x7D76: 0x90E2,     #  <CJK>
    0x7D79: 0x8CA6,     #  <CJK>
    0x7D7D: 0xE357,     #  <CJK>
    0x7D89: 0xE354,     #  <CJK>
    0x7D8F: 0xE356,     #  <CJK>
    0x7D93: 0xE353,     #  <CJK>
    0x7D99: 0x8C70,     #  <CJK>
    0x7D9A: 0x91B1,     #  <CJK>
    0x7D9B: 0xE358,     #  <CJK>
    0x7D9C: 0x918E,     #  <CJK>
    0x7D9F: 0xE365,     #  <CJK>
    0x7DA2: 0xE361,     #  <CJK>
    0x7DA3: 0xE35B,     #  <CJK>
    0x7DAB: 0xE35F,     #  <CJK>
    0x7DAC: 0x8EF8,     #  <CJK>
    0x7DAD: 0x88DB,     #  <CJK>
    0x7DAE: 0xE35A,     #  <CJK>
    0x7DAF: 0xE362,     #  <CJK>
    0x7DB0: 0xE366,     #  <CJK>
    0x7DB1: 0x8D6A,     #  <CJK>
    0x7DB2: 0x96D4,     #  <CJK>
    0x7DB4: 0x92D4,     #  <CJK>
    0x7DB5: 0xE35C,     #  <CJK>
    0x7DB8: 0xE364,     #  <CJK>
    0x7DBA: 0xE359,     #  <CJK>
    0x7DBB: 0x925D,     #  <CJK>
    0x7DBD: 0xE35E,     #  <CJK>
    0x7DBE: 0x88BB,     #  <CJK>
    0x7DBF: 0x96C8,     #  <CJK>
    0x7DC7: 0xE35D,     #  <CJK>
    0x7DCA: 0x8BD9,     #  <CJK>
    0x7DCB: 0x94EA,     #  <CJK>
    0x7DCF: 0x918D,     #  <CJK>
    0x7DD1: 0x97CE,     #  <CJK>
    0x7DD2: 0x8F8F,     #  <CJK>
    0x7DD5: 0xE38E,     #  <CJK>
    0x7DD8: 0xE367,     #  <CJK>
    0x7DDA: 0x90FC,     #  <CJK>
    0x7DDC: 0xE363,     #  <CJK>
    0x7DDD: 0xE368,     #  <CJK>
    0x7DDE: 0xE36A,     #  <CJK>
    0x7DE0: 0x92F7,     #  <CJK>
    0x7DE1: 0xE36D,     #  <CJK>
    0x7DE4: 0xE369,     #  <CJK>
    0x7DE8: 0x95D2,     #  <CJK>
    0x7DE9: 0x8AC9,     #  <CJK>
    0x7DEC: 0x96C9,     #  <CJK>
    0x7DEF: 0x88DC,     #  <CJK>
    0x7DF2: 0xE36C,     #  <CJK>
    0x7DF4: 0x97FB,     #  <CJK>
    0x7DFB: 0xE36B,     #  <CJK>
    0x7E01: 0x898F,     #  <CJK>
    0x7E04: 0x93EA,     #  <CJK>
    0x7E05: 0xE36E,     #  <CJK>
    0x7E09: 0xE375,     #  <CJK>
    0x7E0A: 0xE36F,     #  <CJK>
    0x7E0B: 0xE376,     #  <CJK>
    0x7E12: 0xE372,     #  <CJK>
    0x7E1B: 0x949B,     #  <CJK>
    0x7E1E: 0x8EC8,     #  <CJK>
    0x7E1F: 0xE374,     #  <CJK>
    0x7E21: 0xE371,     #  <CJK>
    0x7E22: 0xE377,     #  <CJK>
    0x7E23: 0xE370,     #  <CJK>
    0x7E26: 0x8F63,     #  <CJK>
    0x7E2B: 0x9644,     #  <CJK>
    0x7E2E: 0x8F6B,     #  <CJK>
    0x7E31: 0xE373,     #  <CJK>
    0x7E32: 0xE380,     #  <CJK>
    0x7E35: 0xE37B,     #  <CJK>
    0x7E37: 0xE37E,     #  <CJK>
    0x7E39: 0xE37C,     #  <CJK>
    0x7E3A: 0xE381,     #  <CJK>
    0x7E3B: 0xE37A,     #  <CJK>
    0x7E3D: 0xE360,     #  <CJK>
    0x7E3E: 0x90D1,     #  <CJK>
    0x7E41: 0x94C9,     #  <CJK>
    0x7E43: 0xE37D,     #  <CJK>
    0x7E46: 0xE378,     #  <CJK>
    0x7E4A: 0x9140,     #  <CJK>
    0x7E4B: 0x8C71,     #  <CJK>
    0x7E4D: 0x8F4A,     #  <CJK>
    0x7E54: 0x9044,     #  <CJK>
    0x7E55: 0x9155,     #  <CJK>
    0x7E56: 0xE384,     #  <CJK>
    0x7E59: 0xE386,     #  <CJK>
    0x7E5A: 0xE387,     #  <CJK>
    0x7E5D: 0xE383,     #  <CJK>
    0x7E5E: 0xE385,     #  <CJK>
    0x7E66: 0xE379,     #  <CJK>
    0x7E67: 0xE382,     #  <CJK>
    0x7E69: 0xE38A,     #  <CJK>
    0x7E6A: 0xE389,     #  <CJK>
    0x7E6D: 0x969A,     #  <CJK>
    0x7E70: 0x8C4A,     #  <CJK>
    0x7E79: 0xE388,     #  <CJK>
    0x7E7B: 0xE38C,     #  <CJK>
    0x7E7C: 0xE38B,     #  <CJK>
    0x7E7D: 0xE38F,     #  <CJK>
    0x7E7F: 0xE391,     #  <CJK>
    0x7E82: 0x8E5B,     #  <CJK>
    0x7E83: 0xE38D,     #  <CJK>
    0x7E88: 0xE392,     #  <CJK>
    0x7E89: 0xE393,     #  <CJK>
    0x7E8C: 0xE394,     #  <CJK>
    0x7E8E: 0xE39A,     #  <CJK>
    0x7E8F: 0x935A,     #  <CJK>
    0x7E90: 0xE396,     #  <CJK>
    0x7E92: 0xE395,     #  <CJK>
    0x7E93: 0xE397,     #  <CJK>
    0x7E94: 0xE398,     #  <CJK>
    0x7E96: 0xE399,     #  <CJK>
    0x7E9B: 0xE39B,     #  <CJK>
    0x7E9C: 0xE39C,     #  <CJK>
    0x7F36: 0x8ACA,     #  <CJK>
    0x7F38: 0xE39D,     #  <CJK>
    0x7F3A: 0xE39E,     #  <CJK>
    0x7F45: 0xE39F,     #  <CJK>
    0x7F4C: 0xE3A0,     #  <CJK>
    0x7F4D: 0xE3A1,     #  <CJK>
    0x7F4E: 0xE3A2,     #  <CJK>
    0x7F50: 0xE3A3,     #  <CJK>
    0x7F51: 0xE3A4,     #  <CJK>
    0x7F54: 0xE3A6,     #  <CJK>
    0x7F55: 0xE3A5,     #  <CJK>
    0x7F58: 0xE3A7,     #  <CJK>
    0x7F5F: 0xE3A8,     #  <CJK>
    0x7F60: 0xE3A9,     #  <CJK>
    0x7F67: 0xE3AC,     #  <CJK>
    0x7F68: 0xE3AA,     #  <CJK>
    0x7F69: 0xE3AB,     #  <CJK>
    0x7F6A: 0x8DDF,     #  <CJK>
    0x7F6B: 0x8C72,     #  <CJK>
    0x7F6E: 0x9275,     #  <CJK>
    0x7F70: 0x94B1,     #  <CJK>
    0x7F72: 0x8F90,     #  <CJK>
    0x7F75: 0x946C,     #  <CJK>
    0x7F77: 0x94EB,     #  <CJK>
    0x7F78: 0xE3AD,     #  <CJK>
    0x7F79: 0x9CEB,     #  <CJK>
    0x7F82: 0xE3AE,     #  <CJK>
    0x7F83: 0xE3B0,     #  <CJK>
    0x7F85: 0x9785,     #  <CJK>
    0x7F86: 0xE3AF,     #  <CJK>
    0x7F87: 0xE3B2,     #  <CJK>
    0x7F88: 0xE3B1,     #  <CJK>
    0x7F8A: 0x9772,     #  <CJK>
    0x7F8C: 0xE3B3,     #  <CJK>
    0x7F8E: 0x94FC,     #  <CJK>
    0x7F94: 0xE3B4,     #  <CJK>
    0x7F9A: 0xE3B7,     #  <CJK>
    0x7F9D: 0xE3B6,     #  <CJK>
    0x7F9E: 0xE3B5,     #  <CJK>
    0x7FA3: 0xE3B8,     #  <CJK>
    0x7FA4: 0x8C51,     #  <CJK>
    0x7FA8: 0x9141,     #  <CJK>
    0x7FA9: 0x8B60,     #  <CJK>
    0x7FAE: 0xE3BC,     #  <CJK>
    0x7FAF: 0xE3B9,     #  <CJK>
    0x7FB2: 0xE3BA,     #  <CJK>
    0x7FB6: 0xE3BD,     #  <CJK>
    0x7FB8: 0xE3BE,     #  <CJK>
    0x7FB9: 0xE3BB,     #  <CJK>
    0x7FBD: 0x8948,     #  <CJK>
    0x7FC1: 0x89A5,     #  <CJK>
    0x7FC5: 0xE3C0,     #  <CJK>
    0x7FC6: 0xE3C1,     #  <CJK>
    0x7FCA: 0xE3C2,     #  <CJK>
    0x7FCC: 0x9782,     #  <CJK>
    0x7FD2: 0x8F4B,     #  <CJK>
    0x7FD4: 0xE3C4,     #  <CJK>
    0x7FD5: 0xE3C3,     #  <CJK>
    0x7FE0: 0x9089,     #  <CJK>
    0x7FE1: 0xE3C5,     #  <CJK>
    0x7FE6: 0xE3C6,     #  <CJK>
    0x7FE9: 0xE3C7,     #  <CJK>
    0x7FEB: 0x8AE3,     #  <CJK>
    0x7FF0: 0x8ACB,     #  <CJK>
    0x7FF3: 0xE3C8,     #  <CJK>
    0x7FF9: 0xE3C9,     #  <CJK>
    0x7FFB: 0x967C,     #  <CJK>
    0x7FFC: 0x9783,     #  <CJK>
    0x8000: 0x9773,     #  <CJK>
    0x8001: 0x9856,     #  <CJK>
    0x8003: 0x8D6C,     #  <CJK>
    0x8004: 0xE3CC,     #  <CJK>
    0x8005: 0x8ED2,     #  <CJK>
    0x8006: 0xE3CB,     #  <CJK>
    0x800B: 0xE3CD,     #  <CJK>
    0x800C: 0x8EA7,     #  <CJK>
    0x8010: 0x91CF,     #  <CJK>
    0x8012: 0xE3CE,     #  <CJK>
    0x8015: 0x8D6B,     #  <CJK>
    0x8017: 0x96D5,     #  <CJK>
    0x8018: 0xE3CF,     #  <CJK>
    0x8019: 0xE3D0,     #  <CJK>
    0x801C: 0xE3D1,     #  <CJK>
    0x8021: 0xE3D2,     #  <CJK>
    0x8028: 0xE3D3,     #  <CJK>
    0x8033: 0x8EA8,     #  <CJK>
    0x8036: 0x96EB,     #  <CJK>
    0x803B: 0xE3D5,     #  <CJK>
    0x803D: 0x925E,     #  <CJK>
    0x803F: 0xE3D4,     #  <CJK>
    0x8046: 0xE3D7,     #  <CJK>
    0x804A: 0xE3D6,     #  <CJK>
    0x8052: 0xE3D8,     #  <CJK>
    0x8056: 0x90B9,     #  <CJK>
    0x8058: 0xE3D9,     #  <CJK>
    0x805A: 0xE3DA,     #  <CJK>
    0x805E: 0x95B7,     #  <CJK>
    0x805F: 0xE3DB,     #  <CJK>
    0x8061: 0x918F,     #  <CJK>
    0x8062: 0xE3DC,     #  <CJK>
    0x8068: 0xE3DD,     #  <CJK>
    0x806F: 0x97FC,     #  <CJK>
    0x8070: 0xE3E0,     #  <CJK>
    0x8072: 0xE3DF,     #  <CJK>
    0x8073: 0xE3DE,     #  <CJK>
    0x8074: 0x92AE,     #  <CJK>
    0x8076: 0xE3E1,     #  <CJK>
    0x8077: 0x9045,     #  <CJK>
    0x8079: 0xE3E2,     #  <CJK>
    0x807D: 0xE3E3,     #  <CJK>
    0x807E: 0x9857,     #  <CJK>
    0x807F: 0xE3E4,     #  <CJK>
    0x8084: 0xE3E5,     #  <CJK>
    0x8085: 0xE3E7,     #  <CJK>
    0x8086: 0xE3E6,     #  <CJK>
    0x8087: 0x94A3,     #  <CJK>
    0x8089: 0x93F7,     #  <CJK>
    0x808B: 0x985D,     #  <CJK>
    0x808C: 0x94A7,     #  <CJK>
    0x8093: 0xE3E9,     #  <CJK>
    0x8096: 0x8FD1,     #  <CJK>
    0x8098: 0x9549,     #  <CJK>
    0x809A: 0xE3EA,     #  <CJK>
    0x809B: 0xE3E8,     #  <CJK>
    0x809D: 0x8ACC,     #  <CJK>
    0x80A1: 0x8CD2,     #  <CJK>
    0x80A2: 0x8E88,     #  <CJK>
    0x80A5: 0x94EC,     #  <CJK>
    0x80A9: 0x8CA8,     #  <CJK>
    0x80AA: 0x9662,     #  <CJK>
    0x80AC: 0xE3ED,     #  <CJK>
    0x80AD: 0xE3EB,     #  <CJK>
    0x80AF: 0x8D6D,     #  <CJK>
    0x80B1: 0x8D6E,     #  <CJK>
    0x80B2: 0x88E7,     #  <CJK>
    0x80B4: 0x8DE6,     #  <CJK>
    0x80BA: 0x9478,     #  <CJK>
    0x80C3: 0x88DD,     #  <CJK>
    0x80C4: 0xE3F2,     #  <CJK>
    0x80C6: 0x925F,     #  <CJK>
    0x80CC: 0x9477,     #  <CJK>
    0x80CE: 0x91D9,     #  <CJK>
    0x80D6: 0xE3F4,     #  <CJK>
    0x80D9: 0xE3F0,     #  <CJK>
    0x80DA: 0xE3F3,     #  <CJK>
    0x80DB: 0xE3EE,     #  <CJK>
    0x80DD: 0xE3F1,     #  <CJK>
    0x80DE: 0x9645,     #  <CJK>
    0x80E1: 0x8CD3,     #  <CJK>
    0x80E4: 0x88FB,     #  <CJK>
    0x80E5: 0xE3EF,     #  <CJK>
    0x80EF: 0xE3F6,     #  <CJK>
    0x80F1: 0xE3F7,     #  <CJK>
    0x80F4: 0x93B7,     #  <CJK>
    0x80F8: 0x8BB9,     #  <CJK>
    0x80FC: 0xE445,     #  <CJK>
    0x80FD: 0x945C,     #  <CJK>
    0x8102: 0x8E89,     #  <CJK>
    0x8105: 0x8BBA,     #  <CJK>
    0x8106: 0x90C6,     #  <CJK>
    0x8107: 0x9865,     #  <CJK>
    0x8108: 0x96AC,     #  <CJK>
    0x8109: 0xE3F5,     #  <CJK>
    0x810A: 0x90D2,     #  <CJK>
    0x811A: 0x8B72,     #  <CJK>
    0x811B: 0xE3F8,     #  <CJK>
    0x8123: 0xE3FA,     #  <CJK>
    0x8129: 0xE3F9,     #  <CJK>
    0x812F: 0xE3FB,     #  <CJK>
    0x8131: 0x9245,     #  <CJK>
    0x8133: 0x945D,     #  <CJK>
    0x8139: 0x92AF,     #  <CJK>
    0x813E: 0xE442,     #  <CJK>
    0x8146: 0xE441,     #  <CJK>
    0x814B: 0xE3FC,     #  <CJK>
    0x814E: 0x9074,     #  <CJK>
    0x8150: 0x9585,     #  <CJK>
    0x8151: 0xE444,     #  <CJK>
    0x8153: 0xE443,     #  <CJK>
    0x8154: 0x8D6F,     #  <CJK>
    0x8155: 0x9872,     #  <CJK>
    0x815F: 0xE454,     #  <CJK>
    0x8165: 0xE448,     #  <CJK>
    0x8166: 0xE449,     #  <CJK>
    0x816B: 0x8EEE,     #  <CJK>
    0x816E: 0xE447,     #  <CJK>
    0x8170: 0x8D98,     #  <CJK>
    0x8171: 0xE446,     #  <CJK>
    0x8174: 0xE44A,     #  <CJK>
    0x8178: 0x92B0,     #  <CJK>
    0x8179: 0x95A0,     #  <CJK>
    0x817A: 0x9142,     #  <CJK>
    0x817F: 0x91DA,     #  <CJK>
    0x8180: 0xE44E,     #  <CJK>
    0x8182: 0xE44F,     #  <CJK>
    0x8183: 0xE44B,     #  <CJK>
    0x8188: 0xE44C,     #  <CJK>
    0x818A: 0xE44D,     #  <CJK>
    0x818F: 0x8D70,     #  <CJK>
    0x8193: 0xE455,     #  <CJK>
    0x8195: 0xE451,     #  <CJK>
    0x819A: 0x9586,     #  <CJK>
    0x819C: 0x968C,     #  <CJK>
    0x819D: 0x9547,     #  <CJK>
    0x81A0: 0xE450,     #  <CJK>
    0x81A3: 0xE453,     #  <CJK>
    0x81A4: 0xE452,     #  <CJK>
    0x81A8: 0x9663,     #  <CJK>
    0x81A9: 0xE456,     #  <CJK>
    0x81B0: 0xE457,     #  <CJK>
    0x81B3: 0x9156,     #  <CJK>
    0x81B5: 0xE458,     #  <CJK>
    0x81B8: 0xE45A,     #  <CJK>
    0x81BA: 0xE45E,     #  <CJK>
    0x81BD: 0xE45B,     #  <CJK>
    0x81BE: 0xE459,     #  <CJK>
    0x81BF: 0x945E,     #  <CJK>
    0x81C0: 0xE45C,     #  <CJK>
    0x81C2: 0xE45D,     #  <CJK>
    0x81C6: 0x89B0,     #  <CJK>
    0x81C8: 0xE464,     #  <CJK>
    0x81C9: 0xE45F,     #  <CJK>
    0x81CD: 0xE460,     #  <CJK>
    0x81D1: 0xE461,     #  <CJK>
    0x81D3: 0x919F,     #  <CJK>
    0x81D8: 0xE463,     #  <CJK>
    0x81D9: 0xE462,     #  <CJK>
    0x81DA: 0xE465,     #  <CJK>
    0x81DF: 0xE466,     #  <CJK>
    0x81E0: 0xE467,     #  <CJK>
    0x81E3: 0x9062,     #  <CJK>
    0x81E5: 0x89E7,     #  <CJK>
    0x81E7: 0xE468,     #  <CJK>
    0x81E8: 0x97D5,     #  <CJK>
    0x81EA: 0x8EA9,     #  <CJK>
    0x81ED: 0x8F4C,     #  <CJK>
    0x81F3: 0x8E8A,     #  <CJK>
    0x81F4: 0x9276,     #  <CJK>
    0x81FA: 0xE469,     #  <CJK>
    0x81FB: 0xE46A,     #  <CJK>
    0x81FC: 0x8950,     #  <CJK>
    0x81FE: 0xE46B,     #  <CJK>
    0x8201: 0xE46C,     #  <CJK>
    0x8202: 0xE46D,     #  <CJK>
    0x8205: 0xE46E,     #  <CJK>
    0x8207: 0xE46F,     #  <CJK>
    0x8208: 0x8BBB,     #  <CJK>
    0x8209: 0x9DA8,     #  <CJK>
    0x820A: 0xE470,     #  <CJK>
    0x820C: 0x90E3,     #  <CJK>
    0x820D: 0xE471,     #  <CJK>
    0x820E: 0x8EC9,     #  <CJK>
    0x8210: 0xE472,     #  <CJK>
    0x8212: 0x98AE,     #  <CJK>
    0x8216: 0xE473,     #  <CJK>
    0x8217: 0x95DC,     #  <CJK>
    0x8218: 0x8ADA,     #  <CJK>
    0x821B: 0x9143,     #  <CJK>
    0x821C: 0x8F77,     #  <CJK>
    0x821E: 0x9591,     #  <CJK>
    0x821F: 0x8F4D,     #  <CJK>
    0x8229: 0xE474,     #  <CJK>
    0x822A: 0x8D71,     #  <CJK>
    0x822B: 0xE475,     #  <CJK>
    0x822C: 0x94CA,     #  <CJK>
    0x822E: 0xE484,     #  <CJK>
    0x8233: 0xE477,     #  <CJK>
    0x8235: 0x91C7,     #  <CJK>
    0x8236: 0x9495,     #  <CJK>
    0x8237: 0x8CBD,     #  <CJK>
    0x8238: 0xE476,     #  <CJK>
    0x8239: 0x9144,     #  <CJK>
    0x8240: 0xE478,     #  <CJK>
    0x8247: 0x92F8,     #  <CJK>
    0x8258: 0xE47A,     #  <CJK>
    0x8259: 0xE479,     #  <CJK>
    0x825A: 0xE47C,     #  <CJK>
    0x825D: 0xE47B,     #  <CJK>
    0x825F: 0xE47D,     #  <CJK>
    0x8262: 0xE480,     #  <CJK>
    0x8264: 0xE47E,     #  <CJK>
    0x8266: 0x8ACD,     #  <CJK>
    0x8268: 0xE481,     #  <CJK>
    0x826A: 0xE482,     #  <CJK>
    0x826B: 0xE483,     #  <CJK>
    0x826E: 0x8DAF,     #  <CJK>
    0x826F: 0x97C7,     #  <CJK>
    0x8271: 0xE485,     #  <CJK>
    0x8272: 0x9046,     #  <CJK>
    0x8276: 0x8990,     #  <CJK>
    0x8277: 0xE486,     #  <CJK>
    0x8278: 0xE487,     #  <CJK>
    0x827E: 0xE488,     #  <CJK>
    0x828B: 0x88F0,     #  <CJK>
    0x828D: 0xE489,     #  <CJK>
    0x8292: 0xE48A,     #  <CJK>
    0x8299: 0x9587,     #  <CJK>
    0x829D: 0x8EC5,     #  <CJK>
    0x829F: 0xE48C,     #  <CJK>
    0x82A5: 0x8A48,     #  <CJK>
    0x82A6: 0x88B0,     #  <CJK>
    0x82AB: 0xE48B,     #  <CJK>
    0x82AC: 0xE48E,     #  <CJK>
    0x82AD: 0x946D,     #  <CJK>
    0x82AF: 0x9063,     #  <CJK>
    0x82B1: 0x89D4,     #  <CJK>
    0x82B3: 0x9646,     #  <CJK>
    0x82B8: 0x8C7C,     #  <CJK>
    0x82B9: 0x8BDA,     #  <CJK>
    0x82BB: 0xE48D,     #  <CJK>
    0x82BD: 0x89E8,     #  <CJK>
    0x82C5: 0x8AA1,     #  <CJK>
    0x82D1: 0x8991,     #  <CJK>
    0x82D2: 0xE492,     #  <CJK>
    0x82D3: 0x97E8,     #  <CJK>
    0x82D4: 0x91DB,     #  <CJK>
    0x82D7: 0x9563,     #  <CJK>
    0x82D9: 0xE49E,     #  <CJK>
    0x82DB: 0x89D5,     #  <CJK>
    0x82DC: 0xE49C,     #  <CJK>
    0x82DE: 0xE49A,     #  <CJK>
    0x82DF: 0xE491,     #  <CJK>
    0x82E1: 0xE48F,     #  <CJK>
    0x82E3: 0xE490,     #  <CJK>
    0x82E5: 0x8EE1,     #  <CJK>
    0x82E6: 0x8BEA,     #  <CJK>
    0x82E7: 0x9297,     #  <CJK>
    0x82EB: 0x93CF,     #  <CJK>
    0x82F1: 0x8970,     #  <CJK>
    0x82F3: 0xE494,     #  <CJK>
    0x82F4: 0xE493,     #  <CJK>
    0x82F9: 0xE499,     #  <CJK>
    0x82FA: 0xE495,     #  <CJK>
    0x82FB: 0xE498,     #  <CJK>
    0x8302: 0x96CE,     #  <CJK>
    0x8303: 0xE497,     #  <CJK>
    0x8304: 0x89D6,     #  <CJK>
    0x8305: 0x8A9D,     #  <CJK>
    0x8306: 0xE49B,     #  <CJK>
    0x8309: 0xE49D,     #  <CJK>
    0x830E: 0x8C73,     #  <CJK>
    0x8316: 0xE4A1,     #  <CJK>
    0x8317: 0xE4AA,     #  <CJK>
    0x8318: 0xE4AB,     #  <CJK>
    0x831C: 0x88A9,     #  <CJK>
    0x8323: 0xE4B2,     #  <CJK>
    0x8328: 0x88EF,     #  <CJK>
    0x832B: 0xE4A9,     #  <CJK>
    0x832F: 0xE4A8,     #  <CJK>
    0x8331: 0xE4A3,     #  <CJK>
    0x8332: 0xE4A2,     #  <CJK>
    0x8334: 0xE4A0,     #  <CJK>
    0x8335: 0xE49F,     #  <CJK>
    0x8336: 0x9283,     #  <CJK>
    0x8338: 0x91F9,     #  <CJK>
    0x8339: 0xE4A5,     #  <CJK>
    0x8340: 0xE4A4,     #  <CJK>
    0x8345: 0xE4A7,     #  <CJK>
    0x8349: 0x9190,     #  <CJK>
    0x834A: 0x8C74,     #  <CJK>
    0x834F: 0x8960,     #  <CJK>
    0x8350: 0xE4A6,     #  <CJK>
    0x8352: 0x8D72,     #  <CJK>
    0x8358: 0x9191,     #  <CJK>
    0x8373: 0xE4B8,     #  <CJK>
    0x8375: 0xE4B9,     #  <CJK>
    0x8377: 0x89D7,     #  <CJK>
    0x837B: 0x89AC,     #  <CJK>
    0x837C: 0xE4B6,     #  <CJK>
    0x8385: 0xE4AC,     #  <CJK>
    0x8387: 0xE4B4,     #  <CJK>
    0x8389: 0xE4BB,     #  <CJK>
    0x838A: 0xE4B5,     #  <CJK>
    0x838E: 0xE4B3,     #  <CJK>
    0x8393: 0xE496,     #  <CJK>
    0x8396: 0xE4B1,     #  <CJK>
    0x839A: 0xE4AD,     #  <CJK>
    0x839E: 0x8ACE,     #  <CJK>
    0x839F: 0xE4AF,     #  <CJK>
    0x83A0: 0xE4BA,     #  <CJK>
    0x83A2: 0xE4B0,     #  <CJK>
    0x83A8: 0xE4BC,     #  <CJK>
    0x83AA: 0xE4AE,     #  <CJK>
    0x83AB: 0x949C,     #  <CJK>
    0x83B1: 0x9789,     #  <CJK>
    0x83B5: 0xE4B7,     #  <CJK>
    0x83BD: 0xE4CD,     #  <CJK>
    0x83C1: 0xE4C5,     #  <CJK>
    0x83C5: 0x909B,     #  <CJK>
    0x83CA: 0x8B65,     #  <CJK>
    0x83CC: 0x8BDB,     #  <CJK>
    0x83CE: 0xE4C0,     #  <CJK>
    0x83D3: 0x89D9,     #  <CJK>
    0x83D6: 0x8FD2,     #  <CJK>
    0x83D8: 0xE4C3,     #  <CJK>
    0x83DC: 0x8DD8,     #  <CJK>
    0x83DF: 0x9370,     #  <CJK>
    0x83E0: 0xE4C8,     #  <CJK>
    0x83E9: 0x95EC,     #  <CJK>
    0x83EB: 0xE4BF,     #  <CJK>
    0x83EF: 0x89D8,     #  <CJK>
    0x83F0: 0x8CD4,     #  <CJK>
    0x83F1: 0x9548,     #  <CJK>
    0x83F2: 0xE4C9,     #  <CJK>
    0x83F4: 0xE4BD,     #  <CJK>
    0x83F7: 0xE4C6,     #  <CJK>
    0x83FB: 0xE4D0,     #  <CJK>
    0x83FD: 0xE4C1,     #  <CJK>
    0x8403: 0xE4C2,     #  <CJK>
    0x8404: 0x93B8,     #  <CJK>
    0x8407: 0xE4C7,     #  <CJK>
    0x840B: 0xE4C4,     #  <CJK>
    0x840C: 0x9647,     #  <CJK>
    0x840D: 0xE4CA,     #  <CJK>
    0x840E: 0x88DE,     #  <CJK>
    0x8413: 0xE4BE,     #  <CJK>
    0x8420: 0xE4CC,     #  <CJK>
    0x8422: 0xE4CB,     #  <CJK>
    0x8429: 0x948B,     #  <CJK>
    0x842A: 0xE4D2,     #  <CJK>
    0x842C: 0xE4DD,     #  <CJK>
    0x8431: 0x8A9E,     #  <CJK>
    0x8435: 0xE4E0,     #  <CJK>
    0x8438: 0xE4CE,     #  <CJK>
    0x843C: 0xE4D3,     #  <CJK>
    0x843D: 0x978E,     #  <CJK>
    0x8446: 0xE4DC,     #  <CJK>
    0x8449: 0x9774,     #  <CJK>
    0x844E: 0x97A8,     #  <CJK>
    0x8457: 0x9298,     #  <CJK>
    0x845B: 0x8A8B,     #  <CJK>
    0x8461: 0x9592,     #  <CJK>
    0x8462: 0xE4E2,     #  <CJK>
    0x8463: 0x939F,     #  <CJK>
    0x8466: 0x88AF,     #  <CJK>
    0x8469: 0xE4DB,     #  <CJK>
    0x846B: 0xE4D7,     #  <CJK>
    0x846C: 0x9192,     #  <CJK>
    0x846D: 0xE4D1,     #  <CJK>
    0x846E: 0xE4D9,     #  <CJK>
    0x846F: 0xE4DE,     #  <CJK>
    0x8471: 0x944B,     #  <CJK>
    0x8475: 0x88A8,     #  <CJK>
    0x8477: 0xE4D6,     #  <CJK>
    0x8479: 0xE4DF,     #  <CJK>
    0x847A: 0x9598,     #  <CJK>
    0x8482: 0xE4DA,     #  <CJK>
    0x8484: 0xE4D5,     #  <CJK>
    0x848B: 0x8FD3,     #  <CJK>
    0x8490: 0x8F4E,     #  <CJK>
    0x8494: 0x8EAA,     #  <CJK>
    0x8499: 0x96D6,     #  <CJK>
    0x849C: 0x9566,     #  <CJK>
    0x849F: 0xE4E5,     #  <CJK>
    0x84A1: 0xE4EE,     #  <CJK>
    0x84AD: 0xE4D8,     #  <CJK>
    0x84B2: 0x8A97,     #  <CJK>
    0x84B8: 0x8FF6,     #  <CJK>
    0x84B9: 0xE4E3,     #  <CJK>
    0x84BB: 0xE4E8,     #  <CJK>
    0x84BC: 0x9193,     #  <CJK>
    0x84BF: 0xE4E4,     #  <CJK>
    0x84C1: 0xE4EB,     #  <CJK>
    0x84C4: 0x927E,     #  <CJK>
    0x84C6: 0xE4EC,     #  <CJK>
    0x84C9: 0x9775,     #  <CJK>
    0x84CA: 0xE4E1,     #  <CJK>
    0x84CB: 0x8A57,     #  <CJK>
    0x84CD: 0xE4E7,     #  <CJK>
    0x84D0: 0xE4EA,     #  <CJK>
    0x84D1: 0x96AA,     #  <CJK>
    0x84D6: 0xE4ED,     #  <CJK>
    0x84D9: 0xE4E6,     #  <CJK>
    0x84DA: 0xE4E9,     #  <CJK>
    0x84EC: 0x9648,     #  <CJK>
    0x84EE: 0x9840,     #  <CJK>
    0x84F4: 0xE4F1,     #  <CJK>
    0x84FC: 0xE4F8,     #  <CJK>
    0x84FF: 0xE4F0,     #  <CJK>
    0x8500: 0x8EC1,     #  <CJK>
    0x8506: 0xE4CF,     #  <CJK>
    0x8511: 0x95CC,     #  <CJK>
    0x8513: 0x96A0,     #  <CJK>
    0x8514: 0xE4F7,     #  <CJK>
    0x8515: 0xE4F6,     #  <CJK>
    0x8517: 0xE4F2,     #  <CJK>
    0x8518: 0xE4F3,     #  <CJK>
    0x851A: 0x8955,     #  <CJK>
    0x851F: 0xE4F5,     #  <CJK>
    0x8521: 0xE4EF,     #  <CJK>
    0x8526: 0x92D3,     #  <CJK>
    0x852C: 0xE4F4,     #  <CJK>
    0x852D: 0x88FC,     #  <CJK>
    0x8535: 0x91A0,     #  <CJK>
    0x853D: 0x95C1,     #  <CJK>
    0x8540: 0xE4F9,     #  <CJK>
    0x8541: 0xE540,     #  <CJK>
    0x8543: 0x94D7,     #  <CJK>
    0x8548: 0xE4FC,     #  <CJK>
    0x8549: 0x8FD4,     #  <CJK>
    0x854A: 0x8EC7,     #  <CJK>
    0x854B: 0xE542,     #  <CJK>
    0x854E: 0x8BBC,     #  <CJK>
    0x8555: 0xE543,     #  <CJK>
    0x8557: 0x9599,     #  <CJK>
    0x8558: 0xE4FB,     #  <CJK>
    0x855A: 0xE4D4,     #  <CJK>
    0x8563: 0xE4FA,     #  <CJK>
    0x8568: 0x986E,     #  <CJK>
    0x8569: 0x93A0,     #  <CJK>
    0x856A: 0x9593,     #  <CJK>
    0x856D: 0xE54A,     #  <CJK>
    0x8577: 0xE550,     #  <CJK>
    0x857E: 0xE551,     #  <CJK>
    0x8580: 0xE544,     #  <CJK>
    0x8584: 0x9496,     #  <CJK>
    0x8587: 0xE54E,     #  <CJK>
    0x8588: 0xE546,     #  <CJK>
    0x858A: 0xE548,     #  <CJK>
    0x8590: 0xE552,     #  <CJK>
    0x8591: 0xE547,     #  <CJK>
    0x8594: 0xE54B,     #  <CJK>
    0x8597: 0x8992,     #  <CJK>
    0x8599: 0x93E3,     #  <CJK>
    0x859B: 0xE54C,     #  <CJK>
    0x859C: 0xE54F,     #  <CJK>
    0x85A4: 0xE545,     #  <CJK>
    0x85A6: 0x9145,     #  <CJK>
    0x85A8: 0xE549,     #  <CJK>
    0x85A9: 0x8E46,     #  <CJK>
    0x85AA: 0x9064,     #  <CJK>
    0x85AB: 0x8C4F,     #  <CJK>
    0x85AC: 0x96F2,     #  <CJK>
    0x85AE: 0x96F7,     #  <CJK>
    0x85AF: 0x8F92,     #  <CJK>
    0x85B9: 0xE556,     #  <CJK>
    0x85BA: 0xE554,     #  <CJK>
    0x85C1: 0x986D,     #  <CJK>
    0x85C9: 0xE553,     #  <CJK>
    0x85CD: 0x9795,     #  <CJK>
    0x85CF: 0xE555,     #  <CJK>
    0x85D0: 0xE557,     #  <CJK>
    0x85D5: 0xE558,     #  <CJK>
    0x85DC: 0xE55B,     #  <CJK>
    0x85DD: 0xE559,     #  <CJK>
    0x85E4: 0x93A1,     #  <CJK>
    0x85E5: 0xE55A,     #  <CJK>
    0x85E9: 0x94CB,     #  <CJK>
    0x85EA: 0xE54D,     #  <CJK>
    0x85F7: 0x8F93,     #  <CJK>
    0x85F9: 0xE55C,     #  <CJK>
    0x85FA: 0xE561,     #  <CJK>
    0x85FB: 0x9194,     #  <CJK>
    0x85FE: 0xE560,     #  <CJK>
    0x8602: 0xE541,     #  <CJK>
    0x8606: 0xE562,     #  <CJK>
    0x8607: 0x9168,     #  <CJK>
    0x860A: 0xE55D,     #  <CJK>
    0x860B: 0xE55F,     #  <CJK>
    0x8613: 0xE55E,     #  <CJK>
    0x8616: 0x9F50,     #  <CJK>
    0x8617: 0x9F41,     #  <CJK>
    0x861A: 0xE564,     #  <CJK>
    0x8622: 0xE563,     #  <CJK>
    0x862D: 0x9796,     #  <CJK>
    0x862F: 0xE1BA,     #  <CJK>
    0x8630: 0xE565,     #  <CJK>
    0x863F: 0xE566,     #  <CJK>
    0x864D: 0xE567,     #  <CJK>
    0x864E: 0x8CD5,     #  <CJK>
    0x8650: 0x8B73,     #  <CJK>
    0x8654: 0xE569,     #  <CJK>
    0x8655: 0x997C,     #  <CJK>
    0x865A: 0x8B95,     #  <CJK>
    0x865C: 0x97B8,     #  <CJK>
    0x865E: 0x8BF1,     #  <CJK>
    0x865F: 0xE56A,     #  <CJK>
    0x8667: 0xE56B,     #  <CJK>
    0x866B: 0x928E,     #  <CJK>
    0x8671: 0xE56C,     #  <CJK>
    0x8679: 0x93F8,     #  <CJK>
    0x867B: 0x88B8,     #  <CJK>
    0x868A: 0x89E1,     #  <CJK>
    0x868B: 0xE571,     #  <CJK>
    0x868C: 0xE572,     #  <CJK>
    0x8693: 0xE56D,     #  <CJK>
    0x8695: 0x8E5C,     #  <CJK>
    0x86A3: 0xE56E,     #  <CJK>
    0x86A4: 0x9461,     #  <CJK>
    0x86A9: 0xE56F,     #  <CJK>
    0x86AA: 0xE570,     #  <CJK>
    0x86AB: 0xE57A,     #  <CJK>
    0x86AF: 0xE574,     #  <CJK>
    0x86B0: 0xE577,     #  <CJK>
    0x86B6: 0xE573,     #  <CJK>
    0x86C4: 0xE575,     #  <CJK>
    0x86C6: 0xE576,     #  <CJK>
    0x86C7: 0x8ED6,     #  <CJK>
    0x86C9: 0xE578,     #  <CJK>
    0x86CB: 0x9260,     #  <CJK>
    0x86CD: 0x8C75,     #  <CJK>
    0x86CE: 0x8A61,     #  <CJK>
    0x86D4: 0xE57B,     #  <CJK>
    0x86D9: 0x8A5E,     #  <CJK>
    0x86DB: 0xE581,     #  <CJK>
    0x86DE: 0xE57C,     #  <CJK>
    0x86DF: 0xE580,     #  <CJK>
    0x86E4: 0x94B8,     #  <CJK>
    0x86E9: 0xE57D,     #  <CJK>
    0x86EC: 0xE57E,     #  <CJK>
    0x86ED: 0x9567,     #  <CJK>
    0x86EE: 0x94D8,     #  <CJK>
    0x86EF: 0xE582,     #  <CJK>
    0x86F8: 0x91FB,     #  <CJK>
    0x86F9: 0xE58C,     #  <CJK>
    0x86FB: 0xE588,     #  <CJK>
    0x86FE: 0x89E9,     #  <CJK>
    0x8700: 0xE586,     #  <CJK>
    0x8702: 0x9649,     #  <CJK>
    0x8703: 0xE587,     #  <CJK>
    0x8706: 0xE584,     #  <CJK>
    0x8708: 0xE585,     #  <CJK>
    0x8709: 0xE58A,     #  <CJK>
    0x870A: 0xE58D,     #  <CJK>
    0x870D: 0xE58B,     #  <CJK>
    0x8711: 0xE589,     #  <CJK>
    0x8712: 0xE583,     #  <CJK>
    0x8718: 0x9277,     #  <CJK>
    0x871A: 0xE594,     #  <CJK>
    0x871C: 0x96A8,     #  <CJK>
    0x8725: 0xE592,     #  <CJK>
    0x8729: 0xE593,     #  <CJK>
    0x8734: 0xE58E,     #  <CJK>
    0x8737: 0xE590,     #  <CJK>
    0x873B: 0xE591,     #  <CJK>
    0x873F: 0xE58F,     #  <CJK>
    0x8749: 0x90E4,     #  <CJK>
    0x874B: 0x9858,     #  <CJK>
    0x874C: 0xE598,     #  <CJK>
    0x874E: 0xE599,     #  <CJK>
    0x8753: 0xE59F,     #  <CJK>
    0x8755: 0x9049,     #  <CJK>
    0x8757: 0xE59B,     #  <CJK>
    0x8759: 0xE59E,     #  <CJK>
    0x875F: 0xE596,     #  <CJK>
    0x8760: 0xE595,     #  <CJK>
    0x8763: 0xE5A0,     #  <CJK>
    0x8766: 0x89DA,     #  <CJK>
    0x8768: 0xE59C,     #  <CJK>
    0x876A: 0xE5A1,     #  <CJK>
    0x876E: 0xE59D,     #  <CJK>
    0x8774: 0xE59A,     #  <CJK>
    0x8776: 0x92B1,     #  <CJK>
    0x8778: 0xE597,     #  <CJK>
    0x877F: 0x9488,     #  <CJK>
    0x8782: 0xE5A5,     #  <CJK>
    0x878D: 0x975A,     #  <CJK>
    0x879F: 0xE5A4,     #  <CJK>
    0x87A2: 0xE5A3,     #  <CJK>
    0x87AB: 0xE5AC,     #  <CJK>
    0x87AF: 0xE5A6,     #  <CJK>
    0x87B3: 0xE5AE,     #  <CJK>
    0x87BA: 0x9786,     #  <CJK>
    0x87BB: 0xE5B1,     #  <CJK>
    0x87BD: 0xE5A8,     #  <CJK>
    0x87C0: 0xE5A9,     #  <CJK>
    0x87C4: 0xE5AD,     #  <CJK>
    0x87C6: 0xE5B0,     #  <CJK>
    0x87C7: 0xE5AF,     #  <CJK>
    0x87CB: 0xE5A7,     #  <CJK>
    0x87D0: 0xE5AA,     #  <CJK>
    0x87D2: 0xE5BB,     #  <CJK>
    0x87E0: 0xE5B4,     #  <CJK>
    0x87EF: 0xE5B2,     #  <CJK>
    0x87F2: 0xE5B3,     #  <CJK>
    0x87F6: 0xE5B8,     #  <CJK>
    0x87F7: 0xE5B9,     #  <CJK>
    0x87F9: 0x8A49,     #  <CJK>
    0x87FB: 0x8B61,     #  <CJK>
    0x87FE: 0xE5B7,     #  <CJK>
    0x8805: 0xE5A2,     #  <CJK>
    0x880D: 0xE5B6,     #  <CJK>
    0x880E: 0xE5BA,     #  <CJK>
    0x880F: 0xE5B5,     #  <CJK>
    0x8811: 0xE5BC,     #  <CJK>
    0x8815: 0xE5BE,     #  <CJK>
    0x8816: 0xE5BD,     #  <CJK>
    0x8821: 0xE5C0,     #  <CJK>
    0x8822: 0xE5BF,     #  <CJK>
    0x8823: 0xE579,     #  <CJK>
    0x8827: 0xE5C4,     #  <CJK>
    0x8831: 0xE5C1,     #  <CJK>
    0x8836: 0xE5C2,     #  <CJK>
    0x8839: 0xE5C3,     #  <CJK>
    0x883B: 0xE5C5,     #  <CJK>
    0x8840: 0x8C8C,     #  <CJK>
    0x8842: 0xE5C7,     #  <CJK>
    0x8844: 0xE5C6,     #  <CJK>
    0x8846: 0x8F4F,     #  <CJK>
    0x884C: 0x8D73,     #  <CJK>
    0x884D: 0x9FA5,     #  <CJK>
    0x8852: 0xE5C8,     #  <CJK>
    0x8853: 0x8F70,     #  <CJK>
    0x8857: 0x8A58,     #  <CJK>
    0x8859: 0xE5C9,     #  <CJK>
    0x885B: 0x8971,     #  <CJK>
    0x885D: 0x8FD5,     #  <CJK>
    0x885E: 0xE5CA,     #  <CJK>
    0x8861: 0x8D74,     #  <CJK>
    0x8862: 0xE5CB,     #  <CJK>
    0x8863: 0x88DF,     #  <CJK>
    0x8868: 0x955C,     #  <CJK>
    0x886B: 0xE5CC,     #  <CJK>
    0x8870: 0x908A,     #  <CJK>
    0x8872: 0xE5D3,     #  <CJK>
    0x8875: 0xE5D0,     #  <CJK>
    0x8877: 0x928F,     #  <CJK>
    0x887D: 0xE5D1,     #  <CJK>
    0x887E: 0xE5CE,     #  <CJK>
    0x887F: 0x8BDC,     #  <CJK>
    0x8881: 0xE5CD,     #  <CJK>
    0x8882: 0xE5D4,     #  <CJK>
    0x8888: 0x8C55,     #  <CJK>
    0x888B: 0x91DC,     #  <CJK>
    0x888D: 0xE5DA,     #  <CJK>
    0x8892: 0xE5D6,     #  <CJK>
    0x8896: 0x91B3,     #  <CJK>
    0x8897: 0xE5D5,     #  <CJK>
    0x8899: 0xE5D8,     #  <CJK>
    0x889E: 0xE5CF,     #  <CJK>
    0x88A2: 0xE5D9,     #  <CJK>
    0x88A4: 0xE5DB,     #  <CJK>
    0x88AB: 0x94ED,     #  <CJK>
    0x88AE: 0xE5D7,     #  <CJK>
    0x88B0: 0xE5DC,     #  <CJK>
    0x88B1: 0xE5DE,     #  <CJK>
    0x88B4: 0x8CD1,     #  <CJK>
    0x88B5: 0xE5D2,     #  <CJK>
    0x88B7: 0x88BF,     #  <CJK>
    0x88BF: 0xE5DD,     #  <CJK>
    0x88C1: 0x8DD9,     #  <CJK>
    0x88C2: 0x97F4,     #  <CJK>
    0x88C3: 0xE5DF,     #  <CJK>
    0x88C4: 0xE5E0,     #  <CJK>
    0x88C5: 0x9195,     #  <CJK>
    0x88CF: 0x97A0,     #  <CJK>
    0x88D4: 0xE5E1,     #  <CJK>
    0x88D5: 0x9754,     #  <CJK>
    0x88D8: 0xE5E2,     #  <CJK>
    0x88D9: 0xE5E3,     #  <CJK>
    0x88DC: 0x95E2,     #  <CJK>
    0x88DD: 0xE5E4,     #  <CJK>
    0x88DF: 0x8DBE,     #  <CJK>
    0x88E1: 0x97A1,     #  <CJK>
    0x88E8: 0xE5E9,     #  <CJK>
    0x88F2: 0xE5EA,     #  <CJK>
    0x88F3: 0x8FD6,     #  <CJK>
    0x88F4: 0xE5E8,     #  <CJK>
    0x88F8: 0x9787,     #  <CJK>
    0x88F9: 0xE5E5,     #  <CJK>
    0x88FC: 0xE5E7,     #  <CJK>
    0x88FD: 0x90BB,     #  <CJK>
    0x88FE: 0x909E,     #  <CJK>
    0x8902: 0xE5E6,     #  <CJK>
    0x8904: 0xE5EB,     #  <CJK>
    0x8907: 0x95A1,     #  <CJK>
    0x890A: 0xE5ED,     #  <CJK>
    0x890C: 0xE5EC,     #  <CJK>
    0x8910: 0x8A8C,     #  <CJK>
    0x8912: 0x964A,     #  <CJK>
    0x8913: 0xE5EE,     #  <CJK>
    0x891D: 0xE5FA,     #  <CJK>
    0x891E: 0xE5F0,     #  <CJK>
    0x8925: 0xE5F1,     #  <CJK>
    0x892A: 0xE5F2,     #  <CJK>
    0x892B: 0xE5F3,     #  <CJK>
    0x8936: 0xE5F7,     #  <CJK>
    0x8938: 0xE5F8,     #  <CJK>
    0x893B: 0xE5F6,     #  <CJK>
    0x8941: 0xE5F4,     #  <CJK>
    0x8943: 0xE5EF,     #  <CJK>
    0x8944: 0xE5F5,     #  <CJK>
    0x894C: 0xE5F9,     #  <CJK>
    0x894D: 0xE8B5,     #  <CJK>
    0x8956: 0x89A6,     #  <CJK>
    0x895E: 0xE5FC,     #  <CJK>
    0x895F: 0x8BDD,     #  <CJK>
    0x8960: 0xE5FB,     #  <CJK>
    0x8964: 0xE641,     #  <CJK>
    0x8966: 0xE640,     #  <CJK>
    0x896A: 0xE643,     #  <CJK>
    0x896D: 0xE642,     #  <CJK>
    0x896F: 0xE644,     #  <CJK>
    0x8972: 0x8F50,     #  <CJK>
    0x8974: 0xE645,     #  <CJK>
    0x8977: 0xE646,     #  <CJK>
    0x897E: 0xE647,     #  <CJK>
    0x897F: 0x90BC,     #  <CJK>
    0x8981: 0x9776,     #  <CJK>
    0x8983: 0xE648,     #  <CJK>
    0x8986: 0x95A2,     #  <CJK>
    0x8987: 0x9465,     #  <CJK>
    0x8988: 0xE649,     #  <CJK>
    0x898A: 0xE64A,     #  <CJK>
    0x898B: 0x8CA9,     #  <CJK>
    0x898F: 0x8B4B,     #  <CJK>
    0x8993: 0xE64B,     #  <CJK>
    0x8996: 0x8E8B,     #  <CJK>
    0x8997: 0x9460,     #  <CJK>
    0x8998: 0xE64C,     #  <CJK>
    0x899A: 0x8A6F,     #  <CJK>
    0x89A1: 0xE64D,     #  <CJK>
    0x89A6: 0xE64F,     #  <CJK>
    0x89A7: 0x9797,     #  <CJK>
    0x89A9: 0xE64E,     #  <CJK>
    0x89AA: 0x9065,     #  <CJK>
    0x89AC: 0xE650,     #  <CJK>
    0x89AF: 0xE651,     #  <CJK>
    0x89B2: 0xE652,     #  <CJK>
    0x89B3: 0x8ACF,     #  <CJK>
    0x89BA: 0xE653,     #  <CJK>
    0x89BD: 0xE654,     #  <CJK>
    0x89BF: 0xE655,     #  <CJK>
    0x89C0: 0xE656,     #  <CJK>
    0x89D2: 0x8A70,     #  <CJK>
    0x89DA: 0xE657,     #  <CJK>
    0x89DC: 0xE658,     #  <CJK>
    0x89DD: 0xE659,     #  <CJK>
    0x89E3: 0x89F0,     #  <CJK>
    0x89E6: 0x9047,     #  <CJK>
    0x89E7: 0xE65A,     #  <CJK>
    0x89F4: 0xE65B,     #  <CJK>
    0x89F8: 0xE65C,     #  <CJK>
    0x8A00: 0x8CBE,     #  <CJK>
    0x8A02: 0x92F9,     #  <CJK>
    0x8A03: 0xE65D,     #  <CJK>
    0x8A08: 0x8C76,     #  <CJK>
    0x8A0A: 0x9075,     #  <CJK>
    0x8A0C: 0xE660,     #  <CJK>
    0x8A0E: 0x93A2,     #  <CJK>
    0x8A10: 0xE65F,     #  <CJK>
    0x8A13: 0x8C50,     #  <CJK>
    0x8A16: 0xE65E,     #  <CJK>
    0x8A17: 0x91F5,     #  <CJK>
    0x8A18: 0x8B4C,     #  <CJK>
    0x8A1B: 0xE661,     #  <CJK>
    0x8A1D: 0xE662,     #  <CJK>
    0x8A1F: 0x8FD7,     #  <CJK>
    0x8A23: 0x8C8D,     #  <CJK>
    0x8A25: 0xE663,     #  <CJK>
    0x8A2A: 0x964B,     #  <CJK>
    0x8A2D: 0x90DD,     #  <CJK>
    0x8A31: 0x8B96,     #  <CJK>
    0x8A33: 0x96F3,     #  <CJK>
    0x8A34: 0x9169,     #  <CJK>
    0x8A36: 0xE664,     #  <CJK>
    0x8A3A: 0x9066,     #  <CJK>
    0x8A3B: 0x9290,     #  <CJK>
    0x8A3C: 0x8FD8,     #  <CJK>
    0x8A41: 0xE665,     #  <CJK>
    0x8A46: 0xE668,     #  <CJK>
    0x8A48: 0xE669,     #  <CJK>
    0x8A50: 0x8DBC,     #  <CJK>
    0x8A51: 0x91C0,     #  <CJK>
    0x8A52: 0xE667,     #  <CJK>
    0x8A54: 0x8FD9,     #  <CJK>
    0x8A55: 0x955D,     #  <CJK>
    0x8A5B: 0xE666,     #  <CJK>
    0x8A5E: 0x8E8C,     #  <CJK>
    0x8A60: 0x8972,     #  <CJK>
    0x8A62: 0xE66D,     #  <CJK>
    0x8A63: 0x8C77,     #  <CJK>
    0x8A66: 0x8E8E,     #  <CJK>
    0x8A69: 0x8E8D,     #  <CJK>
    0x8A6B: 0x986C,     #  <CJK>
    0x8A6C: 0xE66C,     #  <CJK>
    0x8A6D: 0xE66B,     #  <CJK>
    0x8A6E: 0x9146,     #  <CJK>
    0x8A70: 0x8B6C,     #  <CJK>
    0x8A71: 0x9862,     #  <CJK>
    0x8A72: 0x8A59,     #  <CJK>
    0x8A73: 0x8FDA,     #  <CJK>
    0x8A7C: 0xE66A,     #  <CJK>
    0x8A82: 0xE66F,     #  <CJK>
    0x8A84: 0xE670,     #  <CJK>
    0x8A85: 0xE66E,     #  <CJK>
    0x8A87: 0x8CD6,     #  <CJK>
    0x8A89: 0x975F,     #  <CJK>
    0x8A8C: 0x8E8F,     #  <CJK>
    0x8A8D: 0x9446,     #  <CJK>
    0x8A91: 0xE673,     #  <CJK>
    0x8A93: 0x90BE,     #  <CJK>
    0x8A95: 0x9261,     #  <CJK>
    0x8A98: 0x9755,     #  <CJK>
    0x8A9A: 0xE676,     #  <CJK>
    0x8A9E: 0x8CEA,     #  <CJK>
    0x8AA0: 0x90BD,     #  <CJK>
    0x8AA1: 0xE672,     #  <CJK>
    0x8AA3: 0xE677,     #  <CJK>
    0x8AA4: 0x8CEB,     #  <CJK>
    0x8AA5: 0xE674,     #  <CJK>
    0x8AA6: 0xE675,     #  <CJK>
    0x8AA8: 0xE671,     #  <CJK>
    0x8AAC: 0x90E0,     #  <CJK>
    0x8AAD: 0x93C7,     #  <CJK>
    0x8AB0: 0x924E,     #  <CJK>
    0x8AB2: 0x89DB,     #  <CJK>
    0x8AB9: 0x94EE,     #  <CJK>
    0x8ABC: 0x8B62,     #  <CJK>
    0x8ABF: 0x92B2,     #  <CJK>
    0x8AC2: 0xE67A,     #  <CJK>
    0x8AC4: 0xE678,     #  <CJK>
    0x8AC7: 0x926B,     #  <CJK>
    0x8ACB: 0x90BF,     #  <CJK>
    0x8ACC: 0x8AD0,     #  <CJK>
    0x8ACD: 0xE679,     #  <CJK>
    0x8ACF: 0x907A,     #  <CJK>
    0x8AD2: 0x97C8,     #  <CJK>
    0x8AD6: 0x985F,     #  <CJK>
    0x8ADA: 0xE67B,     #  <CJK>
    0x8ADB: 0xE687,     #  <CJK>
    0x8ADC: 0x92B3,     #  <CJK>
    0x8ADE: 0xE686,     #  <CJK>
    0x8AE0: 0xE683,     #  <CJK>
    0x8AE1: 0xE68B,     #  <CJK>
    0x8AE2: 0xE684,     #  <CJK>
    0x8AE4: 0xE680,     #  <CJK>
    0x8AE6: 0x92FA,     #  <CJK>
    0x8AE7: 0xE67E,     #  <CJK>
    0x8AEB: 0xE67C,     #  <CJK>
    0x8AED: 0x9740,     #  <CJK>
    0x8AEE: 0x8E90,     #  <CJK>
    0x8AF1: 0xE681,     #  <CJK>
    0x8AF3: 0xE67D,     #  <CJK>
    0x8AF7: 0xE685,     #  <CJK>
    0x8AF8: 0x8F94,     #  <CJK>
    0x8AFA: 0x8CBF,     #  <CJK>
    0x8AFE: 0x91F8,     #  <CJK>
    0x8B00: 0x9664,     #  <CJK>
    0x8B01: 0x8979,     #  <CJK>
    0x8B02: 0x88E0,     #  <CJK>
    0x8B04: 0x93A3,     #  <CJK>
    0x8B07: 0xE689,     #  <CJK>
    0x8B0C: 0xE688,     #  <CJK>
    0x8B0E: 0x93E4,     #  <CJK>
    0x8B10: 0xE68D,     #  <CJK>
    0x8B14: 0xE682,     #  <CJK>
    0x8B16: 0xE68C,     #  <CJK>
    0x8B17: 0xE68E,     #  <CJK>
    0x8B19: 0x8CAA,     #  <CJK>
    0x8B1A: 0xE68A,     #  <CJK>
    0x8B1B: 0x8D75,     #  <CJK>
    0x8B1D: 0x8ED3,     #  <CJK>
    0x8B20: 0xE68F,     #  <CJK>
    0x8B21: 0x9777,     #  <CJK>
    0x8B26: 0xE692,     #  <CJK>
    0x8B28: 0xE695,     #  <CJK>
    0x8B2B: 0xE693,     #  <CJK>
    0x8B2C: 0x9554,     #  <CJK>
    0x8B33: 0xE690,     #  <CJK>
    0x8B39: 0x8BDE,     #  <CJK>
    0x8B3E: 0xE694,     #  <CJK>
    0x8B41: 0xE696,     #  <CJK>
    0x8B49: 0xE69A,     #  <CJK>
    0x8B4C: 0xE697,     #  <CJK>
    0x8B4E: 0xE699,     #  <CJK>
    0x8B4F: 0xE698,     #  <CJK>
    0x8B56: 0xE69B,     #  <CJK>
    0x8B58: 0x8EAF,     #  <CJK>
    0x8B5A: 0xE69D,     #  <CJK>
    0x8B5B: 0xE69C,     #  <CJK>
    0x8B5C: 0x9588,     #  <CJK>
    0x8B5F: 0xE69F,     #  <CJK>
    0x8B66: 0x8C78,     #  <CJK>
    0x8B6B: 0xE69E,     #  <CJK>
    0x8B6C: 0xE6A0,     #  <CJK>
    0x8B6F: 0xE6A1,     #  <CJK>
    0x8B70: 0x8B63,     #  <CJK>
    0x8B71: 0xE3BF,     #  <CJK>
    0x8B72: 0x8FF7,     #  <CJK>
    0x8B74: 0xE6A2,     #  <CJK>
    0x8B77: 0x8CEC,     #  <CJK>
    0x8B7D: 0xE6A3,     #  <CJK>
    0x8B80: 0xE6A4,     #  <CJK>
    0x8B83: 0x8E5D,     #  <CJK>
    0x8B8A: 0x9DCC,     #  <CJK>
    0x8B8C: 0xE6A5,     #  <CJK>
    0x8B8E: 0xE6A6,     #  <CJK>
    0x8B90: 0x8F51,     #  <CJK>
    0x8B92: 0xE6A7,     #  <CJK>
    0x8B93: 0xE6A8,     #  <CJK>
    0x8B96: 0xE6A9,     #  <CJK>
    0x8B99: 0xE6AA,     #  <CJK>
    0x8B9A: 0xE6AB,     #  <CJK>
    0x8C37: 0x924A,     #  <CJK>
    0x8C3A: 0xE6AC,     #  <CJK>
    0x8C3F: 0xE6AE,     #  <CJK>
    0x8C41: 0xE6AD,     #  <CJK>
    0x8C46: 0x93A4,     #  <CJK>
    0x8C48: 0xE6AF,     #  <CJK>
    0x8C4A: 0x964C,     #  <CJK>
    0x8C4C: 0xE6B0,     #  <CJK>
    0x8C4E: 0xE6B1,     #  <CJK>
    0x8C50: 0xE6B2,     #  <CJK>
    0x8C55: 0xE6B3,     #  <CJK>
    0x8C5A: 0x93D8,     #  <CJK>
    0x8C61: 0x8FDB,     #  <CJK>
    0x8C62: 0xE6B4,     #  <CJK>
    0x8C6A: 0x8D8B,     #  <CJK>
    0x8C6B: 0x98AC,     #  <CJK>
    0x8C6C: 0xE6B5,     #  <CJK>
    0x8C78: 0xE6B6,     #  <CJK>
    0x8C79: 0x955E,     #  <CJK>
    0x8C7A: 0xE6B7,     #  <CJK>
    0x8C7C: 0xE6BF,     #  <CJK>
    0x8C82: 0xE6B8,     #  <CJK>
    0x8C85: 0xE6BA,     #  <CJK>
    0x8C89: 0xE6B9,     #  <CJK>
    0x8C8A: 0xE6BB,     #  <CJK>
    0x8C8C: 0x9665,     #  <CJK>
    0x8C8D: 0xE6BC,     #  <CJK>
    0x8C8E: 0xE6BD,     #  <CJK>
    0x8C94: 0xE6BE,     #  <CJK>
    0x8C98: 0xE6C0,     #  <CJK>
    0x8C9D: 0x8A4C,     #  <CJK>
    0x8C9E: 0x92E5,     #  <CJK>
    0x8CA0: 0x9589,     #  <CJK>
    0x8CA1: 0x8DE0,     #  <CJK>
    0x8CA2: 0x8D76,     #  <CJK>
    0x8CA7: 0x956E,     #  <CJK>
    0x8CA8: 0x89DD,     #  <CJK>
    0x8CA9: 0x94CC,     #  <CJK>
    0x8CAA: 0xE6C3,     #  <CJK>
    0x8CAB: 0x8AD1,     #  <CJK>
    0x8CAC: 0x90D3,     #  <CJK>
    0x8CAD: 0xE6C2,     #  <CJK>
    0x8CAE: 0xE6C7,     #  <CJK>
    0x8CAF: 0x9299,     #  <CJK>
    0x8CB0: 0x96E1,     #  <CJK>
    0x8CB2: 0xE6C5,     #  <CJK>
    0x8CB3: 0xE6C6,     #  <CJK>
    0x8CB4: 0x8B4D,     #  <CJK>
    0x8CB6: 0xE6C8,     #  <CJK>
    0x8CB7: 0x9483,     #  <CJK>
    0x8CB8: 0x91DD,     #  <CJK>
    0x8CBB: 0x94EF,     #  <CJK>
    0x8CBC: 0x935C,     #  <CJK>
    0x8CBD: 0xE6C4,     #  <CJK>
    0x8CBF: 0x9666,     #  <CJK>
    0x8CC0: 0x89EA,     #  <CJK>
    0x8CC1: 0xE6CA,     #  <CJK>
    0x8CC2: 0x9847,     #  <CJK>
    0x8CC3: 0x92C0,     #  <CJK>
    0x8CC4: 0x9864,     #  <CJK>
    0x8CC7: 0x8E91,     #  <CJK>
    0x8CC8: 0xE6C9,     #  <CJK>
    0x8CCA: 0x91AF,     #  <CJK>
    0x8CCD: 0xE6DA,     #  <CJK>
    0x8CCE: 0x9147,     #  <CJK>
    0x8CD1: 0x93F6,     #  <CJK>
    0x8CD3: 0x956F,     #  <CJK>
    0x8CDA: 0xE6CD,     #  <CJK>
    0x8CDB: 0x8E5E,     #  <CJK>
    0x8CDC: 0x8E92,     #  <CJK>
    0x8CDE: 0x8FDC,     #  <CJK>
    0x8CE0: 0x9485,     #  <CJK>
    0x8CE2: 0x8CAB,     #  <CJK>
    0x8CE3: 0xE6CC,     #  <CJK>
    0x8CE4: 0xE6CB,     #  <CJK>
    0x8CE6: 0x958A,     #  <CJK>
    0x8CEA: 0x8EBF,     #  <CJK>
    0x8CED: 0x9371,     #  <CJK>
    0x8CFA: 0xE6CF,     #  <CJK>
    0x8CFB: 0xE6D0,     #  <CJK>
    0x8CFC: 0x8D77,     #  <CJK>
    0x8CFD: 0xE6CE,     #  <CJK>
    0x8D04: 0xE6D1,     #  <CJK>
    0x8D05: 0xE6D2,     #  <CJK>
    0x8D07: 0xE6D4,     #  <CJK>
    0x8D08: 0x91A1,     #  <CJK>
    0x8D0A: 0xE6D3,     #  <CJK>
    0x8D0B: 0x8AE4,     #  <CJK>
    0x8D0D: 0xE6D6,     #  <CJK>
    0x8D0F: 0xE6D5,     #  <CJK>
    0x8D10: 0xE6D7,     #  <CJK>
    0x8D13: 0xE6D9,     #  <CJK>
    0x8D14: 0xE6DB,     #  <CJK>
    0x8D16: 0xE6DC,     #  <CJK>
    0x8D64: 0x90D4,     #  <CJK>
    0x8D66: 0x8ECD,     #  <CJK>
    0x8D67: 0xE6DD,     #  <CJK>
    0x8D6B: 0x8A71,     #  <CJK>
    0x8D6D: 0xE6DE,     #  <CJK>
    0x8D70: 0x9196,     #  <CJK>
    0x8D71: 0xE6DF,     #  <CJK>
    0x8D73: 0xE6E0,     #  <CJK>
    0x8D74: 0x958B,     #  <CJK>
    0x8D77: 0x8B4E,     #  <CJK>
    0x8D81: 0xE6E1,     #  <CJK>
    0x8D85: 0x92B4,     #  <CJK>
    0x8D8A: 0x897A,     #  <CJK>
    0x8D99: 0xE6E2,     #  <CJK>
    0x8DA3: 0x8EEF,     #  <CJK>
    0x8DA8: 0x9096,     #  <CJK>
    0x8DB3: 0x91AB,     #  <CJK>
    0x8DBA: 0xE6E5,     #  <CJK>
    0x8DBE: 0xE6E4,     #  <CJK>
    0x8DC2: 0xE6E3,     #  <CJK>
    0x8DCB: 0xE6EB,     #  <CJK>
    0x8DCC: 0xE6E9,     #  <CJK>
    0x8DCF: 0xE6E6,     #  <CJK>
    0x8DD6: 0xE6E8,     #  <CJK>
    0x8DDA: 0xE6E7,     #  <CJK>
    0x8DDB: 0xE6EA,     #  <CJK>
    0x8DDD: 0x8B97,     #  <CJK>
    0x8DDF: 0xE6EE,     #  <CJK>
    0x8DE1: 0x90D5,     #  <CJK>
    0x8DE3: 0xE6EF,     #  <CJK>
    0x8DE8: 0x8CD7,     #  <CJK>
    0x8DEA: 0xE6EC,     #  <CJK>
    0x8DEB: 0xE6ED,     #  <CJK>
    0x8DEF: 0x9848,     #  <CJK>
    0x8DF3: 0x92B5,     #  <CJK>
    0x8DF5: 0x9148,     #  <CJK>
    0x8DFC: 0xE6F0,     #  <CJK>
    0x8DFF: 0xE6F3,     #  <CJK>
    0x8E08: 0xE6F1,     #  <CJK>
    0x8E09: 0xE6F2,     #  <CJK>
    0x8E0A: 0x9778,     #  <CJK>
    0x8E0F: 0x93A5,     #  <CJK>
    0x8E10: 0xE6F6,     #  <CJK>
    0x8E1D: 0xE6F4,     #  <CJK>
    0x8E1E: 0xE6F5,     #  <CJK>
    0x8E1F: 0xE6F7,     #  <CJK>
    0x8E2A: 0xE748,     #  <CJK>
    0x8E30: 0xE6FA,     #  <CJK>
    0x8E34: 0xE6FB,     #  <CJK>
    0x8E35: 0xE6F9,     #  <CJK>
    0x8E42: 0xE6F8,     #  <CJK>
    0x8E44: 0x92FB,     #  <CJK>
    0x8E47: 0xE740,     #  <CJK>
    0x8E48: 0xE744,     #  <CJK>
    0x8E49: 0xE741,     #  <CJK>
    0x8E4A: 0xE6FC,     #  <CJK>
    0x8E4C: 0xE742,     #  <CJK>
    0x8E50: 0xE743,     #  <CJK>
    0x8E55: 0xE74A,     #  <CJK>
    0x8E59: 0xE745,     #  <CJK>
    0x8E5F: 0x90D6,     #  <CJK>
    0x8E60: 0xE747,     #  <CJK>
    0x8E63: 0xE749,     #  <CJK>
    0x8E64: 0xE746,     #  <CJK>
    0x8E72: 0xE74C,     #  <CJK>
    0x8E74: 0x8F52,     #  <CJK>
    0x8E76: 0xE74B,     #  <CJK>
    0x8E7C: 0xE74D,     #  <CJK>
    0x8E81: 0xE74E,     #  <CJK>
    0x8E84: 0xE751,     #  <CJK>
    0x8E85: 0xE750,     #  <CJK>
    0x8E87: 0xE74F,     #  <CJK>
    0x8E8A: 0xE753,     #  <CJK>
    0x8E8B: 0xE752,     #  <CJK>
    0x8E8D: 0x96F4,     #  <CJK>
    0x8E91: 0xE755,     #  <CJK>
    0x8E93: 0xE754,     #  <CJK>
    0x8E94: 0xE756,     #  <CJK>
    0x8E99: 0xE757,     #  <CJK>
    0x8EA1: 0xE759,     #  <CJK>
    0x8EAA: 0xE758,     #  <CJK>
    0x8EAB: 0x9067,     #  <CJK>
    0x8EAC: 0xE75A,     #  <CJK>
    0x8EAF: 0x8BEB,     #  <CJK>
    0x8EB0: 0xE75B,     #  <CJK>
    0x8EB1: 0xE75D,     #  <CJK>
    0x8EBE: 0xE75E,     #  <CJK>
    0x8EC5: 0xE75F,     #  <CJK>
    0x8EC6: 0xE75C,     #  <CJK>
    0x8EC8: 0xE760,     #  <CJK>
    0x8ECA: 0x8ED4,     #  <CJK>
    0x8ECB: 0xE761,     #  <CJK>
    0x8ECC: 0x8B4F,     #  <CJK>
    0x8ECD: 0x8C52,     #  <CJK>
    0x8ED2: 0x8CAC,     #  <CJK>
    0x8EDB: 0xE762,     #  <CJK>
    0x8EDF: 0x93EE,     #  <CJK>
    0x8EE2: 0x935D,     #  <CJK>
    0x8EE3: 0xE763,     #  <CJK>
    0x8EEB: 0xE766,     #  <CJK>
    0x8EF8: 0x8EB2,     #  <CJK>
    0x8EFB: 0xE765,     #  <CJK>
    0x8EFC: 0xE764,     #  <CJK>
    0x8EFD: 0x8C79,     #  <CJK>
    0x8EFE: 0xE767,     #  <CJK>
    0x8F03: 0x8A72,     #  <CJK>
    0x8F05: 0xE769,     #  <CJK>
    0x8F09: 0x8DDA,     #  <CJK>
    0x8F0A: 0xE768,     #  <CJK>
    0x8F0C: 0xE771,     #  <CJK>
    0x8F12: 0xE76B,     #  <CJK>
    0x8F13: 0xE76D,     #  <CJK>
    0x8F14: 0x95E3,     #  <CJK>
    0x8F15: 0xE76A,     #  <CJK>
    0x8F19: 0xE76C,     #  <CJK>
    0x8F1B: 0xE770,     #  <CJK>
    0x8F1C: 0xE76E,     #  <CJK>
    0x8F1D: 0x8B50,     #  <CJK>
    0x8F1F: 0xE76F,     #  <CJK>
    0x8F26: 0xE772,     #  <CJK>
    0x8F29: 0x9479,     #  <CJK>
    0x8F2A: 0x97D6,     #  <CJK>
    0x8F2F: 0x8F53,     #  <CJK>
    0x8F33: 0xE773,     #  <CJK>
    0x8F38: 0x9741,     #  <CJK>
    0x8F39: 0xE775,     #  <CJK>
    0x8F3B: 0xE774,     #  <CJK>
    0x8F3E: 0xE778,     #  <CJK>
    0x8F3F: 0x9760,     #  <CJK>
    0x8F42: 0xE777,     #  <CJK>
    0x8F44: 0x8A8D,     #  <CJK>
    0x8F45: 0xE776,     #  <CJK>
    0x8F46: 0xE77B,     #  <CJK>
    0x8F49: 0xE77A,     #  <CJK>
    0x8F4C: 0xE779,     #  <CJK>
    0x8F4D: 0x9351,     #  <CJK>
    0x8F4E: 0xE77C,     #  <CJK>
    0x8F57: 0xE77D,     #  <CJK>
    0x8F5C: 0xE77E,     #  <CJK>
    0x8F5F: 0x8D8C,     #  <CJK>
    0x8F61: 0x8C44,     #  <CJK>
    0x8F62: 0xE780,     #  <CJK>
    0x8F63: 0xE781,     #  <CJK>
    0x8F64: 0xE782,     #  <CJK>
    0x8F9B: 0x9068,     #  <CJK>
    0x8F9C: 0xE783,     #  <CJK>
    0x8F9E: 0x8EAB,     #  <CJK>
    0x8F9F: 0xE784,     #  <CJK>
    0x8FA3: 0xE785,     #  <CJK>
    0x8FA7: 0x999F,     #  <CJK>
    0x8FA8: 0x999E,     #  <CJK>
    0x8FAD: 0xE786,     #  <CJK>
    0x8FAE: 0xE390,     #  <CJK>
    0x8FAF: 0xE787,     #  <CJK>
    0x8FB0: 0x9243,     #  <CJK>
    0x8FB1: 0x904A,     #  <CJK>
    0x8FB2: 0x945F,     #  <CJK>
    0x8FB7: 0xE788,     #  <CJK>
    0x8FBA: 0x95D3,     #  <CJK>
    0x8FBB: 0x92D2,     #  <CJK>
    0x8FBC: 0x8D9E,     #  <CJK>
    0x8FBF: 0x9248,     #  <CJK>
    0x8FC2: 0x8949,     #  <CJK>
    0x8FC4: 0x9698,     #  <CJK>
    0x8FC5: 0x9076,     #  <CJK>
    0x8FCE: 0x8C7D,     #  <CJK>
    0x8FD1: 0x8BDF,     #  <CJK>
    0x8FD4: 0x95D4,     #  <CJK>
    0x8FDA: 0xE789,     #  <CJK>
    0x8FE2: 0xE78B,     #  <CJK>
    0x8FE5: 0xE78A,     #  <CJK>
    0x8FE6: 0x89DE,     #  <CJK>
    0x8FE9: 0x93F4,     #  <CJK>
    0x8FEA: 0xE78C,     #  <CJK>
    0x8FEB: 0x9497,     #  <CJK>
    0x8FED: 0x9352,     #  <CJK>
    0x8FEF: 0xE78D,     #  <CJK>
    0x8FF0: 0x8F71,     #  <CJK>
    0x8FF4: 0xE78F,     #  <CJK>
    0x8FF7: 0x96C0,     #  <CJK>
    0x8FF8: 0xE79E,     #  <CJK>
    0x8FF9: 0xE791,     #  <CJK>
    0x8FFA: 0xE792,     #  <CJK>
    0x8FFD: 0x92C7,     #  <CJK>
    0x9000: 0x91DE,     #  <CJK>
    0x9001: 0x9197,     #  <CJK>
    0x9003: 0x93A6,     #  <CJK>
    0x9005: 0xE790,     #  <CJK>
    0x9006: 0x8B74,     #  <CJK>
    0x900B: 0xE799,     #  <CJK>
    0x900D: 0xE796,     #  <CJK>
    0x900E: 0xE7A3,     #  <CJK>
    0x900F: 0x93A7,     #  <CJK>
    0x9010: 0x9280,     #  <CJK>
    0x9011: 0xE793,     #  <CJK>
    0x9013: 0x92FC,     #  <CJK>
    0x9014: 0x9372,     #  <CJK>
    0x9015: 0xE794,     #  <CJK>
    0x9016: 0xE798,     #  <CJK>
    0x9017: 0x9080,     #  <CJK>
    0x9019: 0x9487,     #  <CJK>
    0x901A: 0x92CA,     #  <CJK>
    0x901D: 0x90C0,     #  <CJK>
    0x901E: 0xE797,     #  <CJK>
    0x901F: 0x91AC,     #  <CJK>
    0x9020: 0x91A2,     #  <CJK>
    0x9021: 0xE795,     #  <CJK>
    0x9022: 0x88A7,     #  <CJK>
    0x9023: 0x9841,     #  <CJK>
    0x9027: 0xE79A,     #  <CJK>
    0x902E: 0x91DF,     #  <CJK>
    0x9031: 0x8F54,     #  <CJK>
    0x9032: 0x9069,     #  <CJK>
    0x9035: 0xE79C,     #  <CJK>
    0x9036: 0xE79B,     #  <CJK>
    0x9038: 0x88ED,     #  <CJK>
    0x9039: 0xE79D,     #  <CJK>
    0x903C: 0x954E,     #  <CJK>
    0x903E: 0xE7A5,     #  <CJK>
    0x9041: 0x93D9,     #  <CJK>
    0x9042: 0x908B,     #  <CJK>
    0x9045: 0x9278,     #  <CJK>
    0x9047: 0x8BF6,     #  <CJK>
    0x9049: 0xE7A4,     #  <CJK>
    0x904A: 0x9756,     #  <CJK>
    0x904B: 0x895E,     #  <CJK>
    0x904D: 0x95D5,     #  <CJK>
    0x904E: 0x89DF,     #  <CJK>
    0x904F: 0xE79F,     #  <CJK>
    0x9050: 0xE7A0,     #  <CJK>
    0x9051: 0xE7A1,     #  <CJK>
    0x9052: 0xE7A2,     #  <CJK>
    0x9053: 0x93B9,     #  <CJK>
    0x9054: 0x9242,     #  <CJK>
    0x9055: 0x88E1,     #  <CJK>
    0x9056: 0xE7A6,     #  <CJK>
    0x9058: 0xE7A7,     #  <CJK>
    0x9059: 0xEAA1,     #  <CJK>
    0x905C: 0x91BB,     #  <CJK>
    0x905E: 0xE7A8,     #  <CJK>
    0x9060: 0x8993,     #  <CJK>
    0x9061: 0x916B,     #  <CJK>
    0x9063: 0x8CAD,     #  <CJK>
    0x9065: 0x9779,     #  <CJK>
    0x9068: 0xE7A9,     #  <CJK>
    0x9069: 0x934B,     #  <CJK>
    0x906D: 0x9198,     #  <CJK>
    0x906E: 0x8ED5,     #  <CJK>
    0x906F: 0xE7AA,     #  <CJK>
    0x9072: 0xE7AD,     #  <CJK>
    0x9075: 0x8F85,     #  <CJK>
    0x9076: 0xE7AB,     #  <CJK>
    0x9077: 0x914A,     #  <CJK>
    0x9078: 0x9149,     #  <CJK>
    0x907A: 0x88E2,     #  <CJK>
    0x907C: 0x97C9,     #  <CJK>
    0x907D: 0xE7AF,     #  <CJK>
    0x907F: 0x94F0,     #  <CJK>
    0x9080: 0xE7B1,     #  <CJK>
    0x9081: 0xE7B0,     #  <CJK>
    0x9082: 0xE7AE,     #  <CJK>
    0x9083: 0xE284,     #  <CJK>
    0x9084: 0x8AD2,     #  <CJK>
    0x9087: 0xE78E,     #  <CJK>
    0x9089: 0xE7B3,     #  <CJK>
    0x908A: 0xE7B2,     #  <CJK>
    0x908F: 0xE7B4,     #  <CJK>
    0x9091: 0x9757,     #  <CJK>
    0x90A3: 0x93DF,     #  <CJK>
    0x90A6: 0x964D,     #  <CJK>
    0x90A8: 0xE7B5,     #  <CJK>
    0x90AA: 0x8ED7,     #  <CJK>
    0x90AF: 0xE7B6,     #  <CJK>
    0x90B1: 0xE7B7,     #  <CJK>
    0x90B5: 0xE7B8,     #  <CJK>
    0x90B8: 0x9340,     #  <CJK>
    0x90C1: 0x88E8,     #  <CJK>
    0x90CA: 0x8D78,     #  <CJK>
    0x90CE: 0x9859,     #  <CJK>
    0x90DB: 0xE7BC,     #  <CJK>
    0x90E1: 0x8C53,     #  <CJK>
    0x90E2: 0xE7B9,     #  <CJK>
    0x90E4: 0xE7BA,     #  <CJK>
    0x90E8: 0x9594,     #  <CJK>
    0x90ED: 0x8A73,     #  <CJK>
    0x90F5: 0x9758,     #  <CJK>
    0x90F7: 0x8BBD,     #  <CJK>
    0x90FD: 0x9373,     #  <CJK>
    0x9102: 0xE7BD,     #  <CJK>
    0x9112: 0xE7BE,     #  <CJK>
    0x9119: 0xE7BF,     #  <CJK>
    0x912D: 0x9341,     #  <CJK>
    0x9130: 0xE7C1,     #  <CJK>
    0x9132: 0xE7C0,     #  <CJK>
    0x9149: 0x93D1,     #  <CJK>
    0x914A: 0xE7C2,     #  <CJK>
    0x914B: 0x8F55,     #  <CJK>
    0x914C: 0x8EDE,     #  <CJK>
    0x914D: 0x947A,     #  <CJK>
    0x914E: 0x9291,     #  <CJK>
    0x9152: 0x8EF0,     #  <CJK>
    0x9154: 0x908C,     #  <CJK>
    0x9156: 0xE7C3,     #  <CJK>
    0x9158: 0xE7C4,     #  <CJK>
    0x9162: 0x907C,     #  <CJK>
    0x9163: 0xE7C5,     #  <CJK>
    0x9165: 0xE7C6,     #  <CJK>
    0x9169: 0xE7C7,     #  <CJK>
    0x916A: 0x978F,     #  <CJK>
    0x916C: 0x8F56,     #  <CJK>
    0x9172: 0xE7C9,     #  <CJK>
    0x9173: 0xE7C8,     #  <CJK>
    0x9175: 0x8D79,     #  <CJK>
    0x9177: 0x8D93,     #  <CJK>
    0x9178: 0x8E5F,     #  <CJK>
    0x9182: 0xE7CC,     #  <CJK>
    0x9187: 0x8F86,     #  <CJK>
    0x9189: 0xE7CB,     #  <CJK>
    0x918B: 0xE7CA,     #  <CJK>
    0x918D: 0x91E7,     #  <CJK>
    0x9190: 0x8CED,     #  <CJK>
    0x9192: 0x90C1,     #  <CJK>
    0x9197: 0x94AE,     #  <CJK>
    0x919C: 0x8F58,     #  <CJK>
    0x91A2: 0xE7CD,     #  <CJK>
    0x91A4: 0x8FDD,     #  <CJK>
    0x91AA: 0xE7D0,     #  <CJK>
    0x91AB: 0xE7CE,     #  <CJK>
    0x91AF: 0xE7CF,     #  <CJK>
    0x91B4: 0xE7D2,     #  <CJK>
    0x91B5: 0xE7D1,     #  <CJK>
    0x91B8: 0x8FF8,     #  <CJK>
    0x91BA: 0xE7D3,     #  <CJK>
    0x91C0: 0xE7D4,     #  <CJK>
    0x91C1: 0xE7D5,     #  <CJK>
    0x91C6: 0x94CE,     #  <CJK>
    0x91C7: 0x8DD1,     #  <CJK>
    0x91C8: 0x8EDF,     #  <CJK>
    0x91C9: 0xE7D6,     #  <CJK>
    0x91CB: 0xE7D7,     #  <CJK>
    0x91CC: 0x97A2,     #  <CJK>
    0x91CD: 0x8F64,     #  <CJK>
    0x91CE: 0x96EC,     #  <CJK>
    0x91CF: 0x97CA,     #  <CJK>
    0x91D0: 0xE7D8,     #  <CJK>
    0x91D1: 0x8BE0,     #  <CJK>
    0x91D6: 0xE7D9,     #  <CJK>
    0x91D8: 0x9342,     #  <CJK>
    0x91DB: 0xE7DC,     #  <CJK>
    0x91DC: 0x8A98,     #  <CJK>
    0x91DD: 0x906A,     #  <CJK>
    0x91DF: 0xE7DA,     #  <CJK>
    0x91E1: 0xE7DB,     #  <CJK>
    0x91E3: 0x92DE,     #  <CJK>
    0x91E6: 0x9674,     #  <CJK>
    0x91E7: 0x8BFA,     #  <CJK>
    0x91F5: 0xE7DE,     #  <CJK>
    0x91F6: 0xE7DF,     #  <CJK>
    0x91FC: 0xE7DD,     #  <CJK>
    0x91FF: 0xE7E1,     #  <CJK>
    0x920D: 0x93DD,     #  <CJK>
    0x920E: 0x8A62,     #  <CJK>
    0x9211: 0xE7E5,     #  <CJK>
    0x9214: 0xE7E2,     #  <CJK>
    0x9215: 0xE7E4,     #  <CJK>
    0x921E: 0xE7E0,     #  <CJK>
    0x9229: 0xE86E,     #  <CJK>
    0x922C: 0xE7E3,     #  <CJK>
    0x9234: 0x97E9,     #  <CJK>
    0x9237: 0x8CD8,     #  <CJK>
    0x923F: 0xE7ED,     #  <CJK>
    0x9244: 0x9353,     #  <CJK>
    0x9245: 0xE7E8,     #  <CJK>
    0x9248: 0xE7EB,     #  <CJK>
    0x9249: 0xE7E9,     #  <CJK>
    0x924B: 0xE7EE,     #  <CJK>
    0x9250: 0xE7EF,     #  <CJK>
    0x9257: 0xE7E7,     #  <CJK>
    0x925A: 0xE7F4,     #  <CJK>
    0x925B: 0x8994,     #  <CJK>
    0x925E: 0xE7E6,     #  <CJK>
    0x9262: 0x94AB,     #  <CJK>
    0x9264: 0xE7EA,     #  <CJK>
    0x9266: 0x8FDE,     #  <CJK>
    0x9271: 0x8D7A,     #  <CJK>
    0x927E: 0x9667,     #  <CJK>
    0x9280: 0x8BE2,     #  <CJK>
    0x9283: 0x8F65,     #  <CJK>
    0x9285: 0x93BA,     #  <CJK>
    0x9291: 0x914C,     #  <CJK>
    0x9293: 0xE7F2,     #  <CJK>
    0x9295: 0xE7EC,     #  <CJK>
    0x9296: 0xE7F1,     #  <CJK>
    0x9298: 0x96C1,     #  <CJK>
    0x929A: 0x92B6,     #  <CJK>
    0x929B: 0xE7F3,     #  <CJK>
    0x929C: 0xE7F0,     #  <CJK>
    0x92AD: 0x914B,     #  <CJK>
    0x92B7: 0xE7F7,     #  <CJK>
    0x92B9: 0xE7F6,     #  <CJK>
    0x92CF: 0xE7F5,     #  <CJK>
    0x92D2: 0x964E,     #  <CJK>
    0x92E4: 0x8F9B,     #  <CJK>
    0x92E9: 0xE7F8,     #  <CJK>
    0x92EA: 0x95DD,     #  <CJK>
    0x92ED: 0x8973,     #  <CJK>
    0x92F2: 0x9565,     #  <CJK>
    0x92F3: 0x9292,     #  <CJK>
    0x92F8: 0x8B98,     #  <CJK>
    0x92FA: 0xE7FA,     #  <CJK>
    0x92FC: 0x8D7C,     #  <CJK>
    0x9306: 0x8E4B,     #  <CJK>
    0x930F: 0xE7F9,     #  <CJK>
    0x9310: 0x908D,     #  <CJK>
    0x9318: 0x908E,     #  <CJK>
    0x9319: 0xE840,     #  <CJK>
    0x931A: 0xE842,     #  <CJK>
    0x9320: 0x8FF9,     #  <CJK>
    0x9322: 0xE841,     #  <CJK>
    0x9323: 0xE843,     #  <CJK>
    0x9326: 0x8BD1,     #  <CJK>
    0x9328: 0x9564,     #  <CJK>
    0x932B: 0x8EE0,     #  <CJK>
    0x932C: 0x9842,     #  <CJK>
    0x932E: 0xE7FC,     #  <CJK>
    0x932F: 0x8DF6,     #  <CJK>
    0x9332: 0x985E,     #  <CJK>
    0x9335: 0xE845,     #  <CJK>
    0x933A: 0xE844,     #  <CJK>
    0x933B: 0xE846,     #  <CJK>
    0x9344: 0xE7FB,     #  <CJK>
    0x934B: 0x93E7,     #  <CJK>
    0x934D: 0x9374,     #  <CJK>
    0x9354: 0x92D5,     #  <CJK>
    0x9356: 0xE84B,     #  <CJK>
    0x935B: 0x9262,     #  <CJK>
    0x935C: 0xE847,     #  <CJK>
    0x9360: 0xE848,     #  <CJK>
    0x936C: 0x8C4C,     #  <CJK>
    0x936E: 0xE84A,     #  <CJK>
    0x9375: 0x8CAE,     #  <CJK>
    0x937C: 0xE849,     #  <CJK>
    0x937E: 0x8FDF,     #  <CJK>
    0x938C: 0x8A99,     #  <CJK>
    0x9394: 0xE84F,     #  <CJK>
    0x9396: 0x8DBD,     #  <CJK>
    0x9397: 0x9199,     #  <CJK>
    0x939A: 0x92C8,     #  <CJK>
    0x93A7: 0x8A5A,     #  <CJK>
    0x93AC: 0xE84D,     #  <CJK>
    0x93AD: 0xE84E,     #  <CJK>
    0x93AE: 0x92C1,     #  <CJK>
    0x93B0: 0xE84C,     #  <CJK>
    0x93B9: 0xE850,     #  <CJK>
    0x93C3: 0xE856,     #  <CJK>
    0x93C8: 0xE859,     #  <CJK>
    0x93D0: 0xE858,     #  <CJK>
    0x93D1: 0x934C,     #  <CJK>
    0x93D6: 0xE851,     #  <CJK>
    0x93D7: 0xE852,     #  <CJK>
    0x93D8: 0xE855,     #  <CJK>
    0x93DD: 0xE857,     #  <CJK>
    0x93E1: 0x8BBE,     #  <CJK>
    0x93E4: 0xE85A,     #  <CJK>
    0x93E5: 0xE854,     #  <CJK>
    0x93E8: 0xE853,     #  <CJK>
    0x9403: 0xE85E,     #  <CJK>
    0x9407: 0xE85F,     #  <CJK>
    0x9410: 0xE860,     #  <CJK>
    0x9413: 0xE85D,     #  <CJK>
    0x9414: 0xE85C,     #  <CJK>
    0x9418: 0x8FE0,     #  <CJK>
    0x9419: 0x93A8,     #  <CJK>
    0x941A: 0xE85B,     #  <CJK>
    0x9421: 0xE864,     #  <CJK>
    0x942B: 0xE862,     #  <CJK>
    0x9435: 0xE863,     #  <CJK>
    0x9436: 0xE861,     #  <CJK>
    0x9438: 0x91F6,     #  <CJK>
    0x943A: 0xE865,     #  <CJK>
    0x9441: 0xE866,     #  <CJK>
    0x9444: 0xE868,     #  <CJK>
    0x9451: 0x8AD3,     #  <CJK>
    0x9452: 0xE867,     #  <CJK>
    0x9453: 0x96F8,     #  <CJK>
    0x945A: 0xE873,     #  <CJK>
    0x945B: 0xE869,     #  <CJK>
    0x945E: 0xE86C,     #  <CJK>
    0x9460: 0xE86A,     #  <CJK>
    0x9462: 0xE86B,     #  <CJK>
    0x946A: 0xE86D,     #  <CJK>
    0x9470: 0xE86F,     #  <CJK>
    0x9475: 0xE870,     #  <CJK>
    0x9477: 0xE871,     #  <CJK>
    0x947C: 0xE874,     #  <CJK>
    0x947D: 0xE872,     #  <CJK>
    0x947E: 0xE875,     #  <CJK>
    0x947F: 0xE877,     #  <CJK>
    0x9481: 0xE876,     #  <CJK>
    0x9577: 0x92B7,     #  <CJK>
    0x9580: 0x96E5,     #  <CJK>
    0x9582: 0xE878,     #  <CJK>
    0x9583: 0x914D,     #  <CJK>
    0x9587: 0xE879,     #  <CJK>
    0x9589: 0x95C2,     #  <CJK>
    0x958A: 0xE87A,     #  <CJK>
    0x958B: 0x8A4A,     #  <CJK>
    0x958F: 0x895B,     #  <CJK>
    0x9591: 0x8AD5,     #  <CJK>
    0x9593: 0x8AD4,     #  <CJK>
    0x9594: 0xE87B,     #  <CJK>
    0x9596: 0xE87C,     #  <CJK>
    0x9598: 0xE87D,     #  <CJK>
    0x9599: 0xE87E,     #  <CJK>
    0x95A0: 0xE880,     #  <CJK>
    0x95A2: 0x8AD6,     #  <CJK>
    0x95A3: 0x8A74,     #  <CJK>
    0x95A4: 0x8D7D,     #  <CJK>
    0x95A5: 0x94B4,     #  <CJK>
    0x95A7: 0xE882,     #  <CJK>
    0x95A8: 0xE881,     #  <CJK>
    0x95AD: 0xE883,     #  <CJK>
    0x95B2: 0x897B,     #  <CJK>
    0x95B9: 0xE886,     #  <CJK>
    0x95BB: 0xE885,     #  <CJK>
    0x95BC: 0xE884,     #  <CJK>
    0x95BE: 0xE887,     #  <CJK>
    0x95C3: 0xE88A,     #  <CJK>
    0x95C7: 0x88C5,     #  <CJK>
    0x95CA: 0xE888,     #  <CJK>
    0x95CC: 0xE88C,     #  <CJK>
    0x95CD: 0xE88B,     #  <CJK>
    0x95D4: 0xE88E,     #  <CJK>
    0x95D5: 0xE88D,     #  <CJK>
    0x95D6: 0xE88F,     #  <CJK>
    0x95D8: 0x93AC,     #  <CJK>
    0x95DC: 0xE890,     #  <CJK>
    0x95E1: 0xE891,     #  <CJK>
    0x95E2: 0xE893,     #  <CJK>
    0x95E5: 0xE892,     #  <CJK>
    0x961C: 0x958C,     #  <CJK>
    0x9621: 0xE894,     #  <CJK>
    0x9628: 0xE895,     #  <CJK>
    0x962A: 0x8DE3,     #  <CJK>
    0x962E: 0xE896,     #  <CJK>
    0x962F: 0xE897,     #  <CJK>
    0x9632: 0x9668,     #  <CJK>
    0x963B: 0x916A,     #  <CJK>
    0x963F: 0x88A2,     #  <CJK>
    0x9640: 0x91C9,     #  <CJK>
    0x9642: 0xE898,     #  <CJK>
    0x9644: 0x958D,     #  <CJK>
    0x964B: 0xE89B,     #  <CJK>
    0x964C: 0xE899,     #  <CJK>
    0x964D: 0x8D7E,     #  <CJK>
    0x964F: 0xE89A,     #  <CJK>
    0x9650: 0x8CC0,     #  <CJK>
    0x965B: 0x95C3,     #  <CJK>
    0x965C: 0xE89D,     #  <CJK>
    0x965D: 0xE89F,     #  <CJK>
    0x965E: 0xE89E,     #  <CJK>
    0x965F: 0xE8A0,     #  <CJK>
    0x9662: 0x8940,     #  <CJK>
    0x9663: 0x9077,     #  <CJK>
    0x9664: 0x8F9C,     #  <CJK>
    0x9665: 0x8AD7,     #  <CJK>
    0x9666: 0xE8A1,     #  <CJK>
    0x966A: 0x9486,     #  <CJK>
    0x966C: 0xE8A3,     #  <CJK>
    0x9670: 0x8941,     #  <CJK>
    0x9672: 0xE8A2,     #  <CJK>
    0x9673: 0x92C2,     #  <CJK>
    0x9675: 0x97CB,     #  <CJK>
    0x9676: 0x93A9,     #  <CJK>
    0x9677: 0xE89C,     #  <CJK>
    0x9678: 0x97A4,     #  <CJK>
    0x967A: 0x8CAF,     #  <CJK>
    0x967D: 0x977A,     #  <CJK>
    0x9685: 0x8BF7,     #  <CJK>
    0x9686: 0x97B2,     #  <CJK>
    0x9688: 0x8C47,     #  <CJK>
    0x968A: 0x91E0,     #  <CJK>
    0x968B: 0xE440,     #  <CJK>
    0x968D: 0xE8A4,     #  <CJK>
    0x968E: 0x8A4B,     #  <CJK>
    0x968F: 0x908F,     #  <CJK>
    0x9694: 0x8A75,     #  <CJK>
    0x9695: 0xE8A6,     #  <CJK>
    0x9697: 0xE8A7,     #  <CJK>
    0x9698: 0xE8A5,     #  <CJK>
    0x9699: 0x8C84,     #  <CJK>
    0x969B: 0x8DDB,     #  <CJK>
    0x969C: 0x8FE1,     #  <CJK>
    0x96A0: 0x8942,     #  <CJK>
    0x96A3: 0x97D7,     #  <CJK>
    0x96A7: 0xE8A9,     #  <CJK>
    0x96A8: 0xE7AC,     #  <CJK>
    0x96AA: 0xE8A8,     #  <CJK>
    0x96B0: 0xE8AC,     #  <CJK>
    0x96B1: 0xE8AA,     #  <CJK>
    0x96B2: 0xE8AB,     #  <CJK>
    0x96B4: 0xE8AD,     #  <CJK>
    0x96B6: 0xE8AE,     #  <CJK>
    0x96B7: 0x97EA,     #  <CJK>
    0x96B8: 0xE8AF,     #  <CJK>
    0x96B9: 0xE8B0,     #  <CJK>
    0x96BB: 0x90C7,     #  <CJK>
    0x96BC: 0x94B9,     #  <CJK>
    0x96C0: 0x909D,     #  <CJK>
    0x96C1: 0x8AE5,     #  <CJK>
    0x96C4: 0x9759,     #  <CJK>
    0x96C5: 0x89EB,     #  <CJK>
    0x96C6: 0x8F57,     #  <CJK>
    0x96C7: 0x8CD9,     #  <CJK>
    0x96C9: 0xE8B3,     #  <CJK>
    0x96CB: 0xE8B2,     #  <CJK>
    0x96CC: 0x8E93,     #  <CJK>
    0x96CD: 0xE8B4,     #  <CJK>
    0x96CE: 0xE8B1,     #  <CJK>
    0x96D1: 0x8E47,     #  <CJK>
    0x96D5: 0xE8B8,     #  <CJK>
    0x96D6: 0xE5AB,     #  <CJK>
    0x96D9: 0x99D4,     #  <CJK>
    0x96DB: 0x9097,     #  <CJK>
    0x96DC: 0xE8B6,     #  <CJK>
    0x96E2: 0x97A3,     #  <CJK>
    0x96E3: 0x93EF,     #  <CJK>
    0x96E8: 0x894A,     #  <CJK>
    0x96EA: 0x90E1,     #  <CJK>
    0x96EB: 0x8EB4,     #  <CJK>
    0x96F0: 0x95B5,     #  <CJK>
    0x96F2: 0x895F,     #  <CJK>
    0x96F6: 0x97EB,     #  <CJK>
    0x96F7: 0x978B,     #  <CJK>
    0x96F9: 0xE8B9,     #  <CJK>
    0x96FB: 0x9364,     #  <CJK>
    0x9700: 0x8EF9,     #  <CJK>
    0x9704: 0xE8BA,     #  <CJK>
    0x9706: 0xE8BB,     #  <CJK>
    0x9707: 0x906B,     #  <CJK>
    0x9708: 0xE8BC,     #  <CJK>
    0x970A: 0x97EC,     #  <CJK>
    0x970D: 0xE8B7,     #  <CJK>
    0x970E: 0xE8BE,     #  <CJK>
    0x970F: 0xE8C0,     #  <CJK>
    0x9711: 0xE8BF,     #  <CJK>
    0x9713: 0xE8BD,     #  <CJK>
    0x9716: 0xE8C1,     #  <CJK>
    0x9719: 0xE8C2,     #  <CJK>
    0x971C: 0x919A,     #  <CJK>
    0x971E: 0x89E0,     #  <CJK>
    0x9724: 0xE8C3,     #  <CJK>
    0x9727: 0x96B6,     #  <CJK>
    0x972A: 0xE8C4,     #  <CJK>
    0x9730: 0xE8C5,     #  <CJK>
    0x9732: 0x9849,     #  <CJK>
    0x9738: 0x9E50,     #  <CJK>
    0x9739: 0xE8C6,     #  <CJK>
    0x973D: 0xE8C7,     #  <CJK>
    0x973E: 0xE8C8,     #  <CJK>
    0x9742: 0xE8CC,     #  <CJK>
    0x9744: 0xE8C9,     #  <CJK>
    0x9746: 0xE8CA,     #  <CJK>
    0x9748: 0xE8CB,     #  <CJK>
    0x9749: 0xE8CD,     #  <CJK>
    0x9752: 0x90C2,     #  <CJK>
    0x9756: 0x96F5,     #  <CJK>
    0x9759: 0x90C3,     #  <CJK>
    0x975C: 0xE8CE,     #  <CJK>
    0x975E: 0x94F1,     #  <CJK>
    0x9760: 0xE8CF,     #  <CJK>
    0x9761: 0xEA72,     #  <CJK>
    0x9762: 0x96CA,     #  <CJK>
    0x9764: 0xE8D0,     #  <CJK>
    0x9766: 0xE8D1,     #  <CJK>
    0x9768: 0xE8D2,     #  <CJK>
    0x9769: 0x8A76,     #  <CJK>
    0x976B: 0xE8D4,     #  <CJK>
    0x976D: 0x9078,     #  <CJK>
    0x9771: 0xE8D5,     #  <CJK>
    0x9774: 0x8C43,     #  <CJK>
    0x9779: 0xE8D6,     #  <CJK>
    0x977A: 0xE8DA,     #  <CJK>
    0x977C: 0xE8D8,     #  <CJK>
    0x9781: 0xE8D9,     #  <CJK>
    0x9784: 0x8A93,     #  <CJK>
    0x9785: 0xE8D7,     #  <CJK>
    0x9786: 0xE8DB,     #  <CJK>
    0x978B: 0xE8DC,     #  <CJK>
    0x978D: 0x88C6,     #  <CJK>
    0x978F: 0xE8DD,     #  <CJK>
    0x9790: 0xE8DE,     #  <CJK>
    0x9798: 0x8FE2,     #  <CJK>
    0x979C: 0xE8DF,     #  <CJK>
    0x97A0: 0x8B66,     #  <CJK>
    0x97A3: 0xE8E2,     #  <CJK>
    0x97A6: 0xE8E1,     #  <CJK>
    0x97A8: 0xE8E0,     #  <CJK>
    0x97AB: 0xE691,     #  <CJK>
    0x97AD: 0x95DA,     #  <CJK>
    0x97B3: 0xE8E3,     #  <CJK>
    0x97B4: 0xE8E4,     #  <CJK>
    0x97C3: 0xE8E5,     #  <CJK>
    0x97C6: 0xE8E6,     #  <CJK>
    0x97C8: 0xE8E7,     #  <CJK>
    0x97CB: 0xE8E8,     #  <CJK>
    0x97D3: 0x8AD8,     #  <CJK>
    0x97DC: 0xE8E9,     #  <CJK>
    0x97ED: 0xE8EA,     #  <CJK>
    0x97EE: 0x9442,     #  <CJK>
    0x97F2: 0xE8EC,     #  <CJK>
    0x97F3: 0x89B9,     #  <CJK>
    0x97F5: 0xE8EF,     #  <CJK>
    0x97F6: 0xE8EE,     #  <CJK>
    0x97FB: 0x8943,     #  <CJK>
    0x97FF: 0x8BBF,     #  <CJK>
    0x9801: 0x95C5,     #  <CJK>
    0x9802: 0x92B8,     #  <CJK>
    0x9803: 0x8DA0,     #  <CJK>
    0x9805: 0x8D80,     #  <CJK>
    0x9806: 0x8F87,     #  <CJK>
    0x9808: 0x907B,     #  <CJK>
    0x980C: 0xE8F1,     #  <CJK>
    0x980F: 0xE8F0,     #  <CJK>
    0x9810: 0x9761,     #  <CJK>
    0x9811: 0x8AE6,     #  <CJK>
    0x9812: 0x94D0,     #  <CJK>
    0x9813: 0x93DA,     #  <CJK>
    0x9817: 0x909C,     #  <CJK>
    0x9818: 0x97CC,     #  <CJK>
    0x981A: 0x8C7A,     #  <CJK>
    0x9821: 0xE8F4,     #  <CJK>
    0x9824: 0xE8F3,     #  <CJK>
    0x982C: 0x966A,     #  <CJK>
    0x982D: 0x93AA,     #  <CJK>
    0x9834: 0x896F,     #  <CJK>
    0x9837: 0xE8F5,     #  <CJK>
    0x9838: 0xE8F2,     #  <CJK>
    0x983B: 0x9570,     #  <CJK>
    0x983C: 0x978A,     #  <CJK>
    0x983D: 0xE8F6,     #  <CJK>
    0x9846: 0xE8F7,     #  <CJK>
    0x984B: 0xE8F9,     #  <CJK>
    0x984C: 0x91E8,     #  <CJK>
    0x984D: 0x8A7A,     #  <CJK>
    0x984E: 0x8A7B,     #  <CJK>
    0x984F: 0xE8F8,     #  <CJK>
    0x9854: 0x8AE7,     #  <CJK>
    0x9855: 0x8CB0,     #  <CJK>
    0x9858: 0x8AE8,     #  <CJK>
    0x985B: 0x935E,     #  <CJK>
    0x985E: 0x97DE,     #  <CJK>
    0x9867: 0x8CDA,     #  <CJK>
    0x986B: 0xE8FA,     #  <CJK>
    0x986F: 0xE8FB,     #  <CJK>
    0x9870: 0xE8FC,     #  <CJK>
    0x9871: 0xE940,     #  <CJK>
    0x9873: 0xE942,     #  <CJK>
    0x9874: 0xE941,     #  <CJK>
    0x98A8: 0x9597,     #  <CJK>
    0x98AA: 0xE943,     #  <CJK>
    0x98AF: 0xE944,     #  <CJK>
    0x98B1: 0xE945,     #  <CJK>
    0x98B6: 0xE946,     #  <CJK>
    0x98C3: 0xE948,     #  <CJK>
    0x98C4: 0xE947,     #  <CJK>
    0x98C6: 0xE949,     #  <CJK>
    0x98DB: 0x94F2,     #  <CJK>
    0x98DC: 0xE3CA,     #  <CJK>
    0x98DF: 0x9048,     #  <CJK>
    0x98E2: 0x8B51,     #  <CJK>
    0x98E9: 0xE94A,     #  <CJK>
    0x98EB: 0xE94B,     #  <CJK>
    0x98ED: 0x99AA,     #  <CJK>
    0x98EE: 0x9F5A,     #  <CJK>
    0x98EF: 0x94D1,     #  <CJK>
    0x98F2: 0x88F9,     #  <CJK>
    0x98F4: 0x88B9,     #  <CJK>
    0x98FC: 0x8E94,     #  <CJK>
    0x98FD: 0x964F,     #  <CJK>
    0x98FE: 0x8FFC,     #  <CJK>
    0x9903: 0xE94C,     #  <CJK>
    0x9905: 0x96DD,     #  <CJK>
    0x9909: 0xE94D,     #  <CJK>
    0x990A: 0x977B,     #  <CJK>
    0x990C: 0x8961,     #  <CJK>
    0x9910: 0x8E60,     #  <CJK>
    0x9912: 0xE94E,     #  <CJK>
    0x9913: 0x89EC,     #  <CJK>
    0x9914: 0xE94F,     #  <CJK>
    0x9918: 0xE950,     #  <CJK>
    0x991D: 0xE952,     #  <CJK>
    0x991E: 0xE953,     #  <CJK>
    0x9920: 0xE955,     #  <CJK>
    0x9921: 0xE951,     #  <CJK>
    0x9924: 0xE954,     #  <CJK>
    0x9928: 0x8AD9,     #  <CJK>
    0x992C: 0xE956,     #  <CJK>
    0x992E: 0xE957,     #  <CJK>
    0x993D: 0xE958,     #  <CJK>
    0x993E: 0xE959,     #  <CJK>
    0x9942: 0xE95A,     #  <CJK>
    0x9945: 0xE95C,     #  <CJK>
    0x9949: 0xE95B,     #  <CJK>
    0x994B: 0xE95E,     #  <CJK>
    0x994C: 0xE961,     #  <CJK>
    0x9950: 0xE95D,     #  <CJK>
    0x9951: 0xE95F,     #  <CJK>
    0x9952: 0xE960,     #  <CJK>
    0x9955: 0xE962,     #  <CJK>
    0x9957: 0x8BC0,     #  <CJK>
    0x9996: 0x8EF1,     #  <CJK>
    0x9997: 0xE963,     #  <CJK>
    0x9998: 0xE964,     #  <CJK>
    0x9999: 0x8D81,     #  <CJK>
    0x99A5: 0xE965,     #  <CJK>
    0x99A8: 0x8A5D,     #  <CJK>
    0x99AC: 0x946E,     #  <CJK>
    0x99AD: 0xE966,     #  <CJK>
    0x99AE: 0xE967,     #  <CJK>
    0x99B3: 0x9279,     #  <CJK>
    0x99B4: 0x93E9,     #  <CJK>
    0x99BC: 0xE968,     #  <CJK>
    0x99C1: 0x949D,     #  <CJK>
    0x99C4: 0x91CA,     #  <CJK>
    0x99C5: 0x8977,     #  <CJK>
    0x99C6: 0x8BEC,     #  <CJK>
    0x99C8: 0x8BED,     #  <CJK>
    0x99D0: 0x9293,     #  <CJK>
    0x99D1: 0xE96D,     #  <CJK>
    0x99D2: 0x8BEE,     #  <CJK>
    0x99D5: 0x89ED,     #  <CJK>
    0x99D8: 0xE96C,     #  <CJK>
    0x99DB: 0xE96A,     #  <CJK>
    0x99DD: 0xE96B,     #  <CJK>
    0x99DF: 0xE969,     #  <CJK>
    0x99E2: 0xE977,     #  <CJK>
    0x99ED: 0xE96E,     #  <CJK>
    0x99EE: 0xE96F,     #  <CJK>
    0x99F1: 0xE970,     #  <CJK>
    0x99F2: 0xE971,     #  <CJK>
    0x99F8: 0xE973,     #  <CJK>
    0x99FB: 0xE972,     #  <CJK>
    0x99FF: 0x8F78,     #  <CJK>
    0x9A01: 0xE974,     #  <CJK>
    0x9A05: 0xE976,     #  <CJK>
    0x9A0E: 0x8B52,     #  <CJK>
    0x9A0F: 0xE975,     #  <CJK>
    0x9A12: 0x919B,     #  <CJK>
    0x9A13: 0x8CB1,     #  <CJK>
    0x9A19: 0xE978,     #  <CJK>
    0x9A28: 0x91CB,     #  <CJK>
    0x9A2B: 0xE979,     #  <CJK>
    0x9A30: 0x93AB,     #  <CJK>
    0x9A37: 0xE97A,     #  <CJK>
    0x9A3E: 0xE980,     #  <CJK>
    0x9A40: 0xE97D,     #  <CJK>
    0x9A42: 0xE97C,     #  <CJK>
    0x9A43: 0xE97E,     #  <CJK>
    0x9A45: 0xE97B,     #  <CJK>
    0x9A4D: 0xE982,     #  <CJK>
    0x9A55: 0xE981,     #  <CJK>
    0x9A57: 0xE984,     #  <CJK>
    0x9A5A: 0x8BC1,     #  <CJK>
    0x9A5B: 0xE983,     #  <CJK>
    0x9A5F: 0xE985,     #  <CJK>
    0x9A62: 0xE986,     #  <CJK>
    0x9A64: 0xE988,     #  <CJK>
    0x9A65: 0xE987,     #  <CJK>
    0x9A69: 0xE989,     #  <CJK>
    0x9A6A: 0xE98B,     #  <CJK>
    0x9A6B: 0xE98A,     #  <CJK>
    0x9AA8: 0x8D9C,     #  <CJK>
    0x9AAD: 0xE98C,     #  <CJK>
    0x9AB0: 0xE98D,     #  <CJK>
    0x9AB8: 0x8A5B,     #  <CJK>
    0x9ABC: 0xE98E,     #  <CJK>
    0x9AC0: 0xE98F,     #  <CJK>
    0x9AC4: 0x9091,     #  <CJK>
    0x9ACF: 0xE990,     #  <CJK>
    0x9AD1: 0xE991,     #  <CJK>
    0x9AD3: 0xE992,     #  <CJK>
    0x9AD4: 0xE993,     #  <CJK>
    0x9AD8: 0x8D82,     #  <CJK>
    0x9ADE: 0xE994,     #  <CJK>
    0x9ADF: 0xE995,     #  <CJK>
    0x9AE2: 0xE996,     #  <CJK>
    0x9AE3: 0xE997,     #  <CJK>
    0x9AE6: 0xE998,     #  <CJK>
    0x9AEA: 0x94AF,     #  <CJK>
    0x9AEB: 0xE99A,     #  <CJK>
    0x9AED: 0x9545,     #  <CJK>
    0x9AEE: 0xE99B,     #  <CJK>
    0x9AEF: 0xE999,     #  <CJK>
    0x9AF1: 0xE99D,     #  <CJK>
    0x9AF4: 0xE99C,     #  <CJK>
    0x9AF7: 0xE99E,     #  <CJK>
    0x9AFB: 0xE99F,     #  <CJK>
    0x9B06: 0xE9A0,     #  <CJK>
    0x9B18: 0xE9A1,     #  <CJK>
    0x9B1A: 0xE9A2,     #  <CJK>
    0x9B1F: 0xE9A3,     #  <CJK>
    0x9B22: 0xE9A4,     #  <CJK>
    0x9B23: 0xE9A5,     #  <CJK>
    0x9B25: 0xE9A6,     #  <CJK>
    0x9B27: 0xE9A7,     #  <CJK>
    0x9B28: 0xE9A8,     #  <CJK>
    0x9B29: 0xE9A9,     #  <CJK>
    0x9B2A: 0xE9AA,     #  <CJK>
    0x9B2E: 0xE9AB,     #  <CJK>
    0x9B2F: 0xE9AC,     #  <CJK>
    0x9B31: 0x9F54,     #  <CJK>
    0x9B32: 0xE9AD,     #  <CJK>
    0x9B3B: 0xE2F6,     #  <CJK>
    0x9B3C: 0x8B53,     #  <CJK>
    0x9B41: 0x8A40,     #  <CJK>
    0x9B42: 0x8DB0,     #  <CJK>
    0x9B43: 0xE9AF,     #  <CJK>
    0x9B44: 0xE9AE,     #  <CJK>
    0x9B45: 0x96A3,     #  <CJK>
    0x9B4D: 0xE9B1,     #  <CJK>
    0x9B4E: 0xE9B2,     #  <CJK>
    0x9B4F: 0xE9B0,     #  <CJK>
    0x9B51: 0xE9B3,     #  <CJK>
    0x9B54: 0x9682,     #  <CJK>
    0x9B58: 0xE9B4,     #  <CJK>
    0x9B5A: 0x8B9B,     #  <CJK>
    0x9B6F: 0x9844,     #  <CJK>
    0x9B74: 0xE9B5,     #  <CJK>
    0x9B83: 0xE9B7,     #  <CJK>
    0x9B8E: 0x88BC,     #  <CJK>
    0x9B91: 0xE9B8,     #  <CJK>
    0x9B92: 0x95A9,     #  <CJK>
    0x9B93: 0xE9B6,     #  <CJK>
    0x9B96: 0xE9B9,     #  <CJK>
    0x9B97: 0xE9BA,     #  <CJK>
    0x9B9F: 0xE9BB,     #  <CJK>
    0x9BA0: 0xE9BC,     #  <CJK>
    0x9BA8: 0xE9BD,     #  <CJK>
    0x9BAA: 0x968E,     #  <CJK>
    0x9BAB: 0x8E4C,     #  <CJK>
    0x9BAD: 0x8DF8,     #  <CJK>
    0x9BAE: 0x914E,     #  <CJK>
    0x9BB4: 0xE9BE,     #  <CJK>
    0x9BB9: 0xE9C1,     #  <CJK>
    0x9BC0: 0xE9BF,     #  <CJK>
    0x9BC6: 0xE9C2,     #  <CJK>
    0x9BC9: 0x8CEF,     #  <CJK>
    0x9BCA: 0xE9C0,     #  <CJK>
    0x9BCF: 0xE9C3,     #  <CJK>
    0x9BD1: 0xE9C4,     #  <CJK>
    0x9BD2: 0xE9C5,     #  <CJK>
    0x9BD4: 0xE9C9,     #  <CJK>
    0x9BD6: 0x8E49,     #  <CJK>
    0x9BDB: 0x91E2,     #  <CJK>
    0x9BE1: 0xE9CA,     #  <CJK>
    0x9BE2: 0xE9C7,     #  <CJK>
    0x9BE3: 0xE9C6,     #  <CJK>
    0x9BE4: 0xE9C8,     #  <CJK>
    0x9BE8: 0x8C7E,     #  <CJK>
    0x9BF0: 0xE9CE,     #  <CJK>
    0x9BF1: 0xE9CD,     #  <CJK>
    0x9BF2: 0xE9CC,     #  <CJK>
    0x9BF5: 0x88B1,     #  <CJK>
    0x9C04: 0xE9D8,     #  <CJK>
    0x9C06: 0xE9D4,     #  <CJK>
    0x9C08: 0xE9D5,     #  <CJK>
    0x9C09: 0xE9D1,     #  <CJK>
    0x9C0A: 0xE9D7,     #  <CJK>
    0x9C0C: 0xE9D3,     #  <CJK>
    0x9C0D: 0x8A82,     #  <CJK>
    0x9C10: 0x986B,     #  <CJK>
    0x9C12: 0xE9D6,     #  <CJK>
    0x9C13: 0xE9D2,     #  <CJK>
    0x9C14: 0xE9D0,     #  <CJK>
    0x9C15: 0xE9CF,     #  <CJK>
    0x9C1B: 0xE9DA,     #  <CJK>
    0x9C21: 0xE9DD,     #  <CJK>
    0x9C24: 0xE9DC,     #  <CJK>
    0x9C25: 0xE9DB,     #  <CJK>
    0x9C2D: 0x9568,     #  <CJK>
    0x9C2E: 0xE9D9,     #  <CJK>
    0x9C2F: 0x88F1,     #  <CJK>
    0x9C30: 0xE9DE,     #  <CJK>
    0x9C32: 0xE9E0,     #  <CJK>
    0x9C39: 0x8A8F,     #  <CJK>
    0x9C3A: 0xE9CB,     #  <CJK>
    0x9C3B: 0x8956,     #  <CJK>
    0x9C3E: 0xE9E2,     #  <CJK>
    0x9C46: 0xE9E1,     #  <CJK>
    0x9C47: 0xE9DF,     #  <CJK>
    0x9C48: 0x924C,     #  <CJK>
    0x9C52: 0x9690,     #  <CJK>
    0x9C57: 0x97D8,     #  <CJK>
    0x9C5A: 0xE9E3,     #  <CJK>
    0x9C60: 0xE9E4,     #  <CJK>
    0x9C67: 0xE9E5,     #  <CJK>
    0x9C76: 0xE9E6,     #  <CJK>
    0x9C78: 0xE9E7,     #  <CJK>
    0x9CE5: 0x92B9,     #  <CJK>
    0x9CE7: 0xE9E8,     #  <CJK>
    0x9CE9: 0x94B5,     #  <CJK>
    0x9CEB: 0xE9ED,     #  <CJK>
    0x9CEC: 0xE9E9,     #  <CJK>
    0x9CF0: 0xE9EA,     #  <CJK>
    0x9CF3: 0x9650,     #  <CJK>
    0x9CF4: 0x96C2,     #  <CJK>
    0x9CF6: 0x93CE,     #  <CJK>
    0x9D03: 0xE9EE,     #  <CJK>
    0x9D06: 0xE9EF,     #  <CJK>
    0x9D07: 0x93BC,     #  <CJK>
    0x9D08: 0xE9EC,     #  <CJK>
    0x9D09: 0xE9EB,     #  <CJK>
    0x9D0E: 0x89A8,     #  <CJK>
    0x9D12: 0xE9F7,     #  <CJK>
    0x9D15: 0xE9F6,     #  <CJK>
    0x9D1B: 0x8995,     #  <CJK>
    0x9D1F: 0xE9F4,     #  <CJK>
    0x9D23: 0xE9F3,     #  <CJK>
    0x9D26: 0xE9F1,     #  <CJK>
    0x9D28: 0x8A9B,     #  <CJK>
    0x9D2A: 0xE9F0,     #  <CJK>
    0x9D2B: 0x8EB0,     #  <CJK>
    0x9D2C: 0x89A7,     #  <CJK>
    0x9D3B: 0x8D83,     #  <CJK>
    0x9D3E: 0xE9FA,     #  <CJK>
    0x9D3F: 0xE9F9,     #  <CJK>
    0x9D41: 0xE9F8,     #  <CJK>
    0x9D44: 0xE9F5,     #  <CJK>
    0x9D46: 0xE9FB,     #  <CJK>
    0x9D48: 0xE9FC,     #  <CJK>
    0x9D50: 0xEA44,     #  <CJK>
    0x9D51: 0xEA43,     #  <CJK>
    0x9D59: 0xEA45,     #  <CJK>
    0x9D5C: 0x894C,     #  <CJK>
    0x9D5D: 0xEA40,     #  <CJK>
    0x9D5E: 0xEA41,     #  <CJK>
    0x9D60: 0x8D94,     #  <CJK>
    0x9D61: 0x96B7,     #  <CJK>
    0x9D64: 0xEA42,     #  <CJK>
    0x9D6C: 0x9651,     #  <CJK>
    0x9D6F: 0xEA4A,     #  <CJK>
    0x9D72: 0xEA46,     #  <CJK>
    0x9D7A: 0xEA4B,     #  <CJK>
    0x9D87: 0xEA48,     #  <CJK>
    0x9D89: 0xEA47,     #  <CJK>
    0x9D8F: 0x8C7B,     #  <CJK>
    0x9D9A: 0xEA4C,     #  <CJK>
    0x9DA4: 0xEA4D,     #  <CJK>
    0x9DA9: 0xEA4E,     #  <CJK>
    0x9DAB: 0xEA49,     #  <CJK>
    0x9DAF: 0xE9F2,     #  <CJK>
    0x9DB2: 0xEA4F,     #  <CJK>
    0x9DB4: 0x92DF,     #  <CJK>
    0x9DB8: 0xEA53,     #  <CJK>
    0x9DBA: 0xEA54,     #  <CJK>
    0x9DBB: 0xEA52,     #  <CJK>
    0x9DC1: 0xEA51,     #  <CJK>
    0x9DC2: 0xEA57,     #  <CJK>
    0x9DC4: 0xEA50,     #  <CJK>
    0x9DC6: 0xEA55,     #  <CJK>
    0x9DCF: 0xEA56,     #  <CJK>
    0x9DD3: 0xEA59,     #  <CJK>
    0x9DD9: 0xEA58,     #  <CJK>
    0x9DE6: 0xEA5B,     #  <CJK>
    0x9DED: 0xEA5C,     #  <CJK>
    0x9DEF: 0xEA5D,     #  <CJK>
    0x9DF2: 0x9868,     #  <CJK>
    0x9DF8: 0xEA5A,     #  <CJK>
    0x9DF9: 0x91E9,     #  <CJK>
    0x9DFA: 0x8DEB,     #  <CJK>
    0x9DFD: 0xEA5E,     #  <CJK>
    0x9E1A: 0xEA5F,     #  <CJK>
    0x9E1B: 0xEA60,     #  <CJK>
    0x9E1E: 0xEA61,     #  <CJK>
    0x9E75: 0xEA62,     #  <CJK>
    0x9E78: 0x8CB2,     #  <CJK>
    0x9E79: 0xEA63,     #  <CJK>
    0x9E7D: 0xEA64,     #  <CJK>
    0x9E7F: 0x8EAD,     #  <CJK>
    0x9E81: 0xEA65,     #  <CJK>
    0x9E88: 0xEA66,     #  <CJK>
    0x9E8B: 0xEA67,     #  <CJK>
    0x9E8C: 0xEA68,     #  <CJK>
    0x9E91: 0xEA6B,     #  <CJK>
    0x9E92: 0xEA69,     #  <CJK>
    0x9E93: 0x985B,     #  <CJK>
    0x9E95: 0xEA6A,     #  <CJK>
    0x9E97: 0x97ED,     #  <CJK>
    0x9E9D: 0xEA6C,     #  <CJK>
    0x9E9F: 0x97D9,     #  <CJK>
    0x9EA5: 0xEA6D,     #  <CJK>
    0x9EA6: 0x949E,     #  <CJK>
    0x9EA9: 0xEA6E,     #  <CJK>
    0x9EAA: 0xEA70,     #  <CJK>
    0x9EAD: 0xEA71,     #  <CJK>
    0x9EB8: 0xEA6F,     #  <CJK>
    0x9EB9: 0x8D8D,     #  <CJK>
    0x9EBA: 0x96CB,     #  <CJK>
    0x9EBB: 0x9683,     #  <CJK>
    0x9EBC: 0x9BF5,     #  <CJK>
    0x9EBE: 0x9F80,     #  <CJK>
    0x9EBF: 0x969B,     #  <CJK>
    0x9EC4: 0x89A9,     #  <CJK>
    0x9ECC: 0xEA73,     #  <CJK>
    0x9ECD: 0x8B6F,     #  <CJK>
    0x9ECE: 0xEA74,     #  <CJK>
    0x9ECF: 0xEA75,     #  <CJK>
    0x9ED0: 0xEA76,     #  <CJK>
    0x9ED2: 0x8D95,     #  <CJK>
    0x9ED4: 0xEA77,     #  <CJK>
    0x9ED8: 0xE0D2,     #  <CJK>
    0x9ED9: 0x96D9,     #  <CJK>
    0x9EDB: 0x91E1,     #  <CJK>
    0x9EDC: 0xEA78,     #  <CJK>
    0x9EDD: 0xEA7A,     #  <CJK>
    0x9EDE: 0xEA79,     #  <CJK>
    0x9EE0: 0xEA7B,     #  <CJK>
    0x9EE5: 0xEA7C,     #  <CJK>
    0x9EE8: 0xEA7D,     #  <CJK>
    0x9EEF: 0xEA7E,     #  <CJK>
    0x9EF4: 0xEA80,     #  <CJK>
    0x9EF6: 0xEA81,     #  <CJK>
    0x9EF7: 0xEA82,     #  <CJK>
    0x9EF9: 0xEA83,     #  <CJK>
    0x9EFB: 0xEA84,     #  <CJK>
    0x9EFC: 0xEA85,     #  <CJK>
    0x9EFD: 0xEA86,     #  <CJK>
    0x9F07: 0xEA87,     #  <CJK>
    0x9F08: 0xEA88,     #  <CJK>
    0x9F0E: 0x9343,     #  <CJK>
    0x9F13: 0x8CDB,     #  <CJK>
    0x9F15: 0xEA8A,     #  <CJK>
    0x9F20: 0x916C,     #  <CJK>
    0x9F21: 0xEA8B,     #  <CJK>
    0x9F2C: 0xEA8C,     #  <CJK>
    0x9F3B: 0x9540,     #  <CJK>
    0x9F3E: 0xEA8D,     #  <CJK>
    0x9F4A: 0xEA8E,     #  <CJK>
    0x9F4B: 0xE256,     #  <CJK>
    0x9F4E: 0xE6D8,     #  <CJK>
    0x9F4F: 0xE8EB,     #  <CJK>
    0x9F52: 0xEA8F,     #  <CJK>
    0x9F54: 0xEA90,     #  <CJK>
    0x9F5F: 0xEA92,     #  <CJK>
    0x9F60: 0xEA93,     #  <CJK>
    0x9F61: 0xEA94,     #  <CJK>
    0x9F62: 0x97EE,     #  <CJK>
    0x9F63: 0xEA91,     #  <CJK>
    0x9F66: 0xEA95,     #  <CJK>
    0x9F67: 0xEA96,     #  <CJK>
    0x9F6A: 0xEA98,     #  <CJK>
    0x9F6C: 0xEA97,     #  <CJK>
    0x9F72: 0xEA9A,     #  <CJK>
    0x9F76: 0xEA9B,     #  <CJK>
    0x9F77: 0xEA99,     #  <CJK>
    0x9F8D: 0x97B4,     #  <CJK>
    0x9F95: 0xEA9C,     #  <CJK>
    0x9F9C: 0xEA9D,     #  <CJK>
    0x9F9D: 0xE273,     #  <CJK>
    0x9FA0: 0xEA9E,     #  <CJK>
    0xFE30: 0xEB64,     #  PRESENTATION FORM FOR VERTICAL TWO DOT LEADER, U+2025
    0xFE31: 0xEB5C,     #  PRESENTATION FORM FOR VERTICAL EM DASH, U+2014
    0xFE33: 0xEB51,     #  PRESENTATION FORM FOR VERTICAL LOW LINE, U+FF3F
    0xFE35: 0xEB69,     #  PRESENTATION FORM FOR VERTICAL LEFT PARENTHESIS, U+FF08
    0xFE36: 0xEB6A,     #  PRESENTATION FORM FOR VERTICAL RIGHT PARENTHESIS, U+FF09
    0xFE37: 0xEB6F,     #  PRESENTATION FORM FOR VERTICAL LEFT CURLY BRACKET, U+FF5B
    0xFE38: 0xEB70,     #  PRESENTATION FORM FOR VERTICAL RIGHT CURLY BRACKET, U+FF5D
    0xFE39: 0xEB6B,     #  PRESENTATION FORM FOR VERTICAL LEFT TORTOISE SHELL BRACKET, U+3014
    0xFE3A: 0xEB6C,     #  PRESENTATION FORM FOR VERTICAL RIGHT TORTOISE SHELL BRACKET, U+3015
    0xFE3B: 0xEB79,     #  PRESENTATION FORM FOR VERTICAL LEFT BLACK LENTICULAR BRACKET, U+3010
    0xFE3C: 0xEB7A,     #  PRESENTATION FORM FOR VERTICAL RIGHT BLACK LENTICULAR BRACKET, U+3011
    0xFE3D: 0xEB73,     #  PRESENTATION FORM FOR VERTICAL LEFT DOUBLE ANGLE BRACKET, U+300A
    0xFE3E: 0xEB74,     #  PRESENTATION FORM FOR VERTICAL RIGHT DOUBLE ANGLE BRACKET, U+300B
    0xFE3F: 0xEB71,     #  PRESENTATION FORM FOR VERTICAL LEFT ANGLE BRACKET, U+3008
    0xFE40: 0xEB72,     #  PRESENTATION FORM FOR VERTICAL RIGHT ANGLE BRACKET, U+3009
    0xFE41: 0xEB75,     #  PRESENTATION FORM FOR VERTICAL LEFT CORNER BRACKET, U+300C
    0xFE42: 0xEB76,     #  PRESENTATION FORM FOR VERTICAL RIGHT CORNER BRACKET, U+300D
    0xFE43: 0xEB77,     #  PRESENTATION FORM FOR VERTICAL LEFT WHITE CORNER BRACKET, U+300E
    0xFE44: 0xEB78,     #  PRESENTATION FORM FOR VERTICAL RIGHT WHITE CORNER BRACKET, U+300F
    0xFF01: 0x8149,     #  FULLWIDTH EXCLAMATION MARK
    0xFF03: 0x8194,     #  FULLWIDTH NUMBER SIGN
    0xFF04: 0x8190,     #  FULLWIDTH DOLLAR SIGN
    0xFF05: 0x8193,     #  FULLWIDTH PERCENT SIGN
    0xFF06: 0x8195,     #  FULLWIDTH AMPERSAND
    0xFF08: 0x8169,     #  FULLWIDTH LEFT PARENTHESIS
    0xFF09: 0x816A,     #  FULLWIDTH RIGHT PARENTHESIS
    0xFF0A: 0x8196,     #  FULLWIDTH ASTERISK
    0xFF0B: 0x817B,     #  FULLWIDTH PLUS SIGN
    0xFF0C: 0x8143,     #  FULLWIDTH COMMA
    0xFF0E: 0x8144,     #  FULLWIDTH FULL STOP
    0xFF0F: 0x815E,     #  FULLWIDTH SOLIDUS
    0xFF10: 0x824F,     #  FULLWIDTH DIGIT ZERO
    0xFF11: 0x8250,     #  FULLWIDTH DIGIT ONE
    0xFF12: 0x8251,     #  FULLWIDTH DIGIT TWO
    0xFF13: 0x8252,     #  FULLWIDTH DIGIT THREE
    0xFF14: 0x8253,     #  FULLWIDTH DIGIT FOUR
    0xFF15: 0x8254,     #  FULLWIDTH DIGIT FIVE
    0xFF16: 0x8255,     #  FULLWIDTH DIGIT SIX
    0xFF17: 0x8256,     #  FULLWIDTH DIGIT SEVEN
    0xFF18: 0x8257,     #  FULLWIDTH DIGIT EIGHT
    0xFF19: 0x8258,     #  FULLWIDTH DIGIT NINE
    0xFF1A: 0x8146,     #  FULLWIDTH COLON
    0xFF1B: 0x8147,     #  FULLWIDTH SEMICOLON
    0xFF1C: 0x8183,     #  FULLWIDTH LESS-THAN SIGN
    0xFF1D: 0x8181,     #  FULLWIDTH EQUALS SIGN
    0xFF1E: 0x8184,     #  FULLWIDTH GREATER-THAN SIGN
    0xFF1F: 0x8148,     #  FULLWIDTH QUESTION MARK
    0xFF20: 0x8197,     #  FULLWIDTH COMMERCIAL AT
    0xFF21: 0x8260,     #  FULLWIDTH LATIN CAPITAL LETTER A
    0xFF22: 0x8261,     #  FULLWIDTH LATIN CAPITAL LETTER B
    0xFF23: 0x8262,     #  FULLWIDTH LATIN CAPITAL LETTER C
    0xFF24: 0x8263,     #  FULLWIDTH LATIN CAPITAL LETTER D
    0xFF25: 0x8264,     #  FULLWIDTH LATIN CAPITAL LETTER E
    0xFF26: 0x8265,     #  FULLWIDTH LATIN CAPITAL LETTER F
    0xFF27: 0x8266,     #  FULLWIDTH LATIN CAPITAL LETTER G
    0xFF28: 0x8267,     #  FULLWIDTH LATIN CAPITAL LETTER H
    0xFF29: 0x8268,     #  FULLWIDTH LATIN CAPITAL LETTER I
    0xFF2A: 0x8269,     #  FULLWIDTH LATIN CAPITAL LETTER J
    0xFF2B: 0x826A,     #  FULLWIDTH LATIN CAPITAL LETTER K
    0xFF2C: 0x826B,     #  FULLWIDTH LATIN CAPITAL LETTER L
    0xFF2D: 0x826C,     #  FULLWIDTH LATIN CAPITAL LETTER M
    0xFF2E: 0x826D,     #  FULLWIDTH LATIN CAPITAL LETTER N
    0xFF2F: 0x826E,     #  FULLWIDTH LATIN CAPITAL LETTER O
    0xFF30: 0x826F,     #  FULLWIDTH LATIN CAPITAL LETTER P
    0xFF31: 0x8270,     #  FULLWIDTH LATIN CAPITAL LETTER Q
    0xFF32: 0x8271,     #  FULLWIDTH LATIN CAPITAL LETTER R
    0xFF33: 0x8272,     #  FULLWIDTH LATIN CAPITAL LETTER S
    0xFF34: 0x8273,     #  FULLWIDTH LATIN CAPITAL LETTER T
    0xFF35: 0x8274,     #  FULLWIDTH LATIN CAPITAL LETTER U
    0xFF36: 0x8275,     #  FULLWIDTH LATIN CAPITAL LETTER V
    0xFF37: 0x8276,     #  FULLWIDTH LATIN CAPITAL LETTER W
    0xFF38: 0x8277,     #  FULLWIDTH LATIN CAPITAL LETTER X
    0xFF39: 0x8278,     #  FULLWIDTH LATIN CAPITAL LETTER Y
    0xFF3A: 0x8279,     #  FULLWIDTH LATIN CAPITAL LETTER Z
    0xFF3B: 0x816D,     #  FULLWIDTH LEFT SQUARE BRACKET
    0xFF3C: 0x815F,     #  FULLWIDTH REVERSE SOLIDUS # change UTC mapping to separate from 0x80
    0xFF3D: 0x816E,     #  FULLWIDTH RIGHT SQUARE BRACKET
    0xFF3E: 0x814F,     #  FULLWIDTH CIRCUMFLEX ACCENT
    0xFF3F: 0x8151,     #  FULLWIDTH LOW LINE
    0xFF40: 0x814D,     #  FULLWIDTH GRAVE ACCENT
    0xFF41: 0x8281,     #  FULLWIDTH LATIN SMALL LETTER A
    0xFF42: 0x8282,     #  FULLWIDTH LATIN SMALL LETTER B
    0xFF43: 0x8283,     #  FULLWIDTH LATIN SMALL LETTER C
    0xFF44: 0x8284,     #  FULLWIDTH LATIN SMALL LETTER D
    0xFF45: 0x8285,     #  FULLWIDTH LATIN SMALL LETTER E
    0xFF46: 0x8286,     #  FULLWIDTH LATIN SMALL LETTER F
    0xFF47: 0x8287,     #  FULLWIDTH LATIN SMALL LETTER G
    0xFF48: 0x8288,     #  FULLWIDTH LATIN SMALL LETTER H
    0xFF49: 0x8289,     #  FULLWIDTH LATIN SMALL LETTER I
    0xFF4A: 0x828A,     #  FULLWIDTH LATIN SMALL LETTER J
    0xFF4B: 0x828B,     #  FULLWIDTH LATIN SMALL LETTER K
    0xFF4C: 0x828C,     #  FULLWIDTH LATIN SMALL LETTER L
    0xFF4D: 0x828D,     #  FULLWIDTH LATIN SMALL LETTER M
    0xFF4E: 0x828E,     #  FULLWIDTH LATIN SMALL LETTER N
    0xFF4F: 0x828F,     #  FULLWIDTH LATIN SMALL LETTER O
    0xFF50: 0x8290,     #  FULLWIDTH LATIN SMALL LETTER P
    0xFF51: 0x8291,     #  FULLWIDTH LATIN SMALL LETTER Q
    0xFF52: 0x8292,     #  FULLWIDTH LATIN SMALL LETTER R
    0xFF53: 0x8293,     #  FULLWIDTH LATIN SMALL LETTER S
    0xFF54: 0x8294,     #  FULLWIDTH LATIN SMALL LETTER T
    0xFF55: 0x8295,     #  FULLWIDTH LATIN SMALL LETTER U
    0xFF56: 0x8296,     #  FULLWIDTH LATIN SMALL LETTER V
    0xFF57: 0x8297,     #  FULLWIDTH LATIN SMALL LETTER W
    0xFF58: 0x8298,     #  FULLWIDTH LATIN SMALL LETTER X
    0xFF59: 0x8299,     #  FULLWIDTH LATIN SMALL LETTER Y
    0xFF5A: 0x829A,     #  FULLWIDTH LATIN SMALL LETTER Z
    0xFF5B: 0x816F,     #  FULLWIDTH LEFT CURLY BRACKET
    0xFF5C: 0x8162,     #  FULLWIDTH VERTICAL LINE
    0xFF5D: 0x8170,     #  FULLWIDTH RIGHT CURLY BRACKET
    0xFF61: 0xA1,       #  HALFWIDTH IDEOGRAPHIC FULL STOP
    0xFF62: 0xA2,       #  HALFWIDTH LEFT CORNER BRACKET
    0xFF63: 0xA3,       #  HALFWIDTH RIGHT CORNER BRACKET
    0xFF64: 0xA4,       #  HALFWIDTH IDEOGRAPHIC COMMA
    0xFF65: 0xA5,       #  HALFWIDTH KATAKANA MIDDLE DOT
    0xFF66: 0xA6,       #  HALFWIDTH KATAKANA LETTER WO
    0xFF67: 0xA7,       #  HALFWIDTH KATAKANA LETTER SMALL A
    0xFF68: 0xA8,       #  HALFWIDTH KATAKANA LETTER SMALL I
    0xFF69: 0xA9,       #  HALFWIDTH KATAKANA LETTER SMALL U
    0xFF6A: 0xAA,       #  HALFWIDTH KATAKANA LETTER SMALL E
    0xFF6B: 0xAB,       #  HALFWIDTH KATAKANA LETTER SMALL O
    0xFF6C: 0xAC,       #  HALFWIDTH KATAKANA LETTER SMALL YA
    0xFF6D: 0xAD,       #  HALFWIDTH KATAKANA LETTER SMALL YU
    0xFF6E: 0xAE,       #  HALFWIDTH KATAKANA LETTER SMALL YO
    0xFF6F: 0xAF,       #  HALFWIDTH KATAKANA LETTER SMALL TU
    0xFF70: 0xB0,       #  HALFWIDTH KATAKANA-HIRAGANA PROLONGED SOUND MARK
    0xFF71: 0xB1,       #  HALFWIDTH KATAKANA LETTER A
    0xFF72: 0xB2,       #  HALFWIDTH KATAKANA LETTER I
    0xFF73: 0xB3,       #  HALFWIDTH KATAKANA LETTER U
    0xFF74: 0xB4,       #  HALFWIDTH KATAKANA LETTER E
    0xFF75: 0xB5,       #  HALFWIDTH KATAKANA LETTER O
    0xFF76: 0xB6,       #  HALFWIDTH KATAKANA LETTER KA
    0xFF77: 0xB7,       #  HALFWIDTH KATAKANA LETTER KI
    0xFF78: 0xB8,       #  HALFWIDTH KATAKANA LETTER KU
    0xFF79: 0xB9,       #  HALFWIDTH KATAKANA LETTER KE
    0xFF7A: 0xBA,       #  HALFWIDTH KATAKANA LETTER KO
    0xFF7B: 0xBB,       #  HALFWIDTH KATAKANA LETTER SA
    0xFF7C: 0xBC,       #  HALFWIDTH KATAKANA LETTER SI
    0xFF7D: 0xBD,       #  HALFWIDTH KATAKANA LETTER SU
    0xFF7E: 0xBE,       #  HALFWIDTH KATAKANA LETTER SE
    0xFF7F: 0xBF,       #  HALFWIDTH KATAKANA LETTER SO
    0xFF80: 0xC0,       #  HALFWIDTH KATAKANA LETTER TA
    0xFF81: 0xC1,       #  HALFWIDTH KATAKANA LETTER TI
    0xFF82: 0xC2,       #  HALFWIDTH KATAKANA LETTER TU
    0xFF83: 0xC3,       #  HALFWIDTH KATAKANA LETTER TE
    0xFF84: 0xC4,       #  HALFWIDTH KATAKANA LETTER TO
    0xFF85: 0xC5,       #  HALFWIDTH KATAKANA LETTER NA
    0xFF86: 0xC6,       #  HALFWIDTH KATAKANA LETTER NI
    0xFF87: 0xC7,       #  HALFWIDTH KATAKANA LETTER NU
    0xFF88: 0xC8,       #  HALFWIDTH KATAKANA LETTER NE
    0xFF89: 0xC9,       #  HALFWIDTH KATAKANA LETTER NO
    0xFF8A: 0xCA,       #  HALFWIDTH KATAKANA LETTER HA
    0xFF8B: 0xCB,       #  HALFWIDTH KATAKANA LETTER HI
    0xFF8C: 0xCC,       #  HALFWIDTH KATAKANA LETTER HU
    0xFF8D: 0xCD,       #  HALFWIDTH KATAKANA LETTER HE
    0xFF8E: 0xCE,       #  HALFWIDTH KATAKANA LETTER HO
    0xFF8F: 0xCF,       #  HALFWIDTH KATAKANA LETTER MA
    0xFF90: 0xD0,       #  HALFWIDTH KATAKANA LETTER MI
    0xFF91: 0xD1,       #  HALFWIDTH KATAKANA LETTER MU
    0xFF92: 0xD2,       #  HALFWIDTH KATAKANA LETTER ME
    0xFF93: 0xD3,       #  HALFWIDTH KATAKANA LETTER MO
    0xFF94: 0xD4,       #  HALFWIDTH KATAKANA LETTER YA
    0xFF95: 0xD5,       #  HALFWIDTH KATAKANA LETTER YU
    0xFF96: 0xD6,       #  HALFWIDTH KATAKANA LETTER YO
    0xFF97: 0xD7,       #  HALFWIDTH KATAKANA LETTER RA
    0xFF98: 0xD8,       #  HALFWIDTH KATAKANA LETTER RI
    0xFF99: 0xD9,       #  HALFWIDTH KATAKANA LETTER RU
    0xFF9A: 0xDA,       #  HALFWIDTH KATAKANA LETTER RE
    0xFF9B: 0xDB,       #  HALFWIDTH KATAKANA LETTER RO
    0xFF9C: 0xDC,       #  HALFWIDTH KATAKANA LETTER WA
    0xFF9D: 0xDD,       #  HALFWIDTH KATAKANA LETTER N
    0xFF9E: 0xDE,       #  HALFWIDTH KATAKANA VOICED SOUND MARK
    0xFF9F: 0xDF,       #  HALFWIDTH KATAKANA SEMI-VOICED SOUND MARK
    0xFFE3: 0x8150,     #  FULLWIDTH MACRON
    0xFFE5: 0x818F,     #  FULLWIDTH YEN SIGN
    (0x2010, 0xF87E): 0xEB5D,   #  vertical form for HYPHEN
    (0x2016, 0xF87E): 0xEB61,   #  vertical form for DOUBLE VERTICAL LINE
    (0x2026, 0xF87E): 0xEB63,   #  vertical form for HORIZONTAL ELLIPSIS
    (0x2026, 0xF87F): 0xFF,     #  halfwidth horizontal ellipsis # Apple addition
    (0x21E6, 0xF87A): 0x86D4,   #  leftwards black arrow # or for Unicode 4.0, 0x2B05 LEFTWARDS BLACK ARROW
    (0x21E7, 0xF87A): 0x86D5,   #  upwards black arrow # or for Unicode 4.0, 0x2B06 UPWARDS BLACK ARROW
    (0x21E8, 0xF87A): 0x86D3,   #  rightwards black arrow # or 0x27A1 BLACK RIGHTWARDS ARROW
    (0x21E9, 0xF87A): 0x86D6,   #  downwards black arrow # or for Unicode 4.0, 0x2B07 DOWNWARDS BLACK ARROW
    (0x3001, 0xF87E): 0xEB41,   #  vertical form for IDEOGRAPHIC COMMA
    (0x3002, 0xF87E): 0xEB42,   #  vertical form for IDEOGRAPHIC FULL STOP
    (0x301C, 0xF87E): 0xEB60,   #  vertical form for WAVE DASH
    (0x3041, 0xF87E): 0xEC9F,   #  vertical form for HIRAGANA LETTER SMALL A
    (0x3043, 0xF87E): 0xECA1,   #  vertical form for HIRAGANA LETTER SMALL I
    (0x3045, 0xF87E): 0xECA3,   #  vertical form for HIRAGANA LETTER SMALL U
    (0x3047, 0xF87E): 0xECA5,   #  vertical form for HIRAGANA LETTER SMALL E
    (0x3049, 0xF87E): 0xECA7,   #  vertical form for HIRAGANA LETTER SMALL O
    (0x3063, 0xF87E): 0xECC1,   #  vertical form for HIRAGANA LETTER SMALL TU
    (0x3083, 0xF87E): 0xECE1,   #  vertical form for HIRAGANA LETTER SMALL YA
    (0x3085, 0xF87E): 0xECE3,   #  vertical form for HIRAGANA LETTER SMALL YU
    (0x3087, 0xF87E): 0xECE5,   #  vertical form for HIRAGANA LETTER SMALL YO
    (0x308E, 0xF87E): 0xECEC,   #  vertical form for HIRAGANA LETTER SMALL WA
    (0x30A1, 0xF87E): 0xED40,   #  vertical form for KATAKANA LETTER SMALL A
    (0x30A3, 0xF87E): 0xED42,   #  vertical form for KATAKANA LETTER SMALL I
    (0x30A5, 0xF87E): 0xED44,   #  vertical form for KATAKANA LETTER SMALL U
    (0x30A7, 0xF87E): 0xED46,   #  vertical form for KATAKANA LETTER SMALL E
    (0x30A9, 0xF87E): 0xED48,   #  vertical form for KATAKANA LETTER SMALL O
    (0x30C3, 0xF87E): 0xED62,   #  vertical form for KATAKANA LETTER SMALL TU
    (0x30E3, 0xF87E): 0xED83,   #  vertical form for KATAKANA LETTER SMALL YA
    (0x30E5, 0xF87E): 0xED85,   #  vertical form for KATAKANA LETTER SMALL YU
    (0x30E7, 0xF87E): 0xED87,   #  vertical form for KATAKANA LETTER SMALL YO
    (0x30EE, 0xF87E): 0xED8E,   #  vertical form for KATAKANA LETTER SMALL WA
    (0x30F5, 0xF87E): 0xED95,   #  vertical form for KATAKANA LETTER SMALL KA
    (0x30F6, 0xF87E): 0xED96,   #  vertical form for KATAKANA LETTER SMALL KE
    (0x30FC, 0xF87E): 0xEB5B,   #  vertical form for KATAKANA-HIRAGANA PROLONGED SOUND MARK
    (0x5927, 0x20DD): 0x8791,   #  ideograph big + COMBINING ENCLOSING CIRCLE
    (0x5C0F, 0x20DD): 0x8792,   #  ideograph small + COMBINING ENCLOSING CIRCLE
    (0x63A7, 0x20DD): 0x879D,   #  ideograph memo + COMBINING ENCLOSING CIRCLE
    (0xF860, 0x0030, 0x002E): 0x8591,   #  digit zero full stop
    (0xF860, 0x0054, 0x0042): 0x865D,   #  square TB
    (0xF860, 0x0058, 0x0056): 0x85AD,   #  roman numeral fifteen
    (0xF860, 0x0078, 0x0076): 0x85C1,   #  small roman numeral fifteen
    (0xF860, 0x2193, 0x2191): 0x86CE,   #  downwards arrow leftwards of upwards arrow
    (0xF861, 0x0046, 0x0041, 0x0058): 0x869E,   #  FAX sign # or for Unicode 4.0, 0x213B FACSIMILE SIGN
    (0xF861, 0x0058, 0x0049, 0x0056): 0x85AC,   #  roman numeral fourteen
    (0xF861, 0x0078, 0x0069, 0x0076): 0x85C0,   #  small roman numeral fourteen
    (0xF862, 0x0058, 0x0049, 0x0049, 0x0049): 0x85AB,   #  roman numeral thirteen
    (0xF862, 0x0078, 0x0069, 0x0069, 0x0069): 0x85BF,   #  small roman numeral thirteen
    (0xF862, 0x6709, 0x9650, 0x4F1A, 0x793E): 0x87FB,   #  square "limited company, ltd. [yuugen gaisha]"
    (0xF862, 0x8CA1, 0x56E3, 0x6CD5, 0x4EBA): 0x87FC,   #  square "foundation [zaidan houjin]"
    (0xFF1D, 0xF87E): 0xEB81,   #  vertical form for FULLWIDTH EQUALS SIGN
    (0xFF3B, 0xF87E): 0xEB6D,   #  vertical form for FULLWIDTH LEFT SQUARE BRACKET # or for Unicode 4.0, 0xFE47 PRESENTATION FORM FOR VERTICAL LEFT SQUARE BRACKET
    (0xFF3D, 0xF87E): 0xEB6E,   #  vertical form for FULLWIDTH RIGHT SQUARE BRACKET # or for Unicode 4.0, 0xFE48 PRESENTATION FORM FOR VERTICAL RIGHT SQUARE BRACKET
    (0xFF47, 0xF87F): 0x864B,   #  square g
    (0xFF4D, 0xF87F): 0x8645,   #  square m
    (0xFF5C, 0xF87E): 0xEB62,   #  vertical form for FULLWIDTH VERTICAL LINE
    (0xFFE3, 0xF87E): 0xEB50,   #  vertical form for FULLWIDTH MACRON
})
